#include <kdecore_includes.h>

#include <smoke.h>
#include <kdecore_smoke.h>

namespace __smokekdecore {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KAboutData
      switch(to) {
        case 1: return (void*)(KAboutData*)xptr;
        default: return xptr;
      }
    case 2:   //KAboutLicense
      switch(to) {
        case 2: return (void*)(KAboutLicense*)xptr;
        default: return xptr;
      }
    case 3:   //KAboutPerson
      switch(to) {
        case 3: return (void*)(KAboutPerson*)xptr;
        default: return xptr;
      }
    case 4:   //KAuth::Action
      switch(to) {
        case 4: return (void*)(KAuth::Action*)xptr;
        default: return xptr;
      }
    case 5:   //KAuth::ActionReply
      switch(to) {
        case 5: return (void*)(KAuth::ActionReply*)xptr;
        default: return xptr;
      }
    case 6:   //KAuth::ActionWatcher
      switch(to) {
        case 158: return (void*)(QObject*)(KAuth::ActionWatcher*)xptr;
        case 6: return (void*)(KAuth::ActionWatcher*)xptr;
        default: return xptr;
      }
    case 8:   //KAutoSaveFile
      switch(to) {
        case 147: return (void*)(QFile*)(KAutoSaveFile*)xptr;
        case 151: return (void*)(QIODevice*)(KAutoSaveFile*)xptr;
        case 158: return (void*)(QObject*)(KAutoSaveFile*)xptr;
        case 8: return (void*)(KAutoSaveFile*)xptr;
        default: return xptr;
      }
    case 9:   //KAutostart
      switch(to) {
        case 158: return (void*)(QObject*)(KAutostart*)xptr;
        case 9: return (void*)(KAutostart*)xptr;
        default: return xptr;
      }
    case 10:   //KCalendarSystem
      switch(to) {
        case 10: return (void*)(KCalendarSystem*)xptr;
        default: return xptr;
      }
    case 11:   //KCalendarSystemPrivate
      switch(to) {
        case 11: return (void*)(KCalendarSystemPrivate*)xptr;
        default: return xptr;
      }
    case 12:   //KCatalogName
      switch(to) {
        case 12: return (void*)(KCatalogName*)xptr;
        default: return xptr;
      }
    case 13:   //KCharMacroExpander
      switch(to) {
        case 76: return (void*)(KMacroExpanderBase*)(KCharMacroExpander*)xptr;
        case 13: return (void*)(KCharMacroExpander*)xptr;
        default: return xptr;
      }
    case 14:   //KCharsets
      switch(to) {
        case 14: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 15:   //KCmdLineArgs
      switch(to) {
        case 15: return (void*)(KCmdLineArgs*)xptr;
        default: return xptr;
      }
    case 16:   //KCmdLineOptions
      switch(to) {
        case 16: return (void*)(KCmdLineOptions*)xptr;
        default: return xptr;
      }
    case 18:   //KComponentData
      switch(to) {
        case 18: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 19:   //KCompositeJob
      switch(to) {
        case 63: return (void*)(KJob*)(KCompositeJob*)xptr;
        case 158: return (void*)(QObject*)(KCompositeJob*)xptr;
        case 19: return (void*)(KCompositeJob*)xptr;
        default: return xptr;
      }
    case 20:   //KCompositeJobPrivate
      switch(to) {
        case 20: return (void*)(KCompositeJobPrivate*)xptr;
        default: return xptr;
      }
    case 21:   //KConfig
      switch(to) {
        case 22: return (void*)(KConfigBase*)(KConfig*)xptr;
        case 21: return (void*)(KConfig*)xptr;
        case 57: return (void*)(KDesktopFile*)(KConfig*)xptr;
        case 100: return (void*)(KSharedConfig*)(KConfig*)xptr;
        default: return xptr;
      }
    case 22:   //KConfigBase
      switch(to) {
        case 22: return (void*)(KConfigBase*)xptr;
        case 23: return (void*)(KConfigGroup*)(KConfigBase*)xptr;
        case 21: return (void*)(KConfig*)(KConfigBase*)xptr;
        case 57: return (void*)(KDesktopFile*)(KConfigBase*)xptr;
        case 100: return (void*)(KSharedConfig*)(KConfigBase*)xptr;
        default: return xptr;
      }
    case 23:   //KConfigGroup
      switch(to) {
        case 22: return (void*)(KConfigBase*)(KConfigGroup*)xptr;
        case 23: return (void*)(KConfigGroup*)xptr;
        default: return xptr;
      }
    case 24:   //KConfigPrivate
      switch(to) {
        case 24: return (void*)(KConfigPrivate*)xptr;
        default: return xptr;
      }
    case 25:   //KConfigSkeletonItem
      switch(to) {
        case 25: return (void*)(KConfigSkeletonItem*)xptr;
        default: return xptr;
      }
    case 26:   //KCoreConfigSkeleton
      switch(to) {
        case 158: return (void*)(QObject*)(KCoreConfigSkeleton*)xptr;
        case 26: return (void*)(KCoreConfigSkeleton*)xptr;
        default: return xptr;
      }
    case 27:   //KCoreConfigSkeleton::ItemBool
      switch(to) {
        case 27: return (void*)(KCoreConfigSkeleton::ItemBool*)xptr;
        default: return xptr;
      }
    case 28:   //KCoreConfigSkeleton::ItemDateTime
      switch(to) {
        case 28: return (void*)(KCoreConfigSkeleton::ItemDateTime*)xptr;
        default: return xptr;
      }
    case 29:   //KCoreConfigSkeleton::ItemDouble
      switch(to) {
        case 29: return (void*)(KCoreConfigSkeleton::ItemDouble*)xptr;
        default: return xptr;
      }
    case 30:   //KCoreConfigSkeleton::ItemEnum
      switch(to) {
        case 33: return (void*)(KCoreConfigSkeleton::ItemInt*)(KCoreConfigSkeleton::ItemEnum*)xptr;
        case 30: return (void*)(KCoreConfigSkeleton::ItemEnum*)xptr;
        default: return xptr;
      }
    case 31:   //KCoreConfigSkeleton::ItemEnum::Choice
      switch(to) {
        case 31: return (void*)(KCoreConfigSkeleton::ItemEnum::Choice*)xptr;
        default: return xptr;
      }
    case 32:   //KCoreConfigSkeleton::ItemEnum::Choice2
      switch(to) {
        case 32: return (void*)(KCoreConfigSkeleton::ItemEnum::Choice2*)xptr;
        default: return xptr;
      }
    case 33:   //KCoreConfigSkeleton::ItemInt
      switch(to) {
        case 33: return (void*)(KCoreConfigSkeleton::ItemInt*)xptr;
        case 30: return (void*)(KCoreConfigSkeleton::ItemEnum*)(KCoreConfigSkeleton::ItemInt*)xptr;
        default: return xptr;
      }
    case 34:   //KCoreConfigSkeleton::ItemIntList
      switch(to) {
        case 34: return (void*)(KCoreConfigSkeleton::ItemIntList*)xptr;
        default: return xptr;
      }
    case 35:   //KCoreConfigSkeleton::ItemLongLong
      switch(to) {
        case 35: return (void*)(KCoreConfigSkeleton::ItemLongLong*)xptr;
        default: return xptr;
      }
    case 36:   //KCoreConfigSkeleton::ItemPassword
      switch(to) {
        case 43: return (void*)(KCoreConfigSkeleton::ItemString*)(KCoreConfigSkeleton::ItemPassword*)xptr;
        case 36: return (void*)(KCoreConfigSkeleton::ItemPassword*)xptr;
        default: return xptr;
      }
    case 37:   //KCoreConfigSkeleton::ItemPath
      switch(to) {
        case 43: return (void*)(KCoreConfigSkeleton::ItemString*)(KCoreConfigSkeleton::ItemPath*)xptr;
        case 37: return (void*)(KCoreConfigSkeleton::ItemPath*)xptr;
        default: return xptr;
      }
    case 38:   //KCoreConfigSkeleton::ItemPathList
      switch(to) {
        case 44: return (void*)(KCoreConfigSkeleton::ItemStringList*)(KCoreConfigSkeleton::ItemPathList*)xptr;
        case 38: return (void*)(KCoreConfigSkeleton::ItemPathList*)xptr;
        default: return xptr;
      }
    case 39:   //KCoreConfigSkeleton::ItemPoint
      switch(to) {
        case 39: return (void*)(KCoreConfigSkeleton::ItemPoint*)xptr;
        default: return xptr;
      }
    case 40:   //KCoreConfigSkeleton::ItemProperty
      switch(to) {
        case 40: return (void*)(KCoreConfigSkeleton::ItemProperty*)xptr;
        default: return xptr;
      }
    case 41:   //KCoreConfigSkeleton::ItemRect
      switch(to) {
        case 41: return (void*)(KCoreConfigSkeleton::ItemRect*)xptr;
        default: return xptr;
      }
    case 42:   //KCoreConfigSkeleton::ItemSize
      switch(to) {
        case 42: return (void*)(KCoreConfigSkeleton::ItemSize*)xptr;
        default: return xptr;
      }
    case 43:   //KCoreConfigSkeleton::ItemString
      switch(to) {
        case 43: return (void*)(KCoreConfigSkeleton::ItemString*)xptr;
        case 37: return (void*)(KCoreConfigSkeleton::ItemPath*)(KCoreConfigSkeleton::ItemString*)xptr;
        case 36: return (void*)(KCoreConfigSkeleton::ItemPassword*)(KCoreConfigSkeleton::ItemString*)xptr;
        default: return xptr;
      }
    case 44:   //KCoreConfigSkeleton::ItemStringList
      switch(to) {
        case 44: return (void*)(KCoreConfigSkeleton::ItemStringList*)xptr;
        case 38: return (void*)(KCoreConfigSkeleton::ItemPathList*)(KCoreConfigSkeleton::ItemStringList*)xptr;
        default: return xptr;
      }
    case 45:   //KCoreConfigSkeleton::ItemUInt
      switch(to) {
        case 45: return (void*)(KCoreConfigSkeleton::ItemUInt*)xptr;
        default: return xptr;
      }
    case 46:   //KCoreConfigSkeleton::ItemULongLong
      switch(to) {
        case 46: return (void*)(KCoreConfigSkeleton::ItemULongLong*)xptr;
        default: return xptr;
      }
    case 47:   //KCoreConfigSkeleton::ItemUrl
      switch(to) {
        case 47: return (void*)(KCoreConfigSkeleton::ItemUrl*)xptr;
        default: return xptr;
      }
    case 48:   //KCoreConfigSkeleton::ItemUrlList
      switch(to) {
        case 48: return (void*)(KCoreConfigSkeleton::ItemUrlList*)xptr;
        default: return xptr;
      }
    case 49:   //KCurrencyCode
      switch(to) {
        case 49: return (void*)(KCurrencyCode*)xptr;
        default: return xptr;
      }
    case 51:   //KDEDModule
      switch(to) {
        case 158: return (void*)(QObject*)(KDEDModule*)xptr;
        case 51: return (void*)(KDEDModule*)xptr;
        default: return xptr;
      }
    case 52:   //KDEPluginVerificationData
      switch(to) {
        case 52: return (void*)(KDEPluginVerificationData*)xptr;
        default: return xptr;
      }
    case 53:   //KDateTime
      switch(to) {
        case 53: return (void*)(KDateTime*)xptr;
        default: return xptr;
      }
    case 54:   //KDateTime::Spec
      switch(to) {
        case 54: return (void*)(KDateTime::Spec*)xptr;
        default: return xptr;
      }
    case 55:   //KDebug
      switch(to) {
        case 55: return (void*)(KDebug*)xptr;
        default: return xptr;
      }
    case 56:   //KDebugTag
      switch(to) {
        case 56: return (void*)(KDebugTag*)xptr;
        default: return xptr;
      }
    case 57:   //KDesktopFile
      switch(to) {
        case 21: return (void*)(KConfig*)(KDesktopFile*)xptr;
        case 22: return (void*)(KConfigBase*)(KDesktopFile*)xptr;
        case 57: return (void*)(KDesktopFile*)xptr;
        default: return xptr;
      }
    case 58:   //KEncodingDetector
      switch(to) {
        case 58: return (void*)(KEncodingDetector*)xptr;
        default: return xptr;
      }
    case 59:   //KEncodingProber
      switch(to) {
        case 59: return (void*)(KEncodingProber*)xptr;
        default: return xptr;
      }
    case 60:   //KFilterBase
      switch(to) {
        case 60: return (void*)(KFilterBase*)xptr;
        default: return xptr;
      }
    case 61:   //KFilterDev
      switch(to) {
        case 151: return (void*)(QIODevice*)(KFilterDev*)xptr;
        case 158: return (void*)(QObject*)(KFilterDev*)xptr;
        case 61: return (void*)(KFilterDev*)xptr;
        default: return xptr;
      }
    case 63:   //KJob
      switch(to) {
        case 158: return (void*)(QObject*)(KJob*)xptr;
        case 63: return (void*)(KJob*)xptr;
        case 19: return (void*)(KCompositeJob*)(KJob*)xptr;
        default: return xptr;
      }
    case 64:   //KJobPrivate
      switch(to) {
        case 64: return (void*)(KJobPrivate*)xptr;
        default: return xptr;
      }
    case 65:   //KJobTrackerInterface
      switch(to) {
        case 158: return (void*)(QObject*)(KJobTrackerInterface*)xptr;
        case 65: return (void*)(KJobTrackerInterface*)xptr;
        default: return xptr;
      }
    case 66:   //KJobUiDelegate
      switch(to) {
        case 158: return (void*)(QObject*)(KJobUiDelegate*)xptr;
        case 66: return (void*)(KJobUiDelegate*)xptr;
        default: return xptr;
      }
    case 67:   //KLibLoader
      switch(to) {
        case 158: return (void*)(QObject*)(KLibLoader*)xptr;
        case 67: return (void*)(KLibLoader*)xptr;
        default: return xptr;
      }
    case 68:   //KLibrary
      switch(to) {
        case 154: return (void*)(QLibrary*)(KLibrary*)xptr;
        case 158: return (void*)(QObject*)(KLibrary*)xptr;
        case 68: return (void*)(KLibrary*)xptr;
        default: return xptr;
      }
    case 69:   //KLocalSocket
      switch(to) {
        case 167: return (void*)(QTcpSocket*)(KLocalSocket*)xptr;
        case 134: return (void*)(QAbstractSocket*)(KLocalSocket*)xptr;
        case 151: return (void*)(QIODevice*)(KLocalSocket*)xptr;
        case 158: return (void*)(QObject*)(KLocalSocket*)xptr;
        case 69: return (void*)(KLocalSocket*)xptr;
        default: return xptr;
      }
    case 70:   //KLocalSocketServer
      switch(to) {
        case 158: return (void*)(QObject*)(KLocalSocketServer*)xptr;
        case 70: return (void*)(KLocalSocketServer*)xptr;
        default: return xptr;
      }
    case 71:   //KLocale
      switch(to) {
        case 71: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 72:   //KLocalizedString
      switch(to) {
        case 72: return (void*)(KLocalizedString*)xptr;
        default: return xptr;
      }
    case 73:   //KLockFile
      switch(to) {
        case 164: return (void*)(QSharedData*)(KLockFile*)xptr;
        case 73: return (void*)(KLockFile*)xptr;
        default: return xptr;
      }
    case 74:   //KMD5
      switch(to) {
        case 74: return (void*)(KMD5*)xptr;
        default: return xptr;
      }
    case 76:   //KMacroExpanderBase
      switch(to) {
        case 76: return (void*)(KMacroExpanderBase*)xptr;
        case 13: return (void*)(KCharMacroExpander*)(KMacroExpanderBase*)xptr;
        case 131: return (void*)(KWordMacroExpander*)(KMacroExpanderBase*)xptr;
        default: return xptr;
      }
    case 78:   //KMessageHandler
      switch(to) {
        case 78: return (void*)(KMessageHandler*)xptr;
        default: return xptr;
      }
    case 79:   //KMimeType
      switch(to) {
        case 97: return (void*)(KServiceType*)(KMimeType*)xptr;
        case 106: return (void*)(KSycocaEntry*)(KMimeType*)xptr;
        case 164: return (void*)(QSharedData*)(KMimeType*)xptr;
        case 79: return (void*)(KMimeType*)xptr;
        default: return xptr;
      }
    case 80:   //KMimeTypePrivate
      switch(to) {
        case 80: return (void*)(KMimeTypePrivate*)xptr;
        default: return xptr;
      }
    case 81:   //KMimeTypeTrader
      switch(to) {
        case 81: return (void*)(KMimeTypeTrader*)xptr;
        default: return xptr;
      }
    case 82:   //KParts::Part
      switch(to) {
        case 82: return (void*)(KParts::Part*)xptr;
        default: return xptr;
      }
    case 83:   //KPluginFactory
      switch(to) {
        case 158: return (void*)(QObject*)(KPluginFactory*)xptr;
        case 83: return (void*)(KPluginFactory*)xptr;
        default: return xptr;
      }
    case 84:   //KPluginFactoryPrivate
      switch(to) {
        case 84: return (void*)(KPluginFactoryPrivate*)xptr;
        default: return xptr;
      }
    case 85:   //KPluginInfo
      switch(to) {
        case 85: return (void*)(KPluginInfo*)xptr;
        default: return xptr;
      }
    case 86:   //KPluginLoader
      switch(to) {
        case 159: return (void*)(QPluginLoader*)(KPluginLoader*)xptr;
        case 158: return (void*)(QObject*)(KPluginLoader*)xptr;
        case 86: return (void*)(KPluginLoader*)xptr;
        default: return xptr;
      }
    case 87:   //KProcess
      switch(to) {
        case 161: return (void*)(QProcess*)(KProcess*)xptr;
        case 151: return (void*)(QIODevice*)(KProcess*)xptr;
        case 158: return (void*)(QObject*)(KProcess*)xptr;
        case 87: return (void*)(KProcess*)xptr;
        default: return xptr;
      }
    case 88:   //KProcessPrivate
      switch(to) {
        case 88: return (void*)(KProcessPrivate*)xptr;
        default: return xptr;
      }
    case 89:   //KProtocolInfo
      switch(to) {
        case 106: return (void*)(KSycocaEntry*)(KProtocolInfo*)xptr;
        case 164: return (void*)(QSharedData*)(KProtocolInfo*)xptr;
        case 89: return (void*)(KProtocolInfo*)xptr;
        default: return xptr;
      }
    case 90:   //KProtocolInfo::ExtraField
      switch(to) {
        case 90: return (void*)(KProtocolInfo::ExtraField*)xptr;
        default: return xptr;
      }
    case 92:   //KRandomSequence
      switch(to) {
        case 92: return (void*)(KRandomSequence*)xptr;
        default: return xptr;
      }
    case 93:   //KSaveFile
      switch(to) {
        case 147: return (void*)(QFile*)(KSaveFile*)xptr;
        case 151: return (void*)(QIODevice*)(KSaveFile*)xptr;
        case 158: return (void*)(QObject*)(KSaveFile*)xptr;
        case 93: return (void*)(KSaveFile*)xptr;
        default: return xptr;
      }
    case 94:   //KService
      switch(to) {
        case 106: return (void*)(KSycocaEntry*)(KService*)xptr;
        case 164: return (void*)(QSharedData*)(KService*)xptr;
        case 94: return (void*)(KService*)xptr;
        default: return xptr;
      }
    case 95:   //KServiceAction
      switch(to) {
        case 95: return (void*)(KServiceAction*)xptr;
        default: return xptr;
      }
    case 96:   //KServiceGroup
      switch(to) {
        case 106: return (void*)(KSycocaEntry*)(KServiceGroup*)xptr;
        case 164: return (void*)(QSharedData*)(KServiceGroup*)xptr;
        case 96: return (void*)(KServiceGroup*)xptr;
        default: return xptr;
      }
    case 97:   //KServiceType
      switch(to) {
        case 106: return (void*)(KSycocaEntry*)(KServiceType*)xptr;
        case 164: return (void*)(QSharedData*)(KServiceType*)xptr;
        case 97: return (void*)(KServiceType*)xptr;
        case 79: return (void*)(KMimeType*)(KServiceType*)xptr;
        default: return xptr;
      }
    case 98:   //KServiceTypePrivate
      switch(to) {
        case 98: return (void*)(KServiceTypePrivate*)xptr;
        default: return xptr;
      }
    case 99:   //KServiceTypeTrader
      switch(to) {
        case 99: return (void*)(KServiceTypeTrader*)xptr;
        default: return xptr;
      }
    case 100:   //KSharedConfig
      switch(to) {
        case 21: return (void*)(KConfig*)(KSharedConfig*)xptr;
        case 22: return (void*)(KConfigBase*)(KSharedConfig*)xptr;
        case 164: return (void*)(QSharedData*)(KSharedConfig*)xptr;
        case 100: return (void*)(KSharedConfig*)xptr;
        default: return xptr;
      }
    case 103:   //KStandardDirs
      switch(to) {
        case 103: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 105:   //KSycoca
      switch(to) {
        case 158: return (void*)(QObject*)(KSycoca*)xptr;
        case 105: return (void*)(KSycoca*)xptr;
        default: return xptr;
      }
    case 106:   //KSycocaEntry
      switch(to) {
        case 164: return (void*)(QSharedData*)(KSycocaEntry*)xptr;
        case 106: return (void*)(KSycocaEntry*)xptr;
        case 89: return (void*)(KProtocolInfo*)(KSycocaEntry*)xptr;
        case 97: return (void*)(KServiceType*)(KSycocaEntry*)xptr;
        case 94: return (void*)(KService*)(KSycocaEntry*)xptr;
        case 96: return (void*)(KServiceGroup*)(KSycocaEntry*)xptr;
        case 79: return (void*)(KMimeType*)(KSycocaEntry*)xptr;
        default: return xptr;
      }
    case 107:   //KSycocaEntryPrivate
      switch(to) {
        case 107: return (void*)(KSycocaEntryPrivate*)xptr;
        default: return xptr;
      }
    case 108:   //KSycocaFactory
      switch(to) {
        case 108: return (void*)(KSycocaFactory*)xptr;
        default: return xptr;
      }
    case 109:   //KSycocaFactoryList
      switch(to) {
        case 109: return (void*)(KSycocaFactoryList*)xptr;
        default: return xptr;
      }
    case 110:   //KSystemTimeZone
      switch(to) {
        case 116: return (void*)(KTimeZone*)(KSystemTimeZone*)xptr;
        case 110: return (void*)(KSystemTimeZone*)xptr;
        default: return xptr;
      }
    case 111:   //KSystemTimeZoneBackend
      switch(to) {
        case 120: return (void*)(KTimeZoneBackend*)(KSystemTimeZoneBackend*)xptr;
        case 111: return (void*)(KSystemTimeZoneBackend*)xptr;
        default: return xptr;
      }
    case 112:   //KSystemTimeZoneSource
      switch(to) {
        case 122: return (void*)(KTimeZoneSource*)(KSystemTimeZoneSource*)xptr;
        case 112: return (void*)(KSystemTimeZoneSource*)xptr;
        default: return xptr;
      }
    case 113:   //KSystemTimeZones
      switch(to) {
        case 158: return (void*)(QObject*)(KSystemTimeZones*)xptr;
        case 113: return (void*)(KSystemTimeZones*)xptr;
        default: return xptr;
      }
    case 114:   //KTempDir
      switch(to) {
        case 114: return (void*)(KTempDir*)xptr;
        default: return xptr;
      }
    case 115:   //KTemporaryFile
      switch(to) {
        case 168: return (void*)(QTemporaryFile*)(KTemporaryFile*)xptr;
        case 147: return (void*)(QFile*)(KTemporaryFile*)xptr;
        case 151: return (void*)(QIODevice*)(KTemporaryFile*)xptr;
        case 158: return (void*)(QObject*)(KTemporaryFile*)xptr;
        case 115: return (void*)(KTemporaryFile*)xptr;
        default: return xptr;
      }
    case 116:   //KTimeZone
      switch(to) {
        case 116: return (void*)(KTimeZone*)xptr;
        case 110: return (void*)(KSystemTimeZone*)(KTimeZone*)xptr;
        case 125: return (void*)(KTzfileTimeZone*)(KTimeZone*)xptr;
        default: return xptr;
      }
    case 117:   //KTimeZone::LeapSeconds
      switch(to) {
        case 117: return (void*)(KTimeZone::LeapSeconds*)xptr;
        default: return xptr;
      }
    case 118:   //KTimeZone::Phase
      switch(to) {
        case 118: return (void*)(KTimeZone::Phase*)xptr;
        default: return xptr;
      }
    case 119:   //KTimeZone::Transition
      switch(to) {
        case 119: return (void*)(KTimeZone::Transition*)xptr;
        default: return xptr;
      }
    case 120:   //KTimeZoneBackend
      switch(to) {
        case 120: return (void*)(KTimeZoneBackend*)xptr;
        case 126: return (void*)(KTzfileTimeZoneBackend*)(KTimeZoneBackend*)xptr;
        case 111: return (void*)(KSystemTimeZoneBackend*)(KTimeZoneBackend*)xptr;
        default: return xptr;
      }
    case 121:   //KTimeZoneData
      switch(to) {
        case 121: return (void*)(KTimeZoneData*)xptr;
        default: return xptr;
      }
    case 122:   //KTimeZoneSource
      switch(to) {
        case 122: return (void*)(KTimeZoneSource*)xptr;
        case 127: return (void*)(KTzfileTimeZoneSource*)(KTimeZoneSource*)xptr;
        case 112: return (void*)(KSystemTimeZoneSource*)(KTimeZoneSource*)xptr;
        default: return xptr;
      }
    case 123:   //KTimeZones
      switch(to) {
        case 123: return (void*)(KTimeZones*)xptr;
        default: return xptr;
      }
    case 124:   //KToolInvocation
      switch(to) {
        case 158: return (void*)(QObject*)(KToolInvocation*)xptr;
        case 124: return (void*)(KToolInvocation*)xptr;
        default: return xptr;
      }
    case 125:   //KTzfileTimeZone
      switch(to) {
        case 116: return (void*)(KTimeZone*)(KTzfileTimeZone*)xptr;
        case 125: return (void*)(KTzfileTimeZone*)xptr;
        default: return xptr;
      }
    case 126:   //KTzfileTimeZoneBackend
      switch(to) {
        case 120: return (void*)(KTimeZoneBackend*)(KTzfileTimeZoneBackend*)xptr;
        case 126: return (void*)(KTzfileTimeZoneBackend*)xptr;
        default: return xptr;
      }
    case 127:   //KTzfileTimeZoneSource
      switch(to) {
        case 122: return (void*)(KTimeZoneSource*)(KTzfileTimeZoneSource*)xptr;
        case 127: return (void*)(KTzfileTimeZoneSource*)xptr;
        default: return xptr;
      }
    case 128:   //KUrl
      switch(to) {
        case 174: return (void*)(QUrl*)(KUrl*)xptr;
        case 128: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 129:   //KUser
      switch(to) {
        case 129: return (void*)(KUser*)xptr;
        default: return xptr;
      }
    case 130:   //KUserGroup
      switch(to) {
        case 130: return (void*)(KUserGroup*)xptr;
        default: return xptr;
      }
    case 131:   //KWordMacroExpander
      switch(to) {
        case 76: return (void*)(KMacroExpanderBase*)(KWordMacroExpander*)xptr;
        case 131: return (void*)(KWordMacroExpander*)xptr;
        default: return xptr;
      }
    case 132:   //OrgKdeKLauncherInterface
      switch(to) {
        case 139: return (void*)(QDBusAbstractInterface*)(OrgKdeKLauncherInterface*)xptr;
        case 158: return (void*)(QObject*)(OrgKdeKLauncherInterface*)xptr;
        case 132: return (void*)(OrgKdeKLauncherInterface*)xptr;
        default: return xptr;
      }
    case 133:   //QAbstractFileEngine
      switch(to) {
        case 133: return (void*)(QAbstractFileEngine*)xptr;
        default: return xptr;
      }
    case 134:   //QAbstractSocket
      switch(to) {
        case 151: return (void*)(QIODevice*)(QAbstractSocket*)xptr;
        case 158: return (void*)(QObject*)(QAbstractSocket*)xptr;
        case 134: return (void*)(QAbstractSocket*)xptr;
        case 69: return (void*)(KLocalSocket*)(QAbstractSocket*)xptr;
        default: return xptr;
      }
    case 135:   //QBool
      switch(to) {
        case 135: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 136:   //QByteArray
      switch(to) {
        case 136: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 137:   //QChar
      switch(to) {
        case 137: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 138:   //QChildEvent
      switch(to) {
        case 146: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 138: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 139:   //QDBusAbstractInterface
      switch(to) {
        case 158: return (void*)(QObject*)(QDBusAbstractInterface*)xptr;
        case 139: return (void*)(QDBusAbstractInterface*)xptr;
        case 132: return (void*)(OrgKdeKLauncherInterface*)(QDBusAbstractInterface*)xptr;
        default: return xptr;
      }
    case 140:   //QDBusConnection
      switch(to) {
        case 140: return (void*)(QDBusConnection*)xptr;
        default: return xptr;
      }
    case 141:   //QDBusObjectPath
      switch(to) {
        case 141: return (void*)(QDBusObjectPath*)xptr;
        default: return xptr;
      }
    case 142:   //QDBusSignature
      switch(to) {
        case 142: return (void*)(QDBusSignature*)xptr;
        default: return xptr;
      }
    case 143:   //QDataStream
      switch(to) {
        case 143: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 144:   //QDate
      switch(to) {
        case 144: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 145:   //QDateTime
      switch(to) {
        case 145: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 146:   //QEvent
      switch(to) {
        case 146: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 147:   //QFile
      switch(to) {
        case 151: return (void*)(QIODevice*)(QFile*)xptr;
        case 158: return (void*)(QObject*)(QFile*)xptr;
        case 147: return (void*)(QFile*)xptr;
        case 8: return (void*)(KAutoSaveFile*)(QFile*)xptr;
        case 93: return (void*)(KSaveFile*)(QFile*)xptr;
        case 115: return (void*)(KTemporaryFile*)(QFile*)xptr;
        default: return xptr;
      }
    case 148:   //QFileInfo
      switch(to) {
        case 148: return (void*)(QFileInfo*)xptr;
        default: return xptr;
      }
    case 150:   //QHostAddress
      switch(to) {
        case 150: return (void*)(QHostAddress*)xptr;
        default: return xptr;
      }
    case 151:   //QIODevice
      switch(to) {
        case 158: return (void*)(QObject*)(QIODevice*)xptr;
        case 151: return (void*)(QIODevice*)xptr;
        case 69: return (void*)(KLocalSocket*)(QIODevice*)xptr;
        case 61: return (void*)(KFilterDev*)(QIODevice*)xptr;
        case 8: return (void*)(KAutoSaveFile*)(QIODevice*)xptr;
        case 93: return (void*)(KSaveFile*)(QIODevice*)xptr;
        case 115: return (void*)(KTemporaryFile*)(QIODevice*)xptr;
        case 87: return (void*)(KProcess*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 152:   //QIncompatibleFlag
      switch(to) {
        case 152: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 153:   //QLatin1String
      switch(to) {
        case 153: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 154:   //QLibrary
      switch(to) {
        case 158: return (void*)(QObject*)(QLibrary*)xptr;
        case 154: return (void*)(QLibrary*)xptr;
        case 68: return (void*)(KLibrary*)(QLibrary*)xptr;
        default: return xptr;
      }
    case 155:   //QMetaObject
      switch(to) {
        case 155: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 156:   //QMimeData
      switch(to) {
        case 158: return (void*)(QObject*)(QMimeData*)xptr;
        case 156: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 157:   //QNetworkProxy
      switch(to) {
        case 157: return (void*)(QNetworkProxy*)xptr;
        default: return xptr;
      }
    case 158:   //QObject
      switch(to) {
        case 158: return (void*)(QObject*)xptr;
        case 65: return (void*)(KJobTrackerInterface*)(QObject*)xptr;
        case 19: return (void*)(KCompositeJob*)(QObject*)xptr;
        case 86: return (void*)(KPluginLoader*)(QObject*)xptr;
        case 69: return (void*)(KLocalSocket*)(QObject*)xptr;
        case 63: return (void*)(KJob*)(QObject*)xptr;
        case 70: return (void*)(KLocalSocketServer*)(QObject*)xptr;
        case 178: return (void*)(Sonnet::BackgroundChecker*)(QObject*)xptr;
        case 9: return (void*)(KAutostart*)(QObject*)xptr;
        case 67: return (void*)(KLibLoader*)(QObject*)xptr;
        case 61: return (void*)(KFilterDev*)(QObject*)xptr;
        case 83: return (void*)(KPluginFactory*)(QObject*)xptr;
        case 113: return (void*)(KSystemTimeZones*)(QObject*)xptr;
        case 6: return (void*)(KAuth::ActionWatcher*)(QObject*)xptr;
        case 8: return (void*)(KAutoSaveFile*)(QObject*)xptr;
        case 124: return (void*)(KToolInvocation*)(QObject*)xptr;
        case 132: return (void*)(OrgKdeKLauncherInterface*)(QObject*)xptr;
        case 68: return (void*)(KLibrary*)(QObject*)xptr;
        case 93: return (void*)(KSaveFile*)(QObject*)xptr;
        case 26: return (void*)(KCoreConfigSkeleton*)(QObject*)xptr;
        case 66: return (void*)(KJobUiDelegate*)(QObject*)xptr;
        case 115: return (void*)(KTemporaryFile*)(QObject*)xptr;
        case 51: return (void*)(KDEDModule*)(QObject*)xptr;
        case 105: return (void*)(KSycoca*)(QObject*)xptr;
        case 87: return (void*)(KProcess*)(QObject*)xptr;
        default: return xptr;
      }
    case 159:   //QPluginLoader
      switch(to) {
        case 158: return (void*)(QObject*)(QPluginLoader*)xptr;
        case 159: return (void*)(QPluginLoader*)xptr;
        case 86: return (void*)(KPluginLoader*)(QPluginLoader*)xptr;
        default: return xptr;
      }
    case 160:   //QPoint
      switch(to) {
        case 160: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 161:   //QProcess
      switch(to) {
        case 151: return (void*)(QIODevice*)(QProcess*)xptr;
        case 158: return (void*)(QObject*)(QProcess*)xptr;
        case 161: return (void*)(QProcess*)xptr;
        case 87: return (void*)(KProcess*)(QProcess*)xptr;
        default: return xptr;
      }
    case 162:   //QRect
      switch(to) {
        case 162: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 163:   //QRegExp
      switch(to) {
        case 163: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 164:   //QSharedData
      switch(to) {
        case 164: return (void*)(QSharedData*)xptr;
        case 89: return (void*)(KProtocolInfo*)(QSharedData*)xptr;
        case 97: return (void*)(KServiceType*)(QSharedData*)xptr;
        case 94: return (void*)(KService*)(QSharedData*)xptr;
        case 73: return (void*)(KLockFile*)(QSharedData*)xptr;
        case 106: return (void*)(KSycocaEntry*)(QSharedData*)xptr;
        case 100: return (void*)(KSharedConfig*)(QSharedData*)xptr;
        case 96: return (void*)(KServiceGroup*)(QSharedData*)xptr;
        case 79: return (void*)(KMimeType*)(QSharedData*)xptr;
        default: return xptr;
      }
    case 165:   //QSize
      switch(to) {
        case 165: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 166:   //QTcpServer
      switch(to) {
        case 158: return (void*)(QObject*)(QTcpServer*)xptr;
        case 166: return (void*)(QTcpServer*)xptr;
        default: return xptr;
      }
    case 167:   //QTcpSocket
      switch(to) {
        case 134: return (void*)(QAbstractSocket*)(QTcpSocket*)xptr;
        case 151: return (void*)(QIODevice*)(QTcpSocket*)xptr;
        case 158: return (void*)(QObject*)(QTcpSocket*)xptr;
        case 167: return (void*)(QTcpSocket*)xptr;
        case 69: return (void*)(KLocalSocket*)(QTcpSocket*)xptr;
        default: return xptr;
      }
    case 168:   //QTemporaryFile
      switch(to) {
        case 147: return (void*)(QFile*)(QTemporaryFile*)xptr;
        case 151: return (void*)(QIODevice*)(QTemporaryFile*)xptr;
        case 158: return (void*)(QObject*)(QTemporaryFile*)xptr;
        case 168: return (void*)(QTemporaryFile*)xptr;
        case 115: return (void*)(KTemporaryFile*)(QTemporaryFile*)xptr;
        default: return xptr;
      }
    case 169:   //QTextCodec
      switch(to) {
        case 169: return (void*)(QTextCodec*)xptr;
        default: return xptr;
      }
    case 170:   //QTextDecoder
      switch(to) {
        case 170: return (void*)(QTextDecoder*)xptr;
        default: return xptr;
      }
    case 171:   //QTime
      switch(to) {
        case 171: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 172:   //QTimerEvent
      switch(to) {
        case 146: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 172: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 173:   //QUdpSocket
      switch(to) {
        case 173: return (void*)(QUdpSocket*)xptr;
        default: return xptr;
      }
    case 174:   //QUrl
      switch(to) {
        case 174: return (void*)(QUrl*)xptr;
        case 128: return (void*)(KUrl*)(QUrl*)xptr;
        default: return xptr;
      }
    case 175:   //QVariant
      switch(to) {
        case 175: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 176:   //QWidget
      switch(to) {
        case 176: return (void*)(QWidget*)xptr;
        default: return xptr;
      }
    case 178:   //Sonnet::BackgroundChecker
      switch(to) {
        case 158: return (void*)(QObject*)(Sonnet::BackgroundChecker*)xptr;
        case 178: return (void*)(Sonnet::BackgroundChecker*)xptr;
        default: return xptr;
      }
    case 179:   //Sonnet::Speller
      switch(to) {
        case 179: return (void*)(Sonnet::Speller*)xptr;
        default: return xptr;
      }
    case 180:   //group
      switch(to) {
        case 180: return (void*)(group*)xptr;
        default: return xptr;
      }
    case 181:   //kndbgstream
      switch(to) {
        case 181: return (void*)(kndbgstream*)xptr;
        default: return xptr;
      }
    case 182:   //passwd
      switch(to) {
        case 182: return (void*)(passwd*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    158, 0,	// 1: QObject
    147, 0,	// 3: QFile
    76, 0,	// 5: KMacroExpanderBase
    63, 0,	// 7: KJob
    22, 0,	// 9: KConfigBase
    0, 0,	// 11: KConfigSkeletonGenericItem
    33, 0,	// 13: KCoreConfigSkeleton::ItemInt
    43, 0,	// 15: KCoreConfigSkeleton::ItemString
    44, 0,	// 17: KCoreConfigSkeleton::ItemStringList
    21, 0,	// 19: KConfig
    151, 0,	// 21: QIODevice
    154, 0,	// 23: QLibrary
    167, 0,	// 25: QTcpSocket
    164, 0,	// 27: QSharedData
    97, 0,	// 29: KServiceType
    159, 0,	// 31: QPluginLoader
    161, 0,	// 33: QProcess
    106, 0,	// 35: KSycocaEntry
    21, 164, 0,	// 37: KConfig, QSharedData
    116, 0,	// 40: KTimeZone
    120, 0,	// 42: KTimeZoneBackend
    122, 0,	// 44: KTimeZoneSource
    168, 0,	// 46: QTemporaryFile
    174, 0,	// 48: QUrl
    139, 0,	// 50: QDBusAbstractInterface
};

// These are the xenum functions for manipulating enum pointers
void xenum_KAutostart(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KShell(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KLocale(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KLocalSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KConfig(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KUser(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KJob(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KServiceGroup(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KConfigBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KFilterBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KLockFile(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KMessage(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KStandardDirs(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KAboutData(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KUrl(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KCalendarSystem(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KAuth__ActionReply(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KProtocolInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KProcess(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KDateTime(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KService(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KCurrencyCode(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KLibLoader(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KCmdLineArgs(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KEncodingProber(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KSycoca(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KMimeType(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KCoreConfigSkeleton__ItemString(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KAuth__Action(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KProtocolInfo__ExtraField(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KEncodingDetector(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KGlobal(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KComponentData(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Sonnet__Speller(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_KAboutData(Smoke::Index, void*, Smoke::Stack);
void xcall_KAboutLicense(Smoke::Index, void*, Smoke::Stack);
void xcall_KAboutPerson(Smoke::Index, void*, Smoke::Stack);
void xcall_KAuth__Action(Smoke::Index, void*, Smoke::Stack);
void xcall_KAuth__ActionReply(Smoke::Index, void*, Smoke::Stack);
void xcall_KAuth__ActionWatcher(Smoke::Index, void*, Smoke::Stack);
void xcall_KAuthorized(Smoke::Index, void*, Smoke::Stack);
void xcall_KAutoSaveFile(Smoke::Index, void*, Smoke::Stack);
void xcall_KAutostart(Smoke::Index, void*, Smoke::Stack);
void xcall_KCalendarSystem(Smoke::Index, void*, Smoke::Stack);
void xcall_KCharMacroExpander(Smoke::Index, void*, Smoke::Stack);
void xcall_KCharsets(Smoke::Index, void*, Smoke::Stack);
void xcall_KCmdLineArgs(Smoke::Index, void*, Smoke::Stack);
void xcall_KCmdLineOptions(Smoke::Index, void*, Smoke::Stack);
void xcall_KCodecs(Smoke::Index, void*, Smoke::Stack);
void xcall_KComponentData(Smoke::Index, void*, Smoke::Stack);
void xcall_KCompositeJob(Smoke::Index, void*, Smoke::Stack);
void xcall_KConfig(Smoke::Index, void*, Smoke::Stack);
void xcall_KConfigBase(Smoke::Index, void*, Smoke::Stack);
void xcall_KConfigGroup(Smoke::Index, void*, Smoke::Stack);
void xcall_KConfigSkeletonItem(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemBool(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemDateTime(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemDouble(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemEnum(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemEnum__Choice(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemEnum__Choice2(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemInt(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemIntList(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemLongLong(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemPassword(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemPath(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemPathList(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemPoint(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemProperty(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemRect(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemSize(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemString(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemStringList(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemUInt(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemULongLong(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemUrl(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemUrlList(Smoke::Index, void*, Smoke::Stack);
void xcall_KCurrencyCode(Smoke::Index, void*, Smoke::Stack);
void xcall_KDE(Smoke::Index, void*, Smoke::Stack);
void xcall_KDEDModule(Smoke::Index, void*, Smoke::Stack);
void xcall_KDEPluginVerificationData(Smoke::Index, void*, Smoke::Stack);
void xcall_KDateTime(Smoke::Index, void*, Smoke::Stack);
void xcall_KDateTime__Spec(Smoke::Index, void*, Smoke::Stack);
void xcall_KDebug(Smoke::Index, void*, Smoke::Stack);
void xcall_KDebugTag(Smoke::Index, void*, Smoke::Stack);
void xcall_KDesktopFile(Smoke::Index, void*, Smoke::Stack);
void xcall_KEncodingDetector(Smoke::Index, void*, Smoke::Stack);
void xcall_KEncodingProber(Smoke::Index, void*, Smoke::Stack);
void xcall_KFilterBase(Smoke::Index, void*, Smoke::Stack);
void xcall_KFilterDev(Smoke::Index, void*, Smoke::Stack);
void xcall_KGlobal(Smoke::Index, void*, Smoke::Stack);
void xcall_KJob(Smoke::Index, void*, Smoke::Stack);
void xcall_KJobTrackerInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KJobUiDelegate(Smoke::Index, void*, Smoke::Stack);
void xcall_KLibLoader(Smoke::Index, void*, Smoke::Stack);
void xcall_KLibrary(Smoke::Index, void*, Smoke::Stack);
void xcall_KLocalSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_KLocalSocketServer(Smoke::Index, void*, Smoke::Stack);
void xcall_KLocale(Smoke::Index, void*, Smoke::Stack);
void xcall_KLocalizedString(Smoke::Index, void*, Smoke::Stack);
void xcall_KLockFile(Smoke::Index, void*, Smoke::Stack);
void xcall_KMD5(Smoke::Index, void*, Smoke::Stack);
void xcall_KMacroExpander(Smoke::Index, void*, Smoke::Stack);
void xcall_KMacroExpanderBase(Smoke::Index, void*, Smoke::Stack);
void xcall_KMessage(Smoke::Index, void*, Smoke::Stack);
void xcall_KMessageHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_KMimeType(Smoke::Index, void*, Smoke::Stack);
void xcall_KMimeTypeTrader(Smoke::Index, void*, Smoke::Stack);
void xcall_KPluginFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_KPluginInfo(Smoke::Index, void*, Smoke::Stack);
void xcall_KPluginLoader(Smoke::Index, void*, Smoke::Stack);
void xcall_KProcess(Smoke::Index, void*, Smoke::Stack);
void xcall_KProtocolInfo(Smoke::Index, void*, Smoke::Stack);
void xcall_KProtocolInfo__ExtraField(Smoke::Index, void*, Smoke::Stack);
void xcall_KRandom(Smoke::Index, void*, Smoke::Stack);
void xcall_KRandomSequence(Smoke::Index, void*, Smoke::Stack);
void xcall_KSaveFile(Smoke::Index, void*, Smoke::Stack);
void xcall_KService(Smoke::Index, void*, Smoke::Stack);
void xcall_KServiceAction(Smoke::Index, void*, Smoke::Stack);
void xcall_KServiceGroup(Smoke::Index, void*, Smoke::Stack);
void xcall_KServiceType(Smoke::Index, void*, Smoke::Stack);
void xcall_KServiceTypeTrader(Smoke::Index, void*, Smoke::Stack);
void xcall_KSharedConfig(Smoke::Index, void*, Smoke::Stack);
void xcall_KShell(Smoke::Index, void*, Smoke::Stack);
void xcall_KSocketFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_KStandardDirs(Smoke::Index, void*, Smoke::Stack);
void xcall_KStringHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_KSycoca(Smoke::Index, void*, Smoke::Stack);
void xcall_KSycocaEntry(Smoke::Index, void*, Smoke::Stack);
void xcall_KSystemTimeZone(Smoke::Index, void*, Smoke::Stack);
void xcall_KSystemTimeZoneBackend(Smoke::Index, void*, Smoke::Stack);
void xcall_KSystemTimeZoneSource(Smoke::Index, void*, Smoke::Stack);
void xcall_KSystemTimeZones(Smoke::Index, void*, Smoke::Stack);
void xcall_KTempDir(Smoke::Index, void*, Smoke::Stack);
void xcall_KTemporaryFile(Smoke::Index, void*, Smoke::Stack);
void xcall_KTimeZone(Smoke::Index, void*, Smoke::Stack);
void xcall_KTimeZone__LeapSeconds(Smoke::Index, void*, Smoke::Stack);
void xcall_KTimeZone__Phase(Smoke::Index, void*, Smoke::Stack);
void xcall_KTimeZone__Transition(Smoke::Index, void*, Smoke::Stack);
void xcall_KTimeZoneBackend(Smoke::Index, void*, Smoke::Stack);
void xcall_KTimeZoneData(Smoke::Index, void*, Smoke::Stack);
void xcall_KTimeZoneSource(Smoke::Index, void*, Smoke::Stack);
void xcall_KTimeZones(Smoke::Index, void*, Smoke::Stack);
void xcall_KToolInvocation(Smoke::Index, void*, Smoke::Stack);
void xcall_KTzfileTimeZone(Smoke::Index, void*, Smoke::Stack);
void xcall_KTzfileTimeZoneBackend(Smoke::Index, void*, Smoke::Stack);
void xcall_KTzfileTimeZoneSource(Smoke::Index, void*, Smoke::Stack);
void xcall_KUrl(Smoke::Index, void*, Smoke::Stack);
void xcall_KUser(Smoke::Index, void*, Smoke::Stack);
void xcall_KUserGroup(Smoke::Index, void*, Smoke::Stack);
void xcall_KWordMacroExpander(Smoke::Index, void*, Smoke::Stack);
void xcall_OrgKdeKLauncherInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_Sonnet(Smoke::Index, void*, Smoke::Stack);
void xcall_Sonnet__BackgroundChecker(Smoke::Index, void*, Smoke::Stack);
void xcall_Sonnet__Speller(Smoke::Index, void*, Smoke::Stack);
void xcall_kndbgstream(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KAboutData", false, 0, xcall_KAboutData, xenum_KAboutData, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KAboutData) },	//1
    { "KAboutLicense", false, 0, xcall_KAboutLicense, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KAboutLicense) },	//2
    { "KAboutPerson", false, 0, xcall_KAboutPerson, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KAboutPerson) },	//3
    { "KAuth::Action", false, 0, xcall_KAuth__Action, xenum_KAuth__Action, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KAuth::Action) },	//4
    { "KAuth::ActionReply", false, 0, xcall_KAuth__ActionReply, xenum_KAuth__ActionReply, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KAuth::ActionReply) },	//5
    { "KAuth::ActionWatcher", false, 1, xcall_KAuth__ActionWatcher, 0, Smoke::cf_virtual, sizeof(KAuth::ActionWatcher) },	//6
    { "KAuthorized", false, 0, xcall_KAuthorized, 0, Smoke::cf_namespace, 0 },	//7
    { "KAutoSaveFile", false, 3, xcall_KAutoSaveFile, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KAutoSaveFile) },	//8
    { "KAutostart", false, 1, xcall_KAutostart, xenum_KAutostart, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KAutostart) },	//9
    { "KCalendarSystem", false, 0, xcall_KCalendarSystem, xenum_KCalendarSystem, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KCalendarSystem) },	//10
    { "KCalendarSystemPrivate", true, 0, 0, 0, 0, 0 },	//11
    { "KCatalogName", true, 0, 0, 0, 0, 0 },	//12
    { "KCharMacroExpander", false, 5, xcall_KCharMacroExpander, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KCharMacroExpander) },	//13
    { "KCharsets", false, 0, xcall_KCharsets, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KCharsets) },	//14
    { "KCmdLineArgs", false, 0, xcall_KCmdLineArgs, xenum_KCmdLineArgs, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCmdLineArgs) },	//15
    { "KCmdLineOptions", false, 0, xcall_KCmdLineOptions, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCmdLineOptions) },	//16
    { "KCodecs", false, 0, xcall_KCodecs, 0, Smoke::cf_namespace, 0 },	//17
    { "KComponentData", false, 0, xcall_KComponentData, xenum_KComponentData, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KComponentData) },	//18
    { "KCompositeJob", false, 7, xcall_KCompositeJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KCompositeJob) },	//19
    { "KCompositeJobPrivate", true, 0, 0, 0, 0, 0 },	//20
    { "KConfig", false, 9, xcall_KConfig, xenum_KConfig, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KConfig) },	//21
    { "KConfigBase", false, 0, xcall_KConfigBase, xenum_KConfigBase, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KConfigBase) },	//22
    { "KConfigGroup", false, 9, xcall_KConfigGroup, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KConfigGroup) },	//23
    { "KConfigPrivate", true, 0, 0, 0, 0, 0 },	//24
    { "KConfigSkeletonItem", false, 0, xcall_KConfigSkeletonItem, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KConfigSkeletonItem) },	//25
    { "KCoreConfigSkeleton", false, 1, xcall_KCoreConfigSkeleton, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KCoreConfigSkeleton) },	//26
    { "KCoreConfigSkeleton::ItemBool", false, 11, xcall_KCoreConfigSkeleton__ItemBool, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemBool) },	//27
    { "KCoreConfigSkeleton::ItemDateTime", false, 11, xcall_KCoreConfigSkeleton__ItemDateTime, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemDateTime) },	//28
    { "KCoreConfigSkeleton::ItemDouble", false, 11, xcall_KCoreConfigSkeleton__ItemDouble, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemDouble) },	//29
    { "KCoreConfigSkeleton::ItemEnum", false, 13, xcall_KCoreConfigSkeleton__ItemEnum, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemEnum) },	//30
    { "KCoreConfigSkeleton::ItemEnum::Choice", false, 0, xcall_KCoreConfigSkeleton__ItemEnum__Choice, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemEnum::Choice) },	//31
    { "KCoreConfigSkeleton::ItemEnum::Choice2", false, 0, xcall_KCoreConfigSkeleton__ItemEnum__Choice2, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemEnum::Choice2) },	//32
    { "KCoreConfigSkeleton::ItemInt", false, 11, xcall_KCoreConfigSkeleton__ItemInt, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemInt) },	//33
    { "KCoreConfigSkeleton::ItemIntList", false, 11, xcall_KCoreConfigSkeleton__ItemIntList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemIntList) },	//34
    { "KCoreConfigSkeleton::ItemLongLong", false, 11, xcall_KCoreConfigSkeleton__ItemLongLong, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemLongLong) },	//35
    { "KCoreConfigSkeleton::ItemPassword", false, 15, xcall_KCoreConfigSkeleton__ItemPassword, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemPassword) },	//36
    { "KCoreConfigSkeleton::ItemPath", false, 15, xcall_KCoreConfigSkeleton__ItemPath, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemPath) },	//37
    { "KCoreConfigSkeleton::ItemPathList", false, 17, xcall_KCoreConfigSkeleton__ItemPathList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemPathList) },	//38
    { "KCoreConfigSkeleton::ItemPoint", false, 11, xcall_KCoreConfigSkeleton__ItemPoint, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemPoint) },	//39
    { "KCoreConfigSkeleton::ItemProperty", false, 11, xcall_KCoreConfigSkeleton__ItemProperty, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemProperty) },	//40
    { "KCoreConfigSkeleton::ItemRect", false, 11, xcall_KCoreConfigSkeleton__ItemRect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemRect) },	//41
    { "KCoreConfigSkeleton::ItemSize", false, 11, xcall_KCoreConfigSkeleton__ItemSize, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemSize) },	//42
    { "KCoreConfigSkeleton::ItemString", false, 11, xcall_KCoreConfigSkeleton__ItemString, xenum_KCoreConfigSkeleton__ItemString, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemString) },	//43
    { "KCoreConfigSkeleton::ItemStringList", false, 11, xcall_KCoreConfigSkeleton__ItemStringList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemStringList) },	//44
    { "KCoreConfigSkeleton::ItemUInt", false, 11, xcall_KCoreConfigSkeleton__ItemUInt, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemUInt) },	//45
    { "KCoreConfigSkeleton::ItemULongLong", false, 11, xcall_KCoreConfigSkeleton__ItemULongLong, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemULongLong) },	//46
    { "KCoreConfigSkeleton::ItemUrl", false, 11, xcall_KCoreConfigSkeleton__ItemUrl, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemUrl) },	//47
    { "KCoreConfigSkeleton::ItemUrlList", false, 11, xcall_KCoreConfigSkeleton__ItemUrlList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemUrlList) },	//48
    { "KCurrencyCode", false, 0, xcall_KCurrencyCode, xenum_KCurrencyCode, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KCurrencyCode) },	//49
    { "KDE", false, 0, xcall_KDE, 0, Smoke::cf_namespace, 0 },	//50
    { "KDEDModule", false, 1, xcall_KDEDModule, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KDEDModule) },	//51
    { "KDEPluginVerificationData", false, 0, xcall_KDEPluginVerificationData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KDEPluginVerificationData) },	//52
    { "KDateTime", false, 0, xcall_KDateTime, xenum_KDateTime, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KDateTime) },	//53
    { "KDateTime::Spec", false, 0, xcall_KDateTime__Spec, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KDateTime::Spec) },	//54
    { "KDebug", false, 0, xcall_KDebug, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KDebug) },	//55
    { "KDebugTag", false, 0, xcall_KDebugTag, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KDebugTag) },	//56
    { "KDesktopFile", false, 19, xcall_KDesktopFile, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KDesktopFile) },	//57
    { "KEncodingDetector", false, 0, xcall_KEncodingDetector, xenum_KEncodingDetector, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KEncodingDetector) },	//58
    { "KEncodingProber", false, 0, xcall_KEncodingProber, xenum_KEncodingProber, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KEncodingProber) },	//59
    { "KFilterBase", false, 0, xcall_KFilterBase, xenum_KFilterBase, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KFilterBase) },	//60
    { "KFilterDev", false, 21, xcall_KFilterDev, 0, Smoke::cf_virtual, sizeof(KFilterDev) },	//61
    { "KGlobal", false, 0, xcall_KGlobal, xenum_KGlobal, Smoke::cf_namespace, 0 },	//62
    { "KJob", false, 1, xcall_KJob, xenum_KJob, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KJob) },	//63
    { "KJobPrivate", true, 0, 0, 0, 0, 0 },	//64
    { "KJobTrackerInterface", false, 1, xcall_KJobTrackerInterface, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KJobTrackerInterface) },	//65
    { "KJobUiDelegate", false, 1, xcall_KJobUiDelegate, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KJobUiDelegate) },	//66
    { "KLibLoader", false, 1, xcall_KLibLoader, xenum_KLibLoader, Smoke::cf_virtual, sizeof(KLibLoader) },	//67
    { "KLibrary", false, 23, xcall_KLibrary, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KLibrary) },	//68
    { "KLocalSocket", false, 25, xcall_KLocalSocket, xenum_KLocalSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KLocalSocket) },	//69
    { "KLocalSocketServer", false, 1, xcall_KLocalSocketServer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KLocalSocketServer) },	//70
    { "KLocale", false, 0, xcall_KLocale, xenum_KLocale, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KLocale) },	//71
    { "KLocalizedString", false, 0, xcall_KLocalizedString, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KLocalizedString) },	//72
    { "KLockFile", false, 27, xcall_KLockFile, xenum_KLockFile, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KLockFile) },	//73
    { "KMD5", false, 0, xcall_KMD5, 0, Smoke::cf_constructor, sizeof(KMD5) },	//74
    { "KMacroExpander", false, 0, xcall_KMacroExpander, 0, Smoke::cf_namespace, 0 },	//75
    { "KMacroExpanderBase", false, 0, xcall_KMacroExpanderBase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KMacroExpanderBase) },	//76
    { "KMessage", false, 0, xcall_KMessage, xenum_KMessage, Smoke::cf_namespace, 0 },	//77
    { "KMessageHandler", false, 0, xcall_KMessageHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KMessageHandler) },	//78
    { "KMimeType", false, 29, xcall_KMimeType, xenum_KMimeType, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KMimeType) },	//79
    { "KMimeTypePrivate", true, 0, 0, 0, 0, 0 },	//80
    { "KMimeTypeTrader", false, 0, xcall_KMimeTypeTrader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KMimeTypeTrader) },	//81
    { "KParts::Part", true, 0, 0, 0, 0, 0 },	//82
    { "KPluginFactory", false, 1, xcall_KPluginFactory, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KPluginFactory) },	//83
    { "KPluginFactoryPrivate", true, 0, 0, 0, 0, 0 },	//84
    { "KPluginInfo", false, 0, xcall_KPluginInfo, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KPluginInfo) },	//85
    { "KPluginLoader", false, 31, xcall_KPluginLoader, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KPluginLoader) },	//86
    { "KProcess", false, 33, xcall_KProcess, xenum_KProcess, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KProcess) },	//87
    { "KProcessPrivate", true, 0, 0, 0, 0, 0 },	//88
    { "KProtocolInfo", false, 35, xcall_KProtocolInfo, xenum_KProtocolInfo, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KProtocolInfo) },	//89
    { "KProtocolInfo::ExtraField", false, 0, xcall_KProtocolInfo__ExtraField, xenum_KProtocolInfo__ExtraField, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KProtocolInfo::ExtraField) },	//90
    { "KRandom", false, 0, xcall_KRandom, 0, Smoke::cf_namespace, 0 },	//91
    { "KRandomSequence", false, 0, xcall_KRandomSequence, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KRandomSequence) },	//92
    { "KSaveFile", false, 3, xcall_KSaveFile, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KSaveFile) },	//93
    { "KService", false, 35, xcall_KService, xenum_KService, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KService) },	//94
    { "KServiceAction", false, 0, xcall_KServiceAction, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KServiceAction) },	//95
    { "KServiceGroup", false, 35, xcall_KServiceGroup, xenum_KServiceGroup, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KServiceGroup) },	//96
    { "KServiceType", false, 35, xcall_KServiceType, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KServiceType) },	//97
    { "KServiceTypePrivate", true, 0, 0, 0, 0, 0 },	//98
    { "KServiceTypeTrader", false, 0, xcall_KServiceTypeTrader, 0, 0, sizeof(KServiceTypeTrader) },	//99
    { "KSharedConfig", false, 37, xcall_KSharedConfig, 0, Smoke::cf_virtual, sizeof(KSharedConfig) },	//100
    { "KShell", false, 0, xcall_KShell, xenum_KShell, Smoke::cf_namespace, 0 },	//101
    { "KSocketFactory", false, 0, xcall_KSocketFactory, 0, Smoke::cf_namespace, 0 },	//102
    { "KStandardDirs", false, 0, xcall_KStandardDirs, xenum_KStandardDirs, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KStandardDirs) },	//103
    { "KStringHandler", false, 0, xcall_KStringHandler, 0, Smoke::cf_namespace, 0 },	//104
    { "KSycoca", false, 1, xcall_KSycoca, xenum_KSycoca, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KSycoca) },	//105
    { "KSycocaEntry", false, 27, xcall_KSycocaEntry, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KSycocaEntry) },	//106
    { "KSycocaEntryPrivate", true, 0, 0, 0, 0, 0 },	//107
    { "KSycocaFactory", true, 0, 0, 0, 0, 0 },	//108
    { "KSycocaFactoryList", true, 0, 0, 0, 0, 0 },	//109
    { "KSystemTimeZone", false, 40, xcall_KSystemTimeZone, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KSystemTimeZone) },	//110
    { "KSystemTimeZoneBackend", false, 42, xcall_KSystemTimeZoneBackend, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KSystemTimeZoneBackend) },	//111
    { "KSystemTimeZoneSource", false, 44, xcall_KSystemTimeZoneSource, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KSystemTimeZoneSource) },	//112
    { "KSystemTimeZones", false, 1, xcall_KSystemTimeZones, 0, Smoke::cf_virtual, sizeof(KSystemTimeZones) },	//113
    { "KTempDir", false, 0, xcall_KTempDir, 0, Smoke::cf_constructor, sizeof(KTempDir) },	//114
    { "KTemporaryFile", false, 46, xcall_KTemporaryFile, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTemporaryFile) },	//115
    { "KTimeZone", false, 0, xcall_KTimeZone, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTimeZone) },	//116
    { "KTimeZone::LeapSeconds", false, 0, xcall_KTimeZone__LeapSeconds, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KTimeZone::LeapSeconds) },	//117
    { "KTimeZone::Phase", false, 0, xcall_KTimeZone__Phase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KTimeZone::Phase) },	//118
    { "KTimeZone::Transition", false, 0, xcall_KTimeZone__Transition, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KTimeZone::Transition) },	//119
    { "KTimeZoneBackend", false, 0, xcall_KTimeZoneBackend, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTimeZoneBackend) },	//120
    { "KTimeZoneData", false, 0, xcall_KTimeZoneData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTimeZoneData) },	//121
    { "KTimeZoneSource", false, 0, xcall_KTimeZoneSource, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTimeZoneSource) },	//122
    { "KTimeZones", false, 0, xcall_KTimeZones, 0, Smoke::cf_constructor, sizeof(KTimeZones) },	//123
    { "KToolInvocation", false, 1, xcall_KToolInvocation, 0, Smoke::cf_virtual, sizeof(KToolInvocation) },	//124
    { "KTzfileTimeZone", false, 40, xcall_KTzfileTimeZone, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTzfileTimeZone) },	//125
    { "KTzfileTimeZoneBackend", false, 42, xcall_KTzfileTimeZoneBackend, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTzfileTimeZoneBackend) },	//126
    { "KTzfileTimeZoneSource", false, 44, xcall_KTzfileTimeZoneSource, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTzfileTimeZoneSource) },	//127
    { "KUrl", false, 48, xcall_KUrl, xenum_KUrl, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KUrl) },	//128
    { "KUser", false, 0, xcall_KUser, xenum_KUser, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KUser) },	//129
    { "KUserGroup", false, 0, xcall_KUserGroup, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KUserGroup) },	//130
    { "KWordMacroExpander", false, 5, xcall_KWordMacroExpander, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KWordMacroExpander) },	//131
    { "OrgKdeKLauncherInterface", false, 50, xcall_OrgKdeKLauncherInterface, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(OrgKdeKLauncherInterface) },	//132
    { "QAbstractFileEngine", true, 0, 0, 0, 0, 0 },	//133
    { "QAbstractSocket", true, 0, 0, 0, 0, 0 },	//134
    { "QBool", true, 0, 0, 0, 0, 0 },	//135
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//136
    { "QChar", true, 0, 0, 0, 0, 0 },	//137
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//138
    { "QDBusAbstractInterface", true, 0, 0, 0, 0, 0 },	//139
    { "QDBusConnection", true, 0, 0, 0, 0, 0 },	//140
    { "QDBusObjectPath", true, 0, 0, 0, 0, 0 },	//141
    { "QDBusSignature", true, 0, 0, 0, 0, 0 },	//142
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//143
    { "QDate", true, 0, 0, 0, 0, 0 },	//144
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//145
    { "QEvent", true, 0, 0, 0, 0, 0 },	//146
    { "QFile", true, 0, 0, 0, 0, 0 },	//147
    { "QFileInfo", true, 0, 0, 0, 0, 0 },	//148
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//149
    { "QHostAddress", true, 0, 0, 0, 0, 0 },	//150
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//151
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//152
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//153
    { "QLibrary", true, 0, 0, 0, 0, 0 },	//154
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//155
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//156
    { "QNetworkProxy", true, 0, 0, 0, 0, 0 },	//157
    { "QObject", true, 0, 0, 0, 0, 0 },	//158
    { "QPluginLoader", true, 0, 0, 0, 0, 0 },	//159
    { "QPoint", true, 0, 0, 0, 0, 0 },	//160
    { "QProcess", true, 0, 0, 0, 0, 0 },	//161
    { "QRect", true, 0, 0, 0, 0, 0 },	//162
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//163
    { "QSharedData", true, 0, 0, 0, 0, 0 },	//164
    { "QSize", true, 0, 0, 0, 0, 0 },	//165
    { "QTcpServer", true, 0, 0, 0, 0, 0 },	//166
    { "QTcpSocket", true, 0, 0, 0, 0, 0 },	//167
    { "QTemporaryFile", true, 0, 0, 0, 0, 0 },	//168
    { "QTextCodec", true, 0, 0, 0, 0, 0 },	//169
    { "QTextDecoder", true, 0, 0, 0, 0, 0 },	//170
    { "QTime", true, 0, 0, 0, 0, 0 },	//171
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//172
    { "QUdpSocket", true, 0, 0, 0, 0, 0 },	//173
    { "QUrl", true, 0, 0, 0, 0, 0 },	//174
    { "QVariant", true, 0, 0, 0, 0, 0 },	//175
    { "QWidget", true, 0, 0, 0, 0, 0 },	//176
    { "Sonnet", false, 0, xcall_Sonnet, 0, Smoke::cf_namespace, 0 },	//177
    { "Sonnet::BackgroundChecker", false, 1, xcall_Sonnet__BackgroundChecker, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Sonnet::BackgroundChecker) },	//178
    { "Sonnet::Speller", false, 0, xcall_Sonnet__Speller, xenum_Sonnet__Speller, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Sonnet::Speller) },	//179
    { "group", true, 0, 0, 0, 0, 0 },	//180
    { "kndbgstream", false, 0, xcall_kndbgstream, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(kndbgstream) },	//181
    { "passwd", true, 0, 0, 0, 0, 0 },	//182
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "DatabaseType", 0, Smoke::t_voidp|Smoke::tf_stack },	//1
    { "FILE*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//2
    { "FileNameUsedForCopying", 0, Smoke::t_voidp|Smoke::tf_stack },	//3
    { "KAboutData&", 1, Smoke::t_class|Smoke::tf_ref },	//4
    { "KAboutData*", 1, Smoke::t_class|Smoke::tf_ptr },	//5
    { "KAboutData::LicenseKey", 1, Smoke::t_enum|Smoke::tf_stack },	//6
    { "KAboutData::NameFormat", 1, Smoke::t_enum|Smoke::tf_stack },	//7
    { "KAboutLicense", 2, Smoke::t_class|Smoke::tf_stack },	//8
    { "KAboutLicense&", 2, Smoke::t_class|Smoke::tf_ref },	//9
    { "KAboutLicense*", 2, Smoke::t_class|Smoke::tf_ptr },	//10
    { "KAboutPerson", 3, Smoke::t_class|Smoke::tf_stack },	//11
    { "KAboutPerson&", 3, Smoke::t_class|Smoke::tf_ref },	//12
    { "KAboutPerson*", 3, Smoke::t_class|Smoke::tf_ptr },	//13
    { "KAuth::Action", 4, Smoke::t_class|Smoke::tf_stack },	//14
    { "KAuth::Action&", 4, Smoke::t_class|Smoke::tf_ref },	//15
    { "KAuth::Action*", 4, Smoke::t_class|Smoke::tf_ptr },	//16
    { "KAuth::Action::AuthStatus", 4, Smoke::t_enum|Smoke::tf_stack },	//17
    { "KAuth::ActionReply", 5, Smoke::t_class|Smoke::tf_stack },	//18
    { "KAuth::ActionReply&", 5, Smoke::t_class|Smoke::tf_ref },	//19
    { "KAuth::ActionReply*", 5, Smoke::t_class|Smoke::tf_ptr },	//20
    { "KAuth::ActionReply::Error", 5, Smoke::t_enum|Smoke::tf_stack },	//21
    { "KAuth::ActionReply::Type", 5, Smoke::t_enum|Smoke::tf_stack },	//22
    { "KAuth::ActionWatcher*", 6, Smoke::t_class|Smoke::tf_ptr },	//23
    { "KAutoSaveFile*", 8, Smoke::t_class|Smoke::tf_ptr },	//24
    { "KAutostart*", 9, Smoke::t_class|Smoke::tf_ptr },	//25
    { "KAutostart::Condition", 9, Smoke::t_enum|Smoke::tf_stack },	//26
    { "KAutostart::StartPhase", 9, Smoke::t_enum|Smoke::tf_stack },	//27
    { "KCalendarSystem*", 10, Smoke::t_class|Smoke::tf_ptr },	//28
    { "KCalendarSystem::MonthNameFormat", 10, Smoke::t_enum|Smoke::tf_stack },	//29
    { "KCalendarSystem::StringFormat", 10, Smoke::t_enum|Smoke::tf_stack },	//30
    { "KCalendarSystem::WeekDayNameFormat", 10, Smoke::t_enum|Smoke::tf_stack },	//31
    { "KCalendarSystemPrivate&", 11, Smoke::t_class|Smoke::tf_ref },	//32
    { "KCatalogName", 12, Smoke::t_class|Smoke::tf_stack },	//33
    { "KCharMacroExpander*", 13, Smoke::t_class|Smoke::tf_ptr },	//34
    { "KCharsets*", 14, Smoke::t_class|Smoke::tf_ptr },	//35
    { "KCmdLineArgs*", 15, Smoke::t_class|Smoke::tf_ptr },	//36
    { "KCmdLineArgs::StdCmdLineArg", 15, Smoke::t_enum|Smoke::tf_stack },	//37
    { "KCmdLineOptions&", 16, Smoke::t_class|Smoke::tf_ref },	//38
    { "KCmdLineOptions*", 16, Smoke::t_class|Smoke::tf_ptr },	//39
    { "KComponentData", 18, Smoke::t_class|Smoke::tf_stack },	//40
    { "KComponentData&", 18, Smoke::t_class|Smoke::tf_ref },	//41
    { "KComponentData*", 18, Smoke::t_class|Smoke::tf_ptr },	//42
    { "KComponentData::MainComponentRegistration", 18, Smoke::t_enum|Smoke::tf_stack },	//43
    { "KCompositeJob*", 19, Smoke::t_class|Smoke::tf_ptr },	//44
    { "KCompositeJobPrivate&", 20, Smoke::t_class|Smoke::tf_ref },	//45
    { "KConfig*", 21, Smoke::t_class|Smoke::tf_ptr },	//46
    { "KConfig::OpenFlag", 21, Smoke::t_enum|Smoke::tf_stack },	//47
    { "KConfigBase*", 22, Smoke::t_class|Smoke::tf_ptr },	//48
    { "KConfigBase::AccessMode", 22, Smoke::t_enum|Smoke::tf_stack },	//49
    { "KConfigBase::WriteConfigFlag", 22, Smoke::t_enum|Smoke::tf_stack },	//50
    { "KConfigGroup", 23, Smoke::t_class|Smoke::tf_stack },	//51
    { "KConfigGroup&", 23, Smoke::t_class|Smoke::tf_ref },	//52
    { "KConfigGroup*", 23, Smoke::t_class|Smoke::tf_ptr },	//53
    { "KConfigPrivate&", 24, Smoke::t_class|Smoke::tf_ref },	//54
    { "KConfigSkeletonItem*", 25, Smoke::t_class|Smoke::tf_ptr },	//55
    { "KCoreConfigSkeleton*", 26, Smoke::t_class|Smoke::tf_ptr },	//56
    { "KCoreConfigSkeleton::ItemBool*", 27, Smoke::t_class|Smoke::tf_ptr },	//57
    { "KCoreConfigSkeleton::ItemDateTime*", 28, Smoke::t_class|Smoke::tf_ptr },	//58
    { "KCoreConfigSkeleton::ItemDouble*", 29, Smoke::t_class|Smoke::tf_ptr },	//59
    { "KCoreConfigSkeleton::ItemEnum*", 30, Smoke::t_class|Smoke::tf_ptr },	//60
    { "KCoreConfigSkeleton::ItemEnum::Choice", 31, Smoke::t_class|Smoke::tf_stack },	//61
    { "KCoreConfigSkeleton::ItemEnum::Choice*", 31, Smoke::t_class|Smoke::tf_ptr },	//62
    { "KCoreConfigSkeleton::ItemEnum::Choice2", 32, Smoke::t_class|Smoke::tf_stack },	//63
    { "KCoreConfigSkeleton::ItemEnum::Choice2*", 32, Smoke::t_class|Smoke::tf_ptr },	//64
    { "KCoreConfigSkeleton::ItemInt*", 33, Smoke::t_class|Smoke::tf_ptr },	//65
    { "KCoreConfigSkeleton::ItemIntList*", 34, Smoke::t_class|Smoke::tf_ptr },	//66
    { "KCoreConfigSkeleton::ItemLongLong*", 35, Smoke::t_class|Smoke::tf_ptr },	//67
    { "KCoreConfigSkeleton::ItemPassword*", 36, Smoke::t_class|Smoke::tf_ptr },	//68
    { "KCoreConfigSkeleton::ItemPath*", 37, Smoke::t_class|Smoke::tf_ptr },	//69
    { "KCoreConfigSkeleton::ItemPathList*", 38, Smoke::t_class|Smoke::tf_ptr },	//70
    { "KCoreConfigSkeleton::ItemPoint*", 39, Smoke::t_class|Smoke::tf_ptr },	//71
    { "KCoreConfigSkeleton::ItemProperty*", 40, Smoke::t_class|Smoke::tf_ptr },	//72
    { "KCoreConfigSkeleton::ItemRect*", 41, Smoke::t_class|Smoke::tf_ptr },	//73
    { "KCoreConfigSkeleton::ItemSize*", 42, Smoke::t_class|Smoke::tf_ptr },	//74
    { "KCoreConfigSkeleton::ItemString*", 43, Smoke::t_class|Smoke::tf_ptr },	//75
    { "KCoreConfigSkeleton::ItemString::Type", 43, Smoke::t_enum|Smoke::tf_stack },	//76
    { "KCoreConfigSkeleton::ItemStringList*", 44, Smoke::t_class|Smoke::tf_ptr },	//77
    { "KCoreConfigSkeleton::ItemUInt*", 45, Smoke::t_class|Smoke::tf_ptr },	//78
    { "KCoreConfigSkeleton::ItemULongLong*", 46, Smoke::t_class|Smoke::tf_ptr },	//79
    { "KCoreConfigSkeleton::ItemUrl*", 47, Smoke::t_class|Smoke::tf_ptr },	//80
    { "KCoreConfigSkeleton::ItemUrlList*", 48, Smoke::t_class|Smoke::tf_ptr },	//81
    { "KCurrencyCode&", 49, Smoke::t_class|Smoke::tf_ref },	//82
    { "KCurrencyCode*", 49, Smoke::t_class|Smoke::tf_ptr },	//83
    { "KCurrencyCode::CurrencyStatus", 49, Smoke::t_enum|Smoke::tf_stack },	//84
    { "KDEDModule*", 51, Smoke::t_class|Smoke::tf_ptr },	//85
    { "KDEPluginVerificationData*", 52, Smoke::t_class|Smoke::tf_ptr },	//86
    { "KDateTime", 53, Smoke::t_class|Smoke::tf_stack },	//87
    { "KDateTime&", 53, Smoke::t_class|Smoke::tf_ref },	//88
    { "KDateTime*", 53, Smoke::t_class|Smoke::tf_ptr },	//89
    { "KDateTime::Comparison", 53, Smoke::t_enum|Smoke::tf_stack },	//90
    { "KDateTime::Spec", 54, Smoke::t_class|Smoke::tf_stack },	//91
    { "KDateTime::Spec&", 54, Smoke::t_class|Smoke::tf_ref },	//92
    { "KDateTime::Spec*", 54, Smoke::t_class|Smoke::tf_ptr },	//93
    { "KDateTime::SpecType", 53, Smoke::t_enum|Smoke::tf_stack },	//94
    { "KDateTime::TimeFormat", 53, Smoke::t_enum|Smoke::tf_stack },	//95
    { "KDebug*", 55, Smoke::t_class|Smoke::tf_ptr },	//96
    { "KDebugTag*", 56, Smoke::t_class|Smoke::tf_ptr },	//97
    { "KDesktopFile*", 57, Smoke::t_class|Smoke::tf_ptr },	//98
    { "KEncodingDetector*", 58, Smoke::t_class|Smoke::tf_ptr },	//99
    { "KEncodingDetector::AutoDetectScript", 58, Smoke::t_enum|Smoke::tf_stack },	//100
    { "KEncodingDetector::EncodingChoiceSource", 58, Smoke::t_enum|Smoke::tf_stack },	//101
    { "KEncodingProber*", 59, Smoke::t_class|Smoke::tf_ptr },	//102
    { "KEncodingProber::ProberState", 59, Smoke::t_enum|Smoke::tf_stack },	//103
    { "KEncodingProber::ProberType", 59, Smoke::t_enum|Smoke::tf_stack },	//104
    { "KFilterBase*", 60, Smoke::t_class|Smoke::tf_ptr },	//105
    { "KFilterBase::FilterFlags", 60, Smoke::t_enum|Smoke::tf_stack },	//106
    { "KFilterBase::Result", 60, Smoke::t_enum|Smoke::tf_stack },	//107
    { "KGlobal::CopyCatalogs", 62, Smoke::t_enum|Smoke::tf_stack },	//108
    { "KJob*", 63, Smoke::t_class|Smoke::tf_ptr },	//109
    { "KJob::Capability", 63, Smoke::t_enum|Smoke::tf_stack },	//110
    { "KJob::KillVerbosity", 63, Smoke::t_enum|Smoke::tf_stack },	//111
    { "KJob::Unit", 63, Smoke::t_enum|Smoke::tf_stack },	//112
    { "KJobPrivate&", 64, Smoke::t_class|Smoke::tf_ref },	//113
    { "KJobTrackerInterface*", 65, Smoke::t_class|Smoke::tf_ptr },	//114
    { "KJobUiDelegate*", 66, Smoke::t_class|Smoke::tf_ptr },	//115
    { "KLibLoader*", 67, Smoke::t_class|Smoke::tf_ptr },	//116
    { "KLibLoader::ComponentLoadingError", 67, Smoke::t_enum|Smoke::tf_stack },	//117
    { "KLibrary*", 68, Smoke::t_class|Smoke::tf_ptr },	//118
    { "KLocalSocket*", 69, Smoke::t_class|Smoke::tf_ptr },	//119
    { "KLocalSocket::LocalSocketType", 69, Smoke::t_enum|Smoke::tf_stack },	//120
    { "KLocalSocketServer*", 70, Smoke::t_class|Smoke::tf_ptr },	//121
    { "KLocale&", 71, Smoke::t_class|Smoke::tf_ref },	//122
    { "KLocale*", 71, Smoke::t_class|Smoke::tf_ptr },	//123
    { "KLocale::BinarySizeUnits", 71, Smoke::t_enum|Smoke::tf_stack },	//124
    { "KLocale::BinaryUnitDialect", 71, Smoke::t_enum|Smoke::tf_stack },	//125
    { "KLocale::CalendarSystem", 71, Smoke::t_enum|Smoke::tf_stack },	//126
    { "KLocale::DateFormat", 71, Smoke::t_enum|Smoke::tf_stack },	//127
    { "KLocale::DateTimeComponent", 71, Smoke::t_enum|Smoke::tf_stack },	//128
    { "KLocale::DateTimeComponentFormat", 71, Smoke::t_enum|Smoke::tf_stack },	//129
    { "KLocale::DateTimeFormatOption", 71, Smoke::t_enum|Smoke::tf_stack },	//130
    { "KLocale::DateTimeFormatStandard", 71, Smoke::t_enum|Smoke::tf_stack },	//131
    { "KLocale::DateTimeParseMode", 71, Smoke::t_enum|Smoke::tf_stack },	//132
    { "KLocale::DigitSet", 71, Smoke::t_enum|Smoke::tf_stack },	//133
    { "KLocale::MeasureSystem", 71, Smoke::t_enum|Smoke::tf_stack },	//134
    { "KLocale::ReadDateFlags", 71, Smoke::t_enum|Smoke::tf_stack },	//135
    { "KLocale::ReadTimeFlags", 71, Smoke::t_enum|Smoke::tf_stack },	//136
    { "KLocale::SignPosition", 71, Smoke::t_enum|Smoke::tf_stack },	//137
    { "KLocale::TimeFormatOption", 71, Smoke::t_enum|Smoke::tf_stack },	//138
    { "KLocale::TimeProcessingOption", 71, Smoke::t_enum|Smoke::tf_stack },	//139
    { "KLocale::WeekNumberSystem", 71, Smoke::t_enum|Smoke::tf_stack },	//140
    { "KLocalizedString", 72, Smoke::t_class|Smoke::tf_stack },	//141
    { "KLocalizedString&", 72, Smoke::t_class|Smoke::tf_ref },	//142
    { "KLocalizedString*", 72, Smoke::t_class|Smoke::tf_ptr },	//143
    { "KLockFile*", 73, Smoke::t_class|Smoke::tf_ptr },	//144
    { "KLockFile::LockFlag", 73, Smoke::t_enum|Smoke::tf_stack },	//145
    { "KLockFile::LockResult", 73, Smoke::t_enum|Smoke::tf_stack },	//146
    { "KMD5*", 74, Smoke::t_class|Smoke::tf_ptr },	//147
    { "KMacroExpanderBase*", 76, Smoke::t_class|Smoke::tf_ptr },	//148
    { "KMessage::MessageType", 77, Smoke::t_enum|Smoke::tf_stack },	//149
    { "KMessageHandler*", 78, Smoke::t_class|Smoke::tf_ptr },	//150
    { "KMimeType", 79, Smoke::t_class|Smoke::tf_stack },	//151
    { "KMimeType*", 79, Smoke::t_class|Smoke::tf_ptr },	//152
    { "KMimeType::FindByNameOption", 79, Smoke::t_enum|Smoke::tf_stack },	//153
    { "KMimeTypePrivate&", 80, Smoke::t_class|Smoke::tf_ref },	//154
    { "KMimeTypeTrader*", 81, Smoke::t_class|Smoke::tf_ptr },	//155
    { "KParts::Part*", 82, Smoke::t_class|Smoke::tf_ptr },	//156
    { "KPluginFactory*", 83, Smoke::t_class|Smoke::tf_ptr },	//157
    { "KPluginFactoryPrivate&", 84, Smoke::t_class|Smoke::tf_ref },	//158
    { "KPluginInfo", 85, Smoke::t_class|Smoke::tf_stack },	//159
    { "KPluginInfo&", 85, Smoke::t_class|Smoke::tf_ref },	//160
    { "KPluginInfo*", 85, Smoke::t_class|Smoke::tf_ptr },	//161
    { "KPluginLoader*", 86, Smoke::t_class|Smoke::tf_ptr },	//162
    { "KProcess&", 87, Smoke::t_class|Smoke::tf_ref },	//163
    { "KProcess*", 87, Smoke::t_class|Smoke::tf_ptr },	//164
    { "KProcess::OutputChannelMode", 87, Smoke::t_enum|Smoke::tf_stack },	//165
    { "KProcessPrivate*", 88, Smoke::t_class|Smoke::tf_ptr },	//166
    { "KProtocolInfo*", 89, Smoke::t_class|Smoke::tf_ptr },	//167
    { "KProtocolInfo::ExtraField", 90, Smoke::t_class|Smoke::tf_stack },	//168
    { "KProtocolInfo::ExtraField&", 90, Smoke::t_class|Smoke::tf_ref },	//169
    { "KProtocolInfo::ExtraField*", 90, Smoke::t_class|Smoke::tf_ptr },	//170
    { "KProtocolInfo::ExtraField::Type", 90, Smoke::t_enum|Smoke::tf_stack },	//171
    { "KProtocolInfo::FileNameUsedForCopying", 89, Smoke::t_enum|Smoke::tf_stack },	//172
    { "KProtocolInfo::Type", 89, Smoke::t_enum|Smoke::tf_stack },	//173
    { "KRandomSequence&", 92, Smoke::t_class|Smoke::tf_ref },	//174
    { "KRandomSequence*", 92, Smoke::t_class|Smoke::tf_ptr },	//175
    { "KSaveFile*", 93, Smoke::t_class|Smoke::tf_ptr },	//176
    { "KService", 94, Smoke::t_class|Smoke::tf_stack },	//177
    { "KService*", 94, Smoke::t_class|Smoke::tf_ptr },	//178
    { "KService::DBusStartupType", 94, Smoke::t_enum|Smoke::tf_stack },	//179
    { "KServiceAction", 95, Smoke::t_class|Smoke::tf_stack },	//180
    { "KServiceAction&", 95, Smoke::t_class|Smoke::tf_ref },	//181
    { "KServiceAction*", 95, Smoke::t_class|Smoke::tf_ptr },	//182
    { "KServiceGroup", 96, Smoke::t_class|Smoke::tf_stack },	//183
    { "KServiceGroup*", 96, Smoke::t_class|Smoke::tf_ptr },	//184
    { "KServiceGroup::EntriesOption", 96, Smoke::t_enum|Smoke::tf_stack },	//185
    { "KServiceType", 97, Smoke::t_class|Smoke::tf_stack },	//186
    { "KServiceType*", 97, Smoke::t_class|Smoke::tf_ptr },	//187
    { "KServiceTypePrivate&", 98, Smoke::t_class|Smoke::tf_ref },	//188
    { "KServiceTypeTrader*", 99, Smoke::t_class|Smoke::tf_ptr },	//189
    { "KSharedConfig", 100, Smoke::t_class|Smoke::tf_stack },	//190
    { "KSharedPtr<KMimeType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//191
    { "KSharedPtr<KService>", 0, Smoke::t_voidp|Smoke::tf_stack },	//192
    { "KSharedPtr<KServiceGroup>", 0, Smoke::t_voidp|Smoke::tf_stack },	//193
    { "KSharedPtr<KServiceType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//194
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//195
    { "KSharedPtr<KSycocaEntry>", 0, Smoke::t_voidp|Smoke::tf_stack },	//196
    { "KShell::Errors", 101, Smoke::t_enum|Smoke::tf_stack },	//197
    { "KShell::Errors*", 101, Smoke::t_enum|Smoke::tf_ptr },	//198
    { "KShell::Option", 101, Smoke::t_enum|Smoke::tf_stack },	//199
    { "KSortableList<KSharedPtr<KSycocaEntry>,QByteArray>", 0, Smoke::t_voidp|Smoke::tf_stack },	//200
    { "KStandardDirs*", 103, Smoke::t_class|Smoke::tf_ptr },	//201
    { "KStandardDirs::SearchOption", 103, Smoke::t_enum|Smoke::tf_stack },	//202
    { "KSycoca*", 105, Smoke::t_class|Smoke::tf_ptr },	//203
    { "KSycoca::DatabaseType", 105, Smoke::t_enum|Smoke::tf_stack },	//204
    { "KSycocaEntry", 106, Smoke::t_class|Smoke::tf_stack },	//205
    { "KSycocaEntry*", 106, Smoke::t_class|Smoke::tf_ptr },	//206
    { "KSycocaEntryPrivate&", 107, Smoke::t_class|Smoke::tf_ref },	//207
    { "KSycocaFactory*", 108, Smoke::t_class|Smoke::tf_ptr },	//208
    { "KSycocaFactoryId", 149, Smoke::t_enum|Smoke::tf_stack },	//209
    { "KSycocaFactoryList*", 109, Smoke::t_class|Smoke::tf_ptr },	//210
    { "KSycocaType", 149, Smoke::t_enum|Smoke::tf_stack },	//211
    { "KSycocaType&", 149, Smoke::t_enum|Smoke::tf_ref },	//212
    { "KSystemTimeZone*", 110, Smoke::t_class|Smoke::tf_ptr },	//213
    { "KSystemTimeZoneBackend*", 111, Smoke::t_class|Smoke::tf_ptr },	//214
    { "KSystemTimeZoneSource*", 112, Smoke::t_class|Smoke::tf_ptr },	//215
    { "KTempDir*", 114, Smoke::t_class|Smoke::tf_ptr },	//216
    { "KTemporaryFile*", 115, Smoke::t_class|Smoke::tf_ptr },	//217
    { "KTimeZone", 116, Smoke::t_class|Smoke::tf_stack },	//218
    { "KTimeZone&", 116, Smoke::t_class|Smoke::tf_ref },	//219
    { "KTimeZone*", 116, Smoke::t_class|Smoke::tf_ptr },	//220
    { "KTimeZone::LeapSeconds", 117, Smoke::t_class|Smoke::tf_stack },	//221
    { "KTimeZone::LeapSeconds&", 117, Smoke::t_class|Smoke::tf_ref },	//222
    { "KTimeZone::LeapSeconds*", 117, Smoke::t_class|Smoke::tf_ptr },	//223
    { "KTimeZone::Phase", 118, Smoke::t_class|Smoke::tf_stack },	//224
    { "KTimeZone::Phase&", 118, Smoke::t_class|Smoke::tf_ref },	//225
    { "KTimeZone::Phase*", 118, Smoke::t_class|Smoke::tf_ptr },	//226
    { "KTimeZone::Transition", 119, Smoke::t_class|Smoke::tf_stack },	//227
    { "KTimeZone::Transition&", 119, Smoke::t_class|Smoke::tf_ref },	//228
    { "KTimeZone::Transition*", 119, Smoke::t_class|Smoke::tf_ptr },	//229
    { "KTimeZoneBackend&", 120, Smoke::t_class|Smoke::tf_ref },	//230
    { "KTimeZoneBackend*", 120, Smoke::t_class|Smoke::tf_ptr },	//231
    { "KTimeZoneData&", 121, Smoke::t_class|Smoke::tf_ref },	//232
    { "KTimeZoneData*", 121, Smoke::t_class|Smoke::tf_ptr },	//233
    { "KTimeZoneSource*", 122, Smoke::t_class|Smoke::tf_ptr },	//234
    { "KTimeZones*", 123, Smoke::t_class|Smoke::tf_ptr },	//235
    { "KToolInvocation*", 124, Smoke::t_class|Smoke::tf_ptr },	//236
    { "KTzfileTimeZone*", 125, Smoke::t_class|Smoke::tf_ptr },	//237
    { "KTzfileTimeZoneBackend*", 126, Smoke::t_class|Smoke::tf_ptr },	//238
    { "KTzfileTimeZoneSource*", 127, Smoke::t_class|Smoke::tf_ptr },	//239
    { "KUrl", 128, Smoke::t_class|Smoke::tf_stack },	//240
    { "KUrl&", 128, Smoke::t_class|Smoke::tf_ref },	//241
    { "KUrl*", 128, Smoke::t_class|Smoke::tf_ptr },	//242
    { "KUrl::AdjustPathOption", 128, Smoke::t_enum|Smoke::tf_stack },	//243
    { "KUrl::CleanPathOption", 128, Smoke::t_enum|Smoke::tf_stack },	//244
    { "KUrl::DirectoryOption", 128, Smoke::t_enum|Smoke::tf_stack },	//245
    { "KUrl::EncodedPathAndQueryOption", 128, Smoke::t_enum|Smoke::tf_stack },	//246
    { "KUrl::EqualsOption", 128, Smoke::t_enum|Smoke::tf_stack },	//247
    { "KUrl::List", 0, Smoke::t_voidp|Smoke::tf_stack },	//248
    { "KUrl::List&", 0, Smoke::t_voidp|Smoke::tf_ref },	//249
    { "KUrl::MimeDataFlags", 128, Smoke::t_enum|Smoke::tf_stack },	//250
    { "KUrl::QueryItemsOption", 128, Smoke::t_enum|Smoke::tf_stack },	//251
    { "KUser", 129, Smoke::t_class|Smoke::tf_stack },	//252
    { "KUser&", 129, Smoke::t_class|Smoke::tf_ref },	//253
    { "KUser*", 129, Smoke::t_class|Smoke::tf_ptr },	//254
    { "KUser::UIDMode", 129, Smoke::t_enum|Smoke::tf_stack },	//255
    { "KUser::UserProperty", 129, Smoke::t_enum|Smoke::tf_stack },	//256
    { "KUserGroup", 130, Smoke::t_class|Smoke::tf_stack },	//257
    { "KUserGroup&", 130, Smoke::t_class|Smoke::tf_ref },	//258
    { "KUserGroup*", 130, Smoke::t_class|Smoke::tf_ptr },	//259
    { "KWordMacroExpander*", 131, Smoke::t_class|Smoke::tf_ptr },	//260
    { "OrgKdeKLauncherInterface*", 132, Smoke::t_class|Smoke::tf_ptr },	//261
    { "QAbstractFileEngine*", 133, Smoke::t_class|Smoke::tf_ptr },	//262
    { "QAbstractSocket::SocketError", 134, Smoke::t_enum|Smoke::tf_stack },	//263
    { "QBool", 135, Smoke::t_class|Smoke::tf_stack },	//264
    { "QByteArray", 136, Smoke::t_class|Smoke::tf_stack },	//265
    { "QByteArray&", 136, Smoke::t_class|Smoke::tf_ref },	//266
    { "QChar", 137, Smoke::t_class|Smoke::tf_stack },	//267
    { "QChildEvent*", 138, Smoke::t_class|Smoke::tf_ptr },	//268
    { "QDBus::CallMode", 0, Smoke::t_enum|Smoke::tf_stack },	//269
    { "QDBusObjectPath", 141, Smoke::t_class|Smoke::tf_stack },	//270
    { "QDBusReply<bool>", 0, Smoke::t_voidp|Smoke::tf_stack },	//271
    { "QDBusReply<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//272
    { "QDBusReply<void>", 0, Smoke::t_voidp|Smoke::tf_stack },	//273
    { "QDataStream&", 143, Smoke::t_class|Smoke::tf_ref },	//274
    { "QDataStream*", 143, Smoke::t_class|Smoke::tf_ptr },	//275
    { "QDataStream*&", 143, Smoke::t_class|Smoke::tf_ref|Smoke::tf_ptr },	//276
    { "QDate", 144, Smoke::t_class|Smoke::tf_stack },	//277
    { "QDate&", 144, Smoke::t_class|Smoke::tf_ref },	//278
    { "QDateTime", 145, Smoke::t_class|Smoke::tf_stack },	//279
    { "QDateTime&", 145, Smoke::t_class|Smoke::tf_ref },	//280
    { "QEvent*", 146, Smoke::t_class|Smoke::tf_ptr },	//281
    { "QFile::FileError", 147, Smoke::t_enum|Smoke::tf_stack },	//282
    { "QFlags<KAutostart::Condition>", 0, Smoke::t_uint|Smoke::tf_stack },	//283
    { "QFlags<KCmdLineArgs::StdCmdLineArg>", 0, Smoke::t_uint|Smoke::tf_stack },	//284
    { "QFlags<KConfig::OpenFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//285
    { "QFlags<KConfigBase::WriteConfigFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//286
    { "QFlags<KCurrencyCode::CurrencyStatus>", 0, Smoke::t_uint|Smoke::tf_stack },	//287
    { "QFlags<KJob::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//288
    { "QFlags<KLocale::DateTimeComponent>", 0, Smoke::t_uint|Smoke::tf_stack },	//289
    { "QFlags<KLocale::DateTimeFormatOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//290
    { "QFlags<KLocale::TimeFormatOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//291
    { "QFlags<KLocale::TimeProcessingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//292
    { "QFlags<KLockFile::LockFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//293
    { "QFlags<KServiceGroup::EntriesOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//294
    { "QFlags<KShell::Option>", 0, Smoke::t_uint|Smoke::tf_stack },	//295
    { "QFlags<KStandardDirs::SearchOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//296
    { "QFlags<KUrl::CleanPathOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//297
    { "QFlags<KUrl::DirectoryOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//298
    { "QFlags<KUrl::EncodedPathAndQueryOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//299
    { "QFlags<KUrl::EqualsOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//300
    { "QFlags<KUrl::QueryItemsOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//301
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//302
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//303
    { "QFlags<QtConcurrent::ReduceOptions::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//304
    { "QIODevice&", 151, Smoke::t_class|Smoke::tf_ref },	//305
    { "QIODevice*", 151, Smoke::t_class|Smoke::tf_ptr },	//306
    { "QIODevice::OpenMode", 0, Smoke::t_uint|Smoke::tf_stack },	//307
    { "QIODevice::OpenModeFlag", 151, Smoke::t_enum|Smoke::tf_stack },	//308
    { "QIncompatibleFlag", 152, Smoke::t_class|Smoke::tf_stack },	//309
    { "QLibrary::LoadHint", 154, Smoke::t_enum|Smoke::tf_stack },	//310
    { "QList<KAboutLicense>", 0, Smoke::t_voidp|Smoke::tf_stack },	//311
    { "QList<KAboutPerson>", 0, Smoke::t_voidp|Smoke::tf_stack },	//312
    { "QList<KAuth::Action>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//313
    { "QList<KAutoSaveFile*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//314
    { "QList<KConfigSkeletonItem*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//315
    { "QList<KCoreConfigSkeleton::ItemEnum::Choice2>", 0, Smoke::t_voidp|Smoke::tf_stack },	//316
    { "QList<KCoreConfigSkeleton::ItemEnum::Choice>", 0, Smoke::t_voidp|Smoke::tf_stack },	//317
    { "QList<KLocale::CalendarSystem>", 0, Smoke::t_voidp|Smoke::tf_stack },	//318
    { "QList<KLocale::DigitSet>", 0, Smoke::t_voidp|Smoke::tf_stack },	//319
    { "QList<KPluginInfo>", 0, Smoke::t_voidp|Smoke::tf_stack },	//320
    { "QList<KProtocolInfo::ExtraField>", 0, Smoke::t_voidp|Smoke::tf_stack },	//321
    { "QList<KServiceAction>", 0, Smoke::t_voidp|Smoke::tf_stack },	//322
    { "QList<KSharedPtr<KMimeType> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//323
    { "QList<KSharedPtr<KService> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//324
    { "QList<KSharedPtr<KService> >&", 0, Smoke::t_voidp|Smoke::tf_ref },	//325
    { "QList<KSharedPtr<KServiceGroup> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//326
    { "QList<KSharedPtr<KServiceType> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//327
    { "QList<KSharedPtr<KSycocaEntry> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//328
    { "QList<KTimeZone::LeapSeconds>", 0, Smoke::t_voidp|Smoke::tf_stack },	//329
    { "QList<KTimeZone::Phase>", 0, Smoke::t_voidp|Smoke::tf_stack },	//330
    { "QList<KTimeZone::Transition>", 0, Smoke::t_voidp|Smoke::tf_stack },	//331
    { "QList<KUser>", 0, Smoke::t_voidp|Smoke::tf_stack },	//332
    { "QList<KUserGroup>", 0, Smoke::t_voidp|Smoke::tf_stack },	//333
    { "QList<QByteArray>", 0, Smoke::t_voidp|Smoke::tf_stack },	//334
    { "QList<QDateTime>", 0, Smoke::t_voidp|Smoke::tf_stack },	//335
    { "QList<QStringList>", 0, Smoke::t_voidp|Smoke::tf_stack },	//336
    { "QList<QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//337
    { "QList<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//338
    { "QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//339
    { "QMap<QString,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//340
    { "QMap<QString,QVariant::Type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//341
    { "QMap<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//342
    { "QMetaObject::Call", 155, Smoke::t_enum|Smoke::tf_stack },	//343
    { "QMimeData*", 156, Smoke::t_class|Smoke::tf_ptr },	//344
    { "QNetworkProxy", 157, Smoke::t_class|Smoke::tf_stack },	//345
    { "QObject*", 158, Smoke::t_class|Smoke::tf_ptr },	//346
    { "QPair<QString,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//347
    { "QPoint&", 160, Smoke::t_class|Smoke::tf_ref },	//348
    { "QRect&", 162, Smoke::t_class|Smoke::tf_ref },	//349
    { "QRegExp&", 163, Smoke::t_class|Smoke::tf_ref },	//350
    { "QSize&", 165, Smoke::t_class|Smoke::tf_ref },	//351
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//352
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//353
    { "QString*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//354
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//355
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//356
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//357
    { "QTcpServer*", 166, Smoke::t_class|Smoke::tf_ptr },	//358
    { "QTcpSocket*", 167, Smoke::t_class|Smoke::tf_ptr },	//359
    { "QTextCodec*", 169, Smoke::t_class|Smoke::tf_ptr },	//360
    { "QTextDecoder*", 170, Smoke::t_class|Smoke::tf_ptr },	//361
    { "QTime", 171, Smoke::t_class|Smoke::tf_stack },	//362
    { "QTimerEvent*", 172, Smoke::t_class|Smoke::tf_ptr },	//363
    { "QUdpSocket*", 173, Smoke::t_class|Smoke::tf_ptr },	//364
    { "QVariant", 175, Smoke::t_class|Smoke::tf_stack },	//365
    { "QVariant&", 175, Smoke::t_class|Smoke::tf_ref },	//366
    { "QVariant::Type", 175, Smoke::t_enum|Smoke::tf_stack },	//367
    { "QVariantMap", 0, Smoke::t_voidp|Smoke::tf_stack },	//368
    { "QWidget*", 176, Smoke::t_class|Smoke::tf_ptr },	//369
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//370
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//371
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//372
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//373
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//374
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//375
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//376
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//377
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//378
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//379
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//380
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//381
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//382
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//383
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//384
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//385
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//386
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//387
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//388
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//389
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//390
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//391
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//392
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//393
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//394
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//395
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//396
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//397
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//398
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//399
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//400
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//401
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//402
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//403
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//404
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//405
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//406
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//407
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//408
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//409
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//410
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//411
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//412
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//413
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//414
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//415
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//416
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//417
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//418
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//419
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//420
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//421
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//422
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//423
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//424
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//425
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//426
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//427
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//428
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//429
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//430
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//431
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//432
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//433
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//434
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//435
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//436
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//437
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//438
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//439
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//440
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//441
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//442
    { "QtConcurrent::ReduceOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//443
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//444
    { "QtMsgType", 149, Smoke::t_enum|Smoke::tf_stack },	//445
    { "Sonnet::BackgroundChecker*", 178, Smoke::t_class|Smoke::tf_ptr },	//446
    { "Sonnet::Speller", 179, Smoke::t_class|Smoke::tf_stack },	//447
    { "Sonnet::Speller&", 179, Smoke::t_class|Smoke::tf_ref },	//448
    { "Sonnet::Speller*", 179, Smoke::t_class|Smoke::tf_ptr },	//449
    { "Sonnet::Speller::Attribute", 179, Smoke::t_enum|Smoke::tf_stack },	//450
    { "__itimer_which", 149, Smoke::t_enum|Smoke::tf_stack },	//451
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//452
    { "bool&", 0, Smoke::t_voidp|Smoke::tf_ref },	//453
    { "bool*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//454
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//455
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//456
    { "char**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//457
    { "const KAboutData&", 1, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//458
    { "const KAboutData*", 1, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//459
    { "const KAboutLicense&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//460
    { "const KAboutPerson&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//461
    { "const KAuth::Action&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//462
    { "const KAuth::ActionReply&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//463
    { "const KCalendarSystem*", 10, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//464
    { "const KCharMacroExpander&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//465
    { "const KCharsets&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//466
    { "const KCmdLineArgs&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//467
    { "const KCmdLineOptions&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//468
    { "const KComponentData&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//469
    { "const KConfig*", 21, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//470
    { "const KConfigBase&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//471
    { "const KConfigBase*", 22, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//472
    { "const KConfigGroup", 23, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//473
    { "const KConfigGroup&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//474
    { "const KConfigSkeletonItem&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//475
    { "const KCoreConfigSkeleton::ItemBool&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//476
    { "const KCoreConfigSkeleton::ItemDateTime&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//477
    { "const KCoreConfigSkeleton::ItemDouble&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//478
    { "const KCoreConfigSkeleton::ItemEnum&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//479
    { "const KCoreConfigSkeleton::ItemEnum::Choice&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//480
    { "const KCoreConfigSkeleton::ItemEnum::Choice2&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//481
    { "const KCoreConfigSkeleton::ItemInt&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//482
    { "const KCoreConfigSkeleton::ItemIntList&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//483
    { "const KCoreConfigSkeleton::ItemLongLong&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//484
    { "const KCoreConfigSkeleton::ItemPassword&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//485
    { "const KCoreConfigSkeleton::ItemPath&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//486
    { "const KCoreConfigSkeleton::ItemPathList&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//487
    { "const KCoreConfigSkeleton::ItemPoint&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//488
    { "const KCoreConfigSkeleton::ItemProperty&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//489
    { "const KCoreConfigSkeleton::ItemRect&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//490
    { "const KCoreConfigSkeleton::ItemSize&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//491
    { "const KCoreConfigSkeleton::ItemString&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//492
    { "const KCoreConfigSkeleton::ItemStringList&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//493
    { "const KCoreConfigSkeleton::ItemUInt&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//494
    { "const KCoreConfigSkeleton::ItemULongLong&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//495
    { "const KCoreConfigSkeleton::ItemUrl&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//496
    { "const KCoreConfigSkeleton::ItemUrlList&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//497
    { "const KCurrencyCode&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//498
    { "const KDEPluginVerificationData&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//499
    { "const KDateTime&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//500
    { "const KDateTime::Spec&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//501
    { "const KDebug&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//502
    { "const KDebugTag&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//503
    { "const KDesktopFile*", 57, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//504
    { "const KEncodingDetector&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//505
    { "const KEncodingProber&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//506
    { "const KLocale&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//507
    { "const KLocale*", 71, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//508
    { "const KLocalizedString&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//509
    { "const KLockFile&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//510
    { "const KMacroExpanderBase&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//511
    { "const KMessageHandler&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//512
    { "const KMimeTypeTrader&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//513
    { "const KPluginInfo&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//514
    { "const KProtocolInfo::ExtraField&", 90, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//515
    { "const KRandomSequence&", 92, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//516
    { "const KService&", 94, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//517
    { "const KServiceAction&", 95, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//518
    { "const KServiceType*", 97, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//519
    { "const KSharedPtr<KService>", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//520
    { "const KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//521
    { "const KSharedPtr<KSharedConfig>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//522
    { "const KSharedPtr<KSycocaEntry>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//523
    { "const KSystemTimeZone&", 110, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//524
    { "const KSystemTimeZoneBackend&", 111, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//525
    { "const KSystemTimeZoneSource&", 112, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//526
    { "const KTimeZone&", 116, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//527
    { "const KTimeZone*", 116, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//528
    { "const KTimeZone::LeapSeconds&", 117, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//529
    { "const KTimeZone::Phase&", 118, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//530
    { "const KTimeZone::Transition&", 119, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//531
    { "const KTimeZone::Transition*", 119, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//532
    { "const KTimeZone::Transition**", 119, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//533
    { "const KTimeZoneBackend&", 120, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//534
    { "const KTimeZoneData&", 121, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//535
    { "const KTimeZoneData*", 121, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//536
    { "const KTimeZoneSource&", 122, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//537
    { "const KTimeZones*", 123, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//538
    { "const KTzfileTimeZone&", 125, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//539
    { "const KTzfileTimeZoneBackend&", 126, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//540
    { "const KTzfileTimeZoneSource&", 127, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//541
    { "const KUrl&", 128, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//542
    { "const KUrl::CleanPathOption&", 128, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//543
    { "const KUrl::List&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//544
    { "const KUser&", 129, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//545
    { "const KUserGroup&", 130, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//546
    { "const KWordMacroExpander&", 131, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//547
    { "const QByteArray", 136, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//548
    { "const QByteArray&", 136, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//549
    { "const QChar&", 137, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//550
    { "const QDBusConnection&", 140, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//551
    { "const QDBusObjectPath&", 141, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//552
    { "const QDBusSignature&", 142, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//553
    { "const QDate", 144, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//554
    { "const QDate&", 144, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//555
    { "const QDateTime&", 145, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//556
    { "const QFileInfo&", 148, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//557
    { "const QFlags<KUrl::DirectoryOption>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//558
    { "const QFlags<KUrl::EncodedPathAndQueryOption>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//559
    { "const QFlags<KUrl::EqualsOption>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//560
    { "const QFlags<KUrl::QueryItemsOption>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//561
    { "const QHash<QChar,QString>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//562
    { "const QHash<QChar,QStringList>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//563
    { "const QHash<QString,QString>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//564
    { "const QHash<QString,QStringList>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//565
    { "const QHostAddress&", 150, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//566
    { "const QLatin1String&", 153, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//567
    { "const QList<KAuth::Action>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//568
    { "const QList<KCatalogName>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//569
    { "const QList<KCoreConfigSkeleton::ItemEnum::Choice2>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//570
    { "const QList<KCoreConfigSkeleton::ItemEnum::Choice>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//571
    { "const QList<KJob*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//572
    { "const QList<KSharedPtr<KService> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//573
    { "const QList<KTimeZone::LeapSeconds>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//574
    { "const QList<KTimeZone::Phase>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//575
    { "const QList<KTimeZone::Transition>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//576
    { "const QList<QByteArray>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//577
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//578
    { "const QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//579
    { "const QMap<QString,KTimeZone>", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//580
    { "const QMap<QString,QString>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//581
    { "const QMap<QString,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//582
    { "const QMetaObject&", 155, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//583
    { "const QMetaObject*", 155, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//584
    { "const QObject*", 158, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//585
    { "const QPair<QString,QString>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//586
    { "const QPoint&", 160, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//587
    { "const QRect&", 162, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//588
    { "const QRegExp&", 163, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//589
    { "const QSize&", 165, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//590
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//591
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//592
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//593
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//594
    { "const QTime&", 171, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//595
    { "const QUrl&", 174, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//596
    { "const QVariant&", 175, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//597
    { "const QVariantMap&", 0, Smoke::t_voidp|Smoke::tf_stack },	//598
    { "const Sonnet::Speller&", 179, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//599
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//600
    { "const float", 0, Smoke::t_float|Smoke::tf_stack|Smoke::tf_const },	//601
    { "const group*", 180, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//602
    { "const int", 0, Smoke::t_int|Smoke::tf_stack|Smoke::tf_const },	//603
    { "const kndbgstream&", 181, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//604
    { "const long int", 0, Smoke::t_long|Smoke::tf_stack|Smoke::tf_const },	//605
    { "const passwd*", 182, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//606
    { "const unsigned char(&)[16]", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//607
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//608
    { "const unsigned char[64]", 0, Smoke::t_uchar|Smoke::tf_stack|Smoke::tf_const },	//609
    { "const unsigned int", 0, Smoke::t_uint|Smoke::tf_stack|Smoke::tf_const },	//610
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//611
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//612
    { "double&", 0, Smoke::t_voidp|Smoke::tf_ref },	//613
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//614
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//615
    { "int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//616
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//617
    { "kndbgstream*", 181, Smoke::t_class|Smoke::tf_ptr },	//618
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//619
    { "long int", 0, Smoke::t_long|Smoke::tf_stack },	//620
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//621
    { "long long&", 0, Smoke::t_voidp|Smoke::tf_ref },	//622
    { "qlonglong", 0, Smoke::t_voidp|Smoke::tf_stack },	//623
    { "quint16", 0, Smoke::t_ushort|Smoke::tf_stack },	//624
    { "qulonglong", 0, Smoke::t_voidp|Smoke::tf_stack },	//625
    { "std::bidirectional_iterator_tag", 0, Smoke::t_voidp|Smoke::tf_stack },	//626
    { "std::forward_iterator_tag", 0, Smoke::t_voidp|Smoke::tf_stack },	//627
    { "std::random_access_iterator_tag", 0, Smoke::t_voidp|Smoke::tf_stack },	//628
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//629
    { "unsigned char(&)[16]", 0, Smoke::t_voidp|Smoke::tf_ref },	//630
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//631
    { "unsigned int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//632
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//633
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//634
    { "unsigned long long&", 0, Smoke::t_voidp|Smoke::tf_ref },	//635
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//636
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//637
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//638
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//639
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//640
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    549, 549, 509, 549, 509, 6, 509, 509, 549, 549, 0,	//1  const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey, const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&
    458, 0,	//12  const KAboutData&
    509, 509, 549, 549, 0,	//14  const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&
    509, 509, 549, 549, 549, 0,	//19  const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&, const QByteArray&
    509, 509, 0,	//25  const KLocalizedString&, const KLocalizedString&
    509, 0,	//28  const KLocalizedString&
    592, 0,	//30  const QString&
    549, 0,	//32  const QByteArray&
    597, 0,	//34  const QVariant&
    6, 0,	//36  KAboutData::LicenseKey
    7, 0,	//38  KAboutData::NameFormat
    549, 549, 509, 549, 0,	//40  const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&
    549, 549, 509, 549, 509, 0,	//45  const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&
    549, 549, 509, 549, 509, 6, 0,	//51  const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey
    549, 549, 509, 549, 509, 6, 509, 0,	//58  const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey, const KLocalizedString&
    549, 549, 509, 549, 509, 6, 509, 509, 0,	//66  const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey, const KLocalizedString&, const KLocalizedString&
    549, 549, 509, 549, 509, 6, 509, 509, 549, 0,	//75  const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey, const KLocalizedString&, const KLocalizedString&, const QByteArray&
    509, 509, 549, 0,	//85  const KLocalizedString&, const KLocalizedString&, const QByteArray&
    460, 0,	//89  const KAboutLicense&
    461, 0,	//91  const KAboutPerson&
    462, 0,	//93  const KAuth::Action&
    592, 592, 0,	//95  const QString&, const QString&
    582, 0,	//98  const QMap<QString,QVariant>&
    592, 597, 0,	//100  const QString&, const QVariant&
    452, 0,	//103  bool
    568, 313, 592, 0,	//105  const QList<KAuth::Action>&, QList<KAuth::Action>*, const QString&
    568, 313, 592, 369, 0,	//109  const QList<KAuth::Action>&, QList<KAuth::Action>*, const QString&, QWidget*
    369, 0,	//114  QWidget*
    22, 0,	//116  KAuth::ActionReply::Type
    615, 0,	//118  int
    463, 0,	//120  const KAuth::ActionReply&
    600, 0,	//122  const char*
    600, 600, 0,	//124  const char*, const char*
    600, 600, 615, 0,	//127  const char*, const char*, int
    343, 615, 639, 0,	//131  QMetaObject::Call, int, void**
    598, 0,	//135  const QVariantMap&
    592, 542, 542, 0,	//137  const QString&, const KUrl&, const KUrl&
    593, 0,	//141  const QStringList&
    542, 346, 0,	//143  const KUrl&, QObject*
    346, 0,	//146  QObject*
    542, 0,	//148  const KUrl&
    302, 0,	//150  QFlags<QIODevice::OpenModeFlag>
    542, 592, 0,	//152  const KUrl&, const QString&
    592, 346, 0,	//155  const QString&, QObject*
    592, 283, 0,	//158  const QString&, QFlags<KAutostart::Condition>
    27, 0,	//161  KAutostart::StartPhase
    592, 508, 0,	//163  const QString&, const KLocale*
    592, 195, 508, 0,	//166  const QString&, KSharedPtr<KSharedConfig>, const KLocale*
    126, 508, 0,	//170  KLocale::CalendarSystem, const KLocale*
    126, 195, 508, 0,	//173  KLocale::CalendarSystem, KSharedPtr<KSharedConfig>, const KLocale*
    126, 0,	//177  KLocale::CalendarSystem
    508, 0,	//179  const KLocale*
    521, 508, 0,	//181  const KSharedPtr<KSharedConfig>, const KLocale*
    615, 615, 615, 0,	//184  int, int, int
    615, 615, 0,	//188  int, int
    592, 615, 615, 615, 0,	//191  const QString&, int, int, int
    555, 0,	//196  const QDate&
    278, 615, 615, 615, 0,	//198  QDate&, int, int, int
    278, 615, 615, 0,	//203  QDate&, int, int
    278, 352, 615, 615, 615, 0,	//207  QDate&, QString, int, int, int
    554, 617, 617, 617, 0,	//213  const QDate, int*, int*, int*
    555, 30, 0,	//218  const QDate&, KCalendarSystem::StringFormat
    555, 615, 0,	//221  const QDate&, int
    555, 555, 617, 617, 617, 617, 0,	//224  const QDate&, const QDate&, int*, int*, int*, int*
    555, 555, 0,	//231  const QDate&, const QDate&
    555, 140, 0,	//234  const QDate&, KLocale::WeekNumberSystem
    615, 140, 0,	//237  int, KLocale::WeekNumberSystem
    555, 617, 0,	//240  const QDate&, int*
    555, 140, 617, 0,	//243  const QDate&, KLocale::WeekNumberSystem, int*
    615, 615, 29, 0,	//247  int, int, KCalendarSystem::MonthNameFormat
    555, 29, 0,	//251  const QDate&, KCalendarSystem::MonthNameFormat
    615, 31, 0,	//254  int, KCalendarSystem::WeekDayNameFormat
    555, 31, 0,	//257  const QDate&, KCalendarSystem::WeekDayNameFormat
    592, 616, 0,	//260  const QString&, int&
    555, 127, 0,	//263  const QDate&, KLocale::DateFormat
    555, 592, 131, 0,	//266  const QDate&, const QString&, KLocale::DateTimeFormatStandard
    555, 592, 133, 131, 0,	//270  const QDate&, const QString&, KLocale::DigitSet, KLocale::DateTimeFormatStandard
    555, 128, 129, 140, 0,	//275  const QDate&, KLocale::DateTimeComponent, KLocale::DateTimeComponentFormat, KLocale::WeekNumberSystem
    592, 454, 0,	//280  const QString&, bool*
    592, 135, 454, 0,	//283  const QString&, KLocale::ReadDateFlags, bool*
    592, 592, 454, 0,	//287  const QString&, const QString&, bool*
    592, 592, 454, 131, 0,	//291  const QString&, const QString&, bool*, KLocale::DateTimeFormatStandard
    615, 616, 616, 616, 0,	//296  int, int&, int&, int&
    615, 615, 615, 616, 0,	//301  int, int, int, int&
    32, 521, 508, 0,	//306  KCalendarSystemPrivate&, const KSharedPtr<KSharedConfig>, const KLocale*
    592, 195, 0,	//310  const QString&, KSharedPtr<KSharedConfig>
    126, 195, 0,	//313  KLocale::CalendarSystem, KSharedPtr<KSharedConfig>
    521, 0,	//316  const KSharedPtr<KSharedConfig>
    555, 592, 0,	//318  const QDate&, const QString&
    555, 592, 133, 0,	//321  const QDate&, const QString&, KLocale::DigitSet
    555, 128, 0,	//325  const QDate&, KLocale::DateTimeComponent
    555, 128, 129, 0,	//328  const QDate&, KLocale::DateTimeComponent, KLocale::DateTimeComponentFormat
    592, 135, 0,	//332  const QString&, KLocale::ReadDateFlags
    32, 0,	//335  KCalendarSystemPrivate&
    32, 521, 0,	//337  KCalendarSystemPrivate&, const KSharedPtr<KSharedConfig>
    267, 0,	//340  QChar
    592, 615, 356, 0,	//342  const QString&, int, QStringList&
    267, 356, 0,	//346  QChar, QStringList&
    465, 0,	//349  const KCharMacroExpander&
    592, 453, 0,	//351  const QString&, bool&
    550, 0,	//354  const QChar&
    466, 0,	//356  const KCharsets&
    615, 457, 549, 549, 509, 549, 509, 284, 0,	//358  int, char**, const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, QFlags<KCmdLineArgs::StdCmdLineArg>
    615, 457, 459, 284, 0,	//367  int, char**, const KAboutData*, QFlags<KCmdLineArgs::StdCmdLineArg>
    459, 0,	//372  const KAboutData*
    284, 0,	//374  QFlags<KCmdLineArgs::StdCmdLineArg>
    468, 509, 549, 549, 0,	//376  const KCmdLineOptions&, const KLocalizedString&, const QByteArray&, const QByteArray&
    274, 0,	//381  QDataStream&
    468, 509, 549, 0,	//383  const KCmdLineOptions&, const KLocalizedString&, const QByteArray&
    467, 0,	//387  const KCmdLineArgs&
    615, 457, 549, 549, 509, 549, 0,	//389  int, char**, const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&
    615, 457, 549, 549, 509, 549, 509, 0,	//396  int, char**, const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&
    615, 457, 459, 0,	//404  int, char**, const KAboutData*
    468, 0,	//408  const KCmdLineOptions&
    468, 509, 0,	//410  const KCmdLineOptions&, const KLocalizedString&
    549, 509, 549, 0,	//413  const QByteArray&, const KLocalizedString&, const QByteArray&
    549, 509, 0,	//417  const QByteArray&, const KLocalizedString&
    549, 266, 0,	//420  const QByteArray&, QByteArray&
    549, 266, 452, 0,	//423  const QByteArray&, QByteArray&, bool
    549, 452, 0,	//427  const QByteArray&, bool
    469, 0,	//430  const KComponentData&
    549, 549, 43, 0,	//432  const QByteArray&, const QByteArray&, KComponentData::MainComponentRegistration
    458, 43, 0,	//436  const KAboutData&, KComponentData::MainComponentRegistration
    459, 43, 0,	//439  const KAboutData*, KComponentData::MainComponentRegistration
    549, 549, 0,	//442  const QByteArray&, const QByteArray&
    109, 0,	//445  KJob*
    109, 592, 592, 0,	//447  KJob*, const QString&, const QString&
    45, 346, 0,	//451  KCompositeJobPrivate&, QObject*
    592, 285, 600, 0,	//454  const QString&, QFlags<KConfig::OpenFlag>, const char*
    469, 592, 285, 600, 0,	//458  const KComponentData&, const QString&, QFlags<KConfig::OpenFlag>, const char*
    592, 592, 600, 0,	//463  const QString&, const QString&, const char*
    592, 46, 0,	//467  const QString&, KConfig*
    549, 286, 0,	//470  const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>
    54, 0,	//473  KConfigPrivate&
    592, 285, 0,	//475  const QString&, QFlags<KConfig::OpenFlag>
    469, 592, 0,	//478  const KComponentData&, const QString&
    469, 592, 285, 0,	//481  const KComponentData&, const QString&, QFlags<KConfig::OpenFlag>
    592, 286, 0,	//485  const QString&, QFlags<KConfigBase::WriteConfigFlag>
    600, 286, 0,	//488  const char*, QFlags<KConfigBase::WriteConfigFlag>
    471, 0,	//491  const KConfigBase&
    48, 592, 0,	//493  KConfigBase*, const QString&
    48, 600, 0,	//496  KConfigBase*, const char*
    472, 592, 0,	//499  const KConfigBase*, const QString&
    472, 600, 0,	//502  const KConfigBase*, const char*
    522, 592, 0,	//505  const KSharedPtr<KSharedConfig>&, const QString&
    522, 600, 0,	//508  const KSharedPtr<KSharedConfig>&, const char*
    474, 0,	//511  const KConfigGroup&
    48, 286, 0,	//513  KConfigBase*, QFlags<KConfigBase::WriteConfigFlag>
    286, 0,	//516  QFlags<KConfigBase::WriteConfigFlag>
    600, 597, 0,	//518  const char*, const QVariant&
    600, 592, 0,	//521  const char*, const QString&
    592, 600, 0,	//524  const QString&, const char*
    592, 578, 0,	//527  const QString&, const QList<QVariant>&
    600, 578, 0,	//530  const char*, const QList<QVariant>&
    592, 593, 0,	//533  const QString&, const QStringList&
    600, 593, 0,	//536  const char*, const QStringList&
    592, 597, 286, 0,	//539  const QString&, const QVariant&, QFlags<KConfigBase::WriteConfigFlag>
    600, 597, 286, 0,	//543  const char*, const QVariant&, QFlags<KConfigBase::WriteConfigFlag>
    592, 592, 286, 0,	//547  const QString&, const QString&, QFlags<KConfigBase::WriteConfigFlag>
    600, 592, 286, 0,	//551  const char*, const QString&, QFlags<KConfigBase::WriteConfigFlag>
    592, 549, 286, 0,	//555  const QString&, const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>
    600, 549, 286, 0,	//559  const char*, const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>
    592, 600, 286, 0,	//563  const QString&, const char*, QFlags<KConfigBase::WriteConfigFlag>
    600, 600, 286, 0,	//567  const char*, const char*, QFlags<KConfigBase::WriteConfigFlag>
    592, 593, 286, 0,	//571  const QString&, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>
    600, 593, 286, 0,	//575  const char*, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>
    592, 578, 286, 0,	//579  const QString&, const QList<QVariant>&, QFlags<KConfigBase::WriteConfigFlag>
    600, 578, 286, 0,	//583  const char*, const QList<QVariant>&, QFlags<KConfigBase::WriteConfigFlag>
    48, 0,	//587  KConfigBase*
    592, 549, 0,	//589  const QString&, const QByteArray&
    600, 549, 0,	//592  const char*, const QByteArray&
    46, 0,	//595  KConfig*
    475, 0,	//597  const KConfigSkeletonItem&
    195, 346, 0,	//599  KSharedPtr<KSharedConfig>, QObject*
    55, 592, 0,	//602  KConfigSkeletonItem*, const QString&
    592, 353, 592, 592, 0,	//605  const QString&, QString&, const QString&, const QString&
    592, 366, 597, 592, 0,	//610  const QString&, QVariant&, const QVariant&, const QString&
    592, 453, 452, 592, 0,	//615  const QString&, bool&, bool, const QString&
    592, 616, 615, 592, 0,	//620  const QString&, int&, int, const QString&
    592, 632, 631, 592, 0,	//625  const QString&, unsigned int&, unsigned int, const QString&
    592, 622, 621, 592, 0,	//630  const QString&, long long&, long long, const QString&
    592, 635, 634, 592, 0,	//635  const QString&, unsigned long long&, unsigned long long, const QString&
    592, 613, 612, 592, 0,	//640  const QString&, double&, double, const QString&
    592, 349, 588, 592, 0,	//645  const QString&, QRect&, const QRect&, const QString&
    592, 348, 587, 592, 0,	//650  const QString&, QPoint&, const QPoint&, const QString&
    592, 351, 590, 592, 0,	//655  const QString&, QSize&, const QSize&, const QString&
    592, 280, 556, 592, 0,	//660  const QString&, QDateTime&, const QDateTime&, const QString&
    592, 356, 593, 592, 0,	//665  const QString&, QStringList&, const QStringList&, const QString&
    592, 339, 579, 592, 0,	//670  const QString&, QList<int>&, const QList<int>&, const QString&
    195, 0,	//675  KSharedPtr<KSharedConfig>
    55, 0,	//677  KConfigSkeletonItem*
    592, 353, 0,	//679  const QString&, QString&
    592, 353, 592, 0,	//682  const QString&, QString&, const QString&
    592, 366, 0,	//686  const QString&, QVariant&
    592, 366, 597, 0,	//689  const QString&, QVariant&, const QVariant&
    592, 453, 452, 0,	//693  const QString&, bool&, bool
    592, 616, 615, 0,	//697  const QString&, int&, int
    592, 632, 0,	//701  const QString&, unsigned int&
    592, 632, 631, 0,	//704  const QString&, unsigned int&, unsigned int
    592, 622, 0,	//708  const QString&, long long&
    592, 622, 621, 0,	//711  const QString&, long long&, long long
    592, 635, 0,	//715  const QString&, unsigned long long&
    592, 635, 634, 0,	//718  const QString&, unsigned long long&, unsigned long long
    592, 613, 0,	//722  const QString&, double&
    592, 613, 612, 0,	//725  const QString&, double&, double
    592, 349, 0,	//729  const QString&, QRect&
    592, 349, 588, 0,	//732  const QString&, QRect&, const QRect&
    592, 348, 0,	//736  const QString&, QPoint&
    592, 348, 587, 0,	//739  const QString&, QPoint&, const QPoint&
    592, 351, 0,	//743  const QString&, QSize&
    592, 351, 590, 0,	//746  const QString&, QSize&, const QSize&
    592, 280, 0,	//750  const QString&, QDateTime&
    592, 280, 556, 0,	//753  const QString&, QDateTime&, const QDateTime&
    592, 356, 0,	//757  const QString&, QStringList&
    592, 356, 593, 0,	//760  const QString&, QStringList&, const QStringList&
    592, 339, 0,	//764  const QString&, QList<int>&
    592, 339, 579, 0,	//767  const QString&, QList<int>&, const QList<int>&
    592, 592, 453, 452, 0,	//771  const QString&, const QString&, bool&, bool
    476, 0,	//776  const KCoreConfigSkeleton::ItemBool&
    592, 592, 453, 0,	//778  const QString&, const QString&, bool&
    592, 592, 280, 556, 0,	//782  const QString&, const QString&, QDateTime&, const QDateTime&
    477, 0,	//787  const KCoreConfigSkeleton::ItemDateTime&
    592, 592, 280, 0,	//789  const QString&, const QString&, QDateTime&
    592, 592, 613, 612, 0,	//793  const QString&, const QString&, double&, double
    612, 0,	//798  double
    478, 0,	//800  const KCoreConfigSkeleton::ItemDouble&
    592, 592, 613, 0,	//802  const QString&, const QString&, double&
    592, 592, 616, 571, 615, 0,	//806  const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice>&, int
    592, 592, 616, 570, 615, 0,	//812  const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice2>&, int
    479, 0,	//818  const KCoreConfigSkeleton::ItemEnum&
    592, 592, 616, 571, 0,	//820  const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice>&
    592, 592, 616, 570, 0,	//825  const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice2>&
    480, 0,	//830  const KCoreConfigSkeleton::ItemEnum::Choice&
    481, 0,	//832  const KCoreConfigSkeleton::ItemEnum::Choice2&
    592, 592, 616, 615, 0,	//834  const QString&, const QString&, int&, int
    482, 0,	//839  const KCoreConfigSkeleton::ItemInt&
    592, 592, 616, 0,	//841  const QString&, const QString&, int&
    592, 592, 339, 579, 0,	//845  const QString&, const QString&, QList<int>&, const QList<int>&
    483, 0,	//850  const KCoreConfigSkeleton::ItemIntList&
    592, 592, 339, 0,	//852  const QString&, const QString&, QList<int>&
    592, 592, 622, 621, 0,	//856  const QString&, const QString&, long long&, long long
    621, 0,	//861  long long
    484, 0,	//863  const KCoreConfigSkeleton::ItemLongLong&
    592, 592, 622, 0,	//865  const QString&, const QString&, long long&
    592, 592, 353, 592, 0,	//869  const QString&, const QString&, QString&, const QString&
    485, 0,	//874  const KCoreConfigSkeleton::ItemPassword&
    592, 592, 353, 0,	//876  const QString&, const QString&, QString&
    486, 0,	//880  const KCoreConfigSkeleton::ItemPath&
    592, 592, 356, 593, 0,	//882  const QString&, const QString&, QStringList&, const QStringList&
    487, 0,	//887  const KCoreConfigSkeleton::ItemPathList&
    592, 592, 356, 0,	//889  const QString&, const QString&, QStringList&
    592, 592, 348, 587, 0,	//893  const QString&, const QString&, QPoint&, const QPoint&
    488, 0,	//898  const KCoreConfigSkeleton::ItemPoint&
    592, 592, 348, 0,	//900  const QString&, const QString&, QPoint&
    592, 592, 366, 597, 0,	//904  const QString&, const QString&, QVariant&, const QVariant&
    489, 0,	//909  const KCoreConfigSkeleton::ItemProperty&
    592, 592, 366, 0,	//911  const QString&, const QString&, QVariant&
    592, 592, 349, 588, 0,	//915  const QString&, const QString&, QRect&, const QRect&
    490, 0,	//920  const KCoreConfigSkeleton::ItemRect&
    592, 592, 349, 0,	//922  const QString&, const QString&, QRect&
    592, 592, 351, 590, 0,	//926  const QString&, const QString&, QSize&, const QSize&
    491, 0,	//931  const KCoreConfigSkeleton::ItemSize&
    592, 592, 351, 0,	//933  const QString&, const QString&, QSize&
    592, 592, 353, 592, 76, 0,	//937  const QString&, const QString&, QString&, const QString&, KCoreConfigSkeleton::ItemString::Type
    492, 0,	//943  const KCoreConfigSkeleton::ItemString&
    493, 0,	//945  const KCoreConfigSkeleton::ItemStringList&
    592, 592, 632, 631, 0,	//947  const QString&, const QString&, unsigned int&, unsigned int
    631, 0,	//952  unsigned int
    494, 0,	//954  const KCoreConfigSkeleton::ItemUInt&
    592, 592, 632, 0,	//956  const QString&, const QString&, unsigned int&
    592, 592, 635, 634, 0,	//960  const QString&, const QString&, unsigned long long&, unsigned long long
    634, 0,	//965  unsigned long long
    495, 0,	//967  const KCoreConfigSkeleton::ItemULongLong&
    592, 592, 635, 0,	//969  const QString&, const QString&, unsigned long long&
    592, 592, 241, 542, 0,	//973  const QString&, const QString&, KUrl&, const KUrl&
    496, 0,	//978  const KCoreConfigSkeleton::ItemUrl&
    592, 592, 241, 0,	//980  const QString&, const QString&, KUrl&
    592, 592, 249, 544, 0,	//984  const QString&, const QString&, KUrl::List&, const KUrl::List&
    497, 0,	//989  const KCoreConfigSkeleton::ItemUrlList&
    592, 592, 249, 0,	//991  const QString&, const QString&, KUrl::List&
    557, 592, 0,	//995  const QFileInfo&, const QString&
    498, 0,	//998  const KCurrencyCode&
    592, 287, 0,	//1000  const QString&, QFlags<KCurrencyCode::CurrencyStatus>
    287, 0,	//1003  QFlags<KCurrencyCode::CurrencyStatus>
    557, 0,	//1005  const QFileInfo&
    592, 631, 0,	//1007  const QString&, unsigned int
    592, 615, 631, 0,	//1010  const QString&, int, unsigned int
    592, 615, 0,	//1014  const QString&, int
    85, 0,	//1017  KDEDModule*
    623, 0,	//1019  qlonglong
    552, 0,	//1021  const QDBusObjectPath&
    499, 0,	//1023  const KDEPluginVerificationData&
    629, 0,	//1025  unsigned char
    555, 501, 0,	//1027  const QDate&, const KDateTime::Spec&
    555, 595, 501, 0,	//1030  const QDate&, const QTime&, const KDateTime::Spec&
    556, 501, 0,	//1034  const QDateTime&, const KDateTime::Spec&
    556, 0,	//1037  const QDateTime&
    500, 0,	//1039  const KDateTime&
    527, 0,	//1041  const KTimeZone&
    501, 0,	//1043  const KDateTime::Spec&
    595, 0,	//1045  const QTime&
    95, 0,	//1047  KDateTime::TimeFormat
    592, 95, 454, 0,	//1049  const QString&, KDateTime::TimeFormat, bool*
    592, 592, 538, 452, 0,	//1053  const QString&, const QString&, const KTimeZones*, bool
    555, 595, 0,	//1058  const QDate&, const QTime&
    592, 95, 0,	//1061  const QString&, KDateTime::TimeFormat
    592, 592, 538, 0,	//1064  const QString&, const QString&, const KTimeZones*
    94, 615, 0,	//1068  KDateTime::SpecType, int
    94, 0,	//1071  KDateTime::SpecType
    445, 600, 615, 600, 0,	//1073  QtMsgType, const char*, int, const char*
    445, 452, 615, 452, 0,	//1078  QtMsgType, bool, int, bool
    452, 615, 0,	//1083  bool, int
    502, 0,	//1086  const KDebug&
    445, 0,	//1088  QtMsgType
    445, 600, 0,	//1090  QtMsgType, const char*
    445, 600, 615, 0,	//1093  QtMsgType, const char*, int
    503, 0,	//1097  const KDebugTag&
    360, 101, 100, 0,	//1099  QTextCodec*, KEncodingDetector::EncodingChoiceSource, KEncodingDetector::AutoDetectScript
    600, 101, 0,	//1103  const char*, KEncodingDetector::EncodingChoiceSource
    100, 0,	//1106  KEncodingDetector::AutoDetectScript
    600, 615, 0,	//1108  const char*, int
    456, 615, 0,	//1111  char*, int
    505, 0,	//1114  const KEncodingDetector&
    360, 101, 0,	//1116  QTextCodec*, KEncodingDetector::EncodingChoiceSource
    104, 0,	//1119  KEncodingProber::ProberType
    506, 0,	//1121  const KEncodingProber&
    306, 452, 0,	//1123  QIODevice*, bool
    456, 631, 0,	//1126  char*, unsigned int
    600, 631, 0,	//1129  const char*, unsigned int
    106, 0,	//1132  KFilterBase::FilterFlags
    306, 0,	//1134  QIODevice*
    592, 592, 452, 0,	//1136  const QString&, const QString&, bool
    306, 592, 452, 0,	//1140  QIODevice*, const QString&, bool
    456, 621, 0,	//1144  char*, long long
    600, 621, 0,	//1147  const char*, long long
    306, 592, 0,	//1150  QIODevice*, const QString&
    585, 583, 0,	//1153  const QObject*, const QMetaObject&
    123, 108, 0,	//1156  KLocale*, KGlobal::CopyCatalogs
    123, 0,	//1159  KLocale*
    115, 0,	//1161  KJobUiDelegate*
    111, 0,	//1163  KJob::KillVerbosity
    288, 0,	//1165  QFlags<KJob::Capability>
    112, 0,	//1167  KJob::Unit
    109, 592, 586, 586, 0,	//1169  KJob*, const QString&, const QPair<QString,QString>&, const QPair<QString,QString>&
    112, 634, 0,	//1174  KJob::Unit, unsigned long long
    633, 0,	//1177  unsigned long
    634, 634, 0,	//1179  unsigned long long, unsigned long long
    113, 346, 0,	//1182  KJobPrivate&, QObject*
    109, 592, 0,	//1185  KJob*, const QString&
    109, 592, 586, 0,	//1188  KJob*, const QString&, const QPair<QString,QString>&
    109, 112, 625, 0,	//1192  KJob*, KJob::Unit, qulonglong
    109, 633, 0,	//1196  KJob*, unsigned long
    592, 303, 0,	//1199  const QString&, QFlags<QLibrary::LoadHint>
    592, 469, 0,	//1202  const QString&, const KComponentData&
    592, 469, 346, 0,	//1205  const QString&, const KComponentData&, QObject*
    592, 615, 469, 346, 0,	//1209  const QString&, int, const KComponentData&, QObject*
    592, 615, 469, 0,	//1214  const QString&, int, const KComponentData&
    592, 302, 0,	//1218  const QString&, QFlags<QIODevice::OpenModeFlag>
    592, 120, 302, 0,	//1221  const QString&, KLocalSocket::LocalSocketType, QFlags<QIODevice::OpenModeFlag>
    592, 624, 307, 0,	//1225  const QString&, quint16, QIODevice::OpenMode
    592, 120, 0,	//1229  const QString&, KLocalSocket::LocalSocketType
    615, 454, 0,	//1232  int, bool*
    592, 592, 592, 46, 0,	//1235  const QString&, const QString&, const QString&, KConfig*
    507, 0,	//1240  const KLocale&
    600, 600, 354, 354, 0,	//1242  const char*, const char*, QString*, QString*
    600, 354, 354, 0,	//1247  const char*, QString*, QString*
    600, 600, 600, 354, 354, 0,	//1251  const char*, const char*, const char*, QString*, QString*
    600, 600, 600, 633, 354, 354, 0,	//1257  const char*, const char*, const char*, unsigned long, QString*, QString*
    600, 600, 633, 354, 354, 0,	//1264  const char*, const char*, unsigned long, QString*, QString*
    600, 600, 600, 600, 633, 354, 354, 0,	//1270  const char*, const char*, const char*, const char*, unsigned long, QString*, QString*
    133, 452, 0,	//1278  KLocale::DigitSet, bool
    612, 592, 615, 0,	//1281  double, const QString&, int
    612, 615, 0,	//1285  double, int
    592, 452, 615, 0,	//1288  const QString&, bool, int
    619, 0,	//1292  long
    612, 615, 125, 124, 0,	//1294  double, int, KLocale::BinaryUnitDialect, KLocale::BinarySizeUnits
    125, 0,	//1299  KLocale::BinaryUnitDialect
    556, 127, 452, 0,	//1301  const QDateTime&, KLocale::DateFormat, bool
    500, 127, 290, 0,	//1305  const KDateTime&, KLocale::DateFormat, QFlags<KLocale::DateTimeFormatOption>
    595, 452, 452, 0,	//1309  const QTime&, bool, bool
    595, 291, 0,	//1313  const QTime&, QFlags<KLocale::TimeFormatOption>
    595, 129, 0,	//1316  const QTime&, KLocale::DateTimeComponentFormat
    140, 0,	//1319  KLocale::WeekNumberSystem
    592, 136, 454, 0,	//1321  const QString&, KLocale::ReadTimeFlags, bool*
    592, 454, 291, 292, 0,	//1325  const QString&, bool*, QFlags<KLocale::TimeFormatOption>, QFlags<KLocale::TimeProcessingOption>
    133, 0,	//1330  KLocale::DigitSet
    137, 0,	//1332  KLocale::SignPosition
    134, 0,	//1334  KLocale::MeasureSystem
    600, 600, 600, 0,	//1336  const char*, const char*, const char*
    592, 353, 353, 353, 353, 0,	//1340  const QString&, QString&, QString&, QString&, QString&
    592, 133, 452, 0,	//1346  const QString&, KLocale::DigitSet, bool
    592, 592, 592, 0,	//1350  const QString&, const QString&, const QString&
    612, 592, 0,	//1354  double, const QString&
    592, 452, 0,	//1357  const QString&, bool
    612, 615, 125, 0,	//1360  double, int, KLocale::BinaryUnitDialect
    556, 127, 0,	//1364  const QDateTime&, KLocale::DateFormat
    500, 127, 0,	//1367  const KDateTime&, KLocale::DateFormat
    595, 452, 0,	//1370  const QTime&, bool
    592, 136, 0,	//1373  const QString&, KLocale::ReadTimeFlags
    592, 454, 291, 0,	//1376  const QString&, bool*, QFlags<KLocale::TimeFormatOption>
    592, 133, 0,	//1380  const QString&, KLocale::DigitSet
    508, 592, 0,	//1383  const KLocale*, const QString&
    615, 615, 615, 550, 0,	//1386  int, int, int, const QChar&
    631, 615, 615, 550, 0,	//1391  unsigned int, int, int, const QChar&
    619, 615, 615, 550, 0,	//1396  long, int, int, const QChar&
    633, 615, 615, 550, 0,	//1401  unsigned long, int, int, const QChar&
    621, 615, 615, 550, 0,	//1406  long long, int, int, const QChar&
    634, 615, 615, 550, 0,	//1411  unsigned long long, int, int, const QChar&
    612, 615, 455, 615, 550, 0,	//1416  double, int, char, int, const QChar&
    267, 615, 550, 0,	//1422  QChar, int, const QChar&
    592, 615, 550, 0,	//1426  const QString&, int, const QChar&
    593, 569, 0,	//1430  const QStringList&, const QList<KCatalogName>&
    631, 615, 0,	//1433  unsigned int, int
    631, 615, 615, 0,	//1436  unsigned int, int, int
    619, 615, 0,	//1440  long, int
    619, 615, 615, 0,	//1443  long, int, int
    633, 615, 0,	//1447  unsigned long, int
    633, 615, 615, 0,	//1450  unsigned long, int, int
    621, 615, 0,	//1454  long long, int
    621, 615, 615, 0,	//1457  long long, int, int
    634, 615, 0,	//1461  unsigned long long, int
    634, 615, 615, 0,	//1464  unsigned long long, int, int
    612, 615, 455, 0,	//1468  double, int, char
    612, 615, 455, 615, 0,	//1472  double, int, char, int
    267, 615, 0,	//1477  QChar, int
    293, 0,	//1480  QFlags<KLockFile::LockFlag>
    616, 353, 353, 0,	//1482  int&, QString&, QString&
    510, 0,	//1486  const KLockFile&
    608, 615, 0,	//1488  const unsigned char*, int
    305, 0,	//1491  QIODevice&
    630, 0,	//1493  unsigned char(&)[16]
    266, 0,	//1495  QByteArray&
    607, 0,	//1497  const unsigned char(&)[16]
    609, 0,	//1499  const unsigned char[64]
    608, 0,	//1501  const unsigned char*
    592, 564, 267, 0,	//1503  const QString&, const QHash<QString,QString>&, QChar
    592, 564, 0,	//1507  const QString&, const QHash<QString,QString>&
    592, 563, 267, 0,	//1510  const QString&, const QHash<QChar,QStringList>&, QChar
    592, 563, 0,	//1514  const QString&, const QHash<QChar,QStringList>&
    592, 562, 267, 0,	//1517  const QString&, const QHash<QChar,QString>&, QChar
    592, 562, 0,	//1521  const QString&, const QHash<QChar,QString>&
    592, 565, 267, 0,	//1524  const QString&, const QHash<QString,QStringList>&, QChar
    592, 565, 0,	//1528  const QString&, const QHash<QString,QStringList>&
    353, 0,	//1531  QString&
    353, 616, 0,	//1533  QString&, int&
    511, 0,	//1536  const KMacroExpanderBase&
    149, 592, 592, 0,	//1538  KMessage::MessageType, const QString&, const QString&
    149, 592, 0,	//1542  KMessage::MessageType, const QString&
    150, 0,	//1545  KMessageHandler*
    512, 0,	//1547  const KMessageHandler&
    542, 631, 0,	//1549  const KUrl&, unsigned int
    592, 153, 0,	//1552  const QString&, KMimeType::FindByNameOption
    542, 631, 452, 452, 617, 0,	//1555  const KUrl&, unsigned int, bool, bool, int*
    592, 631, 452, 617, 0,	//1561  const QString&, unsigned int, bool, int*
    549, 617, 0,	//1566  const QByteArray&, int*
    592, 549, 631, 617, 0,	//1569  const QString&, const QByteArray&, unsigned int, int*
    306, 617, 0,	//1574  QIODevice*, int*
    592, 306, 631, 617, 0,	//1577  const QString&, QIODevice*, unsigned int, int*
    592, 617, 0,	//1582  const QString&, int*
    274, 615, 0,	//1585  QDataStream&, int
    154, 0,	//1588  KMimeTypePrivate&
    154, 592, 592, 0,	//1590  KMimeTypePrivate&, const QString&, const QString&
    542, 631, 452, 0,	//1594  const KUrl&, unsigned int, bool
    542, 631, 452, 452, 0,	//1598  const KUrl&, unsigned int, bool, bool
    592, 631, 452, 0,	//1603  const QString&, unsigned int, bool
    592, 549, 631, 0,	//1607  const QString&, const QByteArray&, unsigned int
    592, 306, 0,	//1611  const QString&, QIODevice*
    592, 306, 631, 0,	//1614  const QString&, QIODevice*, unsigned int
    513, 0,	//1618  const KMimeTypeTrader&
    600, 600, 346, 0,	//1620  const char*, const char*, QObject*
    458, 346, 0,	//1624  const KAboutData&, QObject*
    459, 346, 0,	//1627  const KAboutData*, QObject*
    346, 600, 593, 0,	//1630  QObject*, const char*, const QStringList&
    158, 346, 0,	//1634  KPluginFactoryPrivate&, QObject*
    578, 0,	//1637  const QList<QVariant>&
    369, 346, 600, 593, 0,	//1639  QWidget*, QObject*, const char*, const QStringList&
    600, 369, 346, 578, 592, 0,	//1644  const char*, QWidget*, QObject*, const QList<QVariant>&, const QString&
    346, 600, 0,	//1650  QObject*, const char*
    158, 0,	//1653  KPluginFactoryPrivate&
    520, 0,	//1655  const KSharedPtr<KService>
    573, 474, 0,	//1657  const QList<KSharedPtr<KService> >&, const KConfigGroup&
    593, 474, 0,	//1660  const QStringList&, const KConfigGroup&
    592, 474, 0,	//1663  const QString&, const KConfigGroup&
    51, 0,	//1666  KConfigGroup
    514, 0,	//1668  const KPluginInfo&
    573, 0,	//1670  const QList<KSharedPtr<KService> >&
    517, 469, 346, 0,	//1672  const KService&, const KComponentData&, QObject*
    517, 0,	//1676  const KService&
    517, 469, 0,	//1678  const KService&, const KComponentData&
    165, 0,	//1681  KProcess::OutputChannelMode
    592, 593, 615, 0,	//1683  const QString&, const QStringList&, int
    593, 615, 0,	//1687  const QStringList&, int
    166, 346, 0,	//1690  KProcessPrivate*, QObject*
    173, 0,	//1693  KProtocolInfo::Type
    592, 171, 0,	//1695  const QString&, KProtocolInfo::ExtraField::Type
    515, 0,	//1698  const KProtocolInfo::ExtraField&
    171, 0,	//1700  KProtocolInfo::ExtraField::Type
    516, 0,	//1702  const KRandomSequence&
    592, 592, 592, 610, 0,	//1704  const QString&, const QString&, const QString&, const unsigned int
    504, 0,	//1709  const KDesktopFile*
    519, 0,	//1711  const KServiceType*
    592, 367, 0,	//1713  const QString&, QVariant::Type
    452, 592, 354, 594, 0,	//1716  bool, const QString&, QString*, const QStringList*
    452, 592, 0,	//1721  bool, const QString&
    452, 592, 354, 0,	//1724  bool, const QString&, QString*
    592, 592, 592, 592, 452, 0,	//1728  const QString&, const QString&, const QString&, const QString&, bool
    518, 0,	//1734  const KServiceAction&
    592, 592, 592, 592, 0,	//1736  const QString&, const QString&, const QString&, const QString&
    274, 615, 452, 0,	//1741  QDataStream&, int, bool
    452, 452, 452, 452, 0,	//1745  bool, bool, bool, bool
    452, 452, 0,	//1750  bool, bool
    200, 200, 452, 452, 0,	//1753  KSortableList<KSharedPtr<KSycocaEntry>,QByteArray>, KSortableList<KSharedPtr<KSycocaEntry>,QByteArray>, bool, bool
    294, 0,	//1758  QFlags<KServiceGroup::EntriesOption>
    523, 0,	//1760  const KSharedPtr<KSycocaEntry>&
    452, 452, 452, 0,	//1762  bool, bool, bool
    98, 0,	//1766  KDesktopFile*
    188, 0,	//1768  KServiceTypePrivate&
    188, 592, 592, 0,	//1770  KServiceTypePrivate&, const QString&, const QString&
    325, 592, 0,	//1774  QList<KSharedPtr<KService> >&, const QString&
    592, 295, 198, 0,	//1777  const QString&, QFlags<KShell::Option>, KShell::Errors*
    592, 295, 0,	//1781  const QString&, QFlags<KShell::Option>
    592, 592, 636, 346, 0,	//1784  const QString&, const QString&, unsigned short, QObject*
    592, 592, 636, 0,	//1789  const QString&, const QString&, unsigned short
    592, 592, 636, 615, 346, 0,	//1793  const QString&, const QString&, unsigned short, int, QObject*
    592, 592, 636, 615, 0,	//1799  const QString&, const QString&, unsigned short, int
    592, 566, 636, 346, 0,	//1804  const QString&, const QHostAddress&, unsigned short, QObject*
    592, 566, 0,	//1809  const QString&, const QHostAddress&
    592, 566, 636, 0,	//1812  const QString&, const QHostAddress&, unsigned short
    592, 592, 346, 0,	//1816  const QString&, const QString&, QObject*
    596, 615, 346, 0,	//1820  const QUrl&, int, QObject*
    596, 0,	//1824  const QUrl&
    596, 615, 0,	//1826  const QUrl&, int
    359, 592, 592, 636, 0,	//1829  QTcpSocket*, const QString&, const QString&, unsigned short
    596, 346, 0,	//1834  const QUrl&, QObject*
    359, 596, 0,	//1837  QTcpSocket*, const QUrl&
    359, 596, 615, 0,	//1840  QTcpSocket*, const QUrl&, int
    359, 592, 592, 636, 615, 0,	//1844  QTcpSocket*, const QString&, const QString&, unsigned short, int
    600, 592, 452, 0,	//1850  const char*, const QString&, bool
    600, 600, 592, 452, 0,	//1854  const char*, const char*, const QString&, bool
    600, 600, 600, 452, 0,	//1859  const char*, const char*, const char*, bool
    600, 592, 296, 0,	//1864  const char*, const QString&, QFlags<KStandardDirs::SearchOption>
    600, 592, 296, 356, 0,	//1868  const char*, const QString&, QFlags<KStandardDirs::SearchOption>, QStringList&
    592, 592, 296, 0,	//1873  const QString&, const QString&, QFlags<KStandardDirs::SearchOption>
    356, 592, 592, 296, 0,	//1877  QStringList&, const QString&, const QString&, QFlags<KStandardDirs::SearchOption>
    600, 592, 469, 0,	//1882  const char*, const QString&, const KComponentData&
    600, 592, 452, 469, 0,	//1886  const char*, const QString&, bool, const KComponentData&
    600, 600, 592, 0,	//1891  const char*, const char*, const QString&
    356, 592, 0,	//1895  QStringList&, const QString&
    356, 592, 592, 0,	//1898  QStringList&, const QString&, const QString&
    550, 592, 615, 0,	//1902  const QChar&, const QString&, int
    550, 592, 0,	//1906  const QChar&, const QString&
    589, 592, 615, 0,	//1909  const QRegExp&, const QString&, int
    589, 592, 0,	//1913  const QRegExp&, const QString&
    592, 592, 379, 0,	//1916  const QString&, const QString&, Qt::CaseSensitivity
    592, 592, 615, 0,	//1920  const QString&, const QString&, int
    615, 212, 0,	//1924  int, KSycocaType&
    209, 0,	//1927  KSycocaFactoryId
    1, 0,	//1929  DatabaseType
    208, 0,	//1931  KSycocaFactory*
    275, 0,	//1933  QDataStream*
    211, 0,	//1935  KSycocaType
    274, 353, 0,	//1937  QDataStream&, QString&
    274, 356, 0,	//1940  QDataStream&, QStringList&
    207, 0,	//1943  KSycocaEntryPrivate&
    215, 592, 592, 614, 614, 592, 0,	//1945  KSystemTimeZoneSource*, const QString&, const QString&, float, float, const QString&
    524, 0,	//1952  const KSystemTimeZone&
    215, 592, 0,	//1954  KSystemTimeZoneSource*, const QString&
    215, 592, 592, 0,	//1957  KSystemTimeZoneSource*, const QString&, const QString&
    215, 592, 592, 614, 0,	//1961  KSystemTimeZoneSource*, const QString&, const QString&, float
    215, 592, 592, 614, 614, 0,	//1966  KSystemTimeZoneSource*, const QString&, const QString&, float, float
    528, 556, 617, 0,	//1972  const KTimeZone*, const QDateTime&, int*
    528, 556, 0,	//1976  const KTimeZone*, const QDateTime&
    528, 620, 0,	//1979  const KTimeZone*, long int
    525, 0,	//1982  const KSystemTimeZoneBackend&
    526, 0,	//1984  const KSystemTimeZoneSource&
    527, 556, 0,	//1986  const KTimeZone&, const QDateTime&
    556, 454, 0,	//1989  const QDateTime&, bool*
    430, 0,	//1992  Qt::TimeSpec
    556, 617, 0,	//1994  const QDateTime&, int*
    620, 0,	//1997  long int
    556, 556, 0,	//1999  const QDateTime&, const QDateTime&
    556, 533, 454, 0,	//2002  const QDateTime&, const KTimeZone::Transition**, bool*
    556, 617, 454, 0,	//2006  const QDateTime&, int*, bool*
    530, 556, 556, 0,	//2010  const KTimeZone::Phase&, const QDateTime&, const QDateTime&
    231, 0,	//2014  KTimeZoneBackend*
    233, 234, 0,	//2016  KTimeZoneData*, KTimeZoneSource*
    556, 533, 0,	//2019  const QDateTime&, const KTimeZone::Transition**
    530, 0,	//2022  const KTimeZone::Phase&
    530, 556, 0,	//2024  const KTimeZone::Phase&, const QDateTime&
    233, 0,	//2027  KTimeZoneData*
    556, 615, 592, 0,	//2029  const QDateTime&, int, const QString&
    529, 0,	//2033  const KTimeZone::LeapSeconds&
    556, 615, 0,	//2035  const QDateTime&, int
    615, 549, 452, 592, 0,	//2038  int, const QByteArray&, bool, const QString&
    615, 577, 452, 592, 0,	//2043  int, const QList<QByteArray>&, bool, const QString&
    615, 549, 452, 0,	//2048  int, const QByteArray&, bool
    615, 577, 452, 0,	//2052  int, const QList<QByteArray>&, bool
    556, 530, 0,	//2056  const QDateTime&, const KTimeZone::Phase&
    531, 0,	//2059  const KTimeZone::Transition&
    534, 0,	//2061  const KTimeZoneBackend&
    528, 0,	//2063  const KTimeZone*
    234, 592, 592, 614, 614, 592, 0,	//2065  KTimeZoneSource*, const QString&, const QString&, float, float, const QString&
    234, 592, 0,	//2072  KTimeZoneSource*, const QString&
    234, 592, 592, 0,	//2075  KTimeZoneSource*, const QString&, const QString&
    234, 592, 592, 614, 0,	//2079  KTimeZoneSource*, const QString&, const QString&, float
    234, 592, 592, 614, 614, 0,	//2084  KTimeZoneSource*, const QString&, const QString&, float, float
    535, 0,	//2090  const KTimeZoneData&
    575, 530, 0,	//2092  const QList<KTimeZone::Phase>&, const KTimeZone::Phase&
    575, 615, 0,	//2095  const QList<KTimeZone::Phase>&, int
    576, 0,	//2098  const QList<KTimeZone::Transition>&
    574, 0,	//2100  const QList<KTimeZone::LeapSeconds>&
    537, 0,	//2102  const KTimeZoneSource&
    592, 592, 549, 0,	//2104  const QString&, const QString&, const QByteArray&
    542, 549, 452, 0,	//2108  const KUrl&, const QByteArray&, bool
    592, 592, 592, 592, 592, 592, 593, 549, 0,	//2112  const QString&, const QString&, const QString&, const QString&, const QString&, const QString&, const QStringList&, const QByteArray&
    592, 592, 354, 354, 617, 549, 452, 0,	//2121  const QString&, const QString&, QString*, QString*, int*, const QByteArray&, bool
    592, 593, 354, 354, 617, 549, 452, 0,	//2129  const QString&, const QStringList&, QString*, QString*, int*, const QByteArray&, bool
    592, 593, 354, 617, 549, 0,	//2137  const QString&, const QStringList&, QString*, int*, const QByteArray&
    356, 266, 0,	//2143  QStringList&, QByteArray&
    542, 549, 0,	//2146  const KUrl&, const QByteArray&
    592, 592, 592, 592, 592, 0,	//2149  const QString&, const QString&, const QString&, const QString&, const QString&
    592, 592, 592, 592, 592, 592, 0,	//2155  const QString&, const QString&, const QString&, const QString&, const QString&, const QString&
    592, 592, 592, 592, 592, 592, 593, 0,	//2162  const QString&, const QString&, const QString&, const QString&, const QString&, const QString&, const QStringList&
    592, 592, 354, 0,	//2170  const QString&, const QString&, QString*
    592, 592, 354, 354, 0,	//2174  const QString&, const QString&, QString*, QString*
    592, 592, 354, 354, 617, 0,	//2179  const QString&, const QString&, QString*, QString*, int*
    592, 592, 354, 354, 617, 549, 0,	//2185  const QString&, const QString&, QString*, QString*, int*, const QByteArray&
    592, 593, 354, 0,	//2192  const QString&, const QStringList&, QString*
    592, 593, 354, 354, 0,	//2196  const QString&, const QStringList&, QString*, QString*
    592, 593, 354, 354, 617, 0,	//2201  const QString&, const QStringList&, QString*, QString*, int*
    592, 593, 354, 354, 617, 549, 0,	//2207  const QString&, const QStringList&, QString*, QString*, int*, const QByteArray&
    592, 593, 354, 617, 0,	//2214  const QString&, const QStringList&, QString*, int*
    239, 592, 592, 614, 614, 592, 0,	//2219  KTzfileTimeZoneSource*, const QString&, const QString&, float, float, const QString&
    539, 0,	//2226  const KTzfileTimeZone&
    239, 592, 0,	//2228  KTzfileTimeZoneSource*, const QString&
    239, 592, 592, 0,	//2231  KTzfileTimeZoneSource*, const QString&, const QString&
    239, 592, 592, 614, 0,	//2235  KTzfileTimeZoneSource*, const QString&, const QString&, float
    239, 592, 592, 614, 614, 0,	//2240  KTzfileTimeZoneSource*, const QString&, const QString&, float, float
    540, 0,	//2246  const KTzfileTimeZoneBackend&
    541, 0,	//2248  const KTzfileTimeZoneSource&
    243, 0,	//2250  KUrl::AdjustPathOption
    543, 0,	//2252  const KUrl::CleanPathOption&
    243, 559, 0,	//2254  KUrl::AdjustPathOption, const QFlags<KUrl::EncodedPathAndQueryOption>&
    561, 0,	//2257  const QFlags<KUrl::QueryItemsOption>&
    558, 0,	//2259  const QFlags<KUrl::DirectoryOption>&
    542, 452, 0,	//2261  const KUrl&, bool
    542, 560, 0,	//2264  const KUrl&, const QFlags<KUrl::EqualsOption>&
    544, 0,	//2267  const KUrl::List&
    344, 581, 250, 0,	//2269  QMimeData*, const QMap<QString,QString>&, KUrl::MimeDataFlags
    542, 542, 0,	//2273  const KUrl&, const KUrl&
    344, 0,	//2276  QMimeData*
    344, 581, 0,	//2278  QMimeData*, const QMap<QString,QString>&
    255, 0,	//2281  KUser::UIDMode
    606, 0,	//2283  const passwd*
    545, 0,	//2285  const KUser&
    256, 0,	//2287  KUser::UserProperty
    602, 0,	//2289  const group*
    546, 0,	//2291  const KUserGroup&
    547, 0,	//2293  const KWordMacroExpander&
    592, 592, 551, 346, 0,	//2295  const QString&, const QString&, const QDBusConnection&, QObject*
    592, 593, 593, 592, 0,	//2300  const QString&, const QStringList&, const QStringList&, const QString&
    592, 593, 593, 592, 353, 353, 616, 0,	//2305  const QString&, const QStringList&, const QStringList&, const QString&, QString&, QString&, int&
    592, 592, 592, 353, 0,	//2313  const QString&, const QString&, const QString&, QString&
    592, 593, 593, 592, 452, 353, 353, 616, 0,	//2318  const QString&, const QStringList&, const QStringList&, const QString&, bool, QString&, QString&, int&
    592, 592, 551, 0,	//2327  const QString&, const QString&, const QDBusConnection&
    274, 518, 0,	//2331  QDataStream&, const KServiceAction&
    600, 567, 0,	//2334  const char*, const QLatin1String&
    274, 169, 0,	//2337  QDataStream&, KProtocolInfo::ExtraField&
    247, 615, 0,	//2340  KUrl::EqualsOption, int
    247, 247, 0,	//2343  KUrl::EqualsOption, KUrl::EqualsOption
    245, 245, 0,	//2346  KUrl::DirectoryOption, KUrl::DirectoryOption
    47, 285, 0,	//2349  KConfig::OpenFlag, QFlags<KConfig::OpenFlag>
    37, 615, 0,	//2352  KCmdLineArgs::StdCmdLineArg, int
    145, 615, 0,	//2355  KLockFile::LockFlag, int
    245, 615, 0,	//2358  KUrl::DirectoryOption, int
    567, 567, 0,	//2361  const QLatin1String&, const QLatin1String&
    139, 615, 0,	//2364  KLocale::TimeProcessingOption, int
    245, 298, 0,	//2367  KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>
    553, 553, 0,	//2370  const QDBusSignature&, const QDBusSignature&
    199, 295, 0,	//2373  KShell::Option, QFlags<KShell::Option>
    549, 592, 0,	//2376  const QByteArray&, const QString&
    47, 47, 0,	//2379  KConfig::OpenFlag, KConfig::OpenFlag
    26, 615, 0,	//2382  KAutostart::Condition, int
    274, 515, 0,	//2385  QDataStream&, const KProtocolInfo::ExtraField&
    130, 615, 0,	//2388  KLocale::DateTimeFormatOption, int
    128, 128, 0,	//2391  KLocale::DateTimeComponent, KLocale::DateTimeComponent
    199, 199, 0,	//2394  KShell::Option, KShell::Option
    592, 455, 0,	//2397  const QString&, char
    246, 299, 0,	//2400  KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>
    110, 615, 0,	//2403  KJob::Capability, int
    246, 246, 0,	//2406  KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption
    202, 296, 0,	//2409  KStandardDirs::SearchOption, QFlags<KStandardDirs::SearchOption>
    50, 50, 0,	//2412  KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag
    130, 290, 0,	//2415  KLocale::DateTimeFormatOption, QFlags<KLocale::DateTimeFormatOption>
    455, 592, 0,	//2418  char, const QString&
    552, 552, 0,	//2421  const QDBusObjectPath&, const QDBusObjectPath&
    274, 181, 0,	//2424  QDataStream&, KServiceAction&
    138, 615, 0,	//2427  KLocale::TimeFormatOption, int
    138, 291, 0,	//2430  KLocale::TimeFormatOption, QFlags<KLocale::TimeFormatOption>
    50, 286, 0,	//2433  KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>
    138, 138, 0,	//2436  KLocale::TimeFormatOption, KLocale::TimeFormatOption
    50, 615, 0,	//2439  KConfigBase::WriteConfigFlag, int
    139, 292, 0,	//2442  KLocale::TimeProcessingOption, QFlags<KLocale::TimeProcessingOption>
    456, 0,	//2445  char*
    247, 300, 0,	//2447  KUrl::EqualsOption, QFlags<KUrl::EqualsOption>
    84, 84, 0,	//2450  KCurrencyCode::CurrencyStatus, KCurrencyCode::CurrencyStatus
    110, 110, 0,	//2453  KJob::Capability, KJob::Capability
    145, 293, 0,	//2456  KLockFile::LockFlag, QFlags<KLockFile::LockFlag>
    26, 283, 0,	//2459  KAutostart::Condition, QFlags<KAutostart::Condition>
    244, 244, 0,	//2462  KUrl::CleanPathOption, KUrl::CleanPathOption
    37, 284, 0,	//2465  KCmdLineArgs::StdCmdLineArg, QFlags<KCmdLineArgs::StdCmdLineArg>
    26, 26, 0,	//2468  KAutostart::Condition, KAutostart::Condition
    110, 288, 0,	//2471  KJob::Capability, QFlags<KJob::Capability>
    251, 251, 0,	//2474  KUrl::QueryItemsOption, KUrl::QueryItemsOption
    202, 615, 0,	//2477  KStandardDirs::SearchOption, int
    47, 615, 0,	//2480  KConfig::OpenFlag, int
    84, 287, 0,	//2483  KCurrencyCode::CurrencyStatus, QFlags<KCurrencyCode::CurrencyStatus>
    128, 615, 0,	//2486  KLocale::DateTimeComponent, int
    128, 289, 0,	//2489  KLocale::DateTimeComponent, QFlags<KLocale::DateTimeComponent>
    37, 37, 0,	//2492  KCmdLineArgs::StdCmdLineArg, KCmdLineArgs::StdCmdLineArg
    145, 145, 0,	//2495  KLockFile::LockFlag, KLockFile::LockFlag
    244, 297, 0,	//2498  KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>
    244, 615, 0,	//2501  KUrl::CleanPathOption, int
    251, 301, 0,	//2504  KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>
    139, 139, 0,	//2507  KLocale::TimeProcessingOption, KLocale::TimeProcessingOption
    246, 615, 0,	//2510  KUrl::EncodedPathAndQueryOption, int
    251, 615, 0,	//2513  KUrl::QueryItemsOption, int
    202, 202, 0,	//2516  KStandardDirs::SearchOption, KStandardDirs::SearchOption
    130, 130, 0,	//2519  KLocale::DateTimeFormatOption, KLocale::DateTimeFormatOption
    199, 615, 0,	//2522  KShell::Option, int
    84, 615, 0,	//2525  KCurrencyCode::CurrencyStatus, int
    281, 0,	//2528  QEvent*
    346, 281, 0,	//2530  QObject*, QEvent*
    363, 0,	//2533  QTimerEvent*
    268, 0,	//2535  QChildEvent*
    599, 346, 0,	//2537  const Sonnet::Speller&, QObject*
    599, 0,	//2540  const Sonnet::Speller&
    615, 592, 592, 0,	//2542  int, const QString&, const QString&
    450, 452, 0,	//2546  Sonnet::Speller::Attribute, bool
    450, 0,	//2549  Sonnet::Speller::Attribute
    604, 0,	//2551  const kndbgstream&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AbortError",	//1
    "AbortOnMeta",	//2
    "AbstractUnixSocket",	//3
    "Action",	//4
    "Action#",	//5
    "Action$",	//6
    "Action$$",	//7
    "ActionReply",	//8
    "ActionReply#",	//9
    "ActionReply$",	//10
    "ActiveCurrency",	//11
    "AddTrailingSlash",	//12
    "AddressInUseError",	//13
    "After",	//14
    "AfterMoney",	//15
    "AfterQuantityMoney",	//16
    "AllowEmptyPath",	//17
    "AllowSeparators",	//18
    "Append",	//19
    "AppendTrailingSlash",	//20
    "Applications",	//21
    "Arabic",	//22
    "ArabicDigits",	//23
    "ArabicIndicDigits",	//24
    "AtEnd",	//25
    "AtStart",	//26
    "AuthRequired",	//27
    "AuthorizationDenied",	//28
    "AuthorizationDeniedReply",	//29
    "Authorized",	//30
    "AutoCloseHandle",	//31
    "AutoDetectedEncoding",	//32
    "AvoidEmptyPath",	//33
    "BOM",	//34
    "BackgroundChecker",	//35
    "BackgroundChecker#",	//36
    "BackgroundChecker##",	//37
    "BadQuoting",	//38
    "Baltic",	//39
    "BaseDesktop",	//40
    "Before",	//41
    "BeforeMoney",	//42
    "BeforeQuantityMoney",	//43
    "BengaliDigits",	//44
    "BoundState",	//45
    "Bytes",	//46
    "CascadeConfig",	//47
    "CaseInsensitiveKeys",	//48
    "CentralEuropean",	//49
    "CheckAll",	//50
    "CheckCommand",	//51
    "CheckCondition",	//52
    "CheckUppercase",	//53
    "ChineseSimplified",	//54
    "ChineseTraditional",	//55
    "Choice",	//56
    "Choice#",	//57
    "Choice2",	//58
    "Choice2#",	//59
    "ClockTime",	//60
    "ClosingState",	//61
    "CmdLineArgKDE",	//62
    "CmdLineArgNone",	//63
    "CmdLineArgQt",	//64
    "CmdLineArgsMask",	//65
    "CompareWithoutFragment",	//66
    "CompareWithoutTrailingSlash",	//67
    "ConnectedState",	//68
    "ConnectingState",	//69
    "ConnectionRefusedError",	//70
    "CopticCalendar",	//71
    "CopyError",	//72
    "CrashExit",	//73
    "Crashed",	//74
    "Cyrillic",	//75
    "DBusError",	//76
    "DBusErrorReply",	//77
    "DBusMulti",	//78
    "DBusNone",	//79
    "DBusUnique",	//80
    "DBusWait",	//81
    "DatagramTooLargeError",	//82
    "DateTime",	//83
    "Day",	//84
    "DayName",	//85
    "DayOfWeek",	//86
    "DayOfWeekName",	//87
    "DayOfYear",	//88
    "DayOfYearName",	//89
    "DayPeriod",	//90
    "DayPeriodHour",	//91
    "DaysInMonth",	//92
    "DaysInWeek",	//93
    "DaysInYear",	//94
    "DefaultBinaryDialect",	//95
    "DefaultBinaryUnits",	//96
    "DefaultComponentFormat",	//97
    "DefaultEncoding",	//98
    "DefaultMimeDataFlags",	//99
    "DefaultWeekNumber",	//100
    "Denied",	//101
    "DesktopServices",	//102
    "DevenagariDigits",	//103
    "Directories",	//104
    "DisplayName",	//105
    "DoCopyCatalogs",	//106
    "DontCloseHandle",	//107
    "DontCopyCatalogs",	//108
    "DontResolveAlias",	//109
    "EasternArabicIndicDigits",	//110
    "EmitResult",	//111
    "EncodingFromHTTPHeader",	//112
    "EncodingFromMetaTag",	//113
    "EncodingFromXMLHeader",	//114
    "End",	//115
    "EndsAt",	//116
    "Equal",	//117
    "EraName",	//118
    "EraYear",	//119
    "ErrNoComponent",	//120
    "ErrNoFactory",	//121
    "ErrNoLibrary",	//122
    "ErrNoServiceFound",	//123
    "ErrServiceProvidesNoLibrary",	//124
    "Error",	//125
    "EthiopianCalendar",	//126
    "ExcludeNoDisplay",	//127
    "ExeGroup",	//128
    "ExeOther",	//129
    "ExeOwner",	//130
    "ExeUser",	//131
    "ExtraField",	//132
    "ExtraField#",	//133
    "ExtraField$$",	//134
    "FailedToStart",	//135
    "FancyLongDate",	//136
    "FancyShortDate",	//137
    "Fatal",	//138
    "FatalError",	//139
    "Files",	//140
    "FirstFullWeek",	//141
    "FirstPartialWeek",	//142
    "ForceFlag",	//143
    "ForwardedChannels",	//144
    "FoundIt",	//145
    "FoundMeta",	//146
    "FromUrl",	//147
    "FullConfig",	//148
    "FullName",	//149
    "Global",	//150
    "GlobalDatabase",	//151
    "Greek",	//152
    "GregorianCalendar",	//153
    "GujaratiDigits",	//154
    "GurmukhiDigits",	//155
    "Hebrew",	//156
    "HebrewCalendar",	//157
    "HelperBusy",	//158
    "HelperBusyReply",	//159
    "HelperError",	//160
    "HelperErrorReply",	//161
    "HomePhone",	//162
    "HostLookupState",	//163
    "HostNotFoundError",	//164
    "Hour",	//165
    "IECBinaryDialect",	//166
    "IPv4Protocol",	//167
    "IPv6Protocol",	//168
    "ISODate",	//169
    "ITIMER_PROF",	//170
    "ITIMER_REAL",	//171
    "ITIMER_VIRTUAL",	//172
    "IgnoreExecBit",	//173
    "IgnoreTrailingSlash",	//174
    "Imperial",	//175
    "IncludeGlobals",	//176
    "IndianNationalCalendar",	//177
    "Information",	//178
    "Inside",	//179
    "Invalid",	//180
    "InvalidAction",	//181
    "InvalidActionReply",	//182
    "InvalidOffset",	//183
    "InvalidTime_t",	//184
    "IslamicCivilCalendar",	//185
    "IsoDate",	//186
    "IsoFormat",	//187
    "IsoOrdinalDate",	//188
    "IsoOrdinalFormat",	//189
    "IsoWeekDate",	//190
    "IsoWeekFormat",	//191
    "IsoWeekNumber",	//192
    "ItemBool",	//193
    "ItemBool#",	//194
    "ItemBool$$$",	//195
    "ItemBool$$$$",	//196
    "ItemDateTime",	//197
    "ItemDateTime#",	//198
    "ItemDateTime$$#",	//199
    "ItemDateTime$$##",	//200
    "ItemDouble",	//201
    "ItemDouble#",	//202
    "ItemDouble$$$",	//203
    "ItemDouble$$$$",	//204
    "ItemEnum",	//205
    "ItemEnum#",	//206
    "ItemEnum$$$?",	//207
    "ItemEnum$$$?$",	//208
    "ItemInt",	//209
    "ItemInt#",	//210
    "ItemInt$$$",	//211
    "ItemInt$$$$",	//212
    "ItemIntList",	//213
    "ItemIntList#",	//214
    "ItemIntList$$?",	//215
    "ItemIntList$$??",	//216
    "ItemLongLong",	//217
    "ItemLongLong#",	//218
    "ItemLongLong$$$",	//219
    "ItemLongLong$$$$",	//220
    "ItemPassword",	//221
    "ItemPassword#",	//222
    "ItemPassword$$$",	//223
    "ItemPassword$$$$",	//224
    "ItemPath",	//225
    "ItemPath#",	//226
    "ItemPath$$$",	//227
    "ItemPath$$$$",	//228
    "ItemPathList",	//229
    "ItemPathList#",	//230
    "ItemPathList$$?",	//231
    "ItemPathList$$??",	//232
    "ItemPoint",	//233
    "ItemPoint#",	//234
    "ItemPoint$$#",	//235
    "ItemPoint$$##",	//236
    "ItemProperty",	//237
    "ItemProperty#",	//238
    "ItemProperty$$#",	//239
    "ItemProperty$$##",	//240
    "ItemRect",	//241
    "ItemRect#",	//242
    "ItemRect$$#",	//243
    "ItemRect$$##",	//244
    "ItemSize",	//245
    "ItemSize#",	//246
    "ItemSize$$#",	//247
    "ItemSize$$##",	//248
    "ItemString",	//249
    "ItemString#",	//250
    "ItemString$$$",	//251
    "ItemString$$$$",	//252
    "ItemString$$$$$",	//253
    "ItemStringList",	//254
    "ItemStringList#",	//255
    "ItemStringList$$?",	//256
    "ItemStringList$$??",	//257
    "ItemUInt",	//258
    "ItemUInt#",	//259
    "ItemUInt$$$",	//260
    "ItemUInt$$$$",	//261
    "ItemULongLong",	//262
    "ItemULongLong#",	//263
    "ItemULongLong$$$",	//264
    "ItemULongLong$$$$",	//265
    "ItemUrl",	//266
    "ItemUrl#",	//267
    "ItemUrl$$#",	//268
    "ItemUrl$$##",	//269
    "ItemUrlList",	//270
    "ItemUrlList#",	//271
    "ItemUrlList$$?",	//272
    "ItemUrlList$$??",	//273
    "JEDECBinaryDialect",	//274
    "JalaliCalendar",	//275
    "Japanese",	//276
    "JapaneseCalendar",	//277
    "JulianCalendar",	//278
    "JulianDay",	//279
    "KAboutData",	//280
    "KAboutData#",	//281
    "KAboutData####",	//282
    "KAboutData#####",	//283
    "KAboutData#####$",	//284
    "KAboutData#####$#",	//285
    "KAboutData#####$##",	//286
    "KAboutData#####$###",	//287
    "KAboutData#####$####",	//288
    "KAboutLicense",	//289
    "KAboutLicense#",	//290
    "KAboutPerson",	//291
    "KAboutPerson#",	//292
    "KAboutPerson##",	//293
    "KAboutPerson###",	//294
    "KAboutPerson####",	//295
    "KAboutPerson#####",	//296
    "KAuthError",	//297
    "KAutoSaveFile",	//298
    "KAutoSaveFile#",	//299
    "KAutoSaveFile##",	//300
    "KAutostart",	//301
    "KAutostart$",	//302
    "KAutostart$#",	//303
    "KCalendarSystem",	//304
    "KCalendarSystem#",	//305
    "KCalendarSystem#?",	//306
    "KCalendarSystem#?#",	//307
    "KCalendarSystem?",	//308
    "KCalendarSystem?#",	//309
    "KCharMacroExpander",	//310
    "KCharMacroExpander#",	//311
    "KCharsets",	//312
    "KCharsets#",	//313
    "KCmdLineArgs",	//314
    "KCmdLineArgs#",	//315
    "KCmdLineArgs###",	//316
    "KCmdLineOptions",	//317
    "KCmdLineOptions#",	//318
    "KComponentData",	//319
    "KComponentData#",	//320
    "KComponentData##",	//321
    "KComponentData##$",	//322
    "KComponentData#$",	//323
    "KCompositeJob",	//324
    "KCompositeJob#",	//325
    "KCompositeJob##",	//326
    "KConfig",	//327
    "KConfig#",	//328
    "KConfig#$",	//329
    "KConfig#$$",	//330
    "KConfig#$$$",	//331
    "KConfig$",	//332
    "KConfig$$",	//333
    "KConfig$$$",	//334
    "KConfigBase",	//335
    "KConfigBase#",	//336
    "KConfigGroup",	//337
    "KConfigGroup#",	//338
    "KConfigGroup#$",	//339
    "KConfigGroup?$",	//340
    "KConfigSkeletonItem",	//341
    "KConfigSkeletonItem#",	//342
    "KConfigSkeletonItem$$",	//343
    "KCoreConfigSkeleton",	//344
    "KCoreConfigSkeleton$",	//345
    "KCoreConfigSkeleton$#",	//346
    "KCoreConfigSkeleton?",	//347
    "KCoreConfigSkeleton?#",	//348
    "KCurrencyCode",	//349
    "KCurrencyCode#",	//350
    "KCurrencyCode#$",	//351
    "KCurrencyCode$",	//352
    "KCurrencyCode$$",	//353
    "KDEDModule",	//354
    "KDEDModule#",	//355
    "KDEPluginVerificationData",	//356
    "KDEPluginVerificationData#",	//357
    "KDEVersion",	//358
    "KDEVersionString",	//359
    "KDateTime",	//360
    "KDateTime#",	//361
    "KDateTime##",	//362
    "KDateTime###",	//363
    "KDebug",	//364
    "KDebug#",	//365
    "KDebug$",	//366
    "KDebug$$",	//367
    "KDebug$$$",	//368
    "KDebug$$$$",	//369
    "KDebugTag",	//370
    "KDebugTag#",	//371
    "KDesktopFile",	//372
    "KDesktopFile$",	//373
    "KDesktopFile$$",	//374
    "KEncodingDetector",	//375
    "KEncodingDetector#",	//376
    "KEncodingDetector#$",	//377
    "KEncodingDetector#$$",	//378
    "KEncodingProber",	//379
    "KEncodingProber#",	//380
    "KEncodingProber$",	//381
    "KFilterBase",	//382
    "KJob",	//383
    "KJob#",	//384
    "KJob##",	//385
    "KJobTrackerInterface",	//386
    "KJobTrackerInterface#",	//387
    "KJobUiDelegate",	//388
    "KLibrary",	//389
    "KLibrary#",	//390
    "KLibrary$",	//391
    "KLibrary$#",	//392
    "KLibrary$##",	//393
    "KLibrary$$",	//394
    "KLibrary$$#",	//395
    "KLibrary$$##",	//396
    "KLocalSocket",	//397
    "KLocalSocket#",	//398
    "KLocalSocketServer",	//399
    "KLocalSocketServer#",	//400
    "KLocale",	//401
    "KLocale#",	//402
    "KLocale$",	//403
    "KLocale$$",	//404
    "KLocale$$$",	//405
    "KLocale$$$#",	//406
    "KLocale$?",	//407
    "KLocalizedString",	//408
    "KLocalizedString#",	//409
    "KLockFile",	//410
    "KLockFile#",	//411
    "KLockFile$",	//412
    "KLockFile$#",	//413
    "KMD5",	//414
    "KMD5#",	//415
    "KMD5$",	//416
    "KMD5$$",	//417
    "KMacroExpanderBase",	//418
    "KMacroExpanderBase#",	//419
    "KMessageHandler",	//420
    "KMessageHandler#",	//421
    "KMimeType",	//422
    "KMimeType#",	//423
    "KMimeType#$",	//424
    "KMimeType#$$",	//425
    "KMimeType$$$",	//426
    "KMimeTypeTrader",	//427
    "KMimeTypeTrader#",	//428
    "KPluginFactory",	//429
    "KPluginFactory#",	//430
    "KPluginFactory##",	//431
    "KPluginFactory$",	//432
    "KPluginFactory$$",	//433
    "KPluginFactory$$#",	//434
    "KPluginInfo",	//435
    "KPluginInfo#",	//436
    "KPluginInfo$",	//437
    "KPluginInfo$$",	//438
    "KPluginInfo?",	//439
    "KPluginLoader",	//440
    "KPluginLoader#",	//441
    "KPluginLoader##",	//442
    "KPluginLoader###",	//443
    "KPluginLoader$",	//444
    "KPluginLoader$#",	//445
    "KPluginLoader$##",	//446
    "KProcess",	//447
    "KProcess#",	//448
    "KProcess##",	//449
    "KProtocolInfo",	//450
    "KProtocolInfo#$",	//451
    "KRandomSequence",	//452
    "KRandomSequence#",	//453
    "KRandomSequence$",	//454
    "KST_CTimeInfo",	//455
    "KST_KCustom",	//456
    "KST_KDEDesktopMimeType",	//457
    "KST_KFolderMimeType",	//458
    "KST_KImageIO",	//459
    "KST_KImageIOFormat",	//460
    "KST_KMimeType",	//461
    "KST_KMimeTypeEntry",	//462
    "KST_KMimeTypeFactory",	//463
    "KST_KProtocolInfo",	//464
    "KST_KProtocolInfoFactory",	//465
    "KST_KService",	//466
    "KST_KServiceFactory",	//467
    "KST_KServiceGroup",	//468
    "KST_KServiceGroupFactory",	//469
    "KST_KServiceSeparator",	//470
    "KST_KServiceType",	//471
    "KST_KServiceTypeFactory",	//472
    "KST_KSycocaEntry",	//473
    "KSaveFile",	//474
    "KSaveFile$",	//475
    "KSaveFile$#",	//476
    "KService",	//477
    "KService#",	//478
    "KService#$",	//479
    "KService$",	//480
    "KService$$$",	//481
    "KServiceAction",	//482
    "KServiceAction#",	//483
    "KServiceAction$$$$",	//484
    "KServiceAction$$$$$",	//485
    "KServiceGroup",	//486
    "KServiceGroup#$$",	//487
    "KServiceGroup$",	//488
    "KServiceGroup$$",	//489
    "KServiceType",	//490
    "KServiceType#",	//491
    "KServiceType#$",	//492
    "KServiceType#$$",	//493
    "KStandardDirs",	//494
    "KSycoca",	//495
    "KSycoca$",	//496
    "KSycocaEntry",	//497
    "KSycocaEntry#",	//498
    "KSystemTimeZone",	//499
    "KSystemTimeZone#",	//500
    "KSystemTimeZone#$",	//501
    "KSystemTimeZone#$$",	//502
    "KSystemTimeZone#$$$",	//503
    "KSystemTimeZone#$$$$",	//504
    "KSystemTimeZone#$$$$$",	//505
    "KSystemTimeZoneBackend",	//506
    "KSystemTimeZoneBackend#",	//507
    "KSystemTimeZoneBackend#$$$$$",	//508
    "KSystemTimeZoneSource",	//509
    "KSystemTimeZoneSource#",	//510
    "KTempDir",	//511
    "KTempDir$",	//512
    "KTempDir$$",	//513
    "KTemporaryFile",	//514
    "KTemporaryFile#",	//515
    "KTimeZone",	//516
    "KTimeZone#",	//517
    "KTimeZone$",	//518
    "KTimeZoneBackend",	//519
    "KTimeZoneBackend#",	//520
    "KTimeZoneBackend#$",	//521
    "KTimeZoneBackend#$$",	//522
    "KTimeZoneBackend#$$$",	//523
    "KTimeZoneBackend#$$$$",	//524
    "KTimeZoneBackend#$$$$$",	//525
    "KTimeZoneBackend$",	//526
    "KTimeZoneData",	//527
    "KTimeZoneData#",	//528
    "KTimeZoneSource",	//529
    "KTimeZoneSource#",	//530
    "KTimeZoneSource$",	//531
    "KTimeZones",	//532
    "KTzfileTimeZone",	//533
    "KTzfileTimeZone#",	//534
    "KTzfileTimeZone#$",	//535
    "KTzfileTimeZone#$$",	//536
    "KTzfileTimeZone#$$$",	//537
    "KTzfileTimeZone#$$$$",	//538
    "KTzfileTimeZone#$$$$$",	//539
    "KTzfileTimeZoneBackend",	//540
    "KTzfileTimeZoneBackend#",	//541
    "KTzfileTimeZoneBackend#$$$$$",	//542
    "KTzfileTimeZoneSource",	//543
    "KTzfileTimeZoneSource#",	//544
    "KTzfileTimeZoneSource$",	//545
    "KUrl",	//546
    "KUrl#",	//547
    "KUrl#$",	//548
    "KUrl$",	//549
    "KUser",	//550
    "KUser#",	//551
    "KUser$",	//552
    "KUserGroup",	//553
    "KUserGroup#",	//554
    "KUserGroup$",	//555
    "KWordMacroExpander",	//556
    "KWordMacroExpander#",	//557
    "KannadaDigits",	//558
    "KdeFormat",	//559
    "KeepAliveOption",	//560
    "KeepDirSeparators",	//561
    "KhmerDigits",	//562
    "Killable",	//563
    "KilledJobError",	//564
    "Korean",	//565
    "LastBinaryDialect",	//566
    "LeapSeconds",	//567
    "LeapSeconds#",	//568
    "LeapSeconds#$",	//569
    "LeapSeconds#$$",	//570
    "LeaveTrailingSlash",	//571
    "LiberalParsing",	//572
    "License_Artistic",	//573
    "License_BSD",	//574
    "License_Custom",	//575
    "License_File",	//576
    "License_GPL",	//577
    "License_GPL_V2",	//578
    "License_GPL_V3",	//579
    "License_LGPL",	//580
    "License_LGPL_V2",	//581
    "License_LGPL_V3",	//582
    "License_QPL",	//583
    "License_QPL_V1_0",	//584
    "License_Unknown",	//585
    "ListeningState",	//586
    "LocalDatabase",	//587
    "LocalDate",	//588
    "LocalZone",	//589
    "Localized",	//590
    "LockError",	//591
    "LockFail",	//592
    "LockOK",	//593
    "LockStale",	//594
    "LongDate",	//595
    "LongDayName",	//596
    "LongFormat",	//597
    "LongName",	//598
    "LongNamePossessive",	//599
    "LongNumber",	//600
    "LowDelayOption",	//601
    "MalayalamDigits",	//602
    "MergedChannels",	//603
    "Metric",	//604
    "MetricBinaryDialect",	//605
    "Millisecond",	//606
    "MinguoCalendar",	//607
    "Minute",	//608
    "Month",	//609
    "MonthName",	//610
    "MonthsInYear",	//611
    "MulticastLoopbackOption",	//612
    "MulticastTtlOption",	//613
    "Name",	//614
    "NarrowDayName",	//615
    "NarrowName",	//616
    "NetworkError",	//617
    "NoAccess",	//618
    "NoBlockFlag",	//619
    "NoCapabilities",	//620
    "NoCascade",	//621
    "NoConditions",	//622
    "NoDuplicates",	//623
    "NoError",	//624
    "NoGlobals",	//625
    "NoHeaders",	//626
    "NoOptions",	//627
    "NoResponder",	//628
    "NoResponderReply",	//629
    "NoSearchOptions",	//630
    "NoSuchAction",	//631
    "NoSuchActionReply",	//632
    "NoTextExport",	//633
    "None",	//634
    "Normal",	//635
    "NormalExit",	//636
    "NormalFormat",	//637
    "NorthernSaami",	//638
    "NotMe",	//639
    "NotOpen",	//640
    "NotRunning",	//641
    "ObeyTrailingSlash",	//642
    "ObsoleteCurrency",	//643
    "OffsetFromUTC",	//644
    "OffsetFromUTC$",	//645
    "Ok",	//646
    "OnlyStderrChannel",	//647
    "OnlyStdoutChannel",	//648
    "OpenError",	//649
    "OrgKdeKLauncherInterface",	//650
    "OrgKdeKLauncherInterface$$#",	//651
    "OrgKdeKLauncherInterface$$##",	//652
    "OriyaDigits",	//653
    "Other",	//654
    "Outside",	//655
    "ParensAround",	//656
    "Password",	//657
    "Path",	//658
    "PermissionsError",	//659
    "PermitEmptyPath",	//660
    "Persistent",	//661
    "Phase",	//662
    "Phase#",	//663
    "Phase$#$",	//664
    "Phase$#$$",	//665
    "Phase$?$",	//666
    "Phase$?$$",	//667
    "PluginVerificationDataVersion",	//668
    "PositionError",	//669
    "PosixFormat",	//670
    "Probing",	//671
    "ProcessNonStrict",	//672
    "ProcessStrict",	//673
    "ProxyAuthenticationRequiredError",	//674
    "ProxyConnectionClosedError",	//675
    "ProxyConnectionRefusedError",	//676
    "ProxyConnectionTimeoutError",	//677
    "ProxyNotFoundError",	//678
    "ProxyProtocolError",	//679
    "QDateCalendar",	//680
    "QtTextDate",	//681
    "Quietly",	//682
    "RFC3339Date",	//683
    "RFCDate",	//684
    "RFCDateDay",	//685
    "ReadError",	//686
    "ReadGroup",	//687
    "ReadOnly",	//688
    "ReadOther",	//689
    "ReadOwner",	//690
    "ReadUser",	//691
    "ReadWrite",	//692
    "Recursive",	//693
    "RegisterAsMainComponent",	//694
    "RemoteHostClosedError",	//695
    "RemoveError",	//696
    "RemoveTrailingSlash",	//697
    "RenameError",	//698
    "Reserved",	//699
    "ResizeError",	//700
    "ResolveAliases",	//701
    "ResourceError",	//702
    "RoomNumber",	//703
    "Running",	//704
    "Second",	//705
    "Seconds",	//706
    "SemiautomaticDetection",	//707
    "SeparateChannels",	//708
    "ShortDate",	//709
    "ShortDayName",	//710
    "ShortFormat",	//711
    "ShortName",	//712
    "ShortNamePossessive",	//713
    "ShortNumber",	//714
    "SimpleConfig",	//715
    "SimpleWeek",	//716
    "SimplifyDirSeparators",	//717
    "SkipMainComponentRegistration",	//718
    "SkipRunTogether",	//719
    "SocketAccessError",	//720
    "SocketAddressNotAvailableError",	//721
    "SocketResourceError",	//722
    "SocketTimeoutError",	//723
    "Sorry",	//724
    "SortByGenericName",	//725
    "SortEntries",	//726
    "SouthEasternEurope",	//727
    "Spec",	//728
    "Spec#",	//729
    "Spec$",	//730
    "Spec$$",	//731
    "Speller",	//732
    "Speller#",	//733
    "Speller$",	//734
    "SslHandshakeFailedError",	//735
    "StandardError",	//736
    "StandardOutput",	//737
    "Starting",	//738
    "StartsAt",	//739
    "String",	//740
    "SuSEgeneralDescription",	//741
    "SuSEshortMenu",	//742
    "SuSEsortEntries",	//743
    "SuSEsortEntries??$$",	//744
    "SuSEunimportant",	//745
    "Success",	//746
    "SuccessReply",	//747
    "Suspendable",	//748
    "SuspendedCurrency",	//749
    "T_ERROR",	//750
    "T_FILESYSTEM",	//751
    "T_NONE",	//752
    "T_STREAM",	//753
    "TamilDigits",	//754
    "TcpSocket",	//755
    "TeluguDigits",	//756
    "Text",	//757
    "Thai",	//758
    "ThaiCalendar",	//759
    "ThaiDigits",	//760
    "TildeExpand",	//761
    "TimeDefault",	//762
    "TimeDuration",	//763
    "TimeFoldHours",	//764
    "TimeOutError",	//765
    "TimeWithoutAmPm",	//766
    "TimeWithoutSeconds",	//767
    "TimeZone",	//768
    "Timedout",	//769
    "Timezone",	//770
    "TimezoneName",	//771
    "Transition",	//772
    "Transition#",	//773
    "Transition##",	//774
    "Truncate",	//775
    "Turkish",	//776
    "UNKNOWN",	//777
    "UTC",	//778
    "UdpSocket",	//779
    "Unbuffered",	//780
    "UnconnectedState",	//781
    "UnfinishedSocketOperationError",	//782
    "Unicode",	//783
    "UnicodeFormat",	//784
    "UnitByte",	//785
    "UnitExaByte",	//786
    "UnitGigaByte",	//787
    "UnitKiloByte",	//788
    "UnitLastUnit",	//789
    "UnitMegaByte",	//790
    "UnitPetaByte",	//791
    "UnitTeraByte",	//792
    "UnitYottaByte",	//793
    "UnitZettaByte",	//794
    "Universal",	//795
    "UnixSocket",	//796
    "UnixTime",	//797
    "UnknownError",	//798
    "UnknownLocalSocketType",	//799
    "UnknownNetworkLayerProtocol",	//800
    "UnknownSocketError",	//801
    "UnknownSocketType",	//802
    "UnspecifiedError",	//803
    "UnsupportedSocketOperationError",	//804
    "UseEffectiveUID",	//805
    "UseRealUserID",	//806
    "UserCancelled",	//807
    "UserCancelledReply",	//808
    "UserChosenEncoding",	//809
    "UserDefinedError",	//810
    "Warning",	//811
    "Week",	//812
    "WeekYear",	//813
    "WeeksInYear",	//814
    "WesternEuropean",	//815
    "WithHeaders",	//816
    "WithSeconds",	//817
    "WithoutSeconds",	//818
    "WorkPhone",	//819
    "WriteError",	//820
    "WriteGroup",	//821
    "WriteOnly",	//822
    "WriteOther",	//823
    "WriteOwner",	//824
    "WriteUser",	//825
    "Year",	//826
    "YearInEra",	//827
    "YearName",	//828
    "abbreviation",	//829
    "abbreviation#",	//830
    "abbreviations",	//831
    "abort",	//832
    "aboutData",	//833
    "aboutTranslationTeam",	//834
    "absoluteFilePath",	//835
    "absoluteFilePath?",	//836
    "access",	//837
    "access$$",	//838
    "accessMode",	//839
    "action",	//840
    "actionGroup",	//841
    "actionGroup$",	//842
    "actionPerformed",	//843
    "actionPerformed#",	//844
    "actionStarted",	//845
    "actions",	//846
    "activeComponent",	//847
    "add",	//848
    "add#",	//849
    "add##",	//850
    "add###",	//851
    "addArgument",	//852
    "addArgument$#",	//853
    "addAuthor",	//854
    "addAuthor#",	//855
    "addAuthor##",	//856
    "addAuthor###",	//857
    "addAuthor####",	//858
    "addAuthor#####",	//859
    "addCmdLineOptions",	//860
    "addCmdLineOptions#",	//861
    "addCmdLineOptions##",	//862
    "addCmdLineOptions###",	//863
    "addCmdLineOptions####",	//864
    "addConfigSources",	//865
    "addConfigSources?",	//866
    "addCredit",	//867
    "addCredit#",	//868
    "addCredit##",	//869
    "addCredit###",	//870
    "addCredit####",	//871
    "addCredit#####",	//872
    "addCustomized",	//873
    "addCustomized#",	//874
    "addData",	//875
    "addData$#",	//876
    "addDays",	//877
    "addDays#$",	//878
    "addDays$",	//879
    "addEntry",	//880
    "addEntry?",	//881
    "addFactory",	//882
    "addFactory#",	//883
    "addItem",	//884
    "addItem#",	//885
    "addItem#$",	//886
    "addItemBool",	//887
    "addItemBool$$",	//888
    "addItemBool$$$",	//889
    "addItemBool$$$$",	//890
    "addItemDateTime",	//891
    "addItemDateTime$#",	//892
    "addItemDateTime$##",	//893
    "addItemDateTime$##$",	//894
    "addItemDouble",	//895
    "addItemDouble$$",	//896
    "addItemDouble$$$",	//897
    "addItemDouble$$$$",	//898
    "addItemInt",	//899
    "addItemInt$$",	//900
    "addItemInt$$$",	//901
    "addItemInt$$$$",	//902
    "addItemInt64",	//903
    "addItemInt64$$",	//904
    "addItemInt64$$$",	//905
    "addItemInt64$$$$",	//906
    "addItemIntList",	//907
    "addItemIntList$?",	//908
    "addItemIntList$??",	//909
    "addItemIntList$??$",	//910
    "addItemLongLong",	//911
    "addItemLongLong$$",	//912
    "addItemLongLong$$$",	//913
    "addItemLongLong$$$$",	//914
    "addItemPassword",	//915
    "addItemPassword$$",	//916
    "addItemPassword$$$",	//917
    "addItemPassword$$$$",	//918
    "addItemPath",	//919
    "addItemPath$$",	//920
    "addItemPath$$$",	//921
    "addItemPath$$$$",	//922
    "addItemPoint",	//923
    "addItemPoint$#",	//924
    "addItemPoint$##",	//925
    "addItemPoint$##$",	//926
    "addItemProperty",	//927
    "addItemProperty$#",	//928
    "addItemProperty$##",	//929
    "addItemProperty$##$",	//930
    "addItemRect",	//931
    "addItemRect$#",	//932
    "addItemRect$##",	//933
    "addItemRect$##$",	//934
    "addItemSize",	//935
    "addItemSize$#",	//936
    "addItemSize$##",	//937
    "addItemSize$##$",	//938
    "addItemString",	//939
    "addItemString$$",	//940
    "addItemString$$$",	//941
    "addItemString$$$$",	//942
    "addItemStringList",	//943
    "addItemStringList$?",	//944
    "addItemStringList$??",	//945
    "addItemStringList$??$",	//946
    "addItemUInt",	//947
    "addItemUInt$$",	//948
    "addItemUInt$$$",	//949
    "addItemUInt$$$$",	//950
    "addItemUInt64",	//951
    "addItemUInt64$$",	//952
    "addItemUInt64$$$",	//953
    "addItemUInt64$$$$",	//954
    "addItemULongLong",	//955
    "addItemULongLong$$",	//956
    "addItemULongLong$$$",	//957
    "addItemULongLong$$$$",	//958
    "addLicense",	//959
    "addLicense$",	//960
    "addLicenseText",	//961
    "addLicenseText#",	//962
    "addLicenseTextFile",	//963
    "addLicenseTextFile$",	//964
    "addMSecs",	//965
    "addMSecs$",	//966
    "addMonths",	//967
    "addMonths#$",	//968
    "addMonths$",	//969
    "addPath",	//970
    "addPath$",	//971
    "addPrefix",	//972
    "addPrefix$",	//973
    "addQueryItem",	//974
    "addQueryItem$$",	//975
    "addResourceDir",	//976
    "addResourceDir$$",	//977
    "addResourceDir$$$",	//978
    "addResourceType",	//979
    "addResourceType$$",	//980
    "addResourceType$$$",	//981
    "addResourceType$$$$",	//982
    "addSecs",	//983
    "addSecs$",	//984
    "addSortOrderEntry",	//985
    "addSortOrderEntry$",	//986
    "addStdCmdLineOptions",	//987
    "addStdCmdLineOptions$",	//988
    "addSubjob",	//989
    "addSubjob#",	//990
    "addTempFileOption",	//991
    "addToAllowedEnvironments",	//992
    "addToAllowedEnvironments$",	//993
    "addToExcludedEnvironments",	//994
    "addToExcludedEnvironments$",	//995
    "addToPersonal",	//996
    "addToPersonal$",	//997
    "addToSession",	//998
    "addToSession$",	//999
    "addWordToPersonal",	//1000
    "addWordToPersonal$",	//1001
    "addXdgConfigPrefix",	//1002
    "addXdgConfigPrefix$",	//1003
    "addXdgDataPrefix",	//1004
    "addXdgDataPrefix$",	//1005
    "addYears",	//1006
    "addYears#$",	//1007
    "addYears$",	//1008
    "adjustPath",	//1009
    "adjustPath$",	//1010
    "allArguments",	//1011
    "allCountriesList",	//1012
    "allCurrencyCodesList",	//1013
    "allCurrencyCodesList$",	//1014
    "allDigitSetsList",	//1015
    "allGroupNames",	//1016
    "allGroups",	//1017
    "allLanguagesList",	//1018
    "allMimeTypes",	//1019
    "allParentMimeTypes",	//1020
    "allResourceDirs",	//1021
    "allServiceTypes",	//1022
    "allServices",	//1023
    "allStaleFiles",	//1024
    "allStaleFiles$",	//1025
    "allTypes",	//1026
    "allUserNames",	//1027
    "allUsers",	//1028
    "allowAsDefault",	//1029
    "allowInline",	//1030
    "allowMultipleFiles",	//1031
    "allowUrlAction",	//1032
    "allowUrlAction$##",	//1033
    "allowedEnvironments",	//1034
    "analyze",	//1035
    "analyze$$",	//1036
    "appName",	//1037
    "applyConstraints",	//1038
    "applyConstraints?$",	//1039
    "applyShortYearWindow",	//1040
    "applyShortYearWindow$",	//1041
    "archiveMimeTypes",	//1042
    "arg",	//1043
    "arg$",	//1044
    "arguments",	//1045
    "atEnd",	//1046
    "author",	//1047
    "authorize",	//1048
    "authorize$",	//1049
    "authorizeControlModule",	//1050
    "authorizeControlModule$",	//1051
    "authorizeControlModules",	//1052
    "authorizeControlModules?",	//1053
    "authorizeKAction",	//1054
    "authorizeKAction$",	//1055
    "authorizeUrlAction",	//1056
    "authorizeUrlAction$##",	//1057
    "authors",	//1058
    "autoDetectLanguage",	//1059
    "autoRemove",	//1060
    "autoStart",	//1061
    "autoStart$",	//1062
    "autoStart0Done",	//1063
    "autoStart1Done",	//1064
    "autoStart2Done",	//1065
    "autostarts",	//1066
    "autostarts$",	//1067
    "autostarts$$",	//1068
    "availableBackends",	//1069
    "availableDictionaries",	//1070
    "availableEncodingNames",	//1071
    "availableLanguageNames",	//1072
    "availableLanguages",	//1073
    "backupFile",	//1074
    "backupFile$",	//1075
    "backupFile$$",	//1076
    "base64Decode",	//1077
    "base64Decode#",	//1078
    "base64Decode##",	//1079
    "base64Digest",	//1080
    "base64Encode",	//1081
    "base64Encode#",	//1082
    "base64Encode##",	//1083
    "base64Encode##$",	//1084
    "base64Encode#$",	//1085
    "baseGroup",	//1086
    "baseGroup$",	//1087
    "baseGroupName",	//1088
    "binaryUnitDialect",	//1089
    "bugAddress",	//1090
    "byKeyword",	//1091
    "byKeyword$",	//1092
    "bytesAvailable",	//1093
    "bytesToWrite",	//1094
    "calcResourceHash",	//1095
    "calcResourceHash$$",	//1096
    "calcResourceHash$$$",	//1097
    "calendar",	//1098
    "calendarLabel",	//1099
    "calendarLabel$",	//1100
    "calendarLabel$#",	//1101
    "calendarSystem",	//1102
    "calendarSystem$",	//1103
    "calendarSystemForCalendarType",	//1104
    "calendarSystemForCalendarType$",	//1105
    "calendarSystems",	//1106
    "calendarSystemsList",	//1107
    "calendarType",	//1108
    "calendarType$",	//1109
    "canDeleteRecursive",	//1110
    "canReadLine",	//1111
    "canRenameFromFile",	//1112
    "canRenameToFile",	//1113
    "capabilities",	//1114
    "capabilities$",	//1115
    "caption",	//1116
    "capwords",	//1117
    "capwords$",	//1118
    "capwords?",	//1119
    "catalogName",	//1120
    "categories",	//1121
    "category",	//1122
    "cd",	//1123
    "cd$",	//1124
    "changeGroup",	//1125
    "changeGroup$",	//1126
    "changeLanguage",	//1127
    "changeLanguage$",	//1128
    "charsets",	//1129
    "checkAccess",	//1130
    "checkAccess$$",	//1131
    "checkAllowedEnvironment",	//1132
    "checkAllowedEnvironment$",	//1133
    "checkAndSuggest",	//1134
    "checkAndSuggest$?",	//1135
    "checkForHeldSlave",	//1136
    "checkForHeldSlave$",	//1137
    "checkUpdate",	//1138
    "checkUpdate$$",	//1139
    "checkWord",	//1140
    "checkWord$",	//1141
    "childCount",	//1142
    "childEvent",	//1143
    "childGroup",	//1144
    "childGroup$",	//1145
    "chmod",	//1146
    "chmod$$",	//1147
    "choices",	//1148
    "choices2",	//1149
    "cleanPath",	//1150
    "cleanPath$",	//1151
    "clear",	//1152
    "clearEnvironment",	//1153
    "clearProgram",	//1154
    "clearSubjobs",	//1155
    "clone",	//1156
    "close",	//1157
    "cmp",	//1158
    "cmp#",	//1159
    "cmp#$",	//1160
    "codecForEncoding",	//1161
    "codecForName",	//1162
    "codecForName$",	//1163
    "codecForName$$",	//1164
    "command",	//1165
    "commandToCheck",	//1166
    "comment",	//1167
    "comment#",	//1168
    "compare",	//1169
    "compare#",	//1170
    "componentData",	//1171
    "componentName",	//1172
    "compress",	//1173
    "compress$",	//1174
    "confidence",	//1175
    "config",	//1176
    "config$",	//1177
    "configChanged",	//1178
    "connectNotify",	//1179
    "connectToHost",	//1180
    "connectToHost#",	//1181
    "connectToHost##",	//1182
    "connectToHost#$$$",	//1183
    "connectToHost$$$",	//1184
    "connectToHost$$$#",	//1185
    "connectToHostImplementation",	//1186
    "connectToHostImplementation$$$",	//1187
    "connectToPath",	//1188
    "connectToPath$",	//1189
    "connectToPath$$",	//1190
    "connectToPath$$$",	//1191
    "continueChecking",	//1192
    "convert",	//1193
    "convert##",	//1194
    "convertDigits",	//1195
    "convertDigits$$",	//1196
    "convertDigits$$$",	//1197
    "copyCatalogsTo",	//1198
    "copyCatalogsTo#",	//1199
    "copyTo",	//1200
    "copyTo#",	//1201
    "copyTo#$",	//1202
    "copyTo$",	//1203
    "copyTo$#",	//1204
    "copyrightStatement",	//1205
    "count",	//1206
    "countriesUsingCurrency",	//1207
    "country",	//1208
    "countryCode",	//1209
    "countryCodeToName",	//1210
    "countryCodeToName$",	//1211
    "countryDivisionCode",	//1212
    "create",	//1213
    "create#",	//1214
    "create#$",	//1215
    "create#$?",	//1216
    "create$",	//1217
    "create$#",	//1218
    "create$##?$",	//1219
    "create$$",	//1220
    "create$?",	//1221
    "create$?#",	//1222
    "createObject",	//1223
    "createObject#$?",	//1224
    "createPartObject",	//1225
    "createPartObject##$?",	//1226
    "credits",	//1227
    "csqueeze",	//1228
    "csqueeze$",	//1229
    "csqueeze$$",	//1230
    "currency",	//1231
    "currencyCode",	//1232
    "currencyCodeList",	//1233
    "currencyCodeToName",	//1234
    "currencyCodeToName$",	//1235
    "currencyCodeToName$$",	//1236
    "currencySymbol",	//1237
    "currentContext",	//1238
    "currentDateTime",	//1239
    "currentDateTime#",	//1240
    "currentGroup",	//1241
    "currentLocalDate",	//1242
    "currentLocalDateTime",	//1243
    "currentLocalTime",	//1244
    "currentOffset",	//1245
    "currentOffset$",	//1246
    "currentUtcDateTime",	//1247
    "customAuthorPlainText",	//1248
    "customAuthorRichText",	//1249
    "customAuthorTextEnabled",	//1250
    "customEvent",	//1251
    "cwd",	//1252
    "data",	//1253
    "data$",	//1254
    "dataVersion",	//1255
    "databaseChanged",	//1256
    "databaseChanged?",	//1257
    "datagramSocket",	//1258
    "datagramSocket$$",	//1259
    "datagramSocket$$#",	//1260
    "date",	//1261
    "dateDifference",	//1262
    "dateDifference##$$$$",	//1263
    "dateFormat",	//1264
    "dateFormatShort",	//1265
    "dateIntroduced",	//1266
    "dateMonthNamePossessive",	//1267
    "dateSuspended",	//1268
    "dateTime",	//1269
    "dateTimeDigitSet",	//1270
    "dateToJulianDay",	//1271
    "dateToJulianDay$$$$",	//1272
    "dateWithdrawn",	//1273
    "day",	//1274
    "day#",	//1275
    "dayOfWeek",	//1276
    "dayOfWeek#",	//1277
    "dayOfWeekString",	//1278
    "dayOfWeekString#",	//1279
    "dayOfYear",	//1280
    "dayOfYear#",	//1281
    "dayOfYearString",	//1282
    "dayOfYearString#",	//1283
    "dayOfYearString#$",	//1284
    "dayPeriodText",	//1285
    "dayPeriodText#",	//1286
    "dayPeriodText#$",	//1287
    "dayString",	//1288
    "dayString#",	//1289
    "dayString#$",	//1290
    "dayStringToInteger",	//1291
    "dayStringToInteger$$",	//1292
    "daysDifference",	//1293
    "daysDifference##",	//1294
    "daysInMonth",	//1295
    "daysInMonth#",	//1296
    "daysInMonth$$",	//1297
    "daysInMonthString",	//1298
    "daysInMonthString#",	//1299
    "daysInMonthString#$",	//1300
    "daysInWeek",	//1301
    "daysInWeek#",	//1302
    "daysInWeekString",	//1303
    "daysInWeekString#",	//1304
    "daysInYear",	//1305
    "daysInYear#",	//1306
    "daysInYear$",	//1307
    "daysInYearString",	//1308
    "daysInYearString#",	//1309
    "daysInYearString#$",	//1310
    "daysTo",	//1311
    "daysTo#",	//1312
    "dbusStartupType",	//1313
    "decimalPlaces",	//1314
    "decimalSymbol",	//1315
    "decode",	//1316
    "decode#",	//1317
    "decode$$",	//1318
    "decodeRFC2047String",	//1319
    "decodeRFC2047String$",	//1320
    "decodeWithBuffering",	//1321
    "decodeWithBuffering$$",	//1322
    "decode_string",	//1323
    "decode_string$",	//1324
    "decodedInvalidCharacters",	//1325
    "decoder",	//1326
    "defaultClient",	//1327
    "defaultCountry",	//1328
    "defaultCurrencyCode",	//1329
    "defaultLanguage",	//1330
    "defaultLanguageName",	//1331
    "defaultMimeType",	//1332
    "defaultMimeTypePtr",	//1333
    "defaultOffers",	//1334
    "defaultOffers$",	//1335
    "defaultOffers$$",	//1336
    "defaultSymbol",	//1337
    "defaults",	//1338
    "deleteEntry",	//1339
    "deleteEntry$",	//1340
    "deleteEntry$$",	//1341
    "deleteGroup",	//1342
    "deleteGroup#",	//1343
    "deleteGroup#$",	//1344
    "deleteGroup$",	//1345
    "deleteGroup$$",	//1346
    "deleteGroupImpl",	//1347
    "deleteGroupImpl#",	//1348
    "deleteGroupImpl#$",	//1349
    "dependencies",	//1350
    "deref",	//1351
    "description",	//1352
    "description#$",	//1353
    "description#$?",	//1354
    "description#$??",	//1355
    "descriptionForEncoding",	//1356
    "descriptionForEncoding$",	//1357
    "descriptiveEncodingNames",	//1358
    "deserialize",	//1359
    "deserialize#",	//1360
    "desktopEntryName",	//1361
    "desktopEntryPath",	//1362
    "desktopGroup",	//1363
    "detach",	//1364
    "details",	//1365
    "detectLanguage",	//1366
    "detectLanguage$",	//1367
    "determineMimetypeFromExtension",	//1368
    "determineMimetypeFromExtension$",	//1369
    "device",	//1370
    "device#$",	//1371
    "device#$$",	//1372
    "deviceForFile",	//1373
    "deviceForFile$",	//1374
    "deviceForFile$$",	//1375
    "deviceForFile$$$",	//1376
    "digitSet",	//1377
    "digitSetToName",	//1378
    "digitSetToName$",	//1379
    "digitSetToName$$",	//1380
    "directWriteFallback",	//1381
    "directory",	//1382
    "directory#",	//1383
    "directoryEntryPath",	//1384
    "dirs",	//1385
    "disableAutoRebuild",	//1386
    "disconnectFromHostImplementation",	//1387
    "disconnectFromPath",	//1388
    "disconnectNotify",	//1389
    "doKill",	//1390
    "doResume",	//1391
    "doSuspend",	//1392
    "docPath",	//1393
    "docPath$",	//1394
    "done",	//1395
    "earliestValidDate",	//1396
    "earlyAuthorize",	//1397
    "email",	//1398
    "emailAddress",	//1399
    "emitPercent",	//1400
    "emitPercent$$",	//1401
    "emitResult",	//1402
    "emitSpeed",	//1403
    "emitSpeed$",	//1404
    "enable_i18n",	//1405
    "encode_string",	//1406
    "encode_string$",	//1407
    "encode_string_no_slash",	//1408
    "encode_string_no_slash$",	//1409
    "encodedHtmlRef",	//1410
    "encodedPathAndQuery",	//1411
    "encodedPathAndQuery$",	//1412
    "encodedPathAndQuery$#",	//1413
    "encoding",	//1414
    "encodingChoiceSource",	//1415
    "encodingForName",	//1416
    "encodingForName$",	//1417
    "encodingMib",	//1418
    "encodingName",	//1419
    "encodingsByScript",	//1420
    "endParseBlock",	//1421
    "entries",	//1422
    "entries$",	//1423
    "entries$$",	//1424
    "entries$$$",	//1425
    "entries$$$$",	//1426
    "entryMap",	//1427
    "entryMap$",	//1428
    "entryPath",	//1429
    "epoch",	//1430
    "equals",	//1431
    "equals#",	//1432
    "equals##",	//1433
    "equivalentTo",	//1434
    "equivalentTo#",	//1435
    "eraName",	//1436
    "eraName#",	//1437
    "eraName#$",	//1438
    "eraYear",	//1439
    "eraYear#",	//1440
    "eraYear#$",	//1441
    "error",	//1442
    "errorCode",	//1443
    "errorDescription",	//1444
    "errorString",	//1445
    "errorString$",	//1446
    "errorText",	//1447
    "errorsIfUtf8",	//1448
    "errorsIfUtf8$$",	//1449
    "escapeChar",	//1450
    "event",	//1451
    "eventFilter",	//1452
    "excludedEnvironments",	//1453
    "exec",	//1454
    "exec$",	//1455
    "exec_blind",	//1456
    "exec_blind$?",	//1457
    "exec_blind$??$",	//1458
    "execute",	//1459
    "execute$",	//1460
    "execute$?",	//1461
    "execute$?$",	//1462
    "execute?",	//1463
    "execute?$",	//1464
    "executeActions",	//1465
    "executeActions??$",	//1466
    "executeActions??$#",	//1467
    "executesAsync",	//1468
    "exists",	//1469
    "exists$",	//1470
    "expandEscapedMacro",	//1471
    "expandEscapedMacro$$?",	//1472
    "expandMacro",	//1473
    "expandMacro#?",	//1474
    "expandMacro$?",	//1475
    "expandMacros",	//1476
    "expandMacros$",	//1477
    "expandMacros$?",	//1478
    "expandMacros$?#",	//1479
    "expandMacrosShellQuote",	//1480
    "expandMacrosShellQuote$",	//1481
    "expandMacrosShellQuote$$",	//1482
    "expandMacrosShellQuote$?",	//1483
    "expandMacrosShellQuote$?#",	//1484
    "expandPlainMacro",	//1485
    "expandPlainMacro$$?",	//1486
    "extraFields",	//1487
    "extraFields#",	//1488
    "extractKnownExtension",	//1489
    "extractKnownExtension$",	//1490
    "faceIconPath",	//1491
    "factories",	//1492
    "factory",	//1493
    "factory$",	//1494
    "factory$$",	//1495
    "failed",	//1496
    "favIconForUrl",	//1497
    "favIconForUrl#",	//1498
    "feed",	//1499
    "feed#",	//1500
    "feed$$",	//1501
    "fetchMoreText",	//1502
    "fileEncoding",	//1503
    "fileEncodingMib",	//1504
    "fileEngine",	//1505
    "fileName",	//1506
    "fileName#",	//1507
    "fileNameUsedForCopying",	//1508
    "filterFlags",	//1509
    "finalize",	//1510
    "findAllExe",	//1511
    "findAllExe?$",	//1512
    "findAllExe?$$",	//1513
    "findAllExe?$$$",	//1514
    "findAllResources",	//1515
    "findAllResources$",	//1516
    "findAllResources$$",	//1517
    "findAllResources$$$",	//1518
    "findAllResources$$$?",	//1519
    "findByContent",	//1520
    "findByContent#",	//1521
    "findByContent#$",	//1522
    "findByFileContent",	//1523
    "findByFileContent$",	//1524
    "findByFileContent$$",	//1525
    "findByNameAndContent",	//1526
    "findByNameAndContent$#",	//1527
    "findByNameAndContent$#$",	//1528
    "findByNameAndContent$#$$",	//1529
    "findByPath",	//1530
    "findByPath$",	//1531
    "findByPath$$",	//1532
    "findByPath$$$",	//1533
    "findByPath$$$$",	//1534
    "findByUrl",	//1535
    "findByUrl#",	//1536
    "findByUrl#$",	//1537
    "findByUrl#$$",	//1538
    "findByUrl#$$$",	//1539
    "findByUrl#$$$$",	//1540
    "findDirectChild_helper",	//1541
    "findDirectChild_helper##",	//1542
    "findDirs",	//1543
    "findDirs$$",	//1544
    "findEntry",	//1545
    "findEntry$$",	//1546
    "findExe",	//1547
    "findExe$",	//1548
    "findExe$$",	//1549
    "findExe$$$",	//1550
    "findFactory",	//1551
    "findFactory$",	//1552
    "findFilterByFileName",	//1553
    "findFilterByFileName$",	//1554
    "findFilterByMimeType",	//1555
    "findFilterByMimeType$",	//1556
    "findItem",	//1557
    "findItem$",	//1558
    "findLibrary",	//1559
    "findLibrary$",	//1560
    "findLibrary$#",	//1561
    "findResource",	//1562
    "findResource$$",	//1563
    "findResourceDir",	//1564
    "findResourceDir$$",	//1565
    "finished",	//1566
    "finished#",	//1567
    "finishedCurrentFeed",	//1568
    "firstDayOfMonth",	//1569
    "firstDayOfMonth#",	//1570
    "firstDayOfMonth$$",	//1571
    "firstDayOfYear",	//1572
    "firstDayOfYear#",	//1573
    "firstDayOfYear$",	//1574
    "flagError",	//1575
    "flush",	//1576
    "fopen",	//1577
    "fopen$$",	//1578
    "forceGlobal",	//1579
    "formatByteSize",	//1580
    "formatByteSize$",	//1581
    "formatByteSize$$",	//1582
    "formatByteSize$$$",	//1583
    "formatByteSize$$$$",	//1584
    "formatDate",	//1585
    "formatDate#",	//1586
    "formatDate#$",	//1587
    "formatDate#$$",	//1588
    "formatDate#$$$",	//1589
    "formatDateTime",	//1590
    "formatDateTime#",	//1591
    "formatDateTime#$",	//1592
    "formatDateTime#$$",	//1593
    "formatDuration",	//1594
    "formatDuration$",	//1595
    "formatLocaleTime",	//1596
    "formatLocaleTime#",	//1597
    "formatLocaleTime#$",	//1598
    "formatLong",	//1599
    "formatLong$",	//1600
    "formatMoney",	//1601
    "formatMoney$",	//1602
    "formatMoney$$",	//1603
    "formatMoney$$$",	//1604
    "formatNumber",	//1605
    "formatNumber$",	//1606
    "formatNumber$$",	//1607
    "formatNumber$$$",	//1608
    "formatTime",	//1609
    "formatTime#",	//1610
    "formatTime#$",	//1611
    "formatTime#$$",	//1612
    "fracDigits",	//1613
    "from8Bit",	//1614
    "from8Bit$",	//1615
    "fromEntity",	//1616
    "fromEntity$",	//1617
    "fromEntity$$",	//1618
    "fromFiles",	//1619
    "fromFiles?",	//1620
    "fromFiles?#",	//1621
    "fromKPartsInstanceName",	//1622
    "fromKPartsInstanceName$",	//1623
    "fromKPartsInstanceName$#",	//1624
    "fromMimeDataByteArray",	//1625
    "fromMimeDataByteArray#",	//1626
    "fromPath",	//1627
    "fromPath$",	//1628
    "fromPathOrUrl",	//1629
    "fromPathOrUrl$",	//1630
    "fromServices",	//1631
    "fromServices?",	//1632
    "fromServices?#",	//1633
    "fromString",	//1634
    "fromString$",	//1635
    "fromString$$",	//1636
    "fromString$$#",	//1637
    "fromString$$#$",	//1638
    "fromString$$$",	//1639
    "fromTime_t",	//1640
    "fromTime_t$",	//1641
    "fullLicense",	//1642
    "fullName",	//1643
    "genericName",	//1644
    "getBool",	//1645
    "getDate",	//1646
    "getDate#$$$",	//1647
    "getDouble",	//1648
    "getLockInfo",	//1649
    "getLockInfo$$$",	//1650
    "getLong",	//1651
    "getLong$",	//1652
    "getOption",	//1653
    "getOption#",	//1654
    "getOptionList",	//1655
    "getOptionList#",	//1656
    "gid",	//1657
    "group",	//1658
    "group#",	//1659
    "group$",	//1660
    "groupEntries",	//1661
    "groupEntries$",	//1662
    "groupImpl",	//1663
    "groupImpl#",	//1664
    "groupList",	//1665
    "groupNames",	//1666
    "groups",	//1667
    "hasActionGroup",	//1668
    "hasActionGroup$",	//1669
    "hasApplicationType",	//1670
    "hasAutoDetectionForScript",	//1671
    "hasAutoDetectionForScript$",	//1672
    "hasDefault",	//1673
    "hasDefault$",	//1674
    "hasDeviceType",	//1675
    "hasGroup",	//1676
    "hasGroup#",	//1677
    "hasGroup$",	//1678
    "hasGroupImpl",	//1679
    "hasGroupImpl#",	//1680
    "hasHTMLRef",	//1681
    "hasHelper",	//1682
    "hasHost",	//1683
    "hasKey",	//1684
    "hasKey$",	//1685
    "hasLinkType",	//1686
    "hasLocale",	//1687
    "hasMainComponent",	//1688
    "hasMimeType",	//1689
    "hasMimeType#",	//1690
    "hasMimeType$",	//1691
    "hasMimeTypeType",	//1692
    "hasNullOutput",	//1693
    "hasNullOutput$$$$",	//1694
    "hasNullOutputQtDebugMsg",	//1695
    "hasNullOutputQtDebugMsg$",	//1696
    "hasNullOutputQtDebugMsg$$",	//1697
    "hasPass",	//1698
    "hasPath",	//1699
    "hasPendingConnections",	//1700
    "hasRef",	//1701
    "hasServiceType",	//1702
    "hasServiceType$",	//1703
    "hasSubUrl",	//1704
    "hasSubjobs",	//1705
    "hasSubunits",	//1706
    "hasSubunitsInCirculation",	//1707
    "hasTransitions",	//1708
    "hasTransitions#",	//1709
    "hasTranslatedKey",	//1710
    "hasTranslatedKey$",	//1711
    "hasUser",	//1712
    "helperID",	//1713
    "hexDigest",	//1714
    "hexDigest#",	//1715
    "homeDir",	//1716
    "homepage",	//1717
    "htmlRef",	//1718
    "i18n",	//1719
    "i18n$",	//1720
    "i18nc",	//1721
    "i18nc$$",	//1722
    "icon",	//1723
    "icon$",	//1724
    "iconName",	//1725
    "iconName#",	//1726
    "iconNameForUrl",	//1727
    "iconNameForUrl#",	//1728
    "iconNameForUrl#$",	//1729
    "inBufferAvailable",	//1730
    "inBufferEmpty",	//1731
    "inContext",	//1732
    "inContext$$",	//1733
    "incomingConnection",	//1734
    "incomingConnection$",	//1735
    "infoMessage",	//1736
    "infoMessage#$",	//1737
    "infoMessage#$$",	//1738
    "inherits",	//1739
    "inherits$",	//1740
    "init",	//1741
    "init#",	//1742
    "init$",	//1743
    "init$?#",	//1744
    "init$?####",	//1745
    "init$?#####",	//1746
    "init$?#####$",	//1747
    "init$?#$",	//1748
    "initialPreference",	//1749
    "inlineAlias",	//1750
    "inlineValue",	//1751
    "insertCatalog",	//1752
    "insertCatalog$",	//1753
    "installPath",	//1754
    "installPath$",	//1755
    "installedLanguages",	//1756
    "internalBugAddress",	//1757
    "internalProgramName",	//1758
    "internalVersion",	//1759
    "invokeBrowser",	//1760
    "invokeBrowser$",	//1761
    "invokeBrowser$#",	//1762
    "invokeHelp",	//1763
    "invokeHelp$",	//1764
    "invokeHelp$$",	//1765
    "invokeHelp$$#",	//1766
    "invokeMailer",	//1767
    "invokeMailer#",	//1768
    "invokeMailer##",	//1769
    "invokeMailer##$",	//1770
    "invokeMailer$$",	//1771
    "invokeMailer$$#",	//1772
    "invokeMailer$$$$$",	//1773
    "invokeMailer$$$$$$",	//1774
    "invokeMailer$$$$$$?",	//1775
    "invokeMailer$$$$$$?#",	//1776
    "invokeTerminal",	//1777
    "invokeTerminal$",	//1778
    "invokeTerminal$$",	//1779
    "invokeTerminal$$#",	//1780
    "is",	//1781
    "is$",	//1782
    "isApplication",	//1783
    "isApplicationTranslatedInto",	//1784
    "isApplicationTranslatedInto$",	//1785
    "isAuthorizedDesktopFile",	//1786
    "isAuthorizedDesktopFile$",	//1787
    "isAutoDelete",	//1788
    "isAutoErrorHandlingEnabled",	//1789
    "isAutoWarningHandlingEnabled",	//1790
    "isAvailable",	//1791
    "isBinaryData",	//1792
    "isBinaryData$",	//1793
    "isBufferBinaryData",	//1794
    "isBufferBinaryData#",	//1795
    "isBuilding",	//1796
    "isChanged",	//1797
    "isChanged$",	//1798
    "isClockTime",	//1799
    "isConfigWritable",	//1800
    "isConfigWritable$",	//1801
    "isCorrect",	//1802
    "isCorrect$",	//1803
    "isDateOnly",	//1804
    "isDefault",	//1805
    "isDeleted",	//1806
    "isDerived",	//1807
    "isDesktopFile",	//1808
    "isDesktopFile$",	//1809
    "isDirty",	//1810
    "isDst",	//1811
    "isDst#$",	//1812
    "isDst$",	//1813
    "isDstAtUtc",	//1814
    "isDstAtUtc#",	//1815
    "isDstAtUtc##",	//1816
    "isEmpty",	//1817
    "isEntryImmutable",	//1818
    "isEntryImmutable$",	//1819
    "isEqual",	//1820
    "isEqual#",	//1821
    "isFilterProtocol",	//1822
    "isFilterProtocol#",	//1823
    "isFilterProtocol$",	//1824
    "isGroupImmutable",	//1825
    "isGroupImmutable#",	//1826
    "isGroupImmutable$",	//1827
    "isGroupImmutableImpl",	//1828
    "isGroupImmutableImpl#",	//1829
    "isHelperProtocol",	//1830
    "isHelperProtocol#",	//1831
    "isHelperProtocol$",	//1832
    "isHidden",	//1833
    "isImmutable",	//1834
    "isImmutable$",	//1835
    "isKnownProtocol",	//1836
    "isKnownProtocol#",	//1837
    "isKnownProtocol$",	//1838
    "isLeapYear",	//1839
    "isLeapYear#",	//1840
    "isLeapYear$",	//1841
    "isListening",	//1842
    "isLoaded",	//1843
    "isLocalFile",	//1844
    "isLocalZone",	//1845
    "isLocked",	//1846
    "isLunar",	//1847
    "isLunisolar",	//1848
    "isMisspelled",	//1849
    "isMisspelled$",	//1850
    "isNull",	//1851
    "isOffsetFromUtc",	//1852
    "isParentOf",	//1853
    "isParentOf#",	//1854
    "isPluginEnabled",	//1855
    "isPluginEnabledByDefault",	//1856
    "isProleptic",	//1857
    "isRelativeUrl",	//1858
    "isRelativeUrl$",	//1859
    "isRestrictedResource",	//1860
    "isRestrictedResource$",	//1861
    "isRestrictedResource$$",	//1862
    "isSecondOccurrence",	//1863
    "isSeparator",	//1864
    "isSequential",	//1865
    "isServiceRegistered",	//1866
    "isServiceRegistered$",	//1867
    "isSet",	//1868
    "isSet#",	//1869
    "isSimulated",	//1870
    "isSolar",	//1871
    "isSuperUser",	//1872
    "isSuspended",	//1873
    "isTempFileSet",	//1874
    "isTimeZoneDaemonAvailable",	//1875
    "isType",	//1876
    "isType$",	//1877
    "isUtc",	//1878
    "isUtf8",	//1879
    "isUtf8$",	//1880
    "isValid",	//1881
    "isValid#",	//1882
    "isValid$",	//1883
    "isValid$$",	//1884
    "isValid$$$",	//1885
    "isValid$$$$",	//1886
    "isValidIsoWeekDate",	//1887
    "isValidIsoWeekDate$$$",	//1888
    "isoCurrencyCode",	//1889
    "isoCurrencyCodeNumeric",	//1890
    "isoName",	//1891
    "items",	//1892
    "job",	//1893
    "join",	//1894
    "join?",	//1895
    "joinArgs",	//1896
    "joinArgs?",	//1897
    "julianDayToDate",	//1898
    "julianDayToDate$$$$",	//1899
    "kAsciiToLower",	//1900
    "kAsciiToLower$",	//1901
    "kAsciiToUpper",	//1902
    "kAsciiToUpper$",	//1903
    "kBacktrace",	//1904
    "kBacktrace$",	//1905
    "kClearDebugConfig",	//1906
    "kRealBacktrace",	//1907
    "kRealBacktrace$",	//1908
    "kapplication_hook",	//1909
    "kapplication_hook?#",	//1910
    "kasciistricmp",	//1911
    "kasciistricmp$$",	//1912
    "kcmServices",	//1913
    "kdBacktrace",	//1914
    "kdBacktrace$",	//1915
    "kde_default",	//1916
    "kde_default$",	//1917
    "kdeinitExec",	//1918
    "kdeinitExec$",	//1919
    "kdeinitExec$?",	//1920
    "kdeinitExec$?$",	//1921
    "kdeinitExec$?$$",	//1922
    "kdeinitExec$?$$#",	//1923
    "kdeinitExecWait",	//1924
    "kdeinitExecWait$",	//1925
    "kdeinitExecWait$?",	//1926
    "kdeinitExecWait$?$",	//1927
    "kdeinitExecWait$?$$",	//1928
    "kdeinitExecWait$?$$#",	//1929
    "kdeinit_exec",	//1930
    "kdeinit_exec$??$$$$",	//1931
    "kdeinit_exec_wait",	//1932
    "kdeinit_exec_wait$??$$$$",	//1933
    "key",	//1934
    "keyList",	//1935
    "keywords",	//1936
    "kfsstnd_prefixes",	//1937
    "kfsstnd_xdg_conf_prefixes",	//1938
    "kfsstnd_xdg_data_prefixes",	//1939
    "ki18n",	//1940
    "ki18n$",	//1941
    "ki18nc",	//1942
    "ki18nc$$",	//1943
    "ki18ncp",	//1944
    "ki18ncp$$$",	//1945
    "ki18np",	//1946
    "ki18np$$",	//1947
    "kill",	//1948
    "kill$",	//1949
    "klauncher",	//1950
    "kndbgstream",	//1951
    "kndbgstream#",	//1952
    "label",	//1953
    "langLookup",	//1954
    "langLookup$",	//1955
    "langLookup$$",	//1956
    "language",	//1957
    "languageCodeToName",	//1958
    "languageCodeToName$",	//1959
    "languageForEncoding",	//1960
    "languageForEncoding$",	//1961
    "languageList",	//1962
    "lastDayOfMonth",	//1963
    "lastDayOfMonth#",	//1964
    "lastDayOfMonth$$",	//1965
    "lastDayOfYear",	//1966
    "lastDayOfYear#",	//1967
    "lastDayOfYear$",	//1968
    "lastErrorMessage",	//1969
    "latestValidDate",	//1970
    "latitude",	//1971
    "layoutInfo",	//1972
    "leapSecondChange",	//1973
    "leapSecondChange#",	//1974
    "leapSecondChanges",	//1975
    "leapSeconds",	//1976
    "library",	//1977
    "library$",	//1978
    "library$$",	//1979
    "license",	//1980
    "licenseName",	//1981
    "licenseName$",	//1982
    "licenses",	//1983
    "listen",	//1984
    "listen$",	//1985
    "listen$#",	//1986
    "listen$#$",	//1987
    "listen$#$#",	//1988
    "listen$$",	//1989
    "load",	//1990
    "load#",	//1991
    "loadAppArgs",	//1992
    "loadAppArgs#",	//1993
    "local",	//1994
    "localPath",	//1995
    "localSocketType",	//1996
    "locale",	//1997
    "localizedFilePath",	//1998
    "localizedFilePath$",	//1999
    "localkdedir",	//2000
    "localxdgconfdir",	//2001
    "localxdgdatadir",	//2002
    "locate",	//2003
    "locate$$",	//2004
    "locate$$#",	//2005
    "locateLocal",	//2006
    "locateLocal$",	//2007
    "locateLocal$$",	//2008
    "locateLocal$$#",	//2009
    "locateLocal$$$",	//2010
    "locateLocal$$$#",	//2011
    "location",	//2012
    "lock",	//2013
    "lock$",	//2014
    "loginName",	//2015
    "longitude",	//2016
    "lsqueeze",	//2017
    "lsqueeze$",	//2018
    "lsqueeze$$",	//2019
    "mGroup",	//2020
    "mKey",	//2021
    "mName",	//2022
    "m_bAutoDel",	//2023
    "m_canCopyFromFile",	//2024
    "m_canCopyToFile",	//2025
    "m_config",	//2026
    "m_defaultMimetype",	//2027
    "m_determineMimetypeFromExtension",	//2028
    "m_dev",	//2029
    "m_exec",	//2030
    "m_icon",	//2031
    "m_inputType",	//2032
    "m_isHelperProtocol",	//2033
    "m_isSourceProtocol",	//2034
    "m_listing",	//2035
    "m_maxSlaves",	//2036
    "m_name",	//2037
    "m_outputType",	//2038
    "m_str_deprecated",	//2039
    "m_supportsDeleting",	//2040
    "m_supportsLinking",	//2041
    "m_supportsListing",	//2042
    "m_supportsMakeDir",	//2043
    "m_supportsMoving",	//2044
    "m_supportsOpening",	//2045
    "m_supportsReading",	//2046
    "m_supportsWriting",	//2047
    "mainComponent",	//2048
    "mainExtension",	//2049
    "makeDir",	//2050
    "makeDir$",	//2051
    "makeDir$$",	//2052
    "makeURL",	//2053
    "makeURL#",	//2054
    "managedFile",	//2055
    "markAsClean",	//2056
    "matchFileName",	//2057
    "matchFileName$$",	//2058
    "maxPendingConnections",	//2059
    "maxSlaves",	//2060
    "maxSlaves$",	//2061
    "maxSlavesPerHost",	//2062
    "maxSlavesPerHost$",	//2063
    "maxValue",	//2064
    "measureSystem",	//2065
    "menuId",	//2066
    "message",	//2067
    "message$$",	//2068
    "message$$$",	//2069
    "metaObject",	//2070
    "mimeType",	//2071
    "mimeType$",	//2072
    "mimeType$$",	//2073
    "mimeTypes",	//2074
    "minValue",	//2075
    "misspelling",	//2076
    "misspelling$$",	//2077
    "mkdir",	//2078
    "mkdir$$",	//2079
    "mode",	//2080
    "modulate",	//2081
    "modulate$",	//2082
    "moduleDeleted",	//2083
    "moduleDeleted#",	//2084
    "moduleName",	//2085
    "moduleRegistered",	//2086
    "moduleRegistered#",	//2087
    "monetaryDecimalPlaces",	//2088
    "monetaryDecimalSymbol",	//2089
    "monetaryDigitSet",	//2090
    "monetaryThousandsSeparator",	//2091
    "month",	//2092
    "month#",	//2093
    "monthName",	//2094
    "monthName#",	//2095
    "monthName#$",	//2096
    "monthName$$",	//2097
    "monthName$$$",	//2098
    "monthString",	//2099
    "monthString#",	//2100
    "monthString#$",	//2101
    "monthStringToInteger",	//2102
    "monthStringToInteger$$",	//2103
    "monthsDifference",	//2104
    "monthsDifference##",	//2105
    "monthsInYear",	//2106
    "monthsInYear#",	//2107
    "monthsInYear$",	//2108
    "monthsInYearString",	//2109
    "monthsInYearString#",	//2110
    "monthsInYearString#$",	//2111
    "name",	//2112
    "name$",	//2113
    "nameForProberType",	//2114
    "nameForProberType$",	//2115
    "nameForScript",	//2116
    "nameForScript$",	//2117
    "naturalCompare",	//2118
    "naturalCompare$$",	//2119
    "naturalCompare$$$",	//2120
    "negativeMonetarySignPosition",	//2121
    "negativePrefixCurrencySymbol",	//2122
    "negativeSign",	//2123
    "newConnection",	//2124
    "newServicePath",	//2125
    "newServicePath$$",	//2126
    "newServicePath$$$",	//2127
    "newServicePath$$$?",	//2128
    "nextPendingConnection",	//2129
    "noDisplay",	//2130
    "notifyCatalogsUpdated",	//2131
    "notifyCatalogsUpdated??",	//2132
    "nounDeclension",	//2133
    "numberedBackupFile",	//2134
    "numberedBackupFile$",	//2135
    "numberedBackupFile$$",	//2136
    "numberedBackupFile$$$",	//2137
    "numberedBackupFile$$$$",	//2138
    "objectCreated",	//2139
    "objectCreated#",	//2140
    "obscure",	//2141
    "obscure$",	//2142
    "ocsProviderUrl",	//2143
    "ocsUsername",	//2144
    "offset",	//2145
    "offset#$",	//2146
    "offset$",	//2147
    "offsetAtUtc",	//2148
    "offsetAtUtc#",	//2149
    "offsetAtUtc##",	//2150
    "offsetAtZoneTime",	//2151
    "offsetAtZoneTime#",	//2152
    "offsetAtZoneTime##$",	//2153
    "offsetAtZoneTime#$",	//2154
    "open",	//2155
    "open$",	//2156
    "open$$",	//2157
    "open$$$",	//2158
    "openConfig",	//2159
    "openConfig#",	//2160
    "openConfig#$",	//2161
    "openConfig#$$",	//2162
    "openConfig#$$$",	//2163
    "openConfig$",	//2164
    "openConfig$$",	//2165
    "openConfig$$$",	//2166
    "operator QVariant",	//2167
    "operator!=",	//2168
    "operator!=#",	//2169
    "operator!=##",	//2170
    "operator!=$",	//2171
    "operator!=$#",	//2172
    "operator!=$$",	//2173
    "operator+",	//2174
    "operator+#$",	//2175
    "operator+$#",	//2176
    "operator+$$",	//2177
    "operator<",	//2178
    "operator<#",	//2179
    "operator<##",	//2180
    "operator<$#",	//2181
    "operator<$$",	//2182
    "operator<<",	//2183
    "operator<<##",	//2184
    "operator<<$",	//2185
    "operator<<?",	//2186
    "operator<=",	//2187
    "operator<=#",	//2188
    "operator<=##",	//2189
    "operator<=$#",	//2190
    "operator<=$$",	//2191
    "operator=",	//2192
    "operator=#",	//2193
    "operator=$",	//2194
    "operator==",	//2195
    "operator==#",	//2196
    "operator==##",	//2197
    "operator==$",	//2198
    "operator==$#",	//2199
    "operator==$$",	//2200
    "operator>",	//2201
    "operator>#",	//2202
    "operator>##",	//2203
    "operator>$#",	//2204
    "operator>$$",	//2205
    "operator>=",	//2206
    "operator>=#",	//2207
    "operator>=##",	//2208
    "operator>=$#",	//2209
    "operator>=$$",	//2210
    "operator>>",	//2211
    "operator>>##",	//2212
    "operator|",	//2213
    "operator|$$",	//2214
    "organizationDomain",	//2215
    "otherText",	//2216
    "outBufferAvailable",	//2217
    "outBufferFull",	//2218
    "outOfRange",	//2219
    "outputChannelMode",	//2220
    "pageSize",	//2221
    "parent",	//2222
    "parentApp",	//2223
    "parentMimeType",	//2224
    "parentMimeTypes",	//2225
    "parentServiceType",	//2226
    "parentType",	//2227
    "parentWidget",	//2228
    "parse",	//2229
    "parse#",	//2230
    "parsedArgs",	//2231
    "parsedArgs#",	//2232
    "pass",	//2233
    "path",	//2234
    "path$",	//2235
    "pathOrUrl",	//2236
    "pathOrUrl$",	//2237
    "patterns",	//2238
    "peerPath",	//2239
    "percent",	//2240
    "percent#$",	//2241
    "perlSplit",	//2242
    "perlSplit#$",	//2243
    "perlSplit#$$",	//2244
    "perlSplit$$",	//2245
    "perlSplit$$$",	//2246
    "phase",	//2247
    "phases",	//2248
    "pid",	//2249
    "pluginKeyword",	//2250
    "pluginName",	//2251
    "pluginVersion",	//2252
    "populateMimeData",	//2253
    "populateMimeData#",	//2254
    "populateMimeData#?",	//2255
    "populateMimeData#?$",	//2256
    "pos",	//2257
    "positiveMonetarySignPosition",	//2258
    "positivePrefixCurrencySymbol",	//2259
    "positiveSign",	//2260
    "preProcessWrap",	//2261
    "preProcessWrap$",	//2262
    "preferredService",	//2263
    "preferredService$",	//2264
    "preferredService$$",	//2265
    "prettyFormatDuration",	//2266
    "prettyFormatDuration$",	//2267
    "prettyUrl",	//2268
    "prettyUrl$",	//2269
    "previousUtcOffset",	//2270
    "proberType",	//2271
    "proberTypeForName",	//2272
    "proberTypeForName$",	//2273
    "processNull",	//2274
    "processNull$$",	//2275
    "processedAmount",	//2276
    "processedAmount#$$",	//2277
    "processedAmount$",	//2278
    "productName",	//2279
    "program",	//2280
    "programIconName",	//2281
    "programLogo",	//2282
    "programName",	//2283
    "progressStep",	//2284
    "progressStep$",	//2285
    "progressStep?",	//2286
    "property",	//2287
    "property$",	//2288
    "property$$",	//2289
    "propertyDef",	//2290
    "propertyDef$",	//2291
    "propertyDefNames",	//2292
    "propertyDefs",	//2293
    "propertyNames",	//2294
    "protocol",	//2295
    "protocolClass",	//2296
    "protocolClass$",	//2297
    "protocols",	//2298
    "proxiedBy",	//2299
    "proxiedBy$",	//2300
    "proxyForConnection",	//2301
    "proxyForConnection$$",	//2302
    "proxyForDatagram",	//2303
    "proxyForDatagram$$",	//2304
    "proxyForListening",	//2305
    "proxyForListening$",	//2306
    "qtArgc",	//2307
    "qtArgv",	//2308
    "qt_metacall",	//2309
    "qt_metacall$$?",	//2310
    "qt_metacast",	//2311
    "qt_metacast$",	//2312
    "query",	//2313
    "query$",	//2314
    "query$$",	//2315
    "query$$$",	//2316
    "queryItem",	//2317
    "queryItem$",	//2318
    "queryItems",	//2319
    "queryItems#",	//2320
    "quoteArg",	//2321
    "quoteArg$",	//2322
    "quotedPrintableDecode",	//2323
    "quotedPrintableDecode#",	//2324
    "quotedPrintableDecode##",	//2325
    "quotedPrintableEncode",	//2326
    "quotedPrintableEncode#",	//2327
    "quotedPrintableEncode##$",	//2328
    "quotedPrintableEncode#$",	//2329
    "random",	//2330
    "randomString",	//2331
    "randomString$",	//2332
    "rawDigest",	//2333
    "rawDigest$",	//2334
    "rcsBackupFile",	//2335
    "rcsBackupFile$",	//2336
    "rcsBackupFile$$",	//2337
    "rcsBackupFile$$$",	//2338
    "read",	//2339
    "read#$",	//2340
    "read#?",	//2341
    "readActions",	//2342
    "readComment",	//2343
    "readConfig",	//2344
    "readConfig#",	//2345
    "readData",	//2346
    "readData$$",	//2347
    "readDate",	//2348
    "readDate$",	//2349
    "readDate$$",	//2350
    "readDate$$$",	//2351
    "readDate$$$$",	//2352
    "readDefault",	//2353
    "readDefault#",	//2354
    "readDefaults",	//2355
    "readDevice",	//2356
    "readDocPath",	//2357
    "readEntry",	//2358
    "readEntry$",	//2359
    "readEntry$#",	//2360
    "readEntry$$",	//2361
    "readEntry$?",	//2362
    "readEntryUntranslated",	//2363
    "readEntryUntranslated$",	//2364
    "readEntryUntranslated$$",	//2365
    "readError",	//2366
    "readGenericName",	//2367
    "readHeader",	//2368
    "readIcon",	//2369
    "readImmutability",	//2370
    "readImmutability#",	//2371
    "readLineData",	//2372
    "readLocaleTime",	//2373
    "readLocaleTime$",	//2374
    "readLocaleTime$$",	//2375
    "readLocaleTime$$$",	//2376
    "readLocaleTime$$$$",	//2377
    "readMoney",	//2378
    "readMoney$",	//2379
    "readMoney$$",	//2380
    "readName",	//2381
    "readNumber",	//2382
    "readNumber$",	//2383
    "readNumber$$",	//2384
    "readPath",	//2385
    "readPathEntry",	//2386
    "readPathEntry$$",	//2387
    "readPathEntry$?",	//2388
    "readTime",	//2389
    "readTime$",	//2390
    "readTime$$",	//2391
    "readTime$$$",	//2392
    "readType",	//2393
    "readUrl",	//2394
    "readXdgListEntry",	//2395
    "readXdgListEntry$",	//2396
    "readXdgListEntry$?",	//2397
    "readZone",	//2398
    "readZone$",	//2399
    "realCurrentLocalDateTime",	//2400
    "realFilePath",	//2401
    "realFilePath$",	//2402
    "realLocalZone",	//2403
    "realPath",	//2404
    "realPath$",	//2405
    "ref",	//2406
    "registerArea",	//2407
    "registerArea#",	//2408
    "registerArea#$",	//2409
    "registerJob",	//2410
    "registerJob#",	//2411
    "relPath",	//2412
    "relativeLocation",	//2413
    "relativeLocation$$",	//2414
    "relativePath",	//2415
    "relativePath$$",	//2416
    "relativePath$$$",	//2417
    "relativeUrl",	//2418
    "relativeUrl##",	//2419
    "releaseLock",	//2420
    "remove",	//2421
    "remove#",	//2422
    "remove$",	//2423
    "removeAcceleratorMarker",	//2424
    "removeAcceleratorMarker$",	//2425
    "removeCatalog",	//2426
    "removeCatalog$",	//2427
    "removeDir",	//2428
    "removeDir$",	//2429
    "removeFromAllowedEnvironments",	//2430
    "removeFromAllowedEnvironments$",	//2431
    "removeFromExcludedEnvironments",	//2432
    "removeFromExcludedEnvironments$",	//2433
    "removeSubjob",	//2434
    "removeSubjob#",	//2435
    "rename",	//2436
    "rename$$",	//2437
    "reparent",	//2438
    "reparent#",	//2439
    "reparent#$",	//2440
    "reparseConfiguration",	//2441
    "replace",	//2442
    "replace$$$",	//2443
    "requestHoldSlave",	//2444
    "requestHoldSlave$$",	//2445
    "requestSlave",	//2446
    "requestSlave$$$$",	//2447
    "reset",	//2448
    "resetDecoder",	//2449
    "resolveEntities",	//2450
    "resolveEntities$",	//2451
    "resolveFunction",	//2452
    "resolveFunction$",	//2453
    "resolveSymbol",	//2454
    "resolveSymbol$",	//2455
    "resource",	//2456
    "resourceDirs",	//2457
    "resourceDirs$",	//2458
    "restore",	//2459
    "restore#",	//2460
    "resume",	//2461
    "resumed",	//2462
    "resumed#",	//2463
    "revertToDefault",	//2464
    "revertToDefault$",	//2465
    "root",	//2466
    "rsqueeze",	//2467
    "rsqueeze$",	//2468
    "rsqueeze$$",	//2469
    "save",	//2470
    "save#",	//2471
    "saveAppArgs",	//2472
    "saveAppArgs#",	//2473
    "saveLocation",	//2474
    "saveLocation$",	//2475
    "saveLocation$$",	//2476
    "saveLocation$$$",	//2477
    "scriptForName",	//2478
    "scriptForName$",	//2479
    "secsTo",	//2480
    "secsTo#",	//2481
    "secsTo_long",	//2482
    "secsTo_long#",	//2483
    "seek",	//2484
    "seek$",	//2485
    "self",	//2486
    "serialized",	//2487
    "serverError",	//2488
    "service",	//2489
    "serviceByDesktopName",	//2490
    "serviceByDesktopName$",	//2491
    "serviceByDesktopPath",	//2492
    "serviceByDesktopPath$",	//2493
    "serviceByMenuId",	//2494
    "serviceByMenuId$",	//2495
    "serviceByName",	//2496
    "serviceByName$",	//2497
    "serviceByStorageId",	//2498
    "serviceByStorageId$",	//2499
    "serviceEntries",	//2500
    "serviceEntries$",	//2501
    "serviceOffersOffset",	//2502
    "serviceType",	//2503
    "serviceType$",	//2504
    "serviceTypes",	//2505
    "setAboutData",	//2506
    "setAboutData#",	//2507
    "setActiveCatalog",	//2508
    "setActiveCatalog$",	//2509
    "setActiveComponent",	//2510
    "setActiveComponent#",	//2511
    "setAllowInline",	//2512
    "setAllowInline$",	//2513
    "setAllowQuit",	//2514
    "setAllowQuit$",	//2515
    "setAllowedEnvironments",	//2516
    "setAllowedEnvironments?",	//2517
    "setAppName",	//2518
    "setAppName#",	//2519
    "setArguments",	//2520
    "setArguments?",	//2521
    "setAttribute",	//2522
    "setAttribute$",	//2523
    "setAttribute$$",	//2524
    "setAutoDelete",	//2525
    "setAutoDelete$",	//2526
    "setAutoDetectLanguage",	//2527
    "setAutoDetectLanguage$",	//2528
    "setAutoErrorHandlingEnabled",	//2529
    "setAutoErrorHandlingEnabled$",	//2530
    "setAutoRemove",	//2531
    "setAutoRemove$",	//2532
    "setAutoWarningHandlingEnabled",	//2533
    "setAutoWarningHandlingEnabled$",	//2534
    "setAutostarts",	//2535
    "setAutostarts$",	//2536
    "setBinaryUnitDialect",	//2537
    "setBinaryUnitDialect$",	//2538
    "setBugAddress",	//2539
    "setBugAddress#",	//2540
    "setCalendar",	//2541
    "setCalendar$",	//2542
    "setCalendarSystem",	//2543
    "setCalendarSystem$",	//2544
    "setCapabilities",	//2545
    "setCapabilities$",	//2546
    "setCatalogName",	//2547
    "setCatalogName#",	//2548
    "setCommand",	//2549
    "setCommand$",	//2550
    "setCommandToCheck",	//2551
    "setCommandToCheck$",	//2552
    "setComponentData",	//2553
    "setComponentData#",	//2554
    "setConfig",	//2555
    "setConfig#",	//2556
    "setConfigName",	//2557
    "setConfigName$",	//2558
    "setCopyrightStatement",	//2559
    "setCopyrightStatement#",	//2560
    "setCountry",	//2561
    "setCountry$#",	//2562
    "setCountryDivisionCode",	//2563
    "setCountryDivisionCode$",	//2564
    "setCurrencyCode",	//2565
    "setCurrencyCode$",	//2566
    "setCurrencySymbol",	//2567
    "setCurrencySymbol$",	//2568
    "setCurrentGroup",	//2569
    "setCurrentGroup$",	//2570
    "setCustomAuthorText",	//2571
    "setCustomAuthorText##",	//2572
    "setCwd",	//2573
    "setCwd#",	//2574
    "setData",	//2575
    "setData#",	//2576
    "setData##",	//2577
    "setData?",	//2578
    "setDataVersion",	//2579
    "setDataVersion$",	//2580
    "setDate",	//2581
    "setDate#",	//2582
    "setDate#$$",	//2583
    "setDate#$$$",	//2584
    "setDate#$$$$",	//2585
    "setDateFormat",	//2586
    "setDateFormat$",	//2587
    "setDateFormatShort",	//2588
    "setDateFormatShort$",	//2589
    "setDateIsoWeek",	//2590
    "setDateIsoWeek#$$$",	//2591
    "setDateMonthNamePossessive",	//2592
    "setDateMonthNamePossessive$",	//2593
    "setDateOnly",	//2594
    "setDateOnly$",	//2595
    "setDateTime",	//2596
    "setDateTime#",	//2597
    "setDateTimeDigitSet",	//2598
    "setDateTimeDigitSet$",	//2599
    "setDecimalPlaces",	//2600
    "setDecimalPlaces$",	//2601
    "setDecimalSymbol",	//2602
    "setDecimalSymbol$",	//2603
    "setDefault",	//2604
    "setDefaultClient",	//2605
    "setDefaultClient$",	//2606
    "setDefaultLanguage",	//2607
    "setDefaultLanguage$",	//2608
    "setDefaults",	//2609
    "setDeleted",	//2610
    "setDeleted$",	//2611
    "setDetails",	//2612
    "setDetails$",	//2613
    "setDevice",	//2614
    "setDevice#",	//2615
    "setDevice#$",	//2616
    "setDigitSet",	//2617
    "setDigitSet$",	//2618
    "setDirectWriteFallback",	//2619
    "setDirectWriteFallback$",	//2620
    "setDirectory",	//2621
    "setDirectory$",	//2622
    "setEncodedPathAndQuery",	//2623
    "setEncodedPathAndQuery$",	//2624
    "setEncoding",	//2625
    "setEncoding$",	//2626
    "setEncoding$$",	//2627
    "setEnv",	//2628
    "setEnv$$",	//2629
    "setEnv$$$",	//2630
    "setError",	//2631
    "setError$",	//2632
    "setErrorCode",	//2633
    "setErrorCode$",	//2634
    "setErrorDescription",	//2635
    "setErrorDescription$",	//2636
    "setErrorText",	//2637
    "setErrorText$",	//2638
    "setEscapeChar",	//2639
    "setEscapeChar#",	//2640
    "setExcludedEnvironments",	//2641
    "setExcludedEnvironments?",	//2642
    "setExec",	//2643
    "setExec$",	//2644
    "setExecutesAsync",	//2645
    "setExecutesAsync$",	//2646
    "setFileEncoding",	//2647
    "setFileEncoding$",	//2648
    "setFileName",	//2649
    "setFileName$",	//2650
    "setFileName$#",	//2651
    "setFilterFlags",	//2652
    "setFilterFlags$",	//2653
    "setForceGlobal",	//2654
    "setForceGlobal$",	//2655
    "setFracDigits",	//2656
    "setFracDigits$",	//2657
    "setFromStringDefault",	//2658
    "setFromStringDefault#",	//2659
    "setGroup",	//2660
    "setGroup$",	//2661
    "setHTMLRef",	//2662
    "setHTMLRef$",	//2663
    "setHasYear0",	//2664
    "setHasYear0$",	//2665
    "setHelperID",	//2666
    "setHelperID$",	//2667
    "setHomepage",	//2668
    "setHomepage#",	//2669
    "setInBuffer",	//2670
    "setInBuffer$$",	//2671
    "setInlineAlias",	//2672
    "setInlineAlias$",	//2673
    "setInlineValue",	//2674
    "setInlineValue$",	//2675
    "setKDEVersion",	//2676
    "setKDEVersion$",	//2677
    "setKDEVersionString",	//2678
    "setKDEVersionString$",	//2679
    "setKey",	//2680
    "setKey$",	//2681
    "setLabel",	//2682
    "setLabel$",	//2683
    "setLanguage",	//2684
    "setLanguage$",	//2685
    "setLanguage$#",	//2686
    "setLanguage?",	//2687
    "setLaunchEnv",	//2688
    "setLaunchEnv$$",	//2689
    "setLayoutInfo",	//2690
    "setLayoutInfo?",	//2691
    "setLeapSecondChanges",	//2692
    "setLeapSecondChanges?",	//2693
    "setLicense",	//2694
    "setLicense$",	//2695
    "setLicenseText",	//2696
    "setLicenseText#",	//2697
    "setLicenseTextFile",	//2698
    "setLicenseTextFile$",	//2699
    "setLocalZone",	//2700
    "setLocalZone#",	//2701
    "setLocale",	//2702
    "setLocale#",	//2703
    "setLocale#$",	//2704
    "setLocale$",	//2705
    "setMGroup",	//2706
    "setMGroup$",	//2707
    "setMKey",	//2708
    "setMKey$",	//2709
    "setMName",	//2710
    "setMName$",	//2711
    "setM_bAutoDel",	//2712
    "setM_bAutoDel$",	//2713
    "setM_canCopyFromFile",	//2714
    "setM_canCopyFromFile$",	//2715
    "setM_canCopyToFile",	//2716
    "setM_canCopyToFile$",	//2717
    "setM_config",	//2718
    "setM_config$",	//2719
    "setM_defaultMimetype",	//2720
    "setM_defaultMimetype$",	//2721
    "setM_determineMimetypeFromExtension",	//2722
    "setM_determineMimetypeFromExtension$",	//2723
    "setM_dev",	//2724
    "setM_dev#",	//2725
    "setM_exec",	//2726
    "setM_exec$",	//2727
    "setM_icon",	//2728
    "setM_icon$",	//2729
    "setM_inputType",	//2730
    "setM_inputType$",	//2731
    "setM_isHelperProtocol",	//2732
    "setM_isHelperProtocol$",	//2733
    "setM_isSourceProtocol",	//2734
    "setM_isSourceProtocol$",	//2735
    "setM_listing",	//2736
    "setM_listing?",	//2737
    "setM_maxSlaves",	//2738
    "setM_maxSlaves$",	//2739
    "setM_name",	//2740
    "setM_name$",	//2741
    "setM_outputType",	//2742
    "setM_outputType$",	//2743
    "setM_str_deprecated",	//2744
    "setM_str_deprecated#",	//2745
    "setM_supportsDeleting",	//2746
    "setM_supportsDeleting$",	//2747
    "setM_supportsLinking",	//2748
    "setM_supportsLinking$",	//2749
    "setM_supportsListing",	//2750
    "setM_supportsListing$",	//2751
    "setM_supportsMakeDir",	//2752
    "setM_supportsMakeDir$",	//2753
    "setM_supportsMoving",	//2754
    "setM_supportsMoving$",	//2755
    "setM_supportsOpening",	//2756
    "setM_supportsOpening$",	//2757
    "setM_supportsReading",	//2758
    "setM_supportsReading$",	//2759
    "setM_supportsWriting",	//2760
    "setM_supportsWriting$",	//2761
    "setMainCatalog",	//2762
    "setMainCatalog$",	//2763
    "setManagedFile",	//2764
    "setManagedFile#",	//2765
    "setMaxDaysInWeek",	//2766
    "setMaxDaysInWeek$",	//2767
    "setMaxMonthsInYear",	//2768
    "setMaxMonthsInYear$",	//2769
    "setMaxPendingConnections",	//2770
    "setMaxPendingConnections$",	//2771
    "setMaxValue",	//2772
    "setMaxValue$",	//2773
    "setMeasureSystem",	//2774
    "setMeasureSystem$",	//2775
    "setMenuId",	//2776
    "setMenuId$",	//2777
    "setMessageHandler",	//2778
    "setMessageHandler#",	//2779
    "setMinValue",	//2780
    "setMinValue$",	//2781
    "setModuleName",	//2782
    "setModuleName$",	//2783
    "setMonetaryDecimalPlaces",	//2784
    "setMonetaryDecimalPlaces$",	//2785
    "setMonetaryDecimalSymbol",	//2786
    "setMonetaryDecimalSymbol$",	//2787
    "setMonetaryDigitSet",	//2788
    "setMonetaryDigitSet$",	//2789
    "setMonetaryThousandsSeparator",	//2790
    "setMonetaryThousandsSeparator$",	//2791
    "setName",	//2792
    "setName$",	//2793
    "setNegativeMonetarySignPosition",	//2794
    "setNegativeMonetarySignPosition$",	//2795
    "setNegativePrefixCurrencySymbol",	//2796
    "setNegativePrefixCurrencySymbol$",	//2797
    "setNegativeSign",	//2798
    "setNegativeSign$",	//2799
    "setNextOpenMode",	//2800
    "setNextOpenMode$",	//2801
    "setOcsProvider",	//2802
    "setOcsProvider#",	//2803
    "setOrganizationDomain",	//2804
    "setOrganizationDomain#",	//2805
    "setOrigFileName",	//2806
    "setOrigFileName#",	//2807
    "setOtherText",	//2808
    "setOtherText#",	//2809
    "setOutBuffer",	//2810
    "setOutBuffer$$",	//2811
    "setOutputChannelMode",	//2812
    "setOutputChannelMode$",	//2813
    "setPageSize",	//2814
    "setPageSize$",	//2815
    "setParentWidget",	//2816
    "setParentWidget#",	//2817
    "setPass",	//2818
    "setPass$",	//2819
    "setPath",	//2820
    "setPath$",	//2821
    "setPercent",	//2822
    "setPercent$",	//2823
    "setPhases",	//2824
    "setPhases?#",	//2825
    "setPhases?$",	//2826
    "setPluginEnabled",	//2827
    "setPluginEnabled$",	//2828
    "setPositiveMonetarySignPosition",	//2829
    "setPositiveMonetarySignPosition$",	//2830
    "setPositivePrefixCurrencySymbol",	//2831
    "setPositivePrefixCurrencySymbol$",	//2832
    "setPositiveSign",	//2833
    "setPositiveSign$",	//2834
    "setPrefix",	//2835
    "setPrefix$",	//2836
    "setProberType",	//2837
    "setProberType$",	//2838
    "setProcessedAmount",	//2839
    "setProcessedAmount$$",	//2840
    "setProductName",	//2841
    "setProductName#",	//2842
    "setProgram",	//2843
    "setProgram$",	//2844
    "setProgram$?",	//2845
    "setProgram?",	//2846
    "setProgramIconName",	//2847
    "setProgramIconName$",	//2848
    "setProgramLogo",	//2849
    "setProgramLogo#",	//2850
    "setProgramName",	//2851
    "setProgramName#",	//2852
    "setProperty",	//2853
    "setProperty#",	//2854
    "setProtocol",	//2855
    "setProtocol$",	//2856
    "setQuery",	//2857
    "setQuery$",	//2858
    "setReadDefaults",	//2859
    "setReadDefaults$",	//2860
    "setRef",	//2861
    "setRef$",	//2862
    "setSecondOccurrence",	//2863
    "setSecondOccurrence$",	//2864
    "setSeed",	//2865
    "setSeed$",	//2866
    "setServiceOffersOffset",	//2867
    "setServiceOffersOffset$",	//2868
    "setSharedConfig",	//2869
    "setSharedConfig?",	//2870
    "setShellCommand",	//2871
    "setShellCommand$",	//2872
    "setShortDescription",	//2873
    "setShortDescription#",	//2874
    "setShowEmptyMenu",	//2875
    "setShowEmptyMenu$",	//2876
    "setShowInlineHeader",	//2877
    "setShowInlineHeader$",	//2878
    "setSimulatedSystemTime",	//2879
    "setSimulatedSystemTime#",	//2880
    "setSkipHeaders",	//2881
    "setSpeller",	//2882
    "setSpeller#",	//2883
    "setStaleTime",	//2884
    "setStaleTime$",	//2885
    "setStartPhase",	//2886
    "setStartPhase$",	//2887
    "setSuffix",	//2888
    "setSuffix$",	//2889
    "setTerminal",	//2890
    "setTerminal$",	//2891
    "setTerminalOptions",	//2892
    "setTerminalOptions$",	//2893
    "setText",	//2894
    "setText$",	//2895
    "setThousandsSeparator",	//2896
    "setThousandsSeparator$",	//2897
    "setTime",	//2898
    "setTime#",	//2899
    "setTimeFormat",	//2900
    "setTimeFormat$",	//2901
    "setTimeSpec",	//2902
    "setTimeSpec#",	//2903
    "setTime_t",	//2904
    "setTime_t$",	//2905
    "setToolTip",	//2906
    "setToolTip$",	//2907
    "setTotalAmount",	//2908
    "setTotalAmount$$",	//2909
    "setTransitions",	//2910
    "setTransitions?",	//2911
    "setTranslator",	//2912
    "setTranslator##",	//2913
    "setType",	//2914
    "setType#",	//2915
    "setType$",	//2916
    "setType$$",	//2917
    "setUiDelegate",	//2918
    "setUiDelegate#",	//2919
    "setUser",	//2920
    "setUser$",	//2921
    "setVersion",	//2922
    "setVersion#",	//2923
    "setVisibleName",	//2924
    "setVisibleName$",	//2925
    "setWeekDayOfPray",	//2926
    "setWeekDayOfPray$",	//2927
    "setWeekNumberSystem",	//2928
    "setWeekNumberSystem$",	//2929
    "setWeekStartDay",	//2930
    "setWeekStartDay$",	//2931
    "setWhatsThis",	//2932
    "setWhatsThis$",	//2933
    "setWorkingWeekEndDay",	//2934
    "setWorkingWeekEndDay$",	//2935
    "setWorkingWeekStartDay",	//2936
    "setWorkingWeekStartDay$",	//2937
    "setYMD",	//2938
    "setYMD#$$$",	//2939
    "setupChildProcess",	//2940
    "setupTranslations",	//2941
    "sharedMimeInfoVersion",	//2942
    "shell",	//2943
    "shortDescription",	//2944
    "shortYearWindowStartYear",	//2945
    "showEmptyMenu",	//2946
    "showErrorMessage",	//2947
    "showFilePreview",	//2948
    "showFilePreview$",	//2949
    "showInKDE",	//2950
    "showInlineHeader",	//2951
    "simpleBackupFile",	//2952
    "simpleBackupFile$",	//2953
    "simpleBackupFile$$",	//2954
    "simpleBackupFile$$$",	//2955
    "size",	//2956
    "slotEngineDone",	//2957
    "slotInfoMessage",	//2958
    "slotInfoMessage#$$",	//2959
    "slotResult",	//2960
    "slotResult#",	//2961
    "slotWarning",	//2962
    "slotWarning#$$",	//2963
    "sortOrder",	//2964
    "source",	//2965
    "speed",	//2966
    "speed#$",	//2967
    "speller",	//2968
    "split",	//2969
    "split#",	//2970
    "split$",	//2971
    "splitArgs",	//2972
    "splitArgs$",	//2973
    "splitArgs$$",	//2974
    "splitArgs$$$",	//2975
    "splitLocale",	//2976
    "splitLocale$$$$$",	//2977
    "staleFiles",	//2978
    "staleFiles#",	//2979
    "staleFiles#$",	//2980
    "staleTime",	//2981
    "start",	//2982
    "startAfter",	//2983
    "startDetached",	//2984
    "startDetached$",	//2985
    "startDetached$?",	//2986
    "startDetached?",	//2987
    "startParseBlock",	//2988
    "startPhase",	//2989
    "startServiceByDesktopName",	//2990
    "startServiceByDesktopName$",	//2991
    "startServiceByDesktopName$$",	//2992
    "startServiceByDesktopName$$$",	//2993
    "startServiceByDesktopName$$$$",	//2994
    "startServiceByDesktopName$$$$$",	//2995
    "startServiceByDesktopName$$$$$#",	//2996
    "startServiceByDesktopName$$$$$#$",	//2997
    "startServiceByDesktopName$?",	//2998
    "startServiceByDesktopName$?$",	//2999
    "startServiceByDesktopName$?$$",	//3000
    "startServiceByDesktopName$?$$$",	//3001
    "startServiceByDesktopName$?$$$#",	//3002
    "startServiceByDesktopName$?$$$#$",	//3003
    "startServiceByDesktopPath",	//3004
    "startServiceByDesktopPath$",	//3005
    "startServiceByDesktopPath$$",	//3006
    "startServiceByDesktopPath$$$",	//3007
    "startServiceByDesktopPath$$$$",	//3008
    "startServiceByDesktopPath$$$$$",	//3009
    "startServiceByDesktopPath$$$$$#",	//3010
    "startServiceByDesktopPath$$$$$#$",	//3011
    "startServiceByDesktopPath$?",	//3012
    "startServiceByDesktopPath$?$",	//3013
    "startServiceByDesktopPath$?$$",	//3014
    "startServiceByDesktopPath$?$$$",	//3015
    "startServiceByDesktopPath$?$$$#",	//3016
    "startServiceByDesktopPath$?$$$#$",	//3017
    "startServiceByName",	//3018
    "startServiceByName$",	//3019
    "startServiceByName$$",	//3020
    "startServiceByName$$$",	//3021
    "startServiceByName$$$$",	//3022
    "startServiceByName$$$$$",	//3023
    "startServiceByName$$$$$#",	//3024
    "startServiceByName$$$$$#$",	//3025
    "startServiceByName$?",	//3026
    "startServiceByName$?$",	//3027
    "startServiceByName$?$$",	//3028
    "startServiceByName$?$$$",	//3029
    "startServiceByName$?$$$#",	//3030
    "startServiceByName$?$$$#$",	//3031
    "start_service_by_desktop_name",	//3032
    "start_service_by_desktop_name$??$$$$$",	//3033
    "start_service_by_desktop_path",	//3034
    "start_service_by_desktop_path$??$$$$$",	//3035
    "start_service_by_name",	//3036
    "start_service_by_name$??$$$$$",	//3037
    "state",	//3038
    "staticInterfaceName",	//3039
    "staticMetaObject",	//3040
    "staticQString",	//3041
    "staticQString$",	//3042
    "status",	//3043
    "statusChanged",	//3044
    "statusChanged$",	//3045
    "stop",	//3046
    "stop$",	//3047
    "storageId",	//3048
    "storeReplacement",	//3049
    "storeReplacement$$",	//3050
    "stream",	//3051
    "stringListToVariantList",	//3052
    "stringListToVariantList?",	//3053
    "subjobs",	//3054
    "subs",	//3055
    "subs#",	//3056
    "subs#$",	//3057
    "subs#$#",	//3058
    "subs$",	//3059
    "subs$$",	//3060
    "subs$$#",	//3061
    "subs$$$",	//3062
    "subs$$$#",	//3063
    "subs$$$$",	//3064
    "subs$$$$#",	//3065
    "substituteUid",	//3066
    "subunitSymbol",	//3067
    "subunitsPerUnit",	//3068
    "succeeded",	//3069
    "suggest",	//3070
    "suggest$",	//3071
    "suppressGenericNames",	//3072
    "suspend",	//3073
    "suspended",	//3074
    "suspended#",	//3075
    "swapDefault",	//3076
    "sycocaType",	//3077
    "symbolList",	//3078
    "sync",	//3079
    "synchronousConnectToHost",	//3080
    "synchronousConnectToHost#",	//3081
    "synchronousConnectToHost##",	//3082
    "synchronousConnectToHost##$",	//3083
    "synchronousConnectToHost#$",	//3084
    "synchronousConnectToHost#$#",	//3085
    "synchronousConnectToHost#$$$",	//3086
    "synchronousConnectToHost#$$$$",	//3087
    "synchronousConnectToHost$$$",	//3088
    "synchronousConnectToHost$$$$",	//3089
    "synchronousConnectToHost$$$$#",	//3090
    "systemPaths",	//3091
    "systemPaths$",	//3092
    "tagUrls",	//3093
    "tagUrls$",	//3094
    "task",	//3095
    "terminal",	//3096
    "terminalOptions",	//3097
    "terminate",	//3098
    "testAttribute",	//3099
    "testAttribute$",	//3100
    "text",	//3101
    "thousandsSeparator",	//3102
    "tildeExpand",	//3103
    "tildeExpand$",	//3104
    "time",	//3105
    "timeFormat",	//3106
    "timeSpec",	//3107
    "timeStamp",	//3108
    "timeType",	//3109
    "timeZone",	//3110
    "timeZones",	//3111
    "timerEvent",	//3112
    "toClockTime",	//3113
    "toEntity",	//3114
    "toEntity#",	//3115
    "toLocalFile",	//3116
    "toLocalFile$",	//3117
    "toLocalZone",	//3118
    "toMimeDataString",	//3119
    "toOffsetFromUtc",	//3120
    "toOffsetFromUtc$",	//3121
    "toString",	//3122
    "toString#",	//3123
    "toString#$",	//3124
    "toString$",	//3125
    "toTimeSpec",	//3126
    "toTimeSpec#",	//3127
    "toTime_t",	//3128
    "toTime_t#",	//3129
    "toUtc",	//3130
    "toUtc#",	//3131
    "toZone",	//3132
    "toZone#",	//3133
    "toZoneTime",	//3134
    "toZoneTime#",	//3135
    "toZoneTime#$",	//3136
    "toolTip",	//3137
    "totalAmount",	//3138
    "totalAmount#$$",	//3139
    "totalAmount$",	//3140
    "tr",	//3141
    "tr$",	//3142
    "tr$$",	//3143
    "tr$$$",	//3144
    "tr2i18n",	//3145
    "tr2i18n$",	//3146
    "tr2i18n$$",	//3147
    "trUtf8",	//3148
    "trUtf8$",	//3149
    "trUtf8$$",	//3150
    "trUtf8$$$",	//3151
    "transform",	//3152
    "transform$",	//3153
    "transition",	//3154
    "transition#",	//3155
    "transition#?",	//3156
    "transition#?$",	//3157
    "transitionIndex",	//3158
    "transitionIndex#",	//3159
    "transitionIndex#$",	//3160
    "transitionIndex#$$",	//3161
    "transitionTimes",	//3162
    "transitionTimes#",	//3163
    "transitionTimes##",	//3164
    "transitionTimes###",	//3165
    "transitions",	//3166
    "transitions#",	//3167
    "transitions##",	//3168
    "translateInternalProgramName",	//3169
    "translateQt",	//3170
    "translateQt$$$",	//3171
    "translateRaw",	//3172
    "translateRaw$$$",	//3173
    "translateRaw$$$$",	//3174
    "translateRaw$$$$$",	//3175
    "translateRaw$$$$$$",	//3176
    "translateRawFrom",	//3177
    "translateRawFrom$$$$",	//3178
    "translateRawFrom$$$$$",	//3179
    "translateRawFrom$$$$$$",	//3180
    "translateRawFrom$$$$$$$",	//3181
    "translators",	//3182
    "tryExec",	//3183
    "type",	//3184
    "uiDelegate",	//3185
    "uid",	//3186
    "umask",	//3187
    "unambiguousSymbol",	//3188
    "uncompress",	//3189
    "unlink",	//3190
    "unload",	//3191
    "unloadLibrary",	//3192
    "unloadLibrary$",	//3193
    "unlock",	//3194
    "unregisterJob",	//3195
    "unregisterJob#",	//3196
    "unsetCustomAuthorText",	//3197
    "unsetEnv",	//3198
    "unsetEnv$",	//3199
    "untranslatedGenericName",	//3200
    "upUrl",	//3201
    "update",	//3202
    "update#",	//3203
    "update$",	//3204
    "update$$",	//3205
    "updateBase",	//3206
    "updateBase#",	//3207
    "updateSignature",	//3208
    "url",	//3209
    "url$",	//3210
    "usage",	//3211
    "usage#",	//3212
    "usageError",	//3213
    "usageError$",	//3214
    "use12Clock",	//3215
    "useDefaults",	//3216
    "useDefaults$",	//3217
    "useTranscript",	//3218
    "useZoneParse",	//3219
    "user",	//3220
    "userNames",	//3221
    "userSpecifiedIconName",	//3222
    "username",	//3223
    "users",	//3224
    "usrReadConfig",	//3225
    "usrSetDefaults",	//3226
    "usrUseDefaults",	//3227
    "usrUseDefaults$",	//3228
    "usrWriteConfig",	//3229
    "utc",	//3230
    "utcOffset",	//3231
    "utcOffsets",	//3232
    "uudecode",	//3233
    "uudecode#",	//3234
    "uudecode##",	//3235
    "uuencode",	//3236
    "uuencode#",	//3237
    "uuencode##",	//3238
    "variantListToStringList",	//3239
    "variantListToStringList?",	//3240
    "verify",	//3241
    "verify#",	//3242
    "verify$",	//3243
    "version",	//3244
    "versionMajor",	//3245
    "versionMinor",	//3246
    "versionRelease",	//3247
    "versionString",	//3248
    "visibleName",	//3249
    "visuallyOrdered",	//3250
    "waitForBytesWritten",	//3251
    "waitForNewConnection",	//3252
    "waitForNewConnection$",	//3253
    "waitForNewConnection$$",	//3254
    "waitForReadyRead",	//3255
    "waitForSlave",	//3256
    "waitForSlave$",	//3257
    "warning",	//3258
    "warning#$",	//3259
    "warning#$$",	//3260
    "watcher",	//3261
    "watcher$",	//3262
    "webAddress",	//3263
    "website",	//3264
    "week",	//3265
    "week#",	//3266
    "week#$",	//3267
    "week#$$",	//3268
    "weekDayName",	//3269
    "weekDayName#",	//3270
    "weekDayName#$",	//3271
    "weekDayName$",	//3272
    "weekDayName$$",	//3273
    "weekDayOfPray",	//3274
    "weekNumber",	//3275
    "weekNumber#",	//3276
    "weekNumber#$",	//3277
    "weekNumberString",	//3278
    "weekNumberString#",	//3279
    "weekNumberString#$",	//3280
    "weekNumberSystem",	//3281
    "weekStartDay",	//3282
    "weeksInYear",	//3283
    "weeksInYear#",	//3284
    "weeksInYear#$",	//3285
    "weeksInYear$",	//3286
    "weeksInYear$$",	//3287
    "weeksInYearString",	//3288
    "weeksInYearString#",	//3289
    "weeksInYearString#$",	//3290
    "whatsThis",	//3291
    "windowRegistered",	//3292
    "windowRegistered$",	//3293
    "windowUnregistered",	//3294
    "windowUnregistered$",	//3295
    "workingWeekEndDay",	//3296
    "workingWeekStartDay",	//3297
    "writeConfig",	//3298
    "writeConfig#",	//3299
    "writeData",	//3300
    "writeData$$",	//3301
    "writeEntry",	//3302
    "writeEntry$#",	//3303
    "writeEntry$#$",	//3304
    "writeEntry$$",	//3305
    "writeEntry$$$",	//3306
    "writeEntry$?",	//3307
    "writeEntry$?$",	//3308
    "writeHeader",	//3309
    "writeHeader#",	//3310
    "writePathEntry",	//3311
    "writePathEntry$$",	//3312
    "writePathEntry$$$",	//3313
    "writePathEntry$?",	//3314
    "writePathEntry$?$",	//3315
    "writeXdgListEntry",	//3316
    "writeXdgListEntry$?",	//3317
    "writeXdgListEntry$?$",	//3318
    "year",	//3319
    "year#",	//3320
    "yearInEra",	//3321
    "yearInEra#",	//3322
    "yearInEraString",	//3323
    "yearInEraString#",	//3324
    "yearInEraString#$",	//3325
    "yearString",	//3326
    "yearString#",	//3327
    "yearString#$",	//3328
    "yearStringToInteger",	//3329
    "yearStringToInteger$$",	//3330
    "yearsDifference",	//3331
    "yearsDifference##",	//3332
    "zone",	//3333
    "zone$",	//3334
    "zoneinfoDir",	//3335
    "zones",	//3336
    "~Action",	//3337
    "~ActionReply",	//3338
    "~ActionWatcher",	//3339
    "~BackgroundChecker",	//3340
    "~Choice",	//3341
    "~Choice2",	//3342
    "~ExtraField",	//3343
    "~ItemBool",	//3344
    "~ItemDateTime",	//3345
    "~ItemDouble",	//3346
    "~ItemEnum",	//3347
    "~ItemInt",	//3348
    "~ItemIntList",	//3349
    "~ItemLongLong",	//3350
    "~ItemPassword",	//3351
    "~ItemPath",	//3352
    "~ItemPathList",	//3353
    "~ItemPoint",	//3354
    "~ItemProperty",	//3355
    "~ItemRect",	//3356
    "~ItemSize",	//3357
    "~ItemString",	//3358
    "~ItemStringList",	//3359
    "~ItemUInt",	//3360
    "~ItemULongLong",	//3361
    "~ItemUrl",	//3362
    "~ItemUrlList",	//3363
    "~KAboutData",	//3364
    "~KAboutLicense",	//3365
    "~KAboutPerson",	//3366
    "~KAutoSaveFile",	//3367
    "~KAutostart",	//3368
    "~KCalendarSystem",	//3369
    "~KCharMacroExpander",	//3370
    "~KCharsets",	//3371
    "~KCmdLineArgs",	//3372
    "~KCmdLineOptions",	//3373
    "~KComponentData",	//3374
    "~KCompositeJob",	//3375
    "~KConfig",	//3376
    "~KConfigBase",	//3377
    "~KConfigGroup",	//3378
    "~KConfigSkeletonItem",	//3379
    "~KCoreConfigSkeleton",	//3380
    "~KCurrencyCode",	//3381
    "~KDEDModule",	//3382
    "~KDEPluginVerificationData",	//3383
    "~KDateTime",	//3384
    "~KDebug",	//3385
    "~KDebugTag",	//3386
    "~KDesktopFile",	//3387
    "~KEncodingDetector",	//3388
    "~KEncodingProber",	//3389
    "~KFilterBase",	//3390
    "~KFilterDev",	//3391
    "~KJob",	//3392
    "~KJobTrackerInterface",	//3393
    "~KJobUiDelegate",	//3394
    "~KLibrary",	//3395
    "~KLocalSocket",	//3396
    "~KLocalSocketServer",	//3397
    "~KLocale",	//3398
    "~KLocalizedString",	//3399
    "~KLockFile",	//3400
    "~KMD5",	//3401
    "~KMacroExpanderBase",	//3402
    "~KMessageHandler",	//3403
    "~KMimeType",	//3404
    "~KMimeTypeTrader",	//3405
    "~KPluginFactory",	//3406
    "~KPluginInfo",	//3407
    "~KPluginLoader",	//3408
    "~KProcess",	//3409
    "~KProtocolInfo",	//3410
    "~KRandomSequence",	//3411
    "~KSaveFile",	//3412
    "~KService",	//3413
    "~KServiceAction",	//3414
    "~KServiceGroup",	//3415
    "~KServiceType",	//3416
    "~KServiceTypeTrader",	//3417
    "~KSharedConfig",	//3418
    "~KStandardDirs",	//3419
    "~KSycoca",	//3420
    "~KSycocaEntry",	//3421
    "~KSystemTimeZone",	//3422
    "~KSystemTimeZoneBackend",	//3423
    "~KSystemTimeZoneSource",	//3424
    "~KSystemTimeZones",	//3425
    "~KTempDir",	//3426
    "~KTemporaryFile",	//3427
    "~KTimeZone",	//3428
    "~KTimeZoneBackend",	//3429
    "~KTimeZoneData",	//3430
    "~KTimeZoneSource",	//3431
    "~KTimeZones",	//3432
    "~KToolInvocation",	//3433
    "~KTzfileTimeZone",	//3434
    "~KTzfileTimeZoneBackend",	//3435
    "~KTzfileTimeZoneSource",	//3436
    "~KUrl",	//3437
    "~KUser",	//3438
    "~KUserGroup",	//3439
    "~KWordMacroExpander",	//3440
    "~LeapSeconds",	//3441
    "~OrgKdeKLauncherInterface",	//3442
    "~Phase",	//3443
    "~Spec",	//3444
    "~Speller",	//3445
    "~Transition",	//3446
    "~kndbgstream",	//3447
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 280, 1, 10, Smoke::mf_ctor, 5, 1},	//1 KAboutData::KAboutData(const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey, const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&)
    {1, 280, 12, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 5, 2},	//2 KAboutData::KAboutData(const KAboutData&)
    {1, 2192, 12, 1, 0, 4, 3},	//3 KAboutData::operator=(const KAboutData&)
    {1, 854, 14, 4, 0, 4, 4},	//4 KAboutData::addAuthor(const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&)
    {1, 854, 19, 5, 0, 4, 5},	//5 KAboutData::addAuthor(const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&, const QByteArray&)
    {1, 867, 14, 4, 0, 4, 6},	//6 KAboutData::addCredit(const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&)
    {1, 867, 19, 5, 0, 4, 7},	//7 KAboutData::addCredit(const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&, const QByteArray&)
    {1, 2912, 25, 2, 0, 4, 8},	//8 KAboutData::setTranslator(const KLocalizedString&, const KLocalizedString&)
    {1, 2696, 28, 1, 0, 4, 9},	//9 KAboutData::setLicenseText(const KLocalizedString&)
    {1, 961, 28, 1, 0, 4, 10},	//10 KAboutData::addLicenseText(const KLocalizedString&)
    {1, 2698, 30, 1, 0, 4, 11},	//11 KAboutData::setLicenseTextFile(const QString&)
    {1, 963, 30, 1, 0, 4, 12},	//12 KAboutData::addLicenseTextFile(const QString&)
    {1, 2518, 32, 1, 0, 4, 13},	//13 KAboutData::setAppName(const QByteArray&)
    {1, 2851, 28, 1, 0, 4, 14},	//14 KAboutData::setProgramName(const KLocalizedString&)
    {1, 2847, 30, 1, 0, 4, 15},	//15 KAboutData::setProgramIconName(const QString&)
    {1, 2849, 34, 1, 0, 4, 16},	//16 KAboutData::setProgramLogo(const QVariant&)
    {1, 2802, 32, 1, 0, 4, 17},	//17 KAboutData::setOcsProvider(const QByteArray&)
    {1, 2922, 32, 1, 0, 4, 18},	//18 KAboutData::setVersion(const QByteArray&)
    {1, 2873, 28, 1, 0, 4, 19},	//19 KAboutData::setShortDescription(const KLocalizedString&)
    {1, 2547, 32, 1, 0, 4, 20},	//20 KAboutData::setCatalogName(const QByteArray&)
    {1, 2694, 36, 1, 0, 4, 21},	//21 KAboutData::setLicense(KAboutData::LicenseKey)
    {1, 959, 36, 1, 0, 4, 22},	//22 KAboutData::addLicense(KAboutData::LicenseKey)
    {1, 2559, 28, 1, 0, 4, 23},	//23 KAboutData::setCopyrightStatement(const KLocalizedString&)
    {1, 2808, 28, 1, 0, 4, 24},	//24 KAboutData::setOtherText(const KLocalizedString&)
    {1, 2668, 32, 1, 0, 4, 25},	//25 KAboutData::setHomepage(const QByteArray&)
    {1, 2539, 32, 1, 0, 4, 26},	//26 KAboutData::setBugAddress(const QByteArray&)
    {1, 2804, 32, 1, 0, 4, 27},	//27 KAboutData::setOrganizationDomain(const QByteArray&)
    {1, 2841, 32, 1, 0, 4, 28},	//28 KAboutData::setProductName(const QByteArray&)
    {1, 1037, 0, 0, Smoke::mf_const, 352, 29},	//29 KAboutData::appName() const
    {1, 2279, 0, 0, Smoke::mf_const, 352, 30},	//30 KAboutData::productName() const
    {1, 2283, 0, 0, Smoke::mf_const, 352, 31},	//31 KAboutData::programName() const
    {1, 2215, 0, 0, Smoke::mf_const, 352, 32},	//32 KAboutData::organizationDomain() const
    {1, 1758, 0, 0, Smoke::mf_const, 600, 33},	//33 KAboutData::internalProgramName() const
    {1, 3169, 0, 0, Smoke::mf_const, 0, 34},	//34 KAboutData::translateInternalProgramName() const
    {1, 2281, 0, 0, Smoke::mf_const, 352, 35},	//35 KAboutData::programIconName() const
    {1, 2282, 0, 0, Smoke::mf_const, 365, 36},	//36 KAboutData::programLogo() const
    {1, 2143, 0, 0, Smoke::mf_const, 352, 37},	//37 KAboutData::ocsProviderUrl() const
    {1, 3244, 0, 0, Smoke::mf_const, 352, 38},	//38 KAboutData::version() const
    {1, 1759, 0, 0, Smoke::mf_const, 600, 39},	//39 KAboutData::internalVersion() const
    {1, 2944, 0, 0, Smoke::mf_const, 352, 40},	//40 KAboutData::shortDescription() const
    {1, 1120, 0, 0, Smoke::mf_const, 352, 41},	//41 KAboutData::catalogName() const
    {1, 1717, 0, 0, Smoke::mf_const, 352, 42},	//42 KAboutData::homepage() const
    {1, 1090, 0, 0, Smoke::mf_const, 352, 43},	//43 KAboutData::bugAddress() const
    {1, 1757, 0, 0, Smoke::mf_const, 600, 44},	//44 KAboutData::internalBugAddress() const
    {1, 1058, 0, 0, Smoke::mf_const, 312, 45},	//45 KAboutData::authors() const
    {1, 1227, 0, 0, Smoke::mf_const, 312, 46},	//46 KAboutData::credits() const
    {1, 3182, 0, 0, Smoke::mf_const, 312, 47},	//47 KAboutData::translators() const
    {1, 834, 0, 0, Smoke::mf_static, 352, 48},	//48 KAboutData::aboutTranslationTeam()
    {1, 2216, 0, 0, Smoke::mf_const, 352, 49},	//49 KAboutData::otherText() const
    {1, 1980, 0, 0, Smoke::mf_const, 352, 50},	//50 KAboutData::license() const
    {1, 1981, 38, 1, Smoke::mf_const, 352, 51},	//51 KAboutData::licenseName(KAboutData::NameFormat) const
    {1, 1983, 0, 0, Smoke::mf_const, 311, 52},	//52 KAboutData::licenses() const
    {1, 1205, 0, 0, Smoke::mf_const, 352, 53},	//53 KAboutData::copyrightStatement() const
    {1, 1248, 0, 0, Smoke::mf_const, 352, 54},	//54 KAboutData::customAuthorPlainText() const
    {1, 1249, 0, 0, Smoke::mf_const, 352, 55},	//55 KAboutData::customAuthorRichText() const
    {1, 1250, 0, 0, Smoke::mf_const, 452, 56},	//56 KAboutData::customAuthorTextEnabled() const
    {1, 2571, 25, 2, 0, 4, 57},	//57 KAboutData::setCustomAuthorText(const KLocalizedString&, const KLocalizedString&)
    {1, 3197, 0, 0, 0, 4, 58},	//58 KAboutData::unsetCustomAuthorText()
    {1, 280, 40, 4, Smoke::mf_ctor, 5, 59},	//59 KAboutData::KAboutData(const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&)
    {1, 280, 45, 5, Smoke::mf_ctor, 5, 60},	//60 KAboutData::KAboutData(const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&)
    {1, 280, 51, 6, Smoke::mf_ctor, 5, 61},	//61 KAboutData::KAboutData(const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey)
    {1, 280, 58, 7, Smoke::mf_ctor, 5, 62},	//62 KAboutData::KAboutData(const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey, const KLocalizedString&)
    {1, 280, 66, 8, Smoke::mf_ctor, 5, 63},	//63 KAboutData::KAboutData(const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey, const KLocalizedString&, const KLocalizedString&)
    {1, 280, 75, 9, Smoke::mf_ctor, 5, 64},	//64 KAboutData::KAboutData(const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey, const KLocalizedString&, const KLocalizedString&, const QByteArray&)
    {1, 854, 28, 1, 0, 4, 65},	//65 KAboutData::addAuthor(const KLocalizedString&)
    {1, 854, 25, 2, 0, 4, 66},	//66 KAboutData::addAuthor(const KLocalizedString&, const KLocalizedString&)
    {1, 854, 85, 3, 0, 4, 67},	//67 KAboutData::addAuthor(const KLocalizedString&, const KLocalizedString&, const QByteArray&)
    {1, 867, 28, 1, 0, 4, 68},	//68 KAboutData::addCredit(const KLocalizedString&)
    {1, 867, 25, 2, 0, 4, 69},	//69 KAboutData::addCredit(const KLocalizedString&, const KLocalizedString&)
    {1, 867, 85, 3, 0, 4, 70},	//70 KAboutData::addCredit(const KLocalizedString&, const KLocalizedString&, const QByteArray&)
    {1, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 71},	//71 KAboutData::License_Custom (enum)
    {1, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 72},	//72 KAboutData::License_File (enum)
    {1, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 73},	//73 KAboutData::License_Unknown (enum)
    {1, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 74},	//74 KAboutData::License_GPL (enum)
    {1, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 75},	//75 KAboutData::License_GPL_V2 (enum)
    {1, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 76},	//76 KAboutData::License_LGPL (enum)
    {1, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 77},	//77 KAboutData::License_LGPL_V2 (enum)
    {1, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 78},	//78 KAboutData::License_BSD (enum)
    {1, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 79},	//79 KAboutData::License_Artistic (enum)
    {1, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 80},	//80 KAboutData::License_QPL (enum)
    {1, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 81},	//81 KAboutData::License_QPL_V1_0 (enum)
    {1, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 82},	//82 KAboutData::License_GPL_V3 (enum)
    {1, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 83},	//83 KAboutData::License_LGPL_V3 (enum)
    {1, 712, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 84},	//84 KAboutData::ShortName (enum)
    {1, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 85},	//85 KAboutData::FullName (enum)
    {1, 3364, 0, 0, Smoke::mf_dtor, 0, 86 },	//86 KAboutData::~KAboutData()
    {2, 289, 89, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 10, 1},	//87 KAboutLicense::KAboutLicense(const KAboutLicense&)
    {2, 2192, 89, 1, 0, 9, 2},	//88 KAboutLicense::operator=(const KAboutLicense&)
    {2, 3101, 0, 0, Smoke::mf_const, 352, 3},	//89 KAboutLicense::text() const
    {2, 2112, 38, 1, Smoke::mf_const, 352, 4},	//90 KAboutLicense::name(KAboutData::NameFormat) const
    {2, 1934, 0, 0, Smoke::mf_const, 6, 5},	//91 KAboutLicense::key() const
    {2, 1091, 30, 1, Smoke::mf_static, 8, 6},	//92 KAboutLicense::byKeyword(const QString&)
    {2, 3365, 0, 0, Smoke::mf_dtor, 0, 7 },	//93 KAboutLicense::~KAboutLicense()
    {3, 291, 14, 4, Smoke::mf_ctor, 13, 1},	//94 KAboutPerson::KAboutPerson(const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&)
    {3, 291, 19, 5, Smoke::mf_ctor, 13, 2},	//95 KAboutPerson::KAboutPerson(const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&, const QByteArray&)
    {3, 291, 91, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 13, 3},	//96 KAboutPerson::KAboutPerson(const KAboutPerson&)
    {3, 2192, 91, 1, 0, 12, 4},	//97 KAboutPerson::operator=(const KAboutPerson&)
    {3, 2112, 0, 0, Smoke::mf_const, 352, 5},	//98 KAboutPerson::name() const
    {3, 3095, 0, 0, Smoke::mf_const, 352, 6},	//99 KAboutPerson::task() const
    {3, 1399, 0, 0, Smoke::mf_const, 352, 7},	//100 KAboutPerson::emailAddress() const
    {3, 3263, 0, 0, Smoke::mf_const, 352, 8},	//101 KAboutPerson::webAddress() const
    {3, 2144, 0, 0, Smoke::mf_const, 352, 9},	//102 KAboutPerson::ocsUsername() const
    {3, 291, 28, 1, Smoke::mf_ctor, 13, 10},	//103 KAboutPerson::KAboutPerson(const KLocalizedString&)
    {3, 291, 25, 2, Smoke::mf_ctor, 13, 11},	//104 KAboutPerson::KAboutPerson(const KLocalizedString&, const KLocalizedString&)
    {3, 291, 85, 3, Smoke::mf_ctor, 13, 12},	//105 KAboutPerson::KAboutPerson(const KLocalizedString&, const KLocalizedString&, const QByteArray&)
    {3, 3366, 0, 0, Smoke::mf_dtor, 0, 13 },	//106 KAboutPerson::~KAboutPerson()
    {4, 4, 0, 0, Smoke::mf_ctor, 16, 1},	//107 KAuth::Action::Action()
    {4, 4, 93, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 16, 2},	//108 KAuth::Action::Action(const KAuth::Action&)
    {4, 4, 30, 1, Smoke::mf_ctor, 16, 3},	//109 KAuth::Action::Action(const QString&)
    {4, 4, 95, 2, Smoke::mf_ctor, 16, 4},	//110 KAuth::Action::Action(const QString&, const QString&)
    {4, 2192, 93, 1, 0, 15, 5},	//111 KAuth::Action::operator=(const KAuth::Action&)
    {4, 2195, 93, 1, Smoke::mf_const, 452, 6},	//112 KAuth::Action::operator==(const KAuth::Action&) const
    {4, 2168, 93, 1, Smoke::mf_const, 452, 7},	//113 KAuth::Action::operator!=(const KAuth::Action&) const
    {4, 2112, 0, 0, Smoke::mf_const, 352, 8},	//114 KAuth::Action::name() const
    {4, 2792, 30, 1, 0, 0, 9},	//115 KAuth::Action::setName(const QString&)
    {4, 2612, 30, 1, 0, 0, 10},	//116 KAuth::Action::setDetails(const QString&)
    {4, 1365, 0, 0, Smoke::mf_const, 352, 11},	//117 KAuth::Action::details() const
    {4, 1881, 0, 0, Smoke::mf_const, 452, 12},	//118 KAuth::Action::isValid() const
    {4, 1713, 0, 0, Smoke::mf_const, 352, 13},	//119 KAuth::Action::helperID() const
    {4, 2666, 30, 1, 0, 0, 14},	//120 KAuth::Action::setHelperID(const QString&)
    {4, 1682, 0, 0, Smoke::mf_const, 452, 15},	//121 KAuth::Action::hasHelper() const
    {4, 3261, 0, 0, 0, 23, 16},	//122 KAuth::Action::watcher()
    {4, 2520, 98, 1, 0, 0, 17},	//123 KAuth::Action::setArguments(const QMap<QString,QVariant>&)
    {4, 1045, 0, 0, Smoke::mf_const, 342, 18},	//124 KAuth::Action::arguments() const
    {4, 852, 100, 2, 0, 0, 19},	//125 KAuth::Action::addArgument(const QString&, const QVariant&)
    {4, 1048, 0, 0, Smoke::mf_const, 17, 20},	//126 KAuth::Action::authorize() const
    {4, 1397, 0, 0, Smoke::mf_const, 17, 21},	//127 KAuth::Action::earlyAuthorize() const
    {4, 3043, 0, 0, Smoke::mf_const, 17, 22},	//128 KAuth::Action::status() const
    {4, 1459, 0, 0, Smoke::mf_const, 18, 23},	//129 KAuth::Action::execute() const
    {4, 1459, 30, 1, Smoke::mf_const, 18, 24},	//130 KAuth::Action::execute(const QString&) const
    {4, 2645, 103, 1, 0, 0, 25},	//131 KAuth::Action::setExecutesAsync(bool)
    {4, 1468, 0, 0, Smoke::mf_const, 452, 26},	//132 KAuth::Action::executesAsync() const
    {4, 1465, 105, 3, Smoke::mf_static, 452, 27},	//133 KAuth::Action::executeActions(const QList<KAuth::Action>&, QList<KAuth::Action>*, const QString&)
    {4, 1465, 109, 4, Smoke::mf_static, 452, 28},	//134 KAuth::Action::executeActions(const QList<KAuth::Action>&, QList<KAuth::Action>*, const QString&, QWidget*)
    {4, 3046, 0, 0, 0, 0, 29},	//135 KAuth::Action::stop()
    {4, 3046, 30, 1, 0, 0, 30},	//136 KAuth::Action::stop(const QString&)
    {4, 2816, 114, 1, 0, 0, 31},	//137 KAuth::Action::setParentWidget(QWidget*)
    {4, 2228, 0, 0, Smoke::mf_const, 369, 32},	//138 KAuth::Action::parentWidget() const
    {4, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 33},	//139 KAuth::Action::Denied (enum)
    {4, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 34},	//140 KAuth::Action::Error (enum)
    {4, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 35},	//141 KAuth::Action::Invalid (enum)
    {4, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 36},	//142 KAuth::Action::Authorized (enum)
    {4, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 37},	//143 KAuth::Action::AuthRequired (enum)
    {4, 807, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 38},	//144 KAuth::Action::UserCancelled (enum)
    {4, 3337, 0, 0, Smoke::mf_dtor, 0, 39 },	//145 KAuth::Action::~Action()
    {5, 8, 0, 0, Smoke::mf_ctor, 20, 1},	//146 KAuth::ActionReply::ActionReply()
    {5, 8, 116, 1, Smoke::mf_ctor, 20, 2},	//147 KAuth::ActionReply::ActionReply(KAuth::ActionReply::Type)
    {5, 8, 118, 1, Smoke::mf_ctor, 20, 3},	//148 KAuth::ActionReply::ActionReply(int)
    {5, 8, 120, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 20, 4},	//149 KAuth::ActionReply::ActionReply(const KAuth::ActionReply&)
    {5, 2575, 98, 1, 0, 0, 5},	//150 KAuth::ActionReply::setData(const QMap<QString,QVariant>&)
    {5, 1253, 0, 0, Smoke::mf_const, 342, 6},	//151 KAuth::ActionReply::data() const
    {5, 875, 100, 2, 0, 0, 7},	//152 KAuth::ActionReply::addData(const QString&, const QVariant&)
    {5, 3184, 0, 0, Smoke::mf_const, 22, 8},	//153 KAuth::ActionReply::type() const
    {5, 3069, 0, 0, Smoke::mf_const, 452, 9},	//154 KAuth::ActionReply::succeeded() const
    {5, 1496, 0, 0, Smoke::mf_const, 452, 10},	//155 KAuth::ActionReply::failed() const
    {5, 1443, 0, 0, Smoke::mf_const, 615, 11},	//156 KAuth::ActionReply::errorCode() const
    {5, 2633, 118, 1, 0, 0, 12},	//157 KAuth::ActionReply::setErrorCode(int)
    {5, 1444, 0, 0, Smoke::mf_const, 352, 13},	//158 KAuth::ActionReply::errorDescription() const
    {5, 2635, 30, 1, 0, 0, 14},	//159 KAuth::ActionReply::setErrorDescription(const QString&)
    {5, 2487, 0, 0, Smoke::mf_const, 265, 15},	//160 KAuth::ActionReply::serialized() const
    {5, 1359, 32, 1, Smoke::mf_static, 18, 16},	//161 KAuth::ActionReply::deserialize(const QByteArray&)
    {5, 2192, 120, 1, 0, 19, 17},	//162 KAuth::ActionReply::operator=(const KAuth::ActionReply&)
    {5, 2195, 120, 1, Smoke::mf_const, 452, 18},	//163 KAuth::ActionReply::operator==(const KAuth::ActionReply&) const
    {5, 2168, 120, 1, Smoke::mf_const, 452, 19},	//164 KAuth::ActionReply::operator!=(const KAuth::ActionReply&) const
    {5, 747, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 463, 20},	//165 KAuth::ActionReply::SuccessReply() const
    {5, 161, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 463, 21},	//166 KAuth::ActionReply::HelperErrorReply() const
    {5, 629, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 463, 22},	//167 KAuth::ActionReply::NoResponderReply() const
    {5, 632, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 463, 23},	//168 KAuth::ActionReply::NoSuchActionReply() const
    {5, 182, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 463, 24},	//169 KAuth::ActionReply::InvalidActionReply() const
    {5, 29, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 463, 25},	//170 KAuth::ActionReply::AuthorizationDeniedReply() const
    {5, 808, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 463, 26},	//171 KAuth::ActionReply::UserCancelledReply() const
    {5, 159, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 463, 27},	//172 KAuth::ActionReply::HelperBusyReply() const
    {5, 77, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 463, 28},	//173 KAuth::ActionReply::DBusErrorReply() const
    {5, 297, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 29},	//174 KAuth::ActionReply::KAuthError (enum)
    {5, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 30},	//175 KAuth::ActionReply::HelperError (enum)
    {5, 746, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 31},	//176 KAuth::ActionReply::Success (enum)
    {5, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 32},	//177 KAuth::ActionReply::NoError (enum)
    {5, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 33},	//178 KAuth::ActionReply::NoResponder (enum)
    {5, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 34},	//179 KAuth::ActionReply::NoSuchAction (enum)
    {5, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 35},	//180 KAuth::ActionReply::InvalidAction (enum)
    {5, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 36},	//181 KAuth::ActionReply::AuthorizationDenied (enum)
    {5, 807, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 37},	//182 KAuth::ActionReply::UserCancelled (enum)
    {5, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 38},	//183 KAuth::ActionReply::HelperBusy (enum)
    {5, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 39},	//184 KAuth::ActionReply::DBusError (enum)
    {5, 3338, 0, 0, Smoke::mf_dtor, 0, 40 },	//185 KAuth::ActionReply::~ActionReply()
    {6, 2070, 0, 0, Smoke::mf_const, 584, 1},	//186 KAuth::ActionWatcher::metaObject() const
    {6, 2311, 122, 1, 0, 638, 2},	//187 KAuth::ActionWatcher::qt_metacast(const char*)
    {6, 3141, 124, 2, Smoke::mf_static, 352, 3},	//188 KAuth::ActionWatcher::tr(const char*, const char*)
    {6, 3148, 124, 2, Smoke::mf_static, 352, 4},	//189 KAuth::ActionWatcher::trUtf8(const char*, const char*)
    {6, 3141, 127, 3, Smoke::mf_static, 352, 5},	//190 KAuth::ActionWatcher::tr(const char*, const char*, int)
    {6, 3148, 127, 3, Smoke::mf_static, 352, 6},	//191 KAuth::ActionWatcher::trUtf8(const char*, const char*, int)
    {6, 2309, 131, 3, 0, 615, 7},	//192 KAuth::ActionWatcher::qt_metacall(QMetaObject::Call, int, void**)
    {6, 3261, 30, 1, Smoke::mf_static, 23, 8},	//193 KAuth::ActionWatcher::watcher(const QString&)
    {6, 840, 0, 0, Smoke::mf_const, 352, 9},	//194 KAuth::ActionWatcher::action() const
    {6, 845, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 10},	//195 KAuth::ActionWatcher::actionStarted()
    {6, 843, 120, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//196 KAuth::ActionWatcher::actionPerformed(const KAuth::ActionReply&)
    {6, 2284, 118, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//197 KAuth::ActionWatcher::progressStep(int)
    {6, 2284, 135, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//198 KAuth::ActionWatcher::progressStep(const QVariantMap&)
    {6, 3044, 118, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//199 KAuth::ActionWatcher::statusChanged(int)
    {6, 3141, 122, 1, Smoke::mf_static, 352, 15},	//200 KAuth::ActionWatcher::tr(const char*)
    {6, 3148, 122, 1, Smoke::mf_static, 352, 16},	//201 KAuth::ActionWatcher::trUtf8(const char*)
    {6, 3040, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 583, 17},	//202 KAuth::ActionWatcher::staticMetaObject() const
    {6, 3339, 0, 0, Smoke::mf_dtor, 0, 18 },	//203 KAuth::ActionWatcher::~ActionWatcher()
    {7, 1056, 137, 3, Smoke::mf_static, 452, 1},	//204 KAuthorized::authorizeUrlAction(const QString&, const KUrl&, const KUrl&)
    {7, 1048, 30, 1, Smoke::mf_static, 452, 2},	//205 KAuthorized::authorize(const QString&)
    {7, 1052, 141, 1, Smoke::mf_static, 355, 3},	//206 KAuthorized::authorizeControlModules(const QStringList&)
    {7, 1054, 30, 1, Smoke::mf_static, 452, 4},	//207 KAuthorized::authorizeKAction(const QString&)
    {7, 1032, 137, 3, Smoke::mf_static, 0, 5},	//208 KAuthorized::allowUrlAction(const QString&, const KUrl&, const KUrl&)
    {7, 1050, 30, 1, Smoke::mf_static, 452, 6},	//209 KAuthorized::authorizeControlModule(const QString&)
    {8, 2070, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 584, 1},	//210 KAutoSaveFile::metaObject() const
    {8, 2311, 122, 1, Smoke::mf_virtual, 638, 2},	//211 KAutoSaveFile::qt_metacast(const char*)
    {8, 3141, 124, 2, Smoke::mf_static, 352, 3},	//212 KAutoSaveFile::tr(const char*, const char*)
    {8, 3148, 124, 2, Smoke::mf_static, 352, 4},	//213 KAutoSaveFile::trUtf8(const char*, const char*)
    {8, 3141, 127, 3, Smoke::mf_static, 352, 5},	//214 KAutoSaveFile::tr(const char*, const char*, int)
    {8, 3148, 127, 3, Smoke::mf_static, 352, 6},	//215 KAutoSaveFile::trUtf8(const char*, const char*, int)
    {8, 2309, 131, 3, Smoke::mf_virtual, 615, 7},	//216 KAutoSaveFile::qt_metacall(QMetaObject::Call, int, void**)
    {8, 298, 143, 2, Smoke::mf_ctor, 24, 8},	//217 KAutoSaveFile::KAutoSaveFile(const KUrl&, QObject*)
    {8, 298, 146, 1, Smoke::mf_ctor, 24, 9},	//218 KAutoSaveFile::KAutoSaveFile(QObject*)
    {8, 2055, 0, 0, Smoke::mf_const, 240, 10},	//219 KAutoSaveFile::managedFile() const
    {8, 2764, 148, 1, 0, 0, 11},	//220 KAutoSaveFile::setManagedFile(const KUrl&)
    {8, 2420, 0, 0, Smoke::mf_virtual, 0, 12},	//221 KAutoSaveFile::releaseLock()
    {8, 2155, 150, 1, Smoke::mf_virtual, 452, 13},	//222 KAutoSaveFile::open(QFlags<QIODevice::OpenModeFlag>)
    {8, 2978, 152, 2, Smoke::mf_static, 314, 14},	//223 KAutoSaveFile::staleFiles(const KUrl&, const QString&)
    {8, 1024, 30, 1, Smoke::mf_static, 314, 15},	//224 KAutoSaveFile::allStaleFiles(const QString&)
    {8, 3141, 122, 1, Smoke::mf_static, 352, 16},	//225 KAutoSaveFile::tr(const char*)
    {8, 3148, 122, 1, Smoke::mf_static, 352, 17},	//226 KAutoSaveFile::trUtf8(const char*)
    {8, 298, 148, 1, Smoke::mf_ctor, 24, 18},	//227 KAutoSaveFile::KAutoSaveFile(const KUrl&)
    {8, 298, 0, 0, Smoke::mf_ctor, 24, 19},	//228 KAutoSaveFile::KAutoSaveFile()
    {8, 2978, 148, 1, Smoke::mf_static, 314, 20},	//229 KAutoSaveFile::staleFiles(const KUrl&)
    {8, 1024, 0, 0, Smoke::mf_static, 314, 21},	//230 KAutoSaveFile::allStaleFiles()
    {8, 3040, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 583, 22},	//231 KAutoSaveFile::staticMetaObject() const
    {8, 3367, 0, 0, Smoke::mf_dtor, 0, 23 },	//232 KAutoSaveFile::~KAutoSaveFile()
    {9, 2070, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 584, 1},	//233 KAutostart::metaObject() const
    {9, 2311, 122, 1, Smoke::mf_virtual, 638, 2},	//234 KAutostart::qt_metacast(const char*)
    {9, 3141, 124, 2, Smoke::mf_static, 352, 3},	//235 KAutostart::tr(const char*, const char*)
    {9, 3148, 124, 2, Smoke::mf_static, 352, 4},	//236 KAutostart::trUtf8(const char*, const char*)
    {9, 3141, 127, 3, Smoke::mf_static, 352, 5},	//237 KAutostart::tr(const char*, const char*, int)
    {9, 3148, 127, 3, Smoke::mf_static, 352, 6},	//238 KAutostart::trUtf8(const char*, const char*, int)
    {9, 2309, 131, 3, Smoke::mf_virtual, 615, 7},	//239 KAutostart::qt_metacall(QMetaObject::Call, int, void**)
    {9, 301, 155, 2, Smoke::mf_ctor, 25, 8},	//240 KAutostart::KAutostart(const QString&, QObject*)
    {9, 2535, 103, 1, 0, 0, 9},	//241 KAutostart::setAutostarts(bool)
    {9, 1066, 158, 2, Smoke::mf_const, 452, 10},	//242 KAutostart::autostarts(const QString&, QFlags<KAutostart::Condition>) const
    {9, 1165, 0, 0, Smoke::mf_const, 352, 11},	//243 KAutostart::command() const
    {9, 2549, 30, 1, 0, 0, 12},	//244 KAutostart::setCommand(const QString&)
    {9, 3249, 0, 0, Smoke::mf_const, 352, 13},	//245 KAutostart::visibleName() const
    {9, 2924, 30, 1, 0, 0, 14},	//246 KAutostart::setVisibleName(const QString&)
    {9, 1866, 30, 1, Smoke::mf_static, 452, 15},	//247 KAutostart::isServiceRegistered(const QString&)
    {9, 1166, 0, 0, Smoke::mf_const, 352, 16},	//248 KAutostart::commandToCheck() const
    {9, 2551, 30, 1, 0, 0, 17},	//249 KAutostart::setCommandToCheck(const QString&)
    {9, 2989, 0, 0, Smoke::mf_const, 27, 18},	//250 KAutostart::startPhase() const
    {9, 2886, 161, 1, 0, 0, 19},	//251 KAutostart::setStartPhase(KAutostart::StartPhase)
    {9, 1034, 0, 0, Smoke::mf_const, 355, 20},	//252 KAutostart::allowedEnvironments() const
    {9, 2516, 141, 1, 0, 0, 21},	//253 KAutostart::setAllowedEnvironments(const QStringList&)
    {9, 992, 30, 1, 0, 0, 22},	//254 KAutostart::addToAllowedEnvironments(const QString&)
    {9, 2430, 30, 1, 0, 0, 23},	//255 KAutostart::removeFromAllowedEnvironments(const QString&)
    {9, 1453, 0, 0, Smoke::mf_const, 355, 24},	//256 KAutostart::excludedEnvironments() const
    {9, 2641, 141, 1, 0, 0, 25},	//257 KAutostart::setExcludedEnvironments(const QStringList&)
    {9, 994, 30, 1, 0, 0, 26},	//258 KAutostart::addToExcludedEnvironments(const QString&)
    {9, 2432, 30, 1, 0, 0, 27},	//259 KAutostart::removeFromExcludedEnvironments(const QString&)
    {9, 2983, 0, 0, Smoke::mf_const, 352, 28},	//260 KAutostart::startAfter() const
    {9, 1132, 30, 1, Smoke::mf_const, 452, 29},	//261 KAutostart::checkAllowedEnvironment(const QString&) const
    {9, 3141, 122, 1, Smoke::mf_static, 352, 30},	//262 KAutostart::tr(const char*)
    {9, 3148, 122, 1, Smoke::mf_static, 352, 31},	//263 KAutostart::trUtf8(const char*)
    {9, 301, 0, 0, Smoke::mf_ctor, 25, 32},	//264 KAutostart::KAutostart()
    {9, 301, 30, 1, Smoke::mf_ctor, 25, 33},	//265 KAutostart::KAutostart(const QString&)
    {9, 1066, 0, 0, Smoke::mf_const, 452, 34},	//266 KAutostart::autostarts() const
    {9, 1066, 30, 1, Smoke::mf_const, 452, 35},	//267 KAutostart::autostarts(const QString&) const
    {9, 3040, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 583, 36},	//268 KAutostart::staticMetaObject() const
    {9, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 37},	//269 KAutostart::NoConditions (enum)
    {9, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 38},	//270 KAutostart::CheckCommand (enum)
    {9, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 39},	//271 KAutostart::CheckCondition (enum)
    {9, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 40},	//272 KAutostart::CheckAll (enum)
    {9, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 41},	//273 KAutostart::BaseDesktop (enum)
    {9, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 42},	//274 KAutostart::DesktopServices (enum)
    {9, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 43},	//275 KAutostart::Applications (enum)
    {9, 3368, 0, 0, Smoke::mf_dtor, 0, 44 },	//276 KAutostart::~KAutostart()
    {10, 1213, 163, 2, Smoke::mf_static, 28, 1},	//277 KCalendarSystem::create(const QString&, const KLocale*)
    {10, 1213, 166, 3, Smoke::mf_static, 28, 2},	//278 KCalendarSystem::create(const QString&, KSharedPtr<KSharedConfig>, const KLocale*)
    {10, 1213, 170, 2, Smoke::mf_static, 28, 3},	//279 KCalendarSystem::create(KLocale::CalendarSystem, const KLocale*)
    {10, 1213, 173, 3, Smoke::mf_static, 28, 4},	//280 KCalendarSystem::create(KLocale::CalendarSystem, KSharedPtr<KSharedConfig>, const KLocale*)
    {10, 1106, 0, 0, Smoke::mf_static, 355, 5},	//281 KCalendarSystem::calendarSystems()
    {10, 1107, 0, 0, Smoke::mf_static, 318, 6},	//282 KCalendarSystem::calendarSystemsList()
    {10, 1099, 30, 1, Smoke::mf_static, 352, 7},	//283 KCalendarSystem::calendarLabel(const QString&)
    {10, 1099, 170, 2, Smoke::mf_static, 352, 8},	//284 KCalendarSystem::calendarLabel(KLocale::CalendarSystem, const KLocale*)
    {10, 1104, 30, 1, Smoke::mf_static, 126, 9},	//285 KCalendarSystem::calendarSystemForCalendarType(const QString&)
    {10, 1102, 30, 1, Smoke::mf_static, 126, 10},	//286 KCalendarSystem::calendarSystem(const QString&)
    {10, 1108, 177, 1, Smoke::mf_static, 352, 11},	//287 KCalendarSystem::calendarType(KLocale::CalendarSystem)
    {10, 304, 179, 1, Smoke::mf_ctor, 28, 12},	//288 KCalendarSystem::KCalendarSystem(const KLocale*)
    {10, 304, 181, 2, Smoke::mf_ctor, 28, 13},	//289 KCalendarSystem::KCalendarSystem(const KSharedPtr<KSharedConfig>, const KLocale*)
    {10, 1108, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 352, 14},	//290 KCalendarSystem::calendarType() const [pure virtual]
    {10, 1102, 0, 0, Smoke::mf_const, 126, 15},	//291 KCalendarSystem::calendarSystem() const
    {10, 1099, 0, 0, Smoke::mf_const, 352, 16},	//292 KCalendarSystem::calendarLabel() const
    {10, 1430, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 277, 17},	//293 KCalendarSystem::epoch() const
    {10, 1396, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 277, 18},	//294 KCalendarSystem::earliestValidDate() const
    {10, 1970, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 277, 19},	//295 KCalendarSystem::latestValidDate() const
    {10, 1881, 184, 3, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 452, 20},	//296 KCalendarSystem::isValid(int, int, int) const [pure virtual]
    {10, 1881, 188, 2, Smoke::mf_const, 452, 21},	//297 KCalendarSystem::isValid(int, int) const
    {10, 1881, 191, 4, Smoke::mf_const, 452, 22},	//298 KCalendarSystem::isValid(const QString&, int, int, int) const
    {10, 1887, 184, 3, Smoke::mf_const, 452, 23},	//299 KCalendarSystem::isValidIsoWeekDate(int, int, int) const
    {10, 1881, 196, 1, Smoke::mf_const|Smoke::mf_virtual, 452, 24},	//300 KCalendarSystem::isValid(const QDate&) const
    {10, 2581, 198, 4, Smoke::mf_const|Smoke::mf_virtual, 452, 25},	//301 KCalendarSystem::setDate(QDate&, int, int, int) const
    {10, 2581, 203, 3, Smoke::mf_const, 452, 26},	//302 KCalendarSystem::setDate(QDate&, int, int) const
    {10, 2581, 207, 5, Smoke::mf_const, 452, 27},	//303 KCalendarSystem::setDate(QDate&, QString, int, int, int) const
    {10, 2590, 198, 4, Smoke::mf_const, 452, 28},	//304 KCalendarSystem::setDateIsoWeek(QDate&, int, int, int) const
    {10, 2938, 198, 4, Smoke::mf_const|Smoke::mf_virtual, 452, 29},	//305 KCalendarSystem::setYMD(QDate&, int, int, int) const
    {10, 1646, 213, 4, Smoke::mf_const, 0, 30},	//306 KCalendarSystem::getDate(const QDate, int*, int*, int*) const
    {10, 3319, 196, 1, Smoke::mf_const|Smoke::mf_virtual, 615, 31},	//307 KCalendarSystem::year(const QDate&) const
    {10, 2092, 196, 1, Smoke::mf_const|Smoke::mf_virtual, 615, 32},	//308 KCalendarSystem::month(const QDate&) const
    {10, 1274, 196, 1, Smoke::mf_const|Smoke::mf_virtual, 615, 33},	//309 KCalendarSystem::day(const QDate&) const
    {10, 1436, 218, 2, Smoke::mf_const, 352, 34},	//310 KCalendarSystem::eraName(const QDate&, KCalendarSystem::StringFormat) const
    {10, 1439, 218, 2, Smoke::mf_const, 352, 35},	//311 KCalendarSystem::eraYear(const QDate&, KCalendarSystem::StringFormat) const
    {10, 3321, 196, 1, Smoke::mf_const, 615, 36},	//312 KCalendarSystem::yearInEra(const QDate&) const
    {10, 1006, 221, 2, Smoke::mf_const|Smoke::mf_virtual, 277, 37},	//313 KCalendarSystem::addYears(const QDate&, int) const
    {10, 967, 221, 2, Smoke::mf_const|Smoke::mf_virtual, 277, 38},	//314 KCalendarSystem::addMonths(const QDate&, int) const
    {10, 877, 221, 2, Smoke::mf_const|Smoke::mf_virtual, 277, 39},	//315 KCalendarSystem::addDays(const QDate&, int) const
    {10, 1262, 224, 6, Smoke::mf_const, 0, 40},	//316 KCalendarSystem::dateDifference(const QDate&, const QDate&, int*, int*, int*, int*) const
    {10, 3331, 231, 2, Smoke::mf_const, 615, 41},	//317 KCalendarSystem::yearsDifference(const QDate&, const QDate&) const
    {10, 2104, 231, 2, Smoke::mf_const, 615, 42},	//318 KCalendarSystem::monthsDifference(const QDate&, const QDate&) const
    {10, 1293, 231, 2, Smoke::mf_const, 615, 43},	//319 KCalendarSystem::daysDifference(const QDate&, const QDate&) const
    {10, 2106, 196, 1, Smoke::mf_const|Smoke::mf_virtual, 615, 44},	//320 KCalendarSystem::monthsInYear(const QDate&) const
    {10, 2106, 118, 1, Smoke::mf_const, 615, 45},	//321 KCalendarSystem::monthsInYear(int) const
    {10, 3283, 196, 1, Smoke::mf_const|Smoke::mf_virtual, 615, 46},	//322 KCalendarSystem::weeksInYear(const QDate&) const
    {10, 3283, 234, 2, Smoke::mf_const, 615, 47},	//323 KCalendarSystem::weeksInYear(const QDate&, KLocale::WeekNumberSystem) const
    {10, 3283, 118, 1, Smoke::mf_const|Smoke::mf_virtual, 615, 48},	//324 KCalendarSystem::weeksInYear(int) const
    {10, 3283, 237, 2, Smoke::mf_const, 615, 49},	//325 KCalendarSystem::weeksInYear(int, KLocale::WeekNumberSystem) const
    {10, 1305, 196, 1, Smoke::mf_const|Smoke::mf_virtual, 615, 50},	//326 KCalendarSystem::daysInYear(const QDate&) const
    {10, 1305, 118, 1, Smoke::mf_const, 615, 51},	//327 KCalendarSystem::daysInYear(int) const
    {10, 1295, 196, 1, Smoke::mf_const|Smoke::mf_virtual, 615, 52},	//328 KCalendarSystem::daysInMonth(const QDate&) const
    {10, 1295, 188, 2, Smoke::mf_const, 615, 53},	//329 KCalendarSystem::daysInMonth(int, int) const
    {10, 1301, 196, 1, Smoke::mf_const|Smoke::mf_virtual, 615, 54},	//330 KCalendarSystem::daysInWeek(const QDate&) const
    {10, 1280, 196, 1, Smoke::mf_const|Smoke::mf_virtual, 615, 55},	//331 KCalendarSystem::dayOfYear(const QDate&) const
    {10, 1276, 196, 1, Smoke::mf_const|Smoke::mf_virtual, 615, 56},	//332 KCalendarSystem::dayOfWeek(const QDate&) const
    {10, 3275, 240, 2, Smoke::mf_const|Smoke::mf_virtual, 615, 57},	//333 KCalendarSystem::weekNumber(const QDate&, int*) const
    {10, 3265, 240, 2, Smoke::mf_const, 615, 58},	//334 KCalendarSystem::week(const QDate&, int*) const
    {10, 3265, 243, 3, Smoke::mf_const, 615, 59},	//335 KCalendarSystem::week(const QDate&, KLocale::WeekNumberSystem, int*) const
    {10, 1839, 118, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 452, 60},	//336 KCalendarSystem::isLeapYear(int) const [pure virtual]
    {10, 1839, 196, 1, Smoke::mf_const|Smoke::mf_virtual, 452, 61},	//337 KCalendarSystem::isLeapYear(const QDate&) const
    {10, 1572, 118, 1, Smoke::mf_const, 277, 62},	//338 KCalendarSystem::firstDayOfYear(int) const
    {10, 1966, 118, 1, Smoke::mf_const, 277, 63},	//339 KCalendarSystem::lastDayOfYear(int) const
    {10, 1572, 196, 1, Smoke::mf_const, 277, 64},	//340 KCalendarSystem::firstDayOfYear(const QDate&) const
    {10, 1966, 196, 1, Smoke::mf_const, 277, 65},	//341 KCalendarSystem::lastDayOfYear(const QDate&) const
    {10, 1569, 188, 2, Smoke::mf_const, 277, 66},	//342 KCalendarSystem::firstDayOfMonth(int, int) const
    {10, 1963, 188, 2, Smoke::mf_const, 277, 67},	//343 KCalendarSystem::lastDayOfMonth(int, int) const
    {10, 1569, 196, 1, Smoke::mf_const, 277, 68},	//344 KCalendarSystem::firstDayOfMonth(const QDate&) const
    {10, 1963, 196, 1, Smoke::mf_const, 277, 69},	//345 KCalendarSystem::lastDayOfMonth(const QDate&) const
    {10, 2094, 247, 3, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 352, 70},	//346 KCalendarSystem::monthName(int, int, KCalendarSystem::MonthNameFormat) const [pure virtual]
    {10, 2094, 251, 2, Smoke::mf_const|Smoke::mf_virtual, 352, 71},	//347 KCalendarSystem::monthName(const QDate&, KCalendarSystem::MonthNameFormat) const
    {10, 3269, 254, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 352, 72},	//348 KCalendarSystem::weekDayName(int, KCalendarSystem::WeekDayNameFormat) const [pure virtual]
    {10, 3269, 257, 2, Smoke::mf_const|Smoke::mf_virtual, 352, 73},	//349 KCalendarSystem::weekDayName(const QDate&, KCalendarSystem::WeekDayNameFormat) const
    {10, 3326, 218, 2, Smoke::mf_const|Smoke::mf_virtual, 352, 74},	//350 KCalendarSystem::yearString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 2099, 218, 2, Smoke::mf_const|Smoke::mf_virtual, 352, 75},	//351 KCalendarSystem::monthString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 1288, 218, 2, Smoke::mf_const|Smoke::mf_virtual, 352, 76},	//352 KCalendarSystem::dayString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 3323, 218, 2, Smoke::mf_const, 352, 77},	//353 KCalendarSystem::yearInEraString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 1282, 218, 2, Smoke::mf_const, 352, 78},	//354 KCalendarSystem::dayOfYearString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 1278, 196, 1, Smoke::mf_const, 352, 79},	//355 KCalendarSystem::dayOfWeekString(const QDate&) const
    {10, 3278, 218, 2, Smoke::mf_const, 352, 80},	//356 KCalendarSystem::weekNumberString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 2109, 218, 2, Smoke::mf_const, 352, 81},	//357 KCalendarSystem::monthsInYearString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 3288, 218, 2, Smoke::mf_const, 352, 82},	//358 KCalendarSystem::weeksInYearString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 1308, 218, 2, Smoke::mf_const, 352, 83},	//359 KCalendarSystem::daysInYearString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 1298, 218, 2, Smoke::mf_const, 352, 84},	//360 KCalendarSystem::daysInMonthString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 1303, 196, 1, Smoke::mf_const, 352, 85},	//361 KCalendarSystem::daysInWeekString(const QDate&) const
    {10, 3329, 260, 2, Smoke::mf_const|Smoke::mf_virtual, 615, 86},	//362 KCalendarSystem::yearStringToInteger(const QString&, int&) const
    {10, 2102, 260, 2, Smoke::mf_const|Smoke::mf_virtual, 615, 87},	//363 KCalendarSystem::monthStringToInteger(const QString&, int&) const
    {10, 1291, 260, 2, Smoke::mf_const|Smoke::mf_virtual, 615, 88},	//364 KCalendarSystem::dayStringToInteger(const QString&, int&) const
    {10, 1585, 263, 2, Smoke::mf_const|Smoke::mf_virtual, 352, 89},	//365 KCalendarSystem::formatDate(const QDate&, KLocale::DateFormat) const
    {10, 1585, 266, 3, Smoke::mf_const, 352, 90},	//366 KCalendarSystem::formatDate(const QDate&, const QString&, KLocale::DateTimeFormatStandard) const
    {10, 1585, 270, 4, Smoke::mf_const, 352, 91},	//367 KCalendarSystem::formatDate(const QDate&, const QString&, KLocale::DigitSet, KLocale::DateTimeFormatStandard) const
    {10, 1585, 275, 4, Smoke::mf_const, 352, 92},	//368 KCalendarSystem::formatDate(const QDate&, KLocale::DateTimeComponent, KLocale::DateTimeComponentFormat, KLocale::WeekNumberSystem) const
    {10, 2348, 280, 2, Smoke::mf_const|Smoke::mf_virtual, 277, 93},	//369 KCalendarSystem::readDate(const QString&, bool*) const
    {10, 2348, 283, 3, Smoke::mf_const|Smoke::mf_virtual, 277, 94},	//370 KCalendarSystem::readDate(const QString&, KLocale::ReadDateFlags, bool*) const
    {10, 2348, 287, 3, Smoke::mf_const|Smoke::mf_virtual, 277, 95},	//371 KCalendarSystem::readDate(const QString&, const QString&, bool*) const
    {10, 2348, 291, 4, Smoke::mf_const, 277, 96},	//372 KCalendarSystem::readDate(const QString&, const QString&, bool*, KLocale::DateTimeFormatStandard) const
    {10, 2945, 0, 0, Smoke::mf_const, 615, 97},	//373 KCalendarSystem::shortYearWindowStartYear() const
    {10, 1040, 118, 1, Smoke::mf_const, 615, 98},	//374 KCalendarSystem::applyShortYearWindow(int) const
    {10, 3282, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 615, 99},	//375 KCalendarSystem::weekStartDay() const
    {10, 3274, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 615, 100},	//376 KCalendarSystem::weekDayOfPray() const [pure virtual]
    {10, 1847, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 452, 101},	//377 KCalendarSystem::isLunar() const [pure virtual]
    {10, 1848, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 452, 102},	//378 KCalendarSystem::isLunisolar() const [pure virtual]
    {10, 1871, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 452, 103},	//379 KCalendarSystem::isSolar() const [pure virtual]
    {10, 1857, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 452, 104},	//380 KCalendarSystem::isProleptic() const [pure virtual]
    {10, 1898, 296, 4, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 452, 105},	//381 KCalendarSystem::julianDayToDate(int, int&, int&, int&) const [pure virtual]
    {10, 1271, 301, 4, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 452, 106},	//382 KCalendarSystem::dateToJulianDay(int, int, int, int&) const [pure virtual]
    {10, 1997, 0, 0, Smoke::mf_const|Smoke::mf_protected, 508, 107},	//383 KCalendarSystem::locale() const
    {10, 2768, 118, 1, Smoke::mf_protected, 0, 108},	//384 KCalendarSystem::setMaxMonthsInYear(int)
    {10, 2766, 118, 1, Smoke::mf_protected, 0, 109},	//385 KCalendarSystem::setMaxDaysInWeek(int)
    {10, 2664, 103, 1, Smoke::mf_protected, 0, 110},	//386 KCalendarSystem::setHasYear0(bool)
    {10, 304, 306, 3, Smoke::mf_ctor|Smoke::mf_protected, 28, 111},	//387 KCalendarSystem::KCalendarSystem(KCalendarSystemPrivate&, const KSharedPtr<KSharedConfig>, const KLocale*)
    {10, 1213, 0, 0, Smoke::mf_static, 28, 112},	//388 KCalendarSystem::create()
    {10, 1213, 30, 1, Smoke::mf_static, 28, 113},	//389 KCalendarSystem::create(const QString&)
    {10, 1213, 310, 2, Smoke::mf_static, 28, 114},	//390 KCalendarSystem::create(const QString&, KSharedPtr<KSharedConfig>)
    {10, 1213, 177, 1, Smoke::mf_static, 28, 115},	//391 KCalendarSystem::create(KLocale::CalendarSystem)
    {10, 1213, 313, 2, Smoke::mf_static, 28, 116},	//392 KCalendarSystem::create(KLocale::CalendarSystem, KSharedPtr<KSharedConfig>)
    {10, 1099, 177, 1, Smoke::mf_static, 352, 117},	//393 KCalendarSystem::calendarLabel(KLocale::CalendarSystem)
    {10, 304, 0, 0, Smoke::mf_ctor, 28, 118},	//394 KCalendarSystem::KCalendarSystem()
    {10, 304, 316, 1, Smoke::mf_ctor, 28, 119},	//395 KCalendarSystem::KCalendarSystem(const KSharedPtr<KSharedConfig>)
    {10, 1436, 196, 1, Smoke::mf_const, 352, 120},	//396 KCalendarSystem::eraName(const QDate&) const
    {10, 1439, 196, 1, Smoke::mf_const, 352, 121},	//397 KCalendarSystem::eraYear(const QDate&) const
    {10, 3275, 196, 1, Smoke::mf_const, 615, 122},	//398 KCalendarSystem::weekNumber(const QDate&) const
    {10, 3265, 196, 1, Smoke::mf_const, 615, 123},	//399 KCalendarSystem::week(const QDate&) const
    {10, 3265, 234, 2, Smoke::mf_const, 615, 124},	//400 KCalendarSystem::week(const QDate&, KLocale::WeekNumberSystem) const
    {10, 1572, 0, 0, Smoke::mf_const, 277, 125},	//401 KCalendarSystem::firstDayOfYear() const
    {10, 1966, 0, 0, Smoke::mf_const, 277, 126},	//402 KCalendarSystem::lastDayOfYear() const
    {10, 1569, 0, 0, Smoke::mf_const, 277, 127},	//403 KCalendarSystem::firstDayOfMonth() const
    {10, 1963, 0, 0, Smoke::mf_const, 277, 128},	//404 KCalendarSystem::lastDayOfMonth() const
    {10, 2094, 188, 2, Smoke::mf_const, 352, 129},	//405 KCalendarSystem::monthName(int, int) const
    {10, 2094, 196, 1, Smoke::mf_const, 352, 130},	//406 KCalendarSystem::monthName(const QDate&) const
    {10, 3269, 118, 1, Smoke::mf_const, 352, 131},	//407 KCalendarSystem::weekDayName(int) const
    {10, 3269, 196, 1, Smoke::mf_const, 352, 132},	//408 KCalendarSystem::weekDayName(const QDate&) const
    {10, 3326, 196, 1, Smoke::mf_const, 352, 133},	//409 KCalendarSystem::yearString(const QDate&) const
    {10, 2099, 196, 1, Smoke::mf_const, 352, 134},	//410 KCalendarSystem::monthString(const QDate&) const
    {10, 1288, 196, 1, Smoke::mf_const, 352, 135},	//411 KCalendarSystem::dayString(const QDate&) const
    {10, 3323, 196, 1, Smoke::mf_const, 352, 136},	//412 KCalendarSystem::yearInEraString(const QDate&) const
    {10, 1282, 196, 1, Smoke::mf_const, 352, 137},	//413 KCalendarSystem::dayOfYearString(const QDate&) const
    {10, 3278, 196, 1, Smoke::mf_const, 352, 138},	//414 KCalendarSystem::weekNumberString(const QDate&) const
    {10, 2109, 196, 1, Smoke::mf_const, 352, 139},	//415 KCalendarSystem::monthsInYearString(const QDate&) const
    {10, 3288, 196, 1, Smoke::mf_const, 352, 140},	//416 KCalendarSystem::weeksInYearString(const QDate&) const
    {10, 1308, 196, 1, Smoke::mf_const, 352, 141},	//417 KCalendarSystem::daysInYearString(const QDate&) const
    {10, 1298, 196, 1, Smoke::mf_const, 352, 142},	//418 KCalendarSystem::daysInMonthString(const QDate&) const
    {10, 1585, 196, 1, Smoke::mf_const, 352, 143},	//419 KCalendarSystem::formatDate(const QDate&) const
    {10, 1585, 318, 2, Smoke::mf_const, 352, 144},	//420 KCalendarSystem::formatDate(const QDate&, const QString&) const
    {10, 1585, 321, 3, Smoke::mf_const, 352, 145},	//421 KCalendarSystem::formatDate(const QDate&, const QString&, KLocale::DigitSet) const
    {10, 1585, 325, 2, Smoke::mf_const, 352, 146},	//422 KCalendarSystem::formatDate(const QDate&, KLocale::DateTimeComponent) const
    {10, 1585, 328, 3, Smoke::mf_const, 352, 147},	//423 KCalendarSystem::formatDate(const QDate&, KLocale::DateTimeComponent, KLocale::DateTimeComponentFormat) const
    {10, 2348, 30, 1, Smoke::mf_const, 277, 148},	//424 KCalendarSystem::readDate(const QString&) const
    {10, 2348, 332, 2, Smoke::mf_const, 277, 149},	//425 KCalendarSystem::readDate(const QString&, KLocale::ReadDateFlags) const
    {10, 2348, 95, 2, Smoke::mf_const, 277, 150},	//426 KCalendarSystem::readDate(const QString&, const QString&) const
    {10, 304, 335, 1, Smoke::mf_ctor|Smoke::mf_protected, 28, 151},	//427 KCalendarSystem::KCalendarSystem(KCalendarSystemPrivate&)
    {10, 304, 337, 2, Smoke::mf_ctor|Smoke::mf_protected, 28, 152},	//428 KCalendarSystem::KCalendarSystem(KCalendarSystemPrivate&, const KSharedPtr<KSharedConfig>)
    {10, 711, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 153},	//429 KCalendarSystem::ShortFormat (enum)
    {10, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 154},	//430 KCalendarSystem::LongFormat (enum)
    {10, 712, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 155},	//431 KCalendarSystem::ShortName (enum)
    {10, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 156},	//432 KCalendarSystem::LongName (enum)
    {10, 713, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 157},	//433 KCalendarSystem::ShortNamePossessive (enum)
    {10, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 158},	//434 KCalendarSystem::LongNamePossessive (enum)
    {10, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 159},	//435 KCalendarSystem::NarrowName (enum)
    {10, 710, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 160},	//436 KCalendarSystem::ShortDayName (enum)
    {10, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 161},	//437 KCalendarSystem::LongDayName (enum)
    {10, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 162},	//438 KCalendarSystem::NarrowDayName (enum)
    {10, 3369, 0, 0, Smoke::mf_dtor, 0, 163 },	//439 KCalendarSystem::~KCalendarSystem()
    {13, 310, 340, 1, Smoke::mf_ctor|Smoke::mf_explicit, 34, 1},	//440 KCharMacroExpander::KCharMacroExpander(QChar)
    {13, 1485, 342, 3, Smoke::mf_protected|Smoke::mf_virtual, 615, 2},	//441 KCharMacroExpander::expandPlainMacro(const QString&, int, QStringList&)
    {13, 1471, 342, 3, Smoke::mf_protected|Smoke::mf_virtual, 615, 3},	//442 KCharMacroExpander::expandEscapedMacro(const QString&, int, QStringList&)
    {13, 1473, 346, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 452, 4},	//443 KCharMacroExpander::expandMacro(QChar, QStringList&) [pure virtual]
    {13, 310, 349, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 34, 5},	//444 KCharMacroExpander::KCharMacroExpander(const KCharMacroExpander&)
    {13, 310, 0, 0, Smoke::mf_ctor|Smoke::mf_explicit, 34, 6},	//445 KCharMacroExpander::KCharMacroExpander()
    {13, 3370, 0, 0, Smoke::mf_dtor, 0, 7 },	//446 KCharMacroExpander::~KCharMacroExpander()
    {14, 312, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 35, 1},	//447 KCharsets::KCharsets()
    {14, 1162, 30, 1, Smoke::mf_const, 360, 2},	//448 KCharsets::codecForName(const QString&) const
    {14, 1162, 351, 2, Smoke::mf_const, 360, 3},	//449 KCharsets::codecForName(const QString&, bool&) const
    {14, 1616, 30, 1, Smoke::mf_static, 267, 4},	//450 KCharsets::fromEntity(const QString&)
    {14, 1616, 260, 2, Smoke::mf_static, 267, 5},	//451 KCharsets::fromEntity(const QString&, int&)
    {14, 3114, 354, 1, Smoke::mf_static, 352, 6},	//452 KCharsets::toEntity(const QChar&)
    {14, 2450, 30, 1, Smoke::mf_static, 352, 7},	//453 KCharsets::resolveEntities(const QString&)
    {14, 1071, 0, 0, Smoke::mf_const, 355, 8},	//454 KCharsets::availableEncodingNames() const
    {14, 1358, 0, 0, Smoke::mf_const, 355, 9},	//455 KCharsets::descriptiveEncodingNames() const
    {14, 1420, 0, 0, Smoke::mf_const, 336, 10},	//456 KCharsets::encodingsByScript() const
    {14, 1960, 30, 1, Smoke::mf_const, 352, 11},	//457 KCharsets::languageForEncoding(const QString&) const
    {14, 1356, 30, 1, Smoke::mf_const, 352, 12},	//458 KCharsets::descriptionForEncoding(const QString&) const
    {14, 1416, 30, 1, Smoke::mf_const, 352, 13},	//459 KCharsets::encodingForName(const QString&) const
    {14, 312, 356, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 35, 14},	//460 KCharsets::KCharsets(const KCharsets&)
    {14, 3371, 0, 0, Smoke::mf_dtor, 0, 15 },	//461 KCharsets::~KCharsets()
    {15, 1741, 358, 8, Smoke::mf_static, 0, 1},	//462 KCmdLineArgs::init(int, char**, const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, QFlags<KCmdLineArgs::StdCmdLineArg>)
    {15, 1741, 367, 4, Smoke::mf_static, 0, 2},	//463 KCmdLineArgs::init(int, char**, const KAboutData*, QFlags<KCmdLineArgs::StdCmdLineArg>)
    {15, 1741, 372, 1, Smoke::mf_static, 0, 3},	//464 KCmdLineArgs::init(const KAboutData*)
    {15, 987, 374, 1, Smoke::mf_static, 0, 4},	//465 KCmdLineArgs::addStdCmdLineOptions(QFlags<KCmdLineArgs::StdCmdLineArg>)
    {15, 860, 376, 4, Smoke::mf_static, 0, 5},	//466 KCmdLineArgs::addCmdLineOptions(const KCmdLineOptions&, const KLocalizedString&, const QByteArray&, const QByteArray&)
    {15, 2231, 32, 1, Smoke::mf_static, 36, 6},	//467 KCmdLineArgs::parsedArgs(const QByteArray&)
    {15, 1252, 0, 0, Smoke::mf_static, 352, 7},	//468 KCmdLineArgs::cwd()
    {15, 1037, 0, 0, Smoke::mf_static, 352, 8},	//469 KCmdLineArgs::appName()
    {15, 3211, 32, 1, Smoke::mf_static, 0, 9},	//470 KCmdLineArgs::usage(const QByteArray&)
    {15, 3213, 30, 1, Smoke::mf_static, 0, 10},	//471 KCmdLineArgs::usageError(const QString&)
    {15, 1405, 0, 0, Smoke::mf_static, 0, 11},	//472 KCmdLineArgs::enable_i18n()
    {15, 1653, 32, 1, Smoke::mf_const, 352, 12},	//473 KCmdLineArgs::getOption(const QByteArray&) const
    {15, 1655, 32, 1, Smoke::mf_const, 355, 13},	//474 KCmdLineArgs::getOptionList(const QByteArray&) const
    {15, 1868, 32, 1, Smoke::mf_const, 452, 14},	//475 KCmdLineArgs::isSet(const QByteArray&) const
    {15, 1206, 0, 0, Smoke::mf_const, 615, 15},	//476 KCmdLineArgs::count() const
    {15, 1043, 118, 1, Smoke::mf_const, 352, 16},	//477 KCmdLineArgs::arg(int) const
    {15, 3209, 118, 1, Smoke::mf_const, 240, 17},	//478 KCmdLineArgs::url(int) const
    {15, 2053, 32, 1, Smoke::mf_static, 240, 18},	//479 KCmdLineArgs::makeURL(const QByteArray&)
    {15, 2573, 32, 1, Smoke::mf_static, 0, 19},	//480 KCmdLineArgs::setCwd(const QByteArray&)
    {15, 1152, 0, 0, 0, 0, 20},	//481 KCmdLineArgs::clear()
    {15, 2448, 0, 0, Smoke::mf_static, 0, 21},	//482 KCmdLineArgs::reset()
    {15, 1992, 381, 1, Smoke::mf_static, 0, 22},	//483 KCmdLineArgs::loadAppArgs(QDataStream&)
    {15, 2472, 381, 1, Smoke::mf_static, 0, 23},	//484 KCmdLineArgs::saveAppArgs(QDataStream&)
    {15, 991, 0, 0, Smoke::mf_static, 0, 24},	//485 KCmdLineArgs::addTempFileOption()
    {15, 1874, 0, 0, Smoke::mf_static, 452, 25},	//486 KCmdLineArgs::isTempFileSet()
    {15, 2307, 0, 0, Smoke::mf_static, 616, 26},	//487 KCmdLineArgs::qtArgc()
    {15, 2308, 0, 0, Smoke::mf_static, 457, 27},	//488 KCmdLineArgs::qtArgv()
    {15, 1011, 0, 0, Smoke::mf_static, 355, 28},	//489 KCmdLineArgs::allArguments()
    {15, 833, 0, 0, Smoke::mf_static, 459, 29},	//490 KCmdLineArgs::aboutData()
    {15, 314, 383, 3, Smoke::mf_ctor|Smoke::mf_protected, 36, 30},	//491 KCmdLineArgs::KCmdLineArgs(const KCmdLineOptions&, const KLocalizedString&, const QByteArray&)
    {15, 314, 387, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 36, 31},	//492 KCmdLineArgs::KCmdLineArgs(const KCmdLineArgs&)
    {15, 1741, 389, 6, Smoke::mf_static, 0, 32},	//493 KCmdLineArgs::init(int, char**, const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&)
    {15, 1741, 396, 7, Smoke::mf_static, 0, 33},	//494 KCmdLineArgs::init(int, char**, const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&)
    {15, 1741, 404, 3, Smoke::mf_static, 0, 34},	//495 KCmdLineArgs::init(int, char**, const KAboutData*)
    {15, 987, 0, 0, Smoke::mf_static, 0, 35},	//496 KCmdLineArgs::addStdCmdLineOptions()
    {15, 860, 408, 1, Smoke::mf_static, 0, 36},	//497 KCmdLineArgs::addCmdLineOptions(const KCmdLineOptions&)
    {15, 860, 410, 2, Smoke::mf_static, 0, 37},	//498 KCmdLineArgs::addCmdLineOptions(const KCmdLineOptions&, const KLocalizedString&)
    {15, 860, 383, 3, Smoke::mf_static, 0, 38},	//499 KCmdLineArgs::addCmdLineOptions(const KCmdLineOptions&, const KLocalizedString&, const QByteArray&)
    {15, 2231, 0, 0, Smoke::mf_static, 36, 39},	//500 KCmdLineArgs::parsedArgs()
    {15, 3211, 0, 0, Smoke::mf_static, 0, 40},	//501 KCmdLineArgs::usage()
    {15, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 41},	//502 KCmdLineArgs::CmdLineArgQt (enum)
    {15, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 42},	//503 KCmdLineArgs::CmdLineArgKDE (enum)
    {15, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 43},	//504 KCmdLineArgs::CmdLineArgsMask (enum)
    {15, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 44},	//505 KCmdLineArgs::CmdLineArgNone (enum)
    {15, 699, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 45},	//506 KCmdLineArgs::Reserved (enum)
    {15, 3372, 0, 0, Smoke::mf_dtor, 0, 46 },	//507 KCmdLineArgs::~KCmdLineArgs()
    {16, 317, 0, 0, Smoke::mf_ctor, 39, 1},	//508 KCmdLineOptions::KCmdLineOptions()
    {16, 317, 408, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 39, 2},	//509 KCmdLineOptions::KCmdLineOptions(const KCmdLineOptions&)
    {16, 2192, 408, 1, 0, 38, 3},	//510 KCmdLineOptions::operator=(const KCmdLineOptions&)
    {16, 848, 413, 3, 0, 38, 4},	//511 KCmdLineOptions::add(const QByteArray&, const KLocalizedString&, const QByteArray&)
    {16, 848, 408, 1, 0, 38, 5},	//512 KCmdLineOptions::add(const KCmdLineOptions&)
    {16, 848, 32, 1, 0, 38, 6},	//513 KCmdLineOptions::add(const QByteArray&)
    {16, 848, 417, 2, 0, 38, 7},	//514 KCmdLineOptions::add(const QByteArray&, const KLocalizedString&)
    {16, 3373, 0, 0, Smoke::mf_dtor, 0, 8 },	//515 KCmdLineOptions::~KCmdLineOptions()
    {17, 3236, 32, 1, Smoke::mf_static, 265, 1},	//516 KCodecs::uuencode(const QByteArray&)
    {17, 3233, 32, 1, Smoke::mf_static, 265, 2},	//517 KCodecs::uudecode(const QByteArray&)
    {17, 3233, 420, 2, Smoke::mf_static, 0, 3},	//518 KCodecs::uudecode(const QByteArray&, QByteArray&)
    {17, 2323, 420, 2, Smoke::mf_static, 0, 4},	//519 KCodecs::quotedPrintableDecode(const QByteArray&, QByteArray&)
    {17, 1319, 30, 1, Smoke::mf_static, 352, 5},	//520 KCodecs::decodeRFC2047String(const QString&)
    {17, 2323, 32, 1, Smoke::mf_static, 265, 6},	//521 KCodecs::quotedPrintableDecode(const QByteArray&)
    {17, 1077, 32, 1, Smoke::mf_static, 265, 7},	//522 KCodecs::base64Decode(const QByteArray&)
    {17, 2326, 423, 3, Smoke::mf_static, 0, 8},	//523 KCodecs::quotedPrintableEncode(const QByteArray&, QByteArray&, bool)
    {17, 1077, 420, 2, Smoke::mf_static, 0, 9},	//524 KCodecs::base64Decode(const QByteArray&, QByteArray&)
    {17, 3236, 420, 2, Smoke::mf_static, 0, 10},	//525 KCodecs::uuencode(const QByteArray&, QByteArray&)
    {17, 1081, 423, 3, Smoke::mf_static, 0, 11},	//526 KCodecs::base64Encode(const QByteArray&, QByteArray&, bool)
    {17, 1081, 420, 2, Smoke::mf_static, 0, 12},	//527 KCodecs::base64Encode(const QByteArray&, QByteArray&)
    {17, 2326, 427, 2, Smoke::mf_static, 265, 13},	//528 KCodecs::quotedPrintableEncode(const QByteArray&, bool)
    {17, 2326, 32, 1, Smoke::mf_static, 265, 14},	//529 KCodecs::quotedPrintableEncode(const QByteArray&)
    {17, 1081, 427, 2, Smoke::mf_static, 265, 15},	//530 KCodecs::base64Encode(const QByteArray&, bool)
    {17, 1081, 32, 1, Smoke::mf_static, 265, 16},	//531 KCodecs::base64Encode(const QByteArray&)
    {18, 319, 0, 0, Smoke::mf_ctor, 42, 1},	//532 KComponentData::KComponentData()
    {18, 319, 430, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 42, 2},	//533 KComponentData::KComponentData(const KComponentData&)
    {18, 2192, 430, 1, 0, 41, 3},	//534 KComponentData::operator=(const KComponentData&)
    {18, 2195, 430, 1, Smoke::mf_const, 452, 4},	//535 KComponentData::operator==(const KComponentData&) const
    {18, 2168, 430, 1, Smoke::mf_const, 452, 5},	//536 KComponentData::operator!=(const KComponentData&) const
    {18, 319, 432, 3, Smoke::mf_ctor, 42, 6},	//537 KComponentData::KComponentData(const QByteArray&, const QByteArray&, KComponentData::MainComponentRegistration)
    {18, 319, 436, 2, Smoke::mf_ctor, 42, 7},	//538 KComponentData::KComponentData(const KAboutData&, KComponentData::MainComponentRegistration)
    {18, 319, 439, 2, Smoke::mf_ctor, 42, 8},	//539 KComponentData::KComponentData(const KAboutData*, KComponentData::MainComponentRegistration)
    {18, 1881, 0, 0, Smoke::mf_const, 452, 9},	//540 KComponentData::isValid() const
    {18, 1385, 0, 0, Smoke::mf_const, 201, 10},	//541 KComponentData::dirs() const
    {18, 1176, 0, 0, Smoke::mf_const, 522, 11},	//542 KComponentData::config() const
    {18, 833, 0, 0, Smoke::mf_const, 459, 12},	//543 KComponentData::aboutData() const
    {18, 2506, 12, 1, 0, 0, 13},	//544 KComponentData::setAboutData(const KAboutData&)
    {18, 1172, 0, 0, Smoke::mf_const, 352, 14},	//545 KComponentData::componentName() const
    {18, 1120, 0, 0, Smoke::mf_const, 352, 15},	//546 KComponentData::catalogName() const
    {18, 2557, 30, 1, Smoke::mf_protected, 0, 16},	//547 KComponentData::setConfigName(const QString&)
    {18, 319, 32, 1, Smoke::mf_ctor, 42, 17},	//548 KComponentData::KComponentData(const QByteArray&)
    {18, 319, 442, 2, Smoke::mf_ctor, 42, 18},	//549 KComponentData::KComponentData(const QByteArray&, const QByteArray&)
    {18, 319, 12, 1, Smoke::mf_ctor, 42, 19},	//550 KComponentData::KComponentData(const KAboutData&)
    {18, 319, 372, 1, Smoke::mf_ctor, 42, 20},	//551 KComponentData::KComponentData(const KAboutData*)
    {18, 694, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 21},	//552 KComponentData::RegisterAsMainComponent (enum)
    {18, 718, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 22},	//553 KComponentData::SkipMainComponentRegistration (enum)
    {18, 3374, 0, 0, Smoke::mf_dtor, 0, 23 },	//554 KComponentData::~KComponentData()
    {19, 2070, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 584, 1},	//555 KCompositeJob::metaObject() const
    {19, 2311, 122, 1, Smoke::mf_virtual, 638, 2},	//556 KCompositeJob::qt_metacast(const char*)
    {19, 3141, 124, 2, Smoke::mf_static, 352, 3},	//557 KCompositeJob::tr(const char*, const char*)
    {19, 3148, 124, 2, Smoke::mf_static, 352, 4},	//558 KCompositeJob::trUtf8(const char*, const char*)
    {19, 3141, 127, 3, Smoke::mf_static, 352, 5},	//559 KCompositeJob::tr(const char*, const char*, int)
    {19, 3148, 127, 3, Smoke::mf_static, 352, 6},	//560 KCompositeJob::trUtf8(const char*, const char*, int)
    {19, 2309, 131, 3, Smoke::mf_virtual, 615, 7},	//561 KCompositeJob::qt_metacall(QMetaObject::Call, int, void**)
    {19, 324, 146, 1, Smoke::mf_ctor, 44, 8},	//562 KCompositeJob::KCompositeJob(QObject*)
    {19, 989, 445, 1, Smoke::mf_protected|Smoke::mf_virtual, 452, 9},	//563 KCompositeJob::addSubjob(KJob*)
    {19, 2434, 445, 1, Smoke::mf_protected|Smoke::mf_virtual, 452, 10},	//564 KCompositeJob::removeSubjob(KJob*)
    {19, 1705, 0, 0, Smoke::mf_protected, 452, 11},	//565 KCompositeJob::hasSubjobs()
    {19, 3054, 0, 0, Smoke::mf_const|Smoke::mf_protected, 572, 12},	//566 KCompositeJob::subjobs() const
    {19, 1155, 0, 0, Smoke::mf_protected, 0, 13},	//567 KCompositeJob::clearSubjobs()
    {19, 2960, 445, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 14},	//568 KCompositeJob::slotResult(KJob*)
    {19, 2958, 447, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 15},	//569 KCompositeJob::slotInfoMessage(KJob*, const QString&, const QString&)
    {19, 324, 451, 2, Smoke::mf_ctor|Smoke::mf_protected, 44, 16},	//570 KCompositeJob::KCompositeJob(KCompositeJobPrivate&, QObject*)
    {19, 3141, 122, 1, Smoke::mf_static, 352, 17},	//571 KCompositeJob::tr(const char*)
    {19, 3148, 122, 1, Smoke::mf_static, 352, 18},	//572 KCompositeJob::trUtf8(const char*)
    {19, 324, 0, 0, Smoke::mf_ctor, 44, 19},	//573 KCompositeJob::KCompositeJob()
    {19, 3040, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 583, 20},	//574 KCompositeJob::staticMetaObject() const
    {19, 3375, 0, 0, Smoke::mf_dtor, 0, 21 },	//575 KCompositeJob::~KCompositeJob()
    {21, 327, 454, 3, Smoke::mf_ctor, 46, 1},	//576 KConfig::KConfig(const QString&, QFlags<KConfig::OpenFlag>, const char*)
    {21, 327, 458, 4, Smoke::mf_ctor, 46, 2},	//577 KConfig::KConfig(const KComponentData&, const QString&, QFlags<KConfig::OpenFlag>, const char*)
    {21, 327, 463, 3, Smoke::mf_ctor, 46, 3},	//578 KConfig::KConfig(const QString&, const QString&, const char*)
    {21, 1171, 0, 0, Smoke::mf_const, 469, 4},	//579 KConfig::componentData() const
    {21, 2112, 0, 0, Smoke::mf_const, 352, 5},	//580 KConfig::name() const
    {21, 3079, 0, 0, Smoke::mf_virtual, 0, 6},	//581 KConfig::sync()
    {21, 1810, 0, 0, Smoke::mf_const, 452, 7},	//582 KConfig::isDirty() const
    {21, 2056, 0, 0, Smoke::mf_virtual, 0, 8},	//583 KConfig::markAsClean()
    {21, 839, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 49, 9},	//584 KConfig::accessMode() const
    {21, 1800, 103, 1, 0, 452, 10},	//585 KConfig::isConfigWritable(bool)
    {21, 1200, 467, 2, Smoke::mf_const, 46, 11},	//586 KConfig::copyTo(const QString&, KConfig*) const
    {21, 1138, 95, 2, 0, 0, 12},	//587 KConfig::checkUpdate(const QString&, const QString&)
    {21, 2441, 0, 0, 0, 0, 13},	//588 KConfig::reparseConfiguration()
    {21, 865, 141, 1, 0, 0, 14},	//589 KConfig::addConfigSources(const QStringList&)
    {21, 1997, 0, 0, Smoke::mf_const, 352, 15},	//590 KConfig::locale() const
    {21, 2702, 30, 1, 0, 452, 16},	//591 KConfig::setLocale(const QString&)
    {21, 2859, 103, 1, 0, 0, 17},	//592 KConfig::setReadDefaults(bool)
    {21, 2355, 0, 0, Smoke::mf_const, 452, 18},	//593 KConfig::readDefaults() const
    {21, 1834, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 452, 19},	//594 KConfig::isImmutable() const
    {21, 2654, 103, 1, 0, 0, 20},	//595 KConfig::setForceGlobal(bool)
    {21, 1579, 0, 0, Smoke::mf_const, 452, 21},	//596 KConfig::forceGlobal() const
    {21, 1665, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 355, 22},	//597 KConfig::groupList() const
    {21, 1427, 30, 1, Smoke::mf_const, 340, 23},	//598 KConfig::entryMap(const QString&) const
    {21, 1679, 32, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 452, 24},	//599 KConfig::hasGroupImpl(const QByteArray&) const
    {21, 1663, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 51, 25},	//600 KConfig::groupImpl(const QByteArray&)
    {21, 1663, 32, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 473, 26},	//601 KConfig::groupImpl(const QByteArray&) const
    {21, 1347, 470, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 27},	//602 KConfig::deleteGroupImpl(const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>)
    {21, 1828, 32, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 452, 28},	//603 KConfig::isGroupImmutableImpl(const QByteArray&) const
    {21, 327, 473, 1, Smoke::mf_ctor|Smoke::mf_protected, 46, 29},	//604 KConfig::KConfig(KConfigPrivate&)
    {21, 327, 0, 0, Smoke::mf_ctor, 46, 30},	//605 KConfig::KConfig()
    {21, 327, 30, 1, Smoke::mf_ctor, 46, 31},	//606 KConfig::KConfig(const QString&)
    {21, 327, 475, 2, Smoke::mf_ctor, 46, 32},	//607 KConfig::KConfig(const QString&, QFlags<KConfig::OpenFlag>)
    {21, 327, 430, 1, Smoke::mf_ctor, 46, 33},	//608 KConfig::KConfig(const KComponentData&)
    {21, 327, 478, 2, Smoke::mf_ctor, 46, 34},	//609 KConfig::KConfig(const KComponentData&, const QString&)
    {21, 327, 481, 3, Smoke::mf_ctor, 46, 35},	//610 KConfig::KConfig(const KComponentData&, const QString&, QFlags<KConfig::OpenFlag>)
    {21, 327, 95, 2, Smoke::mf_ctor, 46, 36},	//611 KConfig::KConfig(const QString&, const QString&)
    {21, 1200, 30, 1, Smoke::mf_const, 46, 37},	//612 KConfig::copyTo(const QString&) const
    {21, 1427, 0, 0, Smoke::mf_const, 340, 38},	//613 KConfig::entryMap() const
    {21, 1347, 32, 1, Smoke::mf_protected, 0, 39},	//614 KConfig::deleteGroupImpl(const QByteArray&)
    {21, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 40},	//615 KConfig::IncludeGlobals (enum)
    {21, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 41},	//616 KConfig::CascadeConfig (enum)
    {21, 715, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 42},	//617 KConfig::SimpleConfig (enum)
    {21, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 43},	//618 KConfig::NoCascade (enum)
    {21, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 44},	//619 KConfig::NoGlobals (enum)
    {21, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 45},	//620 KConfig::FullConfig (enum)
    {21, 3376, 0, 0, Smoke::mf_dtor, 0, 46 },	//621 KConfig::~KConfig()
    {22, 1665, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 355, 1},	//622 KConfigBase::groupList() const [pure virtual]
    {22, 1676, 30, 1, Smoke::mf_const, 452, 2},	//623 KConfigBase::hasGroup(const QString&) const
    {22, 1676, 122, 1, Smoke::mf_const, 452, 3},	//624 KConfigBase::hasGroup(const char*) const
    {22, 1676, 32, 1, Smoke::mf_const, 452, 4},	//625 KConfigBase::hasGroup(const QByteArray&) const
    {22, 1658, 32, 1, 0, 51, 5},	//626 KConfigBase::group(const QByteArray&)
    {22, 1658, 30, 1, 0, 51, 6},	//627 KConfigBase::group(const QString&)
    {22, 1658, 122, 1, 0, 51, 7},	//628 KConfigBase::group(const char*)
    {22, 1658, 32, 1, Smoke::mf_const, 473, 8},	//629 KConfigBase::group(const QByteArray&) const
    {22, 1658, 30, 1, Smoke::mf_const, 473, 9},	//630 KConfigBase::group(const QString&) const
    {22, 1658, 122, 1, Smoke::mf_const, 473, 10},	//631 KConfigBase::group(const char*) const
    {22, 1342, 470, 2, 0, 0, 11},	//632 KConfigBase::deleteGroup(const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 1342, 485, 2, 0, 0, 12},	//633 KConfigBase::deleteGroup(const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 1342, 488, 2, 0, 0, 13},	//634 KConfigBase::deleteGroup(const char*, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3079, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 14},	//635 KConfigBase::sync() [pure virtual]
    {22, 2056, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 15},	//636 KConfigBase::markAsClean() [pure virtual]
    {22, 839, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 49, 16},	//637 KConfigBase::accessMode() const [pure virtual]
    {22, 1834, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 452, 17},	//638 KConfigBase::isImmutable() const [pure virtual]
    {22, 1825, 32, 1, Smoke::mf_const, 452, 18},	//639 KConfigBase::isGroupImmutable(const QByteArray&) const
    {22, 1825, 30, 1, Smoke::mf_const, 452, 19},	//640 KConfigBase::isGroupImmutable(const QString&) const
    {22, 1825, 122, 1, Smoke::mf_const, 452, 20},	//641 KConfigBase::isGroupImmutable(const char*) const
    {22, 335, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 48, 21},	//642 KConfigBase::KConfigBase()
    {22, 1679, 32, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 452, 22},	//643 KConfigBase::hasGroupImpl(const QByteArray&) const [pure virtual]
    {22, 1663, 32, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 51, 23},	//644 KConfigBase::groupImpl(const QByteArray&) [pure virtual]
    {22, 1663, 32, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 473, 24},	//645 KConfigBase::groupImpl(const QByteArray&) const [pure virtual]
    {22, 1347, 470, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 25},	//646 KConfigBase::deleteGroupImpl(const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>) [pure virtual]
    {22, 1828, 32, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 452, 26},	//647 KConfigBase::isGroupImmutableImpl(const QByteArray&) const [pure virtual]
    {22, 335, 491, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 48, 27},	//648 KConfigBase::KConfigBase(const KConfigBase&)
    {22, 1342, 32, 1, 0, 0, 28},	//649 KConfigBase::deleteGroup(const QByteArray&)
    {22, 1342, 30, 1, 0, 0, 29},	//650 KConfigBase::deleteGroup(const QString&)
    {22, 1342, 122, 1, 0, 0, 30},	//651 KConfigBase::deleteGroup(const char*)
    {22, 1347, 32, 1, Smoke::mf_protected, 0, 31},	//652 KConfigBase::deleteGroupImpl(const QByteArray&)
    {22, 661, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 32},	//653 KConfigBase::Persistent (enum)
    {22, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 33},	//654 KConfigBase::Global (enum)
    {22, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 34},	//655 KConfigBase::Localized (enum)
    {22, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 35},	//656 KConfigBase::Normal (enum)
    {22, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 36},	//657 KConfigBase::NoAccess (enum)
    {22, 688, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 37},	//658 KConfigBase::ReadOnly (enum)
    {22, 692, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 38},	//659 KConfigBase::ReadWrite (enum)
    {22, 3377, 0, 0, Smoke::mf_dtor, 0, 39 },	//660 KConfigBase::~KConfigBase()
    {23, 337, 0, 0, Smoke::mf_ctor, 53, 1},	//661 KConfigGroup::KConfigGroup()
    {23, 337, 493, 2, Smoke::mf_ctor, 53, 2},	//662 KConfigGroup::KConfigGroup(KConfigBase*, const QString&)
    {23, 337, 496, 2, Smoke::mf_ctor, 53, 3},	//663 KConfigGroup::KConfigGroup(KConfigBase*, const char*)
    {23, 337, 499, 2, Smoke::mf_ctor, 53, 4},	//664 KConfigGroup::KConfigGroup(const KConfigBase*, const QString&)
    {23, 337, 502, 2, Smoke::mf_ctor, 53, 5},	//665 KConfigGroup::KConfigGroup(const KConfigBase*, const char*)
    {23, 337, 505, 2, Smoke::mf_ctor, 53, 6},	//666 KConfigGroup::KConfigGroup(const KSharedPtr<KSharedConfig>&, const QString&)
    {23, 337, 508, 2, Smoke::mf_ctor, 53, 7},	//667 KConfigGroup::KConfigGroup(const KSharedPtr<KSharedConfig>&, const char*)
    {23, 337, 511, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 53, 8},	//668 KConfigGroup::KConfigGroup(const KConfigGroup&)
    {23, 2192, 511, 1, 0, 52, 9},	//669 KConfigGroup::operator=(const KConfigGroup&)
    {23, 1881, 0, 0, Smoke::mf_const, 452, 10},	//670 KConfigGroup::isValid() const
    {23, 2112, 0, 0, Smoke::mf_const, 352, 11},	//671 KConfigGroup::name() const
    {23, 1469, 0, 0, Smoke::mf_const, 452, 12},	//672 KConfigGroup::exists() const
    {23, 3079, 0, 0, Smoke::mf_virtual, 0, 13},	//673 KConfigGroup::sync()
    {23, 2056, 0, 0, Smoke::mf_virtual, 0, 14},	//674 KConfigGroup::markAsClean()
    {23, 839, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 49, 15},	//675 KConfigGroup::accessMode() const
    {23, 1176, 0, 0, 0, 46, 16},	//676 KConfigGroup::config()
    {23, 1176, 0, 0, Smoke::mf_const, 470, 17},	//677 KConfigGroup::config() const
    {23, 1125, 30, 1, 0, 0, 18},	//678 KConfigGroup::changeGroup(const QString&)
    {23, 1125, 122, 1, 0, 0, 19},	//679 KConfigGroup::changeGroup(const char*)
    {23, 1200, 513, 2, Smoke::mf_const, 0, 20},	//680 KConfigGroup::copyTo(KConfigBase*, QFlags<KConfigBase::WriteConfigFlag>) const
    {23, 2438, 513, 2, 0, 0, 21},	//681 KConfigGroup::reparent(KConfigBase*, QFlags<KConfigBase::WriteConfigFlag>)
    {23, 2222, 0, 0, Smoke::mf_const, 51, 22},	//682 KConfigGroup::parent() const
    {23, 1665, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 355, 23},	//683 KConfigGroup::groupList() const
    {23, 1935, 0, 0, Smoke::mf_const, 355, 24},	//684 KConfigGroup::keyList() const
    {23, 1342, 516, 1, 0, 0, 25},	//685 KConfigGroup::deleteGroup(QFlags<KConfigBase::WriteConfigFlag>)
    {23, 1342, 470, 2, 0, 0, 26},	//686 KConfigGroup::deleteGroup(const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>)
    {23, 1342, 485, 2, 0, 0, 27},	//687 KConfigGroup::deleteGroup(const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    {23, 1342, 488, 2, 0, 0, 28},	//688 KConfigGroup::deleteGroup(const char*, QFlags<KConfigBase::WriteConfigFlag>)
    {23, 2358, 100, 2, Smoke::mf_const, 365, 29},	//689 KConfigGroup::readEntry(const QString&, const QVariant&) const
    {23, 2358, 518, 2, Smoke::mf_const, 365, 30},	//690 KConfigGroup::readEntry(const char*, const QVariant&) const
    {23, 2358, 95, 2, Smoke::mf_const, 352, 31},	//691 KConfigGroup::readEntry(const QString&, const QString&) const
    {23, 2358, 521, 2, Smoke::mf_const, 352, 32},	//692 KConfigGroup::readEntry(const char*, const QString&) const
    {23, 2358, 524, 2, Smoke::mf_const, 352, 33},	//693 KConfigGroup::readEntry(const QString&, const char*) const
    {23, 2358, 124, 2, Smoke::mf_const, 352, 34},	//694 KConfigGroup::readEntry(const char*, const char*) const
    {23, 2358, 527, 2, Smoke::mf_const, 337, 35},	//695 KConfigGroup::readEntry(const QString&, const QList<QVariant>&) const
    {23, 2358, 530, 2, Smoke::mf_const, 337, 36},	//696 KConfigGroup::readEntry(const char*, const QList<QVariant>&) const
    {23, 2358, 533, 2, Smoke::mf_const, 355, 37},	//697 KConfigGroup::readEntry(const QString&, const QStringList&) const
    {23, 2358, 536, 2, Smoke::mf_const, 355, 38},	//698 KConfigGroup::readEntry(const char*, const QStringList&) const
    {23, 2395, 533, 2, Smoke::mf_const, 355, 39},	//699 KConfigGroup::readXdgListEntry(const QString&, const QStringList&) const
    {23, 2395, 536, 2, Smoke::mf_const, 355, 40},	//700 KConfigGroup::readXdgListEntry(const char*, const QStringList&) const
    {23, 2386, 95, 2, Smoke::mf_const, 352, 41},	//701 KConfigGroup::readPathEntry(const QString&, const QString&) const
    {23, 2386, 521, 2, Smoke::mf_const, 352, 42},	//702 KConfigGroup::readPathEntry(const char*, const QString&) const
    {23, 2386, 533, 2, Smoke::mf_const, 355, 43},	//703 KConfigGroup::readPathEntry(const QString&, const QStringList&) const
    {23, 2386, 536, 2, Smoke::mf_const, 355, 44},	//704 KConfigGroup::readPathEntry(const char*, const QStringList&) const
    {23, 2363, 95, 2, Smoke::mf_const, 352, 45},	//705 KConfigGroup::readEntryUntranslated(const QString&, const QString&) const
    {23, 2363, 521, 2, Smoke::mf_const, 352, 46},	//706 KConfigGroup::readEntryUntranslated(const char*, const QString&) const
    {23, 3302, 539, 3, 0, 0, 47},	//707 KConfigGroup::writeEntry(const QString&, const QVariant&, QFlags<KConfigBase::WriteConfigFlag>)
    {23, 3302, 543, 3, 0, 0, 48},	//708 KConfigGroup::writeEntry(const char*, const QVariant&, QFlags<KConfigBase::WriteConfigFlag>)
    {23, 3302, 547, 3, 0, 0, 49},	//709 KConfigGroup::writeEntry(const QString&, const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    {23, 3302, 551, 3, 0, 0, 50},	//710 KConfigGroup::writeEntry(const char*, const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    {23, 3302, 555, 3, 0, 0, 51},	//711 KConfigGroup::writeEntry(const QString&, const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>)
    {23, 3302, 559, 3, 0, 0, 52},	//712 KConfigGroup::writeEntry(const char*, const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>)
    {23, 3302, 563, 3, 0, 0, 53},	//713 KConfigGroup::writeEntry(const QString&, const char*, QFlags<KConfigBase::WriteConfigFlag>)
    {23, 3302, 567, 3, 0, 0, 54},	//714 KConfigGroup::writeEntry(const char*, const char*, QFlags<KConfigBase::WriteConfigFlag>)
    {23, 3302, 571, 3, 0, 0, 55},	//715 KConfigGroup::writeEntry(const QString&, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    {23, 3302, 575, 3, 0, 0, 56},	//716 KConfigGroup::writeEntry(const char*, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    {23, 3302, 579, 3, 0, 0, 57},	//717 KConfigGroup::writeEntry(const QString&, const QList<QVariant>&, QFlags<KConfigBase::WriteConfigFlag>)
    {23, 3302, 583, 3, 0, 0, 58},	//718 KConfigGroup::writeEntry(const char*, const QList<QVariant>&, QFlags<KConfigBase::WriteConfigFlag>)
    {23, 3316, 571, 3, 0, 0, 59},	//719 KConfigGroup::writeXdgListEntry(const QString&, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    {23, 3316, 575, 3, 0, 0, 60},	//720 KConfigGroup::writeXdgListEntry(const char*, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    {23, 3311, 547, 3, 0, 0, 61},	//721 KConfigGroup::writePathEntry(const QString&, const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    {23, 3311, 551, 3, 0, 0, 62},	//722 KConfigGroup::writePathEntry(const char*, const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    {23, 3311, 571, 3, 0, 0, 63},	//723 KConfigGroup::writePathEntry(const QString&, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    {23, 3311, 575, 3, 0, 0, 64},	//724 KConfigGroup::writePathEntry(const char*, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    {23, 1339, 485, 2, 0, 0, 65},	//725 KConfigGroup::deleteEntry(const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    {23, 1339, 488, 2, 0, 0, 66},	//726 KConfigGroup::deleteEntry(const char*, QFlags<KConfigBase::WriteConfigFlag>)
    {23, 1684, 30, 1, Smoke::mf_const, 452, 67},	//727 KConfigGroup::hasKey(const QString&) const
    {23, 1684, 122, 1, Smoke::mf_const, 452, 68},	//728 KConfigGroup::hasKey(const char*) const
    {23, 1834, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 452, 69},	//729 KConfigGroup::isImmutable() const
    {23, 1818, 30, 1, Smoke::mf_const, 452, 70},	//730 KConfigGroup::isEntryImmutable(const QString&) const
    {23, 1818, 122, 1, Smoke::mf_const, 452, 71},	//731 KConfigGroup::isEntryImmutable(const char*) const
    {23, 2464, 30, 1, 0, 0, 72},	//732 KConfigGroup::revertToDefault(const QString&)
    {23, 2464, 122, 1, 0, 0, 73},	//733 KConfigGroup::revertToDefault(const char*)
    {23, 1673, 30, 1, Smoke::mf_const, 452, 74},	//734 KConfigGroup::hasDefault(const QString&) const
    {23, 1673, 122, 1, Smoke::mf_const, 452, 75},	//735 KConfigGroup::hasDefault(const char*) const
    {23, 1427, 0, 0, Smoke::mf_const, 340, 76},	//736 KConfigGroup::entryMap() const
    {23, 1710, 122, 1, Smoke::mf_const, 452, 77},	//737 KConfigGroup::hasTranslatedKey(const char*) const
    {23, 1679, 32, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 452, 78},	//738 KConfigGroup::hasGroupImpl(const QByteArray&) const
    {23, 1663, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 51, 79},	//739 KConfigGroup::groupImpl(const QByteArray&)
    {23, 1663, 32, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 473, 80},	//740 KConfigGroup::groupImpl(const QByteArray&) const
    {23, 1347, 470, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 81},	//741 KConfigGroup::deleteGroupImpl(const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>)
    {23, 1828, 32, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 452, 82},	//742 KConfigGroup::isGroupImmutableImpl(const QByteArray&) const
    {23, 1200, 587, 1, Smoke::mf_const, 0, 83},	//743 KConfigGroup::copyTo(KConfigBase*) const
    {23, 2438, 587, 1, 0, 0, 84},	//744 KConfigGroup::reparent(KConfigBase*)
    {23, 1342, 0, 0, 0, 0, 85},	//745 KConfigGroup::deleteGroup()
    {23, 1342, 32, 1, 0, 0, 86},	//746 KConfigGroup::deleteGroup(const QByteArray&)
    {23, 1342, 30, 1, 0, 0, 87},	//747 KConfigGroup::deleteGroup(const QString&)
    {23, 1342, 122, 1, 0, 0, 88},	//748 KConfigGroup::deleteGroup(const char*)
    {23, 2358, 30, 1, Smoke::mf_const, 352, 89},	//749 KConfigGroup::readEntry(const QString&) const
    {23, 2358, 122, 1, Smoke::mf_const, 352, 90},	//750 KConfigGroup::readEntry(const char*) const
    {23, 2395, 30, 1, Smoke::mf_const, 355, 91},	//751 KConfigGroup::readXdgListEntry(const QString&) const
    {23, 2395, 122, 1, Smoke::mf_const, 355, 92},	//752 KConfigGroup::readXdgListEntry(const char*) const
    {23, 2363, 30, 1, Smoke::mf_const, 352, 93},	//753 KConfigGroup::readEntryUntranslated(const QString&) const
    {23, 2363, 122, 1, Smoke::mf_const, 352, 94},	//754 KConfigGroup::readEntryUntranslated(const char*) const
    {23, 3302, 100, 2, 0, 0, 95},	//755 KConfigGroup::writeEntry(const QString&, const QVariant&)
    {23, 3302, 518, 2, 0, 0, 96},	//756 KConfigGroup::writeEntry(const char*, const QVariant&)
    {23, 3302, 95, 2, 0, 0, 97},	//757 KConfigGroup::writeEntry(const QString&, const QString&)
    {23, 3302, 521, 2, 0, 0, 98},	//758 KConfigGroup::writeEntry(const char*, const QString&)
    {23, 3302, 589, 2, 0, 0, 99},	//759 KConfigGroup::writeEntry(const QString&, const QByteArray&)
    {23, 3302, 592, 2, 0, 0, 100},	//760 KConfigGroup::writeEntry(const char*, const QByteArray&)
    {23, 3302, 524, 2, 0, 0, 101},	//761 KConfigGroup::writeEntry(const QString&, const char*)
    {23, 3302, 124, 2, 0, 0, 102},	//762 KConfigGroup::writeEntry(const char*, const char*)
    {23, 3302, 533, 2, 0, 0, 103},	//763 KConfigGroup::writeEntry(const QString&, const QStringList&)
    {23, 3302, 536, 2, 0, 0, 104},	//764 KConfigGroup::writeEntry(const char*, const QStringList&)
    {23, 3302, 527, 2, 0, 0, 105},	//765 KConfigGroup::writeEntry(const QString&, const QList<QVariant>&)
    {23, 3302, 530, 2, 0, 0, 106},	//766 KConfigGroup::writeEntry(const char*, const QList<QVariant>&)
    {23, 3316, 533, 2, 0, 0, 107},	//767 KConfigGroup::writeXdgListEntry(const QString&, const QStringList&)
    {23, 3316, 536, 2, 0, 0, 108},	//768 KConfigGroup::writeXdgListEntry(const char*, const QStringList&)
    {23, 3311, 95, 2, 0, 0, 109},	//769 KConfigGroup::writePathEntry(const QString&, const QString&)
    {23, 3311, 521, 2, 0, 0, 110},	//770 KConfigGroup::writePathEntry(const char*, const QString&)
    {23, 3311, 533, 2, 0, 0, 111},	//771 KConfigGroup::writePathEntry(const QString&, const QStringList&)
    {23, 3311, 536, 2, 0, 0, 112},	//772 KConfigGroup::writePathEntry(const char*, const QStringList&)
    {23, 1339, 30, 1, 0, 0, 113},	//773 KConfigGroup::deleteEntry(const QString&)
    {23, 1339, 122, 1, 0, 0, 114},	//774 KConfigGroup::deleteEntry(const char*)
    {23, 3378, 0, 0, Smoke::mf_dtor, 0, 115 },	//775 KConfigGroup::~KConfigGroup()
    {25, 341, 95, 2, Smoke::mf_ctor, 55, 1},	//776 KConfigSkeletonItem::KConfigSkeletonItem(const QString&, const QString&)
    {25, 2660, 30, 1, 0, 0, 2},	//777 KConfigSkeletonItem::setGroup(const QString&)
    {25, 1658, 0, 0, Smoke::mf_const, 352, 3},	//778 KConfigSkeletonItem::group() const
    {25, 2680, 30, 1, 0, 0, 4},	//779 KConfigSkeletonItem::setKey(const QString&)
    {25, 1934, 0, 0, Smoke::mf_const, 352, 5},	//780 KConfigSkeletonItem::key() const
    {25, 2792, 30, 1, 0, 0, 6},	//781 KConfigSkeletonItem::setName(const QString&)
    {25, 2112, 0, 0, Smoke::mf_const, 352, 7},	//782 KConfigSkeletonItem::name() const
    {25, 2682, 30, 1, 0, 0, 8},	//783 KConfigSkeletonItem::setLabel(const QString&)
    {25, 1953, 0, 0, Smoke::mf_const, 352, 9},	//784 KConfigSkeletonItem::label() const
    {25, 2906, 30, 1, 0, 0, 10},	//785 KConfigSkeletonItem::setToolTip(const QString&)
    {25, 3137, 0, 0, Smoke::mf_const, 352, 11},	//786 KConfigSkeletonItem::toolTip() const
    {25, 2932, 30, 1, 0, 0, 12},	//787 KConfigSkeletonItem::setWhatsThis(const QString&)
    {25, 3291, 0, 0, Smoke::mf_const, 352, 13},	//788 KConfigSkeletonItem::whatsThis() const
    {25, 2344, 595, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 14},	//789 KConfigSkeletonItem::readConfig(KConfig*) [pure virtual]
    {25, 3298, 595, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 15},	//790 KConfigSkeletonItem::writeConfig(KConfig*) [pure virtual]
    {25, 2353, 595, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 16},	//791 KConfigSkeletonItem::readDefault(KConfig*) [pure virtual]
    {25, 2853, 34, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 17},	//792 KConfigSkeletonItem::setProperty(const QVariant&) [pure virtual]
    {25, 1820, 34, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 452, 18},	//793 KConfigSkeletonItem::isEqual(const QVariant&) const [pure virtual]
    {25, 2287, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 365, 19},	//794 KConfigSkeletonItem::property() const [pure virtual]
    {25, 2075, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 365, 20},	//795 KConfigSkeletonItem::minValue() const
    {25, 2064, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 365, 21},	//796 KConfigSkeletonItem::maxValue() const
    {25, 2604, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 22},	//797 KConfigSkeletonItem::setDefault() [pure virtual]
    {25, 3076, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 23},	//798 KConfigSkeletonItem::swapDefault() [pure virtual]
    {25, 1834, 0, 0, Smoke::mf_const, 452, 24},	//799 KConfigSkeletonItem::isImmutable() const
    {25, 2370, 511, 1, Smoke::mf_protected, 0, 25},	//800 KConfigSkeletonItem::readImmutability(const KConfigGroup&)
    {25, 341, 597, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 55, 26},	//801 KConfigSkeletonItem::KConfigSkeletonItem(const KConfigSkeletonItem&)
    {25, 2020, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 353, 27},	//802 KConfigSkeletonItem::mGroup() const
    {25, 2706, 30, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 28},	//803 KConfigSkeletonItem::setMGroup(const QString&)
    {25, 2021, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 353, 29},	//804 KConfigSkeletonItem::mKey() const
    {25, 2708, 30, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 30},	//805 KConfigSkeletonItem::setMKey(const QString&)
    {25, 2022, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 353, 31},	//806 KConfigSkeletonItem::mName() const
    {25, 2710, 30, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 32},	//807 KConfigSkeletonItem::setMName(const QString&)
    {25, 3379, 0, 0, Smoke::mf_dtor, 0, 33 },	//808 KConfigSkeletonItem::~KConfigSkeletonItem()
    {26, 2070, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 584, 1},	//809 KCoreConfigSkeleton::metaObject() const
    {26, 2311, 122, 1, Smoke::mf_virtual, 638, 2},	//810 KCoreConfigSkeleton::qt_metacast(const char*)
    {26, 3141, 124, 2, Smoke::mf_static, 352, 3},	//811 KCoreConfigSkeleton::tr(const char*, const char*)
    {26, 3148, 124, 2, Smoke::mf_static, 352, 4},	//812 KCoreConfigSkeleton::trUtf8(const char*, const char*)
    {26, 3141, 127, 3, Smoke::mf_static, 352, 5},	//813 KCoreConfigSkeleton::tr(const char*, const char*, int)
    {26, 3148, 127, 3, Smoke::mf_static, 352, 6},	//814 KCoreConfigSkeleton::trUtf8(const char*, const char*, int)
    {26, 2309, 131, 3, Smoke::mf_virtual, 615, 7},	//815 KCoreConfigSkeleton::qt_metacall(QMetaObject::Call, int, void**)
    {26, 344, 155, 2, Smoke::mf_ctor, 56, 8},	//816 KCoreConfigSkeleton::KCoreConfigSkeleton(const QString&, QObject*)
    {26, 344, 599, 2, Smoke::mf_ctor, 56, 9},	//817 KCoreConfigSkeleton::KCoreConfigSkeleton(KSharedPtr<KSharedConfig>, QObject*)
    {26, 2609, 0, 0, Smoke::mf_virtual, 0, 10},	//818 KCoreConfigSkeleton::setDefaults()
    {26, 2344, 0, 0, Smoke::mf_virtual, 0, 11},	//819 KCoreConfigSkeleton::readConfig()
    {26, 3298, 0, 0, Smoke::mf_virtual, 0, 12},	//820 KCoreConfigSkeleton::writeConfig()
    {26, 2569, 30, 1, 0, 0, 13},	//821 KCoreConfigSkeleton::setCurrentGroup(const QString&)
    {26, 1241, 0, 0, Smoke::mf_const, 352, 14},	//822 KCoreConfigSkeleton::currentGroup() const
    {26, 884, 602, 2, 0, 0, 15},	//823 KCoreConfigSkeleton::addItem(KConfigSkeletonItem*, const QString&)
    {26, 939, 605, 4, 0, 75, 16},	//824 KCoreConfigSkeleton::addItemString(const QString&, QString&, const QString&, const QString&)
    {26, 915, 605, 4, 0, 68, 17},	//825 KCoreConfigSkeleton::addItemPassword(const QString&, QString&, const QString&, const QString&)
    {26, 919, 605, 4, 0, 69, 18},	//826 KCoreConfigSkeleton::addItemPath(const QString&, QString&, const QString&, const QString&)
    {26, 927, 610, 4, 0, 72, 19},	//827 KCoreConfigSkeleton::addItemProperty(const QString&, QVariant&, const QVariant&, const QString&)
    {26, 887, 615, 4, 0, 57, 20},	//828 KCoreConfigSkeleton::addItemBool(const QString&, bool&, bool, const QString&)
    {26, 899, 620, 4, 0, 65, 21},	//829 KCoreConfigSkeleton::addItemInt(const QString&, int&, int, const QString&)
    {26, 947, 625, 4, 0, 78, 22},	//830 KCoreConfigSkeleton::addItemUInt(const QString&, unsigned int&, unsigned int, const QString&)
    {26, 911, 630, 4, 0, 67, 23},	//831 KCoreConfigSkeleton::addItemLongLong(const QString&, long long&, long long, const QString&)
    {26, 903, 630, 4, 0, 67, 24},	//832 KCoreConfigSkeleton::addItemInt64(const QString&, long long&, long long, const QString&)
    {26, 955, 635, 4, 0, 79, 25},	//833 KCoreConfigSkeleton::addItemULongLong(const QString&, unsigned long long&, unsigned long long, const QString&)
    {26, 951, 635, 4, 0, 79, 26},	//834 KCoreConfigSkeleton::addItemUInt64(const QString&, unsigned long long&, unsigned long long, const QString&)
    {26, 895, 640, 4, 0, 59, 27},	//835 KCoreConfigSkeleton::addItemDouble(const QString&, double&, double, const QString&)
    {26, 931, 645, 4, 0, 73, 28},	//836 KCoreConfigSkeleton::addItemRect(const QString&, QRect&, const QRect&, const QString&)
    {26, 923, 650, 4, 0, 71, 29},	//837 KCoreConfigSkeleton::addItemPoint(const QString&, QPoint&, const QPoint&, const QString&)
    {26, 935, 655, 4, 0, 74, 30},	//838 KCoreConfigSkeleton::addItemSize(const QString&, QSize&, const QSize&, const QString&)
    {26, 891, 660, 4, 0, 58, 31},	//839 KCoreConfigSkeleton::addItemDateTime(const QString&, QDateTime&, const QDateTime&, const QString&)
    {26, 943, 665, 4, 0, 77, 32},	//840 KCoreConfigSkeleton::addItemStringList(const QString&, QStringList&, const QStringList&, const QString&)
    {26, 907, 670, 4, 0, 66, 33},	//841 KCoreConfigSkeleton::addItemIntList(const QString&, QList<int>&, const QList<int>&, const QString&)
    {26, 1176, 0, 0, 0, 46, 34},	//842 KCoreConfigSkeleton::config()
    {26, 1176, 0, 0, Smoke::mf_const, 470, 35},	//843 KCoreConfigSkeleton::config() const
    {26, 2869, 675, 1, 0, 0, 36},	//844 KCoreConfigSkeleton::setSharedConfig(KSharedPtr<KSharedConfig>)
    {26, 1892, 0, 0, Smoke::mf_const, 315, 37},	//845 KCoreConfigSkeleton::items() const
    {26, 1834, 30, 1, 0, 452, 38},	//846 KCoreConfigSkeleton::isImmutable(const QString&)
    {26, 1834, 30, 1, Smoke::mf_const, 452, 39},	//847 KCoreConfigSkeleton::isImmutable(const QString&) const
    {26, 1557, 30, 1, 0, 55, 40},	//848 KCoreConfigSkeleton::findItem(const QString&)
    {26, 1557, 30, 1, Smoke::mf_const, 55, 41},	//849 KCoreConfigSkeleton::findItem(const QString&) const
    {26, 3216, 103, 1, Smoke::mf_virtual, 452, 42},	//850 KCoreConfigSkeleton::useDefaults(bool)
    {26, 1178, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//851 KCoreConfigSkeleton::configChanged()
    {26, 3227, 103, 1, Smoke::mf_protected|Smoke::mf_virtual, 452, 44},	//852 KCoreConfigSkeleton::usrUseDefaults(bool)
    {26, 3226, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 45},	//853 KCoreConfigSkeleton::usrSetDefaults()
    {26, 3225, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//854 KCoreConfigSkeleton::usrReadConfig()
    {26, 3229, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 47},	//855 KCoreConfigSkeleton::usrWriteConfig()
    {26, 3141, 122, 1, Smoke::mf_static, 352, 48},	//856 KCoreConfigSkeleton::tr(const char*)
    {26, 3148, 122, 1, Smoke::mf_static, 352, 49},	//857 KCoreConfigSkeleton::trUtf8(const char*)
    {26, 344, 0, 0, Smoke::mf_ctor, 56, 50},	//858 KCoreConfigSkeleton::KCoreConfigSkeleton()
    {26, 344, 30, 1, Smoke::mf_ctor, 56, 51},	//859 KCoreConfigSkeleton::KCoreConfigSkeleton(const QString&)
    {26, 344, 675, 1, Smoke::mf_ctor, 56, 52},	//860 KCoreConfigSkeleton::KCoreConfigSkeleton(KSharedPtr<KSharedConfig>)
    {26, 884, 677, 1, 0, 0, 53},	//861 KCoreConfigSkeleton::addItem(KConfigSkeletonItem*)
    {26, 939, 679, 2, 0, 75, 54},	//862 KCoreConfigSkeleton::addItemString(const QString&, QString&)
    {26, 939, 682, 3, 0, 75, 55},	//863 KCoreConfigSkeleton::addItemString(const QString&, QString&, const QString&)
    {26, 915, 679, 2, 0, 68, 56},	//864 KCoreConfigSkeleton::addItemPassword(const QString&, QString&)
    {26, 915, 682, 3, 0, 68, 57},	//865 KCoreConfigSkeleton::addItemPassword(const QString&, QString&, const QString&)
    {26, 919, 679, 2, 0, 69, 58},	//866 KCoreConfigSkeleton::addItemPath(const QString&, QString&)
    {26, 919, 682, 3, 0, 69, 59},	//867 KCoreConfigSkeleton::addItemPath(const QString&, QString&, const QString&)
    {26, 927, 686, 2, 0, 72, 60},	//868 KCoreConfigSkeleton::addItemProperty(const QString&, QVariant&)
    {26, 927, 689, 3, 0, 72, 61},	//869 KCoreConfigSkeleton::addItemProperty(const QString&, QVariant&, const QVariant&)
    {26, 887, 351, 2, 0, 57, 62},	//870 KCoreConfigSkeleton::addItemBool(const QString&, bool&)
    {26, 887, 693, 3, 0, 57, 63},	//871 KCoreConfigSkeleton::addItemBool(const QString&, bool&, bool)
    {26, 899, 260, 2, 0, 65, 64},	//872 KCoreConfigSkeleton::addItemInt(const QString&, int&)
    {26, 899, 697, 3, 0, 65, 65},	//873 KCoreConfigSkeleton::addItemInt(const QString&, int&, int)
    {26, 947, 701, 2, 0, 78, 66},	//874 KCoreConfigSkeleton::addItemUInt(const QString&, unsigned int&)
    {26, 947, 704, 3, 0, 78, 67},	//875 KCoreConfigSkeleton::addItemUInt(const QString&, unsigned int&, unsigned int)
    {26, 911, 708, 2, 0, 67, 68},	//876 KCoreConfigSkeleton::addItemLongLong(const QString&, long long&)
    {26, 911, 711, 3, 0, 67, 69},	//877 KCoreConfigSkeleton::addItemLongLong(const QString&, long long&, long long)
    {26, 903, 708, 2, 0, 67, 70},	//878 KCoreConfigSkeleton::addItemInt64(const QString&, long long&)
    {26, 903, 711, 3, 0, 67, 71},	//879 KCoreConfigSkeleton::addItemInt64(const QString&, long long&, long long)
    {26, 955, 715, 2, 0, 79, 72},	//880 KCoreConfigSkeleton::addItemULongLong(const QString&, unsigned long long&)
    {26, 955, 718, 3, 0, 79, 73},	//881 KCoreConfigSkeleton::addItemULongLong(const QString&, unsigned long long&, unsigned long long)
    {26, 951, 715, 2, 0, 79, 74},	//882 KCoreConfigSkeleton::addItemUInt64(const QString&, unsigned long long&)
    {26, 951, 718, 3, 0, 79, 75},	//883 KCoreConfigSkeleton::addItemUInt64(const QString&, unsigned long long&, unsigned long long)
    {26, 895, 722, 2, 0, 59, 76},	//884 KCoreConfigSkeleton::addItemDouble(const QString&, double&)
    {26, 895, 725, 3, 0, 59, 77},	//885 KCoreConfigSkeleton::addItemDouble(const QString&, double&, double)
    {26, 931, 729, 2, 0, 73, 78},	//886 KCoreConfigSkeleton::addItemRect(const QString&, QRect&)
    {26, 931, 732, 3, 0, 73, 79},	//887 KCoreConfigSkeleton::addItemRect(const QString&, QRect&, const QRect&)
    {26, 923, 736, 2, 0, 71, 80},	//888 KCoreConfigSkeleton::addItemPoint(const QString&, QPoint&)
    {26, 923, 739, 3, 0, 71, 81},	//889 KCoreConfigSkeleton::addItemPoint(const QString&, QPoint&, const QPoint&)
    {26, 935, 743, 2, 0, 74, 82},	//890 KCoreConfigSkeleton::addItemSize(const QString&, QSize&)
    {26, 935, 746, 3, 0, 74, 83},	//891 KCoreConfigSkeleton::addItemSize(const QString&, QSize&, const QSize&)
    {26, 891, 750, 2, 0, 58, 84},	//892 KCoreConfigSkeleton::addItemDateTime(const QString&, QDateTime&)
    {26, 891, 753, 3, 0, 58, 85},	//893 KCoreConfigSkeleton::addItemDateTime(const QString&, QDateTime&, const QDateTime&)
    {26, 943, 757, 2, 0, 77, 86},	//894 KCoreConfigSkeleton::addItemStringList(const QString&, QStringList&)
    {26, 943, 760, 3, 0, 77, 87},	//895 KCoreConfigSkeleton::addItemStringList(const QString&, QStringList&, const QStringList&)
    {26, 907, 764, 2, 0, 66, 88},	//896 KCoreConfigSkeleton::addItemIntList(const QString&, QList<int>&)
    {26, 907, 767, 3, 0, 66, 89},	//897 KCoreConfigSkeleton::addItemIntList(const QString&, QList<int>&, const QList<int>&)
    {26, 3040, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 583, 90},	//898 KCoreConfigSkeleton::staticMetaObject() const
    {26, 3380, 0, 0, Smoke::mf_dtor, 0, 91 },	//899 KCoreConfigSkeleton::~KCoreConfigSkeleton()
    {27, 193, 771, 4, Smoke::mf_ctor, 57, 1},	//900 KCoreConfigSkeleton::ItemBool::ItemBool(const QString&, const QString&, bool&, bool)
    {27, 2344, 595, 1, 0, 0, 2},	//901 KCoreConfigSkeleton::ItemBool::readConfig(KConfig*)
    {27, 2853, 34, 1, 0, 0, 3},	//902 KCoreConfigSkeleton::ItemBool::setProperty(const QVariant&)
    {27, 1820, 34, 1, Smoke::mf_const, 452, 4},	//903 KCoreConfigSkeleton::ItemBool::isEqual(const QVariant&) const
    {27, 2287, 0, 0, Smoke::mf_const, 365, 5},	//904 KCoreConfigSkeleton::ItemBool::property() const
    {27, 193, 776, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 57, 6},	//905 KCoreConfigSkeleton::ItemBool::ItemBool(const KCoreConfigSkeleton::ItemBool&)
    {27, 193, 778, 3, Smoke::mf_ctor, 57, 7},	//906 KCoreConfigSkeleton::ItemBool::ItemBool(const QString&, const QString&, bool&)
    {27, 3344, 0, 0, Smoke::mf_dtor, 0, 8 },	//907 KCoreConfigSkeleton::ItemBool::~ItemBool()
    {28, 197, 782, 4, Smoke::mf_ctor, 58, 1},	//908 KCoreConfigSkeleton::ItemDateTime::ItemDateTime(const QString&, const QString&, QDateTime&, const QDateTime&)
    {28, 2344, 595, 1, 0, 0, 2},	//909 KCoreConfigSkeleton::ItemDateTime::readConfig(KConfig*)
    {28, 2853, 34, 1, 0, 0, 3},	//910 KCoreConfigSkeleton::ItemDateTime::setProperty(const QVariant&)
    {28, 1820, 34, 1, Smoke::mf_const, 452, 4},	//911 KCoreConfigSkeleton::ItemDateTime::isEqual(const QVariant&) const
    {28, 2287, 0, 0, Smoke::mf_const, 365, 5},	//912 KCoreConfigSkeleton::ItemDateTime::property() const
    {28, 197, 787, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 58, 6},	//913 KCoreConfigSkeleton::ItemDateTime::ItemDateTime(const KCoreConfigSkeleton::ItemDateTime&)
    {28, 197, 789, 3, Smoke::mf_ctor, 58, 7},	//914 KCoreConfigSkeleton::ItemDateTime::ItemDateTime(const QString&, const QString&, QDateTime&)
    {28, 3345, 0, 0, Smoke::mf_dtor, 0, 8 },	//915 KCoreConfigSkeleton::ItemDateTime::~ItemDateTime()
    {29, 201, 793, 4, Smoke::mf_ctor, 59, 1},	//916 KCoreConfigSkeleton::ItemDouble::ItemDouble(const QString&, const QString&, double&, double)
    {29, 2344, 595, 1, 0, 0, 2},	//917 KCoreConfigSkeleton::ItemDouble::readConfig(KConfig*)
    {29, 2853, 34, 1, 0, 0, 3},	//918 KCoreConfigSkeleton::ItemDouble::setProperty(const QVariant&)
    {29, 1820, 34, 1, Smoke::mf_const, 452, 4},	//919 KCoreConfigSkeleton::ItemDouble::isEqual(const QVariant&) const
    {29, 2287, 0, 0, Smoke::mf_const, 365, 5},	//920 KCoreConfigSkeleton::ItemDouble::property() const
    {29, 2075, 0, 0, Smoke::mf_const, 365, 6},	//921 KCoreConfigSkeleton::ItemDouble::minValue() const
    {29, 2064, 0, 0, Smoke::mf_const, 365, 7},	//922 KCoreConfigSkeleton::ItemDouble::maxValue() const
    {29, 2780, 798, 1, 0, 0, 8},	//923 KCoreConfigSkeleton::ItemDouble::setMinValue(double)
    {29, 2772, 798, 1, 0, 0, 9},	//924 KCoreConfigSkeleton::ItemDouble::setMaxValue(double)
    {29, 201, 800, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 59, 10},	//925 KCoreConfigSkeleton::ItemDouble::ItemDouble(const KCoreConfigSkeleton::ItemDouble&)
    {29, 201, 802, 3, Smoke::mf_ctor, 59, 11},	//926 KCoreConfigSkeleton::ItemDouble::ItemDouble(const QString&, const QString&, double&)
    {29, 3346, 0, 0, Smoke::mf_dtor, 0, 12 },	//927 KCoreConfigSkeleton::ItemDouble::~ItemDouble()
    {30, 205, 806, 5, Smoke::mf_ctor, 60, 1},	//928 KCoreConfigSkeleton::ItemEnum::ItemEnum(const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice>&, int)
    {30, 205, 812, 5, Smoke::mf_ctor, 60, 2},	//929 KCoreConfigSkeleton::ItemEnum::ItemEnum(const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice2>&, int)
    {30, 1148, 0, 0, Smoke::mf_const, 317, 3},	//930 KCoreConfigSkeleton::ItemEnum::choices() const
    {30, 1149, 0, 0, Smoke::mf_const, 316, 4},	//931 KCoreConfigSkeleton::ItemEnum::choices2() const
    {30, 2344, 595, 1, 0, 0, 5},	//932 KCoreConfigSkeleton::ItemEnum::readConfig(KConfig*)
    {30, 3298, 595, 1, 0, 0, 6},	//933 KCoreConfigSkeleton::ItemEnum::writeConfig(KConfig*)
    {30, 205, 818, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 60, 7},	//934 KCoreConfigSkeleton::ItemEnum::ItemEnum(const KCoreConfigSkeleton::ItemEnum&)
    {30, 205, 820, 4, Smoke::mf_ctor, 60, 8},	//935 KCoreConfigSkeleton::ItemEnum::ItemEnum(const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice>&)
    {30, 205, 825, 4, Smoke::mf_ctor, 60, 9},	//936 KCoreConfigSkeleton::ItemEnum::ItemEnum(const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice2>&)
    {30, 3347, 0, 0, Smoke::mf_dtor, 0, 10 },	//937 KCoreConfigSkeleton::ItemEnum::~ItemEnum()
    {31, 56, 0, 0, Smoke::mf_ctor, 62, 1},	//938 KCoreConfigSkeleton::ItemEnum::Choice::Choice()
    {31, 56, 830, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 62, 2},	//939 KCoreConfigSkeleton::ItemEnum::Choice::Choice(const KCoreConfigSkeleton::ItemEnum::Choice&)
    {31, 2112, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 353, 3},	//940 KCoreConfigSkeleton::ItemEnum::Choice::name() const
    {31, 2792, 30, 1, Smoke::mf_attribute, 0, 4},	//941 KCoreConfigSkeleton::ItemEnum::Choice::setName(const QString&)
    {31, 1953, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 353, 5},	//942 KCoreConfigSkeleton::ItemEnum::Choice::label() const
    {31, 2682, 30, 1, Smoke::mf_attribute, 0, 6},	//943 KCoreConfigSkeleton::ItemEnum::Choice::setLabel(const QString&)
    {31, 3291, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 353, 7},	//944 KCoreConfigSkeleton::ItemEnum::Choice::whatsThis() const
    {31, 2932, 30, 1, Smoke::mf_attribute, 0, 8},	//945 KCoreConfigSkeleton::ItemEnum::Choice::setWhatsThis(const QString&)
    {31, 3341, 0, 0, Smoke::mf_dtor, 0, 9 },	//946 KCoreConfigSkeleton::ItemEnum::Choice::~Choice()
    {32, 58, 0, 0, Smoke::mf_ctor, 64, 1},	//947 KCoreConfigSkeleton::ItemEnum::Choice2::Choice2()
    {32, 58, 832, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 64, 2},	//948 KCoreConfigSkeleton::ItemEnum::Choice2::Choice2(const KCoreConfigSkeleton::ItemEnum::Choice2&)
    {32, 2112, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 353, 3},	//949 KCoreConfigSkeleton::ItemEnum::Choice2::name() const
    {32, 2792, 30, 1, Smoke::mf_attribute, 0, 4},	//950 KCoreConfigSkeleton::ItemEnum::Choice2::setName(const QString&)
    {32, 1953, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 353, 5},	//951 KCoreConfigSkeleton::ItemEnum::Choice2::label() const
    {32, 2682, 30, 1, Smoke::mf_attribute, 0, 6},	//952 KCoreConfigSkeleton::ItemEnum::Choice2::setLabel(const QString&)
    {32, 3137, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 353, 7},	//953 KCoreConfigSkeleton::ItemEnum::Choice2::toolTip() const
    {32, 2906, 30, 1, Smoke::mf_attribute, 0, 8},	//954 KCoreConfigSkeleton::ItemEnum::Choice2::setToolTip(const QString&)
    {32, 3291, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 353, 9},	//955 KCoreConfigSkeleton::ItemEnum::Choice2::whatsThis() const
    {32, 2932, 30, 1, Smoke::mf_attribute, 0, 10},	//956 KCoreConfigSkeleton::ItemEnum::Choice2::setWhatsThis(const QString&)
    {32, 3342, 0, 0, Smoke::mf_dtor, 0, 11 },	//957 KCoreConfigSkeleton::ItemEnum::Choice2::~Choice2()
    {33, 209, 834, 4, Smoke::mf_ctor, 65, 1},	//958 KCoreConfigSkeleton::ItemInt::ItemInt(const QString&, const QString&, int&, int)
    {33, 2344, 595, 1, 0, 0, 2},	//959 KCoreConfigSkeleton::ItemInt::readConfig(KConfig*)
    {33, 2853, 34, 1, 0, 0, 3},	//960 KCoreConfigSkeleton::ItemInt::setProperty(const QVariant&)
    {33, 1820, 34, 1, Smoke::mf_const, 452, 4},	//961 KCoreConfigSkeleton::ItemInt::isEqual(const QVariant&) const
    {33, 2287, 0, 0, Smoke::mf_const, 365, 5},	//962 KCoreConfigSkeleton::ItemInt::property() const
    {33, 2075, 0, 0, Smoke::mf_const, 365, 6},	//963 KCoreConfigSkeleton::ItemInt::minValue() const
    {33, 2064, 0, 0, Smoke::mf_const, 365, 7},	//964 KCoreConfigSkeleton::ItemInt::maxValue() const
    {33, 2780, 118, 1, 0, 0, 8},	//965 KCoreConfigSkeleton::ItemInt::setMinValue(int)
    {33, 2772, 118, 1, 0, 0, 9},	//966 KCoreConfigSkeleton::ItemInt::setMaxValue(int)
    {33, 209, 839, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 65, 10},	//967 KCoreConfigSkeleton::ItemInt::ItemInt(const KCoreConfigSkeleton::ItemInt&)
    {33, 209, 841, 3, Smoke::mf_ctor, 65, 11},	//968 KCoreConfigSkeleton::ItemInt::ItemInt(const QString&, const QString&, int&)
    {33, 3348, 0, 0, Smoke::mf_dtor, 0, 12 },	//969 KCoreConfigSkeleton::ItemInt::~ItemInt()
    {34, 213, 845, 4, Smoke::mf_ctor, 66, 1},	//970 KCoreConfigSkeleton::ItemIntList::ItemIntList(const QString&, const QString&, QList<int>&, const QList<int>&)
    {34, 2344, 595, 1, 0, 0, 2},	//971 KCoreConfigSkeleton::ItemIntList::readConfig(KConfig*)
    {34, 2853, 34, 1, 0, 0, 3},	//972 KCoreConfigSkeleton::ItemIntList::setProperty(const QVariant&)
    {34, 1820, 34, 1, Smoke::mf_const, 452, 4},	//973 KCoreConfigSkeleton::ItemIntList::isEqual(const QVariant&) const
    {34, 2287, 0, 0, Smoke::mf_const, 365, 5},	//974 KCoreConfigSkeleton::ItemIntList::property() const
    {34, 213, 850, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 66, 6},	//975 KCoreConfigSkeleton::ItemIntList::ItemIntList(const KCoreConfigSkeleton::ItemIntList&)
    {34, 213, 852, 3, Smoke::mf_ctor, 66, 7},	//976 KCoreConfigSkeleton::ItemIntList::ItemIntList(const QString&, const QString&, QList<int>&)
    {34, 3349, 0, 0, Smoke::mf_dtor, 0, 8 },	//977 KCoreConfigSkeleton::ItemIntList::~ItemIntList()
    {35, 217, 856, 4, Smoke::mf_ctor, 67, 1},	//978 KCoreConfigSkeleton::ItemLongLong::ItemLongLong(const QString&, const QString&, long long&, long long)
    {35, 2344, 595, 1, 0, 0, 2},	//979 KCoreConfigSkeleton::ItemLongLong::readConfig(KConfig*)
    {35, 2853, 34, 1, 0, 0, 3},	//980 KCoreConfigSkeleton::ItemLongLong::setProperty(const QVariant&)
    {35, 1820, 34, 1, Smoke::mf_const, 452, 4},	//981 KCoreConfigSkeleton::ItemLongLong::isEqual(const QVariant&) const
    {35, 2287, 0, 0, Smoke::mf_const, 365, 5},	//982 KCoreConfigSkeleton::ItemLongLong::property() const
    {35, 2075, 0, 0, Smoke::mf_const, 365, 6},	//983 KCoreConfigSkeleton::ItemLongLong::minValue() const
    {35, 2064, 0, 0, Smoke::mf_const, 365, 7},	//984 KCoreConfigSkeleton::ItemLongLong::maxValue() const
    {35, 2780, 861, 1, 0, 0, 8},	//985 KCoreConfigSkeleton::ItemLongLong::setMinValue(long long)
    {35, 2772, 861, 1, 0, 0, 9},	//986 KCoreConfigSkeleton::ItemLongLong::setMaxValue(long long)
    {35, 217, 863, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 67, 10},	//987 KCoreConfigSkeleton::ItemLongLong::ItemLongLong(const KCoreConfigSkeleton::ItemLongLong&)
    {35, 217, 865, 3, Smoke::mf_ctor, 67, 11},	//988 KCoreConfigSkeleton::ItemLongLong::ItemLongLong(const QString&, const QString&, long long&)
    {35, 3350, 0, 0, Smoke::mf_dtor, 0, 12 },	//989 KCoreConfigSkeleton::ItemLongLong::~ItemLongLong()
    {36, 221, 869, 4, Smoke::mf_ctor, 68, 1},	//990 KCoreConfigSkeleton::ItemPassword::ItemPassword(const QString&, const QString&, QString&, const QString&)
    {36, 221, 874, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 68, 2},	//991 KCoreConfigSkeleton::ItemPassword::ItemPassword(const KCoreConfigSkeleton::ItemPassword&)
    {36, 221, 876, 3, Smoke::mf_ctor, 68, 3},	//992 KCoreConfigSkeleton::ItemPassword::ItemPassword(const QString&, const QString&, QString&)
    {36, 3351, 0, 0, Smoke::mf_dtor, 0, 4 },	//993 KCoreConfigSkeleton::ItemPassword::~ItemPassword()
    {37, 225, 869, 4, Smoke::mf_ctor, 69, 1},	//994 KCoreConfigSkeleton::ItemPath::ItemPath(const QString&, const QString&, QString&, const QString&)
    {37, 225, 880, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 69, 2},	//995 KCoreConfigSkeleton::ItemPath::ItemPath(const KCoreConfigSkeleton::ItemPath&)
    {37, 225, 876, 3, Smoke::mf_ctor, 69, 3},	//996 KCoreConfigSkeleton::ItemPath::ItemPath(const QString&, const QString&, QString&)
    {37, 3352, 0, 0, Smoke::mf_dtor, 0, 4 },	//997 KCoreConfigSkeleton::ItemPath::~ItemPath()
    {38, 229, 882, 4, Smoke::mf_ctor, 70, 1},	//998 KCoreConfigSkeleton::ItemPathList::ItemPathList(const QString&, const QString&, QStringList&, const QStringList&)
    {38, 2344, 595, 1, 0, 0, 2},	//999 KCoreConfigSkeleton::ItemPathList::readConfig(KConfig*)
    {38, 3298, 595, 1, 0, 0, 3},	//1000 KCoreConfigSkeleton::ItemPathList::writeConfig(KConfig*)
    {38, 229, 887, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 70, 4},	//1001 KCoreConfigSkeleton::ItemPathList::ItemPathList(const KCoreConfigSkeleton::ItemPathList&)
    {38, 229, 889, 3, Smoke::mf_ctor, 70, 5},	//1002 KCoreConfigSkeleton::ItemPathList::ItemPathList(const QString&, const QString&, QStringList&)
    {38, 3353, 0, 0, Smoke::mf_dtor, 0, 6 },	//1003 KCoreConfigSkeleton::ItemPathList::~ItemPathList()
    {39, 233, 893, 4, Smoke::mf_ctor, 71, 1},	//1004 KCoreConfigSkeleton::ItemPoint::ItemPoint(const QString&, const QString&, QPoint&, const QPoint&)
    {39, 2344, 595, 1, 0, 0, 2},	//1005 KCoreConfigSkeleton::ItemPoint::readConfig(KConfig*)
    {39, 2853, 34, 1, 0, 0, 3},	//1006 KCoreConfigSkeleton::ItemPoint::setProperty(const QVariant&)
    {39, 1820, 34, 1, Smoke::mf_const, 452, 4},	//1007 KCoreConfigSkeleton::ItemPoint::isEqual(const QVariant&) const
    {39, 2287, 0, 0, Smoke::mf_const, 365, 5},	//1008 KCoreConfigSkeleton::ItemPoint::property() const
    {39, 233, 898, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 71, 6},	//1009 KCoreConfigSkeleton::ItemPoint::ItemPoint(const KCoreConfigSkeleton::ItemPoint&)
    {39, 233, 900, 3, Smoke::mf_ctor, 71, 7},	//1010 KCoreConfigSkeleton::ItemPoint::ItemPoint(const QString&, const QString&, QPoint&)
    {39, 3354, 0, 0, Smoke::mf_dtor, 0, 8 },	//1011 KCoreConfigSkeleton::ItemPoint::~ItemPoint()
    {40, 237, 904, 4, Smoke::mf_ctor, 72, 1},	//1012 KCoreConfigSkeleton::ItemProperty::ItemProperty(const QString&, const QString&, QVariant&, const QVariant&)
    {40, 2344, 595, 1, 0, 0, 2},	//1013 KCoreConfigSkeleton::ItemProperty::readConfig(KConfig*)
    {40, 2853, 34, 1, 0, 0, 3},	//1014 KCoreConfigSkeleton::ItemProperty::setProperty(const QVariant&)
    {40, 1820, 34, 1, Smoke::mf_const, 452, 4},	//1015 KCoreConfigSkeleton::ItemProperty::isEqual(const QVariant&) const
    {40, 2287, 0, 0, Smoke::mf_const, 365, 5},	//1016 KCoreConfigSkeleton::ItemProperty::property() const
    {40, 237, 909, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 72, 6},	//1017 KCoreConfigSkeleton::ItemProperty::ItemProperty(const KCoreConfigSkeleton::ItemProperty&)
    {40, 237, 911, 3, Smoke::mf_ctor, 72, 7},	//1018 KCoreConfigSkeleton::ItemProperty::ItemProperty(const QString&, const QString&, QVariant&)
    {40, 3355, 0, 0, Smoke::mf_dtor, 0, 8 },	//1019 KCoreConfigSkeleton::ItemProperty::~ItemProperty()
    {41, 241, 915, 4, Smoke::mf_ctor, 73, 1},	//1020 KCoreConfigSkeleton::ItemRect::ItemRect(const QString&, const QString&, QRect&, const QRect&)
    {41, 2344, 595, 1, 0, 0, 2},	//1021 KCoreConfigSkeleton::ItemRect::readConfig(KConfig*)
    {41, 2853, 34, 1, 0, 0, 3},	//1022 KCoreConfigSkeleton::ItemRect::setProperty(const QVariant&)
    {41, 1820, 34, 1, Smoke::mf_const, 452, 4},	//1023 KCoreConfigSkeleton::ItemRect::isEqual(const QVariant&) const
    {41, 2287, 0, 0, Smoke::mf_const, 365, 5},	//1024 KCoreConfigSkeleton::ItemRect::property() const
    {41, 241, 920, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 73, 6},	//1025 KCoreConfigSkeleton::ItemRect::ItemRect(const KCoreConfigSkeleton::ItemRect&)
    {41, 241, 922, 3, Smoke::mf_ctor, 73, 7},	//1026 KCoreConfigSkeleton::ItemRect::ItemRect(const QString&, const QString&, QRect&)
    {41, 3356, 0, 0, Smoke::mf_dtor, 0, 8 },	//1027 KCoreConfigSkeleton::ItemRect::~ItemRect()
    {42, 245, 926, 4, Smoke::mf_ctor, 74, 1},	//1028 KCoreConfigSkeleton::ItemSize::ItemSize(const QString&, const QString&, QSize&, const QSize&)
    {42, 2344, 595, 1, 0, 0, 2},	//1029 KCoreConfigSkeleton::ItemSize::readConfig(KConfig*)
    {42, 2853, 34, 1, 0, 0, 3},	//1030 KCoreConfigSkeleton::ItemSize::setProperty(const QVariant&)
    {42, 1820, 34, 1, Smoke::mf_const, 452, 4},	//1031 KCoreConfigSkeleton::ItemSize::isEqual(const QVariant&) const
    {42, 2287, 0, 0, Smoke::mf_const, 365, 5},	//1032 KCoreConfigSkeleton::ItemSize::property() const
    {42, 245, 931, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 74, 6},	//1033 KCoreConfigSkeleton::ItemSize::ItemSize(const KCoreConfigSkeleton::ItemSize&)
    {42, 245, 933, 3, Smoke::mf_ctor, 74, 7},	//1034 KCoreConfigSkeleton::ItemSize::ItemSize(const QString&, const QString&, QSize&)
    {42, 3357, 0, 0, Smoke::mf_dtor, 0, 8 },	//1035 KCoreConfigSkeleton::ItemSize::~ItemSize()
    {43, 249, 937, 5, Smoke::mf_ctor, 75, 1},	//1036 KCoreConfigSkeleton::ItemString::ItemString(const QString&, const QString&, QString&, const QString&, KCoreConfigSkeleton::ItemString::Type)
    {43, 3298, 595, 1, 0, 0, 2},	//1037 KCoreConfigSkeleton::ItemString::writeConfig(KConfig*)
    {43, 2344, 595, 1, 0, 0, 3},	//1038 KCoreConfigSkeleton::ItemString::readConfig(KConfig*)
    {43, 2853, 34, 1, 0, 0, 4},	//1039 KCoreConfigSkeleton::ItemString::setProperty(const QVariant&)
    {43, 1820, 34, 1, Smoke::mf_const, 452, 5},	//1040 KCoreConfigSkeleton::ItemString::isEqual(const QVariant&) const
    {43, 2287, 0, 0, Smoke::mf_const, 365, 6},	//1041 KCoreConfigSkeleton::ItemString::property() const
    {43, 249, 943, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 75, 7},	//1042 KCoreConfigSkeleton::ItemString::ItemString(const KCoreConfigSkeleton::ItemString&)
    {43, 249, 876, 3, Smoke::mf_ctor, 75, 8},	//1043 KCoreConfigSkeleton::ItemString::ItemString(const QString&, const QString&, QString&)
    {43, 249, 869, 4, Smoke::mf_ctor, 75, 9},	//1044 KCoreConfigSkeleton::ItemString::ItemString(const QString&, const QString&, QString&, const QString&)
    {43, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 10},	//1045 KCoreConfigSkeleton::ItemString::Normal (enum)
    {43, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 11},	//1046 KCoreConfigSkeleton::ItemString::Password (enum)
    {43, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 12},	//1047 KCoreConfigSkeleton::ItemString::Path (enum)
    {43, 3358, 0, 0, Smoke::mf_dtor, 0, 13 },	//1048 KCoreConfigSkeleton::ItemString::~ItemString()
    {44, 254, 882, 4, Smoke::mf_ctor, 77, 1},	//1049 KCoreConfigSkeleton::ItemStringList::ItemStringList(const QString&, const QString&, QStringList&, const QStringList&)
    {44, 2344, 595, 1, 0, 0, 2},	//1050 KCoreConfigSkeleton::ItemStringList::readConfig(KConfig*)
    {44, 2853, 34, 1, 0, 0, 3},	//1051 KCoreConfigSkeleton::ItemStringList::setProperty(const QVariant&)
    {44, 1820, 34, 1, Smoke::mf_const, 452, 4},	//1052 KCoreConfigSkeleton::ItemStringList::isEqual(const QVariant&) const
    {44, 2287, 0, 0, Smoke::mf_const, 365, 5},	//1053 KCoreConfigSkeleton::ItemStringList::property() const
    {44, 254, 945, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 77, 6},	//1054 KCoreConfigSkeleton::ItemStringList::ItemStringList(const KCoreConfigSkeleton::ItemStringList&)
    {44, 254, 889, 3, Smoke::mf_ctor, 77, 7},	//1055 KCoreConfigSkeleton::ItemStringList::ItemStringList(const QString&, const QString&, QStringList&)
    {44, 3359, 0, 0, Smoke::mf_dtor, 0, 8 },	//1056 KCoreConfigSkeleton::ItemStringList::~ItemStringList()
    {45, 258, 947, 4, Smoke::mf_ctor, 78, 1},	//1057 KCoreConfigSkeleton::ItemUInt::ItemUInt(const QString&, const QString&, unsigned int&, unsigned int)
    {45, 2344, 595, 1, 0, 0, 2},	//1058 KCoreConfigSkeleton::ItemUInt::readConfig(KConfig*)
    {45, 2853, 34, 1, 0, 0, 3},	//1059 KCoreConfigSkeleton::ItemUInt::setProperty(const QVariant&)
    {45, 1820, 34, 1, Smoke::mf_const, 452, 4},	//1060 KCoreConfigSkeleton::ItemUInt::isEqual(const QVariant&) const
    {45, 2287, 0, 0, Smoke::mf_const, 365, 5},	//1061 KCoreConfigSkeleton::ItemUInt::property() const
    {45, 2075, 0, 0, Smoke::mf_const, 365, 6},	//1062 KCoreConfigSkeleton::ItemUInt::minValue() const
    {45, 2064, 0, 0, Smoke::mf_const, 365, 7},	//1063 KCoreConfigSkeleton::ItemUInt::maxValue() const
    {45, 2780, 952, 1, 0, 0, 8},	//1064 KCoreConfigSkeleton::ItemUInt::setMinValue(unsigned int)
    {45, 2772, 952, 1, 0, 0, 9},	//1065 KCoreConfigSkeleton::ItemUInt::setMaxValue(unsigned int)
    {45, 258, 954, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 78, 10},	//1066 KCoreConfigSkeleton::ItemUInt::ItemUInt(const KCoreConfigSkeleton::ItemUInt&)
    {45, 258, 956, 3, Smoke::mf_ctor, 78, 11},	//1067 KCoreConfigSkeleton::ItemUInt::ItemUInt(const QString&, const QString&, unsigned int&)
    {45, 3360, 0, 0, Smoke::mf_dtor, 0, 12 },	//1068 KCoreConfigSkeleton::ItemUInt::~ItemUInt()
    {46, 262, 960, 4, Smoke::mf_ctor, 79, 1},	//1069 KCoreConfigSkeleton::ItemULongLong::ItemULongLong(const QString&, const QString&, unsigned long long&, unsigned long long)
    {46, 2344, 595, 1, 0, 0, 2},	//1070 KCoreConfigSkeleton::ItemULongLong::readConfig(KConfig*)
    {46, 2853, 34, 1, 0, 0, 3},	//1071 KCoreConfigSkeleton::ItemULongLong::setProperty(const QVariant&)
    {46, 1820, 34, 1, Smoke::mf_const, 452, 4},	//1072 KCoreConfigSkeleton::ItemULongLong::isEqual(const QVariant&) const
    {46, 2287, 0, 0, Smoke::mf_const, 365, 5},	//1073 KCoreConfigSkeleton::ItemULongLong::property() const
    {46, 2075, 0, 0, Smoke::mf_const, 365, 6},	//1074 KCoreConfigSkeleton::ItemULongLong::minValue() const
    {46, 2064, 0, 0, Smoke::mf_const, 365, 7},	//1075 KCoreConfigSkeleton::ItemULongLong::maxValue() const
    {46, 2780, 965, 1, 0, 0, 8},	//1076 KCoreConfigSkeleton::ItemULongLong::setMinValue(unsigned long long)
    {46, 2772, 965, 1, 0, 0, 9},	//1077 KCoreConfigSkeleton::ItemULongLong::setMaxValue(unsigned long long)
    {46, 262, 967, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 79, 10},	//1078 KCoreConfigSkeleton::ItemULongLong::ItemULongLong(const KCoreConfigSkeleton::ItemULongLong&)
    {46, 262, 969, 3, Smoke::mf_ctor, 79, 11},	//1079 KCoreConfigSkeleton::ItemULongLong::ItemULongLong(const QString&, const QString&, unsigned long long&)
    {46, 3361, 0, 0, Smoke::mf_dtor, 0, 12 },	//1080 KCoreConfigSkeleton::ItemULongLong::~ItemULongLong()
    {47, 266, 973, 4, Smoke::mf_ctor, 80, 1},	//1081 KCoreConfigSkeleton::ItemUrl::ItemUrl(const QString&, const QString&, KUrl&, const KUrl&)
    {47, 3298, 595, 1, 0, 0, 2},	//1082 KCoreConfigSkeleton::ItemUrl::writeConfig(KConfig*)
    {47, 2344, 595, 1, 0, 0, 3},	//1083 KCoreConfigSkeleton::ItemUrl::readConfig(KConfig*)
    {47, 2853, 34, 1, 0, 0, 4},	//1084 KCoreConfigSkeleton::ItemUrl::setProperty(const QVariant&)
    {47, 1820, 34, 1, Smoke::mf_const, 452, 5},	//1085 KCoreConfigSkeleton::ItemUrl::isEqual(const QVariant&) const
    {47, 2287, 0, 0, Smoke::mf_const, 365, 6},	//1086 KCoreConfigSkeleton::ItemUrl::property() const
    {47, 266, 978, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 80, 7},	//1087 KCoreConfigSkeleton::ItemUrl::ItemUrl(const KCoreConfigSkeleton::ItemUrl&)
    {47, 266, 980, 3, Smoke::mf_ctor, 80, 8},	//1088 KCoreConfigSkeleton::ItemUrl::ItemUrl(const QString&, const QString&, KUrl&)
    {47, 3362, 0, 0, Smoke::mf_dtor, 0, 9 },	//1089 KCoreConfigSkeleton::ItemUrl::~ItemUrl()
    {48, 270, 984, 4, Smoke::mf_ctor, 81, 1},	//1090 KCoreConfigSkeleton::ItemUrlList::ItemUrlList(const QString&, const QString&, KUrl::List&, const KUrl::List&)
    {48, 2344, 595, 1, 0, 0, 2},	//1091 KCoreConfigSkeleton::ItemUrlList::readConfig(KConfig*)
    {48, 3298, 595, 1, 0, 0, 3},	//1092 KCoreConfigSkeleton::ItemUrlList::writeConfig(KConfig*)
    {48, 2853, 34, 1, 0, 0, 4},	//1093 KCoreConfigSkeleton::ItemUrlList::setProperty(const QVariant&)
    {48, 1820, 34, 1, Smoke::mf_const, 452, 5},	//1094 KCoreConfigSkeleton::ItemUrlList::isEqual(const QVariant&) const
    {48, 2287, 0, 0, Smoke::mf_const, 365, 6},	//1095 KCoreConfigSkeleton::ItemUrlList::property() const
    {48, 270, 989, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 81, 7},	//1096 KCoreConfigSkeleton::ItemUrlList::ItemUrlList(const KCoreConfigSkeleton::ItemUrlList&)
    {48, 270, 991, 3, Smoke::mf_ctor, 81, 8},	//1097 KCoreConfigSkeleton::ItemUrlList::ItemUrlList(const QString&, const QString&, KUrl::List&)
    {48, 3363, 0, 0, Smoke::mf_dtor, 0, 9 },	//1098 KCoreConfigSkeleton::ItemUrlList::~ItemUrlList()
    {49, 349, 95, 2, Smoke::mf_ctor, 83, 1},	//1099 KCurrencyCode::KCurrencyCode(const QString&, const QString&)
    {49, 349, 995, 2, Smoke::mf_ctor, 83, 2},	//1100 KCurrencyCode::KCurrencyCode(const QFileInfo&, const QString&)
    {49, 349, 998, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 83, 3},	//1101 KCurrencyCode::KCurrencyCode(const KCurrencyCode&)
    {49, 2192, 998, 1, 0, 82, 4},	//1102 KCurrencyCode::operator=(const KCurrencyCode&)
    {49, 1889, 0, 0, Smoke::mf_const, 352, 5},	//1103 KCurrencyCode::isoCurrencyCode() const
    {49, 1890, 0, 0, Smoke::mf_const, 352, 6},	//1104 KCurrencyCode::isoCurrencyCodeNumeric() const
    {49, 2112, 0, 0, Smoke::mf_const, 352, 7},	//1105 KCurrencyCode::name() const
    {49, 1891, 0, 0, Smoke::mf_const, 352, 8},	//1106 KCurrencyCode::isoName() const
    {49, 3043, 0, 0, Smoke::mf_const, 84, 9},	//1107 KCurrencyCode::status() const
    {49, 1266, 0, 0, Smoke::mf_const, 277, 10},	//1108 KCurrencyCode::dateIntroduced() const
    {49, 1268, 0, 0, Smoke::mf_const, 277, 11},	//1109 KCurrencyCode::dateSuspended() const
    {49, 1273, 0, 0, Smoke::mf_const, 277, 12},	//1110 KCurrencyCode::dateWithdrawn() const
    {49, 3078, 0, 0, Smoke::mf_const, 355, 13},	//1111 KCurrencyCode::symbolList() const
    {49, 1337, 0, 0, Smoke::mf_const, 352, 14},	//1112 KCurrencyCode::defaultSymbol() const
    {49, 3188, 0, 0, Smoke::mf_const, 352, 15},	//1113 KCurrencyCode::unambiguousSymbol() const
    {49, 1706, 0, 0, Smoke::mf_const, 452, 16},	//1114 KCurrencyCode::hasSubunits() const
    {49, 1707, 0, 0, Smoke::mf_const, 452, 17},	//1115 KCurrencyCode::hasSubunitsInCirculation() const
    {49, 3067, 0, 0, Smoke::mf_const, 352, 18},	//1116 KCurrencyCode::subunitSymbol() const
    {49, 3068, 0, 0, Smoke::mf_const, 615, 19},	//1117 KCurrencyCode::subunitsPerUnit() const
    {49, 1314, 0, 0, Smoke::mf_const, 615, 20},	//1118 KCurrencyCode::decimalPlaces() const
    {49, 1207, 0, 0, Smoke::mf_const, 355, 21},	//1119 KCurrencyCode::countriesUsingCurrency() const
    {49, 1881, 0, 0, Smoke::mf_const, 452, 22},	//1120 KCurrencyCode::isValid() const
    {49, 1881, 1000, 2, Smoke::mf_static, 452, 23},	//1121 KCurrencyCode::isValid(const QString&, QFlags<KCurrencyCode::CurrencyStatus>)
    {49, 1013, 1003, 1, Smoke::mf_static, 355, 24},	//1122 KCurrencyCode::allCurrencyCodesList(QFlags<KCurrencyCode::CurrencyStatus>)
    {49, 1234, 95, 2, Smoke::mf_static, 352, 25},	//1123 KCurrencyCode::currencyCodeToName(const QString&, const QString&)
    {49, 349, 30, 1, Smoke::mf_ctor, 83, 26},	//1124 KCurrencyCode::KCurrencyCode(const QString&)
    {49, 349, 1005, 1, Smoke::mf_ctor, 83, 27},	//1125 KCurrencyCode::KCurrencyCode(const QFileInfo&)
    {49, 1881, 30, 1, Smoke::mf_static, 452, 28},	//1126 KCurrencyCode::isValid(const QString&)
    {49, 1013, 0, 0, Smoke::mf_static, 355, 29},	//1127 KCurrencyCode::allCurrencyCodesList()
    {49, 1234, 30, 1, Smoke::mf_static, 352, 30},	//1128 KCurrencyCode::currencyCodeToName(const QString&)
    {49, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 31},	//1129 KCurrencyCode::ActiveCurrency (enum)
    {49, 749, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 32},	//1130 KCurrencyCode::SuspendedCurrency (enum)
    {49, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 33},	//1131 KCurrencyCode::ObsoleteCurrency (enum)
    {49, 3381, 0, 0, Smoke::mf_dtor, 0, 34 },	//1132 KCurrencyCode::~KCurrencyCode()
    {50, 3247, 0, 0, Smoke::mf_static, 631, 1},	//1133 KDE::versionRelease()
    {50, 2078, 1007, 2, Smoke::mf_static, 615, 2},	//1134 KDE::mkdir(const QString&, unsigned int)
    {50, 2155, 1010, 3, Smoke::mf_static, 615, 3},	//1135 KDE::open(const QString&, int, unsigned int)
    {50, 2155, 1014, 2, Smoke::mf_static, 615, 4},	//1136 KDE::open(const QString&, int)
    {50, 837, 1014, 2, Smoke::mf_static, 615, 5},	//1137 KDE::access(const QString&, int)
    {50, 3244, 0, 0, Smoke::mf_static, 631, 6},	//1138 KDE::version()
    {50, 3245, 0, 0, Smoke::mf_static, 631, 7},	//1139 KDE::versionMajor()
    {50, 3246, 0, 0, Smoke::mf_static, 631, 8},	//1140 KDE::versionMinor()
    {50, 1577, 524, 2, Smoke::mf_static, 2, 9},	//1141 KDE::fopen(const QString&, const char*)
    {50, 3248, 0, 0, Smoke::mf_static, 600, 10},	//1142 KDE::versionString()
    {50, 1146, 1007, 2, Smoke::mf_static, 615, 11},	//1143 KDE::chmod(const QString&, unsigned int)
    {50, 2436, 95, 2, Smoke::mf_static, 615, 12},	//1144 KDE::rename(const QString&, const QString&)
    {51, 2070, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 584, 1},	//1145 KDEDModule::metaObject() const
    {51, 2311, 122, 1, Smoke::mf_virtual, 638, 2},	//1146 KDEDModule::qt_metacast(const char*)
    {51, 3141, 124, 2, Smoke::mf_static, 352, 3},	//1147 KDEDModule::tr(const char*, const char*)
    {51, 3148, 124, 2, Smoke::mf_static, 352, 4},	//1148 KDEDModule::trUtf8(const char*, const char*)
    {51, 3141, 127, 3, Smoke::mf_static, 352, 5},	//1149 KDEDModule::tr(const char*, const char*, int)
    {51, 3148, 127, 3, Smoke::mf_static, 352, 6},	//1150 KDEDModule::trUtf8(const char*, const char*, int)
    {51, 2309, 131, 3, Smoke::mf_virtual, 615, 7},	//1151 KDEDModule::qt_metacall(QMetaObject::Call, int, void**)
    {51, 354, 146, 1, Smoke::mf_ctor, 85, 8},	//1152 KDEDModule::KDEDModule(QObject*)
    {51, 2782, 30, 1, 0, 0, 9},	//1153 KDEDModule::setModuleName(const QString&)
    {51, 2085, 0, 0, Smoke::mf_const, 352, 10},	//1154 KDEDModule::moduleName() const
    {51, 2083, 1017, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//1155 KDEDModule::moduleDeleted(KDEDModule*)
    {51, 3292, 1019, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//1156 KDEDModule::windowRegistered(qlonglong)
    {51, 3294, 1019, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//1157 KDEDModule::windowUnregistered(qlonglong)
    {51, 2086, 1021, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//1158 KDEDModule::moduleRegistered(const QDBusObjectPath&)
    {51, 3141, 122, 1, Smoke::mf_static, 352, 15},	//1159 KDEDModule::tr(const char*)
    {51, 3148, 122, 1, Smoke::mf_static, 352, 16},	//1160 KDEDModule::trUtf8(const char*)
    {51, 354, 0, 0, Smoke::mf_ctor, 85, 17},	//1161 KDEDModule::KDEDModule()
    {51, 3040, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 583, 18},	//1162 KDEDModule::staticMetaObject() const
    {51, 3382, 0, 0, Smoke::mf_dtor, 0, 19 },	//1163 KDEDModule::~KDEDModule()
    {52, 356, 0, 0, Smoke::mf_ctor, 86, 1},	//1164 KDEPluginVerificationData::KDEPluginVerificationData()
    {52, 356, 1023, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 86, 2},	//1165 KDEPluginVerificationData::KDEPluginVerificationData(const KDEPluginVerificationData&)
    {52, 1255, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 629, 3},	//1166 KDEPluginVerificationData::dataVersion() const
    {52, 2579, 1025, 1, Smoke::mf_attribute, 0, 4},	//1167 KDEPluginVerificationData::setDataVersion(unsigned char)
    {52, 358, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 631, 5},	//1168 KDEPluginVerificationData::KDEVersion() const
    {52, 2676, 952, 1, Smoke::mf_attribute, 0, 6},	//1169 KDEPluginVerificationData::setKDEVersion(unsigned int)
    {52, 359, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 600, 7},	//1170 KDEPluginVerificationData::KDEVersionString() const
    {52, 2678, 122, 1, Smoke::mf_attribute, 0, 8},	//1171 KDEPluginVerificationData::setKDEVersionString(const char*)
    {52, 668, 0, 0, Smoke::mf_static|Smoke::mf_enum, 619, 9},	//1172 KDEPluginVerificationData::PluginVerificationDataVersion (enum)
    {52, 3383, 0, 0, Smoke::mf_dtor, 0, 10 },	//1173 KDEPluginVerificationData::~KDEPluginVerificationData()
    {53, 360, 0, 0, Smoke::mf_ctor, 89, 1},	//1174 KDateTime::KDateTime()
    {53, 360, 1027, 2, Smoke::mf_ctor, 89, 2},	//1175 KDateTime::KDateTime(const QDate&, const KDateTime::Spec&)
    {53, 360, 1030, 3, Smoke::mf_ctor, 89, 3},	//1176 KDateTime::KDateTime(const QDate&, const QTime&, const KDateTime::Spec&)
    {53, 360, 1034, 2, Smoke::mf_ctor, 89, 4},	//1177 KDateTime::KDateTime(const QDateTime&, const KDateTime::Spec&)
    {53, 360, 1037, 1, Smoke::mf_ctor, 89, 5},	//1178 KDateTime::KDateTime(const QDateTime&)
    {53, 360, 1039, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 89, 6},	//1179 KDateTime::KDateTime(const KDateTime&)
    {53, 2192, 1039, 1, 0, 88, 7},	//1180 KDateTime::operator=(const KDateTime&)
    {53, 1851, 0, 0, Smoke::mf_const, 452, 8},	//1181 KDateTime::isNull() const
    {53, 1881, 0, 0, Smoke::mf_const, 452, 9},	//1182 KDateTime::isValid() const
    {53, 1804, 0, 0, Smoke::mf_const, 452, 10},	//1183 KDateTime::isDateOnly() const
    {53, 1261, 0, 0, Smoke::mf_const, 277, 11},	//1184 KDateTime::date() const
    {53, 3105, 0, 0, Smoke::mf_const, 362, 12},	//1185 KDateTime::time() const
    {53, 1269, 0, 0, Smoke::mf_const, 279, 13},	//1186 KDateTime::dateTime() const
    {53, 3110, 0, 0, Smoke::mf_const, 218, 14},	//1187 KDateTime::timeZone() const
    {53, 3107, 0, 0, Smoke::mf_const, 91, 15},	//1188 KDateTime::timeSpec() const
    {53, 3109, 0, 0, Smoke::mf_const, 94, 16},	//1189 KDateTime::timeType() const
    {53, 1845, 0, 0, Smoke::mf_const, 452, 17},	//1190 KDateTime::isLocalZone() const
    {53, 1799, 0, 0, Smoke::mf_const, 452, 18},	//1191 KDateTime::isClockTime() const
    {53, 1878, 0, 0, Smoke::mf_const, 452, 19},	//1192 KDateTime::isUtc() const
    {53, 1852, 0, 0, Smoke::mf_const, 452, 20},	//1193 KDateTime::isOffsetFromUtc() const
    {53, 3231, 0, 0, Smoke::mf_const, 615, 21},	//1194 KDateTime::utcOffset() const
    {53, 1863, 0, 0, Smoke::mf_const, 452, 22},	//1195 KDateTime::isSecondOccurrence() const
    {53, 3130, 0, 0, Smoke::mf_const, 87, 23},	//1196 KDateTime::toUtc() const
    {53, 3120, 0, 0, Smoke::mf_const, 87, 24},	//1197 KDateTime::toOffsetFromUtc() const
    {53, 3120, 118, 1, Smoke::mf_const, 87, 25},	//1198 KDateTime::toOffsetFromUtc(int) const
    {53, 3118, 0, 0, Smoke::mf_const, 87, 26},	//1199 KDateTime::toLocalZone() const
    {53, 3113, 0, 0, Smoke::mf_const, 87, 27},	//1200 KDateTime::toClockTime() const
    {53, 3132, 1041, 1, Smoke::mf_const, 87, 28},	//1201 KDateTime::toZone(const KTimeZone&) const
    {53, 3126, 1043, 1, Smoke::mf_const, 87, 29},	//1202 KDateTime::toTimeSpec(const KDateTime::Spec&) const
    {53, 3126, 1039, 1, Smoke::mf_const, 87, 30},	//1203 KDateTime::toTimeSpec(const KDateTime&) const
    {53, 3128, 0, 0, Smoke::mf_const, 631, 31},	//1204 KDateTime::toTime_t() const
    {53, 2904, 861, 1, 0, 0, 32},	//1205 KDateTime::setTime_t(long long)
    {53, 2594, 103, 1, 0, 0, 33},	//1206 KDateTime::setDateOnly(bool)
    {53, 2581, 196, 1, 0, 0, 34},	//1207 KDateTime::setDate(const QDate&)
    {53, 2898, 1045, 1, 0, 0, 35},	//1208 KDateTime::setTime(const QTime&)
    {53, 2596, 1037, 1, 0, 0, 36},	//1209 KDateTime::setDateTime(const QDateTime&)
    {53, 2902, 1043, 1, 0, 0, 37},	//1210 KDateTime::setTimeSpec(const KDateTime::Spec&)
    {53, 2863, 103, 1, 0, 0, 38},	//1211 KDateTime::setSecondOccurrence(bool)
    {53, 965, 861, 1, Smoke::mf_const, 87, 39},	//1212 KDateTime::addMSecs(long long) const
    {53, 983, 861, 1, Smoke::mf_const, 87, 40},	//1213 KDateTime::addSecs(long long) const
    {53, 877, 118, 1, Smoke::mf_const, 87, 41},	//1214 KDateTime::addDays(int) const
    {53, 967, 118, 1, Smoke::mf_const, 87, 42},	//1215 KDateTime::addMonths(int) const
    {53, 1006, 118, 1, Smoke::mf_const, 87, 43},	//1216 KDateTime::addYears(int) const
    {53, 2480, 1039, 1, Smoke::mf_const, 615, 44},	//1217 KDateTime::secsTo(const KDateTime&) const
    {53, 2482, 1039, 1, Smoke::mf_const, 621, 45},	//1218 KDateTime::secsTo_long(const KDateTime&) const
    {53, 1311, 1039, 1, Smoke::mf_const, 615, 46},	//1219 KDateTime::daysTo(const KDateTime&) const
    {53, 1243, 0, 0, Smoke::mf_static, 87, 47},	//1220 KDateTime::currentLocalDateTime()
    {53, 1247, 0, 0, Smoke::mf_static, 87, 48},	//1221 KDateTime::currentUtcDateTime()
    {53, 1239, 1043, 1, Smoke::mf_static, 87, 49},	//1222 KDateTime::currentDateTime(const KDateTime::Spec&)
    {53, 1242, 0, 0, Smoke::mf_static, 277, 50},	//1223 KDateTime::currentLocalDate()
    {53, 1244, 0, 0, Smoke::mf_static, 362, 51},	//1224 KDateTime::currentLocalTime()
    {53, 3122, 30, 1, Smoke::mf_const, 352, 52},	//1225 KDateTime::toString(const QString&) const
    {53, 3122, 1047, 1, Smoke::mf_const, 352, 53},	//1226 KDateTime::toString(KDateTime::TimeFormat) const
    {53, 1634, 1049, 3, Smoke::mf_static, 87, 54},	//1227 KDateTime::fromString(const QString&, KDateTime::TimeFormat, bool*)
    {53, 1634, 1053, 4, Smoke::mf_static, 87, 55},	//1228 KDateTime::fromString(const QString&, const QString&, const KTimeZones*, bool)
    {53, 2658, 1043, 1, Smoke::mf_static, 0, 56},	//1229 KDateTime::setFromStringDefault(const KDateTime::Spec&)
    {53, 2219, 0, 0, Smoke::mf_const, 452, 57},	//1230 KDateTime::outOfRange() const
    {53, 1169, 1039, 1, Smoke::mf_const, 90, 58},	//1231 KDateTime::compare(const KDateTime&) const
    {53, 2195, 1039, 1, Smoke::mf_const, 452, 59},	//1232 KDateTime::operator==(const KDateTime&) const
    {53, 2168, 1039, 1, Smoke::mf_const, 452, 60},	//1233 KDateTime::operator!=(const KDateTime&) const
    {53, 2178, 1039, 1, Smoke::mf_const, 452, 61},	//1234 KDateTime::operator<(const KDateTime&) const
    {53, 2187, 1039, 1, Smoke::mf_const, 452, 62},	//1235 KDateTime::operator<=(const KDateTime&) const
    {53, 2201, 1039, 1, Smoke::mf_const, 452, 63},	//1236 KDateTime::operator>(const KDateTime&) const
    {53, 2206, 1039, 1, Smoke::mf_const, 452, 64},	//1237 KDateTime::operator>=(const KDateTime&) const
    {53, 1364, 0, 0, 0, 0, 65},	//1238 KDateTime::detach()
    {53, 2879, 1039, 1, Smoke::mf_static, 0, 66},	//1239 KDateTime::setSimulatedSystemTime(const KDateTime&)
    {53, 2400, 0, 0, Smoke::mf_static, 87, 67},	//1240 KDateTime::realCurrentLocalDateTime()
    {53, 360, 196, 1, Smoke::mf_ctor, 89, 68},	//1241 KDateTime::KDateTime(const QDate&)
    {53, 360, 1058, 2, Smoke::mf_ctor, 89, 69},	//1242 KDateTime::KDateTime(const QDate&, const QTime&)
    {53, 3122, 0, 0, Smoke::mf_const, 352, 70},	//1243 KDateTime::toString() const
    {53, 1634, 30, 1, Smoke::mf_static, 87, 71},	//1244 KDateTime::fromString(const QString&)
    {53, 1634, 1061, 2, Smoke::mf_static, 87, 72},	//1245 KDateTime::fromString(const QString&, KDateTime::TimeFormat)
    {53, 1634, 95, 2, Smoke::mf_static, 87, 73},	//1246 KDateTime::fromString(const QString&, const QString&)
    {53, 1634, 1064, 3, Smoke::mf_static, 87, 74},	//1247 KDateTime::fromString(const QString&, const QString&, const KTimeZones*)
    {53, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 75},	//1248 KDateTime::Invalid (enum)
    {53, 778, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 76},	//1249 KDateTime::UTC (enum)
    {53, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 77},	//1250 KDateTime::OffsetFromUTC (enum)
    {53, 768, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 78},	//1251 KDateTime::TimeZone (enum)
    {53, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 79},	//1252 KDateTime::LocalZone (enum)
    {53, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 80},	//1253 KDateTime::ClockTime (enum)
    {53, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 81},	//1254 KDateTime::ISODate (enum)
    {53, 684, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 82},	//1255 KDateTime::RFCDate (enum)
    {53, 685, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 83},	//1256 KDateTime::RFCDateDay (enum)
    {53, 681, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 84},	//1257 KDateTime::QtTextDate (enum)
    {53, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 85},	//1258 KDateTime::LocalDate (enum)
    {53, 683, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 86},	//1259 KDateTime::RFC3339Date (enum)
    {53, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 87},	//1260 KDateTime::Before (enum)
    {53, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 88},	//1261 KDateTime::AtStart (enum)
    {53, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 89},	//1262 KDateTime::Inside (enum)
    {53, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 90},	//1263 KDateTime::AtEnd (enum)
    {53, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 91},	//1264 KDateTime::After (enum)
    {53, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 92},	//1265 KDateTime::Equal (enum)
    {53, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 93},	//1266 KDateTime::Outside (enum)
    {53, 739, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 94},	//1267 KDateTime::StartsAt (enum)
    {53, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 95},	//1268 KDateTime::EndsAt (enum)
    {53, 3384, 0, 0, Smoke::mf_dtor, 0, 96 },	//1269 KDateTime::~KDateTime()
    {54, 728, 0, 0, Smoke::mf_ctor, 93, 1},	//1270 KDateTime::Spec::Spec()
    {54, 728, 1041, 1, Smoke::mf_ctor, 93, 2},	//1271 KDateTime::Spec::Spec(const KTimeZone&)
    {54, 728, 1068, 2, Smoke::mf_ctor, 93, 3},	//1272 KDateTime::Spec::Spec(KDateTime::SpecType, int)
    {54, 728, 1043, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 93, 4},	//1273 KDateTime::Spec::Spec(const KDateTime::Spec&)
    {54, 2192, 1043, 1, 0, 92, 5},	//1274 KDateTime::Spec::operator=(const KDateTime::Spec&)
    {54, 1881, 0, 0, Smoke::mf_const, 452, 6},	//1275 KDateTime::Spec::isValid() const
    {54, 3110, 0, 0, Smoke::mf_const, 218, 7},	//1276 KDateTime::Spec::timeZone() const
    {54, 3184, 0, 0, Smoke::mf_const, 94, 8},	//1277 KDateTime::Spec::type() const
    {54, 1845, 0, 0, Smoke::mf_const, 452, 9},	//1278 KDateTime::Spec::isLocalZone() const
    {54, 1799, 0, 0, Smoke::mf_const, 452, 10},	//1279 KDateTime::Spec::isClockTime() const
    {54, 1878, 0, 0, Smoke::mf_const, 452, 11},	//1280 KDateTime::Spec::isUtc() const
    {54, 1852, 0, 0, Smoke::mf_const, 452, 12},	//1281 KDateTime::Spec::isOffsetFromUtc() const
    {54, 3231, 0, 0, Smoke::mf_const, 615, 13},	//1282 KDateTime::Spec::utcOffset() const
    {54, 2914, 1068, 2, 0, 0, 14},	//1283 KDateTime::Spec::setType(KDateTime::SpecType, int)
    {54, 2914, 1041, 1, 0, 0, 15},	//1284 KDateTime::Spec::setType(const KTimeZone&)
    {54, 2195, 1043, 1, Smoke::mf_const, 452, 16},	//1285 KDateTime::Spec::operator==(const KDateTime::Spec&) const
    {54, 2168, 1043, 1, Smoke::mf_const, 452, 17},	//1286 KDateTime::Spec::operator!=(const KDateTime::Spec&) const
    {54, 1434, 1043, 1, Smoke::mf_const, 452, 18},	//1287 KDateTime::Spec::equivalentTo(const KDateTime::Spec&) const
    {54, 778, 0, 0, Smoke::mf_static, 91, 19},	//1288 KDateTime::Spec::UTC()
    {54, 60, 0, 0, Smoke::mf_static, 91, 20},	//1289 KDateTime::Spec::ClockTime()
    {54, 644, 118, 1, Smoke::mf_static, 91, 21},	//1290 KDateTime::Spec::OffsetFromUTC(int)
    {54, 589, 0, 0, Smoke::mf_static, 91, 22},	//1291 KDateTime::Spec::LocalZone()
    {54, 728, 1071, 1, Smoke::mf_ctor, 93, 23},	//1292 KDateTime::Spec::Spec(KDateTime::SpecType)
    {54, 2914, 1071, 1, 0, 0, 24},	//1293 KDateTime::Spec::setType(KDateTime::SpecType)
    {54, 3444, 0, 0, Smoke::mf_dtor, 0, 25 },	//1294 KDateTime::Spec::~Spec()
    {55, 364, 1073, 4, Smoke::mf_ctor|Smoke::mf_explicit, 96, 1},	//1295 KDebug::KDebug(QtMsgType, const char*, int, const char*)
    {55, 1693, 1078, 4, Smoke::mf_static, 452, 2},	//1296 KDebug::hasNullOutput(QtMsgType, bool, int, bool)
    {55, 1695, 118, 1, Smoke::mf_static, 452, 3},	//1297 KDebug::hasNullOutputQtDebugMsg(int)
    {55, 1695, 1083, 2, Smoke::mf_static, 452, 4},	//1298 KDebug::hasNullOutputQtDebugMsg(bool, int)
    {55, 2407, 427, 2, Smoke::mf_static, 615, 5},	//1299 KDebug::registerArea(const QByteArray&, bool)
    {55, 364, 1086, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 96, 6},	//1300 KDebug::KDebug(const KDebug&)
    {55, 364, 1088, 1, Smoke::mf_ctor|Smoke::mf_explicit, 96, 7},	//1301 KDebug::KDebug(QtMsgType)
    {55, 364, 1090, 2, Smoke::mf_ctor|Smoke::mf_explicit, 96, 8},	//1302 KDebug::KDebug(QtMsgType, const char*)
    {55, 364, 1093, 3, Smoke::mf_ctor|Smoke::mf_explicit, 96, 9},	//1303 KDebug::KDebug(QtMsgType, const char*, int)
    {55, 1695, 0, 0, Smoke::mf_static, 452, 10},	//1304 KDebug::hasNullOutputQtDebugMsg()
    {55, 1695, 103, 1, Smoke::mf_static, 452, 11},	//1305 KDebug::hasNullOutputQtDebugMsg(bool)
    {55, 2407, 32, 1, Smoke::mf_static, 615, 12},	//1306 KDebug::registerArea(const QByteArray&)
    {55, 3385, 0, 0, Smoke::mf_dtor, 0, 13 },	//1307 KDebug::~KDebug()
    {56, 370, 0, 0, Smoke::mf_ctor, 97, 1},	//1308 KDebugTag::KDebugTag()
    {56, 370, 1097, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 97, 2},	//1309 KDebugTag::KDebugTag(const KDebugTag&)
    {56, 3386, 0, 0, Smoke::mf_dtor, 0, 3 },	//1310 KDebugTag::~KDebugTag()
    {57, 372, 521, 2, Smoke::mf_ctor, 98, 1},	//1311 KDesktopFile::KDesktopFile(const char*, const QString&)
    {57, 372, 30, 1, Smoke::mf_ctor, 98, 2},	//1312 KDesktopFile::KDesktopFile(const QString&)
    {57, 1808, 30, 1, Smoke::mf_static, 452, 3},	//1313 KDesktopFile::isDesktopFile(const QString&)
    {57, 1786, 30, 1, Smoke::mf_static, 452, 4},	//1314 KDesktopFile::isAuthorizedDesktopFile(const QString&)
    {57, 2006, 30, 1, Smoke::mf_static, 352, 5},	//1315 KDesktopFile::locateLocal(const QString&)
    {57, 1363, 0, 0, Smoke::mf_const, 51, 6},	//1316 KDesktopFile::desktopGroup() const
    {57, 2393, 0, 0, Smoke::mf_const, 352, 7},	//1317 KDesktopFile::readType() const
    {57, 2369, 0, 0, Smoke::mf_const, 352, 8},	//1318 KDesktopFile::readIcon() const
    {57, 2381, 0, 0, Smoke::mf_const, 352, 9},	//1319 KDesktopFile::readName() const
    {57, 2343, 0, 0, Smoke::mf_const, 352, 10},	//1320 KDesktopFile::readComment() const
    {57, 2367, 0, 0, Smoke::mf_const, 352, 11},	//1321 KDesktopFile::readGenericName() const
    {57, 2385, 0, 0, Smoke::mf_const, 352, 12},	//1322 KDesktopFile::readPath() const
    {57, 2356, 0, 0, Smoke::mf_const, 352, 13},	//1323 KDesktopFile::readDevice() const
    {57, 2394, 0, 0, Smoke::mf_const, 352, 14},	//1324 KDesktopFile::readUrl() const
    {57, 2342, 0, 0, Smoke::mf_const, 355, 15},	//1325 KDesktopFile::readActions() const
    {57, 841, 30, 1, 0, 51, 16},	//1326 KDesktopFile::actionGroup(const QString&)
    {57, 841, 30, 1, Smoke::mf_const, 473, 17},	//1327 KDesktopFile::actionGroup(const QString&) const
    {57, 1668, 30, 1, Smoke::mf_const, 452, 18},	//1328 KDesktopFile::hasActionGroup(const QString&) const
    {57, 1686, 0, 0, Smoke::mf_const, 452, 19},	//1329 KDesktopFile::hasLinkType() const
    {57, 1670, 0, 0, Smoke::mf_const, 452, 20},	//1330 KDesktopFile::hasApplicationType() const
    {57, 1692, 0, 0, Smoke::mf_const, 452, 21},	//1331 KDesktopFile::hasMimeTypeType() const
    {57, 1675, 0, 0, Smoke::mf_const, 452, 22},	//1332 KDesktopFile::hasDeviceType() const
    {57, 3183, 0, 0, Smoke::mf_const, 452, 23},	//1333 KDesktopFile::tryExec() const
    {57, 2357, 0, 0, Smoke::mf_const, 352, 24},	//1334 KDesktopFile::readDocPath() const
    {57, 2964, 0, 0, Smoke::mf_const, 355, 25},	//1335 KDesktopFile::sortOrder() const
    {57, 2130, 0, 0, Smoke::mf_const, 452, 26},	//1336 KDesktopFile::noDisplay() const
    {57, 1200, 30, 1, Smoke::mf_const, 98, 27},	//1337 KDesktopFile::copyTo(const QString&) const
    {57, 1506, 0, 0, Smoke::mf_const, 352, 28},	//1338 KDesktopFile::fileName() const
    {57, 2456, 0, 0, Smoke::mf_const, 600, 29},	//1339 KDesktopFile::resource() const
    {57, 3387, 0, 0, Smoke::mf_dtor, 0, 30 },	//1340 KDesktopFile::~KDesktopFile()
    {58, 375, 0, 0, Smoke::mf_ctor, 99, 1},	//1341 KEncodingDetector::KEncodingDetector()
    {58, 375, 1099, 3, Smoke::mf_ctor, 99, 2},	//1342 KEncodingDetector::KEncodingDetector(QTextCodec*, KEncodingDetector::EncodingChoiceSource, KEncodingDetector::AutoDetectScript)
    {58, 2625, 1103, 2, 0, 452, 3},	//1343 KEncodingDetector::setEncoding(const char*, KEncodingDetector::EncodingChoiceSource)
    {58, 1414, 0, 0, Smoke::mf_const, 600, 4},	//1344 KEncodingDetector::encoding() const
    {58, 3250, 0, 0, Smoke::mf_const, 452, 5},	//1345 KEncodingDetector::visuallyOrdered() const
    {58, 2527, 1106, 1, 0, 0, 6},	//1346 KEncodingDetector::setAutoDetectLanguage(KEncodingDetector::AutoDetectScript)
    {58, 1059, 0, 0, Smoke::mf_const, 100, 7},	//1347 KEncodingDetector::autoDetectLanguage() const
    {58, 1415, 0, 0, Smoke::mf_const, 101, 8},	//1348 KEncodingDetector::encodingChoiceSource() const
    {58, 1316, 1108, 2, 0, 352, 9},	//1349 KEncodingDetector::decode(const char*, int)
    {58, 1316, 32, 1, 0, 352, 10},	//1350 KEncodingDetector::decode(const QByteArray&)
    {58, 1321, 1108, 2, 0, 352, 11},	//1351 KEncodingDetector::decodeWithBuffering(const char*, int)
    {58, 1325, 0, 0, Smoke::mf_const, 452, 12},	//1352 KEncodingDetector::decodedInvalidCharacters() const
    {58, 2449, 0, 0, 0, 0, 13},	//1353 KEncodingDetector::resetDecoder()
    {58, 1576, 0, 0, 0, 352, 14},	//1354 KEncodingDetector::flush()
    {58, 2478, 30, 1, Smoke::mf_static, 100, 15},	//1355 KEncodingDetector::scriptForName(const QString&)
    {58, 2116, 1106, 1, Smoke::mf_static, 352, 16},	//1356 KEncodingDetector::nameForScript(KEncodingDetector::AutoDetectScript)
    {58, 1671, 1106, 1, Smoke::mf_static, 452, 17},	//1357 KEncodingDetector::hasAutoDetectionForScript(KEncodingDetector::AutoDetectScript)
    {58, 2274, 1111, 2, Smoke::mf_protected, 452, 18},	//1358 KEncodingDetector::processNull(char*, int)
    {58, 1448, 1108, 2, Smoke::mf_protected, 452, 19},	//1359 KEncodingDetector::errorsIfUtf8(const char*, int)
    {58, 1035, 1108, 2, Smoke::mf_protected, 452, 20},	//1360 KEncodingDetector::analyze(const char*, int)
    {58, 1326, 0, 0, Smoke::mf_protected, 361, 21},	//1361 KEncodingDetector::decoder()
    {58, 375, 1114, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 99, 22},	//1362 KEncodingDetector::KEncodingDetector(const KEncodingDetector&)
    {58, 375, 1116, 2, Smoke::mf_ctor, 99, 23},	//1363 KEncodingDetector::KEncodingDetector(QTextCodec*, KEncodingDetector::EncodingChoiceSource)
    {58, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 24},	//1364 KEncodingDetector::DefaultEncoding (enum)
    {58, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 25},	//1365 KEncodingDetector::AutoDetectedEncoding (enum)
    {58, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 26},	//1366 KEncodingDetector::BOM (enum)
    {58, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 27},	//1367 KEncodingDetector::EncodingFromXMLHeader (enum)
    {58, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 28},	//1368 KEncodingDetector::EncodingFromMetaTag (enum)
    {58, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 29},	//1369 KEncodingDetector::EncodingFromHTTPHeader (enum)
    {58, 809, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 30},	//1370 KEncodingDetector::UserChosenEncoding (enum)
    {58, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 31},	//1371 KEncodingDetector::None (enum)
    {58, 707, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 32},	//1372 KEncodingDetector::SemiautomaticDetection (enum)
    {58, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 33},	//1373 KEncodingDetector::Arabic (enum)
    {58, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 34},	//1374 KEncodingDetector::Baltic (enum)
    {58, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 35},	//1375 KEncodingDetector::CentralEuropean (enum)
    {58, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 36},	//1376 KEncodingDetector::ChineseSimplified (enum)
    {58, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 37},	//1377 KEncodingDetector::ChineseTraditional (enum)
    {58, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 38},	//1378 KEncodingDetector::Cyrillic (enum)
    {58, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 39},	//1379 KEncodingDetector::Greek (enum)
    {58, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 40},	//1380 KEncodingDetector::Hebrew (enum)
    {58, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 41},	//1381 KEncodingDetector::Japanese (enum)
    {58, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 42},	//1382 KEncodingDetector::Korean (enum)
    {58, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 43},	//1383 KEncodingDetector::NorthernSaami (enum)
    {58, 727, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 44},	//1384 KEncodingDetector::SouthEasternEurope (enum)
    {58, 758, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 45},	//1385 KEncodingDetector::Thai (enum)
    {58, 776, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 46},	//1386 KEncodingDetector::Turkish (enum)
    {58, 783, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 47},	//1387 KEncodingDetector::Unicode (enum)
    {58, 815, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 48},	//1388 KEncodingDetector::WesternEuropean (enum)
    {58, 3388, 0, 0, Smoke::mf_dtor, 0, 49 },	//1389 KEncodingDetector::~KEncodingDetector()
    {59, 379, 1119, 1, Smoke::mf_ctor, 102, 1},	//1390 KEncodingProber::KEncodingProber(KEncodingProber::ProberType)
    {59, 2448, 0, 0, 0, 0, 2},	//1391 KEncodingProber::reset()
    {59, 1499, 32, 1, 0, 103, 3},	//1392 KEncodingProber::feed(const QByteArray&)
    {59, 1499, 1108, 2, 0, 103, 4},	//1393 KEncodingProber::feed(const char*, int)
    {59, 3038, 0, 0, Smoke::mf_const, 103, 5},	//1394 KEncodingProber::state() const
    {59, 1419, 0, 0, Smoke::mf_const, 600, 6},	//1395 KEncodingProber::encodingName() const
    {59, 1414, 0, 0, Smoke::mf_const, 265, 7},	//1396 KEncodingProber::encoding() const
    {59, 1175, 0, 0, Smoke::mf_const, 614, 8},	//1397 KEncodingProber::confidence() const
    {59, 2271, 0, 0, Smoke::mf_const, 104, 9},	//1398 KEncodingProber::proberType() const
    {59, 2837, 1119, 1, 0, 0, 10},	//1399 KEncodingProber::setProberType(KEncodingProber::ProberType)
    {59, 2272, 30, 1, Smoke::mf_static, 104, 11},	//1400 KEncodingProber::proberTypeForName(const QString&)
    {59, 2114, 1119, 1, Smoke::mf_static, 352, 12},	//1401 KEncodingProber::nameForProberType(KEncodingProber::ProberType)
    {59, 379, 1121, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 102, 13},	//1402 KEncodingProber::KEncodingProber(const KEncodingProber&)
    {59, 379, 0, 0, Smoke::mf_ctor, 102, 14},	//1403 KEncodingProber::KEncodingProber()
    {59, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 15},	//1404 KEncodingProber::FoundIt (enum)
    {59, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 16},	//1405 KEncodingProber::NotMe (enum)
    {59, 671, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 17},	//1406 KEncodingProber::Probing (enum)
    {59, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 18},	//1407 KEncodingProber::None (enum)
    {59, 795, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 19},	//1408 KEncodingProber::Universal (enum)
    {59, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 20},	//1409 KEncodingProber::Arabic (enum)
    {59, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 21},	//1410 KEncodingProber::Baltic (enum)
    {59, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 22},	//1411 KEncodingProber::CentralEuropean (enum)
    {59, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 23},	//1412 KEncodingProber::ChineseSimplified (enum)
    {59, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 24},	//1413 KEncodingProber::ChineseTraditional (enum)
    {59, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 25},	//1414 KEncodingProber::Cyrillic (enum)
    {59, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 26},	//1415 KEncodingProber::Greek (enum)
    {59, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 27},	//1416 KEncodingProber::Hebrew (enum)
    {59, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 28},	//1417 KEncodingProber::Japanese (enum)
    {59, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 29},	//1418 KEncodingProber::Korean (enum)
    {59, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 30},	//1419 KEncodingProber::NorthernSaami (enum)
    {59, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 31},	//1420 KEncodingProber::Other (enum)
    {59, 727, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 32},	//1421 KEncodingProber::SouthEasternEurope (enum)
    {59, 758, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 33},	//1422 KEncodingProber::Thai (enum)
    {59, 776, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 34},	//1423 KEncodingProber::Turkish (enum)
    {59, 783, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 35},	//1424 KEncodingProber::Unicode (enum)
    {59, 815, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 36},	//1425 KEncodingProber::WesternEuropean (enum)
    {59, 3389, 0, 0, Smoke::mf_dtor, 0, 37 },	//1426 KEncodingProber::~KEncodingProber()
    {60, 382, 0, 0, Smoke::mf_ctor, 105, 1},	//1427 KFilterBase::KFilterBase()
    {60, 2614, 1123, 2, 0, 0, 2},	//1428 KFilterBase::setDevice(QIODevice*, bool)
    {60, 1370, 0, 0, 0, 306, 3},	//1429 KFilterBase::device()
    {60, 1741, 118, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//1430 KFilterBase::init(int) [pure virtual]
    {60, 2080, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 615, 5},	//1431 KFilterBase::mode() const [pure virtual]
    {60, 3098, 0, 0, Smoke::mf_virtual, 0, 6},	//1432 KFilterBase::terminate()
    {60, 2448, 0, 0, Smoke::mf_virtual, 0, 7},	//1433 KFilterBase::reset()
    {60, 2368, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 452, 8},	//1434 KFilterBase::readHeader() [pure virtual]
    {60, 3309, 32, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 452, 9},	//1435 KFilterBase::writeHeader(const QByteArray&) [pure virtual]
    {60, 2810, 1126, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//1436 KFilterBase::setOutBuffer(char*, unsigned int) [pure virtual]
    {60, 2670, 1129, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 11},	//1437 KFilterBase::setInBuffer(const char*, unsigned int) [pure virtual]
    {60, 1731, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 452, 12},	//1438 KFilterBase::inBufferEmpty() const
    {60, 1730, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 615, 13},	//1439 KFilterBase::inBufferAvailable() const [pure virtual]
    {60, 2218, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 452, 14},	//1440 KFilterBase::outBufferFull() const
    {60, 2217, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 615, 15},	//1441 KFilterBase::outBufferAvailable() const [pure virtual]
    {60, 3189, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 107, 16},	//1442 KFilterBase::uncompress() [pure virtual]
    {60, 1173, 103, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 107, 17},	//1443 KFilterBase::compress(bool) [pure virtual]
    {60, 2652, 1132, 1, 0, 0, 18},	//1444 KFilterBase::setFilterFlags(KFilterBase::FilterFlags)
    {60, 1509, 0, 0, Smoke::mf_const, 106, 19},	//1445 KFilterBase::filterFlags() const
    {60, 1553, 30, 1, Smoke::mf_static, 105, 20},	//1446 KFilterBase::findFilterByFileName(const QString&)
    {60, 1555, 30, 1, Smoke::mf_static, 105, 21},	//1447 KFilterBase::findFilterByMimeType(const QString&)
    {60, 2614, 1134, 1, 0, 0, 22},	//1448 KFilterBase::setDevice(QIODevice*)
    {60, 2029, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 306, 23},	//1449 KFilterBase::m_dev() const
    {60, 2724, 1134, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 24},	//1450 KFilterBase::setM_dev(QIODevice*)
    {60, 2023, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 452, 25},	//1451 KFilterBase::m_bAutoDel() const
    {60, 2712, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 26},	//1452 KFilterBase::setM_bAutoDel(bool)
    {60, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 27},	//1453 KFilterBase::Ok (enum)
    {60, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 28},	//1454 KFilterBase::End (enum)
    {60, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 29},	//1455 KFilterBase::Error (enum)
    {60, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 30},	//1456 KFilterBase::NoHeaders (enum)
    {60, 816, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 31},	//1457 KFilterBase::WithHeaders (enum)
    {60, 3390, 0, 0, Smoke::mf_dtor, 0, 32 },	//1458 KFilterBase::~KFilterBase()
    {61, 2155, 150, 1, 0, 452, 1},	//1459 KFilterDev::open(QFlags<QIODevice::OpenModeFlag>)
    {61, 1157, 0, 0, 0, 0, 2},	//1460 KFilterDev::close()
    {61, 2806, 32, 1, 0, 0, 3},	//1461 KFilterDev::setOrigFileName(const QByteArray&)
    {61, 2881, 0, 0, 0, 0, 4},	//1462 KFilterDev::setSkipHeaders()
    {61, 2484, 861, 1, 0, 452, 5},	//1463 KFilterDev::seek(long long)
    {61, 1046, 0, 0, Smoke::mf_const, 452, 6},	//1464 KFilterDev::atEnd() const
    {61, 1373, 1136, 3, Smoke::mf_static, 306, 7},	//1465 KFilterDev::deviceForFile(const QString&, const QString&, bool)
    {61, 1370, 1140, 3, Smoke::mf_static, 306, 8},	//1466 KFilterDev::device(QIODevice*, const QString&, bool)
    {61, 2346, 1144, 2, Smoke::mf_protected, 621, 9},	//1467 KFilterDev::readData(char*, long long)
    {61, 3300, 1147, 2, Smoke::mf_protected, 621, 10},	//1468 KFilterDev::writeData(const char*, long long)
    {61, 1373, 30, 1, Smoke::mf_static, 306, 11},	//1469 KFilterDev::deviceForFile(const QString&)
    {61, 1373, 95, 2, Smoke::mf_static, 306, 12},	//1470 KFilterDev::deviceForFile(const QString&, const QString&)
    {61, 1370, 1150, 2, Smoke::mf_static, 306, 13},	//1471 KFilterDev::device(QIODevice*, const QString&)
    {61, 3391, 0, 0, Smoke::mf_dtor, 0, 14 },	//1472 KFilterDev::~KFilterDev()
    {62, 2048, 0, 0, Smoke::mf_static, 469, 1},	//1473 KGlobal::mainComponent()
    {62, 1385, 0, 0, Smoke::mf_static, 201, 2},	//1474 KGlobal::dirs()
    {62, 1129, 0, 0, Smoke::mf_static, 35, 3},	//1475 KGlobal::charsets()
    {62, 2510, 430, 1, Smoke::mf_static, 0, 4},	//1476 KGlobal::setActiveComponent(const KComponentData&)
    {62, 1688, 0, 0, Smoke::mf_static, 452, 5},	//1477 KGlobal::hasMainComponent()
    {62, 1752, 30, 1, Smoke::mf_static, 0, 6},	//1478 KGlobal::insertCatalog(const QString&)
    {62, 1541, 1153, 2, Smoke::mf_static, 346, 7},	//1479 KGlobal::findDirectChild_helper(const QObject*, const QMetaObject&)
    {62, 3041, 30, 1, Smoke::mf_static, 592, 8},	//1480 KGlobal::staticQString(const QString&)
    {62, 2406, 0, 0, Smoke::mf_static, 0, 9},	//1481 KGlobal::ref()
    {62, 2514, 103, 1, Smoke::mf_static, 0, 10},	//1482 KGlobal::setAllowQuit(bool)
    {62, 1351, 0, 0, Smoke::mf_static, 0, 11},	//1483 KGlobal::deref()
    {62, 1176, 0, 0, Smoke::mf_static, 195, 12},	//1484 KGlobal::config()
    {62, 1687, 0, 0, Smoke::mf_static, 452, 13},	//1485 KGlobal::hasLocale()
    {62, 3187, 0, 0, Smoke::mf_static, 631, 14},	//1486 KGlobal::umask()
    {62, 847, 0, 0, Smoke::mf_static, 40, 15},	//1487 KGlobal::activeComponent()
    {62, 2702, 1156, 2, Smoke::mf_static, 0, 16},	//1488 KGlobal::setLocale(KLocale*, KGlobal::CopyCatalogs)
    {62, 2702, 1159, 1, Smoke::mf_static, 0, 17},	//1489 KGlobal::setLocale(KLocale*)
    {62, 3041, 122, 1, Smoke::mf_static, 592, 18},	//1490 KGlobal::staticQString(const char*)
    {62, 1997, 0, 0, Smoke::mf_static, 123, 19},	//1491 KGlobal::locale()
    {62, 1116, 0, 0, Smoke::mf_static, 352, 20},	//1492 KGlobal::caption()
    {62, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 21},	//1493 KGlobal::DoCopyCatalogs (enum)
    {62, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 22},	//1494 KGlobal::DontCopyCatalogs (enum)
    {63, 2070, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 584, 1},	//1495 KJob::metaObject() const
    {63, 2311, 122, 1, Smoke::mf_virtual, 638, 2},	//1496 KJob::qt_metacast(const char*)
    {63, 3141, 124, 2, Smoke::mf_static, 352, 3},	//1497 KJob::tr(const char*, const char*)
    {63, 3148, 124, 2, Smoke::mf_static, 352, 4},	//1498 KJob::trUtf8(const char*, const char*)
    {63, 3141, 127, 3, Smoke::mf_static, 352, 5},	//1499 KJob::tr(const char*, const char*, int)
    {63, 3148, 127, 3, Smoke::mf_static, 352, 6},	//1500 KJob::trUtf8(const char*, const char*, int)
    {63, 2309, 131, 3, Smoke::mf_virtual, 615, 7},	//1501 KJob::qt_metacall(QMetaObject::Call, int, void**)
    {63, 383, 146, 1, Smoke::mf_ctor, 109, 8},	//1502 KJob::KJob(QObject*)
    {63, 2918, 1161, 1, 0, 0, 9},	//1503 KJob::setUiDelegate(KJobUiDelegate*)
    {63, 3185, 0, 0, Smoke::mf_const, 115, 10},	//1504 KJob::uiDelegate() const
    {63, 1114, 0, 0, Smoke::mf_const, 288, 11},	//1505 KJob::capabilities() const
    {63, 1873, 0, 0, Smoke::mf_const, 452, 12},	//1506 KJob::isSuspended() const
    {63, 2982, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 13},	//1507 KJob::start() [pure virtual]
    {63, 1948, 1163, 1, Smoke::mf_slot, 452, 14},	//1508 KJob::kill(KJob::KillVerbosity)
    {63, 3073, 0, 0, Smoke::mf_slot, 452, 15},	//1509 KJob::suspend()
    {63, 2461, 0, 0, Smoke::mf_slot, 452, 16},	//1510 KJob::resume()
    {63, 1390, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 452, 17},	//1511 KJob::doKill()
    {63, 1392, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 452, 18},	//1512 KJob::doSuspend()
    {63, 1391, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 452, 19},	//1513 KJob::doResume()
    {63, 2545, 1165, 1, Smoke::mf_protected, 0, 20},	//1514 KJob::setCapabilities(QFlags<KJob::Capability>)
    {63, 1454, 0, 0, 0, 452, 21},	//1515 KJob::exec()
    {63, 1442, 0, 0, Smoke::mf_const, 615, 22},	//1516 KJob::error() const
    {63, 1447, 0, 0, Smoke::mf_const, 352, 23},	//1517 KJob::errorText() const
    {63, 1445, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 352, 24},	//1518 KJob::errorString() const
    {63, 2276, 1167, 1, Smoke::mf_const, 634, 25},	//1519 KJob::processedAmount(KJob::Unit) const
    {63, 3138, 1167, 1, Smoke::mf_const, 634, 26},	//1520 KJob::totalAmount(KJob::Unit) const
    {63, 2240, 0, 0, Smoke::mf_const, 633, 27},	//1521 KJob::percent() const
    {63, 2525, 103, 1, 0, 0, 28},	//1522 KJob::setAutoDelete(bool)
    {63, 1788, 0, 0, Smoke::mf_const, 452, 29},	//1523 KJob::isAutoDelete() const
    {63, 1352, 1169, 4, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//1524 KJob::description(KJob*, const QString&, const QPair<QString,QString>&, const QPair<QString,QString>&)
    {63, 1736, 447, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//1525 KJob::infoMessage(KJob*, const QString&, const QString&)
    {63, 3258, 447, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1526 KJob::warning(KJob*, const QString&, const QString&)
    {63, 2631, 118, 1, Smoke::mf_protected, 0, 33},	//1527 KJob::setError(int)
    {63, 2637, 30, 1, Smoke::mf_protected, 0, 34},	//1528 KJob::setErrorText(const QString&)
    {63, 2839, 1174, 2, Smoke::mf_protected, 0, 35},	//1529 KJob::setProcessedAmount(KJob::Unit, unsigned long long)
    {63, 2908, 1174, 2, Smoke::mf_protected, 0, 36},	//1530 KJob::setTotalAmount(KJob::Unit, unsigned long long)
    {63, 2822, 1177, 1, Smoke::mf_protected, 0, 37},	//1531 KJob::setPercent(unsigned long)
    {63, 1402, 0, 0, Smoke::mf_protected, 0, 38},	//1532 KJob::emitResult()
    {63, 1400, 1179, 2, Smoke::mf_protected, 0, 39},	//1533 KJob::emitPercent(unsigned long long, unsigned long long)
    {63, 1403, 1177, 1, Smoke::mf_protected, 0, 40},	//1534 KJob::emitSpeed(unsigned long)
    {63, 383, 1182, 2, Smoke::mf_ctor|Smoke::mf_protected, 109, 41},	//1535 KJob::KJob(KJobPrivate&, QObject*)
    {63, 3141, 122, 1, Smoke::mf_static, 352, 42},	//1536 KJob::tr(const char*)
    {63, 3148, 122, 1, Smoke::mf_static, 352, 43},	//1537 KJob::trUtf8(const char*)
    {63, 383, 0, 0, Smoke::mf_ctor, 109, 44},	//1538 KJob::KJob()
    {63, 1948, 0, 0, Smoke::mf_slot, 452, 45},	//1539 KJob::kill()
    {63, 1352, 1185, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//1540 KJob::description(KJob*, const QString&)
    {63, 1352, 1188, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//1541 KJob::description(KJob*, const QString&, const QPair<QString,QString>&)
    {63, 1736, 1185, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//1542 KJob::infoMessage(KJob*, const QString&)
    {63, 3258, 1185, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//1543 KJob::warning(KJob*, const QString&)
    {63, 3040, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 583, 50},	//1544 KJob::staticMetaObject() const
    {63, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 51},	//1545 KJob::Bytes (enum)
    {63, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 52},	//1546 KJob::Files (enum)
    {63, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 53},	//1547 KJob::Directories (enum)
    {63, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 54},	//1548 KJob::NoCapabilities (enum)
    {63, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 55},	//1549 KJob::Killable (enum)
    {63, 748, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 56},	//1550 KJob::Suspendable (enum)
    {63, 682, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 57},	//1551 KJob::Quietly (enum)
    {63, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 58},	//1552 KJob::EmitResult (enum)
    {63, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 619, 59},	//1553 KJob::NoError (enum)
    {63, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 619, 60},	//1554 KJob::KilledJobError (enum)
    {63, 810, 0, 0, Smoke::mf_static|Smoke::mf_enum, 619, 61},	//1555 KJob::UserDefinedError (enum)
    {63, 3392, 0, 0, Smoke::mf_dtor, 0, 62 },	//1556 KJob::~KJob()
    {65, 2070, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 584, 1},	//1557 KJobTrackerInterface::metaObject() const
    {65, 2311, 122, 1, Smoke::mf_virtual, 638, 2},	//1558 KJobTrackerInterface::qt_metacast(const char*)
    {65, 3141, 124, 2, Smoke::mf_static, 352, 3},	//1559 KJobTrackerInterface::tr(const char*, const char*)
    {65, 3148, 124, 2, Smoke::mf_static, 352, 4},	//1560 KJobTrackerInterface::trUtf8(const char*, const char*)
    {65, 3141, 127, 3, Smoke::mf_static, 352, 5},	//1561 KJobTrackerInterface::tr(const char*, const char*, int)
    {65, 3148, 127, 3, Smoke::mf_static, 352, 6},	//1562 KJobTrackerInterface::trUtf8(const char*, const char*, int)
    {65, 2309, 131, 3, Smoke::mf_virtual, 615, 7},	//1563 KJobTrackerInterface::qt_metacall(QMetaObject::Call, int, void**)
    {65, 386, 146, 1, Smoke::mf_ctor, 114, 8},	//1564 KJobTrackerInterface::KJobTrackerInterface(QObject*)
    {65, 2410, 445, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 9},	//1565 KJobTrackerInterface::registerJob(KJob*)
    {65, 3195, 445, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 10},	//1566 KJobTrackerInterface::unregisterJob(KJob*)
    {65, 1566, 445, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 11},	//1567 KJobTrackerInterface::finished(KJob*)
    {65, 3074, 445, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 12},	//1568 KJobTrackerInterface::suspended(KJob*)
    {65, 2462, 445, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 13},	//1569 KJobTrackerInterface::resumed(KJob*)
    {65, 1352, 1169, 4, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 14},	//1570 KJobTrackerInterface::description(KJob*, const QString&, const QPair<QString,QString>&, const QPair<QString,QString>&)
    {65, 1736, 447, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 15},	//1571 KJobTrackerInterface::infoMessage(KJob*, const QString&, const QString&)
    {65, 3258, 447, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 16},	//1572 KJobTrackerInterface::warning(KJob*, const QString&, const QString&)
    {65, 3138, 1192, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 17},	//1573 KJobTrackerInterface::totalAmount(KJob*, KJob::Unit, qulonglong)
    {65, 2276, 1192, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 18},	//1574 KJobTrackerInterface::processedAmount(KJob*, KJob::Unit, qulonglong)
    {65, 2240, 1196, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//1575 KJobTrackerInterface::percent(KJob*, unsigned long)
    {65, 2966, 1196, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 20},	//1576 KJobTrackerInterface::speed(KJob*, unsigned long)
    {65, 3141, 122, 1, Smoke::mf_static, 352, 21},	//1577 KJobTrackerInterface::tr(const char*)
    {65, 3148, 122, 1, Smoke::mf_static, 352, 22},	//1578 KJobTrackerInterface::trUtf8(const char*)
    {65, 386, 0, 0, Smoke::mf_ctor, 114, 23},	//1579 KJobTrackerInterface::KJobTrackerInterface()
    {65, 3040, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 583, 24},	//1580 KJobTrackerInterface::staticMetaObject() const
    {65, 3393, 0, 0, Smoke::mf_dtor, 0, 25 },	//1581 KJobTrackerInterface::~KJobTrackerInterface()
    {66, 2070, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 584, 1},	//1582 KJobUiDelegate::metaObject() const
    {66, 2311, 122, 1, Smoke::mf_virtual, 638, 2},	//1583 KJobUiDelegate::qt_metacast(const char*)
    {66, 3141, 124, 2, Smoke::mf_static, 352, 3},	//1584 KJobUiDelegate::tr(const char*, const char*)
    {66, 3148, 124, 2, Smoke::mf_static, 352, 4},	//1585 KJobUiDelegate::trUtf8(const char*, const char*)
    {66, 3141, 127, 3, Smoke::mf_static, 352, 5},	//1586 KJobUiDelegate::tr(const char*, const char*, int)
    {66, 3148, 127, 3, Smoke::mf_static, 352, 6},	//1587 KJobUiDelegate::trUtf8(const char*, const char*, int)
    {66, 2309, 131, 3, Smoke::mf_virtual, 615, 7},	//1588 KJobUiDelegate::qt_metacall(QMetaObject::Call, int, void**)
    {66, 388, 0, 0, Smoke::mf_ctor, 115, 8},	//1589 KJobUiDelegate::KJobUiDelegate()
    {66, 1893, 0, 0, Smoke::mf_protected, 109, 9},	//1590 KJobUiDelegate::job()
    {66, 2947, 0, 0, Smoke::mf_virtual, 0, 10},	//1591 KJobUiDelegate::showErrorMessage()
    {66, 2529, 103, 1, 0, 0, 11},	//1592 KJobUiDelegate::setAutoErrorHandlingEnabled(bool)
    {66, 1789, 0, 0, Smoke::mf_const, 452, 12},	//1593 KJobUiDelegate::isAutoErrorHandlingEnabled() const
    {66, 2533, 103, 1, 0, 0, 13},	//1594 KJobUiDelegate::setAutoWarningHandlingEnabled(bool)
    {66, 1790, 0, 0, Smoke::mf_const, 452, 14},	//1595 KJobUiDelegate::isAutoWarningHandlingEnabled() const
    {66, 2962, 447, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 15},	//1596 KJobUiDelegate::slotWarning(KJob*, const QString&, const QString&)
    {66, 3141, 122, 1, Smoke::mf_static, 352, 16},	//1597 KJobUiDelegate::tr(const char*)
    {66, 3148, 122, 1, Smoke::mf_static, 352, 17},	//1598 KJobUiDelegate::trUtf8(const char*)
    {66, 3040, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 583, 18},	//1599 KJobUiDelegate::staticMetaObject() const
    {66, 3394, 0, 0, Smoke::mf_dtor, 0, 19 },	//1600 KJobUiDelegate::~KJobUiDelegate()
    {67, 2070, 0, 0, Smoke::mf_const, 584, 1},	//1601 KLibLoader::metaObject() const
    {67, 2311, 122, 1, 0, 638, 2},	//1602 KLibLoader::qt_metacast(const char*)
    {67, 3141, 124, 2, Smoke::mf_static, 352, 3},	//1603 KLibLoader::tr(const char*, const char*)
    {67, 3148, 124, 2, Smoke::mf_static, 352, 4},	//1604 KLibLoader::trUtf8(const char*, const char*)
    {67, 3141, 127, 3, Smoke::mf_static, 352, 5},	//1605 KLibLoader::tr(const char*, const char*, int)
    {67, 3148, 127, 3, Smoke::mf_static, 352, 6},	//1606 KLibLoader::trUtf8(const char*, const char*, int)
    {67, 2309, 131, 3, 0, 615, 7},	//1607 KLibLoader::qt_metacall(QMetaObject::Call, int, void**)
    {67, 1493, 1199, 2, 0, 157, 8},	//1608 KLibLoader::factory(const QString&, QFlags<QLibrary::LoadHint>)
    {67, 1977, 1199, 2, 0, 118, 9},	//1609 KLibLoader::library(const QString&, QFlags<QLibrary::LoadHint>)
    {67, 1969, 0, 0, Smoke::mf_const, 352, 10},	//1610 KLibLoader::lastErrorMessage() const
    {67, 3192, 30, 1, 0, 0, 11},	//1611 KLibLoader::unloadLibrary(const QString&)
    {67, 2486, 0, 0, Smoke::mf_static, 116, 12},	//1612 KLibLoader::self()
    {67, 1559, 1202, 2, Smoke::mf_static, 352, 13},	//1613 KLibLoader::findLibrary(const QString&, const KComponentData&)
    {67, 1445, 118, 1, Smoke::mf_static, 352, 14},	//1614 KLibLoader::errorString(int)
    {67, 3141, 122, 1, Smoke::mf_static, 352, 15},	//1615 KLibLoader::tr(const char*)
    {67, 3148, 122, 1, Smoke::mf_static, 352, 16},	//1616 KLibLoader::trUtf8(const char*)
    {67, 1493, 30, 1, 0, 157, 17},	//1617 KLibLoader::factory(const QString&)
    {67, 1977, 30, 1, 0, 118, 18},	//1618 KLibLoader::library(const QString&)
    {67, 1559, 30, 1, Smoke::mf_static, 352, 19},	//1619 KLibLoader::findLibrary(const QString&)
    {67, 3040, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 583, 20},	//1620 KLibLoader::staticMetaObject() const
    {67, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 21},	//1621 KLibLoader::ErrNoLibrary (enum)
    {67, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 22},	//1622 KLibLoader::ErrNoFactory (enum)
    {67, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 23},	//1623 KLibLoader::ErrNoComponent (enum)
    {67, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 24},	//1624 KLibLoader::ErrServiceProvidesNoLibrary (enum)
    {67, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 25},	//1625 KLibLoader::ErrNoServiceFound (enum)
    {68, 2070, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 584, 1},	//1626 KLibrary::metaObject() const
    {68, 2311, 122, 1, Smoke::mf_virtual, 638, 2},	//1627 KLibrary::qt_metacast(const char*)
    {68, 3141, 124, 2, Smoke::mf_static, 352, 3},	//1628 KLibrary::tr(const char*, const char*)
    {68, 3148, 124, 2, Smoke::mf_static, 352, 4},	//1629 KLibrary::trUtf8(const char*, const char*)
    {68, 3141, 127, 3, Smoke::mf_static, 352, 5},	//1630 KLibrary::tr(const char*, const char*, int)
    {68, 3148, 127, 3, Smoke::mf_static, 352, 6},	//1631 KLibrary::trUtf8(const char*, const char*, int)
    {68, 2309, 131, 3, Smoke::mf_virtual, 615, 7},	//1632 KLibrary::qt_metacall(QMetaObject::Call, int, void**)
    {68, 389, 146, 1, Smoke::mf_ctor, 118, 8},	//1633 KLibrary::KLibrary(QObject*)
    {68, 389, 1205, 3, Smoke::mf_ctor, 118, 9},	//1634 KLibrary::KLibrary(const QString&, const KComponentData&, QObject*)
    {68, 389, 1209, 4, Smoke::mf_ctor, 118, 10},	//1635 KLibrary::KLibrary(const QString&, int, const KComponentData&, QObject*)
    {68, 1493, 122, 1, 0, 157, 11},	//1636 KLibrary::factory(const char*)
    {68, 2454, 122, 1, 0, 638, 12},	//1637 KLibrary::resolveSymbol(const char*)
    {68, 2452, 122, 1, 0, 637, 13},	//1638 KLibrary::resolveFunction(const char*)
    {68, 2649, 1202, 2, 0, 0, 14},	//1639 KLibrary::setFileName(const QString&, const KComponentData&)
    {68, 3191, 0, 0, 0, 452, 15},	//1640 KLibrary::unload()
    {68, 3141, 122, 1, Smoke::mf_static, 352, 16},	//1641 KLibrary::tr(const char*)
    {68, 3148, 122, 1, Smoke::mf_static, 352, 17},	//1642 KLibrary::trUtf8(const char*)
    {68, 389, 0, 0, Smoke::mf_ctor, 118, 18},	//1643 KLibrary::KLibrary()
    {68, 389, 30, 1, Smoke::mf_ctor, 118, 19},	//1644 KLibrary::KLibrary(const QString&)
    {68, 389, 1202, 2, Smoke::mf_ctor, 118, 20},	//1645 KLibrary::KLibrary(const QString&, const KComponentData&)
    {68, 389, 1014, 2, Smoke::mf_ctor, 118, 21},	//1646 KLibrary::KLibrary(const QString&, int)
    {68, 389, 1214, 3, Smoke::mf_ctor, 118, 22},	//1647 KLibrary::KLibrary(const QString&, int, const KComponentData&)
    {68, 1493, 0, 0, 0, 157, 23},	//1648 KLibrary::factory()
    {68, 2649, 30, 1, 0, 0, 24},	//1649 KLibrary::setFileName(const QString&)
    {68, 3040, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 583, 25},	//1650 KLibrary::staticMetaObject() const
    {68, 3395, 0, 0, Smoke::mf_dtor, 0, 26 },	//1651 KLibrary::~KLibrary()
    {69, 2070, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 584, 1},	//1652 KLocalSocket::metaObject() const
    {69, 2311, 122, 1, Smoke::mf_virtual, 638, 2},	//1653 KLocalSocket::qt_metacast(const char*)
    {69, 3141, 124, 2, Smoke::mf_static, 352, 3},	//1654 KLocalSocket::tr(const char*, const char*)
    {69, 3148, 124, 2, Smoke::mf_static, 352, 4},	//1655 KLocalSocket::trUtf8(const char*, const char*)
    {69, 3141, 127, 3, Smoke::mf_static, 352, 5},	//1656 KLocalSocket::tr(const char*, const char*, int)
    {69, 3148, 127, 3, Smoke::mf_static, 352, 6},	//1657 KLocalSocket::trUtf8(const char*, const char*, int)
    {69, 2309, 131, 3, Smoke::mf_virtual, 615, 7},	//1658 KLocalSocket::qt_metacall(QMetaObject::Call, int, void**)
    {69, 397, 146, 1, Smoke::mf_ctor, 119, 8},	//1659 KLocalSocket::KLocalSocket(QObject*)
    {69, 1188, 1218, 2, 0, 0, 9},	//1660 KLocalSocket::connectToPath(const QString&, QFlags<QIODevice::OpenModeFlag>)
    {69, 1188, 1221, 3, 0, 0, 10},	//1661 KLocalSocket::connectToPath(const QString&, KLocalSocket::LocalSocketType, QFlags<QIODevice::OpenModeFlag>)
    {69, 1388, 0, 0, 0, 0, 11},	//1662 KLocalSocket::disconnectFromPath()
    {69, 1996, 0, 0, Smoke::mf_const, 120, 12},	//1663 KLocalSocket::localSocketType() const
    {69, 1995, 0, 0, Smoke::mf_const, 352, 13},	//1664 KLocalSocket::localPath() const
    {69, 2239, 0, 0, Smoke::mf_const, 352, 14},	//1665 KLocalSocket::peerPath() const
    {69, 1186, 1225, 3, Smoke::mf_protected|Smoke::mf_slot, 0, 15},	//1666 KLocalSocket::connectToHostImplementation(const QString&, quint16, QIODevice::OpenMode)
    {69, 1387, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 16},	//1667 KLocalSocket::disconnectFromHostImplementation()
    {69, 3141, 122, 1, Smoke::mf_static, 352, 17},	//1668 KLocalSocket::tr(const char*)
    {69, 3148, 122, 1, Smoke::mf_static, 352, 18},	//1669 KLocalSocket::trUtf8(const char*)
    {69, 397, 0, 0, Smoke::mf_ctor, 119, 19},	//1670 KLocalSocket::KLocalSocket()
    {69, 1188, 30, 1, 0, 0, 20},	//1671 KLocalSocket::connectToPath(const QString&)
    {69, 1188, 1229, 2, 0, 0, 21},	//1672 KLocalSocket::connectToPath(const QString&, KLocalSocket::LocalSocketType)
    {69, 3040, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 583, 22},	//1673 KLocalSocket::staticMetaObject() const
    {69, 796, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 23},	//1674 KLocalSocket::UnixSocket (enum)
    {69, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 24},	//1675 KLocalSocket::AbstractUnixSocket (enum)
    {69, 799, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 25},	//1676 KLocalSocket::UnknownLocalSocketType (enum)
    {69, 3396, 0, 0, Smoke::mf_dtor, 0, 26 },	//1677 KLocalSocket::~KLocalSocket()
    {70, 2070, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 584, 1},	//1678 KLocalSocketServer::metaObject() const
    {70, 2311, 122, 1, Smoke::mf_virtual, 638, 2},	//1679 KLocalSocketServer::qt_metacast(const char*)
    {70, 3141, 124, 2, Smoke::mf_static, 352, 3},	//1680 KLocalSocketServer::tr(const char*, const char*)
    {70, 3148, 124, 2, Smoke::mf_static, 352, 4},	//1681 KLocalSocketServer::trUtf8(const char*, const char*)
    {70, 3141, 127, 3, Smoke::mf_static, 352, 5},	//1682 KLocalSocketServer::tr(const char*, const char*, int)
    {70, 3148, 127, 3, Smoke::mf_static, 352, 6},	//1683 KLocalSocketServer::trUtf8(const char*, const char*, int)
    {70, 2309, 131, 3, Smoke::mf_virtual, 615, 7},	//1684 KLocalSocketServer::qt_metacall(QMetaObject::Call, int, void**)
    {70, 399, 146, 1, Smoke::mf_ctor, 121, 8},	//1685 KLocalSocketServer::KLocalSocketServer(QObject*)
    {70, 1984, 1229, 2, 0, 452, 9},	//1686 KLocalSocketServer::listen(const QString&, KLocalSocket::LocalSocketType)
    {70, 1157, 0, 0, 0, 0, 10},	//1687 KLocalSocketServer::close()
    {70, 1842, 0, 0, Smoke::mf_const, 452, 11},	//1688 KLocalSocketServer::isListening() const
    {70, 2770, 118, 1, 0, 0, 12},	//1689 KLocalSocketServer::setMaxPendingConnections(int)
    {70, 2059, 0, 0, Smoke::mf_const, 615, 13},	//1690 KLocalSocketServer::maxPendingConnections() const
    {70, 1996, 0, 0, Smoke::mf_const, 120, 14},	//1691 KLocalSocketServer::localSocketType() const
    {70, 1995, 0, 0, Smoke::mf_const, 352, 15},	//1692 KLocalSocketServer::localPath() const
    {70, 3252, 1232, 2, 0, 452, 16},	//1693 KLocalSocketServer::waitForNewConnection(int, bool*)
    {70, 1700, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 452, 17},	//1694 KLocalSocketServer::hasPendingConnections() const
    {70, 2129, 0, 0, Smoke::mf_virtual, 119, 18},	//1695 KLocalSocketServer::nextPendingConnection()
    {70, 2488, 0, 0, Smoke::mf_const, 263, 19},	//1696 KLocalSocketServer::serverError() const
    {70, 1445, 0, 0, Smoke::mf_const, 352, 20},	//1697 KLocalSocketServer::errorString() const
    {70, 1734, 118, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1698 KLocalSocketServer::incomingConnection(int)
    {70, 2124, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//1699 KLocalSocketServer::newConnection()
    {70, 3141, 122, 1, Smoke::mf_static, 352, 23},	//1700 KLocalSocketServer::tr(const char*)
    {70, 3148, 122, 1, Smoke::mf_static, 352, 24},	//1701 KLocalSocketServer::trUtf8(const char*)
    {70, 399, 0, 0, Smoke::mf_ctor, 121, 25},	//1702 KLocalSocketServer::KLocalSocketServer()
    {70, 1984, 30, 1, 0, 452, 26},	//1703 KLocalSocketServer::listen(const QString&)
    {70, 3252, 0, 0, 0, 452, 27},	//1704 KLocalSocketServer::waitForNewConnection()
    {70, 3252, 118, 1, 0, 452, 28},	//1705 KLocalSocketServer::waitForNewConnection(int)
    {70, 3040, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 583, 29},	//1706 KLocalSocketServer::staticMetaObject() const
    {70, 3397, 0, 0, Smoke::mf_dtor, 0, 30 },	//1707 KLocalSocketServer::~KLocalSocketServer()
    {71, 401, 310, 2, Smoke::mf_ctor, 123, 1},	//1708 KLocale::KLocale(const QString&, KSharedPtr<KSharedConfig>)
    {71, 401, 1235, 4, Smoke::mf_ctor, 123, 2},	//1709 KLocale::KLocale(const QString&, const QString&, const QString&, KConfig*)
    {71, 401, 1240, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 123, 3},	//1710 KLocale::KLocale(const KLocale&)
    {71, 2192, 1240, 1, 0, 122, 4},	//1711 KLocale::operator=(const KLocale&)
    {71, 3177, 1242, 4, Smoke::mf_const, 0, 5},	//1712 KLocale::translateRawFrom(const char*, const char*, QString*, QString*) const
    {71, 3172, 1247, 3, Smoke::mf_const, 0, 6},	//1713 KLocale::translateRaw(const char*, QString*, QString*) const
    {71, 3177, 1251, 5, Smoke::mf_const, 0, 7},	//1714 KLocale::translateRawFrom(const char*, const char*, const char*, QString*, QString*) const
    {71, 3172, 1242, 4, Smoke::mf_const, 0, 8},	//1715 KLocale::translateRaw(const char*, const char*, QString*, QString*) const
    {71, 3177, 1257, 6, Smoke::mf_const, 0, 9},	//1716 KLocale::translateRawFrom(const char*, const char*, const char*, unsigned long, QString*, QString*) const
    {71, 3172, 1264, 5, Smoke::mf_const, 0, 10},	//1717 KLocale::translateRaw(const char*, const char*, unsigned long, QString*, QString*) const
    {71, 3177, 1270, 7, Smoke::mf_const, 0, 11},	//1718 KLocale::translateRawFrom(const char*, const char*, const char*, const char*, unsigned long, QString*, QString*) const
    {71, 3172, 1257, 6, Smoke::mf_const, 0, 12},	//1719 KLocale::translateRaw(const char*, const char*, const char*, unsigned long, QString*, QString*) const
    {71, 2625, 118, 1, 0, 452, 13},	//1720 KLocale::setEncoding(int)
    {71, 1378, 1278, 2, Smoke::mf_const, 352, 14},	//1721 KLocale::digitSetToName(KLocale::DigitSet, bool) const
    {71, 1015, 0, 0, Smoke::mf_const, 319, 15},	//1722 KLocale::allDigitSetsList() const
    {71, 1315, 0, 0, Smoke::mf_const, 352, 16},	//1723 KLocale::decimalSymbol() const
    {71, 3102, 0, 0, Smoke::mf_const, 352, 17},	//1724 KLocale::thousandsSeparator() const
    {71, 1377, 0, 0, Smoke::mf_const, 133, 18},	//1725 KLocale::digitSet() const
    {71, 1232, 0, 0, Smoke::mf_const, 352, 19},	//1726 KLocale::currencyCode() const
    {71, 1231, 0, 0, Smoke::mf_const, 83, 20},	//1727 KLocale::currency() const
    {71, 1237, 0, 0, Smoke::mf_const, 352, 21},	//1728 KLocale::currencySymbol() const
    {71, 2089, 0, 0, Smoke::mf_const, 352, 22},	//1729 KLocale::monetaryDecimalSymbol() const
    {71, 2091, 0, 0, Smoke::mf_const, 352, 23},	//1730 KLocale::monetaryThousandsSeparator() const
    {71, 2260, 0, 0, Smoke::mf_const, 352, 24},	//1731 KLocale::positiveSign() const
    {71, 2123, 0, 0, Smoke::mf_const, 352, 25},	//1732 KLocale::negativeSign() const
    {71, 1613, 0, 0, Smoke::mf_const, 615, 26},	//1733 KLocale::fracDigits() const
    {71, 1314, 0, 0, Smoke::mf_const, 615, 27},	//1734 KLocale::decimalPlaces() const
    {71, 2088, 0, 0, Smoke::mf_const, 615, 28},	//1735 KLocale::monetaryDecimalPlaces() const
    {71, 2259, 0, 0, Smoke::mf_const, 452, 29},	//1736 KLocale::positivePrefixCurrencySymbol() const
    {71, 2122, 0, 0, Smoke::mf_const, 452, 30},	//1737 KLocale::negativePrefixCurrencySymbol() const
    {71, 2258, 0, 0, Smoke::mf_const, 137, 31},	//1738 KLocale::positiveMonetarySignPosition() const
    {71, 2121, 0, 0, Smoke::mf_const, 137, 32},	//1739 KLocale::negativeMonetarySignPosition() const
    {71, 2090, 0, 0, Smoke::mf_const, 133, 33},	//1740 KLocale::monetaryDigitSet() const
    {71, 1601, 1281, 3, Smoke::mf_const, 352, 34},	//1741 KLocale::formatMoney(double, const QString&, int) const
    {71, 1605, 1285, 2, Smoke::mf_const, 352, 35},	//1742 KLocale::formatNumber(double, int) const
    {71, 1605, 1288, 3, Smoke::mf_const, 352, 36},	//1743 KLocale::formatNumber(const QString&, bool, int) const
    {71, 1599, 1292, 1, Smoke::mf_const, 352, 37},	//1744 KLocale::formatLong(long) const
    {71, 1580, 798, 1, Smoke::mf_const, 352, 38},	//1745 KLocale::formatByteSize(double) const
    {71, 1580, 1294, 4, Smoke::mf_const, 352, 39},	//1746 KLocale::formatByteSize(double, int, KLocale::BinaryUnitDialect, KLocale::BinarySizeUnits) const
    {71, 1089, 0, 0, Smoke::mf_const, 125, 40},	//1747 KLocale::binaryUnitDialect() const
    {71, 2537, 1299, 1, 0, 0, 41},	//1748 KLocale::setBinaryUnitDialect(KLocale::BinaryUnitDialect)
    {71, 1594, 1177, 1, Smoke::mf_const, 352, 42},	//1749 KLocale::formatDuration(unsigned long) const
    {71, 2266, 1177, 1, Smoke::mf_const, 352, 43},	//1750 KLocale::prettyFormatDuration(unsigned long) const
    {71, 2133, 0, 0, Smoke::mf_const, 452, 44},	//1751 KLocale::nounDeclension() const
    {71, 1585, 263, 2, Smoke::mf_const, 352, 45},	//1752 KLocale::formatDate(const QDate&, KLocale::DateFormat) const
    {71, 1590, 1301, 3, Smoke::mf_const, 352, 46},	//1753 KLocale::formatDateTime(const QDateTime&, KLocale::DateFormat, bool) const
    {71, 1590, 1305, 3, Smoke::mf_const, 352, 47},	//1754 KLocale::formatDateTime(const KDateTime&, KLocale::DateFormat, QFlags<KLocale::DateTimeFormatOption>) const
    {71, 1267, 0, 0, Smoke::mf_const, 452, 48},	//1755 KLocale::dateMonthNamePossessive() const
    {71, 1609, 1309, 3, Smoke::mf_const, 352, 49},	//1756 KLocale::formatTime(const QTime&, bool, bool) const
    {71, 1596, 1313, 2, Smoke::mf_const, 352, 50},	//1757 KLocale::formatLocaleTime(const QTime&, QFlags<KLocale::TimeFormatOption>) const
    {71, 1270, 0, 0, Smoke::mf_const, 133, 51},	//1758 KLocale::dateTimeDigitSet() const
    {71, 3215, 0, 0, Smoke::mf_const, 452, 52},	//1759 KLocale::use12Clock() const
    {71, 1285, 1316, 2, Smoke::mf_const, 352, 53},	//1760 KLocale::dayPeriodText(const QTime&, KLocale::DateTimeComponentFormat) const
    {71, 3282, 0, 0, Smoke::mf_const, 615, 54},	//1761 KLocale::weekStartDay() const
    {71, 3297, 0, 0, Smoke::mf_const, 615, 55},	//1762 KLocale::workingWeekStartDay() const
    {71, 3296, 0, 0, Smoke::mf_const, 615, 56},	//1763 KLocale::workingWeekEndDay() const
    {71, 3274, 0, 0, Smoke::mf_const, 615, 57},	//1764 KLocale::weekDayOfPray() const
    {71, 1098, 0, 0, Smoke::mf_const, 464, 58},	//1765 KLocale::calendar() const
    {71, 1108, 0, 0, Smoke::mf_const, 352, 59},	//1766 KLocale::calendarType() const
    {71, 1102, 0, 0, Smoke::mf_const, 126, 60},	//1767 KLocale::calendarSystem() const
    {71, 2541, 30, 1, 0, 0, 61},	//1768 KLocale::setCalendar(const QString&)
    {71, 2543, 177, 1, 0, 0, 62},	//1769 KLocale::setCalendarSystem(KLocale::CalendarSystem)
    {71, 2928, 1319, 1, 0, 0, 63},	//1770 KLocale::setWeekNumberSystem(KLocale::WeekNumberSystem)
    {71, 3281, 0, 0, 0, 140, 64},	//1771 KLocale::weekNumberSystem()
    {71, 3281, 0, 0, Smoke::mf_const, 140, 65},	//1772 KLocale::weekNumberSystem() const
    {71, 2378, 280, 2, Smoke::mf_const, 612, 66},	//1773 KLocale::readMoney(const QString&, bool*) const
    {71, 2382, 280, 2, Smoke::mf_const, 612, 67},	//1774 KLocale::readNumber(const QString&, bool*) const
    {71, 2348, 280, 2, Smoke::mf_const, 277, 68},	//1775 KLocale::readDate(const QString&, bool*) const
    {71, 2348, 287, 3, Smoke::mf_const, 277, 69},	//1776 KLocale::readDate(const QString&, const QString&, bool*) const
    {71, 2348, 283, 3, Smoke::mf_const, 277, 70},	//1777 KLocale::readDate(const QString&, KLocale::ReadDateFlags, bool*) const
    {71, 2389, 280, 2, Smoke::mf_const, 362, 71},	//1778 KLocale::readTime(const QString&, bool*) const
    {71, 2389, 1321, 3, Smoke::mf_const, 362, 72},	//1779 KLocale::readTime(const QString&, KLocale::ReadTimeFlags, bool*) const
    {71, 2373, 1325, 4, Smoke::mf_const, 362, 73},	//1780 KLocale::readLocaleTime(const QString&, bool*, QFlags<KLocale::TimeFormatOption>, QFlags<KLocale::TimeProcessingOption>) const
    {71, 1957, 0, 0, Smoke::mf_const, 352, 74},	//1781 KLocale::language() const
    {71, 1208, 0, 0, Smoke::mf_const, 352, 75},	//1782 KLocale::country() const
    {71, 1212, 0, 0, Smoke::mf_const, 352, 76},	//1783 KLocale::countryDivisionCode() const
    {71, 1962, 0, 0, Smoke::mf_const, 355, 77},	//1784 KLocale::languageList() const
    {71, 1233, 0, 0, Smoke::mf_const, 355, 78},	//1785 KLocale::currencyCodeList() const
    {71, 1414, 0, 0, Smoke::mf_const, 548, 79},	//1786 KLocale::encoding() const
    {71, 1418, 0, 0, Smoke::mf_const, 615, 80},	//1787 KLocale::encodingMib() const
    {71, 1161, 0, 0, Smoke::mf_const, 360, 81},	//1788 KLocale::codecForEncoding() const
    {71, 1504, 0, 0, Smoke::mf_const, 615, 82},	//1789 KLocale::fileEncodingMib() const
    {71, 2586, 30, 1, 0, 0, 83},	//1790 KLocale::setDateFormat(const QString&)
    {71, 2588, 30, 1, 0, 0, 84},	//1791 KLocale::setDateFormatShort(const QString&)
    {71, 2592, 103, 1, 0, 0, 85},	//1792 KLocale::setDateMonthNamePossessive(bool)
    {71, 2900, 30, 1, 0, 0, 86},	//1793 KLocale::setTimeFormat(const QString&)
    {71, 2598, 1330, 1, 0, 0, 87},	//1794 KLocale::setDateTimeDigitSet(KLocale::DigitSet)
    {71, 2930, 118, 1, 0, 0, 88},	//1795 KLocale::setWeekStartDay(int)
    {71, 2936, 118, 1, 0, 0, 89},	//1796 KLocale::setWorkingWeekStartDay(int)
    {71, 2934, 118, 1, 0, 0, 90},	//1797 KLocale::setWorkingWeekEndDay(int)
    {71, 2926, 118, 1, 0, 0, 91},	//1798 KLocale::setWeekDayOfPray(int)
    {71, 1264, 0, 0, Smoke::mf_const, 352, 92},	//1799 KLocale::dateFormat() const
    {71, 1265, 0, 0, Smoke::mf_const, 352, 93},	//1800 KLocale::dateFormatShort() const
    {71, 3106, 0, 0, Smoke::mf_const, 352, 94},	//1801 KLocale::timeFormat() const
    {71, 2602, 30, 1, 0, 0, 95},	//1802 KLocale::setDecimalSymbol(const QString&)
    {71, 2896, 30, 1, 0, 0, 96},	//1803 KLocale::setThousandsSeparator(const QString&)
    {71, 2833, 30, 1, 0, 0, 97},	//1804 KLocale::setPositiveSign(const QString&)
    {71, 2798, 30, 1, 0, 0, 98},	//1805 KLocale::setNegativeSign(const QString&)
    {71, 2617, 1330, 1, 0, 0, 99},	//1806 KLocale::setDigitSet(KLocale::DigitSet)
    {71, 2829, 1332, 1, 0, 0, 100},	//1807 KLocale::setPositiveMonetarySignPosition(KLocale::SignPosition)
    {71, 2794, 1332, 1, 0, 0, 101},	//1808 KLocale::setNegativeMonetarySignPosition(KLocale::SignPosition)
    {71, 2831, 103, 1, 0, 0, 102},	//1809 KLocale::setPositivePrefixCurrencySymbol(bool)
    {71, 2796, 103, 1, 0, 0, 103},	//1810 KLocale::setNegativePrefixCurrencySymbol(bool)
    {71, 2656, 118, 1, 0, 0, 104},	//1811 KLocale::setFracDigits(int)
    {71, 2600, 118, 1, 0, 0, 105},	//1812 KLocale::setDecimalPlaces(int)
    {71, 2784, 118, 1, 0, 0, 106},	//1813 KLocale::setMonetaryDecimalPlaces(int)
    {71, 2790, 30, 1, 0, 0, 107},	//1814 KLocale::setMonetaryThousandsSeparator(const QString&)
    {71, 2786, 30, 1, 0, 0, 108},	//1815 KLocale::setMonetaryDecimalSymbol(const QString&)
    {71, 2565, 30, 1, 0, 0, 109},	//1816 KLocale::setCurrencyCode(const QString&)
    {71, 2567, 30, 1, 0, 0, 110},	//1817 KLocale::setCurrencySymbol(const QString&)
    {71, 2788, 1330, 1, 0, 0, 111},	//1818 KLocale::setMonetaryDigitSet(KLocale::DigitSet)
    {71, 2221, 0, 0, Smoke::mf_const, 615, 112},	//1819 KLocale::pageSize() const
    {71, 2814, 118, 1, 0, 0, 113},	//1820 KLocale::setPageSize(int)
    {71, 2065, 0, 0, Smoke::mf_const, 134, 114},	//1821 KLocale::measureSystem() const
    {71, 2774, 1334, 1, 0, 0, 115},	//1822 KLocale::setMeasureSystem(KLocale::MeasureSystem)
    {71, 1752, 30, 1, 0, 0, 116},	//1823 KLocale::insertCatalog(const QString&)
    {71, 2426, 30, 1, 0, 0, 117},	//1824 KLocale::removeCatalog(const QString&)
    {71, 2508, 30, 1, 0, 0, 118},	//1825 KLocale::setActiveCatalog(const QString&)
    {71, 3170, 1336, 3, Smoke::mf_const, 352, 119},	//1826 KLocale::translateQt(const char*, const char*, const char*) const
    {71, 1018, 0, 0, Smoke::mf_const, 355, 120},	//1827 KLocale::allLanguagesList() const
    {71, 1756, 0, 0, Smoke::mf_const, 355, 121},	//1828 KLocale::installedLanguages() const
    {71, 1958, 30, 1, Smoke::mf_const, 352, 122},	//1829 KLocale::languageCodeToName(const QString&) const
    {71, 1012, 0, 0, Smoke::mf_const, 355, 123},	//1830 KLocale::allCountriesList() const
    {71, 1210, 30, 1, Smoke::mf_const, 352, 124},	//1831 KLocale::countryCodeToName(const QString&) const
    {71, 2976, 1340, 5, Smoke::mf_static, 0, 125},	//1832 KLocale::splitLocale(const QString&, QString&, QString&, QString&, QString&)
    {71, 2762, 122, 1, Smoke::mf_static, 0, 126},	//1833 KLocale::setMainCatalog(const char*)
    {71, 1954, 524, 2, Smoke::mf_static, 352, 127},	//1834 KLocale::langLookup(const QString&, const char*)
    {71, 1330, 0, 0, Smoke::mf_static, 352, 128},	//1835 KLocale::defaultLanguage()
    {71, 1328, 0, 0, Smoke::mf_static, 352, 129},	//1836 KLocale::defaultCountry()
    {71, 1329, 0, 0, Smoke::mf_static, 352, 130},	//1837 KLocale::defaultCurrencyCode()
    {71, 3218, 0, 0, Smoke::mf_const, 452, 131},	//1838 KLocale::useTranscript() const
    {71, 1784, 30, 1, 0, 452, 132},	//1839 KLocale::isApplicationTranslatedInto(const QString&)
    {71, 1198, 1159, 1, 0, 0, 133},	//1840 KLocale::copyCatalogsTo(KLocale*)
    {71, 2561, 467, 2, 0, 452, 134},	//1841 KLocale::setCountry(const QString&, KConfig*)
    {71, 2563, 30, 1, 0, 452, 135},	//1842 KLocale::setCountryDivisionCode(const QString&)
    {71, 2684, 467, 2, 0, 452, 136},	//1843 KLocale::setLanguage(const QString&, KConfig*)
    {71, 2684, 141, 1, 0, 452, 137},	//1844 KLocale::setLanguage(const QStringList&)
    {71, 1998, 30, 1, Smoke::mf_const, 352, 138},	//1845 KLocale::localizedFilePath(const QString&) const
    {71, 2424, 30, 1, Smoke::mf_const, 352, 139},	//1846 KLocale::removeAcceleratorMarker(const QString&) const
    {71, 1195, 1346, 3, Smoke::mf_const, 352, 140},	//1847 KLocale::convertDigits(const QString&, KLocale::DigitSet, bool) const
    {71, 2441, 0, 0, 0, 0, 141},	//1848 KLocale::reparseConfiguration()
    {71, 401, 30, 1, Smoke::mf_ctor, 123, 142},	//1849 KLocale::KLocale(const QString&)
    {71, 401, 95, 2, Smoke::mf_ctor, 123, 143},	//1850 KLocale::KLocale(const QString&, const QString&)
    {71, 401, 1350, 3, Smoke::mf_ctor, 123, 144},	//1851 KLocale::KLocale(const QString&, const QString&, const QString&)
    {71, 1378, 1330, 1, Smoke::mf_const, 352, 145},	//1852 KLocale::digitSetToName(KLocale::DigitSet) const
    {71, 1601, 798, 1, Smoke::mf_const, 352, 146},	//1853 KLocale::formatMoney(double) const
    {71, 1601, 1354, 2, Smoke::mf_const, 352, 147},	//1854 KLocale::formatMoney(double, const QString&) const
    {71, 1605, 798, 1, Smoke::mf_const, 352, 148},	//1855 KLocale::formatNumber(double) const
    {71, 1605, 30, 1, Smoke::mf_const, 352, 149},	//1856 KLocale::formatNumber(const QString&) const
    {71, 1605, 1357, 2, Smoke::mf_const, 352, 150},	//1857 KLocale::formatNumber(const QString&, bool) const
    {71, 1580, 1285, 2, Smoke::mf_const, 352, 151},	//1858 KLocale::formatByteSize(double, int) const
    {71, 1580, 1360, 3, Smoke::mf_const, 352, 152},	//1859 KLocale::formatByteSize(double, int, KLocale::BinaryUnitDialect) const
    {71, 1585, 196, 1, Smoke::mf_const, 352, 153},	//1860 KLocale::formatDate(const QDate&) const
    {71, 1590, 1037, 1, Smoke::mf_const, 352, 154},	//1861 KLocale::formatDateTime(const QDateTime&) const
    {71, 1590, 1364, 2, Smoke::mf_const, 352, 155},	//1862 KLocale::formatDateTime(const QDateTime&, KLocale::DateFormat) const
    {71, 1590, 1039, 1, Smoke::mf_const, 352, 156},	//1863 KLocale::formatDateTime(const KDateTime&) const
    {71, 1590, 1367, 2, Smoke::mf_const, 352, 157},	//1864 KLocale::formatDateTime(const KDateTime&, KLocale::DateFormat) const
    {71, 1609, 1045, 1, Smoke::mf_const, 352, 158},	//1865 KLocale::formatTime(const QTime&) const
    {71, 1609, 1370, 2, Smoke::mf_const, 352, 159},	//1866 KLocale::formatTime(const QTime&, bool) const
    {71, 1596, 1045, 1, Smoke::mf_const, 352, 160},	//1867 KLocale::formatLocaleTime(const QTime&) const
    {71, 1285, 1045, 1, Smoke::mf_const, 352, 161},	//1868 KLocale::dayPeriodText(const QTime&) const
    {71, 2378, 30, 1, Smoke::mf_const, 612, 162},	//1869 KLocale::readMoney(const QString&) const
    {71, 2382, 30, 1, Smoke::mf_const, 612, 163},	//1870 KLocale::readNumber(const QString&) const
    {71, 2348, 30, 1, Smoke::mf_const, 277, 164},	//1871 KLocale::readDate(const QString&) const
    {71, 2348, 95, 2, Smoke::mf_const, 277, 165},	//1872 KLocale::readDate(const QString&, const QString&) const
    {71, 2348, 332, 2, Smoke::mf_const, 277, 166},	//1873 KLocale::readDate(const QString&, KLocale::ReadDateFlags) const
    {71, 2389, 30, 1, Smoke::mf_const, 362, 167},	//1874 KLocale::readTime(const QString&) const
    {71, 2389, 1373, 2, Smoke::mf_const, 362, 168},	//1875 KLocale::readTime(const QString&, KLocale::ReadTimeFlags) const
    {71, 2373, 30, 1, Smoke::mf_const, 362, 169},	//1876 KLocale::readLocaleTime(const QString&) const
    {71, 2373, 280, 2, Smoke::mf_const, 362, 170},	//1877 KLocale::readLocaleTime(const QString&, bool*) const
    {71, 2373, 1376, 3, Smoke::mf_const, 362, 171},	//1878 KLocale::readLocaleTime(const QString&, bool*, QFlags<KLocale::TimeFormatOption>) const
    {71, 1954, 30, 1, Smoke::mf_static, 352, 172},	//1879 KLocale::langLookup(const QString&)
    {71, 1195, 1380, 2, Smoke::mf_const, 352, 173},	//1880 KLocale::convertDigits(const QString&, KLocale::DigitSet) const
    {71, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 174},	//1881 KLocale::ParensAround (enum)
    {71, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 175},	//1882 KLocale::BeforeQuantityMoney (enum)
    {71, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 176},	//1883 KLocale::AfterQuantityMoney (enum)
    {71, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 177},	//1884 KLocale::BeforeMoney (enum)
    {71, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 178},	//1885 KLocale::AfterMoney (enum)
    {71, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 179},	//1886 KLocale::ArabicDigits (enum)
    {71, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 180},	//1887 KLocale::ArabicIndicDigits (enum)
    {71, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 181},	//1888 KLocale::EasternArabicIndicDigits (enum)
    {71, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 182},	//1889 KLocale::DevenagariDigits (enum)
    {71, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 183},	//1890 KLocale::BengaliDigits (enum)
    {71, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 184},	//1891 KLocale::GujaratiDigits (enum)
    {71, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 185},	//1892 KLocale::GurmukhiDigits (enum)
    {71, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 186},	//1893 KLocale::KannadaDigits (enum)
    {71, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 187},	//1894 KLocale::KhmerDigits (enum)
    {71, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 188},	//1895 KLocale::MalayalamDigits (enum)
    {71, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 189},	//1896 KLocale::OriyaDigits (enum)
    {71, 754, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 190},	//1897 KLocale::TamilDigits (enum)
    {71, 756, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 191},	//1898 KLocale::TeluguDigits (enum)
    {71, 760, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 192},	//1899 KLocale::ThaiDigits (enum)
    {71, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 193},	//1900 KLocale::DefaultBinaryUnits (enum)
    {71, 785, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 194},	//1901 KLocale::UnitByte (enum)
    {71, 788, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 195},	//1902 KLocale::UnitKiloByte (enum)
    {71, 790, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 196},	//1903 KLocale::UnitMegaByte (enum)
    {71, 787, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 197},	//1904 KLocale::UnitGigaByte (enum)
    {71, 792, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 198},	//1905 KLocale::UnitTeraByte (enum)
    {71, 791, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 199},	//1906 KLocale::UnitPetaByte (enum)
    {71, 786, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 200},	//1907 KLocale::UnitExaByte (enum)
    {71, 794, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 201},	//1908 KLocale::UnitZettaByte (enum)
    {71, 793, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 202},	//1909 KLocale::UnitYottaByte (enum)
    {71, 789, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 203},	//1910 KLocale::UnitLastUnit (enum)
    {71, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 204},	//1911 KLocale::DefaultBinaryDialect (enum)
    {71, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 205},	//1912 KLocale::IECBinaryDialect (enum)
    {71, 274, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 206},	//1913 KLocale::JEDECBinaryDialect (enum)
    {71, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 207},	//1914 KLocale::MetricBinaryDialect (enum)
    {71, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 208},	//1915 KLocale::LastBinaryDialect (enum)
    {71, 680, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 209},	//1916 KLocale::QDateCalendar (enum)
    {71, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 210},	//1917 KLocale::CopticCalendar (enum)
    {71, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 211},	//1918 KLocale::EthiopianCalendar (enum)
    {71, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 212},	//1919 KLocale::GregorianCalendar (enum)
    {71, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 213},	//1920 KLocale::HebrewCalendar (enum)
    {71, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 214},	//1921 KLocale::IslamicCivilCalendar (enum)
    {71, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 215},	//1922 KLocale::IndianNationalCalendar (enum)
    {71, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 216},	//1923 KLocale::JalaliCalendar (enum)
    {71, 277, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 217},	//1924 KLocale::JapaneseCalendar (enum)
    {71, 278, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 218},	//1925 KLocale::JulianCalendar (enum)
    {71, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 219},	//1926 KLocale::MinguoCalendar (enum)
    {71, 759, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 220},	//1927 KLocale::ThaiCalendar (enum)
    {71, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 221},	//1928 KLocale::DefaultWeekNumber (enum)
    {71, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 222},	//1929 KLocale::IsoWeekNumber (enum)
    {71, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 223},	//1930 KLocale::FirstFullWeek (enum)
    {71, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 224},	//1931 KLocale::FirstPartialWeek (enum)
    {71, 716, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 225},	//1932 KLocale::SimpleWeek (enum)
    {71, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 226},	//1933 KLocale::KdeFormat (enum)
    {71, 670, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 227},	//1934 KLocale::PosixFormat (enum)
    {71, 784, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 228},	//1935 KLocale::UnicodeFormat (enum)
    {71, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 229},	//1936 KLocale::LiberalParsing (enum)
    {71, 826, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 230},	//1937 KLocale::Year (enum)
    {71, 828, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 231},	//1938 KLocale::YearName (enum)
    {71, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 232},	//1939 KLocale::Month (enum)
    {71, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 233},	//1940 KLocale::MonthName (enum)
    {71, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 234},	//1941 KLocale::Day (enum)
    {71, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 235},	//1942 KLocale::DayName (enum)
    {71, 279, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 236},	//1943 KLocale::JulianDay (enum)
    {71, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 237},	//1944 KLocale::EraName (enum)
    {71, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 238},	//1945 KLocale::EraYear (enum)
    {71, 827, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 239},	//1946 KLocale::YearInEra (enum)
    {71, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 240},	//1947 KLocale::DayOfYear (enum)
    {71, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 241},	//1948 KLocale::DayOfYearName (enum)
    {71, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 242},	//1949 KLocale::DayOfWeek (enum)
    {71, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 243},	//1950 KLocale::DayOfWeekName (enum)
    {71, 812, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 244},	//1951 KLocale::Week (enum)
    {71, 813, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 245},	//1952 KLocale::WeekYear (enum)
    {71, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 246},	//1953 KLocale::MonthsInYear (enum)
    {71, 814, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 247},	//1954 KLocale::WeeksInYear (enum)
    {71, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 248},	//1955 KLocale::DaysInYear (enum)
    {71, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 249},	//1956 KLocale::DaysInMonth (enum)
    {71, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 250},	//1957 KLocale::DaysInWeek (enum)
    {71, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 251},	//1958 KLocale::Hour (enum)
    {71, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 252},	//1959 KLocale::Minute (enum)
    {71, 705, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 253},	//1960 KLocale::Second (enum)
    {71, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 254},	//1961 KLocale::Millisecond (enum)
    {71, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 255},	//1962 KLocale::DayPeriod (enum)
    {71, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 256},	//1963 KLocale::DayPeriodHour (enum)
    {71, 770, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 257},	//1964 KLocale::Timezone (enum)
    {71, 771, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 258},	//1965 KLocale::TimezoneName (enum)
    {71, 797, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 259},	//1966 KLocale::UnixTime (enum)
    {71, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 260},	//1967 KLocale::DefaultComponentFormat (enum)
    {71, 714, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 261},	//1968 KLocale::ShortNumber (enum)
    {71, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 262},	//1969 KLocale::LongNumber (enum)
    {71, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 263},	//1970 KLocale::NarrowName (enum)
    {71, 712, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 264},	//1971 KLocale::ShortName (enum)
    {71, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 265},	//1972 KLocale::LongName (enum)
    {71, 709, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 266},	//1973 KLocale::ShortDate (enum)
    {71, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 267},	//1974 KLocale::LongDate (enum)
    {71, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 268},	//1975 KLocale::FancyShortDate (enum)
    {71, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 269},	//1976 KLocale::FancyLongDate (enum)
    {71, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 270},	//1977 KLocale::IsoDate (enum)
    {71, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 271},	//1978 KLocale::IsoWeekDate (enum)
    {71, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 272},	//1979 KLocale::IsoOrdinalDate (enum)
    {71, 768, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 273},	//1980 KLocale::TimeZone (enum)
    {71, 706, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 274},	//1981 KLocale::Seconds (enum)
    {71, 762, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 275},	//1982 KLocale::TimeDefault (enum)
    {71, 767, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 276},	//1983 KLocale::TimeWithoutSeconds (enum)
    {71, 766, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 277},	//1984 KLocale::TimeWithoutAmPm (enum)
    {71, 763, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 278},	//1985 KLocale::TimeDuration (enum)
    {71, 764, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 279},	//1986 KLocale::TimeFoldHours (enum)
    {71, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 280},	//1987 KLocale::NormalFormat (enum)
    {71, 711, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 281},	//1988 KLocale::ShortFormat (enum)
    {71, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 282},	//1989 KLocale::IsoFormat (enum)
    {71, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 283},	//1990 KLocale::IsoWeekFormat (enum)
    {71, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 284},	//1991 KLocale::IsoOrdinalFormat (enum)
    {71, 817, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 285},	//1992 KLocale::WithSeconds (enum)
    {71, 818, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 286},	//1993 KLocale::WithoutSeconds (enum)
    {71, 673, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 287},	//1994 KLocale::ProcessStrict (enum)
    {71, 672, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 288},	//1995 KLocale::ProcessNonStrict (enum)
    {71, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 289},	//1996 KLocale::Metric (enum)
    {71, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 290},	//1997 KLocale::Imperial (enum)
    {71, 3398, 0, 0, Smoke::mf_dtor, 0, 291 },	//1998 KLocale::~KLocale()
    {72, 408, 0, 0, Smoke::mf_ctor, 143, 1},	//1999 KLocalizedString::KLocalizedString()
    {72, 408, 28, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 143, 2},	//2000 KLocalizedString::KLocalizedString(const KLocalizedString&)
    {72, 2192, 28, 1, 0, 142, 3},	//2001 KLocalizedString::operator=(const KLocalizedString&)
    {72, 3122, 0, 0, Smoke::mf_const, 352, 4},	//2002 KLocalizedString::toString() const
    {72, 3122, 30, 1, Smoke::mf_const, 352, 5},	//2003 KLocalizedString::toString(const QString&) const
    {72, 3122, 179, 1, Smoke::mf_const, 352, 6},	//2004 KLocalizedString::toString(const KLocale*) const
    {72, 3122, 1383, 2, Smoke::mf_const, 352, 7},	//2005 KLocalizedString::toString(const KLocale*, const QString&) const
    {72, 1817, 0, 0, Smoke::mf_const, 452, 8},	//2006 KLocalizedString::isEmpty() const
    {72, 3055, 1386, 4, Smoke::mf_const, 141, 9},	//2007 KLocalizedString::subs(int, int, int, const QChar&) const
    {72, 3055, 1391, 4, Smoke::mf_const, 141, 10},	//2008 KLocalizedString::subs(unsigned int, int, int, const QChar&) const
    {72, 3055, 1396, 4, Smoke::mf_const, 141, 11},	//2009 KLocalizedString::subs(long, int, int, const QChar&) const
    {72, 3055, 1401, 4, Smoke::mf_const, 141, 12},	//2010 KLocalizedString::subs(unsigned long, int, int, const QChar&) const
    {72, 3055, 1406, 4, Smoke::mf_const, 141, 13},	//2011 KLocalizedString::subs(long long, int, int, const QChar&) const
    {72, 3055, 1411, 4, Smoke::mf_const, 141, 14},	//2012 KLocalizedString::subs(unsigned long long, int, int, const QChar&) const
    {72, 3055, 1416, 5, Smoke::mf_const, 141, 15},	//2013 KLocalizedString::subs(double, int, char, int, const QChar&) const
    {72, 3055, 1422, 3, Smoke::mf_const, 141, 16},	//2014 KLocalizedString::subs(QChar, int, const QChar&) const
    {72, 3055, 1426, 3, Smoke::mf_const, 141, 17},	//2015 KLocalizedString::subs(const QString&, int, const QChar&) const
    {72, 1732, 95, 2, Smoke::mf_const, 141, 18},	//2016 KLocalizedString::inContext(const QString&, const QString&) const
    {72, 2131, 1430, 2, Smoke::mf_static, 0, 19},	//2017 KLocalizedString::notifyCatalogsUpdated(const QStringList&, const QList<KCatalogName>&)
    {72, 3055, 118, 1, Smoke::mf_const, 141, 20},	//2018 KLocalizedString::subs(int) const
    {72, 3055, 188, 2, Smoke::mf_const, 141, 21},	//2019 KLocalizedString::subs(int, int) const
    {72, 3055, 184, 3, Smoke::mf_const, 141, 22},	//2020 KLocalizedString::subs(int, int, int) const
    {72, 3055, 952, 1, Smoke::mf_const, 141, 23},	//2021 KLocalizedString::subs(unsigned int) const
    {72, 3055, 1433, 2, Smoke::mf_const, 141, 24},	//2022 KLocalizedString::subs(unsigned int, int) const
    {72, 3055, 1436, 3, Smoke::mf_const, 141, 25},	//2023 KLocalizedString::subs(unsigned int, int, int) const
    {72, 3055, 1292, 1, Smoke::mf_const, 141, 26},	//2024 KLocalizedString::subs(long) const
    {72, 3055, 1440, 2, Smoke::mf_const, 141, 27},	//2025 KLocalizedString::subs(long, int) const
    {72, 3055, 1443, 3, Smoke::mf_const, 141, 28},	//2026 KLocalizedString::subs(long, int, int) const
    {72, 3055, 1177, 1, Smoke::mf_const, 141, 29},	//2027 KLocalizedString::subs(unsigned long) const
    {72, 3055, 1447, 2, Smoke::mf_const, 141, 30},	//2028 KLocalizedString::subs(unsigned long, int) const
    {72, 3055, 1450, 3, Smoke::mf_const, 141, 31},	//2029 KLocalizedString::subs(unsigned long, int, int) const
    {72, 3055, 861, 1, Smoke::mf_const, 141, 32},	//2030 KLocalizedString::subs(long long) const
    {72, 3055, 1454, 2, Smoke::mf_const, 141, 33},	//2031 KLocalizedString::subs(long long, int) const
    {72, 3055, 1457, 3, Smoke::mf_const, 141, 34},	//2032 KLocalizedString::subs(long long, int, int) const
    {72, 3055, 965, 1, Smoke::mf_const, 141, 35},	//2033 KLocalizedString::subs(unsigned long long) const
    {72, 3055, 1461, 2, Smoke::mf_const, 141, 36},	//2034 KLocalizedString::subs(unsigned long long, int) const
    {72, 3055, 1464, 3, Smoke::mf_const, 141, 37},	//2035 KLocalizedString::subs(unsigned long long, int, int) const
    {72, 3055, 798, 1, Smoke::mf_const, 141, 38},	//2036 KLocalizedString::subs(double) const
    {72, 3055, 1285, 2, Smoke::mf_const, 141, 39},	//2037 KLocalizedString::subs(double, int) const
    {72, 3055, 1468, 3, Smoke::mf_const, 141, 40},	//2038 KLocalizedString::subs(double, int, char) const
    {72, 3055, 1472, 4, Smoke::mf_const, 141, 41},	//2039 KLocalizedString::subs(double, int, char, int) const
    {72, 3055, 340, 1, Smoke::mf_const, 141, 42},	//2040 KLocalizedString::subs(QChar) const
    {72, 3055, 1477, 2, Smoke::mf_const, 141, 43},	//2041 KLocalizedString::subs(QChar, int) const
    {72, 3055, 30, 1, Smoke::mf_const, 141, 44},	//2042 KLocalizedString::subs(const QString&) const
    {72, 3055, 1014, 2, Smoke::mf_const, 141, 45},	//2043 KLocalizedString::subs(const QString&, int) const
    {72, 3399, 0, 0, Smoke::mf_dtor, 0, 46 },	//2044 KLocalizedString::~KLocalizedString()
    {73, 410, 1202, 2, Smoke::mf_ctor, 144, 1},	//2045 KLockFile::KLockFile(const QString&, const KComponentData&)
    {73, 2013, 1480, 1, 0, 146, 2},	//2046 KLockFile::lock(QFlags<KLockFile::LockFlag>)
    {73, 1846, 0, 0, Smoke::mf_const, 452, 3},	//2047 KLockFile::isLocked() const
    {73, 3194, 0, 0, 0, 0, 4},	//2048 KLockFile::unlock()
    {73, 2981, 0, 0, Smoke::mf_const, 615, 5},	//2049 KLockFile::staleTime() const
    {73, 2884, 118, 1, 0, 0, 6},	//2050 KLockFile::setStaleTime(int)
    {73, 1649, 1482, 3, 0, 452, 7},	//2051 KLockFile::getLockInfo(int&, QString&, QString&)
    {73, 410, 1486, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 144, 8},	//2052 KLockFile::KLockFile(const KLockFile&)
    {73, 410, 30, 1, Smoke::mf_ctor, 144, 9},	//2053 KLockFile::KLockFile(const QString&)
    {73, 2013, 0, 0, 0, 146, 10},	//2054 KLockFile::lock()
    {73, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 11},	//2055 KLockFile::LockOK (enum)
    {73, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 12},	//2056 KLockFile::LockFail (enum)
    {73, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 13},	//2057 KLockFile::LockError (enum)
    {73, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 14},	//2058 KLockFile::LockStale (enum)
    {73, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 15},	//2059 KLockFile::NoBlockFlag (enum)
    {73, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 16},	//2060 KLockFile::ForceFlag (enum)
    {73, 3400, 0, 0, Smoke::mf_dtor, 0, 17 },	//2061 KLockFile::~KLockFile()
    {74, 414, 0, 0, Smoke::mf_ctor, 147, 1},	//2062 KMD5::KMD5()
    {74, 414, 1108, 2, Smoke::mf_ctor, 147, 2},	//2063 KMD5::KMD5(const char*, int)
    {74, 414, 32, 1, Smoke::mf_ctor, 147, 3},	//2064 KMD5::KMD5(const QByteArray&)
    {74, 3202, 1108, 2, 0, 0, 4},	//2065 KMD5::update(const char*, int)
    {74, 3202, 1488, 2, 0, 0, 5},	//2066 KMD5::update(const unsigned char*, int)
    {74, 3202, 32, 1, 0, 0, 6},	//2067 KMD5::update(const QByteArray&)
    {74, 3202, 1491, 1, 0, 452, 7},	//2068 KMD5::update(QIODevice&)
    {74, 2448, 0, 0, 0, 0, 8},	//2069 KMD5::reset()
    {74, 2333, 0, 0, 0, 607, 9},	//2070 KMD5::rawDigest()
    {74, 2333, 1493, 1, 0, 0, 10},	//2071 KMD5::rawDigest(unsigned char(&)[16])
    {74, 1714, 0, 0, 0, 265, 11},	//2072 KMD5::hexDigest()
    {74, 1714, 1495, 1, 0, 0, 12},	//2073 KMD5::hexDigest(QByteArray&)
    {74, 1080, 0, 0, 0, 265, 13},	//2074 KMD5::base64Digest()
    {74, 3241, 1497, 1, 0, 452, 14},	//2075 KMD5::verify(const unsigned char(&)[16])
    {74, 3241, 32, 1, 0, 452, 15},	//2076 KMD5::verify(const QByteArray&)
    {74, 3152, 1499, 1, Smoke::mf_protected, 0, 16},	//2077 KMD5::transform(const unsigned char[64])
    {74, 1510, 0, 0, Smoke::mf_protected, 0, 17},	//2078 KMD5::finalize()
    {74, 414, 122, 1, Smoke::mf_ctor, 147, 18},	//2079 KMD5::KMD5(const char*)
    {74, 3202, 122, 1, 0, 0, 19},	//2080 KMD5::update(const char*)
    {74, 3202, 1501, 1, 0, 0, 20},	//2081 KMD5::update(const unsigned char*)
    {74, 3401, 0, 0, Smoke::mf_dtor, 0, 21 },	//2082 KMD5::~KMD5()
    {75, 1476, 1503, 3, Smoke::mf_static, 352, 1},	//2083 KMacroExpander::expandMacros(const QString&, const QHash<QString,QString>&, QChar)
    {75, 1476, 1507, 2, Smoke::mf_static, 352, 2},	//2084 KMacroExpander::expandMacros(const QString&, const QHash<QString,QString>&)
    {75, 1480, 1510, 3, Smoke::mf_static, 352, 3},	//2085 KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QChar,QStringList>&, QChar)
    {75, 1480, 1514, 2, Smoke::mf_static, 352, 4},	//2086 KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QChar,QStringList>&)
    {75, 1476, 1510, 3, Smoke::mf_static, 352, 5},	//2087 KMacroExpander::expandMacros(const QString&, const QHash<QChar,QStringList>&, QChar)
    {75, 1476, 1514, 2, Smoke::mf_static, 352, 6},	//2088 KMacroExpander::expandMacros(const QString&, const QHash<QChar,QStringList>&)
    {75, 1480, 1503, 3, Smoke::mf_static, 352, 7},	//2089 KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QString,QString>&, QChar)
    {75, 1480, 1507, 2, Smoke::mf_static, 352, 8},	//2090 KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QString,QString>&)
    {75, 1476, 1517, 3, Smoke::mf_static, 352, 9},	//2091 KMacroExpander::expandMacros(const QString&, const QHash<QChar,QString>&, QChar)
    {75, 1476, 1521, 2, Smoke::mf_static, 352, 10},	//2092 KMacroExpander::expandMacros(const QString&, const QHash<QChar,QString>&)
    {75, 1476, 1524, 3, Smoke::mf_static, 352, 11},	//2093 KMacroExpander::expandMacros(const QString&, const QHash<QString,QStringList>&, QChar)
    {75, 1476, 1528, 2, Smoke::mf_static, 352, 12},	//2094 KMacroExpander::expandMacros(const QString&, const QHash<QString,QStringList>&)
    {75, 1480, 1517, 3, Smoke::mf_static, 352, 13},	//2095 KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QChar,QString>&, QChar)
    {75, 1480, 1521, 2, Smoke::mf_static, 352, 14},	//2096 KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QChar,QString>&)
    {75, 1480, 1524, 3, Smoke::mf_static, 352, 15},	//2097 KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QString,QStringList>&, QChar)
    {75, 1480, 1528, 2, Smoke::mf_static, 352, 16},	//2098 KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QString,QStringList>&)
    {76, 418, 340, 1, Smoke::mf_ctor, 148, 1},	//2099 KMacroExpanderBase::KMacroExpanderBase(QChar)
    {76, 1476, 1531, 1, 0, 0, 2},	//2100 KMacroExpanderBase::expandMacros(QString&)
    {76, 1480, 1533, 2, 0, 452, 3},	//2101 KMacroExpanderBase::expandMacrosShellQuote(QString&, int&)
    {76, 1480, 1531, 1, 0, 452, 4},	//2102 KMacroExpanderBase::expandMacrosShellQuote(QString&)
    {76, 2639, 340, 1, 0, 0, 5},	//2103 KMacroExpanderBase::setEscapeChar(QChar)
    {76, 1450, 0, 0, Smoke::mf_const, 267, 6},	//2104 KMacroExpanderBase::escapeChar() const
    {76, 1485, 342, 3, Smoke::mf_protected|Smoke::mf_virtual, 615, 7},	//2105 KMacroExpanderBase::expandPlainMacro(const QString&, int, QStringList&)
    {76, 1471, 342, 3, Smoke::mf_protected|Smoke::mf_virtual, 615, 8},	//2106 KMacroExpanderBase::expandEscapedMacro(const QString&, int, QStringList&)
    {76, 418, 1536, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 148, 9},	//2107 KMacroExpanderBase::KMacroExpanderBase(const KMacroExpanderBase&)
    {76, 418, 0, 0, Smoke::mf_ctor, 148, 10},	//2108 KMacroExpanderBase::KMacroExpanderBase()
    {76, 3402, 0, 0, Smoke::mf_dtor, 0, 11 },	//2109 KMacroExpanderBase::~KMacroExpanderBase()
    {77, 2067, 1538, 3, Smoke::mf_static, 0, 1},	//2110 KMessage::message(KMessage::MessageType, const QString&, const QString&)
    {77, 2067, 1542, 2, Smoke::mf_static, 0, 2},	//2111 KMessage::message(KMessage::MessageType, const QString&)
    {77, 2778, 1545, 1, Smoke::mf_static, 0, 3},	//2112 KMessage::setMessageHandler(KMessageHandler*)
    {77, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 4},	//2113 KMessage::Error (enum)
    {77, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 5},	//2114 KMessage::Information (enum)
    {77, 811, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 6},	//2115 KMessage::Warning (enum)
    {77, 724, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 7},	//2116 KMessage::Sorry (enum)
    {77, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 8},	//2117 KMessage::Fatal (enum)
    {78, 2067, 1538, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//2118 KMessageHandler::message(KMessage::MessageType, const QString&, const QString&) [pure virtual]
    {78, 420, 0, 0, Smoke::mf_ctor, 150, 2},	//2119 KMessageHandler::KMessageHandler()
    {78, 420, 1547, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 150, 3},	//2120 KMessageHandler::KMessageHandler(const KMessageHandler&)
    {78, 3403, 0, 0, Smoke::mf_dtor, 0, 4 },	//2121 KMessageHandler::~KMessageHandler()
    {79, 1725, 148, 1, Smoke::mf_const, 352, 1},	//2122 KMimeType::iconName(const KUrl&) const
    {79, 1727, 1549, 2, Smoke::mf_static, 352, 2},	//2123 KMimeType::iconNameForUrl(const KUrl&, unsigned int)
    {79, 1497, 148, 1, Smoke::mf_static, 352, 3},	//2124 KMimeType::favIconForUrl(const KUrl&)
    {79, 1167, 148, 1, Smoke::mf_const, 352, 4},	//2125 KMimeType::comment(const KUrl&) const
    {79, 2238, 0, 0, Smoke::mf_const, 355, 5},	//2126 KMimeType::patterns() const
    {79, 2071, 1552, 2, Smoke::mf_static, 191, 6},	//2127 KMimeType::mimeType(const QString&, KMimeType::FindByNameOption)
    {79, 1535, 1555, 5, Smoke::mf_static, 191, 7},	//2128 KMimeType::findByUrl(const KUrl&, unsigned int, bool, bool, int*)
    {79, 1530, 1561, 4, Smoke::mf_static, 191, 8},	//2129 KMimeType::findByPath(const QString&, unsigned int, bool, int*)
    {79, 1520, 1566, 2, Smoke::mf_static, 191, 9},	//2130 KMimeType::findByContent(const QByteArray&, int*)
    {79, 1526, 1569, 4, Smoke::mf_static, 191, 10},	//2131 KMimeType::findByNameAndContent(const QString&, const QByteArray&, unsigned int, int*)
    {79, 1520, 1574, 2, Smoke::mf_static, 191, 11},	//2132 KMimeType::findByContent(QIODevice*, int*)
    {79, 1526, 1577, 4, Smoke::mf_static, 191, 12},	//2133 KMimeType::findByNameAndContent(const QString&, QIODevice*, unsigned int, int*)
    {79, 1523, 1582, 2, Smoke::mf_static, 191, 13},	//2134 KMimeType::findByFileContent(const QString&, int*)
    {79, 1792, 30, 1, Smoke::mf_static, 452, 14},	//2135 KMimeType::isBinaryData(const QString&)
    {79, 1794, 32, 1, Smoke::mf_static, 452, 15},	//2136 KMimeType::isBufferBinaryData(const QByteArray&)
    {79, 1019, 0, 0, Smoke::mf_static, 323, 16},	//2137 KMimeType::allMimeTypes()
    {79, 1332, 0, 0, Smoke::mf_static, 352, 17},	//2138 KMimeType::defaultMimeType()
    {79, 1333, 0, 0, Smoke::mf_static, 191, 18},	//2139 KMimeType::defaultMimeTypePtr()
    {79, 1805, 0, 0, Smoke::mf_const, 452, 19},	//2140 KMimeType::isDefault() const
    {79, 2224, 0, 0, Smoke::mf_const, 352, 20},	//2141 KMimeType::parentMimeType() const
    {79, 2225, 0, 0, Smoke::mf_const, 355, 21},	//2142 KMimeType::parentMimeTypes() const
    {79, 1020, 0, 0, Smoke::mf_const, 355, 22},	//2143 KMimeType::allParentMimeTypes() const
    {79, 1781, 30, 1, Smoke::mf_const, 452, 23},	//2144 KMimeType::is(const QString&) const
    {79, 3222, 0, 0, Smoke::mf_const, 352, 24},	//2145 KMimeType::userSpecifiedIconName() const
    {79, 2049, 0, 0, Smoke::mf_const, 352, 25},	//2146 KMimeType::mainExtension() const
    {79, 1489, 30, 1, Smoke::mf_static, 352, 26},	//2147 KMimeType::extractKnownExtension(const QString&)
    {79, 2057, 95, 2, Smoke::mf_static, 452, 27},	//2148 KMimeType::matchFileName(const QString&, const QString&)
    {79, 2942, 0, 0, Smoke::mf_static, 615, 28},	//2149 KMimeType::sharedMimeInfoVersion()
    {79, 422, 1585, 2, Smoke::mf_ctor|Smoke::mf_protected, 152, 29},	//2150 KMimeType::KMimeType(QDataStream&, int)
    {79, 422, 1350, 3, Smoke::mf_ctor|Smoke::mf_protected, 152, 30},	//2151 KMimeType::KMimeType(const QString&, const QString&, const QString&)
    {79, 422, 1588, 1, Smoke::mf_ctor|Smoke::mf_protected, 152, 31},	//2152 KMimeType::KMimeType(KMimeTypePrivate&)
    {79, 422, 1590, 3, Smoke::mf_ctor|Smoke::mf_protected, 152, 32},	//2153 KMimeType::KMimeType(KMimeTypePrivate&, const QString&, const QString&)
    {79, 1725, 0, 0, Smoke::mf_const, 352, 33},	//2154 KMimeType::iconName() const
    {79, 1727, 148, 1, Smoke::mf_static, 352, 34},	//2155 KMimeType::iconNameForUrl(const KUrl&)
    {79, 1167, 0, 0, Smoke::mf_const, 352, 35},	//2156 KMimeType::comment() const
    {79, 2071, 30, 1, Smoke::mf_static, 191, 36},	//2157 KMimeType::mimeType(const QString&)
    {79, 1535, 148, 1, Smoke::mf_static, 191, 37},	//2158 KMimeType::findByUrl(const KUrl&)
    {79, 1535, 1549, 2, Smoke::mf_static, 191, 38},	//2159 KMimeType::findByUrl(const KUrl&, unsigned int)
    {79, 1535, 1594, 3, Smoke::mf_static, 191, 39},	//2160 KMimeType::findByUrl(const KUrl&, unsigned int, bool)
    {79, 1535, 1598, 4, Smoke::mf_static, 191, 40},	//2161 KMimeType::findByUrl(const KUrl&, unsigned int, bool, bool)
    {79, 1530, 30, 1, Smoke::mf_static, 191, 41},	//2162 KMimeType::findByPath(const QString&)
    {79, 1530, 1007, 2, Smoke::mf_static, 191, 42},	//2163 KMimeType::findByPath(const QString&, unsigned int)
    {79, 1530, 1603, 3, Smoke::mf_static, 191, 43},	//2164 KMimeType::findByPath(const QString&, unsigned int, bool)
    {79, 1520, 32, 1, Smoke::mf_static, 191, 44},	//2165 KMimeType::findByContent(const QByteArray&)
    {79, 1526, 589, 2, Smoke::mf_static, 191, 45},	//2166 KMimeType::findByNameAndContent(const QString&, const QByteArray&)
    {79, 1526, 1607, 3, Smoke::mf_static, 191, 46},	//2167 KMimeType::findByNameAndContent(const QString&, const QByteArray&, unsigned int)
    {79, 1520, 1134, 1, Smoke::mf_static, 191, 47},	//2168 KMimeType::findByContent(QIODevice*)
    {79, 1526, 1611, 2, Smoke::mf_static, 191, 48},	//2169 KMimeType::findByNameAndContent(const QString&, QIODevice*)
    {79, 1526, 1614, 3, Smoke::mf_static, 191, 49},	//2170 KMimeType::findByNameAndContent(const QString&, QIODevice*, unsigned int)
    {79, 1523, 30, 1, Smoke::mf_static, 191, 50},	//2171 KMimeType::findByFileContent(const QString&)
    {79, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 153, 51},	//2172 KMimeType::DontResolveAlias (enum)
    {79, 701, 0, 0, Smoke::mf_static|Smoke::mf_enum, 153, 52},	//2173 KMimeType::ResolveAliases (enum)
    {79, 3404, 0, 0, Smoke::mf_dtor, 0, 53 },	//2174 KMimeType::~KMimeType()
    {81, 2313, 1350, 3, Smoke::mf_const, 324, 1},	//2175 KMimeTypeTrader::query(const QString&, const QString&, const QString&) const
    {81, 2263, 95, 2, 0, 192, 2},	//2176 KMimeTypeTrader::preferredService(const QString&, const QString&)
    {81, 2486, 0, 0, Smoke::mf_static, 155, 3},	//2177 KMimeTypeTrader::self()
    {81, 427, 1618, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 155, 4},	//2178 KMimeTypeTrader::KMimeTypeTrader(const KMimeTypeTrader&)
    {81, 2313, 30, 1, Smoke::mf_const, 324, 5},	//2179 KMimeTypeTrader::query(const QString&) const
    {81, 2313, 95, 2, Smoke::mf_const, 324, 6},	//2180 KMimeTypeTrader::query(const QString&, const QString&) const
    {81, 2263, 30, 1, 0, 192, 7},	//2181 KMimeTypeTrader::preferredService(const QString&)
    {81, 3405, 0, 0, Smoke::mf_dtor, 0, 8 },	//2182 KMimeTypeTrader::~KMimeTypeTrader()
    {83, 2070, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 584, 1},	//2183 KPluginFactory::metaObject() const
    {83, 2311, 122, 1, Smoke::mf_virtual, 638, 2},	//2184 KPluginFactory::qt_metacast(const char*)
    {83, 3141, 124, 2, Smoke::mf_static, 352, 3},	//2185 KPluginFactory::tr(const char*, const char*)
    {83, 3148, 124, 2, Smoke::mf_static, 352, 4},	//2186 KPluginFactory::trUtf8(const char*, const char*)
    {83, 3141, 127, 3, Smoke::mf_static, 352, 5},	//2187 KPluginFactory::tr(const char*, const char*, int)
    {83, 3148, 127, 3, Smoke::mf_static, 352, 6},	//2188 KPluginFactory::trUtf8(const char*, const char*, int)
    {83, 2309, 131, 3, Smoke::mf_virtual, 615, 7},	//2189 KPluginFactory::qt_metacall(QMetaObject::Call, int, void**)
    {83, 429, 1620, 3, Smoke::mf_ctor, 157, 8},	//2190 KPluginFactory::KPluginFactory(const char*, const char*, QObject*)
    {83, 429, 1624, 2, Smoke::mf_ctor, 157, 9},	//2191 KPluginFactory::KPluginFactory(const KAboutData&, QObject*)
    {83, 429, 1627, 2, Smoke::mf_ctor, 157, 10},	//2192 KPluginFactory::KPluginFactory(const KAboutData*, QObject*)
    {83, 429, 146, 1, Smoke::mf_ctor, 157, 11},	//2193 KPluginFactory::KPluginFactory(QObject*)
    {83, 1171, 0, 0, Smoke::mf_const, 40, 12},	//2194 KPluginFactory::componentData() const
    {83, 1213, 1630, 3, 0, 346, 13},	//2195 KPluginFactory::create(QObject*, const char*, const QStringList&)
    {83, 2139, 146, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//2196 KPluginFactory::objectCreated(QObject*)
    {83, 429, 1634, 2, Smoke::mf_ctor|Smoke::mf_protected, 157, 15},	//2197 KPluginFactory::KPluginFactory(KPluginFactoryPrivate&, QObject*)
    {83, 3052, 141, 1, Smoke::mf_protected, 337, 16},	//2198 KPluginFactory::stringListToVariantList(const QStringList&)
    {83, 3239, 1637, 1, Smoke::mf_protected, 355, 17},	//2199 KPluginFactory::variantListToStringList(const QList<QVariant>&)
    {83, 2941, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//2200 KPluginFactory::setupTranslations()
    {83, 1223, 1630, 3, Smoke::mf_protected|Smoke::mf_virtual, 346, 19},	//2201 KPluginFactory::createObject(QObject*, const char*, const QStringList&)
    {83, 1225, 1639, 4, Smoke::mf_protected|Smoke::mf_virtual, 156, 20},	//2202 KPluginFactory::createPartObject(QWidget*, QObject*, const char*, const QStringList&)
    {83, 2553, 430, 1, Smoke::mf_protected, 0, 21},	//2203 KPluginFactory::setComponentData(const KComponentData&)
    {83, 1213, 1644, 5, Smoke::mf_protected|Smoke::mf_virtual, 346, 22},	//2204 KPluginFactory::create(const char*, QWidget*, QObject*, const QList<QVariant>&, const QString&)
    {83, 3141, 122, 1, Smoke::mf_static, 352, 23},	//2205 KPluginFactory::tr(const char*)
    {83, 3148, 122, 1, Smoke::mf_static, 352, 24},	//2206 KPluginFactory::trUtf8(const char*)
    {83, 429, 0, 0, Smoke::mf_ctor, 157, 25},	//2207 KPluginFactory::KPluginFactory()
    {83, 429, 122, 1, Smoke::mf_ctor, 157, 26},	//2208 KPluginFactory::KPluginFactory(const char*)
    {83, 429, 124, 2, Smoke::mf_ctor, 157, 27},	//2209 KPluginFactory::KPluginFactory(const char*, const char*)
    {83, 429, 12, 1, Smoke::mf_ctor, 157, 28},	//2210 KPluginFactory::KPluginFactory(const KAboutData&)
    {83, 429, 372, 1, Smoke::mf_ctor, 157, 29},	//2211 KPluginFactory::KPluginFactory(const KAboutData*)
    {83, 1213, 0, 0, 0, 346, 30},	//2212 KPluginFactory::create()
    {83, 1213, 146, 1, 0, 346, 31},	//2213 KPluginFactory::create(QObject*)
    {83, 1213, 1650, 2, 0, 346, 32},	//2214 KPluginFactory::create(QObject*, const char*)
    {83, 429, 1653, 1, Smoke::mf_ctor|Smoke::mf_protected, 157, 33},	//2215 KPluginFactory::KPluginFactory(KPluginFactoryPrivate&)
    {83, 3040, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 583, 34},	//2216 KPluginFactory::staticMetaObject() const
    {83, 3406, 0, 0, Smoke::mf_dtor, 0, 35 },	//2217 KPluginFactory::~KPluginFactory()
    {85, 435, 524, 2, Smoke::mf_ctor, 161, 1},	//2218 KPluginInfo::KPluginInfo(const QString&, const char*)
    {85, 435, 1655, 1, Smoke::mf_ctor, 161, 2},	//2219 KPluginInfo::KPluginInfo(const KSharedPtr<KService>)
    {85, 435, 0, 0, Smoke::mf_ctor, 161, 3},	//2220 KPluginInfo::KPluginInfo()
    {85, 1631, 1657, 2, Smoke::mf_static, 320, 4},	//2221 KPluginInfo::fromServices(const QList<KSharedPtr<KService> >&, const KConfigGroup&)
    {85, 1619, 1660, 2, Smoke::mf_static, 320, 5},	//2222 KPluginInfo::fromFiles(const QStringList&, const KConfigGroup&)
    {85, 1622, 1663, 2, Smoke::mf_static, 320, 6},	//2223 KPluginInfo::fromKPartsInstanceName(const QString&, const KConfigGroup&)
    {85, 1833, 0, 0, Smoke::mf_const, 452, 7},	//2224 KPluginInfo::isHidden() const
    {85, 2827, 103, 1, 0, 0, 8},	//2225 KPluginInfo::setPluginEnabled(bool)
    {85, 1855, 0, 0, Smoke::mf_const, 452, 9},	//2226 KPluginInfo::isPluginEnabled() const
    {85, 1856, 0, 0, Smoke::mf_const, 452, 10},	//2227 KPluginInfo::isPluginEnabledByDefault() const
    {85, 2287, 30, 1, Smoke::mf_const, 365, 11},	//2228 KPluginInfo::property(const QString&) const
    {85, 2112, 0, 0, Smoke::mf_const, 352, 12},	//2229 KPluginInfo::name() const
    {85, 1167, 0, 0, Smoke::mf_const, 352, 13},	//2230 KPluginInfo::comment() const
    {85, 1723, 0, 0, Smoke::mf_const, 352, 14},	//2231 KPluginInfo::icon() const
    {85, 1429, 0, 0, Smoke::mf_const, 352, 15},	//2232 KPluginInfo::entryPath() const
    {85, 1047, 0, 0, Smoke::mf_const, 352, 16},	//2233 KPluginInfo::author() const
    {85, 1398, 0, 0, Smoke::mf_const, 352, 17},	//2234 KPluginInfo::email() const
    {85, 1122, 0, 0, Smoke::mf_const, 352, 18},	//2235 KPluginInfo::category() const
    {85, 2251, 0, 0, Smoke::mf_const, 352, 19},	//2236 KPluginInfo::pluginName() const
    {85, 3244, 0, 0, Smoke::mf_const, 352, 20},	//2237 KPluginInfo::version() const
    {85, 3264, 0, 0, Smoke::mf_const, 352, 21},	//2238 KPluginInfo::website() const
    {85, 1980, 0, 0, Smoke::mf_const, 352, 22},	//2239 KPluginInfo::license() const
    {85, 1642, 0, 0, Smoke::mf_const, 8, 23},	//2240 KPluginInfo::fullLicense() const
    {85, 1350, 0, 0, Smoke::mf_const, 355, 24},	//2241 KPluginInfo::dependencies() const
    {85, 2489, 0, 0, Smoke::mf_const, 192, 25},	//2242 KPluginInfo::service() const
    {85, 1913, 0, 0, Smoke::mf_const, 324, 26},	//2243 KPluginInfo::kcmServices() const
    {85, 2555, 511, 1, 0, 0, 27},	//2244 KPluginInfo::setConfig(const KConfigGroup&)
    {85, 1176, 0, 0, Smoke::mf_const, 51, 28},	//2245 KPluginInfo::config() const
    {85, 2470, 1666, 1, 0, 0, 29},	//2246 KPluginInfo::save(KConfigGroup)
    {85, 1990, 511, 1, 0, 0, 30},	//2247 KPluginInfo::load(const KConfigGroup&)
    {85, 1338, 0, 0, 0, 0, 31},	//2248 KPluginInfo::defaults()
    {85, 1881, 0, 0, Smoke::mf_const, 452, 32},	//2249 KPluginInfo::isValid() const
    {85, 435, 1668, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 161, 33},	//2250 KPluginInfo::KPluginInfo(const KPluginInfo&)
    {85, 2192, 1668, 1, 0, 160, 34},	//2251 KPluginInfo::operator=(const KPluginInfo&)
    {85, 2195, 1668, 1, Smoke::mf_const, 452, 35},	//2252 KPluginInfo::operator==(const KPluginInfo&) const
    {85, 2168, 1668, 1, Smoke::mf_const, 452, 36},	//2253 KPluginInfo::operator!=(const KPluginInfo&) const
    {85, 2178, 1668, 1, Smoke::mf_const, 452, 37},	//2254 KPluginInfo::operator<(const KPluginInfo&) const
    {85, 2201, 1668, 1, Smoke::mf_const, 452, 38},	//2255 KPluginInfo::operator>(const KPluginInfo&) const
    {85, 435, 30, 1, Smoke::mf_ctor, 161, 39},	//2256 KPluginInfo::KPluginInfo(const QString&)
    {85, 1631, 1670, 1, Smoke::mf_static, 320, 40},	//2257 KPluginInfo::fromServices(const QList<KSharedPtr<KService> >&)
    {85, 1619, 141, 1, Smoke::mf_static, 320, 41},	//2258 KPluginInfo::fromFiles(const QStringList&)
    {85, 1622, 30, 1, Smoke::mf_static, 320, 42},	//2259 KPluginInfo::fromKPartsInstanceName(const QString&)
    {85, 2470, 0, 0, 0, 0, 43},	//2260 KPluginInfo::save()
    {85, 1990, 0, 0, 0, 0, 44},	//2261 KPluginInfo::load()
    {85, 3407, 0, 0, Smoke::mf_dtor, 0, 45 },	//2262 KPluginInfo::~KPluginInfo()
    {86, 2070, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 584, 1},	//2263 KPluginLoader::metaObject() const
    {86, 2311, 122, 1, Smoke::mf_virtual, 638, 2},	//2264 KPluginLoader::qt_metacast(const char*)
    {86, 3141, 124, 2, Smoke::mf_static, 352, 3},	//2265 KPluginLoader::tr(const char*, const char*)
    {86, 3148, 124, 2, Smoke::mf_static, 352, 4},	//2266 KPluginLoader::trUtf8(const char*, const char*)
    {86, 3141, 127, 3, Smoke::mf_static, 352, 5},	//2267 KPluginLoader::tr(const char*, const char*, int)
    {86, 3148, 127, 3, Smoke::mf_static, 352, 6},	//2268 KPluginLoader::trUtf8(const char*, const char*, int)
    {86, 2309, 131, 3, Smoke::mf_virtual, 615, 7},	//2269 KPluginLoader::qt_metacall(QMetaObject::Call, int, void**)
    {86, 440, 1205, 3, Smoke::mf_ctor, 162, 8},	//2270 KPluginLoader::KPluginLoader(const QString&, const KComponentData&, QObject*)
    {86, 440, 1672, 3, Smoke::mf_ctor, 162, 9},	//2271 KPluginLoader::KPluginLoader(const KService&, const KComponentData&, QObject*)
    {86, 1493, 0, 0, 0, 157, 10},	//2272 KPluginLoader::factory()
    {86, 2251, 0, 0, Smoke::mf_const|Smoke::mf_property, 352, 11},	//2273 KPluginLoader::pluginName() const
    {86, 2252, 0, 0, Smoke::mf_const, 631, 12},	//2274 KPluginLoader::pluginVersion() const
    {86, 1445, 0, 0, Smoke::mf_const, 352, 13},	//2275 KPluginLoader::errorString() const
    {86, 1843, 0, 0, Smoke::mf_const, 452, 14},	//2276 KPluginLoader::isLoaded() const
    {86, 1990, 0, 0, Smoke::mf_protected, 452, 15},	//2277 KPluginLoader::load()
    {86, 3141, 122, 1, Smoke::mf_static, 352, 16},	//2278 KPluginLoader::tr(const char*)
    {86, 3148, 122, 1, Smoke::mf_static, 352, 17},	//2279 KPluginLoader::trUtf8(const char*)
    {86, 440, 30, 1, Smoke::mf_ctor, 162, 18},	//2280 KPluginLoader::KPluginLoader(const QString&)
    {86, 440, 1202, 2, Smoke::mf_ctor, 162, 19},	//2281 KPluginLoader::KPluginLoader(const QString&, const KComponentData&)
    {86, 440, 1676, 1, Smoke::mf_ctor, 162, 20},	//2282 KPluginLoader::KPluginLoader(const KService&)
    {86, 440, 1678, 2, Smoke::mf_ctor, 162, 21},	//2283 KPluginLoader::KPluginLoader(const KService&, const KComponentData&)
    {86, 3040, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 583, 22},	//2284 KPluginLoader::staticMetaObject() const
    {86, 3408, 0, 0, Smoke::mf_dtor, 0, 23 },	//2285 KPluginLoader::~KPluginLoader()
    {87, 2070, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 584, 1},	//2286 KProcess::metaObject() const
    {87, 2311, 122, 1, Smoke::mf_virtual, 638, 2},	//2287 KProcess::qt_metacast(const char*)
    {87, 3141, 124, 2, Smoke::mf_static, 352, 3},	//2288 KProcess::tr(const char*, const char*)
    {87, 3148, 124, 2, Smoke::mf_static, 352, 4},	//2289 KProcess::trUtf8(const char*, const char*)
    {87, 3141, 127, 3, Smoke::mf_static, 352, 5},	//2290 KProcess::tr(const char*, const char*, int)
    {87, 3148, 127, 3, Smoke::mf_static, 352, 6},	//2291 KProcess::trUtf8(const char*, const char*, int)
    {87, 2309, 131, 3, Smoke::mf_virtual, 615, 7},	//2292 KProcess::qt_metacall(QMetaObject::Call, int, void**)
    {87, 447, 146, 1, Smoke::mf_ctor, 164, 8},	//2293 KProcess::KProcess(QObject*)
    {87, 2812, 1681, 1, 0, 0, 9},	//2294 KProcess::setOutputChannelMode(KProcess::OutputChannelMode)
    {87, 2220, 0, 0, Smoke::mf_const, 165, 10},	//2295 KProcess::outputChannelMode() const
    {87, 2800, 150, 1, 0, 0, 11},	//2296 KProcess::setNextOpenMode(QFlags<QIODevice::OpenModeFlag>)
    {87, 2628, 1136, 3, 0, 0, 12},	//2297 KProcess::setEnv(const QString&, const QString&, bool)
    {87, 3198, 30, 1, 0, 0, 13},	//2298 KProcess::unsetEnv(const QString&)
    {87, 1153, 0, 0, 0, 0, 14},	//2299 KProcess::clearEnvironment()
    {87, 2843, 533, 2, 0, 0, 15},	//2300 KProcess::setProgram(const QString&, const QStringList&)
    {87, 2843, 141, 1, 0, 0, 16},	//2301 KProcess::setProgram(const QStringList&)
    {87, 2183, 30, 1, 0, 163, 17},	//2302 KProcess::operator<<(const QString&)
    {87, 2183, 141, 1, 0, 163, 18},	//2303 KProcess::operator<<(const QStringList&)
    {87, 1154, 0, 0, 0, 0, 19},	//2304 KProcess::clearProgram()
    {87, 2871, 30, 1, 0, 0, 20},	//2305 KProcess::setShellCommand(const QString&)
    {87, 2280, 0, 0, Smoke::mf_const, 355, 21},	//2306 KProcess::program() const
    {87, 2982, 0, 0, 0, 0, 22},	//2307 KProcess::start()
    {87, 1459, 118, 1, 0, 615, 23},	//2308 KProcess::execute(int)
    {87, 1459, 1683, 3, Smoke::mf_static, 615, 24},	//2309 KProcess::execute(const QString&, const QStringList&, int)
    {87, 1459, 1687, 2, Smoke::mf_static, 615, 25},	//2310 KProcess::execute(const QStringList&, int)
    {87, 2984, 0, 0, 0, 615, 26},	//2311 KProcess::startDetached()
    {87, 2984, 533, 2, Smoke::mf_static, 615, 27},	//2312 KProcess::startDetached(const QString&, const QStringList&)
    {87, 2984, 141, 1, Smoke::mf_static, 615, 28},	//2313 KProcess::startDetached(const QStringList&)
    {87, 2249, 0, 0, Smoke::mf_const, 615, 29},	//2314 KProcess::pid() const
    {87, 447, 1690, 2, Smoke::mf_ctor|Smoke::mf_protected, 164, 30},	//2315 KProcess::KProcess(KProcessPrivate*, QObject*)
    {87, 3141, 122, 1, Smoke::mf_static, 352, 31},	//2316 KProcess::tr(const char*)
    {87, 3148, 122, 1, Smoke::mf_static, 352, 32},	//2317 KProcess::trUtf8(const char*)
    {87, 447, 0, 0, Smoke::mf_ctor, 164, 33},	//2318 KProcess::KProcess()
    {87, 2628, 95, 2, 0, 0, 34},	//2319 KProcess::setEnv(const QString&, const QString&)
    {87, 2843, 30, 1, 0, 0, 35},	//2320 KProcess::setProgram(const QString&)
    {87, 1459, 0, 0, 0, 615, 36},	//2321 KProcess::execute()
    {87, 1459, 30, 1, Smoke::mf_static, 615, 37},	//2322 KProcess::execute(const QString&)
    {87, 1459, 533, 2, Smoke::mf_static, 615, 38},	//2323 KProcess::execute(const QString&, const QStringList&)
    {87, 1459, 141, 1, Smoke::mf_static, 615, 39},	//2324 KProcess::execute(const QStringList&)
    {87, 2984, 30, 1, Smoke::mf_static, 615, 40},	//2325 KProcess::startDetached(const QString&)
    {87, 3040, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 583, 41},	//2326 KProcess::staticMetaObject() const
    {87, 708, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 42},	//2327 KProcess::SeparateChannels (enum)
    {87, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 43},	//2328 KProcess::MergedChannels (enum)
    {87, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 44},	//2329 KProcess::ForwardedChannels (enum)
    {87, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 45},	//2330 KProcess::OnlyStdoutChannel (enum)
    {87, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 46},	//2331 KProcess::OnlyStderrChannel (enum)
    {87, 3409, 0, 0, Smoke::mf_dtor, 0, 47 },	//2332 KProcess::~KProcess()
    {89, 2298, 0, 0, Smoke::mf_static, 355, 1},	//2333 KProtocolInfo::protocols()
    {89, 1836, 148, 1, Smoke::mf_static, 452, 2},	//2334 KProtocolInfo::isKnownProtocol(const KUrl&)
    {89, 1836, 30, 1, Smoke::mf_static, 452, 3},	//2335 KProtocolInfo::isKnownProtocol(const QString&)
    {89, 1454, 30, 1, Smoke::mf_static, 352, 4},	//2336 KProtocolInfo::exec(const QString&)
    {89, 1487, 148, 1, Smoke::mf_static, 321, 5},	//2337 KProtocolInfo::extraFields(const KUrl&)
    {89, 1830, 148, 1, Smoke::mf_static, 452, 6},	//2338 KProtocolInfo::isHelperProtocol(const KUrl&)
    {89, 1830, 30, 1, Smoke::mf_static, 452, 7},	//2339 KProtocolInfo::isHelperProtocol(const QString&)
    {89, 1822, 148, 1, Smoke::mf_static, 452, 8},	//2340 KProtocolInfo::isFilterProtocol(const KUrl&)
    {89, 1822, 30, 1, Smoke::mf_static, 452, 9},	//2341 KProtocolInfo::isFilterProtocol(const QString&)
    {89, 1723, 30, 1, Smoke::mf_static, 352, 10},	//2342 KProtocolInfo::icon(const QString&)
    {89, 1176, 30, 1, Smoke::mf_static, 352, 11},	//2343 KProtocolInfo::config(const QString&)
    {89, 2060, 30, 1, Smoke::mf_static, 615, 12},	//2344 KProtocolInfo::maxSlaves(const QString&)
    {89, 2062, 30, 1, Smoke::mf_static, 615, 13},	//2345 KProtocolInfo::maxSlavesPerHost(const QString&)
    {89, 1368, 30, 1, Smoke::mf_static, 452, 14},	//2346 KProtocolInfo::determineMimetypeFromExtension(const QString&)
    {89, 1393, 30, 1, Smoke::mf_static, 352, 15},	//2347 KProtocolInfo::docPath(const QString&)
    {89, 2296, 30, 1, Smoke::mf_static, 352, 16},	//2348 KProtocolInfo::protocolClass(const QString&)
    {89, 2948, 30, 1, Smoke::mf_static, 452, 17},	//2349 KProtocolInfo::showFilePreview(const QString&)
    {89, 1114, 30, 1, Smoke::mf_static, 355, 18},	//2350 KProtocolInfo::capabilities(const QString&)
    {89, 2299, 30, 1, Smoke::mf_static, 352, 19},	//2351 KProtocolInfo::proxiedBy(const QString&)
    {89, 450, 1585, 2, Smoke::mf_ctor, 167, 20},	//2352 KProtocolInfo::KProtocolInfo(QDataStream&, int)
    {89, 1332, 0, 0, Smoke::mf_const, 352, 21},	//2353 KProtocolInfo::defaultMimeType() const
    {89, 1042, 0, 0, Smoke::mf_const, 355, 22},	//2354 KProtocolInfo::archiveMimeTypes() const
    {89, 1112, 0, 0, Smoke::mf_const|Smoke::mf_protected, 452, 23},	//2355 KProtocolInfo::canRenameFromFile() const
    {89, 1113, 0, 0, Smoke::mf_const|Smoke::mf_protected, 452, 24},	//2356 KProtocolInfo::canRenameToFile() const
    {89, 1110, 0, 0, Smoke::mf_const|Smoke::mf_protected, 452, 25},	//2357 KProtocolInfo::canDeleteRecursive() const
    {89, 1508, 0, 0, Smoke::mf_const|Smoke::mf_protected, 3, 26},	//2358 KProtocolInfo::fileNameUsedForCopying() const
    {89, 2037, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 353, 27},	//2359 KProtocolInfo::m_name() const
    {89, 2740, 30, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 28},	//2360 KProtocolInfo::setM_name(const QString&)
    {89, 2030, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 353, 29},	//2361 KProtocolInfo::m_exec() const
    {89, 2726, 30, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 30},	//2362 KProtocolInfo::setM_exec(const QString&)
    {89, 2032, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 173, 31},	//2363 KProtocolInfo::m_inputType() const
    {89, 2730, 1693, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 32},	//2364 KProtocolInfo::setM_inputType(KProtocolInfo::Type)
    {89, 2038, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 173, 33},	//2365 KProtocolInfo::m_outputType() const
    {89, 2742, 1693, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 34},	//2366 KProtocolInfo::setM_outputType(KProtocolInfo::Type)
    {89, 2035, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 356, 35},	//2367 KProtocolInfo::m_listing() const
    {89, 2736, 141, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 36},	//2368 KProtocolInfo::setM_listing(const QStringList&)
    {89, 2034, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 452, 37},	//2369 KProtocolInfo::m_isSourceProtocol() const
    {89, 2734, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 38},	//2370 KProtocolInfo::setM_isSourceProtocol(bool)
    {89, 2033, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 452, 39},	//2371 KProtocolInfo::m_isHelperProtocol() const
    {89, 2732, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 40},	//2372 KProtocolInfo::setM_isHelperProtocol(bool)
    {89, 2042, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 452, 41},	//2373 KProtocolInfo::m_supportsListing() const
    {89, 2750, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 42},	//2374 KProtocolInfo::setM_supportsListing(bool)
    {89, 2046, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 452, 43},	//2375 KProtocolInfo::m_supportsReading() const
    {89, 2758, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 44},	//2376 KProtocolInfo::setM_supportsReading(bool)
    {89, 2047, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 452, 45},	//2377 KProtocolInfo::m_supportsWriting() const
    {89, 2760, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 46},	//2378 KProtocolInfo::setM_supportsWriting(bool)
    {89, 2043, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 452, 47},	//2379 KProtocolInfo::m_supportsMakeDir() const
    {89, 2752, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 48},	//2380 KProtocolInfo::setM_supportsMakeDir(bool)
    {89, 2040, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 452, 49},	//2381 KProtocolInfo::m_supportsDeleting() const
    {89, 2746, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 50},	//2382 KProtocolInfo::setM_supportsDeleting(bool)
    {89, 2041, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 452, 51},	//2383 KProtocolInfo::m_supportsLinking() const
    {89, 2748, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 52},	//2384 KProtocolInfo::setM_supportsLinking(bool)
    {89, 2044, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 452, 53},	//2385 KProtocolInfo::m_supportsMoving() const
    {89, 2754, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 54},	//2386 KProtocolInfo::setM_supportsMoving(bool)
    {89, 2045, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 452, 55},	//2387 KProtocolInfo::m_supportsOpening() const
    {89, 2756, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 56},	//2388 KProtocolInfo::setM_supportsOpening(bool)
    {89, 2027, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 353, 57},	//2389 KProtocolInfo::m_defaultMimetype() const
    {89, 2720, 30, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 58},	//2390 KProtocolInfo::setM_defaultMimetype(const QString&)
    {89, 2028, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 452, 59},	//2391 KProtocolInfo::m_determineMimetypeFromExtension() const
    {89, 2722, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 60},	//2392 KProtocolInfo::setM_determineMimetypeFromExtension(bool)
    {89, 2031, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 353, 61},	//2393 KProtocolInfo::m_icon() const
    {89, 2728, 30, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 62},	//2394 KProtocolInfo::setM_icon(const QString&)
    {89, 2024, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 452, 63},	//2395 KProtocolInfo::m_canCopyFromFile() const
    {89, 2714, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 64},	//2396 KProtocolInfo::setM_canCopyFromFile(bool)
    {89, 2025, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 452, 65},	//2397 KProtocolInfo::m_canCopyToFile() const
    {89, 2716, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 66},	//2398 KProtocolInfo::setM_canCopyToFile(bool)
    {89, 2026, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 353, 67},	//2399 KProtocolInfo::m_config() const
    {89, 2718, 30, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 68},	//2400 KProtocolInfo::setM_config(const QString&)
    {89, 2036, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 615, 69},	//2401 KProtocolInfo::m_maxSlaves() const
    {89, 2738, 118, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 70},	//2402 KProtocolInfo::setM_maxSlaves(int)
    {89, 753, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 71},	//2403 KProtocolInfo::T_STREAM (enum)
    {89, 751, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 72},	//2404 KProtocolInfo::T_FILESYSTEM (enum)
    {89, 752, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 73},	//2405 KProtocolInfo::T_NONE (enum)
    {89, 750, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 74},	//2406 KProtocolInfo::T_ERROR (enum)
    {89, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 75},	//2407 KProtocolInfo::Name (enum)
    {89, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 76},	//2408 KProtocolInfo::FromUrl (enum)
    {89, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 77},	//2409 KProtocolInfo::DisplayName (enum)
    {89, 3410, 0, 0, Smoke::mf_dtor, 0, 78 },	//2410 KProtocolInfo::~KProtocolInfo()
    {90, 132, 0, 0, Smoke::mf_ctor, 170, 1},	//2411 KProtocolInfo::ExtraField::ExtraField()
    {90, 132, 1695, 2, Smoke::mf_ctor, 170, 2},	//2412 KProtocolInfo::ExtraField::ExtraField(const QString&, KProtocolInfo::ExtraField::Type)
    {90, 132, 1698, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 170, 3},	//2413 KProtocolInfo::ExtraField::ExtraField(const KProtocolInfo::ExtraField&)
    {90, 2112, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 353, 4},	//2414 KProtocolInfo::ExtraField::name() const
    {90, 2792, 30, 1, Smoke::mf_attribute, 0, 5},	//2415 KProtocolInfo::ExtraField::setName(const QString&)
    {90, 3184, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 171, 6},	//2416 KProtocolInfo::ExtraField::type() const
    {90, 2914, 1700, 1, Smoke::mf_attribute, 0, 7},	//2417 KProtocolInfo::ExtraField::setType(KProtocolInfo::ExtraField::Type)
    {90, 740, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 8},	//2418 KProtocolInfo::ExtraField::String (enum)
    {90, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 9},	//2419 KProtocolInfo::ExtraField::DateTime (enum)
    {90, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 10},	//2420 KProtocolInfo::ExtraField::Invalid (enum)
    {90, 3343, 0, 0, Smoke::mf_dtor, 0, 11 },	//2421 KProtocolInfo::ExtraField::~ExtraField()
    {91, 2331, 118, 1, Smoke::mf_static, 352, 1},	//2422 KRandom::randomString(int)
    {91, 2330, 0, 0, Smoke::mf_static, 615, 2},	//2423 KRandom::random()
    {92, 452, 1292, 1, Smoke::mf_ctor, 175, 1},	//2424 KRandomSequence::KRandomSequence(long)
    {92, 452, 1702, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 175, 2},	//2425 KRandomSequence::KRandomSequence(const KRandomSequence&)
    {92, 2192, 1702, 1, 0, 174, 3},	//2426 KRandomSequence::operator=(const KRandomSequence&)
    {92, 2865, 1292, 1, 0, 0, 4},	//2427 KRandomSequence::setSeed(long)
    {92, 1648, 0, 0, 0, 612, 5},	//2428 KRandomSequence::getDouble()
    {92, 1651, 1177, 1, 0, 633, 6},	//2429 KRandomSequence::getLong(unsigned long)
    {92, 1645, 0, 0, 0, 452, 7},	//2430 KRandomSequence::getBool()
    {92, 2081, 118, 1, 0, 0, 8},	//2431 KRandomSequence::modulate(int)
    {92, 452, 0, 0, Smoke::mf_ctor, 175, 9},	//2432 KRandomSequence::KRandomSequence()
    {92, 2865, 0, 0, 0, 0, 10},	//2433 KRandomSequence::setSeed()
    {92, 3411, 0, 0, Smoke::mf_dtor, 0, 11 },	//2434 KRandomSequence::~KRandomSequence()
    {93, 474, 0, 0, Smoke::mf_ctor, 176, 1},	//2435 KSaveFile::KSaveFile()
    {93, 474, 1202, 2, Smoke::mf_ctor, 176, 2},	//2436 KSaveFile::KSaveFile(const QString&, const KComponentData&)
    {93, 2649, 30, 1, 0, 0, 3},	//2437 KSaveFile::setFileName(const QString&)
    {93, 1506, 0, 0, Smoke::mf_const, 352, 4},	//2438 KSaveFile::fileName() const
    {93, 1442, 0, 0, Smoke::mf_const, 282, 5},	//2439 KSaveFile::error() const
    {93, 1445, 0, 0, Smoke::mf_const, 352, 6},	//2440 KSaveFile::errorString() const
    {93, 2155, 150, 1, Smoke::mf_virtual, 452, 7},	//2441 KSaveFile::open(QFlags<QIODevice::OpenModeFlag>)
    {93, 832, 0, 0, 0, 0, 8},	//2442 KSaveFile::abort()
    {93, 1510, 0, 0, 0, 452, 9},	//2443 KSaveFile::finalize()
    {93, 2619, 103, 1, 0, 0, 10},	//2444 KSaveFile::setDirectWriteFallback(bool)
    {93, 1381, 0, 0, Smoke::mf_const, 452, 11},	//2445 KSaveFile::directWriteFallback() const
    {93, 1074, 95, 2, Smoke::mf_static, 452, 12},	//2446 KSaveFile::backupFile(const QString&, const QString&)
    {93, 2952, 1350, 3, Smoke::mf_static, 452, 13},	//2447 KSaveFile::simpleBackupFile(const QString&, const QString&, const QString&)
    {93, 2134, 1704, 4, Smoke::mf_static, 452, 14},	//2448 KSaveFile::numberedBackupFile(const QString&, const QString&, const QString&, const unsigned int)
    {93, 2335, 1350, 3, Smoke::mf_static, 452, 15},	//2449 KSaveFile::rcsBackupFile(const QString&, const QString&, const QString&)
    {93, 474, 30, 1, Smoke::mf_ctor, 176, 16},	//2450 KSaveFile::KSaveFile(const QString&)
    {93, 2155, 0, 0, 0, 452, 17},	//2451 KSaveFile::open()
    {93, 1074, 30, 1, Smoke::mf_static, 452, 18},	//2452 KSaveFile::backupFile(const QString&)
    {93, 2952, 30, 1, Smoke::mf_static, 452, 19},	//2453 KSaveFile::simpleBackupFile(const QString&)
    {93, 2952, 95, 2, Smoke::mf_static, 452, 20},	//2454 KSaveFile::simpleBackupFile(const QString&, const QString&)
    {93, 2134, 30, 1, Smoke::mf_static, 452, 21},	//2455 KSaveFile::numberedBackupFile(const QString&)
    {93, 2134, 95, 2, Smoke::mf_static, 452, 22},	//2456 KSaveFile::numberedBackupFile(const QString&, const QString&)
    {93, 2134, 1350, 3, Smoke::mf_static, 452, 23},	//2457 KSaveFile::numberedBackupFile(const QString&, const QString&, const QString&)
    {93, 2335, 30, 1, Smoke::mf_static, 452, 24},	//2458 KSaveFile::rcsBackupFile(const QString&)
    {93, 2335, 95, 2, Smoke::mf_static, 452, 25},	//2459 KSaveFile::rcsBackupFile(const QString&, const QString&)
    {93, 3412, 0, 0, Smoke::mf_dtor, 0, 26 },	//2460 KSaveFile::~KSaveFile()
    {94, 477, 1350, 3, Smoke::mf_ctor, 178, 1},	//2461 KService::KService(const QString&, const QString&, const QString&)
    {94, 477, 30, 1, Smoke::mf_ctor, 178, 2},	//2462 KService::KService(const QString&)
    {94, 477, 1709, 1, Smoke::mf_ctor, 178, 3},	//2463 KService::KService(const KDesktopFile*)
    {94, 477, 1585, 2, Smoke::mf_ctor, 178, 4},	//2464 KService::KService(QDataStream&, int)
    {94, 1783, 0, 0, Smoke::mf_const, 452, 5},	//2465 KService::isApplication() const
    {94, 3184, 0, 0, Smoke::mf_const, 352, 6},	//2466 KService::type() const
    {94, 1454, 0, 0, Smoke::mf_const, 352, 7},	//2467 KService::exec() const
    {94, 1977, 0, 0, Smoke::mf_const, 352, 8},	//2468 KService::library() const
    {94, 1723, 0, 0, Smoke::mf_const, 352, 9},	//2469 KService::icon() const
    {94, 3096, 0, 0, Smoke::mf_const, 452, 10},	//2470 KService::terminal() const
    {94, 3097, 0, 0, Smoke::mf_const, 352, 11},	//2471 KService::terminalOptions() const
    {94, 3066, 0, 0, Smoke::mf_const, 452, 12},	//2472 KService::substituteUid() const
    {94, 3223, 0, 0, Smoke::mf_const, 352, 13},	//2473 KService::username() const
    {94, 1362, 0, 0, Smoke::mf_const, 352, 14},	//2474 KService::desktopEntryPath() const
    {94, 1361, 0, 0, Smoke::mf_const, 352, 15},	//2475 KService::desktopEntryName() const
    {94, 2066, 0, 0, Smoke::mf_const, 352, 16},	//2476 KService::menuId() const
    {94, 3048, 0, 0, Smoke::mf_const, 352, 17},	//2477 KService::storageId() const
    {94, 1313, 0, 0, Smoke::mf_const, 179, 18},	//2478 KService::dbusStartupType() const
    {94, 2234, 0, 0, Smoke::mf_const, 352, 19},	//2479 KService::path() const
    {94, 1167, 0, 0, Smoke::mf_const, 352, 20},	//2480 KService::comment() const
    {94, 1644, 0, 0, Smoke::mf_const, 352, 21},	//2481 KService::genericName() const
    {94, 3200, 0, 0, Smoke::mf_const, 352, 22},	//2482 KService::untranslatedGenericName() const
    {94, 1936, 0, 0, Smoke::mf_const, 355, 23},	//2483 KService::keywords() const
    {94, 1121, 0, 0, Smoke::mf_const, 355, 24},	//2484 KService::categories() const
    {94, 2074, 0, 0, Smoke::mf_const, 355, 25},	//2485 KService::mimeTypes() const
    {94, 2505, 0, 0, Smoke::mf_const, 355, 26},	//2486 KService::serviceTypes() const
    {94, 1702, 30, 1, Smoke::mf_const, 452, 27},	//2487 KService::hasServiceType(const QString&) const
    {94, 1689, 1711, 1, Smoke::mf_const, 452, 28},	//2488 KService::hasMimeType(const KServiceType*) const
    {94, 1689, 30, 1, Smoke::mf_const, 452, 29},	//2489 KService::hasMimeType(const QString&) const
    {94, 1029, 0, 0, Smoke::mf_const, 452, 30},	//2490 KService::allowAsDefault() const
    {94, 846, 0, 0, Smoke::mf_const, 322, 31},	//2491 KService::actions() const
    {94, 1031, 0, 0, Smoke::mf_const, 452, 32},	//2492 KService::allowMultipleFiles() const
    {94, 1749, 0, 0, Smoke::mf_const, 615, 33},	//2493 KService::initialPreference() const
    {94, 2130, 0, 0, Smoke::mf_const, 452, 34},	//2494 KService::noDisplay() const
    {94, 745, 0, 0, Smoke::mf_const, 452, 35},	//2495 KService::SuSEunimportant() const
    {94, 2950, 0, 0, Smoke::mf_const, 452, 36},	//2496 KService::showInKDE() const
    {94, 2223, 0, 0, Smoke::mf_const, 352, 37},	//2497 KService::parentApp() const
    {94, 2250, 0, 0, Smoke::mf_const, 352, 38},	//2498 KService::pluginKeyword() const
    {94, 1393, 0, 0, Smoke::mf_const, 352, 39},	//2499 KService::docPath() const
    {94, 2287, 1713, 2, Smoke::mf_const, 365, 40},	//2500 KService::property(const QString&, QVariant::Type) const
    {94, 2287, 30, 1, Smoke::mf_const, 365, 41},	//2501 KService::property(const QString&) const
    {94, 2006, 0, 0, Smoke::mf_const, 352, 42},	//2502 KService::locateLocal() const
    {94, 2776, 30, 1, 0, 0, 43},	//2503 KService::setMenuId(const QString&)
    {94, 2890, 103, 1, 0, 0, 44},	//2504 KService::setTerminal(bool)
    {94, 2892, 30, 1, 0, 0, 45},	//2505 KService::setTerminalOptions(const QString&)
    {94, 2643, 30, 1, 0, 0, 46},	//2506 KService::setExec(const QString&)
    {94, 2496, 30, 1, Smoke::mf_static, 192, 47},	//2507 KService::serviceByName(const QString&)
    {94, 2492, 30, 1, Smoke::mf_static, 192, 48},	//2508 KService::serviceByDesktopPath(const QString&)
    {94, 2490, 30, 1, Smoke::mf_static, 192, 49},	//2509 KService::serviceByDesktopName(const QString&)
    {94, 2494, 30, 1, Smoke::mf_static, 192, 50},	//2510 KService::serviceByMenuId(const QString&)
    {94, 2498, 30, 1, Smoke::mf_static, 192, 51},	//2511 KService::serviceByStorageId(const QString&)
    {94, 1023, 0, 0, Smoke::mf_static, 324, 52},	//2512 KService::allServices()
    {94, 2125, 1716, 4, Smoke::mf_static, 352, 53},	//2513 KService::newServicePath(bool, const QString&, QString*, const QStringList*)
    {94, 2125, 1721, 2, Smoke::mf_static, 352, 54},	//2514 KService::newServicePath(bool, const QString&)
    {94, 2125, 1724, 3, Smoke::mf_static, 352, 55},	//2515 KService::newServicePath(bool, const QString&, QString*)
    {94, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 56},	//2516 KService::DBusNone (enum)
    {94, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 57},	//2517 KService::DBusUnique (enum)
    {94, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 58},	//2518 KService::DBusMulti (enum)
    {94, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 59},	//2519 KService::DBusWait (enum)
    {94, 3413, 0, 0, Smoke::mf_dtor, 0, 60 },	//2520 KService::~KService()
    {95, 482, 1728, 5, Smoke::mf_ctor, 182, 1},	//2521 KServiceAction::KServiceAction(const QString&, const QString&, const QString&, const QString&, bool)
    {95, 482, 0, 0, Smoke::mf_ctor, 182, 2},	//2522 KServiceAction::KServiceAction()
    {95, 482, 1734, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 182, 3},	//2523 KServiceAction::KServiceAction(const KServiceAction&)
    {95, 2192, 1734, 1, 0, 181, 4},	//2524 KServiceAction::operator=(const KServiceAction&)
    {95, 2575, 34, 1, 0, 0, 5},	//2525 KServiceAction::setData(const QVariant&)
    {95, 1253, 0, 0, Smoke::mf_const, 365, 6},	//2526 KServiceAction::data() const
    {95, 2112, 0, 0, Smoke::mf_const, 352, 7},	//2527 KServiceAction::name() const
    {95, 3101, 0, 0, Smoke::mf_const, 352, 8},	//2528 KServiceAction::text() const
    {95, 1723, 0, 0, Smoke::mf_const, 352, 9},	//2529 KServiceAction::icon() const
    {95, 1454, 0, 0, Smoke::mf_const, 352, 10},	//2530 KServiceAction::exec() const
    {95, 2130, 0, 0, Smoke::mf_const, 452, 11},	//2531 KServiceAction::noDisplay() const
    {95, 1864, 0, 0, Smoke::mf_const, 452, 12},	//2532 KServiceAction::isSeparator() const
    {95, 482, 1736, 4, Smoke::mf_ctor, 182, 13},	//2533 KServiceAction::KServiceAction(const QString&, const QString&, const QString&, const QString&)
    {95, 3414, 0, 0, Smoke::mf_dtor, 0, 14 },	//2534 KServiceAction::~KServiceAction()
    {96, 486, 30, 1, Smoke::mf_ctor, 184, 1},	//2535 KServiceGroup::KServiceGroup(const QString&)
    {96, 486, 95, 2, Smoke::mf_ctor, 184, 2},	//2536 KServiceGroup::KServiceGroup(const QString&, const QString&)
    {96, 486, 1741, 3, Smoke::mf_ctor, 184, 3},	//2537 KServiceGroup::KServiceGroup(QDataStream&, int, bool)
    {96, 2412, 0, 0, Smoke::mf_const, 352, 4},	//2538 KServiceGroup::relPath() const
    {96, 1116, 0, 0, Smoke::mf_const, 352, 5},	//2539 KServiceGroup::caption() const
    {96, 1723, 0, 0, Smoke::mf_const, 352, 6},	//2540 KServiceGroup::icon() const
    {96, 1167, 0, 0, Smoke::mf_const, 352, 7},	//2541 KServiceGroup::comment() const
    {96, 1142, 0, 0, Smoke::mf_const, 615, 8},	//2542 KServiceGroup::childCount() const
    {96, 2130, 0, 0, Smoke::mf_const, 452, 9},	//2543 KServiceGroup::noDisplay() const
    {96, 2946, 0, 0, Smoke::mf_const, 452, 10},	//2544 KServiceGroup::showEmptyMenu() const
    {96, 2875, 103, 1, 0, 0, 11},	//2545 KServiceGroup::setShowEmptyMenu(bool)
    {96, 2951, 0, 0, Smoke::mf_const, 452, 12},	//2546 KServiceGroup::showInlineHeader() const
    {96, 2877, 103, 1, 0, 0, 13},	//2547 KServiceGroup::setShowInlineHeader(bool)
    {96, 1750, 0, 0, Smoke::mf_const, 452, 14},	//2548 KServiceGroup::inlineAlias() const
    {96, 2672, 103, 1, 0, 0, 15},	//2549 KServiceGroup::setInlineAlias(bool)
    {96, 1030, 0, 0, Smoke::mf_const, 452, 16},	//2550 KServiceGroup::allowInline() const
    {96, 2512, 103, 1, 0, 0, 17},	//2551 KServiceGroup::setAllowInline(bool)
    {96, 1751, 0, 0, Smoke::mf_const, 615, 18},	//2552 KServiceGroup::inlineValue() const
    {96, 2674, 118, 1, 0, 0, 19},	//2553 KServiceGroup::setInlineValue(int)
    {96, 3072, 0, 0, Smoke::mf_const, 355, 20},	//2554 KServiceGroup::suppressGenericNames() const
    {96, 2690, 141, 1, 0, 0, 21},	//2555 KServiceGroup::setLayoutInfo(const QStringList&)
    {96, 742, 0, 0, Smoke::mf_const, 452, 22},	//2556 KServiceGroup::SuSEshortMenu() const
    {96, 741, 0, 0, Smoke::mf_const, 452, 23},	//2557 KServiceGroup::SuSEgeneralDescription() const
    {96, 1972, 0, 0, Smoke::mf_const, 355, 24},	//2558 KServiceGroup::layoutInfo() const
    {96, 1422, 1745, 4, 0, 328, 25},	//2559 KServiceGroup::entries(bool, bool, bool, bool)
    {96, 1422, 1750, 2, 0, 328, 26},	//2560 KServiceGroup::entries(bool, bool)
    {96, 1422, 103, 1, 0, 328, 27},	//2561 KServiceGroup::entries(bool)
    {96, 985, 122, 1, 0, 0, 28},	//2562 KServiceGroup::addSortOrderEntry(const char*)
    {96, 743, 1753, 4, 0, 328, 29},	//2563 KServiceGroup::SuSEsortEntries(KSortableList<KSharedPtr<KSycocaEntry>,QByteArray>, KSortableList<KSharedPtr<KSycocaEntry>,QByteArray>, bool, bool)
    {96, 1661, 1758, 1, 0, 326, 30},	//2564 KServiceGroup::groupEntries(QFlags<KServiceGroup::EntriesOption>)
    {96, 2500, 1758, 1, 0, 324, 31},	//2565 KServiceGroup::serviceEntries(QFlags<KServiceGroup::EntriesOption>)
    {96, 1088, 0, 0, Smoke::mf_const, 352, 32},	//2566 KServiceGroup::baseGroupName() const
    {96, 1384, 0, 0, Smoke::mf_const, 352, 33},	//2567 KServiceGroup::directoryEntryPath() const
    {96, 1086, 30, 1, Smoke::mf_static, 193, 34},	//2568 KServiceGroup::baseGroup(const QString&)
    {96, 2466, 0, 0, Smoke::mf_static, 193, 35},	//2569 KServiceGroup::root()
    {96, 1658, 30, 1, Smoke::mf_static, 193, 36},	//2570 KServiceGroup::group(const QString&)
    {96, 1144, 30, 1, Smoke::mf_static, 193, 37},	//2571 KServiceGroup::childGroup(const QString&)
    {96, 880, 1760, 1, Smoke::mf_protected, 0, 38},	//2572 KServiceGroup::addEntry(const KSharedPtr<KSycocaEntry>&)
    {96, 1422, 1762, 3, 0, 328, 39},	//2573 KServiceGroup::entries(bool, bool, bool)
    {96, 1422, 0, 0, 0, 328, 40},	//2574 KServiceGroup::entries()
    {96, 1661, 0, 0, 0, 326, 41},	//2575 KServiceGroup::groupEntries()
    {96, 2500, 0, 0, 0, 324, 42},	//2576 KServiceGroup::serviceEntries()
    {96, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 43},	//2577 KServiceGroup::NoOptions (enum)
    {96, 726, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 44},	//2578 KServiceGroup::SortEntries (enum)
    {96, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 45},	//2579 KServiceGroup::ExcludeNoDisplay (enum)
    {96, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 46},	//2580 KServiceGroup::AllowSeparators (enum)
    {96, 725, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 47},	//2581 KServiceGroup::SortByGenericName (enum)
    {96, 3415, 0, 0, Smoke::mf_dtor, 0, 48 },	//2582 KServiceGroup::~KServiceGroup()
    {97, 490, 1766, 1, Smoke::mf_ctor, 187, 1},	//2583 KServiceType::KServiceType(KDesktopFile*)
    {97, 490, 1585, 2, Smoke::mf_ctor, 187, 2},	//2584 KServiceType::KServiceType(QDataStream&, int)
    {97, 1167, 0, 0, Smoke::mf_const, 352, 3},	//2585 KServiceType::comment() const
    {97, 1362, 0, 0, Smoke::mf_const, 352, 4},	//2586 KServiceType::desktopEntryPath() const
    {97, 1807, 0, 0, Smoke::mf_const, 452, 5},	//2587 KServiceType::isDerived() const
    {97, 2226, 0, 0, Smoke::mf_const, 352, 6},	//2588 KServiceType::parentServiceType() const
    {97, 1739, 30, 1, Smoke::mf_const, 452, 7},	//2589 KServiceType::inherits(const QString&) const
    {97, 2290, 30, 1, Smoke::mf_const, 367, 8},	//2590 KServiceType::propertyDef(const QString&) const
    {97, 2292, 0, 0, Smoke::mf_const, 355, 9},	//2591 KServiceType::propertyDefNames() const
    {97, 2293, 0, 0, Smoke::mf_const, 341, 10},	//2592 KServiceType::propertyDefs() const
    {97, 2227, 0, 0, 0, 194, 11},	//2593 KServiceType::parentType()
    {97, 2867, 118, 1, 0, 0, 12},	//2594 KServiceType::setServiceOffersOffset(int)
    {97, 2502, 0, 0, Smoke::mf_const, 615, 13},	//2595 KServiceType::serviceOffersOffset() const
    {97, 2503, 30, 1, Smoke::mf_static, 194, 14},	//2596 KServiceType::serviceType(const QString&)
    {97, 1022, 0, 0, Smoke::mf_static, 327, 15},	//2597 KServiceType::allServiceTypes()
    {97, 490, 1768, 1, Smoke::mf_ctor|Smoke::mf_protected, 187, 16},	//2598 KServiceType::KServiceType(KServiceTypePrivate&)
    {97, 490, 1770, 3, Smoke::mf_ctor|Smoke::mf_protected, 187, 17},	//2599 KServiceType::KServiceType(KServiceTypePrivate&, const QString&, const QString&)
    {97, 3416, 0, 0, Smoke::mf_dtor, 0, 18 },	//2600 KServiceType::~KServiceType()
    {99, 2313, 95, 2, Smoke::mf_const, 324, 1},	//2601 KServiceTypeTrader::query(const QString&, const QString&) const
    {99, 1334, 95, 2, Smoke::mf_const, 324, 2},	//2602 KServiceTypeTrader::defaultOffers(const QString&, const QString&) const
    {99, 2263, 30, 1, Smoke::mf_const, 192, 3},	//2603 KServiceTypeTrader::preferredService(const QString&) const
    {99, 2486, 0, 0, Smoke::mf_static, 189, 4},	//2604 KServiceTypeTrader::self()
    {99, 1038, 1774, 2, Smoke::mf_static, 0, 5},	//2605 KServiceTypeTrader::applyConstraints(QList<KSharedPtr<KService> >&, const QString&)
    {99, 2313, 30, 1, Smoke::mf_const, 324, 6},	//2606 KServiceTypeTrader::query(const QString&) const
    {99, 1334, 30, 1, Smoke::mf_const, 324, 7},	//2607 KServiceTypeTrader::defaultOffers(const QString&) const
    {99, 3417, 0, 0, Smoke::mf_dtor, 0, 8 },	//2608 KServiceTypeTrader::~KServiceTypeTrader()
    {100, 2159, 454, 3, Smoke::mf_static, 195, 1},	//2609 KSharedConfig::openConfig(const QString&, QFlags<KConfig::OpenFlag>, const char*)
    {100, 2159, 458, 4, Smoke::mf_static, 195, 2},	//2610 KSharedConfig::openConfig(const KComponentData&, const QString&, QFlags<KConfig::OpenFlag>, const char*)
    {100, 2159, 0, 0, Smoke::mf_static, 195, 3},	//2611 KSharedConfig::openConfig()
    {100, 2159, 30, 1, Smoke::mf_static, 195, 4},	//2612 KSharedConfig::openConfig(const QString&)
    {100, 2159, 475, 2, Smoke::mf_static, 195, 5},	//2613 KSharedConfig::openConfig(const QString&, QFlags<KConfig::OpenFlag>)
    {100, 2159, 430, 1, Smoke::mf_static, 195, 6},	//2614 KSharedConfig::openConfig(const KComponentData&)
    {100, 2159, 478, 2, Smoke::mf_static, 195, 7},	//2615 KSharedConfig::openConfig(const KComponentData&, const QString&)
    {100, 2159, 481, 3, Smoke::mf_static, 195, 8},	//2616 KSharedConfig::openConfig(const KComponentData&, const QString&, QFlags<KConfig::OpenFlag>)
    {100, 3418, 0, 0, Smoke::mf_dtor, 0, 9 },	//2617 KSharedConfig::~KSharedConfig()
    {101, 3103, 30, 1, Smoke::mf_static, 352, 1},	//2618 KShell::tildeExpand(const QString&)
    {101, 2972, 1777, 3, Smoke::mf_static, 355, 2},	//2619 KShell::splitArgs(const QString&, QFlags<KShell::Option>, KShell::Errors*)
    {101, 2972, 30, 1, Smoke::mf_static, 355, 3},	//2620 KShell::splitArgs(const QString&)
    {101, 2972, 1781, 2, Smoke::mf_static, 355, 4},	//2621 KShell::splitArgs(const QString&, QFlags<KShell::Option>)
    {101, 2321, 30, 1, Smoke::mf_static, 352, 5},	//2622 KShell::quoteArg(const QString&)
    {101, 1896, 141, 1, Smoke::mf_static, 352, 6},	//2623 KShell::joinArgs(const QStringList&)
    {101, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 199, 7},	//2624 KShell::NoOptions (enum)
    {101, 761, 0, 0, Smoke::mf_static|Smoke::mf_enum, 199, 8},	//2625 KShell::TildeExpand (enum)
    {101, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 199, 9},	//2626 KShell::AbortOnMeta (enum)
    {101, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 197, 10},	//2627 KShell::NoError (enum)
    {101, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 197, 11},	//2628 KShell::BadQuoting (enum)
    {101, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 197, 12},	//2629 KShell::FoundMeta (enum)
    {102, 1180, 1784, 4, Smoke::mf_static, 359, 1},	//2630 KSocketFactory::connectToHost(const QString&, const QString&, unsigned short, QObject*)
    {102, 1180, 1789, 3, Smoke::mf_static, 359, 2},	//2631 KSocketFactory::connectToHost(const QString&, const QString&, unsigned short)
    {102, 3080, 1793, 5, Smoke::mf_static, 359, 3},	//2632 KSocketFactory::synchronousConnectToHost(const QString&, const QString&, unsigned short, int, QObject*)
    {102, 3080, 1789, 3, Smoke::mf_static, 359, 4},	//2633 KSocketFactory::synchronousConnectToHost(const QString&, const QString&, unsigned short)
    {102, 3080, 1799, 4, Smoke::mf_static, 359, 5},	//2634 KSocketFactory::synchronousConnectToHost(const QString&, const QString&, unsigned short, int)
    {102, 1984, 1804, 4, Smoke::mf_static, 358, 6},	//2635 KSocketFactory::listen(const QString&, const QHostAddress&, unsigned short, QObject*)
    {102, 1984, 30, 1, Smoke::mf_static, 358, 7},	//2636 KSocketFactory::listen(const QString&)
    {102, 1984, 1809, 2, Smoke::mf_static, 358, 8},	//2637 KSocketFactory::listen(const QString&, const QHostAddress&)
    {102, 1984, 1812, 3, Smoke::mf_static, 358, 9},	//2638 KSocketFactory::listen(const QString&, const QHostAddress&, unsigned short)
    {102, 1258, 1816, 3, Smoke::mf_static, 364, 10},	//2639 KSocketFactory::datagramSocket(const QString&, const QString&, QObject*)
    {102, 1258, 95, 2, Smoke::mf_static, 364, 11},	//2640 KSocketFactory::datagramSocket(const QString&, const QString&)
    {102, 3080, 1820, 3, Smoke::mf_static, 359, 12},	//2641 KSocketFactory::synchronousConnectToHost(const QUrl&, int, QObject*)
    {102, 3080, 1824, 1, Smoke::mf_static, 359, 13},	//2642 KSocketFactory::synchronousConnectToHost(const QUrl&)
    {102, 3080, 1826, 2, Smoke::mf_static, 359, 14},	//2643 KSocketFactory::synchronousConnectToHost(const QUrl&, int)
    {102, 1180, 1829, 4, Smoke::mf_static, 0, 15},	//2644 KSocketFactory::connectToHost(QTcpSocket*, const QString&, const QString&, unsigned short)
    {102, 2301, 95, 2, Smoke::mf_static, 345, 16},	//2645 KSocketFactory::proxyForConnection(const QString&, const QString&)
    {102, 2303, 95, 2, Smoke::mf_static, 345, 17},	//2646 KSocketFactory::proxyForDatagram(const QString&, const QString&)
    {102, 1180, 1834, 2, Smoke::mf_static, 359, 18},	//2647 KSocketFactory::connectToHost(const QUrl&, QObject*)
    {102, 1180, 1824, 1, Smoke::mf_static, 359, 19},	//2648 KSocketFactory::connectToHost(const QUrl&)
    {102, 1180, 1837, 2, Smoke::mf_static, 0, 20},	//2649 KSocketFactory::connectToHost(QTcpSocket*, const QUrl&)
    {102, 3080, 1840, 3, Smoke::mf_static, 0, 21},	//2650 KSocketFactory::synchronousConnectToHost(QTcpSocket*, const QUrl&, int)
    {102, 3080, 1837, 2, Smoke::mf_static, 0, 22},	//2651 KSocketFactory::synchronousConnectToHost(QTcpSocket*, const QUrl&)
    {102, 2305, 30, 1, Smoke::mf_static, 345, 23},	//2652 KSocketFactory::proxyForListening(const QString&)
    {102, 3080, 1844, 5, Smoke::mf_static, 0, 24},	//2653 KSocketFactory::synchronousConnectToHost(QTcpSocket*, const QString&, const QString&, unsigned short, int)
    {102, 3080, 1829, 4, Smoke::mf_static, 0, 25},	//2654 KSocketFactory::synchronousConnectToHost(QTcpSocket*, const QString&, const QString&, unsigned short)
    {103, 494, 0, 0, Smoke::mf_ctor, 201, 1},	//2655 KStandardDirs::KStandardDirs()
    {103, 972, 30, 1, 0, 0, 2},	//2656 KStandardDirs::addPrefix(const QString&)
    {103, 1002, 30, 1, 0, 0, 3},	//2657 KStandardDirs::addXdgConfigPrefix(const QString&)
    {103, 1004, 30, 1, 0, 0, 4},	//2658 KStandardDirs::addXdgDataPrefix(const QString&)
    {103, 979, 1850, 3, 0, 452, 5},	//2659 KStandardDirs::addResourceType(const char*, const QString&, bool)
    {103, 979, 1854, 4, 0, 452, 6},	//2660 KStandardDirs::addResourceType(const char*, const char*, const QString&, bool)
    {103, 979, 1859, 4, 0, 452, 7},	//2661 KStandardDirs::addResourceType(const char*, const char*, const char*, bool)
    {103, 976, 1850, 3, 0, 452, 8},	//2662 KStandardDirs::addResourceDir(const char*, const QString&, bool)
    {103, 1562, 521, 2, Smoke::mf_const, 352, 9},	//2663 KStandardDirs::findResource(const char*, const QString&) const
    {103, 1860, 521, 2, Smoke::mf_const, 452, 10},	//2664 KStandardDirs::isRestrictedResource(const char*, const QString&) const
    {103, 1095, 1864, 3, Smoke::mf_const, 631, 11},	//2665 KStandardDirs::calcResourceHash(const char*, const QString&, QFlags<KStandardDirs::SearchOption>) const
    {103, 1543, 521, 2, Smoke::mf_const, 355, 12},	//2666 KStandardDirs::findDirs(const char*, const QString&) const
    {103, 1564, 521, 2, Smoke::mf_const, 352, 13},	//2667 KStandardDirs::findResourceDir(const char*, const QString&) const
    {103, 1515, 1864, 3, Smoke::mf_const, 355, 14},	//2668 KStandardDirs::findAllResources(const char*, const QString&, QFlags<KStandardDirs::SearchOption>) const
    {103, 1515, 1868, 4, Smoke::mf_const, 355, 15},	//2669 KStandardDirs::findAllResources(const char*, const QString&, QFlags<KStandardDirs::SearchOption>, QStringList&) const
    {103, 3091, 30, 1, Smoke::mf_static, 355, 16},	//2670 KStandardDirs::systemPaths(const QString&)
    {103, 1547, 1873, 3, Smoke::mf_static, 352, 17},	//2671 KStandardDirs::findExe(const QString&, const QString&, QFlags<KStandardDirs::SearchOption>)
    {103, 1511, 1877, 4, Smoke::mf_static, 615, 18},	//2672 KStandardDirs::findAllExe(QStringList&, const QString&, const QString&, QFlags<KStandardDirs::SearchOption>)
    {103, 873, 595, 1, 0, 452, 19},	//2673 KStandardDirs::addCustomized(KConfig*)
    {103, 2457, 122, 1, Smoke::mf_const, 355, 20},	//2674 KStandardDirs::resourceDirs(const char*) const
    {103, 1026, 0, 0, Smoke::mf_const, 355, 21},	//2675 KStandardDirs::allTypes() const
    {103, 2474, 1850, 3, Smoke::mf_const, 352, 22},	//2676 KStandardDirs::saveLocation(const char*, const QString&, bool) const
    {103, 2413, 521, 2, 0, 352, 23},	//2677 KStandardDirs::relativeLocation(const char*, const QString&)
    {103, 2050, 1014, 2, Smoke::mf_static, 452, 24},	//2678 KStandardDirs::makeDir(const QString&, int)
    {103, 1916, 122, 1, Smoke::mf_static, 352, 25},	//2679 KStandardDirs::kde_default(const char*)
    {103, 1937, 0, 0, 0, 352, 26},	//2680 KStandardDirs::kfsstnd_prefixes()
    {103, 1938, 0, 0, 0, 352, 27},	//2681 KStandardDirs::kfsstnd_xdg_conf_prefixes()
    {103, 1939, 0, 0, 0, 352, 28},	//2682 KStandardDirs::kfsstnd_xdg_data_prefixes()
    {103, 2000, 0, 0, Smoke::mf_const, 352, 29},	//2683 KStandardDirs::localkdedir() const
    {103, 2002, 0, 0, Smoke::mf_const, 352, 30},	//2684 KStandardDirs::localxdgdatadir() const
    {103, 2001, 0, 0, Smoke::mf_const, 352, 31},	//2685 KStandardDirs::localxdgconfdir() const
    {103, 1754, 122, 1, Smoke::mf_static, 352, 32},	//2686 KStandardDirs::installPath(const char*)
    {103, 1469, 30, 1, Smoke::mf_static, 452, 33},	//2687 KStandardDirs::exists(const QString&)
    {103, 2404, 30, 1, Smoke::mf_static, 352, 34},	//2688 KStandardDirs::realPath(const QString&)
    {103, 2401, 30, 1, Smoke::mf_static, 352, 35},	//2689 KStandardDirs::realFilePath(const QString&)
    {103, 2003, 1882, 3, Smoke::mf_static, 352, 36},	//2690 KStandardDirs::locate(const char*, const QString&, const KComponentData&)
    {103, 2006, 1882, 3, Smoke::mf_static, 352, 37},	//2691 KStandardDirs::locateLocal(const char*, const QString&, const KComponentData&)
    {103, 2006, 1886, 4, Smoke::mf_static, 352, 38},	//2692 KStandardDirs::locateLocal(const char*, const QString&, bool, const KComponentData&)
    {103, 1130, 1014, 2, Smoke::mf_static, 452, 39},	//2693 KStandardDirs::checkAccess(const QString&, int)
    {103, 979, 521, 2, 0, 452, 40},	//2694 KStandardDirs::addResourceType(const char*, const QString&)
    {103, 979, 1891, 3, 0, 452, 41},	//2695 KStandardDirs::addResourceType(const char*, const char*, const QString&)
    {103, 979, 1336, 3, 0, 452, 42},	//2696 KStandardDirs::addResourceType(const char*, const char*, const char*)
    {103, 976, 521, 2, 0, 452, 43},	//2697 KStandardDirs::addResourceDir(const char*, const QString&)
    {103, 1860, 122, 1, Smoke::mf_const, 452, 44},	//2698 KStandardDirs::isRestrictedResource(const char*) const
    {103, 1095, 521, 2, Smoke::mf_const, 631, 45},	//2699 KStandardDirs::calcResourceHash(const char*, const QString&) const
    {103, 1515, 122, 1, Smoke::mf_const, 355, 46},	//2700 KStandardDirs::findAllResources(const char*) const
    {103, 1515, 521, 2, Smoke::mf_const, 355, 47},	//2701 KStandardDirs::findAllResources(const char*, const QString&) const
    {103, 3091, 0, 0, Smoke::mf_static, 355, 48},	//2702 KStandardDirs::systemPaths()
    {103, 1547, 30, 1, Smoke::mf_static, 352, 49},	//2703 KStandardDirs::findExe(const QString&)
    {103, 1547, 95, 2, Smoke::mf_static, 352, 50},	//2704 KStandardDirs::findExe(const QString&, const QString&)
    {103, 1511, 1895, 2, Smoke::mf_static, 615, 51},	//2705 KStandardDirs::findAllExe(QStringList&, const QString&)
    {103, 1511, 1898, 3, Smoke::mf_static, 615, 52},	//2706 KStandardDirs::findAllExe(QStringList&, const QString&, const QString&)
    {103, 2474, 122, 1, Smoke::mf_const, 352, 53},	//2707 KStandardDirs::saveLocation(const char*) const
    {103, 2474, 521, 2, Smoke::mf_const, 352, 54},	//2708 KStandardDirs::saveLocation(const char*, const QString&) const
    {103, 2050, 30, 1, Smoke::mf_static, 452, 55},	//2709 KStandardDirs::makeDir(const QString&)
    {103, 2003, 521, 2, Smoke::mf_static, 352, 56},	//2710 KStandardDirs::locate(const char*, const QString&)
    {103, 2006, 521, 2, Smoke::mf_static, 352, 57},	//2711 KStandardDirs::locateLocal(const char*, const QString&)
    {103, 2006, 1850, 3, Smoke::mf_static, 352, 58},	//2712 KStandardDirs::locateLocal(const char*, const QString&, bool)
    {103, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 59},	//2713 KStandardDirs::NoSearchOptions (enum)
    {103, 693, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 60},	//2714 KStandardDirs::Recursive (enum)
    {103, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 61},	//2715 KStandardDirs::NoDuplicates (enum)
    {103, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 62},	//2716 KStandardDirs::IgnoreExecBit (enum)
    {103, 3419, 0, 0, Smoke::mf_dtor, 0, 63 },	//2717 KStandardDirs::~KStandardDirs()
    {104, 2242, 1902, 3, Smoke::mf_static, 355, 1},	//2718 KStringHandler::perlSplit(const QChar&, const QString&, int)
    {104, 2242, 1906, 2, Smoke::mf_static, 355, 2},	//2719 KStringHandler::perlSplit(const QChar&, const QString&)
    {104, 2242, 1909, 3, Smoke::mf_static, 355, 3},	//2720 KStringHandler::perlSplit(const QRegExp&, const QString&, int)
    {104, 2242, 1913, 2, Smoke::mf_static, 355, 4},	//2721 KStringHandler::perlSplit(const QRegExp&, const QString&)
    {104, 2141, 30, 1, Smoke::mf_static, 352, 5},	//2722 KStringHandler::obscure(const QString&)
    {104, 1117, 141, 1, Smoke::mf_static, 355, 6},	//2723 KStringHandler::capwords(const QStringList&)
    {104, 2118, 1916, 3, Smoke::mf_static, 615, 7},	//2724 KStringHandler::naturalCompare(const QString&, const QString&, Qt::CaseSensitivity)
    {104, 2118, 95, 2, Smoke::mf_static, 615, 8},	//2725 KStringHandler::naturalCompare(const QString&, const QString&)
    {104, 2017, 1014, 2, Smoke::mf_static, 352, 9},	//2726 KStringHandler::lsqueeze(const QString&, int)
    {104, 2017, 30, 1, Smoke::mf_static, 352, 10},	//2727 KStringHandler::lsqueeze(const QString&)
    {104, 2261, 30, 1, Smoke::mf_static, 352, 11},	//2728 KStringHandler::preProcessWrap(const QString&)
    {104, 2242, 1920, 3, Smoke::mf_static, 355, 12},	//2729 KStringHandler::perlSplit(const QString&, const QString&, int)
    {104, 2242, 95, 2, Smoke::mf_static, 355, 13},	//2730 KStringHandler::perlSplit(const QString&, const QString&)
    {104, 3093, 30, 1, Smoke::mf_static, 352, 14},	//2731 KStringHandler::tagUrls(const QString&)
    {104, 1228, 1014, 2, Smoke::mf_static, 352, 15},	//2732 KStringHandler::csqueeze(const QString&, int)
    {104, 1228, 30, 1, Smoke::mf_static, 352, 16},	//2733 KStringHandler::csqueeze(const QString&)
    {104, 1117, 30, 1, Smoke::mf_static, 352, 17},	//2734 KStringHandler::capwords(const QString&)
    {104, 1614, 122, 1, Smoke::mf_static, 352, 18},	//2735 KStringHandler::from8Bit(const char*)
    {104, 1879, 122, 1, Smoke::mf_static, 452, 19},	//2736 KStringHandler::isUtf8(const char*)
    {104, 2467, 1014, 2, Smoke::mf_static, 352, 20},	//2737 KStringHandler::rsqueeze(const QString&, int)
    {104, 2467, 30, 1, Smoke::mf_static, 352, 21},	//2738 KStringHandler::rsqueeze(const QString&)
    {105, 2070, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 584, 1},	//2739 KSycoca::metaObject() const
    {105, 2311, 122, 1, Smoke::mf_virtual, 638, 2},	//2740 KSycoca::qt_metacast(const char*)
    {105, 3141, 124, 2, Smoke::mf_static, 352, 3},	//2741 KSycoca::tr(const char*, const char*)
    {105, 3148, 124, 2, Smoke::mf_static, 352, 4},	//2742 KSycoca::trUtf8(const char*, const char*)
    {105, 3141, 127, 3, Smoke::mf_static, 352, 5},	//2743 KSycoca::tr(const char*, const char*, int)
    {105, 3148, 127, 3, Smoke::mf_static, 352, 6},	//2744 KSycoca::trUtf8(const char*, const char*, int)
    {105, 2309, 131, 3, Smoke::mf_virtual, 615, 7},	//2745 KSycoca::qt_metacall(QMetaObject::Call, int, void**)
    {105, 495, 103, 1, Smoke::mf_ctor|Smoke::mf_protected, 203, 8},	//2746 KSycoca::KSycoca(bool)
    {105, 3244, 0, 0, Smoke::mf_static, 615, 9},	//2747 KSycoca::version()
    {105, 1791, 0, 0, Smoke::mf_static, 452, 10},	//2748 KSycoca::isAvailable()
    {105, 1545, 1924, 2, 0, 275, 11},	//2749 KSycoca::findEntry(int, KSycocaType&)
    {105, 1551, 1927, 1, 0, 275, 12},	//2750 KSycoca::findFactory(KSycocaFactoryId)
    {105, 1937, 0, 0, 0, 352, 13},	//2751 KSycoca::kfsstnd_prefixes()
    {105, 835, 1929, 1, Smoke::mf_static, 352, 14},	//2752 KSycoca::absoluteFilePath(DatabaseType)
    {105, 1957, 0, 0, 0, 352, 15},	//2753 KSycoca::language()
    {105, 3108, 0, 0, 0, 631, 16},	//2754 KSycoca::timeStamp()
    {105, 3208, 0, 0, 0, 631, 17},	//2755 KSycoca::updateSignature()
    {105, 1021, 0, 0, 0, 355, 18},	//2756 KSycoca::allResourceDirs()
    {105, 882, 1931, 1, 0, 0, 19},	//2757 KSycoca::addFactory(KSycocaFactory*)
    {105, 1796, 0, 0, Smoke::mf_virtual, 452, 20},	//2758 KSycoca::isBuilding()
    {105, 1386, 0, 0, Smoke::mf_static, 0, 21},	//2759 KSycoca::disableAutoRebuild()
    {105, 1797, 122, 1, Smoke::mf_static, 452, 22},	//2760 KSycoca::isChanged(const char*)
    {105, 1575, 0, 0, Smoke::mf_static, 0, 23},	//2761 KSycoca::flagError()
    {105, 2366, 0, 0, Smoke::mf_static, 452, 24},	//2762 KSycoca::readError()
    {105, 1256, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//2763 KSycoca::databaseChanged()
    {105, 1256, 141, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//2764 KSycoca::databaseChanged(const QStringList&)
    {105, 1492, 0, 0, Smoke::mf_protected, 210, 27},	//2765 KSycoca::factories()
    {105, 3051, 0, 0, Smoke::mf_protected, 276, 28},	//2766 KSycoca::stream()
    {105, 3141, 122, 1, Smoke::mf_static, 352, 29},	//2767 KSycoca::tr(const char*)
    {105, 3148, 122, 1, Smoke::mf_static, 352, 30},	//2768 KSycoca::trUtf8(const char*)
    {105, 835, 0, 0, Smoke::mf_static, 352, 31},	//2769 KSycoca::absoluteFilePath()
    {105, 3040, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 583, 32},	//2770 KSycoca::staticMetaObject() const
    {105, 2039, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 275, 33},	//2771 KSycoca::m_str_deprecated() const
    {105, 2744, 1933, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 34},	//2772 KSycoca::setM_str_deprecated(QDataStream*)
    {105, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 35},	//2773 KSycoca::LocalDatabase (enum)
    {105, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 36},	//2774 KSycoca::GlobalDatabase (enum)
    {105, 3420, 0, 0, Smoke::mf_dtor, 0, 37 },	//2775 KSycoca::~KSycoca()
    {106, 497, 0, 0, Smoke::mf_ctor, 206, 1},	//2776 KSycocaEntry::KSycocaEntry()
    {106, 1876, 1935, 1, Smoke::mf_const, 452, 2},	//2777 KSycocaEntry::isType(KSycocaType) const
    {106, 3077, 0, 0, Smoke::mf_const, 211, 3},	//2778 KSycocaEntry::sycocaType() const
    {106, 2339, 1937, 2, Smoke::mf_static, 0, 4},	//2779 KSycocaEntry::read(QDataStream&, QString&)
    {106, 2339, 1940, 2, Smoke::mf_static, 0, 5},	//2780 KSycocaEntry::read(QDataStream&, QStringList&)
    {106, 2112, 0, 0, Smoke::mf_const, 352, 6},	//2781 KSycocaEntry::name() const
    {106, 1429, 0, 0, Smoke::mf_const, 352, 7},	//2782 KSycocaEntry::entryPath() const
    {106, 3048, 0, 0, Smoke::mf_const, 352, 8},	//2783 KSycocaEntry::storageId() const
    {106, 1881, 0, 0, Smoke::mf_const, 452, 9},	//2784 KSycocaEntry::isValid() const
    {106, 1806, 0, 0, Smoke::mf_const, 452, 10},	//2785 KSycocaEntry::isDeleted() const
    {106, 2287, 30, 1, Smoke::mf_const, 365, 11},	//2786 KSycocaEntry::property(const QString&) const
    {106, 2294, 0, 0, Smoke::mf_const, 355, 12},	//2787 KSycocaEntry::propertyNames() const
    {106, 2610, 103, 1, 0, 0, 13},	//2788 KSycocaEntry::setDeleted(bool)
    {106, 1864, 0, 0, Smoke::mf_const, 452, 14},	//2789 KSycocaEntry::isSeparator() const
    {106, 2145, 0, 0, Smoke::mf_const, 615, 15},	//2790 KSycocaEntry::offset() const
    {106, 2470, 381, 1, 0, 0, 16},	//2791 KSycocaEntry::save(QDataStream&)
    {106, 497, 1943, 1, Smoke::mf_ctor|Smoke::mf_protected, 206, 17},	//2792 KSycocaEntry::KSycocaEntry(KSycocaEntryPrivate&)
    {106, 3421, 0, 0, Smoke::mf_dtor, 0, 18 },	//2793 KSycocaEntry::~KSycocaEntry()
    {110, 499, 1945, 6, Smoke::mf_ctor, 213, 1},	//2794 KSystemTimeZone::KSystemTimeZone(KSystemTimeZoneSource*, const QString&, const QString&, float, float, const QString&)
    {110, 499, 1952, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 213, 2},	//2795 KSystemTimeZone::KSystemTimeZone(const KSystemTimeZone&)
    {110, 499, 1954, 2, Smoke::mf_ctor, 213, 3},	//2796 KSystemTimeZone::KSystemTimeZone(KSystemTimeZoneSource*, const QString&)
    {110, 499, 1957, 3, Smoke::mf_ctor, 213, 4},	//2797 KSystemTimeZone::KSystemTimeZone(KSystemTimeZoneSource*, const QString&, const QString&)
    {110, 499, 1961, 4, Smoke::mf_ctor, 213, 5},	//2798 KSystemTimeZone::KSystemTimeZone(KSystemTimeZoneSource*, const QString&, const QString&, float)
    {110, 499, 1966, 5, Smoke::mf_ctor, 213, 6},	//2799 KSystemTimeZone::KSystemTimeZone(KSystemTimeZoneSource*, const QString&, const QString&, float, float)
    {110, 3422, 0, 0, Smoke::mf_dtor, 0, 7 },	//2800 KSystemTimeZone::~KSystemTimeZone()
    {111, 506, 1945, 6, Smoke::mf_ctor, 214, 1},	//2801 KSystemTimeZoneBackend::KSystemTimeZoneBackend(KSystemTimeZoneSource*, const QString&, const QString&, float, float, const QString&)
    {111, 1156, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 231, 2},	//2802 KSystemTimeZoneBackend::clone() const
    {111, 3184, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 265, 3},	//2803 KSystemTimeZoneBackend::type() const
    {111, 2151, 1972, 3, Smoke::mf_const|Smoke::mf_virtual, 615, 4},	//2804 KSystemTimeZoneBackend::offsetAtZoneTime(const KTimeZone*, const QDateTime&, int*) const
    {111, 2148, 1976, 2, Smoke::mf_const|Smoke::mf_virtual, 615, 5},	//2805 KSystemTimeZoneBackend::offsetAtUtc(const KTimeZone*, const QDateTime&) const
    {111, 2145, 1979, 2, Smoke::mf_const|Smoke::mf_virtual, 615, 6},	//2806 KSystemTimeZoneBackend::offset(const KTimeZone*, long int) const
    {111, 1814, 1976, 2, Smoke::mf_const|Smoke::mf_virtual, 452, 7},	//2807 KSystemTimeZoneBackend::isDstAtUtc(const KTimeZone*, const QDateTime&) const
    {111, 1811, 1979, 2, Smoke::mf_const|Smoke::mf_virtual, 452, 8},	//2808 KSystemTimeZoneBackend::isDst(const KTimeZone*, long int) const
    {111, 506, 1982, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 214, 9},	//2809 KSystemTimeZoneBackend::KSystemTimeZoneBackend(const KSystemTimeZoneBackend&)
    {111, 3423, 0, 0, Smoke::mf_dtor, 0, 10 },	//2810 KSystemTimeZoneBackend::~KSystemTimeZoneBackend()
    {112, 509, 0, 0, Smoke::mf_ctor, 215, 1},	//2811 KSystemTimeZoneSource::KSystemTimeZoneSource()
    {112, 2229, 1041, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 2},	//2812 KSystemTimeZoneSource::parse(const KTimeZone&) const
    {112, 2988, 0, 0, Smoke::mf_static, 0, 3},	//2813 KSystemTimeZoneSource::startParseBlock()
    {112, 1421, 0, 0, Smoke::mf_static, 0, 4},	//2814 KSystemTimeZoneSource::endParseBlock()
    {112, 509, 1984, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 215, 5},	//2815 KSystemTimeZoneSource::KSystemTimeZoneSource(const KSystemTimeZoneSource&)
    {112, 3424, 0, 0, Smoke::mf_dtor, 0, 6 },	//2816 KSystemTimeZoneSource::~KSystemTimeZoneSource()
    {113, 2070, 0, 0, Smoke::mf_const, 584, 1},	//2817 KSystemTimeZones::metaObject() const
    {113, 2311, 122, 1, 0, 638, 2},	//2818 KSystemTimeZones::qt_metacast(const char*)
    {113, 3141, 124, 2, Smoke::mf_static, 352, 3},	//2819 KSystemTimeZones::tr(const char*, const char*)
    {113, 3148, 124, 2, Smoke::mf_static, 352, 4},	//2820 KSystemTimeZones::trUtf8(const char*, const char*)
    {113, 3141, 127, 3, Smoke::mf_static, 352, 5},	//2821 KSystemTimeZones::tr(const char*, const char*, int)
    {113, 3148, 127, 3, Smoke::mf_static, 352, 6},	//2822 KSystemTimeZones::trUtf8(const char*, const char*, int)
    {113, 2309, 131, 3, 0, 615, 7},	//2823 KSystemTimeZones::qt_metacall(QMetaObject::Call, int, void**)
    {113, 3111, 0, 0, Smoke::mf_static, 235, 8},	//2824 KSystemTimeZones::timeZones()
    {113, 3336, 0, 0, Smoke::mf_static, 580, 9},	//2825 KSystemTimeZones::zones()
    {113, 3333, 30, 1, Smoke::mf_static, 218, 10},	//2826 KSystemTimeZones::zone(const QString&)
    {113, 2398, 30, 1, Smoke::mf_static, 218, 11},	//2827 KSystemTimeZones::readZone(const QString&)
    {113, 1994, 0, 0, Smoke::mf_static, 218, 12},	//2828 KSystemTimeZones::local()
    {113, 2403, 0, 0, Smoke::mf_static, 218, 13},	//2829 KSystemTimeZones::realLocalZone()
    {113, 2700, 1041, 1, Smoke::mf_static, 0, 14},	//2830 KSystemTimeZones::setLocalZone(const KTimeZone&)
    {113, 1870, 0, 0, Smoke::mf_static, 452, 15},	//2831 KSystemTimeZones::isSimulated()
    {113, 3335, 0, 0, Smoke::mf_static, 352, 16},	//2832 KSystemTimeZones::zoneinfoDir()
    {113, 1875, 0, 0, Smoke::mf_static, 452, 17},	//2833 KSystemTimeZones::isTimeZoneDaemonAvailable()
    {113, 3141, 122, 1, Smoke::mf_static, 352, 18},	//2834 KSystemTimeZones::tr(const char*)
    {113, 3148, 122, 1, Smoke::mf_static, 352, 19},	//2835 KSystemTimeZones::trUtf8(const char*)
    {113, 3040, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 583, 20},	//2836 KSystemTimeZones::staticMetaObject() const
    {113, 3425, 0, 0, Smoke::mf_dtor, 0, 21 },	//2837 KSystemTimeZones::~KSystemTimeZones()
    {114, 511, 1014, 2, Smoke::mf_ctor, 216, 1},	//2838 KTempDir::KTempDir(const QString&, int)
    {114, 2531, 103, 1, 0, 0, 2},	//2839 KTempDir::setAutoRemove(bool)
    {114, 1060, 0, 0, Smoke::mf_const, 452, 3},	//2840 KTempDir::autoRemove() const
    {114, 3043, 0, 0, Smoke::mf_const, 615, 4},	//2841 KTempDir::status() const
    {114, 2112, 0, 0, Smoke::mf_const, 352, 5},	//2842 KTempDir::name() const
    {114, 3190, 0, 0, 0, 0, 6},	//2843 KTempDir::unlink()
    {114, 1469, 0, 0, Smoke::mf_const, 452, 7},	//2844 KTempDir::exists() const
    {114, 2428, 30, 1, Smoke::mf_static, 452, 8},	//2845 KTempDir::removeDir(const QString&)
    {114, 1213, 1014, 2, Smoke::mf_protected, 452, 9},	//2846 KTempDir::create(const QString&, int)
    {114, 511, 0, 0, Smoke::mf_ctor, 216, 10},	//2847 KTempDir::KTempDir()
    {114, 511, 30, 1, Smoke::mf_ctor, 216, 11},	//2848 KTempDir::KTempDir(const QString&)
    {114, 3426, 0, 0, Smoke::mf_dtor, 0, 12 },	//2849 KTempDir::~KTempDir()
    {115, 514, 430, 1, Smoke::mf_ctor, 217, 1},	//2850 KTemporaryFile::KTemporaryFile(const KComponentData&)
    {115, 2835, 30, 1, 0, 0, 2},	//2851 KTemporaryFile::setPrefix(const QString&)
    {115, 2888, 30, 1, 0, 0, 3},	//2852 KTemporaryFile::setSuffix(const QString&)
    {115, 514, 0, 0, Smoke::mf_ctor, 217, 4},	//2853 KTemporaryFile::KTemporaryFile()
    {115, 3427, 0, 0, Smoke::mf_dtor, 0, 5 },	//2854 KTemporaryFile::~KTemporaryFile()
    {116, 516, 0, 0, Smoke::mf_ctor, 220, 1},	//2855 KTimeZone::KTimeZone()
    {116, 516, 30, 1, Smoke::mf_ctor, 220, 2},	//2856 KTimeZone::KTimeZone(const QString&)
    {116, 516, 1041, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 220, 3},	//2857 KTimeZone::KTimeZone(const KTimeZone&)
    {116, 2192, 1041, 1, 0, 219, 4},	//2858 KTimeZone::operator=(const KTimeZone&)
    {116, 2195, 1041, 1, Smoke::mf_const, 452, 5},	//2859 KTimeZone::operator==(const KTimeZone&) const
    {116, 2168, 1041, 1, Smoke::mf_const, 452, 6},	//2860 KTimeZone::operator!=(const KTimeZone&) const
    {116, 3184, 0, 0, Smoke::mf_const, 265, 7},	//2861 KTimeZone::type() const
    {116, 1881, 0, 0, Smoke::mf_const, 452, 8},	//2862 KTimeZone::isValid() const
    {116, 2112, 0, 0, Smoke::mf_const, 352, 9},	//2863 KTimeZone::name() const
    {116, 1209, 0, 0, Smoke::mf_const, 352, 10},	//2864 KTimeZone::countryCode() const
    {116, 1971, 0, 0, Smoke::mf_const, 614, 11},	//2865 KTimeZone::latitude() const
    {116, 2016, 0, 0, Smoke::mf_const, 614, 12},	//2866 KTimeZone::longitude() const
    {116, 1167, 0, 0, Smoke::mf_const, 352, 13},	//2867 KTimeZone::comment() const
    {116, 831, 0, 0, Smoke::mf_const, 334, 14},	//2868 KTimeZone::abbreviations() const
    {116, 829, 1037, 1, Smoke::mf_const, 265, 15},	//2869 KTimeZone::abbreviation(const QDateTime&) const
    {116, 3232, 0, 0, Smoke::mf_const, 338, 16},	//2870 KTimeZone::utcOffsets() const
    {116, 1193, 1986, 2, Smoke::mf_const, 279, 17},	//2871 KTimeZone::convert(const KTimeZone&, const QDateTime&) const
    {116, 3130, 1037, 1, Smoke::mf_const, 279, 18},	//2872 KTimeZone::toUtc(const QDateTime&) const
    {116, 3134, 1989, 2, Smoke::mf_const, 279, 19},	//2873 KTimeZone::toZoneTime(const QDateTime&, bool*) const
    {116, 1245, 1992, 1, Smoke::mf_const, 615, 20},	//2874 KTimeZone::currentOffset(Qt::TimeSpec) const
    {116, 2151, 1994, 2, Smoke::mf_const|Smoke::mf_virtual, 615, 21},	//2875 KTimeZone::offsetAtZoneTime(const QDateTime&, int*) const
    {116, 2148, 1037, 1, Smoke::mf_const|Smoke::mf_virtual, 615, 22},	//2876 KTimeZone::offsetAtUtc(const QDateTime&) const
    {116, 2145, 1997, 1, Smoke::mf_const|Smoke::mf_virtual, 615, 23},	//2877 KTimeZone::offset(long int) const
    {116, 1814, 1037, 1, Smoke::mf_const|Smoke::mf_virtual, 452, 24},	//2878 KTimeZone::isDstAtUtc(const QDateTime&) const
    {116, 1811, 1997, 1, Smoke::mf_const|Smoke::mf_virtual, 452, 25},	//2879 KTimeZone::isDst(long int) const
    {116, 2248, 0, 0, Smoke::mf_const, 330, 26},	//2880 KTimeZone::phases() const
    {116, 1708, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 452, 27},	//2881 KTimeZone::hasTransitions() const
    {116, 3166, 1999, 2, Smoke::mf_const, 331, 28},	//2882 KTimeZone::transitions(const QDateTime&, const QDateTime&) const
    {116, 3154, 2002, 3, Smoke::mf_const, 532, 29},	//2883 KTimeZone::transition(const QDateTime&, const KTimeZone::Transition**, bool*) const
    {116, 3158, 2006, 3, Smoke::mf_const, 615, 30},	//2884 KTimeZone::transitionIndex(const QDateTime&, int*, bool*) const
    {116, 3162, 2010, 3, Smoke::mf_const, 335, 31},	//2885 KTimeZone::transitionTimes(const KTimeZone::Phase&, const QDateTime&, const QDateTime&) const
    {116, 1975, 0, 0, Smoke::mf_const, 329, 32},	//2886 KTimeZone::leapSecondChanges() const
    {116, 2965, 0, 0, Smoke::mf_const, 234, 33},	//2887 KTimeZone::source() const
    {116, 2229, 0, 0, Smoke::mf_const, 452, 34},	//2888 KTimeZone::parse() const
    {116, 1253, 103, 1, Smoke::mf_const, 536, 35},	//2889 KTimeZone::data(bool) const
    {116, 3206, 1041, 1, 0, 452, 36},	//2890 KTimeZone::updateBase(const KTimeZone&)
    {116, 1640, 1997, 1, Smoke::mf_static, 279, 37},	//2891 KTimeZone::fromTime_t(long int)
    {116, 3128, 1037, 1, Smoke::mf_static, 620, 38},	//2892 KTimeZone::toTime_t(const QDateTime&)
    {116, 3230, 0, 0, Smoke::mf_static, 218, 39},	//2893 KTimeZone::utc()
    {116, 516, 2014, 1, Smoke::mf_ctor|Smoke::mf_protected, 220, 40},	//2894 KTimeZone::KTimeZone(KTimeZoneBackend*)
    {116, 2575, 2016, 2, Smoke::mf_protected, 0, 41},	//2895 KTimeZone::setData(KTimeZoneData*, KTimeZoneSource*)
    {116, 3134, 1037, 1, Smoke::mf_const, 279, 42},	//2896 KTimeZone::toZoneTime(const QDateTime&) const
    {116, 1245, 0, 0, Smoke::mf_const, 615, 43},	//2897 KTimeZone::currentOffset() const
    {116, 2151, 1037, 1, Smoke::mf_const, 615, 44},	//2898 KTimeZone::offsetAtZoneTime(const QDateTime&) const
    {116, 3166, 0, 0, Smoke::mf_const, 331, 45},	//2899 KTimeZone::transitions() const
    {116, 3166, 1037, 1, Smoke::mf_const, 331, 46},	//2900 KTimeZone::transitions(const QDateTime&) const
    {116, 3154, 1037, 1, Smoke::mf_const, 532, 47},	//2901 KTimeZone::transition(const QDateTime&) const
    {116, 3154, 2019, 2, Smoke::mf_const, 532, 48},	//2902 KTimeZone::transition(const QDateTime&, const KTimeZone::Transition**) const
    {116, 3158, 1037, 1, Smoke::mf_const, 615, 49},	//2903 KTimeZone::transitionIndex(const QDateTime&) const
    {116, 3158, 1994, 2, Smoke::mf_const, 615, 50},	//2904 KTimeZone::transitionIndex(const QDateTime&, int*) const
    {116, 3162, 2022, 1, Smoke::mf_const, 335, 51},	//2905 KTimeZone::transitionTimes(const KTimeZone::Phase&) const
    {116, 3162, 2024, 2, Smoke::mf_const, 335, 52},	//2906 KTimeZone::transitionTimes(const KTimeZone::Phase&, const QDateTime&) const
    {116, 1253, 0, 0, Smoke::mf_const, 536, 53},	//2907 KTimeZone::data() const
    {116, 2575, 2027, 1, Smoke::mf_protected, 0, 54},	//2908 KTimeZone::setData(KTimeZoneData*)
    {116, 183, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 603, 55},	//2909 KTimeZone::InvalidOffset() const
    {116, 184, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 605, 56},	//2910 KTimeZone::InvalidTime_t() const
    {116, 777, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 601, 57},	//2911 KTimeZone::UNKNOWN() const
    {116, 3428, 0, 0, Smoke::mf_dtor, 0, 58 },	//2912 KTimeZone::~KTimeZone()
    {117, 567, 0, 0, Smoke::mf_ctor, 223, 1},	//2913 KTimeZone::LeapSeconds::LeapSeconds()
    {117, 567, 2029, 3, Smoke::mf_ctor, 223, 2},	//2914 KTimeZone::LeapSeconds::LeapSeconds(const QDateTime&, int, const QString&)
    {117, 567, 2033, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 223, 3},	//2915 KTimeZone::LeapSeconds::LeapSeconds(const KTimeZone::LeapSeconds&)
    {117, 2192, 2033, 1, 0, 222, 4},	//2916 KTimeZone::LeapSeconds::operator=(const KTimeZone::LeapSeconds&)
    {117, 2178, 2033, 1, Smoke::mf_const, 452, 5},	//2917 KTimeZone::LeapSeconds::operator<(const KTimeZone::LeapSeconds&) const
    {117, 1881, 0, 0, Smoke::mf_const, 452, 6},	//2918 KTimeZone::LeapSeconds::isValid() const
    {117, 1269, 0, 0, Smoke::mf_const, 279, 7},	//2919 KTimeZone::LeapSeconds::dateTime() const
    {117, 1976, 0, 0, Smoke::mf_const, 615, 8},	//2920 KTimeZone::LeapSeconds::leapSeconds() const
    {117, 1167, 0, 0, Smoke::mf_const, 352, 9},	//2921 KTimeZone::LeapSeconds::comment() const
    {117, 567, 2035, 2, Smoke::mf_ctor, 223, 10},	//2922 KTimeZone::LeapSeconds::LeapSeconds(const QDateTime&, int)
    {117, 3441, 0, 0, Smoke::mf_dtor, 0, 11 },	//2923 KTimeZone::LeapSeconds::~LeapSeconds()
    {118, 662, 0, 0, Smoke::mf_ctor, 226, 1},	//2924 KTimeZone::Phase::Phase()
    {118, 662, 2038, 4, Smoke::mf_ctor, 226, 2},	//2925 KTimeZone::Phase::Phase(int, const QByteArray&, bool, const QString&)
    {118, 662, 2043, 4, Smoke::mf_ctor, 226, 3},	//2926 KTimeZone::Phase::Phase(int, const QList<QByteArray>&, bool, const QString&)
    {118, 662, 2022, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 226, 4},	//2927 KTimeZone::Phase::Phase(const KTimeZone::Phase&)
    {118, 2192, 2022, 1, 0, 225, 5},	//2928 KTimeZone::Phase::operator=(const KTimeZone::Phase&)
    {118, 2195, 2022, 1, Smoke::mf_const, 452, 6},	//2929 KTimeZone::Phase::operator==(const KTimeZone::Phase&) const
    {118, 2168, 2022, 1, Smoke::mf_const, 452, 7},	//2930 KTimeZone::Phase::operator!=(const KTimeZone::Phase&) const
    {118, 3231, 0, 0, Smoke::mf_const, 615, 8},	//2931 KTimeZone::Phase::utcOffset() const
    {118, 831, 0, 0, Smoke::mf_const, 334, 9},	//2932 KTimeZone::Phase::abbreviations() const
    {118, 1811, 0, 0, Smoke::mf_const, 452, 10},	//2933 KTimeZone::Phase::isDst() const
    {118, 1167, 0, 0, Smoke::mf_const, 352, 11},	//2934 KTimeZone::Phase::comment() const
    {118, 662, 2048, 3, Smoke::mf_ctor, 226, 12},	//2935 KTimeZone::Phase::Phase(int, const QByteArray&, bool)
    {118, 662, 2052, 3, Smoke::mf_ctor, 226, 13},	//2936 KTimeZone::Phase::Phase(int, const QList<QByteArray>&, bool)
    {118, 3443, 0, 0, Smoke::mf_dtor, 0, 14 },	//2937 KTimeZone::Phase::~Phase()
    {119, 772, 0, 0, Smoke::mf_ctor, 229, 1},	//2938 KTimeZone::Transition::Transition()
    {119, 772, 2056, 2, Smoke::mf_ctor, 229, 2},	//2939 KTimeZone::Transition::Transition(const QDateTime&, const KTimeZone::Phase&)
    {119, 772, 2059, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 229, 3},	//2940 KTimeZone::Transition::Transition(const KTimeZone::Transition&)
    {119, 2192, 2059, 1, 0, 228, 4},	//2941 KTimeZone::Transition::operator=(const KTimeZone::Transition&)
    {119, 3105, 0, 0, Smoke::mf_const, 279, 5},	//2942 KTimeZone::Transition::time() const
    {119, 2247, 0, 0, Smoke::mf_const, 224, 6},	//2943 KTimeZone::Transition::phase() const
    {119, 2178, 2059, 1, Smoke::mf_const, 452, 7},	//2944 KTimeZone::Transition::operator<(const KTimeZone::Transition&) const
    {119, 3446, 0, 0, Smoke::mf_dtor, 0, 8 },	//2945 KTimeZone::Transition::~Transition()
    {120, 519, 0, 0, Smoke::mf_ctor, 231, 1},	//2946 KTimeZoneBackend::KTimeZoneBackend()
    {120, 519, 30, 1, Smoke::mf_ctor, 231, 2},	//2947 KTimeZoneBackend::KTimeZoneBackend(const QString&)
    {120, 519, 2061, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 231, 3},	//2948 KTimeZoneBackend::KTimeZoneBackend(const KTimeZoneBackend&)
    {120, 2192, 2061, 1, 0, 230, 4},	//2949 KTimeZoneBackend::operator=(const KTimeZoneBackend&)
    {120, 1156, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 231, 5},	//2950 KTimeZoneBackend::clone() const
    {120, 3184, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 265, 6},	//2951 KTimeZoneBackend::type() const
    {120, 2151, 1972, 3, Smoke::mf_const|Smoke::mf_virtual, 615, 7},	//2952 KTimeZoneBackend::offsetAtZoneTime(const KTimeZone*, const QDateTime&, int*) const
    {120, 2148, 1976, 2, Smoke::mf_const|Smoke::mf_virtual, 615, 8},	//2953 KTimeZoneBackend::offsetAtUtc(const KTimeZone*, const QDateTime&) const
    {120, 2145, 1979, 2, Smoke::mf_const|Smoke::mf_virtual, 615, 9},	//2954 KTimeZoneBackend::offset(const KTimeZone*, long int) const
    {120, 1814, 1976, 2, Smoke::mf_const|Smoke::mf_virtual, 452, 10},	//2955 KTimeZoneBackend::isDstAtUtc(const KTimeZone*, const QDateTime&) const
    {120, 1811, 1979, 2, Smoke::mf_const|Smoke::mf_virtual, 452, 11},	//2956 KTimeZoneBackend::isDst(const KTimeZone*, long int) const
    {120, 1708, 2063, 1, Smoke::mf_const|Smoke::mf_virtual, 452, 12},	//2957 KTimeZoneBackend::hasTransitions(const KTimeZone*) const
    {120, 519, 2065, 6, Smoke::mf_ctor|Smoke::mf_protected, 231, 13},	//2958 KTimeZoneBackend::KTimeZoneBackend(KTimeZoneSource*, const QString&, const QString&, float, float, const QString&)
    {120, 519, 2072, 2, Smoke::mf_ctor|Smoke::mf_protected, 231, 14},	//2959 KTimeZoneBackend::KTimeZoneBackend(KTimeZoneSource*, const QString&)
    {120, 519, 2075, 3, Smoke::mf_ctor|Smoke::mf_protected, 231, 15},	//2960 KTimeZoneBackend::KTimeZoneBackend(KTimeZoneSource*, const QString&, const QString&)
    {120, 519, 2079, 4, Smoke::mf_ctor|Smoke::mf_protected, 231, 16},	//2961 KTimeZoneBackend::KTimeZoneBackend(KTimeZoneSource*, const QString&, const QString&, float)
    {120, 519, 2084, 5, Smoke::mf_ctor|Smoke::mf_protected, 231, 17},	//2962 KTimeZoneBackend::KTimeZoneBackend(KTimeZoneSource*, const QString&, const QString&, float, float)
    {120, 3429, 0, 0, Smoke::mf_dtor, 0, 18 },	//2963 KTimeZoneBackend::~KTimeZoneBackend()
    {121, 527, 0, 0, Smoke::mf_ctor, 233, 1},	//2964 KTimeZoneData::KTimeZoneData()
    {121, 527, 2090, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 233, 2},	//2965 KTimeZoneData::KTimeZoneData(const KTimeZoneData&)
    {121, 2192, 2090, 1, 0, 232, 3},	//2966 KTimeZoneData::operator=(const KTimeZoneData&)
    {121, 1156, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 4},	//2967 KTimeZoneData::clone() const
    {121, 831, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 334, 5},	//2968 KTimeZoneData::abbreviations() const
    {121, 829, 1037, 1, Smoke::mf_const|Smoke::mf_virtual, 265, 6},	//2969 KTimeZoneData::abbreviation(const QDateTime&) const
    {121, 3232, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 338, 7},	//2970 KTimeZoneData::utcOffsets() const
    {121, 2270, 0, 0, Smoke::mf_const, 615, 8},	//2971 KTimeZoneData::previousUtcOffset() const
    {121, 2248, 0, 0, Smoke::mf_const, 330, 9},	//2972 KTimeZoneData::phases() const
    {121, 1708, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 452, 10},	//2973 KTimeZoneData::hasTransitions() const
    {121, 3166, 1999, 2, Smoke::mf_const, 331, 11},	//2974 KTimeZoneData::transitions(const QDateTime&, const QDateTime&) const
    {121, 3154, 2002, 3, Smoke::mf_const, 532, 12},	//2975 KTimeZoneData::transition(const QDateTime&, const KTimeZone::Transition**, bool*) const
    {121, 3158, 2006, 3, Smoke::mf_const, 615, 13},	//2976 KTimeZoneData::transitionIndex(const QDateTime&, int*, bool*) const
    {121, 3162, 2010, 3, Smoke::mf_const, 335, 14},	//2977 KTimeZoneData::transitionTimes(const KTimeZone::Phase&, const QDateTime&, const QDateTime&) const
    {121, 1975, 0, 0, Smoke::mf_const, 329, 15},	//2978 KTimeZoneData::leapSecondChanges() const
    {121, 1973, 1037, 1, Smoke::mf_const, 221, 16},	//2979 KTimeZoneData::leapSecondChange(const QDateTime&) const
    {121, 2824, 2092, 2, Smoke::mf_protected, 0, 17},	//2980 KTimeZoneData::setPhases(const QList<KTimeZone::Phase>&, const KTimeZone::Phase&)
    {121, 2824, 2095, 2, Smoke::mf_protected, 0, 18},	//2981 KTimeZoneData::setPhases(const QList<KTimeZone::Phase>&, int)
    {121, 2910, 2098, 1, Smoke::mf_protected, 0, 19},	//2982 KTimeZoneData::setTransitions(const QList<KTimeZone::Transition>&)
    {121, 2692, 2100, 1, Smoke::mf_protected, 0, 20},	//2983 KTimeZoneData::setLeapSecondChanges(const QList<KTimeZone::LeapSeconds>&)
    {121, 3166, 0, 0, Smoke::mf_const, 331, 21},	//2984 KTimeZoneData::transitions() const
    {121, 3166, 1037, 1, Smoke::mf_const, 331, 22},	//2985 KTimeZoneData::transitions(const QDateTime&) const
    {121, 3154, 1037, 1, Smoke::mf_const, 532, 23},	//2986 KTimeZoneData::transition(const QDateTime&) const
    {121, 3154, 2019, 2, Smoke::mf_const, 532, 24},	//2987 KTimeZoneData::transition(const QDateTime&, const KTimeZone::Transition**) const
    {121, 3158, 1037, 1, Smoke::mf_const, 615, 25},	//2988 KTimeZoneData::transitionIndex(const QDateTime&) const
    {121, 3158, 1994, 2, Smoke::mf_const, 615, 26},	//2989 KTimeZoneData::transitionIndex(const QDateTime&, int*) const
    {121, 3162, 2022, 1, Smoke::mf_const, 335, 27},	//2990 KTimeZoneData::transitionTimes(const KTimeZone::Phase&) const
    {121, 3162, 2024, 2, Smoke::mf_const, 335, 28},	//2991 KTimeZoneData::transitionTimes(const KTimeZone::Phase&, const QDateTime&) const
    {121, 3430, 0, 0, Smoke::mf_dtor, 0, 29 },	//2992 KTimeZoneData::~KTimeZoneData()
    {122, 529, 0, 0, Smoke::mf_ctor, 234, 1},	//2993 KTimeZoneSource::KTimeZoneSource()
    {122, 2229, 1041, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 2},	//2994 KTimeZoneSource::parse(const KTimeZone&) const
    {122, 3219, 0, 0, Smoke::mf_const, 452, 3},	//2995 KTimeZoneSource::useZoneParse() const
    {122, 529, 103, 1, Smoke::mf_ctor|Smoke::mf_protected, 234, 4},	//2996 KTimeZoneSource::KTimeZoneSource(bool)
    {122, 529, 2102, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 234, 5},	//2997 KTimeZoneSource::KTimeZoneSource(const KTimeZoneSource&)
    {122, 3431, 0, 0, Smoke::mf_dtor, 0, 6 },	//2998 KTimeZoneSource::~KTimeZoneSource()
    {123, 532, 0, 0, Smoke::mf_ctor, 235, 1},	//2999 KTimeZones::KTimeZones()
    {123, 3333, 30, 1, Smoke::mf_const, 218, 2},	//3000 KTimeZones::zone(const QString&) const
    {123, 3336, 0, 0, Smoke::mf_const, 580, 3},	//3001 KTimeZones::zones() const
    {123, 848, 1041, 1, 0, 452, 4},	//3002 KTimeZones::add(const KTimeZone&)
    {123, 2421, 1041, 1, 0, 218, 5},	//3003 KTimeZones::remove(const KTimeZone&)
    {123, 2421, 30, 1, 0, 218, 6},	//3004 KTimeZones::remove(const QString&)
    {123, 1152, 0, 0, 0, 0, 7},	//3005 KTimeZones::clear()
    {123, 3432, 0, 0, Smoke::mf_dtor, 0, 8 },	//3006 KTimeZones::~KTimeZones()
    {124, 2070, 0, 0, Smoke::mf_const, 584, 1},	//3007 KToolInvocation::metaObject() const
    {124, 2311, 122, 1, 0, 638, 2},	//3008 KToolInvocation::qt_metacast(const char*)
    {124, 3141, 124, 2, Smoke::mf_static, 352, 3},	//3009 KToolInvocation::tr(const char*, const char*)
    {124, 3148, 124, 2, Smoke::mf_static, 352, 4},	//3010 KToolInvocation::trUtf8(const char*, const char*)
    {124, 3141, 127, 3, Smoke::mf_static, 352, 5},	//3011 KToolInvocation::tr(const char*, const char*, int)
    {124, 3148, 127, 3, Smoke::mf_static, 352, 6},	//3012 KToolInvocation::trUtf8(const char*, const char*, int)
    {124, 2309, 131, 3, 0, 615, 7},	//3013 KToolInvocation::qt_metacall(QMetaObject::Call, int, void**)
    {124, 2486, 0, 0, Smoke::mf_static, 236, 8},	//3014 KToolInvocation::self()
    {124, 1763, 2104, 3, Smoke::mf_static|Smoke::mf_slot, 0, 9},	//3015 KToolInvocation::invokeHelp(const QString&, const QString&, const QByteArray&)
    {124, 1767, 2104, 3, Smoke::mf_static|Smoke::mf_slot, 0, 10},	//3016 KToolInvocation::invokeMailer(const QString&, const QString&, const QByteArray&)
    {124, 1767, 2108, 3, Smoke::mf_static|Smoke::mf_slot, 0, 11},	//3017 KToolInvocation::invokeMailer(const KUrl&, const QByteArray&, bool)
    {124, 1767, 2112, 8, Smoke::mf_static|Smoke::mf_slot, 0, 12},	//3018 KToolInvocation::invokeMailer(const QString&, const QString&, const QString&, const QString&, const QString&, const QString&, const QStringList&, const QByteArray&)
    {124, 1760, 589, 2, Smoke::mf_static|Smoke::mf_slot, 0, 13},	//3019 KToolInvocation::invokeBrowser(const QString&, const QByteArray&)
    {124, 1777, 2104, 3, Smoke::mf_static|Smoke::mf_slot, 0, 14},	//3020 KToolInvocation::invokeTerminal(const QString&, const QString&, const QByteArray&)
    {124, 1950, 0, 0, Smoke::mf_static, 261, 15},	//3021 KToolInvocation::klauncher()
    {124, 3018, 2121, 7, Smoke::mf_static, 615, 16},	//3022 KToolInvocation::startServiceByName(const QString&, const QString&, QString*, QString*, int*, const QByteArray&, bool)
    {124, 3018, 2129, 7, Smoke::mf_static, 615, 17},	//3023 KToolInvocation::startServiceByName(const QString&, const QStringList&, QString*, QString*, int*, const QByteArray&, bool)
    {124, 3004, 2121, 7, Smoke::mf_static, 615, 18},	//3024 KToolInvocation::startServiceByDesktopPath(const QString&, const QString&, QString*, QString*, int*, const QByteArray&, bool)
    {124, 3004, 2129, 7, Smoke::mf_static, 615, 19},	//3025 KToolInvocation::startServiceByDesktopPath(const QString&, const QStringList&, QString*, QString*, int*, const QByteArray&, bool)
    {124, 2990, 2121, 7, Smoke::mf_static, 615, 20},	//3026 KToolInvocation::startServiceByDesktopName(const QString&, const QString&, QString*, QString*, int*, const QByteArray&, bool)
    {124, 2990, 2129, 7, Smoke::mf_static, 615, 21},	//3027 KToolInvocation::startServiceByDesktopName(const QString&, const QStringList&, QString*, QString*, int*, const QByteArray&, bool)
    {124, 1918, 2137, 5, Smoke::mf_static, 615, 22},	//3028 KToolInvocation::kdeinitExec(const QString&, const QStringList&, QString*, int*, const QByteArray&)
    {124, 1924, 2137, 5, Smoke::mf_static, 615, 23},	//3029 KToolInvocation::kdeinitExecWait(const QString&, const QStringList&, QString*, int*, const QByteArray&)
    {124, 1909, 2143, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//3030 KToolInvocation::kapplication_hook(QStringList&, QByteArray&)
    {124, 3141, 122, 1, Smoke::mf_static, 352, 25},	//3031 KToolInvocation::tr(const char*)
    {124, 3148, 122, 1, Smoke::mf_static, 352, 26},	//3032 KToolInvocation::trUtf8(const char*)
    {124, 1763, 0, 0, Smoke::mf_static|Smoke::mf_slot, 0, 27},	//3033 KToolInvocation::invokeHelp()
    {124, 1763, 30, 1, Smoke::mf_static|Smoke::mf_slot, 0, 28},	//3034 KToolInvocation::invokeHelp(const QString&)
    {124, 1763, 95, 2, Smoke::mf_static|Smoke::mf_slot, 0, 29},	//3035 KToolInvocation::invokeHelp(const QString&, const QString&)
    {124, 1767, 95, 2, Smoke::mf_static|Smoke::mf_slot, 0, 30},	//3036 KToolInvocation::invokeMailer(const QString&, const QString&)
    {124, 1767, 148, 1, Smoke::mf_static|Smoke::mf_slot, 0, 31},	//3037 KToolInvocation::invokeMailer(const KUrl&)
    {124, 1767, 2146, 2, Smoke::mf_static|Smoke::mf_slot, 0, 32},	//3038 KToolInvocation::invokeMailer(const KUrl&, const QByteArray&)
    {124, 1767, 2149, 5, Smoke::mf_static|Smoke::mf_slot, 0, 33},	//3039 KToolInvocation::invokeMailer(const QString&, const QString&, const QString&, const QString&, const QString&)
    {124, 1767, 2155, 6, Smoke::mf_static|Smoke::mf_slot, 0, 34},	//3040 KToolInvocation::invokeMailer(const QString&, const QString&, const QString&, const QString&, const QString&, const QString&)
    {124, 1767, 2162, 7, Smoke::mf_static|Smoke::mf_slot, 0, 35},	//3041 KToolInvocation::invokeMailer(const QString&, const QString&, const QString&, const QString&, const QString&, const QString&, const QStringList&)
    {124, 1760, 30, 1, Smoke::mf_static|Smoke::mf_slot, 0, 36},	//3042 KToolInvocation::invokeBrowser(const QString&)
    {124, 1777, 30, 1, Smoke::mf_static|Smoke::mf_slot, 0, 37},	//3043 KToolInvocation::invokeTerminal(const QString&)
    {124, 1777, 95, 2, Smoke::mf_static|Smoke::mf_slot, 0, 38},	//3044 KToolInvocation::invokeTerminal(const QString&, const QString&)
    {124, 3018, 95, 2, Smoke::mf_static, 615, 39},	//3045 KToolInvocation::startServiceByName(const QString&, const QString&)
    {124, 3018, 2170, 3, Smoke::mf_static, 615, 40},	//3046 KToolInvocation::startServiceByName(const QString&, const QString&, QString*)
    {124, 3018, 2174, 4, Smoke::mf_static, 615, 41},	//3047 KToolInvocation::startServiceByName(const QString&, const QString&, QString*, QString*)
    {124, 3018, 2179, 5, Smoke::mf_static, 615, 42},	//3048 KToolInvocation::startServiceByName(const QString&, const QString&, QString*, QString*, int*)
    {124, 3018, 2185, 6, Smoke::mf_static, 615, 43},	//3049 KToolInvocation::startServiceByName(const QString&, const QString&, QString*, QString*, int*, const QByteArray&)
    {124, 3018, 30, 1, Smoke::mf_static, 615, 44},	//3050 KToolInvocation::startServiceByName(const QString&)
    {124, 3018, 533, 2, Smoke::mf_static, 615, 45},	//3051 KToolInvocation::startServiceByName(const QString&, const QStringList&)
    {124, 3018, 2192, 3, Smoke::mf_static, 615, 46},	//3052 KToolInvocation::startServiceByName(const QString&, const QStringList&, QString*)
    {124, 3018, 2196, 4, Smoke::mf_static, 615, 47},	//3053 KToolInvocation::startServiceByName(const QString&, const QStringList&, QString*, QString*)
    {124, 3018, 2201, 5, Smoke::mf_static, 615, 48},	//3054 KToolInvocation::startServiceByName(const QString&, const QStringList&, QString*, QString*, int*)
    {124, 3018, 2207, 6, Smoke::mf_static, 615, 49},	//3055 KToolInvocation::startServiceByName(const QString&, const QStringList&, QString*, QString*, int*, const QByteArray&)
    {124, 3004, 95, 2, Smoke::mf_static, 615, 50},	//3056 KToolInvocation::startServiceByDesktopPath(const QString&, const QString&)
    {124, 3004, 2170, 3, Smoke::mf_static, 615, 51},	//3057 KToolInvocation::startServiceByDesktopPath(const QString&, const QString&, QString*)
    {124, 3004, 2174, 4, Smoke::mf_static, 615, 52},	//3058 KToolInvocation::startServiceByDesktopPath(const QString&, const QString&, QString*, QString*)
    {124, 3004, 2179, 5, Smoke::mf_static, 615, 53},	//3059 KToolInvocation::startServiceByDesktopPath(const QString&, const QString&, QString*, QString*, int*)
    {124, 3004, 2185, 6, Smoke::mf_static, 615, 54},	//3060 KToolInvocation::startServiceByDesktopPath(const QString&, const QString&, QString*, QString*, int*, const QByteArray&)
    {124, 3004, 30, 1, Smoke::mf_static, 615, 55},	//3061 KToolInvocation::startServiceByDesktopPath(const QString&)
    {124, 3004, 533, 2, Smoke::mf_static, 615, 56},	//3062 KToolInvocation::startServiceByDesktopPath(const QString&, const QStringList&)
    {124, 3004, 2192, 3, Smoke::mf_static, 615, 57},	//3063 KToolInvocation::startServiceByDesktopPath(const QString&, const QStringList&, QString*)
    {124, 3004, 2196, 4, Smoke::mf_static, 615, 58},	//3064 KToolInvocation::startServiceByDesktopPath(const QString&, const QStringList&, QString*, QString*)
    {124, 3004, 2201, 5, Smoke::mf_static, 615, 59},	//3065 KToolInvocation::startServiceByDesktopPath(const QString&, const QStringList&, QString*, QString*, int*)
    {124, 3004, 2207, 6, Smoke::mf_static, 615, 60},	//3066 KToolInvocation::startServiceByDesktopPath(const QString&, const QStringList&, QString*, QString*, int*, const QByteArray&)
    {124, 2990, 95, 2, Smoke::mf_static, 615, 61},	//3067 KToolInvocation::startServiceByDesktopName(const QString&, const QString&)
    {124, 2990, 2170, 3, Smoke::mf_static, 615, 62},	//3068 KToolInvocation::startServiceByDesktopName(const QString&, const QString&, QString*)
    {124, 2990, 2174, 4, Smoke::mf_static, 615, 63},	//3069 KToolInvocation::startServiceByDesktopName(const QString&, const QString&, QString*, QString*)
    {124, 2990, 2179, 5, Smoke::mf_static, 615, 64},	//3070 KToolInvocation::startServiceByDesktopName(const QString&, const QString&, QString*, QString*, int*)
    {124, 2990, 2185, 6, Smoke::mf_static, 615, 65},	//3071 KToolInvocation::startServiceByDesktopName(const QString&, const QString&, QString*, QString*, int*, const QByteArray&)
    {124, 2990, 30, 1, Smoke::mf_static, 615, 66},	//3072 KToolInvocation::startServiceByDesktopName(const QString&)
    {124, 2990, 533, 2, Smoke::mf_static, 615, 67},	//3073 KToolInvocation::startServiceByDesktopName(const QString&, const QStringList&)
    {124, 2990, 2192, 3, Smoke::mf_static, 615, 68},	//3074 KToolInvocation::startServiceByDesktopName(const QString&, const QStringList&, QString*)
    {124, 2990, 2196, 4, Smoke::mf_static, 615, 69},	//3075 KToolInvocation::startServiceByDesktopName(const QString&, const QStringList&, QString*, QString*)
    {124, 2990, 2201, 5, Smoke::mf_static, 615, 70},	//3076 KToolInvocation::startServiceByDesktopName(const QString&, const QStringList&, QString*, QString*, int*)
    {124, 2990, 2207, 6, Smoke::mf_static, 615, 71},	//3077 KToolInvocation::startServiceByDesktopName(const QString&, const QStringList&, QString*, QString*, int*, const QByteArray&)
    {124, 1918, 30, 1, Smoke::mf_static, 615, 72},	//3078 KToolInvocation::kdeinitExec(const QString&)
    {124, 1918, 533, 2, Smoke::mf_static, 615, 73},	//3079 KToolInvocation::kdeinitExec(const QString&, const QStringList&)
    {124, 1918, 2192, 3, Smoke::mf_static, 615, 74},	//3080 KToolInvocation::kdeinitExec(const QString&, const QStringList&, QString*)
    {124, 1918, 2214, 4, Smoke::mf_static, 615, 75},	//3081 KToolInvocation::kdeinitExec(const QString&, const QStringList&, QString*, int*)
    {124, 1924, 30, 1, Smoke::mf_static, 615, 76},	//3082 KToolInvocation::kdeinitExecWait(const QString&)
    {124, 1924, 533, 2, Smoke::mf_static, 615, 77},	//3083 KToolInvocation::kdeinitExecWait(const QString&, const QStringList&)
    {124, 1924, 2192, 3, Smoke::mf_static, 615, 78},	//3084 KToolInvocation::kdeinitExecWait(const QString&, const QStringList&, QString*)
    {124, 1924, 2214, 4, Smoke::mf_static, 615, 79},	//3085 KToolInvocation::kdeinitExecWait(const QString&, const QStringList&, QString*, int*)
    {124, 3040, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 583, 80},	//3086 KToolInvocation::staticMetaObject() const
    {124, 3433, 0, 0, Smoke::mf_dtor, 0, 81 },	//3087 KToolInvocation::~KToolInvocation()
    {125, 533, 2219, 6, Smoke::mf_ctor, 237, 1},	//3088 KTzfileTimeZone::KTzfileTimeZone(KTzfileTimeZoneSource*, const QString&, const QString&, float, float, const QString&)
    {125, 533, 2226, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 237, 2},	//3089 KTzfileTimeZone::KTzfileTimeZone(const KTzfileTimeZone&)
    {125, 533, 2228, 2, Smoke::mf_ctor, 237, 3},	//3090 KTzfileTimeZone::KTzfileTimeZone(KTzfileTimeZoneSource*, const QString&)
    {125, 533, 2231, 3, Smoke::mf_ctor, 237, 4},	//3091 KTzfileTimeZone::KTzfileTimeZone(KTzfileTimeZoneSource*, const QString&, const QString&)
    {125, 533, 2235, 4, Smoke::mf_ctor, 237, 5},	//3092 KTzfileTimeZone::KTzfileTimeZone(KTzfileTimeZoneSource*, const QString&, const QString&, float)
    {125, 533, 2240, 5, Smoke::mf_ctor, 237, 6},	//3093 KTzfileTimeZone::KTzfileTimeZone(KTzfileTimeZoneSource*, const QString&, const QString&, float, float)
    {125, 3434, 0, 0, Smoke::mf_dtor, 0, 7 },	//3094 KTzfileTimeZone::~KTzfileTimeZone()
    {126, 540, 2219, 6, Smoke::mf_ctor, 238, 1},	//3095 KTzfileTimeZoneBackend::KTzfileTimeZoneBackend(KTzfileTimeZoneSource*, const QString&, const QString&, float, float, const QString&)
    {126, 1156, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 231, 2},	//3096 KTzfileTimeZoneBackend::clone() const
    {126, 3184, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 265, 3},	//3097 KTzfileTimeZoneBackend::type() const
    {126, 1708, 2063, 1, Smoke::mf_const|Smoke::mf_virtual, 452, 4},	//3098 KTzfileTimeZoneBackend::hasTransitions(const KTimeZone*) const
    {126, 540, 2246, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 238, 5},	//3099 KTzfileTimeZoneBackend::KTzfileTimeZoneBackend(const KTzfileTimeZoneBackend&)
    {126, 3435, 0, 0, Smoke::mf_dtor, 0, 6 },	//3100 KTzfileTimeZoneBackend::~KTzfileTimeZoneBackend()
    {127, 543, 30, 1, Smoke::mf_ctor, 239, 1},	//3101 KTzfileTimeZoneSource::KTzfileTimeZoneSource(const QString&)
    {127, 2012, 0, 0, Smoke::mf_const, 352, 2},	//3102 KTzfileTimeZoneSource::location() const
    {127, 2229, 1041, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 3},	//3103 KTzfileTimeZoneSource::parse(const KTimeZone&) const
    {127, 543, 2248, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 239, 4},	//3104 KTzfileTimeZoneSource::KTzfileTimeZoneSource(const KTzfileTimeZoneSource&)
    {127, 3436, 0, 0, Smoke::mf_dtor, 0, 5 },	//3105 KTzfileTimeZoneSource::~KTzfileTimeZoneSource()
    {128, 546, 0, 0, Smoke::mf_ctor, 242, 1},	//3106 KUrl::KUrl()
    {128, 546, 30, 1, Smoke::mf_ctor, 242, 2},	//3107 KUrl::KUrl(const QString&)
    {128, 546, 122, 1, Smoke::mf_ctor, 242, 3},	//3108 KUrl::KUrl(const char*)
    {128, 546, 32, 1, Smoke::mf_ctor, 242, 4},	//3109 KUrl::KUrl(const QByteArray&)
    {128, 546, 148, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 242, 5},	//3110 KUrl::KUrl(const KUrl&)
    {128, 546, 1824, 1, Smoke::mf_ctor, 242, 6},	//3111 KUrl::KUrl(const QUrl&)
    {128, 546, 152, 2, Smoke::mf_ctor, 242, 7},	//3112 KUrl::KUrl(const KUrl&, const QString&)
    {128, 2295, 0, 0, Smoke::mf_const, 352, 8},	//3113 KUrl::protocol() const
    {128, 2855, 30, 1, 0, 0, 9},	//3114 KUrl::setProtocol(const QString&)
    {128, 3220, 0, 0, Smoke::mf_const, 352, 10},	//3115 KUrl::user() const
    {128, 2920, 30, 1, 0, 0, 11},	//3116 KUrl::setUser(const QString&)
    {128, 1712, 0, 0, Smoke::mf_const, 452, 12},	//3117 KUrl::hasUser() const
    {128, 2233, 0, 0, Smoke::mf_const, 352, 13},	//3118 KUrl::pass() const
    {128, 2818, 30, 1, 0, 0, 14},	//3119 KUrl::setPass(const QString&)
    {128, 1698, 0, 0, Smoke::mf_const, 452, 15},	//3120 KUrl::hasPass() const
    {128, 1683, 0, 0, Smoke::mf_const, 452, 16},	//3121 KUrl::hasHost() const
    {128, 2234, 2250, 1, Smoke::mf_const, 352, 17},	//3122 KUrl::path(KUrl::AdjustPathOption) const
    {128, 3116, 2250, 1, Smoke::mf_const, 352, 18},	//3123 KUrl::toLocalFile(KUrl::AdjustPathOption) const
    {128, 2820, 30, 1, 0, 0, 19},	//3124 KUrl::setPath(const QString&)
    {128, 1699, 0, 0, Smoke::mf_const, 452, 20},	//3125 KUrl::hasPath() const
    {128, 1150, 2252, 1, 0, 0, 21},	//3126 KUrl::cleanPath(const KUrl::CleanPathOption&)
    {128, 1009, 2250, 1, 0, 0, 22},	//3127 KUrl::adjustPath(KUrl::AdjustPathOption)
    {128, 2623, 30, 1, 0, 0, 23},	//3128 KUrl::setEncodedPathAndQuery(const QString&)
    {128, 1411, 2254, 2, Smoke::mf_const, 352, 24},	//3129 KUrl::encodedPathAndQuery(KUrl::AdjustPathOption, const QFlags<KUrl::EncodedPathAndQueryOption>&) const
    {128, 2857, 30, 1, 0, 0, 25},	//3130 KUrl::setQuery(const QString&)
    {128, 2313, 0, 0, Smoke::mf_const, 352, 26},	//3131 KUrl::query() const
    {128, 2406, 0, 0, Smoke::mf_const, 352, 27},	//3132 KUrl::ref() const
    {128, 2861, 30, 1, 0, 0, 28},	//3133 KUrl::setRef(const QString&)
    {128, 1701, 0, 0, Smoke::mf_const, 452, 29},	//3134 KUrl::hasRef() const
    {128, 1718, 0, 0, Smoke::mf_const, 352, 30},	//3135 KUrl::htmlRef() const
    {128, 1410, 0, 0, Smoke::mf_const, 352, 31},	//3136 KUrl::encodedHtmlRef() const
    {128, 2662, 30, 1, 0, 0, 32},	//3137 KUrl::setHTMLRef(const QString&)
    {128, 1681, 0, 0, Smoke::mf_const, 452, 33},	//3138 KUrl::hasHTMLRef() const
    {128, 1844, 0, 0, Smoke::mf_const, 452, 34},	//3139 KUrl::isLocalFile() const
    {128, 2647, 30, 1, 0, 0, 35},	//3140 KUrl::setFileEncoding(const QString&)
    {128, 1503, 0, 0, Smoke::mf_const, 352, 36},	//3141 KUrl::fileEncoding() const
    {128, 1704, 0, 0, Smoke::mf_const, 452, 37},	//3142 KUrl::hasSubUrl() const
    {128, 970, 30, 1, 0, 0, 38},	//3143 KUrl::addPath(const QString&)
    {128, 2319, 2257, 1, Smoke::mf_const, 340, 39},	//3144 KUrl::queryItems(const QFlags<KUrl::QueryItemsOption>&) const
    {128, 2317, 30, 1, Smoke::mf_const, 352, 40},	//3145 KUrl::queryItem(const QString&) const
    {128, 974, 95, 2, 0, 0, 41},	//3146 KUrl::addQueryItem(const QString&, const QString&)
    {128, 2649, 30, 1, 0, 0, 42},	//3147 KUrl::setFileName(const QString&)
    {128, 1506, 2259, 1, Smoke::mf_const, 352, 43},	//3148 KUrl::fileName(const QFlags<KUrl::DirectoryOption>&) const
    {128, 1382, 2259, 1, Smoke::mf_const, 352, 44},	//3149 KUrl::directory(const QFlags<KUrl::DirectoryOption>&) const
    {128, 2621, 30, 1, 0, 0, 45},	//3150 KUrl::setDirectory(const QString&)
    {128, 1123, 30, 1, 0, 452, 46},	//3151 KUrl::cd(const QString&)
    {128, 3209, 2250, 1, Smoke::mf_const, 352, 47},	//3152 KUrl::url(KUrl::AdjustPathOption) const
    {128, 2268, 2250, 1, Smoke::mf_const, 352, 48},	//3153 KUrl::prettyUrl(KUrl::AdjustPathOption) const
    {128, 2236, 0, 0, Smoke::mf_const, 352, 49},	//3154 KUrl::pathOrUrl() const
    {128, 2236, 2250, 1, Smoke::mf_const, 352, 50},	//3155 KUrl::pathOrUrl(KUrl::AdjustPathOption) const
    {128, 3119, 0, 0, Smoke::mf_const, 352, 51},	//3156 KUrl::toMimeDataString() const
    {128, 3201, 0, 0, Smoke::mf_const, 240, 52},	//3157 KUrl::upUrl() const
    {128, 2192, 148, 1, 0, 241, 53},	//3158 KUrl::operator=(const KUrl&)
    {128, 2192, 122, 1, 0, 241, 54},	//3159 KUrl::operator=(const char*)
    {128, 2192, 32, 1, 0, 241, 55},	//3160 KUrl::operator=(const QByteArray&)
    {128, 2192, 30, 1, 0, 241, 56},	//3161 KUrl::operator=(const QString&)
    {128, 2195, 148, 1, Smoke::mf_const, 452, 57},	//3162 KUrl::operator==(const KUrl&) const
    {128, 2195, 30, 1, Smoke::mf_const, 452, 58},	//3163 KUrl::operator==(const QString&) const
    {128, 2168, 148, 1, Smoke::mf_const, 452, 59},	//3164 KUrl::operator!=(const KUrl&) const
    {128, 2168, 30, 1, Smoke::mf_const, 452, 60},	//3165 KUrl::operator!=(const QString&) const
    {128, 2167, 0, 0, Smoke::mf_const, 365, 61},	//3166 KUrl::operator QVariant() const
    {128, 1158, 2261, 2, Smoke::mf_const, 452, 62},	//3167 KUrl::cmp(const KUrl&, bool) const
    {128, 1431, 2264, 2, Smoke::mf_const, 452, 63},	//3168 KUrl::equals(const KUrl&, const QFlags<KUrl::EqualsOption>&) const
    {128, 1853, 148, 1, Smoke::mf_const, 452, 64},	//3169 KUrl::isParentOf(const KUrl&) const
    {128, 2969, 30, 1, Smoke::mf_static, 248, 65},	//3170 KUrl::split(const QString&)
    {128, 2969, 148, 1, Smoke::mf_static, 248, 66},	//3171 KUrl::split(const KUrl&)
    {128, 1894, 2267, 1, Smoke::mf_static, 240, 67},	//3172 KUrl::join(const KUrl::List&)
    {128, 1627, 30, 1, Smoke::mf_static, 240, 68},	//3173 KUrl::fromPath(const QString&)
    {128, 1629, 30, 1, Smoke::mf_static, 240, 69},	//3174 KUrl::fromPathOrUrl(const QString&)
    {128, 1625, 32, 1, Smoke::mf_static, 240, 70},	//3175 KUrl::fromMimeDataByteArray(const QByteArray&)
    {128, 2253, 2269, 3, Smoke::mf_const, 0, 71},	//3176 KUrl::populateMimeData(QMimeData*, const QMap<QString,QString>&, KUrl::MimeDataFlags) const
    {128, 1406, 30, 1, Smoke::mf_static, 352, 72},	//3177 KUrl::encode_string(const QString&)
    {128, 1408, 30, 1, Smoke::mf_static, 352, 73},	//3178 KUrl::encode_string_no_slash(const QString&)
    {128, 1323, 30, 1, Smoke::mf_static, 352, 74},	//3179 KUrl::decode_string(const QString&)
    {128, 1858, 30, 1, Smoke::mf_static, 452, 75},	//3180 KUrl::isRelativeUrl(const QString&)
    {128, 2418, 2273, 2, Smoke::mf_static, 352, 76},	//3181 KUrl::relativeUrl(const KUrl&, const KUrl&)
    {128, 2415, 287, 3, Smoke::mf_static, 352, 77},	//3182 KUrl::relativePath(const QString&, const QString&, bool*)
    {128, 2234, 0, 0, Smoke::mf_const, 352, 78},	//3183 KUrl::path() const
    {128, 3116, 0, 0, Smoke::mf_const, 352, 79},	//3184 KUrl::toLocalFile() const
    {128, 1150, 0, 0, 0, 0, 80},	//3185 KUrl::cleanPath()
    {128, 1411, 0, 0, Smoke::mf_const, 352, 81},	//3186 KUrl::encodedPathAndQuery() const
    {128, 1411, 2250, 1, Smoke::mf_const, 352, 82},	//3187 KUrl::encodedPathAndQuery(KUrl::AdjustPathOption) const
    {128, 2319, 0, 0, Smoke::mf_const, 340, 83},	//3188 KUrl::queryItems() const
    {128, 1506, 0, 0, Smoke::mf_const, 352, 84},	//3189 KUrl::fileName() const
    {128, 1382, 0, 0, Smoke::mf_const, 352, 85},	//3190 KUrl::directory() const
    {128, 3209, 0, 0, Smoke::mf_const, 352, 86},	//3191 KUrl::url() const
    {128, 2268, 0, 0, Smoke::mf_const, 352, 87},	//3192 KUrl::prettyUrl() const
    {128, 1158, 148, 1, Smoke::mf_const, 452, 88},	//3193 KUrl::cmp(const KUrl&) const
    {128, 1431, 148, 1, Smoke::mf_const, 452, 89},	//3194 KUrl::equals(const KUrl&) const
    {128, 2253, 2276, 1, Smoke::mf_const, 0, 90},	//3195 KUrl::populateMimeData(QMimeData*) const
    {128, 2253, 2278, 2, Smoke::mf_const, 0, 91},	//3196 KUrl::populateMimeData(QMimeData*, const QMap<QString,QString>&) const
    {128, 2415, 95, 2, Smoke::mf_static, 352, 92},	//3197 KUrl::relativePath(const QString&, const QString&)
    {128, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 250, 93},	//3198 KUrl::DefaultMimeDataFlags (enum)
    {128, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 250, 94},	//3199 KUrl::NoTextExport (enum)
    {128, 697, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 95},	//3200 KUrl::RemoveTrailingSlash (enum)
    {128, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 96},	//3201 KUrl::LeaveTrailingSlash (enum)
    {128, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 97},	//3202 KUrl::AddTrailingSlash (enum)
    {128, 717, 0, 0, Smoke::mf_static|Smoke::mf_enum, 244, 98},	//3203 KUrl::SimplifyDirSeparators (enum)
    {128, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 244, 99},	//3204 KUrl::KeepDirSeparators (enum)
    {128, 660, 0, 0, Smoke::mf_static|Smoke::mf_enum, 246, 100},	//3205 KUrl::PermitEmptyPath (enum)
    {128, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 246, 101},	//3206 KUrl::AvoidEmptyPath (enum)
    {128, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 251, 102},	//3207 KUrl::CaseInsensitiveKeys (enum)
    {128, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 245, 103},	//3208 KUrl::ObeyTrailingSlash (enum)
    {128, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 245, 104},	//3209 KUrl::AppendTrailingSlash (enum)
    {128, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 245, 105},	//3210 KUrl::IgnoreTrailingSlash (enum)
    {128, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 247, 106},	//3211 KUrl::CompareWithoutTrailingSlash (enum)
    {128, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 247, 107},	//3212 KUrl::CompareWithoutFragment (enum)
    {128, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 247, 108},	//3213 KUrl::AllowEmptyPath (enum)
    {128, 3437, 0, 0, Smoke::mf_dtor, 0, 109 },	//3214 KUrl::~KUrl()
    {129, 550, 2281, 1, Smoke::mf_ctor, 254, 1},	//3215 KUser::KUser(KUser::UIDMode)
    {129, 550, 952, 1, Smoke::mf_ctor, 254, 2},	//3216 KUser::KUser(unsigned int)
    {129, 550, 30, 1, Smoke::mf_ctor, 254, 3},	//3217 KUser::KUser(const QString&)
    {129, 550, 122, 1, Smoke::mf_ctor, 254, 4},	//3218 KUser::KUser(const char*)
    {129, 550, 2283, 1, Smoke::mf_ctor, 254, 5},	//3219 KUser::KUser(const passwd*)
    {129, 550, 2285, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 254, 6},	//3220 KUser::KUser(const KUser&)
    {129, 2192, 2285, 1, 0, 253, 7},	//3221 KUser::operator=(const KUser&)
    {129, 2195, 2285, 1, Smoke::mf_const, 452, 8},	//3222 KUser::operator==(const KUser&) const
    {129, 2168, 2285, 1, Smoke::mf_const, 452, 9},	//3223 KUser::operator!=(const KUser&) const
    {129, 1881, 0, 0, Smoke::mf_const, 452, 10},	//3224 KUser::isValid() const
    {129, 3186, 0, 0, Smoke::mf_const, 631, 11},	//3225 KUser::uid() const
    {129, 1657, 0, 0, Smoke::mf_const, 631, 12},	//3226 KUser::gid() const
    {129, 1872, 0, 0, Smoke::mf_const, 452, 13},	//3227 KUser::isSuperUser() const
    {129, 2015, 0, 0, Smoke::mf_const, 352, 14},	//3228 KUser::loginName() const
    {129, 1643, 0, 0, Smoke::mf_const, 352, 15},	//3229 KUser::fullName() const
    {129, 1716, 0, 0, Smoke::mf_const, 352, 16},	//3230 KUser::homeDir() const
    {129, 1491, 0, 0, Smoke::mf_const, 352, 17},	//3231 KUser::faceIconPath() const
    {129, 2943, 0, 0, Smoke::mf_const, 352, 18},	//3232 KUser::shell() const
    {129, 1667, 0, 0, Smoke::mf_const, 333, 19},	//3233 KUser::groups() const
    {129, 1666, 0, 0, Smoke::mf_const, 355, 20},	//3234 KUser::groupNames() const
    {129, 2287, 2287, 1, Smoke::mf_const, 365, 21},	//3235 KUser::property(KUser::UserProperty) const
    {129, 1028, 0, 0, Smoke::mf_static, 332, 22},	//3236 KUser::allUsers()
    {129, 1027, 0, 0, Smoke::mf_static, 355, 23},	//3237 KUser::allUserNames()
    {129, 550, 0, 0, Smoke::mf_ctor, 254, 24},	//3238 KUser::KUser()
    {129, 805, 0, 0, Smoke::mf_static|Smoke::mf_enum, 255, 25},	//3239 KUser::UseEffectiveUID (enum)
    {129, 806, 0, 0, Smoke::mf_static|Smoke::mf_enum, 255, 26},	//3240 KUser::UseRealUserID (enum)
    {129, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 256, 27},	//3241 KUser::FullName (enum)
    {129, 703, 0, 0, Smoke::mf_static|Smoke::mf_enum, 256, 28},	//3242 KUser::RoomNumber (enum)
    {129, 819, 0, 0, Smoke::mf_static|Smoke::mf_enum, 256, 29},	//3243 KUser::WorkPhone (enum)
    {129, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 256, 30},	//3244 KUser::HomePhone (enum)
    {129, 3438, 0, 0, Smoke::mf_dtor, 0, 31 },	//3245 KUser::~KUser()
    {130, 553, 30, 1, Smoke::mf_ctor, 259, 1},	//3246 KUserGroup::KUserGroup(const QString&)
    {130, 553, 122, 1, Smoke::mf_ctor, 259, 2},	//3247 KUserGroup::KUserGroup(const char*)
    {130, 553, 2281, 1, Smoke::mf_ctor, 259, 3},	//3248 KUserGroup::KUserGroup(KUser::UIDMode)
    {130, 553, 952, 1, Smoke::mf_ctor, 259, 4},	//3249 KUserGroup::KUserGroup(unsigned int)
    {130, 553, 2289, 1, Smoke::mf_ctor, 259, 5},	//3250 KUserGroup::KUserGroup(const group*)
    {130, 553, 2291, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 259, 6},	//3251 KUserGroup::KUserGroup(const KUserGroup&)
    {130, 2192, 2291, 1, 0, 258, 7},	//3252 KUserGroup::operator=(const KUserGroup&)
    {130, 2195, 2291, 1, Smoke::mf_const, 452, 8},	//3253 KUserGroup::operator==(const KUserGroup&) const
    {130, 2168, 2291, 1, Smoke::mf_const, 452, 9},	//3254 KUserGroup::operator!=(const KUserGroup&) const
    {130, 1881, 0, 0, Smoke::mf_const, 452, 10},	//3255 KUserGroup::isValid() const
    {130, 1657, 0, 0, Smoke::mf_const, 631, 11},	//3256 KUserGroup::gid() const
    {130, 2112, 0, 0, Smoke::mf_const, 352, 12},	//3257 KUserGroup::name() const
    {130, 3224, 0, 0, Smoke::mf_const, 332, 13},	//3258 KUserGroup::users() const
    {130, 3221, 0, 0, Smoke::mf_const, 355, 14},	//3259 KUserGroup::userNames() const
    {130, 1017, 0, 0, Smoke::mf_static, 333, 15},	//3260 KUserGroup::allGroups()
    {130, 1016, 0, 0, Smoke::mf_static, 355, 16},	//3261 KUserGroup::allGroupNames()
    {130, 553, 0, 0, Smoke::mf_ctor, 259, 17},	//3262 KUserGroup::KUserGroup()
    {130, 3439, 0, 0, Smoke::mf_dtor, 0, 18 },	//3263 KUserGroup::~KUserGroup()
    {131, 556, 340, 1, Smoke::mf_ctor|Smoke::mf_explicit, 260, 1},	//3264 KWordMacroExpander::KWordMacroExpander(QChar)
    {131, 1485, 342, 3, Smoke::mf_protected|Smoke::mf_virtual, 615, 2},	//3265 KWordMacroExpander::expandPlainMacro(const QString&, int, QStringList&)
    {131, 1471, 342, 3, Smoke::mf_protected|Smoke::mf_virtual, 615, 3},	//3266 KWordMacroExpander::expandEscapedMacro(const QString&, int, QStringList&)
    {131, 1473, 757, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 452, 4},	//3267 KWordMacroExpander::expandMacro(const QString&, QStringList&) [pure virtual]
    {131, 556, 2293, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 260, 5},	//3268 KWordMacroExpander::KWordMacroExpander(const KWordMacroExpander&)
    {131, 556, 0, 0, Smoke::mf_ctor|Smoke::mf_explicit, 260, 6},	//3269 KWordMacroExpander::KWordMacroExpander()
    {131, 3440, 0, 0, Smoke::mf_dtor, 0, 7 },	//3270 KWordMacroExpander::~KWordMacroExpander()
    {132, 2070, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 584, 1},	//3271 OrgKdeKLauncherInterface::metaObject() const
    {132, 2311, 122, 1, Smoke::mf_virtual, 638, 2},	//3272 OrgKdeKLauncherInterface::qt_metacast(const char*)
    {132, 3141, 124, 2, Smoke::mf_static, 352, 3},	//3273 OrgKdeKLauncherInterface::tr(const char*, const char*)
    {132, 3148, 124, 2, Smoke::mf_static, 352, 4},	//3274 OrgKdeKLauncherInterface::trUtf8(const char*, const char*)
    {132, 3141, 127, 3, Smoke::mf_static, 352, 5},	//3275 OrgKdeKLauncherInterface::tr(const char*, const char*, int)
    {132, 3148, 127, 3, Smoke::mf_static, 352, 6},	//3276 OrgKdeKLauncherInterface::trUtf8(const char*, const char*, int)
    {132, 2309, 131, 3, Smoke::mf_virtual, 615, 7},	//3277 OrgKdeKLauncherInterface::qt_metacall(QMetaObject::Call, int, void**)
    {132, 3039, 0, 0, Smoke::mf_static, 600, 8},	//3278 OrgKdeKLauncherInterface::staticInterfaceName()
    {132, 650, 2295, 4, Smoke::mf_ctor, 261, 9},	//3279 OrgKdeKLauncherInterface::OrgKdeKLauncherInterface(const QString&, const QString&, const QDBusConnection&, QObject*)
    {132, 1061, 0, 0, Smoke::mf_slot, 273, 10},	//3280 OrgKdeKLauncherInterface::autoStart()
    {132, 1061, 118, 1, Smoke::mf_slot, 273, 11},	//3281 OrgKdeKLauncherInterface::autoStart(int)
    {132, 1456, 2300, 4, Smoke::mf_slot, 273, 12},	//3282 OrgKdeKLauncherInterface::exec_blind(const QString&, const QStringList&, const QStringList&, const QString&)
    {132, 1456, 533, 2, Smoke::mf_slot, 273, 13},	//3283 OrgKdeKLauncherInterface::exec_blind(const QString&, const QStringList&)
    {132, 1930, 2305, 7, Smoke::mf_slot, 272, 14},	//3284 OrgKdeKLauncherInterface::kdeinit_exec(const QString&, const QStringList&, const QStringList&, const QString&, QString&, QString&, int&)
    {132, 1932, 2305, 7, Smoke::mf_slot, 272, 15},	//3285 OrgKdeKLauncherInterface::kdeinit_exec_wait(const QString&, const QStringList&, const QStringList&, const QString&, QString&, QString&, int&)
    {132, 2441, 0, 0, Smoke::mf_slot, 273, 16},	//3286 OrgKdeKLauncherInterface::reparseConfiguration()
    {132, 2444, 95, 2, Smoke::mf_slot, 272, 17},	//3287 OrgKdeKLauncherInterface::requestHoldSlave(const QString&, const QString&)
    {132, 2446, 2313, 4, Smoke::mf_slot, 272, 18},	//3288 OrgKdeKLauncherInterface::requestSlave(const QString&, const QString&, const QString&, QString&)
    {132, 2688, 95, 2, Smoke::mf_slot, 273, 19},	//3289 OrgKdeKLauncherInterface::setLaunchEnv(const QString&, const QString&)
    {132, 3032, 2318, 8, Smoke::mf_slot, 272, 20},	//3290 OrgKdeKLauncherInterface::start_service_by_desktop_name(const QString&, const QStringList&, const QStringList&, const QString&, bool, QString&, QString&, int&)
    {132, 3034, 2318, 8, Smoke::mf_slot, 272, 21},	//3291 OrgKdeKLauncherInterface::start_service_by_desktop_path(const QString&, const QStringList&, const QStringList&, const QString&, bool, QString&, QString&, int&)
    {132, 3036, 2318, 8, Smoke::mf_slot, 272, 22},	//3292 OrgKdeKLauncherInterface::start_service_by_name(const QString&, const QStringList&, const QStringList&, const QString&, bool, QString&, QString&, int&)
    {132, 3256, 118, 1, Smoke::mf_slot, 273, 23},	//3293 OrgKdeKLauncherInterface::waitForSlave(int)
    {132, 1136, 30, 1, Smoke::mf_slot, 271, 24},	//3294 OrgKdeKLauncherInterface::checkForHeldSlave(const QString&)
    {132, 1063, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//3295 OrgKdeKLauncherInterface::autoStart0Done()
    {132, 1064, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//3296 OrgKdeKLauncherInterface::autoStart1Done()
    {132, 1065, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//3297 OrgKdeKLauncherInterface::autoStart2Done()
    {132, 3141, 122, 1, Smoke::mf_static, 352, 28},	//3298 OrgKdeKLauncherInterface::tr(const char*)
    {132, 3148, 122, 1, Smoke::mf_static, 352, 29},	//3299 OrgKdeKLauncherInterface::trUtf8(const char*)
    {132, 650, 2327, 3, Smoke::mf_ctor, 261, 30},	//3300 OrgKdeKLauncherInterface::OrgKdeKLauncherInterface(const QString&, const QString&, const QDBusConnection&)
    {132, 3040, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 583, 31},	//3301 OrgKdeKLauncherInterface::staticMetaObject() const
    {132, 3442, 0, 0, Smoke::mf_dtor, 0, 32 },	//3302 OrgKdeKLauncherInterface::~OrgKdeKLauncherInterface()
    {134, 1093, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 621, 0},	//3303 QAbstractSocket::bytesAvailable() const
    {134, 1094, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 621, 0},	//3304 QAbstractSocket::bytesToWrite() const
    {134, 1111, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 452, 0},	//3305 QAbstractSocket::canReadLine() const
    {134, 1157, 0, 0, Smoke::mf_virtual, 0, 0},	//3306 QAbstractSocket::close()
    {134, 1865, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 452, 0},	//3307 QAbstractSocket::isSequential() const
    {134, 1046, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 452, 0},	//3308 QAbstractSocket::atEnd() const
    {134, 3255, 118, 1, Smoke::mf_virtual, 452, 0},	//3309 QAbstractSocket::waitForReadyRead(int)
    {134, 3251, 118, 1, Smoke::mf_virtual, 452, 0},	//3310 QAbstractSocket::waitForBytesWritten(int)
    {134, 2346, 1144, 2, Smoke::mf_protected|Smoke::mf_virtual, 621, 0},	//3311 QAbstractSocket::readData(char*, long long)
    {134, 2372, 1144, 2, Smoke::mf_protected|Smoke::mf_virtual, 621, 0},	//3312 QAbstractSocket::readLineData(char*, long long)
    {134, 3300, 1147, 2, Smoke::mf_protected|Smoke::mf_virtual, 621, 0},	//3313 QAbstractSocket::writeData(const char*, long long)
    {134, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 263, 12},	//3314 QAbstractSocket::ConnectionRefusedError (enum)
    {134, 695, 0, 0, Smoke::mf_static|Smoke::mf_enum, 263, 13},	//3315 QAbstractSocket::RemoteHostClosedError (enum)
    {134, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 263, 14},	//3316 QAbstractSocket::HostNotFoundError (enum)
    {134, 720, 0, 0, Smoke::mf_static|Smoke::mf_enum, 263, 15},	//3317 QAbstractSocket::SocketAccessError (enum)
    {134, 722, 0, 0, Smoke::mf_static|Smoke::mf_enum, 263, 16},	//3318 QAbstractSocket::SocketResourceError (enum)
    {134, 723, 0, 0, Smoke::mf_static|Smoke::mf_enum, 263, 17},	//3319 QAbstractSocket::SocketTimeoutError (enum)
    {134, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 263, 18},	//3320 QAbstractSocket::DatagramTooLargeError (enum)
    {134, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 263, 19},	//3321 QAbstractSocket::NetworkError (enum)
    {134, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 263, 20},	//3322 QAbstractSocket::AddressInUseError (enum)
    {134, 721, 0, 0, Smoke::mf_static|Smoke::mf_enum, 263, 21},	//3323 QAbstractSocket::SocketAddressNotAvailableError (enum)
    {134, 804, 0, 0, Smoke::mf_static|Smoke::mf_enum, 263, 22},	//3324 QAbstractSocket::UnsupportedSocketOperationError (enum)
    {134, 782, 0, 0, Smoke::mf_static|Smoke::mf_enum, 263, 23},	//3325 QAbstractSocket::UnfinishedSocketOperationError (enum)
    {134, 674, 0, 0, Smoke::mf_static|Smoke::mf_enum, 263, 24},	//3326 QAbstractSocket::ProxyAuthenticationRequiredError (enum)
    {134, 735, 0, 0, Smoke::mf_static|Smoke::mf_enum, 263, 25},	//3327 QAbstractSocket::SslHandshakeFailedError (enum)
    {134, 676, 0, 0, Smoke::mf_static|Smoke::mf_enum, 263, 26},	//3328 QAbstractSocket::ProxyConnectionRefusedError (enum)
    {134, 675, 0, 0, Smoke::mf_static|Smoke::mf_enum, 263, 27},	//3329 QAbstractSocket::ProxyConnectionClosedError (enum)
    {134, 677, 0, 0, Smoke::mf_static|Smoke::mf_enum, 263, 28},	//3330 QAbstractSocket::ProxyConnectionTimeoutError (enum)
    {134, 678, 0, 0, Smoke::mf_static|Smoke::mf_enum, 263, 29},	//3331 QAbstractSocket::ProxyNotFoundError (enum)
    {134, 679, 0, 0, Smoke::mf_static|Smoke::mf_enum, 263, 30},	//3332 QAbstractSocket::ProxyProtocolError (enum)
    {134, 801, 0, 0, Smoke::mf_static|Smoke::mf_enum, 263, 31},	//3333 QAbstractSocket::UnknownSocketError (enum)
    {139, 1179, 122, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3334 QDBusAbstractInterface::connectNotify(const char*)
    {139, 1389, 122, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3335 QDBusAbstractInterface::disconnectNotify(const char*)
    {147, 2070, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 584, 0},	//3336 QFile::metaObject() const
    {147, 2311, 122, 1, Smoke::mf_virtual, 638, 0},	//3337 QFile::qt_metacast(const char*)
    {147, 2309, 131, 3, Smoke::mf_virtual, 615, 0},	//3338 QFile::qt_metacall(QMetaObject::Call, int, void**)
    {147, 1865, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 452, 0},	//3339 QFile::isSequential() const
    {147, 1157, 0, 0, Smoke::mf_virtual, 0, 0},	//3340 QFile::close()
    {147, 2956, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 621, 0},	//3341 QFile::size() const
    {147, 2257, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 621, 0},	//3342 QFile::pos() const
    {147, 2484, 861, 1, Smoke::mf_virtual, 452, 0},	//3343 QFile::seek(long long)
    {147, 1046, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 452, 0},	//3344 QFile::atEnd() const
    {147, 1505, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 262, 0},	//3345 QFile::fileEngine() const
    {147, 2346, 1144, 2, Smoke::mf_protected|Smoke::mf_virtual, 621, 0},	//3346 QFile::readData(char*, long long)
    {147, 3300, 1147, 2, Smoke::mf_protected|Smoke::mf_virtual, 621, 0},	//3347 QFile::writeData(const char*, long long)
    {147, 2372, 1144, 2, Smoke::mf_protected|Smoke::mf_virtual, 621, 0},	//3348 QFile::readLineData(char*, long long)
    {147, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 282, 14},	//3349 QFile::NoError (enum)
    {147, 686, 0, 0, Smoke::mf_static|Smoke::mf_enum, 282, 15},	//3350 QFile::ReadError (enum)
    {147, 820, 0, 0, Smoke::mf_static|Smoke::mf_enum, 282, 16},	//3351 QFile::WriteError (enum)
    {147, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 282, 17},	//3352 QFile::FatalError (enum)
    {147, 702, 0, 0, Smoke::mf_static|Smoke::mf_enum, 282, 18},	//3353 QFile::ResourceError (enum)
    {147, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 282, 19},	//3354 QFile::OpenError (enum)
    {147, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 282, 20},	//3355 QFile::AbortError (enum)
    {147, 765, 0, 0, Smoke::mf_static|Smoke::mf_enum, 282, 21},	//3356 QFile::TimeOutError (enum)
    {147, 803, 0, 0, Smoke::mf_static|Smoke::mf_enum, 282, 22},	//3357 QFile::UnspecifiedError (enum)
    {147, 696, 0, 0, Smoke::mf_static|Smoke::mf_enum, 282, 23},	//3358 QFile::RemoveError (enum)
    {147, 698, 0, 0, Smoke::mf_static|Smoke::mf_enum, 282, 24},	//3359 QFile::RenameError (enum)
    {147, 669, 0, 0, Smoke::mf_static|Smoke::mf_enum, 282, 25},	//3360 QFile::PositionError (enum)
    {147, 700, 0, 0, Smoke::mf_static|Smoke::mf_enum, 282, 26},	//3361 QFile::ResizeError (enum)
    {147, 659, 0, 0, Smoke::mf_static|Smoke::mf_enum, 282, 27},	//3362 QFile::PermissionsError (enum)
    {147, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 282, 28},	//3363 QFile::CopyError (enum)
    {149, 2183, 2331, 2, Smoke::mf_static, 274, 1},	//3364 QGlobalSpace::operator<<(QDataStream&, const KServiceAction&)
    {149, 1942, 124, 2, Smoke::mf_static, 141, 2},	//3365 QGlobalSpace::ki18nc(const char*, const char*)
    {149, 2195, 2334, 2, Smoke::mf_static, 452, 3},	//3366 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {149, 2211, 2337, 2, Smoke::mf_static, 274, 4},	//3367 QGlobalSpace::operator>>(QDataStream&, KProtocolInfo::ExtraField&)
    {149, 1944, 1336, 3, Smoke::mf_static, 141, 5},	//3368 QGlobalSpace::ki18ncp(const char*, const char*, const char*)
    {149, 1911, 124, 2, Smoke::mf_static, 615, 6},	//3369 QGlobalSpace::kasciistricmp(const char*, const char*)
    {149, 2213, 2340, 2, Smoke::mf_static, 309, 7},	//3370 QGlobalSpace::operator|(KUrl::EqualsOption, int)
    {149, 2213, 2343, 2, Smoke::mf_static, 300, 8},	//3371 QGlobalSpace::operator|(KUrl::EqualsOption, KUrl::EqualsOption)
    {149, 2213, 2346, 2, Smoke::mf_static, 298, 9},	//3372 QGlobalSpace::operator|(KUrl::DirectoryOption, KUrl::DirectoryOption)
    {149, 2213, 2349, 2, Smoke::mf_static, 285, 10},	//3373 QGlobalSpace::operator|(KConfig::OpenFlag, QFlags<KConfig::OpenFlag>)
    {149, 1721, 124, 2, Smoke::mf_static, 352, 11},	//3374 QGlobalSpace::i18nc(const char*, const char*)
    {149, 2174, 589, 2, Smoke::mf_static, 591, 12},	//3375 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {149, 2213, 2352, 2, Smoke::mf_static, 309, 13},	//3376 QGlobalSpace::operator|(KCmdLineArgs::StdCmdLineArg, int)
    {149, 2213, 2355, 2, Smoke::mf_static, 309, 14},	//3377 QGlobalSpace::operator|(KLockFile::LockFlag, int)
    {149, 2178, 521, 2, Smoke::mf_static, 452, 15},	//3378 QGlobalSpace::operator<(const char*, const QString&)
    {149, 2213, 2358, 2, Smoke::mf_static, 309, 16},	//3379 QGlobalSpace::operator|(KUrl::DirectoryOption, int)
    {149, 2178, 2361, 2, Smoke::mf_static, 452, 17},	//3380 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {149, 2201, 2334, 2, Smoke::mf_static, 452, 18},	//3381 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {149, 2213, 2364, 2, Smoke::mf_static, 309, 19},	//3382 QGlobalSpace::operator|(KLocale::TimeProcessingOption, int)
    {149, 2213, 2367, 2, Smoke::mf_static, 298, 20},	//3383 QGlobalSpace::operator|(KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>)
    {149, 2168, 2370, 2, Smoke::mf_static, 452, 21},	//3384 QGlobalSpace::operator!=(const QDBusSignature&, const QDBusSignature&)
    {149, 2178, 2370, 2, Smoke::mf_static, 452, 22},	//3385 QGlobalSpace::operator<(const QDBusSignature&, const QDBusSignature&)
    {149, 2213, 2373, 2, Smoke::mf_static, 295, 23},	//3386 QGlobalSpace::operator|(KShell::Option, QFlags<KShell::Option>)
    {149, 2174, 524, 2, Smoke::mf_static, 591, 24},	//3387 QGlobalSpace::operator+(const QString&, const char*)
    {149, 2201, 2361, 2, Smoke::mf_static, 452, 25},	//3388 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {149, 2174, 2376, 2, Smoke::mf_static, 591, 26},	//3389 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {149, 2213, 2379, 2, Smoke::mf_static, 285, 27},	//3390 QGlobalSpace::operator|(KConfig::OpenFlag, KConfig::OpenFlag)
    {149, 2213, 2382, 2, Smoke::mf_static, 309, 28},	//3391 QGlobalSpace::operator|(KAutostart::Condition, int)
    {149, 2187, 2361, 2, Smoke::mf_static, 452, 29},	//3392 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {149, 2183, 2385, 2, Smoke::mf_static, 274, 30},	//3393 QGlobalSpace::operator<<(QDataStream&, const KProtocolInfo::ExtraField&)
    {149, 2168, 521, 2, Smoke::mf_static, 452, 31},	//3394 QGlobalSpace::operator!=(const char*, const QString&)
    {149, 2213, 2388, 2, Smoke::mf_static, 309, 32},	//3395 QGlobalSpace::operator|(KLocale::DateTimeFormatOption, int)
    {149, 2213, 2391, 2, Smoke::mf_static, 289, 33},	//3396 QGlobalSpace::operator|(KLocale::DateTimeComponent, KLocale::DateTimeComponent)
    {149, 2213, 2394, 2, Smoke::mf_static, 295, 34},	//3397 QGlobalSpace::operator|(KShell::Option, KShell::Option)
    {149, 2174, 2397, 2, Smoke::mf_static, 591, 35},	//3398 QGlobalSpace::operator+(const QString&, char)
    {149, 2213, 2400, 2, Smoke::mf_static, 299, 36},	//3399 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>)
    {149, 2213, 2403, 2, Smoke::mf_static, 309, 37},	//3400 QGlobalSpace::operator|(KJob::Capability, int)
    {149, 2213, 2406, 2, Smoke::mf_static, 299, 38},	//3401 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption)
    {149, 2213, 2409, 2, Smoke::mf_static, 296, 39},	//3402 QGlobalSpace::operator|(KStandardDirs::SearchOption, QFlags<KStandardDirs::SearchOption>)
    {149, 2213, 2412, 2, Smoke::mf_static, 286, 40},	//3403 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag)
    {149, 2195, 2370, 2, Smoke::mf_static, 452, 41},	//3404 QGlobalSpace::operator==(const QDBusSignature&, const QDBusSignature&)
    {149, 2213, 2415, 2, Smoke::mf_static, 290, 42},	//3405 QGlobalSpace::operator|(KLocale::DateTimeFormatOption, QFlags<KLocale::DateTimeFormatOption>)
    {149, 2174, 2418, 2, Smoke::mf_static, 591, 43},	//3406 QGlobalSpace::operator+(char, const QString&)
    {149, 2168, 2421, 2, Smoke::mf_static, 452, 44},	//3407 QGlobalSpace::operator!=(const QDBusObjectPath&, const QDBusObjectPath&)
    {149, 2201, 521, 2, Smoke::mf_static, 452, 45},	//3408 QGlobalSpace::operator>(const char*, const QString&)
    {149, 2195, 2361, 2, Smoke::mf_static, 452, 46},	//3409 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {149, 1719, 122, 1, Smoke::mf_static, 352, 47},	//3410 QGlobalSpace::i18n(const char*)
    {149, 2211, 2424, 2, Smoke::mf_static, 274, 48},	//3411 QGlobalSpace::operator>>(QDataStream&, KServiceAction&)
    {149, 2213, 2427, 2, Smoke::mf_static, 309, 49},	//3412 QGlobalSpace::operator|(KLocale::TimeFormatOption, int)
    {149, 2213, 2430, 2, Smoke::mf_static, 291, 50},	//3413 QGlobalSpace::operator|(KLocale::TimeFormatOption, QFlags<KLocale::TimeFormatOption>)
    {149, 2213, 2433, 2, Smoke::mf_static, 286, 51},	//3414 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>)
    {149, 2213, 2436, 2, Smoke::mf_static, 291, 52},	//3415 QGlobalSpace::operator|(KLocale::TimeFormatOption, KLocale::TimeFormatOption)
    {149, 2213, 2439, 2, Smoke::mf_static, 309, 53},	//3416 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, int)
    {149, 2178, 2334, 2, Smoke::mf_static, 452, 54},	//3417 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {149, 2213, 2442, 2, Smoke::mf_static, 292, 55},	//3418 QGlobalSpace::operator|(KLocale::TimeProcessingOption, QFlags<KLocale::TimeProcessingOption>)
    {149, 1906, 0, 0, Smoke::mf_static, 0, 56},	//3419 QGlobalSpace::kClearDebugConfig()
    {149, 2206, 2361, 2, Smoke::mf_static, 452, 57},	//3420 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {149, 1900, 2445, 1, Smoke::mf_static, 456, 58},	//3421 QGlobalSpace::kAsciiToLower(char*)
    {149, 2213, 2447, 2, Smoke::mf_static, 300, 59},	//3422 QGlobalSpace::operator|(KUrl::EqualsOption, QFlags<KUrl::EqualsOption>)
    {149, 2213, 2450, 2, Smoke::mf_static, 287, 60},	//3423 QGlobalSpace::operator|(KCurrencyCode::CurrencyStatus, KCurrencyCode::CurrencyStatus)
    {149, 2213, 2453, 2, Smoke::mf_static, 288, 61},	//3424 QGlobalSpace::operator|(KJob::Capability, KJob::Capability)
    {149, 2213, 2456, 2, Smoke::mf_static, 293, 62},	//3425 QGlobalSpace::operator|(KLockFile::LockFlag, QFlags<KLockFile::LockFlag>)
    {149, 2213, 2459, 2, Smoke::mf_static, 283, 63},	//3426 QGlobalSpace::operator|(KAutostart::Condition, QFlags<KAutostart::Condition>)
    {149, 2187, 521, 2, Smoke::mf_static, 452, 64},	//3427 QGlobalSpace::operator<=(const char*, const QString&)
    {149, 2213, 2462, 2, Smoke::mf_static, 297, 65},	//3428 QGlobalSpace::operator|(KUrl::CleanPathOption, KUrl::CleanPathOption)
    {149, 2187, 2334, 2, Smoke::mf_static, 452, 66},	//3429 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {149, 2213, 2465, 2, Smoke::mf_static, 284, 67},	//3430 QGlobalSpace::operator|(KCmdLineArgs::StdCmdLineArg, QFlags<KCmdLineArgs::StdCmdLineArg>)
    {149, 2174, 521, 2, Smoke::mf_static, 591, 68},	//3431 QGlobalSpace::operator+(const char*, const QString&)
    {149, 2213, 2468, 2, Smoke::mf_static, 283, 69},	//3432 QGlobalSpace::operator|(KAutostart::Condition, KAutostart::Condition)
    {149, 2213, 2471, 2, Smoke::mf_static, 288, 70},	//3433 QGlobalSpace::operator|(KJob::Capability, QFlags<KJob::Capability>)
    {149, 2213, 2474, 2, Smoke::mf_static, 301, 71},	//3434 QGlobalSpace::operator|(KUrl::QueryItemsOption, KUrl::QueryItemsOption)
    {149, 2213, 2477, 2, Smoke::mf_static, 309, 72},	//3435 QGlobalSpace::operator|(KStandardDirs::SearchOption, int)
    {149, 2213, 2480, 2, Smoke::mf_static, 309, 73},	//3436 QGlobalSpace::operator|(KConfig::OpenFlag, int)
    {149, 2213, 2483, 2, Smoke::mf_static, 287, 74},	//3437 QGlobalSpace::operator|(KCurrencyCode::CurrencyStatus, QFlags<KCurrencyCode::CurrencyStatus>)
    {149, 1902, 2445, 1, Smoke::mf_static, 456, 75},	//3438 QGlobalSpace::kAsciiToUpper(char*)
    {149, 1904, 118, 1, Smoke::mf_static, 352, 76},	//3439 QGlobalSpace::kBacktrace(int)
    {149, 1904, 0, 0, Smoke::mf_static, 352, 77},	//3440 QGlobalSpace::kBacktrace()
    {149, 1914, 118, 1, Smoke::mf_static, 352, 78},	//3441 QGlobalSpace::kdBacktrace(int)
    {149, 1914, 0, 0, Smoke::mf_static, 352, 79},	//3442 QGlobalSpace::kdBacktrace()
    {149, 2213, 2486, 2, Smoke::mf_static, 309, 80},	//3443 QGlobalSpace::operator|(KLocale::DateTimeComponent, int)
    {149, 2213, 2489, 2, Smoke::mf_static, 289, 81},	//3444 QGlobalSpace::operator|(KLocale::DateTimeComponent, QFlags<KLocale::DateTimeComponent>)
    {149, 2213, 2492, 2, Smoke::mf_static, 284, 82},	//3445 QGlobalSpace::operator|(KCmdLineArgs::StdCmdLineArg, KCmdLineArgs::StdCmdLineArg)
    {149, 2213, 2495, 2, Smoke::mf_static, 293, 83},	//3446 QGlobalSpace::operator|(KLockFile::LockFlag, KLockFile::LockFlag)
    {149, 2213, 2498, 2, Smoke::mf_static, 297, 84},	//3447 QGlobalSpace::operator|(KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>)
    {149, 2213, 2501, 2, Smoke::mf_static, 309, 85},	//3448 QGlobalSpace::operator|(KUrl::CleanPathOption, int)
    {149, 2213, 2504, 2, Smoke::mf_static, 301, 86},	//3449 QGlobalSpace::operator|(KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>)
    {149, 3145, 124, 2, Smoke::mf_static, 352, 87},	//3450 QGlobalSpace::tr2i18n(const char*, const char*)
    {149, 3145, 122, 1, Smoke::mf_static, 352, 88},	//3451 QGlobalSpace::tr2i18n(const char*)
    {149, 2168, 2334, 2, Smoke::mf_static, 452, 89},	//3452 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {149, 2195, 2421, 2, Smoke::mf_static, 452, 90},	//3453 QGlobalSpace::operator==(const QDBusObjectPath&, const QDBusObjectPath&)
    {149, 2213, 2507, 2, Smoke::mf_static, 292, 91},	//3454 QGlobalSpace::operator|(KLocale::TimeProcessingOption, KLocale::TimeProcessingOption)
    {149, 2213, 2510, 2, Smoke::mf_static, 309, 92},	//3455 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, int)
    {149, 2168, 2361, 2, Smoke::mf_static, 452, 93},	//3456 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {149, 2213, 2513, 2, Smoke::mf_static, 309, 94},	//3457 QGlobalSpace::operator|(KUrl::QueryItemsOption, int)
    {149, 2213, 2516, 2, Smoke::mf_static, 296, 95},	//3458 QGlobalSpace::operator|(KStandardDirs::SearchOption, KStandardDirs::SearchOption)
    {149, 2178, 2421, 2, Smoke::mf_static, 452, 96},	//3459 QGlobalSpace::operator<(const QDBusObjectPath&, const QDBusObjectPath&)
    {149, 2213, 2519, 2, Smoke::mf_static, 290, 97},	//3460 QGlobalSpace::operator|(KLocale::DateTimeFormatOption, KLocale::DateTimeFormatOption)
    {149, 1907, 118, 1, Smoke::mf_static, 352, 98},	//3461 QGlobalSpace::kRealBacktrace(int)
    {149, 2195, 521, 2, Smoke::mf_static, 452, 99},	//3462 QGlobalSpace::operator==(const char*, const QString&)
    {149, 2213, 2522, 2, Smoke::mf_static, 309, 100},	//3463 QGlobalSpace::operator|(KShell::Option, int)
    {149, 1946, 124, 2, Smoke::mf_static, 141, 101},	//3464 QGlobalSpace::ki18np(const char*, const char*)
    {149, 2206, 521, 2, Smoke::mf_static, 452, 102},	//3465 QGlobalSpace::operator>=(const char*, const QString&)
    {149, 2206, 2334, 2, Smoke::mf_static, 452, 103},	//3466 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {149, 1940, 122, 1, Smoke::mf_static, 141, 104},	//3467 QGlobalSpace::ki18n(const char*)
    {149, 2213, 2525, 2, Smoke::mf_static, 309, 105},	//3468 QGlobalSpace::operator|(KCurrencyCode::CurrencyStatus, int)
    {149, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 451, 106},	//3469 QGlobalSpace::ITIMER_REAL (enum)
    {149, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 451, 107},	//3470 QGlobalSpace::ITIMER_VIRTUAL (enum)
    {149, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 451, 108},	//3471 QGlobalSpace::ITIMER_PROF (enum)
    {149, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 109},	//3472 QGlobalSpace::KST_KSycocaEntry (enum)
    {149, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 110},	//3473 QGlobalSpace::KST_KService (enum)
    {149, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 111},	//3474 QGlobalSpace::KST_KServiceType (enum)
    {149, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 112},	//3475 QGlobalSpace::KST_KMimeType (enum)
    {149, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 113},	//3476 QGlobalSpace::KST_KFolderMimeType (enum)
    {149, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 114},	//3477 QGlobalSpace::KST_KDEDesktopMimeType (enum)
    {149, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 115},	//3478 QGlobalSpace::KST_KMimeTypeEntry (enum)
    {149, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 116},	//3479 QGlobalSpace::KST_KServiceGroup (enum)
    {149, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 117},	//3480 QGlobalSpace::KST_KImageIOFormat (enum)
    {149, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 118},	//3481 QGlobalSpace::KST_KProtocolInfo (enum)
    {149, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 119},	//3482 QGlobalSpace::KST_KServiceSeparator (enum)
    {149, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 120},	//3483 QGlobalSpace::KST_KCustom (enum)
    {149, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 121},	//3484 QGlobalSpace::KST_KServiceFactory (enum)
    {149, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 122},	//3485 QGlobalSpace::KST_KServiceTypeFactory (enum)
    {149, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 123},	//3486 QGlobalSpace::KST_KServiceGroupFactory (enum)
    {149, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 124},	//3487 QGlobalSpace::KST_KImageIO (enum)
    {149, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 125},	//3488 QGlobalSpace::KST_KProtocolInfoFactory (enum)
    {149, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 126},	//3489 QGlobalSpace::KST_KMimeTypeFactory (enum)
    {149, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 127},	//3490 QGlobalSpace::KST_CTimeInfo (enum)
    {151, 2155, 150, 1, Smoke::mf_virtual, 452, 0},	//3491 QIODevice::open(QFlags<QIODevice::OpenModeFlag>)
    {151, 2257, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 621, 0},	//3492 QIODevice::pos() const
    {151, 2956, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 621, 0},	//3493 QIODevice::size() const
    {151, 2484, 861, 1, Smoke::mf_virtual, 452, 0},	//3494 QIODevice::seek(long long)
    {151, 2448, 0, 0, Smoke::mf_virtual, 452, 0},	//3495 QIODevice::reset()
    {151, 1093, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 621, 0},	//3496 QIODevice::bytesAvailable() const
    {151, 1094, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 621, 0},	//3497 QIODevice::bytesToWrite() const
    {151, 1111, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 452, 0},	//3498 QIODevice::canReadLine() const
    {151, 3255, 118, 1, Smoke::mf_virtual, 452, 0},	//3499 QIODevice::waitForReadyRead(int)
    {151, 3251, 118, 1, Smoke::mf_virtual, 452, 0},	//3500 QIODevice::waitForBytesWritten(int)
    {151, 2372, 1144, 2, Smoke::mf_protected|Smoke::mf_virtual, 621, 0},	//3501 QIODevice::readLineData(char*, long long)
    {151, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 308, 12},	//3502 QIODevice::NotOpen (enum)
    {151, 688, 0, 0, Smoke::mf_static|Smoke::mf_enum, 308, 13},	//3503 QIODevice::ReadOnly (enum)
    {151, 822, 0, 0, Smoke::mf_static|Smoke::mf_enum, 308, 14},	//3504 QIODevice::WriteOnly (enum)
    {151, 692, 0, 0, Smoke::mf_static|Smoke::mf_enum, 308, 15},	//3505 QIODevice::ReadWrite (enum)
    {151, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 308, 16},	//3506 QIODevice::Append (enum)
    {151, 775, 0, 0, Smoke::mf_static|Smoke::mf_enum, 308, 17},	//3507 QIODevice::Truncate (enum)
    {151, 757, 0, 0, Smoke::mf_static|Smoke::mf_enum, 308, 18},	//3508 QIODevice::Text (enum)
    {151, 780, 0, 0, Smoke::mf_static|Smoke::mf_enum, 308, 19},	//3509 QIODevice::Unbuffered (enum)
    {158, 1451, 2528, 1, Smoke::mf_virtual, 452, 0},	//3510 QObject::event(QEvent*)
    {158, 1452, 2530, 2, Smoke::mf_virtual, 452, 0},	//3511 QObject::eventFilter(QObject*, QEvent*)
    {158, 3112, 2533, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3512 QObject::timerEvent(QTimerEvent*)
    {158, 1143, 2535, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3513 QObject::childEvent(QChildEvent*)
    {158, 1251, 2528, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3514 QObject::customEvent(QEvent*)
    {158, 1179, 122, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3515 QObject::connectNotify(const char*)
    {158, 1389, 122, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3516 QObject::disconnectNotify(const char*)
    {161, 3255, 118, 1, Smoke::mf_virtual, 452, 0},	//3517 QProcess::waitForReadyRead(int)
    {161, 3251, 118, 1, Smoke::mf_virtual, 452, 0},	//3518 QProcess::waitForBytesWritten(int)
    {161, 1093, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 621, 0},	//3519 QProcess::bytesAvailable() const
    {161, 1094, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 621, 0},	//3520 QProcess::bytesToWrite() const
    {161, 1865, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 452, 0},	//3521 QProcess::isSequential() const
    {161, 1111, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 452, 0},	//3522 QProcess::canReadLine() const
    {161, 1157, 0, 0, Smoke::mf_virtual, 0, 0},	//3523 QProcess::close()
    {161, 1046, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 452, 0},	//3524 QProcess::atEnd() const
    {161, 2940, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3525 QProcess::setupChildProcess()
    {161, 2346, 1144, 2, Smoke::mf_protected|Smoke::mf_virtual, 621, 0},	//3526 QProcess::readData(char*, long long)
    {161, 3300, 1147, 2, Smoke::mf_protected|Smoke::mf_virtual, 621, 0},	//3527 QProcess::writeData(const char*, long long)
    {168, 2070, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 584, 0},	//3528 QTemporaryFile::metaObject() const
    {168, 2311, 122, 1, Smoke::mf_virtual, 638, 0},	//3529 QTemporaryFile::qt_metacast(const char*)
    {168, 2309, 131, 3, Smoke::mf_virtual, 615, 0},	//3530 QTemporaryFile::qt_metacall(QMetaObject::Call, int, void**)
    {168, 1505, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 262, 0},	//3531 QTemporaryFile::fileEngine() const
    {168, 2155, 150, 1, Smoke::mf_protected|Smoke::mf_virtual, 452, 0},	//3532 QTemporaryFile::open(QFlags<QIODevice::OpenModeFlag>)
    {177, 1331, 0, 0, Smoke::mf_static, 352, 1},	//3533 Sonnet::defaultLanguageName()
    {177, 1366, 30, 1, Smoke::mf_static, 352, 2},	//3534 Sonnet::detectLanguage(const QString&)
    {178, 2070, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 584, 1},	//3535 Sonnet::BackgroundChecker::metaObject() const
    {178, 2311, 122, 1, Smoke::mf_virtual, 638, 2},	//3536 Sonnet::BackgroundChecker::qt_metacast(const char*)
    {178, 3141, 124, 2, Smoke::mf_static, 352, 3},	//3537 Sonnet::BackgroundChecker::tr(const char*, const char*)
    {178, 3148, 124, 2, Smoke::mf_static, 352, 4},	//3538 Sonnet::BackgroundChecker::trUtf8(const char*, const char*)
    {178, 3141, 127, 3, Smoke::mf_static, 352, 5},	//3539 Sonnet::BackgroundChecker::tr(const char*, const char*, int)
    {178, 3148, 127, 3, Smoke::mf_static, 352, 6},	//3540 Sonnet::BackgroundChecker::trUtf8(const char*, const char*, int)
    {178, 2309, 131, 3, Smoke::mf_virtual, 615, 7},	//3541 Sonnet::BackgroundChecker::qt_metacall(QMetaObject::Call, int, void**)
    {178, 35, 146, 1, Smoke::mf_ctor, 446, 8},	//3542 Sonnet::BackgroundChecker::BackgroundChecker(QObject*)
    {178, 35, 2537, 2, Smoke::mf_ctor, 446, 9},	//3543 Sonnet::BackgroundChecker::BackgroundChecker(const Sonnet::Speller&, QObject*)
    {178, 2894, 30, 1, 0, 0, 10},	//3544 Sonnet::BackgroundChecker::setText(const QString&)
    {178, 3101, 0, 0, Smoke::mf_const, 352, 11},	//3545 Sonnet::BackgroundChecker::text() const
    {178, 1238, 0, 0, Smoke::mf_const, 352, 12},	//3546 Sonnet::BackgroundChecker::currentContext() const
    {178, 2968, 0, 0, Smoke::mf_const, 447, 13},	//3547 Sonnet::BackgroundChecker::speller() const
    {178, 2882, 2540, 1, 0, 0, 14},	//3548 Sonnet::BackgroundChecker::setSpeller(const Sonnet::Speller&)
    {178, 1140, 30, 1, 0, 452, 15},	//3549 Sonnet::BackgroundChecker::checkWord(const QString&)
    {178, 3070, 30, 1, Smoke::mf_const, 355, 16},	//3550 Sonnet::BackgroundChecker::suggest(const QString&) const
    {178, 1000, 30, 1, 0, 452, 17},	//3551 Sonnet::BackgroundChecker::addWordToPersonal(const QString&)
    {178, 2459, 595, 1, 0, 0, 18},	//3552 Sonnet::BackgroundChecker::restore(KConfig*)
    {178, 2982, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//3553 Sonnet::BackgroundChecker::start()
    {178, 3046, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 20},	//3554 Sonnet::BackgroundChecker::stop()
    {178, 2442, 2542, 3, Smoke::mf_slot, 0, 21},	//3555 Sonnet::BackgroundChecker::replace(int, const QString&, const QString&)
    {178, 1127, 30, 1, Smoke::mf_slot, 0, 22},	//3556 Sonnet::BackgroundChecker::changeLanguage(const QString&)
    {178, 1192, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//3557 Sonnet::BackgroundChecker::continueChecking()
    {178, 2076, 1014, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//3558 Sonnet::BackgroundChecker::misspelling(const QString&, int)
    {178, 1395, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//3559 Sonnet::BackgroundChecker::done()
    {178, 1502, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 352, 26},	//3560 Sonnet::BackgroundChecker::fetchMoreText()
    {178, 1568, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 27},	//3561 Sonnet::BackgroundChecker::finishedCurrentFeed()
    {178, 2957, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 28},	//3562 Sonnet::BackgroundChecker::slotEngineDone()
    {178, 3141, 122, 1, Smoke::mf_static, 352, 29},	//3563 Sonnet::BackgroundChecker::tr(const char*)
    {178, 3148, 122, 1, Smoke::mf_static, 352, 30},	//3564 Sonnet::BackgroundChecker::trUtf8(const char*)
    {178, 35, 0, 0, Smoke::mf_ctor, 446, 31},	//3565 Sonnet::BackgroundChecker::BackgroundChecker()
    {178, 35, 2540, 1, Smoke::mf_ctor, 446, 32},	//3566 Sonnet::BackgroundChecker::BackgroundChecker(const Sonnet::Speller&)
    {178, 3040, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 583, 33},	//3567 Sonnet::BackgroundChecker::staticMetaObject() const
    {178, 3340, 0, 0, Smoke::mf_dtor, 0, 34 },	//3568 Sonnet::BackgroundChecker::~BackgroundChecker()
    {179, 732, 30, 1, Smoke::mf_ctor, 449, 1},	//3569 Sonnet::Speller::Speller(const QString&)
    {179, 732, 2540, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 449, 2},	//3570 Sonnet::Speller::Speller(const Sonnet::Speller&)
    {179, 2192, 2540, 1, 0, 448, 3},	//3571 Sonnet::Speller::operator=(const Sonnet::Speller&)
    {179, 1881, 0, 0, Smoke::mf_const, 452, 4},	//3572 Sonnet::Speller::isValid() const
    {179, 2684, 30, 1, 0, 0, 5},	//3573 Sonnet::Speller::setLanguage(const QString&)
    {179, 1957, 0, 0, Smoke::mf_const, 352, 6},	//3574 Sonnet::Speller::language() const
    {179, 1802, 30, 1, Smoke::mf_const, 452, 7},	//3575 Sonnet::Speller::isCorrect(const QString&) const
    {179, 1849, 30, 1, Smoke::mf_const, 452, 8},	//3576 Sonnet::Speller::isMisspelled(const QString&) const
    {179, 3070, 30, 1, Smoke::mf_const, 355, 9},	//3577 Sonnet::Speller::suggest(const QString&) const
    {179, 1134, 757, 2, Smoke::mf_const, 452, 10},	//3578 Sonnet::Speller::checkAndSuggest(const QString&, QStringList&) const
    {179, 3049, 95, 2, 0, 452, 11},	//3579 Sonnet::Speller::storeReplacement(const QString&, const QString&)
    {179, 996, 30, 1, 0, 452, 12},	//3580 Sonnet::Speller::addToPersonal(const QString&)
    {179, 998, 30, 1, 0, 452, 13},	//3581 Sonnet::Speller::addToSession(const QString&)
    {179, 2470, 595, 1, 0, 0, 14},	//3582 Sonnet::Speller::save(KConfig*)
    {179, 2459, 595, 1, 0, 0, 15},	//3583 Sonnet::Speller::restore(KConfig*)
    {179, 1069, 0, 0, Smoke::mf_const, 355, 16},	//3584 Sonnet::Speller::availableBackends() const
    {179, 1073, 0, 0, Smoke::mf_const, 355, 17},	//3585 Sonnet::Speller::availableLanguages() const
    {179, 1072, 0, 0, Smoke::mf_const, 355, 18},	//3586 Sonnet::Speller::availableLanguageNames() const
    {179, 1070, 0, 0, Smoke::mf_const, 340, 19},	//3587 Sonnet::Speller::availableDictionaries() const
    {179, 2607, 30, 1, 0, 0, 20},	//3588 Sonnet::Speller::setDefaultLanguage(const QString&)
    {179, 1330, 0, 0, Smoke::mf_const, 352, 21},	//3589 Sonnet::Speller::defaultLanguage() const
    {179, 2605, 30, 1, 0, 0, 22},	//3590 Sonnet::Speller::setDefaultClient(const QString&)
    {179, 1327, 0, 0, Smoke::mf_const, 352, 23},	//3591 Sonnet::Speller::defaultClient() const
    {179, 2522, 2546, 2, 0, 0, 24},	//3592 Sonnet::Speller::setAttribute(Sonnet::Speller::Attribute, bool)
    {179, 3099, 2549, 1, Smoke::mf_const, 452, 25},	//3593 Sonnet::Speller::testAttribute(Sonnet::Speller::Attribute) const
    {179, 732, 0, 0, Smoke::mf_ctor, 449, 26},	//3594 Sonnet::Speller::Speller()
    {179, 2522, 2549, 1, 0, 0, 27},	//3595 Sonnet::Speller::setAttribute(Sonnet::Speller::Attribute)
    {179, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 450, 28},	//3596 Sonnet::Speller::CheckUppercase (enum)
    {179, 719, 0, 0, Smoke::mf_static|Smoke::mf_enum, 450, 29},	//3597 Sonnet::Speller::SkipRunTogether (enum)
    {179, 3445, 0, 0, Smoke::mf_dtor, 0, 30 },	//3598 Sonnet::Speller::~Speller()
    {181, 1951, 0, 0, Smoke::mf_ctor, 618, 1},	//3599 kndbgstream::kndbgstream()
    {181, 1951, 2551, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 618, 2},	//3600 kndbgstream::kndbgstream(const kndbgstream&)
    {181, 3447, 0, 0, Smoke::mf_dtor, 0, 3 },	//3601 kndbgstream::~kndbgstream()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    604,  // KConfig::KConfig(KConfigPrivate&)
    608,  // KConfig::KConfig(const KComponentData&)
    0,
    607,  // KConfig::KConfig(const QString&, QFlags<KConfig::OpenFlag>)
    611,  // KConfig::KConfig(const QString&, const QString&)
    0,
    576,  // KConfig::KConfig(const QString&, QFlags<KConfig::OpenFlag>, const char*)
    578,  // KConfig::KConfig(const QString&, const QString&, const char*)
    0,
    600,  // KConfig::groupImpl(const QByteArray&)
    601,  // KConfig::groupImpl(const QByteArray&) const
    0,
    1660,  // KLocalSocket::connectToPath(const QString&, QFlags<QIODevice::OpenModeFlag>)
    1672,  // KLocalSocket::connectToPath(const QString&, KLocalSocket::LocalSocketType)
    0,
    512,  // KCmdLineOptions::add(const KCmdLineOptions&)
    513,  // KCmdLineOptions::add(const QByteArray&)
    0,
    147,  // KAuth::ActionReply::ActionReply(KAuth::ActionReply::Type)
    148,  // KAuth::ActionReply::ActionReply(int)
    0,
    2659,  // KStandardDirs::addResourceType(const char*, const QString&, bool)
    2695,  // KStandardDirs::addResourceType(const char*, const char*, const QString&)
    2696,  // KStandardDirs::addResourceType(const char*, const char*, const char*)
    0,
    2660,  // KStandardDirs::addResourceType(const char*, const char*, const QString&, bool)
    2661,  // KStandardDirs::addResourceType(const char*, const char*, const char*, bool)
    0,
    842,  // KCoreConfigSkeleton::config()
    843,  // KCoreConfigSkeleton::config() const
    0,
    848,  // KCoreConfigSkeleton::findItem(const QString&)
    849,  // KCoreConfigSkeleton::findItem(const QString&) const
    0,
    846,  // KCoreConfigSkeleton::isImmutable(const QString&)
    847,  // KCoreConfigSkeleton::isImmutable(const QString&) const
    0,
    1271,  // KDateTime::Spec::Spec(const KTimeZone&)
    1273,  // KDateTime::Spec::Spec(const KDateTime::Spec&)
    0,
    1326,  // KDesktopFile::actionGroup(const QString&)
    1327,  // KDesktopFile::actionGroup(const QString&) const
    0,
    533,  // KComponentData::KComponentData(const KComponentData&)
    548,  // KComponentData::KComponentData(const QByteArray&)
    550,  // KComponentData::KComponentData(const KAboutData&)
    551,  // KComponentData::KComponentData(const KAboutData*)
    0,
    538,  // KComponentData::KComponentData(const KAboutData&, KComponentData::MainComponentRegistration)
    539,  // KComponentData::KComponentData(const KAboutData*, KComponentData::MainComponentRegistration)
    0,
    3219,  // KUser::KUser(const passwd*)
    3220,  // KUser::KUser(const KUser&)
    0,
    3215,  // KUser::KUser(KUser::UIDMode)
    3216,  // KUser::KUser(unsigned int)
    3217,  // KUser::KUser(const QString&)
    3218,  // KUser::KUser(const char*)
    0,
    96,  // KAboutPerson::KAboutPerson(const KAboutPerson&)
    103,  // KAboutPerson::KAboutPerson(const KLocalizedString&)
    0,
    2193,  // KPluginFactory::KPluginFactory(QObject*)
    2210,  // KPluginFactory::KPluginFactory(const KAboutData&)
    2211,  // KPluginFactory::KPluginFactory(const KAboutData*)
    2215,  // KPluginFactory::KPluginFactory(KPluginFactoryPrivate&)
    0,
    2191,  // KPluginFactory::KPluginFactory(const KAboutData&, QObject*)
    2192,  // KPluginFactory::KPluginFactory(const KAboutData*, QObject*)
    2197,  // KPluginFactory::KPluginFactory(KPluginFactoryPrivate&, QObject*)
    0,
    3264,  // KWordMacroExpander::KWordMacroExpander(QChar)
    3268,  // KWordMacroExpander::KWordMacroExpander(const KWordMacroExpander&)
    0,
    1861,  // KLocale::formatDateTime(const QDateTime&) const
    1863,  // KLocale::formatDateTime(const KDateTime&) const
    0,
    1862,  // KLocale::formatDateTime(const QDateTime&, KLocale::DateFormat) const
    1864,  // KLocale::formatDateTime(const KDateTime&, KLocale::DateFormat) const
    0,
    1753,  // KLocale::formatDateTime(const QDateTime&, KLocale::DateFormat, bool) const
    1754,  // KLocale::formatDateTime(const KDateTime&, KLocale::DateFormat, QFlags<KLocale::DateTimeFormatOption>) const
    0,
    1855,  // KLocale::formatNumber(double) const
    1856,  // KLocale::formatNumber(const QString&) const
    0,
    1742,  // KLocale::formatNumber(double, int) const
    1857,  // KLocale::formatNumber(const QString&, bool) const
    0,
    1775,  // KLocale::readDate(const QString&, bool*) const
    1872,  // KLocale::readDate(const QString&, const QString&) const
    1873,  // KLocale::readDate(const QString&, KLocale::ReadDateFlags) const
    0,
    1776,  // KLocale::readDate(const QString&, const QString&, bool*) const
    1777,  // KLocale::readDate(const QString&, KLocale::ReadDateFlags, bool*) const
    0,
    1778,  // KLocale::readTime(const QString&, bool*) const
    1875,  // KLocale::readTime(const QString&, KLocale::ReadTimeFlags) const
    0,
    1771,  // KLocale::weekNumberSystem()
    1772,  // KLocale::weekNumberSystem() const
    0,
    1480,  // KGlobal::staticQString(const QString&)
    1490,  // KGlobal::staticQString(const char*)
    0,
    288,  // KCalendarSystem::KCalendarSystem(const KLocale*)
    427,  // KCalendarSystem::KCalendarSystem(KCalendarSystemPrivate&)
    0,
    283,  // KCalendarSystem::calendarLabel(const QString&)
    393,  // KCalendarSystem::calendarLabel(KLocale::CalendarSystem)
    0,
    389,  // KCalendarSystem::create(const QString&)
    391,  // KCalendarSystem::create(KLocale::CalendarSystem)
    0,
    277,  // KCalendarSystem::create(const QString&, const KLocale*)
    279,  // KCalendarSystem::create(KLocale::CalendarSystem, const KLocale*)
    0,
    390,  // KCalendarSystem::create(const QString&, KSharedPtr<KSharedConfig>)
    392,  // KCalendarSystem::create(KLocale::CalendarSystem, KSharedPtr<KSharedConfig>)
    0,
    278,  // KCalendarSystem::create(const QString&, KSharedPtr<KSharedConfig>, const KLocale*)
    280,  // KCalendarSystem::create(KLocale::CalendarSystem, KSharedPtr<KSharedConfig>, const KLocale*)
    0,
    365,  // KCalendarSystem::formatDate(const QDate&, KLocale::DateFormat) const
    420,  // KCalendarSystem::formatDate(const QDate&, const QString&) const
    422,  // KCalendarSystem::formatDate(const QDate&, KLocale::DateTimeComponent) const
    0,
    366,  // KCalendarSystem::formatDate(const QDate&, const QString&, KLocale::DateTimeFormatStandard) const
    421,  // KCalendarSystem::formatDate(const QDate&, const QString&, KLocale::DigitSet) const
    423,  // KCalendarSystem::formatDate(const QDate&, KLocale::DateTimeComponent, KLocale::DateTimeComponentFormat) const
    0,
    367,  // KCalendarSystem::formatDate(const QDate&, const QString&, KLocale::DigitSet, KLocale::DateTimeFormatStandard) const
    368,  // KCalendarSystem::formatDate(const QDate&, KLocale::DateTimeComponent, KLocale::DateTimeComponentFormat, KLocale::WeekNumberSystem) const
    0,
    369,  // KCalendarSystem::readDate(const QString&, bool*) const
    425,  // KCalendarSystem::readDate(const QString&, KLocale::ReadDateFlags) const
    426,  // KCalendarSystem::readDate(const QString&, const QString&) const
    0,
    370,  // KCalendarSystem::readDate(const QString&, KLocale::ReadDateFlags, bool*) const
    371,  // KCalendarSystem::readDate(const QString&, const QString&, bool*) const
    0,
    334,  // KCalendarSystem::week(const QDate&, int*) const
    400,  // KCalendarSystem::week(const QDate&, KLocale::WeekNumberSystem) const
    0,
    3542,  // Sonnet::BackgroundChecker::BackgroundChecker(QObject*)
    3566,  // Sonnet::BackgroundChecker::BackgroundChecker(const Sonnet::Speller&)
    0,
    2583,  // KServiceType::KServiceType(KDesktopFile*)
    2598,  // KServiceType::KServiceType(KServiceTypePrivate&)
    0,
    650,  // KConfigBase::deleteGroup(const QString&)
    651,  // KConfigBase::deleteGroup(const char*)
    0,
    633,  // KConfigBase::deleteGroup(const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    634,  // KConfigBase::deleteGroup(const char*, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    626,  // KConfigBase::group(const QByteArray&)
    629,  // KConfigBase::group(const QByteArray&) const
    0,
    627,  // KConfigBase::group(const QString&)
    628,  // KConfigBase::group(const char*)
    630,  // KConfigBase::group(const QString&) const
    631,  // KConfigBase::group(const char*) const
    0,
    644,  // KConfigBase::groupImpl(const QByteArray&)
    645,  // KConfigBase::groupImpl(const QByteArray&) const
    0,
    623,  // KConfigBase::hasGroup(const QString&) const
    624,  // KConfigBase::hasGroup(const char*) const
    0,
    640,  // KConfigBase::isGroupImmutable(const QString&) const
    641,  // KConfigBase::isGroupImmutable(const char*) const
    0,
    218,  // KAutoSaveFile::KAutoSaveFile(QObject*)
    227,  // KAutoSaveFile::KAutoSaveFile(const KUrl&)
    0,
    440,  // KCharMacroExpander::KCharMacroExpander(QChar)
    444,  // KCharMacroExpander::KCharMacroExpander(const KCharMacroExpander&)
    0,
    2857,  // KTimeZone::KTimeZone(const KTimeZone&)
    2894,  // KTimeZone::KTimeZone(KTimeZoneBackend*)
    0,
    2018,  // KLocalizedString::subs(int) const
    2021,  // KLocalizedString::subs(unsigned int) const
    2024,  // KLocalizedString::subs(long) const
    2027,  // KLocalizedString::subs(unsigned long) const
    2030,  // KLocalizedString::subs(long long) const
    2033,  // KLocalizedString::subs(unsigned long long) const
    2036,  // KLocalizedString::subs(double) const
    2042,  // KLocalizedString::subs(const QString&) const
    0,
    2019,  // KLocalizedString::subs(int, int) const
    2022,  // KLocalizedString::subs(unsigned int, int) const
    2025,  // KLocalizedString::subs(long, int) const
    2028,  // KLocalizedString::subs(unsigned long, int) const
    2031,  // KLocalizedString::subs(long long, int) const
    2034,  // KLocalizedString::subs(unsigned long long, int) const
    2037,  // KLocalizedString::subs(double, int) const
    2043,  // KLocalizedString::subs(const QString&, int) const
    0,
    2020,  // KLocalizedString::subs(int, int, int) const
    2023,  // KLocalizedString::subs(unsigned int, int, int) const
    2026,  // KLocalizedString::subs(long, int, int) const
    2029,  // KLocalizedString::subs(unsigned long, int, int) const
    2032,  // KLocalizedString::subs(long long, int, int) const
    2035,  // KLocalizedString::subs(unsigned long long, int, int) const
    2038,  // KLocalizedString::subs(double, int, char) const
    0,
    2007,  // KLocalizedString::subs(int, int, int, const QChar&) const
    2008,  // KLocalizedString::subs(unsigned int, int, int, const QChar&) const
    2009,  // KLocalizedString::subs(long, int, int, const QChar&) const
    2010,  // KLocalizedString::subs(unsigned long, int, int, const QChar&) const
    2011,  // KLocalizedString::subs(long long, int, int, const QChar&) const
    2012,  // KLocalizedString::subs(unsigned long long, int, int, const QChar&) const
    0,
    3384,  // QGlobalSpace::operator!=(const QDBusSignature&, const QDBusSignature&)
    3407,  // QGlobalSpace::operator!=(const QDBusObjectPath&, const QDBusObjectPath&)
    3456,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    0,
    3387,  // QGlobalSpace::operator+(const QString&, const char*)
    3398,  // QGlobalSpace::operator+(const QString&, char)
    3406,  // QGlobalSpace::operator+(char, const QString&)
    3431,  // QGlobalSpace::operator+(const char*, const QString&)
    0,
    3380,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    3385,  // QGlobalSpace::operator<(const QDBusSignature&, const QDBusSignature&)
    3459,  // QGlobalSpace::operator<(const QDBusObjectPath&, const QDBusObjectPath&)
    0,
    3364,  // QGlobalSpace::operator<<(QDataStream&, const KServiceAction&)
    3393,  // QGlobalSpace::operator<<(QDataStream&, const KProtocolInfo::ExtraField&)
    0,
    3404,  // QGlobalSpace::operator==(const QDBusSignature&, const QDBusSignature&)
    3409,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    3453,  // QGlobalSpace::operator==(const QDBusObjectPath&, const QDBusObjectPath&)
    0,
    3367,  // QGlobalSpace::operator>>(QDataStream&, KProtocolInfo::ExtraField&)
    3411,  // QGlobalSpace::operator>>(QDataStream&, KServiceAction&)
    0,
    3370,  // QGlobalSpace::operator|(KUrl::EqualsOption, int)
    3371,  // QGlobalSpace::operator|(KUrl::EqualsOption, KUrl::EqualsOption)
    3372,  // QGlobalSpace::operator|(KUrl::DirectoryOption, KUrl::DirectoryOption)
    3373,  // QGlobalSpace::operator|(KConfig::OpenFlag, QFlags<KConfig::OpenFlag>)
    3376,  // QGlobalSpace::operator|(KCmdLineArgs::StdCmdLineArg, int)
    3377,  // QGlobalSpace::operator|(KLockFile::LockFlag, int)
    3379,  // QGlobalSpace::operator|(KUrl::DirectoryOption, int)
    3382,  // QGlobalSpace::operator|(KLocale::TimeProcessingOption, int)
    3383,  // QGlobalSpace::operator|(KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>)
    3386,  // QGlobalSpace::operator|(KShell::Option, QFlags<KShell::Option>)
    3390,  // QGlobalSpace::operator|(KConfig::OpenFlag, KConfig::OpenFlag)
    3391,  // QGlobalSpace::operator|(KAutostart::Condition, int)
    3395,  // QGlobalSpace::operator|(KLocale::DateTimeFormatOption, int)
    3396,  // QGlobalSpace::operator|(KLocale::DateTimeComponent, KLocale::DateTimeComponent)
    3397,  // QGlobalSpace::operator|(KShell::Option, KShell::Option)
    3399,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>)
    3400,  // QGlobalSpace::operator|(KJob::Capability, int)
    3401,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption)
    3402,  // QGlobalSpace::operator|(KStandardDirs::SearchOption, QFlags<KStandardDirs::SearchOption>)
    3403,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag)
    3405,  // QGlobalSpace::operator|(KLocale::DateTimeFormatOption, QFlags<KLocale::DateTimeFormatOption>)
    3412,  // QGlobalSpace::operator|(KLocale::TimeFormatOption, int)
    3413,  // QGlobalSpace::operator|(KLocale::TimeFormatOption, QFlags<KLocale::TimeFormatOption>)
    3414,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>)
    3415,  // QGlobalSpace::operator|(KLocale::TimeFormatOption, KLocale::TimeFormatOption)
    3416,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, int)
    3418,  // QGlobalSpace::operator|(KLocale::TimeProcessingOption, QFlags<KLocale::TimeProcessingOption>)
    3422,  // QGlobalSpace::operator|(KUrl::EqualsOption, QFlags<KUrl::EqualsOption>)
    3423,  // QGlobalSpace::operator|(KCurrencyCode::CurrencyStatus, KCurrencyCode::CurrencyStatus)
    3424,  // QGlobalSpace::operator|(KJob::Capability, KJob::Capability)
    3425,  // QGlobalSpace::operator|(KLockFile::LockFlag, QFlags<KLockFile::LockFlag>)
    3426,  // QGlobalSpace::operator|(KAutostart::Condition, QFlags<KAutostart::Condition>)
    3428,  // QGlobalSpace::operator|(KUrl::CleanPathOption, KUrl::CleanPathOption)
    3430,  // QGlobalSpace::operator|(KCmdLineArgs::StdCmdLineArg, QFlags<KCmdLineArgs::StdCmdLineArg>)
    3432,  // QGlobalSpace::operator|(KAutostart::Condition, KAutostart::Condition)
    3433,  // QGlobalSpace::operator|(KJob::Capability, QFlags<KJob::Capability>)
    3434,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, KUrl::QueryItemsOption)
    3435,  // QGlobalSpace::operator|(KStandardDirs::SearchOption, int)
    3436,  // QGlobalSpace::operator|(KConfig::OpenFlag, int)
    3437,  // QGlobalSpace::operator|(KCurrencyCode::CurrencyStatus, QFlags<KCurrencyCode::CurrencyStatus>)
    3443,  // QGlobalSpace::operator|(KLocale::DateTimeComponent, int)
    3444,  // QGlobalSpace::operator|(KLocale::DateTimeComponent, QFlags<KLocale::DateTimeComponent>)
    3445,  // QGlobalSpace::operator|(KCmdLineArgs::StdCmdLineArg, KCmdLineArgs::StdCmdLineArg)
    3446,  // QGlobalSpace::operator|(KLockFile::LockFlag, KLockFile::LockFlag)
    3447,  // QGlobalSpace::operator|(KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>)
    3448,  // QGlobalSpace::operator|(KUrl::CleanPathOption, int)
    3449,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>)
    3454,  // QGlobalSpace::operator|(KLocale::TimeProcessingOption, KLocale::TimeProcessingOption)
    3455,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, int)
    3457,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, int)
    3458,  // QGlobalSpace::operator|(KStandardDirs::SearchOption, KStandardDirs::SearchOption)
    3460,  // QGlobalSpace::operator|(KLocale::DateTimeFormatOption, KLocale::DateTimeFormatOption)
    3463,  // QGlobalSpace::operator|(KShell::Option, int)
    3468,  // QGlobalSpace::operator|(KCurrencyCode::CurrencyStatus, int)
    0,
    2165,  // KMimeType::findByContent(const QByteArray&)
    2168,  // KMimeType::findByContent(QIODevice*)
    0,
    2130,  // KMimeType::findByContent(const QByteArray&, int*)
    2132,  // KMimeType::findByContent(QIODevice*, int*)
    0,
    2166,  // KMimeType::findByNameAndContent(const QString&, const QByteArray&)
    2169,  // KMimeType::findByNameAndContent(const QString&, QIODevice*)
    0,
    2167,  // KMimeType::findByNameAndContent(const QString&, const QByteArray&, unsigned int)
    2170,  // KMimeType::findByNameAndContent(const QString&, QIODevice*, unsigned int)
    0,
    2131,  // KMimeType::findByNameAndContent(const QString&, const QByteArray&, unsigned int, int*)
    2133,  // KMimeType::findByNameAndContent(const QString&, QIODevice*, unsigned int, int*)
    0,
    2719,  // KStringHandler::perlSplit(const QChar&, const QString&)
    2721,  // KStringHandler::perlSplit(const QRegExp&, const QString&)
    0,
    2718,  // KStringHandler::perlSplit(const QChar&, const QString&, int)
    2720,  // KStringHandler::perlSplit(const QRegExp&, const QString&, int)
    0,
    2067,  // KMD5::update(const QByteArray&)
    2068,  // KMD5::update(QIODevice&)
    0,
    2080,  // KMD5::update(const char*)
    2081,  // KMD5::update(const unsigned char*)
    0,
    2065,  // KMD5::update(const char*, int)
    2066,  // KMD5::update(const unsigned char*, int)
    0,
    662,  // KConfigGroup::KConfigGroup(KConfigBase*, const QString&)
    663,  // KConfigGroup::KConfigGroup(KConfigBase*, const char*)
    664,  // KConfigGroup::KConfigGroup(const KConfigBase*, const QString&)
    665,  // KConfigGroup::KConfigGroup(const KConfigBase*, const char*)
    0,
    666,  // KConfigGroup::KConfigGroup(const KSharedPtr<KSharedConfig>&, const QString&)
    667,  // KConfigGroup::KConfigGroup(const KSharedPtr<KSharedConfig>&, const char*)
    0,
    678,  // KConfigGroup::changeGroup(const QString&)
    679,  // KConfigGroup::changeGroup(const char*)
    0,
    676,  // KConfigGroup::config()
    677,  // KConfigGroup::config() const
    0,
    773,  // KConfigGroup::deleteEntry(const QString&)
    774,  // KConfigGroup::deleteEntry(const char*)
    0,
    725,  // KConfigGroup::deleteEntry(const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    726,  // KConfigGroup::deleteEntry(const char*, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    685,  // KConfigGroup::deleteGroup(QFlags<KConfigBase::WriteConfigFlag>)
    747,  // KConfigGroup::deleteGroup(const QString&)
    748,  // KConfigGroup::deleteGroup(const char*)
    0,
    687,  // KConfigGroup::deleteGroup(const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    688,  // KConfigGroup::deleteGroup(const char*, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    739,  // KConfigGroup::groupImpl(const QByteArray&)
    740,  // KConfigGroup::groupImpl(const QByteArray&) const
    0,
    734,  // KConfigGroup::hasDefault(const QString&) const
    735,  // KConfigGroup::hasDefault(const char*) const
    0,
    727,  // KConfigGroup::hasKey(const QString&) const
    728,  // KConfigGroup::hasKey(const char*) const
    0,
    730,  // KConfigGroup::isEntryImmutable(const QString&) const
    731,  // KConfigGroup::isEntryImmutable(const char*) const
    0,
    749,  // KConfigGroup::readEntry(const QString&) const
    750,  // KConfigGroup::readEntry(const char*) const
    0,
    689,  // KConfigGroup::readEntry(const QString&, const QVariant&) const
    690,  // KConfigGroup::readEntry(const char*, const QVariant&) const
    0,
    691,  // KConfigGroup::readEntry(const QString&, const QString&) const
    692,  // KConfigGroup::readEntry(const char*, const QString&) const
    693,  // KConfigGroup::readEntry(const QString&, const char*) const
    694,  // KConfigGroup::readEntry(const char*, const char*) const
    0,
    695,  // KConfigGroup::readEntry(const QString&, const QList<QVariant>&) const
    696,  // KConfigGroup::readEntry(const char*, const QList<QVariant>&) const
    697,  // KConfigGroup::readEntry(const QString&, const QStringList&) const
    698,  // KConfigGroup::readEntry(const char*, const QStringList&) const
    0,
    753,  // KConfigGroup::readEntryUntranslated(const QString&) const
    754,  // KConfigGroup::readEntryUntranslated(const char*) const
    0,
    705,  // KConfigGroup::readEntryUntranslated(const QString&, const QString&) const
    706,  // KConfigGroup::readEntryUntranslated(const char*, const QString&) const
    0,
    701,  // KConfigGroup::readPathEntry(const QString&, const QString&) const
    702,  // KConfigGroup::readPathEntry(const char*, const QString&) const
    0,
    703,  // KConfigGroup::readPathEntry(const QString&, const QStringList&) const
    704,  // KConfigGroup::readPathEntry(const char*, const QStringList&) const
    0,
    751,  // KConfigGroup::readXdgListEntry(const QString&) const
    752,  // KConfigGroup::readXdgListEntry(const char*) const
    0,
    699,  // KConfigGroup::readXdgListEntry(const QString&, const QStringList&) const
    700,  // KConfigGroup::readXdgListEntry(const char*, const QStringList&) const
    0,
    732,  // KConfigGroup::revertToDefault(const QString&)
    733,  // KConfigGroup::revertToDefault(const char*)
    0,
    755,  // KConfigGroup::writeEntry(const QString&, const QVariant&)
    756,  // KConfigGroup::writeEntry(const char*, const QVariant&)
    759,  // KConfigGroup::writeEntry(const QString&, const QByteArray&)
    760,  // KConfigGroup::writeEntry(const char*, const QByteArray&)
    0,
    707,  // KConfigGroup::writeEntry(const QString&, const QVariant&, QFlags<KConfigBase::WriteConfigFlag>)
    708,  // KConfigGroup::writeEntry(const char*, const QVariant&, QFlags<KConfigBase::WriteConfigFlag>)
    711,  // KConfigGroup::writeEntry(const QString&, const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>)
    712,  // KConfigGroup::writeEntry(const char*, const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    757,  // KConfigGroup::writeEntry(const QString&, const QString&)
    758,  // KConfigGroup::writeEntry(const char*, const QString&)
    761,  // KConfigGroup::writeEntry(const QString&, const char*)
    762,  // KConfigGroup::writeEntry(const char*, const char*)
    0,
    709,  // KConfigGroup::writeEntry(const QString&, const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    710,  // KConfigGroup::writeEntry(const char*, const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    713,  // KConfigGroup::writeEntry(const QString&, const char*, QFlags<KConfigBase::WriteConfigFlag>)
    714,  // KConfigGroup::writeEntry(const char*, const char*, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    763,  // KConfigGroup::writeEntry(const QString&, const QStringList&)
    764,  // KConfigGroup::writeEntry(const char*, const QStringList&)
    765,  // KConfigGroup::writeEntry(const QString&, const QList<QVariant>&)
    766,  // KConfigGroup::writeEntry(const char*, const QList<QVariant>&)
    0,
    715,  // KConfigGroup::writeEntry(const QString&, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    716,  // KConfigGroup::writeEntry(const char*, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    717,  // KConfigGroup::writeEntry(const QString&, const QList<QVariant>&, QFlags<KConfigBase::WriteConfigFlag>)
    718,  // KConfigGroup::writeEntry(const char*, const QList<QVariant>&, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    769,  // KConfigGroup::writePathEntry(const QString&, const QString&)
    770,  // KConfigGroup::writePathEntry(const char*, const QString&)
    0,
    721,  // KConfigGroup::writePathEntry(const QString&, const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    722,  // KConfigGroup::writePathEntry(const char*, const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    771,  // KConfigGroup::writePathEntry(const QString&, const QStringList&)
    772,  // KConfigGroup::writePathEntry(const char*, const QStringList&)
    0,
    723,  // KConfigGroup::writePathEntry(const QString&, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    724,  // KConfigGroup::writePathEntry(const char*, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    767,  // KConfigGroup::writeXdgListEntry(const QString&, const QStringList&)
    768,  // KConfigGroup::writeXdgListEntry(const char*, const QStringList&)
    0,
    719,  // KConfigGroup::writeXdgListEntry(const QString&, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    720,  // KConfigGroup::writeXdgListEntry(const char*, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    1297,  // KDebug::hasNullOutputQtDebugMsg(int)
    1305,  // KDebug::hasNullOutputQtDebugMsg(bool)
    0,
    2099,  // KMacroExpanderBase::KMacroExpanderBase(QChar)
    2107,  // KMacroExpanderBase::KMacroExpanderBase(const KMacroExpanderBase&)
    0,
    2308,  // KProcess::execute(int)
    2322,  // KProcess::execute(const QString&)
    0,
    2647,  // KSocketFactory::connectToHost(const QUrl&, QObject*)
    2649,  // KSocketFactory::connectToHost(QTcpSocket*, const QUrl&)
    0,
    935,  // KCoreConfigSkeleton::ItemEnum::ItemEnum(const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice>&)
    936,  // KCoreConfigSkeleton::ItemEnum::ItemEnum(const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice2>&)
    0,
    928,  // KCoreConfigSkeleton::ItemEnum::ItemEnum(const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice>&, int)
    929,  // KCoreConfigSkeleton::ItemEnum::ItemEnum(const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice2>&, int)
    0,
    3250,  // KUserGroup::KUserGroup(const group*)
    3251,  // KUserGroup::KUserGroup(const KUserGroup&)
    0,
    3246,  // KUserGroup::KUserGroup(const QString&)
    3247,  // KUserGroup::KUserGroup(const char*)
    3248,  // KUserGroup::KUserGroup(KUser::UIDMode)
    3249,  // KUserGroup::KUserGroup(unsigned int)
    0,
    3109,  // KUrl::KUrl(const QByteArray&)
    3110,  // KUrl::KUrl(const KUrl&)
    3111,  // KUrl::KUrl(const QUrl&)
    0,
    3107,  // KUrl::KUrl(const QString&)
    3108,  // KUrl::KUrl(const char*)
    0,
    3158,  // KUrl::operator=(const KUrl&)
    3160,  // KUrl::operator=(const QByteArray&)
    0,
    3159,  // KUrl::operator=(const char*)
    3161,  // KUrl::operator=(const QString&)
    0,
    2084,  // KMacroExpander::expandMacros(const QString&, const QHash<QString,QString>&)
    2088,  // KMacroExpander::expandMacros(const QString&, const QHash<QChar,QStringList>&)
    2092,  // KMacroExpander::expandMacros(const QString&, const QHash<QChar,QString>&)
    2094,  // KMacroExpander::expandMacros(const QString&, const QHash<QString,QStringList>&)
    0,
    2083,  // KMacroExpander::expandMacros(const QString&, const QHash<QString,QString>&, QChar)
    2087,  // KMacroExpander::expandMacros(const QString&, const QHash<QChar,QStringList>&, QChar)
    2091,  // KMacroExpander::expandMacros(const QString&, const QHash<QChar,QString>&, QChar)
    2093,  // KMacroExpander::expandMacros(const QString&, const QHash<QString,QStringList>&, QChar)
    0,
    2086,  // KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QChar,QStringList>&)
    2090,  // KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QString,QString>&)
    2096,  // KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QChar,QString>&)
    2098,  // KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QString,QStringList>&)
    0,
    2085,  // KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QChar,QStringList>&, QChar)
    2089,  // KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QString,QString>&, QChar)
    2095,  // KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QChar,QString>&, QChar)
    2097,  // KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QString,QStringList>&, QChar)
    0,
    1101,  // KCurrencyCode::KCurrencyCode(const KCurrencyCode&)
    1125,  // KCurrencyCode::KCurrencyCode(const QFileInfo&)
    0,
    1178,  // KDateTime::KDateTime(const QDateTime&)
    1179,  // KDateTime::KDateTime(const KDateTime&)
    1241,  // KDateTime::KDateTime(const QDate&)
    0,
    1175,  // KDateTime::KDateTime(const QDate&, const KDateTime::Spec&)
    1177,  // KDateTime::KDateTime(const QDateTime&, const KDateTime::Spec&)
    1242,  // KDateTime::KDateTime(const QDate&, const QTime&)
    0,
    1245,  // KDateTime::fromString(const QString&, KDateTime::TimeFormat)
    1246,  // KDateTime::fromString(const QString&, const QString&)
    0,
    1225,  // KDateTime::toString(const QString&) const
    1226,  // KDateTime::toString(KDateTime::TimeFormat) const
    0,
    1202,  // KDateTime::toTimeSpec(const KDateTime::Spec&) const
    1203,  // KDateTime::toTimeSpec(const KDateTime&) const
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {1, 149, 85},	// KAboutData::FullName
    {1, 281, 2},	// KAboutData::KAboutData#
    {1, 282, 59},	// KAboutData::KAboutData####
    {1, 283, 60},	// KAboutData::KAboutData#####
    {1, 284, 61},	// KAboutData::KAboutData#####$
    {1, 285, 62},	// KAboutData::KAboutData#####$#
    {1, 286, 63},	// KAboutData::KAboutData#####$##
    {1, 287, 64},	// KAboutData::KAboutData#####$###
    {1, 288, 1},	// KAboutData::KAboutData#####$####
    {1, 573, 79},	// KAboutData::License_Artistic
    {1, 574, 78},	// KAboutData::License_BSD
    {1, 575, 71},	// KAboutData::License_Custom
    {1, 576, 72},	// KAboutData::License_File
    {1, 577, 74},	// KAboutData::License_GPL
    {1, 578, 75},	// KAboutData::License_GPL_V2
    {1, 579, 82},	// KAboutData::License_GPL_V3
    {1, 580, 76},	// KAboutData::License_LGPL
    {1, 581, 77},	// KAboutData::License_LGPL_V2
    {1, 582, 83},	// KAboutData::License_LGPL_V3
    {1, 583, 80},	// KAboutData::License_QPL
    {1, 584, 81},	// KAboutData::License_QPL_V1_0
    {1, 585, 73},	// KAboutData::License_Unknown
    {1, 712, 84},	// KAboutData::ShortName
    {1, 834, 48},	// KAboutData::aboutTranslationTeam
    {1, 855, 65},	// KAboutData::addAuthor#
    {1, 856, 66},	// KAboutData::addAuthor##
    {1, 857, 67},	// KAboutData::addAuthor###
    {1, 858, 4},	// KAboutData::addAuthor####
    {1, 859, 5},	// KAboutData::addAuthor#####
    {1, 868, 68},	// KAboutData::addCredit#
    {1, 869, 69},	// KAboutData::addCredit##
    {1, 870, 70},	// KAboutData::addCredit###
    {1, 871, 6},	// KAboutData::addCredit####
    {1, 872, 7},	// KAboutData::addCredit#####
    {1, 960, 22},	// KAboutData::addLicense$
    {1, 962, 10},	// KAboutData::addLicenseText#
    {1, 964, 12},	// KAboutData::addLicenseTextFile$
    {1, 1037, 29},	// KAboutData::appName
    {1, 1058, 45},	// KAboutData::authors
    {1, 1090, 43},	// KAboutData::bugAddress
    {1, 1120, 41},	// KAboutData::catalogName
    {1, 1205, 53},	// KAboutData::copyrightStatement
    {1, 1227, 46},	// KAboutData::credits
    {1, 1248, 54},	// KAboutData::customAuthorPlainText
    {1, 1249, 55},	// KAboutData::customAuthorRichText
    {1, 1250, 56},	// KAboutData::customAuthorTextEnabled
    {1, 1717, 42},	// KAboutData::homepage
    {1, 1757, 44},	// KAboutData::internalBugAddress
    {1, 1758, 33},	// KAboutData::internalProgramName
    {1, 1759, 39},	// KAboutData::internalVersion
    {1, 1980, 50},	// KAboutData::license
    {1, 1982, 51},	// KAboutData::licenseName$
    {1, 1983, 52},	// KAboutData::licenses
    {1, 2143, 37},	// KAboutData::ocsProviderUrl
    {1, 2193, 3},	// KAboutData::operator=#
    {1, 2215, 32},	// KAboutData::organizationDomain
    {1, 2216, 49},	// KAboutData::otherText
    {1, 2279, 30},	// KAboutData::productName
    {1, 2281, 35},	// KAboutData::programIconName
    {1, 2282, 36},	// KAboutData::programLogo
    {1, 2283, 31},	// KAboutData::programName
    {1, 2519, 13},	// KAboutData::setAppName#
    {1, 2540, 26},	// KAboutData::setBugAddress#
    {1, 2548, 20},	// KAboutData::setCatalogName#
    {1, 2560, 23},	// KAboutData::setCopyrightStatement#
    {1, 2572, 57},	// KAboutData::setCustomAuthorText##
    {1, 2669, 25},	// KAboutData::setHomepage#
    {1, 2695, 21},	// KAboutData::setLicense$
    {1, 2697, 9},	// KAboutData::setLicenseText#
    {1, 2699, 11},	// KAboutData::setLicenseTextFile$
    {1, 2803, 17},	// KAboutData::setOcsProvider#
    {1, 2805, 27},	// KAboutData::setOrganizationDomain#
    {1, 2809, 24},	// KAboutData::setOtherText#
    {1, 2842, 28},	// KAboutData::setProductName#
    {1, 2848, 15},	// KAboutData::setProgramIconName$
    {1, 2850, 16},	// KAboutData::setProgramLogo#
    {1, 2852, 14},	// KAboutData::setProgramName#
    {1, 2874, 19},	// KAboutData::setShortDescription#
    {1, 2913, 8},	// KAboutData::setTranslator##
    {1, 2923, 18},	// KAboutData::setVersion#
    {1, 2944, 40},	// KAboutData::shortDescription
    {1, 3169, 34},	// KAboutData::translateInternalProgramName
    {1, 3182, 47},	// KAboutData::translators
    {1, 3197, 58},	// KAboutData::unsetCustomAuthorText
    {1, 3244, 38},	// KAboutData::version
    {1, 3364, 86},	// KAboutData::~KAboutData
    {2, 290, 87},	// KAboutLicense::KAboutLicense#
    {2, 1092, 92},	// KAboutLicense::byKeyword$
    {2, 1934, 91},	// KAboutLicense::key
    {2, 2113, 90},	// KAboutLicense::name$
    {2, 2193, 88},	// KAboutLicense::operator=#
    {2, 3101, 89},	// KAboutLicense::text
    {2, 3365, 93},	// KAboutLicense::~KAboutLicense
    {3, 292, -60},	// KAboutPerson::KAboutPerson#
    {3, 293, 104},	// KAboutPerson::KAboutPerson##
    {3, 294, 105},	// KAboutPerson::KAboutPerson###
    {3, 295, 94},	// KAboutPerson::KAboutPerson####
    {3, 296, 95},	// KAboutPerson::KAboutPerson#####
    {3, 1399, 100},	// KAboutPerson::emailAddress
    {3, 2112, 98},	// KAboutPerson::name
    {3, 2144, 102},	// KAboutPerson::ocsUsername
    {3, 2193, 97},	// KAboutPerson::operator=#
    {3, 3095, 99},	// KAboutPerson::task
    {3, 3263, 101},	// KAboutPerson::webAddress
    {3, 3366, 106},	// KAboutPerson::~KAboutPerson
    {4, 4, 107},	// KAuth::Action::Action
    {4, 5, 108},	// KAuth::Action::Action#
    {4, 6, 109},	// KAuth::Action::Action$
    {4, 7, 110},	// KAuth::Action::Action$$
    {4, 27, 143},	// KAuth::Action::AuthRequired
    {4, 30, 142},	// KAuth::Action::Authorized
    {4, 101, 139},	// KAuth::Action::Denied
    {4, 125, 140},	// KAuth::Action::Error
    {4, 180, 141},	// KAuth::Action::Invalid
    {4, 807, 144},	// KAuth::Action::UserCancelled
    {4, 853, 125},	// KAuth::Action::addArgument$#
    {4, 1045, 124},	// KAuth::Action::arguments
    {4, 1048, 126},	// KAuth::Action::authorize
    {4, 1365, 117},	// KAuth::Action::details
    {4, 1397, 127},	// KAuth::Action::earlyAuthorize
    {4, 1459, 129},	// KAuth::Action::execute
    {4, 1460, 130},	// KAuth::Action::execute$
    {4, 1466, 133},	// KAuth::Action::executeActions??$
    {4, 1467, 134},	// KAuth::Action::executeActions??$#
    {4, 1468, 132},	// KAuth::Action::executesAsync
    {4, 1682, 121},	// KAuth::Action::hasHelper
    {4, 1713, 119},	// KAuth::Action::helperID
    {4, 1881, 118},	// KAuth::Action::isValid
    {4, 2112, 114},	// KAuth::Action::name
    {4, 2169, 113},	// KAuth::Action::operator!=#
    {4, 2193, 111},	// KAuth::Action::operator=#
    {4, 2196, 112},	// KAuth::Action::operator==#
    {4, 2228, 138},	// KAuth::Action::parentWidget
    {4, 2521, 123},	// KAuth::Action::setArguments?
    {4, 2613, 116},	// KAuth::Action::setDetails$
    {4, 2646, 131},	// KAuth::Action::setExecutesAsync$
    {4, 2667, 120},	// KAuth::Action::setHelperID$
    {4, 2793, 115},	// KAuth::Action::setName$
    {4, 2817, 137},	// KAuth::Action::setParentWidget#
    {4, 3043, 128},	// KAuth::Action::status
    {4, 3046, 135},	// KAuth::Action::stop
    {4, 3047, 136},	// KAuth::Action::stop$
    {4, 3261, 122},	// KAuth::Action::watcher
    {4, 3337, 145},	// KAuth::Action::~Action
    {5, 8, 146},	// KAuth::ActionReply::ActionReply
    {5, 9, 149},	// KAuth::ActionReply::ActionReply#
    {5, 10, -19},	// KAuth::ActionReply::ActionReply$
    {5, 28, 181},	// KAuth::ActionReply::AuthorizationDenied
    {5, 29, 170},	// KAuth::ActionReply::AuthorizationDeniedReply
    {5, 76, 184},	// KAuth::ActionReply::DBusError
    {5, 77, 173},	// KAuth::ActionReply::DBusErrorReply
    {5, 158, 183},	// KAuth::ActionReply::HelperBusy
    {5, 159, 172},	// KAuth::ActionReply::HelperBusyReply
    {5, 160, 175},	// KAuth::ActionReply::HelperError
    {5, 161, 166},	// KAuth::ActionReply::HelperErrorReply
    {5, 181, 180},	// KAuth::ActionReply::InvalidAction
    {5, 182, 169},	// KAuth::ActionReply::InvalidActionReply
    {5, 297, 174},	// KAuth::ActionReply::KAuthError
    {5, 624, 177},	// KAuth::ActionReply::NoError
    {5, 628, 178},	// KAuth::ActionReply::NoResponder
    {5, 629, 167},	// KAuth::ActionReply::NoResponderReply
    {5, 631, 179},	// KAuth::ActionReply::NoSuchAction
    {5, 632, 168},	// KAuth::ActionReply::NoSuchActionReply
    {5, 746, 176},	// KAuth::ActionReply::Success
    {5, 747, 165},	// KAuth::ActionReply::SuccessReply
    {5, 807, 182},	// KAuth::ActionReply::UserCancelled
    {5, 808, 171},	// KAuth::ActionReply::UserCancelledReply
    {5, 876, 152},	// KAuth::ActionReply::addData$#
    {5, 1253, 151},	// KAuth::ActionReply::data
    {5, 1360, 161},	// KAuth::ActionReply::deserialize#
    {5, 1443, 156},	// KAuth::ActionReply::errorCode
    {5, 1444, 158},	// KAuth::ActionReply::errorDescription
    {5, 1496, 155},	// KAuth::ActionReply::failed
    {5, 2169, 164},	// KAuth::ActionReply::operator!=#
    {5, 2193, 162},	// KAuth::ActionReply::operator=#
    {5, 2196, 163},	// KAuth::ActionReply::operator==#
    {5, 2487, 160},	// KAuth::ActionReply::serialized
    {5, 2578, 150},	// KAuth::ActionReply::setData?
    {5, 2634, 157},	// KAuth::ActionReply::setErrorCode$
    {5, 2636, 159},	// KAuth::ActionReply::setErrorDescription$
    {5, 3069, 154},	// KAuth::ActionReply::succeeded
    {5, 3184, 153},	// KAuth::ActionReply::type
    {5, 3338, 185},	// KAuth::ActionReply::~ActionReply
    {6, 840, 194},	// KAuth::ActionWatcher::action
    {6, 844, 196},	// KAuth::ActionWatcher::actionPerformed#
    {6, 845, 195},	// KAuth::ActionWatcher::actionStarted
    {6, 2070, 186},	// KAuth::ActionWatcher::metaObject
    {6, 2285, 197},	// KAuth::ActionWatcher::progressStep$
    {6, 2286, 198},	// KAuth::ActionWatcher::progressStep?
    {6, 2310, 192},	// KAuth::ActionWatcher::qt_metacall$$?
    {6, 2312, 187},	// KAuth::ActionWatcher::qt_metacast$
    {6, 3040, 202},	// KAuth::ActionWatcher::staticMetaObject
    {6, 3045, 199},	// KAuth::ActionWatcher::statusChanged$
    {6, 3142, 200},	// KAuth::ActionWatcher::tr$
    {6, 3143, 188},	// KAuth::ActionWatcher::tr$$
    {6, 3144, 190},	// KAuth::ActionWatcher::tr$$$
    {6, 3149, 201},	// KAuth::ActionWatcher::trUtf8$
    {6, 3150, 189},	// KAuth::ActionWatcher::trUtf8$$
    {6, 3151, 191},	// KAuth::ActionWatcher::trUtf8$$$
    {6, 3262, 193},	// KAuth::ActionWatcher::watcher$
    {6, 3339, 203},	// KAuth::ActionWatcher::~ActionWatcher
    {7, 1033, 208},	// KAuthorized::allowUrlAction$##
    {7, 1049, 205},	// KAuthorized::authorize$
    {7, 1051, 209},	// KAuthorized::authorizeControlModule$
    {7, 1053, 206},	// KAuthorized::authorizeControlModules?
    {7, 1055, 207},	// KAuthorized::authorizeKAction$
    {7, 1057, 204},	// KAuthorized::authorizeUrlAction$##
    {8, 298, 228},	// KAutoSaveFile::KAutoSaveFile
    {8, 299, -174},	// KAutoSaveFile::KAutoSaveFile#
    {8, 300, 217},	// KAutoSaveFile::KAutoSaveFile##
    {8, 1024, 230},	// KAutoSaveFile::allStaleFiles
    {8, 1025, 224},	// KAutoSaveFile::allStaleFiles$
    {8, 2055, 219},	// KAutoSaveFile::managedFile
    {8, 2070, 210},	// KAutoSaveFile::metaObject
    {8, 2156, 222},	// KAutoSaveFile::open$
    {8, 2310, 216},	// KAutoSaveFile::qt_metacall$$?
    {8, 2312, 211},	// KAutoSaveFile::qt_metacast$
    {8, 2420, 221},	// KAutoSaveFile::releaseLock
    {8, 2765, 220},	// KAutoSaveFile::setManagedFile#
    {8, 2979, 229},	// KAutoSaveFile::staleFiles#
    {8, 2980, 223},	// KAutoSaveFile::staleFiles#$
    {8, 3040, 231},	// KAutoSaveFile::staticMetaObject
    {8, 3142, 225},	// KAutoSaveFile::tr$
    {8, 3143, 212},	// KAutoSaveFile::tr$$
    {8, 3144, 214},	// KAutoSaveFile::tr$$$
    {8, 3149, 226},	// KAutoSaveFile::trUtf8$
    {8, 3150, 213},	// KAutoSaveFile::trUtf8$$
    {8, 3151, 215},	// KAutoSaveFile::trUtf8$$$
    {8, 3367, 232},	// KAutoSaveFile::~KAutoSaveFile
    {9, 21, 275},	// KAutostart::Applications
    {9, 40, 273},	// KAutostart::BaseDesktop
    {9, 50, 272},	// KAutostart::CheckAll
    {9, 51, 270},	// KAutostart::CheckCommand
    {9, 52, 271},	// KAutostart::CheckCondition
    {9, 102, 274},	// KAutostart::DesktopServices
    {9, 301, 264},	// KAutostart::KAutostart
    {9, 302, 265},	// KAutostart::KAutostart$
    {9, 303, 240},	// KAutostart::KAutostart$#
    {9, 622, 269},	// KAutostart::NoConditions
    {9, 993, 254},	// KAutostart::addToAllowedEnvironments$
    {9, 995, 258},	// KAutostart::addToExcludedEnvironments$
    {9, 1034, 252},	// KAutostart::allowedEnvironments
    {9, 1066, 266},	// KAutostart::autostarts
    {9, 1067, 267},	// KAutostart::autostarts$
    {9, 1068, 242},	// KAutostart::autostarts$$
    {9, 1133, 261},	// KAutostart::checkAllowedEnvironment$
    {9, 1165, 243},	// KAutostart::command
    {9, 1166, 248},	// KAutostart::commandToCheck
    {9, 1453, 256},	// KAutostart::excludedEnvironments
    {9, 1867, 247},	// KAutostart::isServiceRegistered$
    {9, 2070, 233},	// KAutostart::metaObject
    {9, 2310, 239},	// KAutostart::qt_metacall$$?
    {9, 2312, 234},	// KAutostart::qt_metacast$
    {9, 2431, 255},	// KAutostart::removeFromAllowedEnvironments$
    {9, 2433, 259},	// KAutostart::removeFromExcludedEnvironments$
    {9, 2517, 253},	// KAutostart::setAllowedEnvironments?
    {9, 2536, 241},	// KAutostart::setAutostarts$
    {9, 2550, 244},	// KAutostart::setCommand$
    {9, 2552, 249},	// KAutostart::setCommandToCheck$
    {9, 2642, 257},	// KAutostart::setExcludedEnvironments?
    {9, 2887, 251},	// KAutostart::setStartPhase$
    {9, 2925, 246},	// KAutostart::setVisibleName$
    {9, 2983, 260},	// KAutostart::startAfter
    {9, 2989, 250},	// KAutostart::startPhase
    {9, 3040, 268},	// KAutostart::staticMetaObject
    {9, 3142, 262},	// KAutostart::tr$
    {9, 3143, 235},	// KAutostart::tr$$
    {9, 3144, 237},	// KAutostart::tr$$$
    {9, 3149, 263},	// KAutostart::trUtf8$
    {9, 3150, 236},	// KAutostart::trUtf8$$
    {9, 3151, 238},	// KAutostart::trUtf8$$$
    {9, 3249, 245},	// KAutostart::visibleName
    {9, 3368, 276},	// KAutostart::~KAutostart
    {10, 304, 394},	// KCalendarSystem::KCalendarSystem
    {10, 305, -106},	// KCalendarSystem::KCalendarSystem#
    {10, 306, 428},	// KCalendarSystem::KCalendarSystem#?
    {10, 307, 387},	// KCalendarSystem::KCalendarSystem#?#
    {10, 308, 395},	// KCalendarSystem::KCalendarSystem?
    {10, 309, 289},	// KCalendarSystem::KCalendarSystem?#
    {10, 596, 437},	// KCalendarSystem::LongDayName
    {10, 597, 430},	// KCalendarSystem::LongFormat
    {10, 598, 432},	// KCalendarSystem::LongName
    {10, 599, 434},	// KCalendarSystem::LongNamePossessive
    {10, 615, 438},	// KCalendarSystem::NarrowDayName
    {10, 616, 435},	// KCalendarSystem::NarrowName
    {10, 710, 436},	// KCalendarSystem::ShortDayName
    {10, 711, 429},	// KCalendarSystem::ShortFormat
    {10, 712, 431},	// KCalendarSystem::ShortName
    {10, 713, 433},	// KCalendarSystem::ShortNamePossessive
    {10, 878, 315},	// KCalendarSystem::addDays#$
    {10, 968, 314},	// KCalendarSystem::addMonths#$
    {10, 1007, 313},	// KCalendarSystem::addYears#$
    {10, 1041, 374},	// KCalendarSystem::applyShortYearWindow$
    {10, 1099, 292},	// KCalendarSystem::calendarLabel
    {10, 1100, -109},	// KCalendarSystem::calendarLabel$
    {10, 1101, 284},	// KCalendarSystem::calendarLabel$#
    {10, 1102, 291},	// KCalendarSystem::calendarSystem
    {10, 1103, 286},	// KCalendarSystem::calendarSystem$
    {10, 1105, 285},	// KCalendarSystem::calendarSystemForCalendarType$
    {10, 1106, 281},	// KCalendarSystem::calendarSystems
    {10, 1107, 282},	// KCalendarSystem::calendarSystemsList
    {10, 1108, 290},	// KCalendarSystem::calendarType
    {10, 1109, 287},	// KCalendarSystem::calendarType$
    {10, 1213, 388},	// KCalendarSystem::create
    {10, 1217, -112},	// KCalendarSystem::create$
    {10, 1218, -115},	// KCalendarSystem::create$#
    {10, 1221, -118},	// KCalendarSystem::create$?
    {10, 1222, -121},	// KCalendarSystem::create$?#
    {10, 1263, 316},	// KCalendarSystem::dateDifference##$$$$
    {10, 1272, 382},	// KCalendarSystem::dateToJulianDay$$$$
    {10, 1275, 309},	// KCalendarSystem::day#
    {10, 1277, 332},	// KCalendarSystem::dayOfWeek#
    {10, 1279, 355},	// KCalendarSystem::dayOfWeekString#
    {10, 1281, 331},	// KCalendarSystem::dayOfYear#
    {10, 1283, 413},	// KCalendarSystem::dayOfYearString#
    {10, 1284, 354},	// KCalendarSystem::dayOfYearString#$
    {10, 1289, 411},	// KCalendarSystem::dayString#
    {10, 1290, 352},	// KCalendarSystem::dayString#$
    {10, 1292, 364},	// KCalendarSystem::dayStringToInteger$$
    {10, 1294, 319},	// KCalendarSystem::daysDifference##
    {10, 1296, 328},	// KCalendarSystem::daysInMonth#
    {10, 1297, 329},	// KCalendarSystem::daysInMonth$$
    {10, 1299, 418},	// KCalendarSystem::daysInMonthString#
    {10, 1300, 360},	// KCalendarSystem::daysInMonthString#$
    {10, 1302, 330},	// KCalendarSystem::daysInWeek#
    {10, 1304, 361},	// KCalendarSystem::daysInWeekString#
    {10, 1306, 326},	// KCalendarSystem::daysInYear#
    {10, 1307, 327},	// KCalendarSystem::daysInYear$
    {10, 1309, 417},	// KCalendarSystem::daysInYearString#
    {10, 1310, 359},	// KCalendarSystem::daysInYearString#$
    {10, 1396, 294},	// KCalendarSystem::earliestValidDate
    {10, 1430, 293},	// KCalendarSystem::epoch
    {10, 1437, 396},	// KCalendarSystem::eraName#
    {10, 1438, 310},	// KCalendarSystem::eraName#$
    {10, 1440, 397},	// KCalendarSystem::eraYear#
    {10, 1441, 311},	// KCalendarSystem::eraYear#$
    {10, 1569, 403},	// KCalendarSystem::firstDayOfMonth
    {10, 1570, 344},	// KCalendarSystem::firstDayOfMonth#
    {10, 1571, 342},	// KCalendarSystem::firstDayOfMonth$$
    {10, 1572, 401},	// KCalendarSystem::firstDayOfYear
    {10, 1573, 340},	// KCalendarSystem::firstDayOfYear#
    {10, 1574, 338},	// KCalendarSystem::firstDayOfYear$
    {10, 1586, 419},	// KCalendarSystem::formatDate#
    {10, 1587, -124},	// KCalendarSystem::formatDate#$
    {10, 1588, -128},	// KCalendarSystem::formatDate#$$
    {10, 1589, -132},	// KCalendarSystem::formatDate#$$$
    {10, 1647, 306},	// KCalendarSystem::getDate#$$$
    {10, 1840, 337},	// KCalendarSystem::isLeapYear#
    {10, 1841, 336},	// KCalendarSystem::isLeapYear$
    {10, 1847, 377},	// KCalendarSystem::isLunar
    {10, 1848, 378},	// KCalendarSystem::isLunisolar
    {10, 1857, 380},	// KCalendarSystem::isProleptic
    {10, 1871, 379},	// KCalendarSystem::isSolar
    {10, 1882, 300},	// KCalendarSystem::isValid#
    {10, 1884, 297},	// KCalendarSystem::isValid$$
    {10, 1885, 296},	// KCalendarSystem::isValid$$$
    {10, 1886, 298},	// KCalendarSystem::isValid$$$$
    {10, 1888, 299},	// KCalendarSystem::isValidIsoWeekDate$$$
    {10, 1899, 381},	// KCalendarSystem::julianDayToDate$$$$
    {10, 1963, 404},	// KCalendarSystem::lastDayOfMonth
    {10, 1964, 345},	// KCalendarSystem::lastDayOfMonth#
    {10, 1965, 343},	// KCalendarSystem::lastDayOfMonth$$
    {10, 1966, 402},	// KCalendarSystem::lastDayOfYear
    {10, 1967, 341},	// KCalendarSystem::lastDayOfYear#
    {10, 1968, 339},	// KCalendarSystem::lastDayOfYear$
    {10, 1970, 295},	// KCalendarSystem::latestValidDate
    {10, 1997, 383},	// KCalendarSystem::locale
    {10, 2093, 308},	// KCalendarSystem::month#
    {10, 2095, 406},	// KCalendarSystem::monthName#
    {10, 2096, 347},	// KCalendarSystem::monthName#$
    {10, 2097, 405},	// KCalendarSystem::monthName$$
    {10, 2098, 346},	// KCalendarSystem::monthName$$$
    {10, 2100, 410},	// KCalendarSystem::monthString#
    {10, 2101, 351},	// KCalendarSystem::monthString#$
    {10, 2103, 363},	// KCalendarSystem::monthStringToInteger$$
    {10, 2105, 318},	// KCalendarSystem::monthsDifference##
    {10, 2107, 320},	// KCalendarSystem::monthsInYear#
    {10, 2108, 321},	// KCalendarSystem::monthsInYear$
    {10, 2110, 415},	// KCalendarSystem::monthsInYearString#
    {10, 2111, 357},	// KCalendarSystem::monthsInYearString#$
    {10, 2349, 424},	// KCalendarSystem::readDate$
    {10, 2350, -135},	// KCalendarSystem::readDate$$
    {10, 2351, -139},	// KCalendarSystem::readDate$$$
    {10, 2352, 372},	// KCalendarSystem::readDate$$$$
    {10, 2583, 302},	// KCalendarSystem::setDate#$$
    {10, 2584, 301},	// KCalendarSystem::setDate#$$$
    {10, 2585, 303},	// KCalendarSystem::setDate#$$$$
    {10, 2591, 304},	// KCalendarSystem::setDateIsoWeek#$$$
    {10, 2665, 386},	// KCalendarSystem::setHasYear0$
    {10, 2767, 385},	// KCalendarSystem::setMaxDaysInWeek$
    {10, 2769, 384},	// KCalendarSystem::setMaxMonthsInYear$
    {10, 2939, 305},	// KCalendarSystem::setYMD#$$$
    {10, 2945, 373},	// KCalendarSystem::shortYearWindowStartYear
    {10, 3266, 399},	// KCalendarSystem::week#
    {10, 3267, -142},	// KCalendarSystem::week#$
    {10, 3268, 335},	// KCalendarSystem::week#$$
    {10, 3270, 408},	// KCalendarSystem::weekDayName#
    {10, 3271, 349},	// KCalendarSystem::weekDayName#$
    {10, 3272, 407},	// KCalendarSystem::weekDayName$
    {10, 3273, 348},	// KCalendarSystem::weekDayName$$
    {10, 3274, 376},	// KCalendarSystem::weekDayOfPray
    {10, 3276, 398},	// KCalendarSystem::weekNumber#
    {10, 3277, 333},	// KCalendarSystem::weekNumber#$
    {10, 3279, 414},	// KCalendarSystem::weekNumberString#
    {10, 3280, 356},	// KCalendarSystem::weekNumberString#$
    {10, 3282, 375},	// KCalendarSystem::weekStartDay
    {10, 3284, 322},	// KCalendarSystem::weeksInYear#
    {10, 3285, 323},	// KCalendarSystem::weeksInYear#$
    {10, 3286, 324},	// KCalendarSystem::weeksInYear$
    {10, 3287, 325},	// KCalendarSystem::weeksInYear$$
    {10, 3289, 416},	// KCalendarSystem::weeksInYearString#
    {10, 3290, 358},	// KCalendarSystem::weeksInYearString#$
    {10, 3320, 307},	// KCalendarSystem::year#
    {10, 3322, 312},	// KCalendarSystem::yearInEra#
    {10, 3324, 412},	// KCalendarSystem::yearInEraString#
    {10, 3325, 353},	// KCalendarSystem::yearInEraString#$
    {10, 3327, 409},	// KCalendarSystem::yearString#
    {10, 3328, 350},	// KCalendarSystem::yearString#$
    {10, 3330, 362},	// KCalendarSystem::yearStringToInteger$$
    {10, 3332, 317},	// KCalendarSystem::yearsDifference##
    {10, 3369, 439},	// KCalendarSystem::~KCalendarSystem
    {13, 310, 445},	// KCharMacroExpander::KCharMacroExpander
    {13, 311, -177},	// KCharMacroExpander::KCharMacroExpander#
    {13, 1472, 442},	// KCharMacroExpander::expandEscapedMacro$$?
    {13, 1474, 443},	// KCharMacroExpander::expandMacro#?
    {13, 1486, 441},	// KCharMacroExpander::expandPlainMacro$$?
    {13, 3370, 446},	// KCharMacroExpander::~KCharMacroExpander
    {14, 312, 447},	// KCharsets::KCharsets
    {14, 313, 460},	// KCharsets::KCharsets#
    {14, 1071, 454},	// KCharsets::availableEncodingNames
    {14, 1163, 448},	// KCharsets::codecForName$
    {14, 1164, 449},	// KCharsets::codecForName$$
    {14, 1357, 458},	// KCharsets::descriptionForEncoding$
    {14, 1358, 455},	// KCharsets::descriptiveEncodingNames
    {14, 1417, 459},	// KCharsets::encodingForName$
    {14, 1420, 456},	// KCharsets::encodingsByScript
    {14, 1617, 450},	// KCharsets::fromEntity$
    {14, 1618, 451},	// KCharsets::fromEntity$$
    {14, 1961, 457},	// KCharsets::languageForEncoding$
    {14, 2451, 453},	// KCharsets::resolveEntities$
    {14, 3115, 452},	// KCharsets::toEntity#
    {14, 3371, 461},	// KCharsets::~KCharsets
    {15, 62, 503},	// KCmdLineArgs::CmdLineArgKDE
    {15, 63, 505},	// KCmdLineArgs::CmdLineArgNone
    {15, 64, 502},	// KCmdLineArgs::CmdLineArgQt
    {15, 65, 504},	// KCmdLineArgs::CmdLineArgsMask
    {15, 315, 492},	// KCmdLineArgs::KCmdLineArgs#
    {15, 316, 491},	// KCmdLineArgs::KCmdLineArgs###
    {15, 699, 506},	// KCmdLineArgs::Reserved
    {15, 833, 490},	// KCmdLineArgs::aboutData
    {15, 861, 497},	// KCmdLineArgs::addCmdLineOptions#
    {15, 862, 498},	// KCmdLineArgs::addCmdLineOptions##
    {15, 863, 499},	// KCmdLineArgs::addCmdLineOptions###
    {15, 864, 466},	// KCmdLineArgs::addCmdLineOptions####
    {15, 987, 496},	// KCmdLineArgs::addStdCmdLineOptions
    {15, 988, 465},	// KCmdLineArgs::addStdCmdLineOptions$
    {15, 991, 485},	// KCmdLineArgs::addTempFileOption
    {15, 1011, 489},	// KCmdLineArgs::allArguments
    {15, 1037, 469},	// KCmdLineArgs::appName
    {15, 1044, 477},	// KCmdLineArgs::arg$
    {15, 1152, 481},	// KCmdLineArgs::clear
    {15, 1206, 476},	// KCmdLineArgs::count
    {15, 1252, 468},	// KCmdLineArgs::cwd
    {15, 1405, 472},	// KCmdLineArgs::enable_i18n
    {15, 1654, 473},	// KCmdLineArgs::getOption#
    {15, 1656, 474},	// KCmdLineArgs::getOptionList#
    {15, 1742, 464},	// KCmdLineArgs::init#
    {15, 1744, 495},	// KCmdLineArgs::init$?#
    {15, 1745, 493},	// KCmdLineArgs::init$?####
    {15, 1746, 494},	// KCmdLineArgs::init$?#####
    {15, 1747, 462},	// KCmdLineArgs::init$?#####$
    {15, 1748, 463},	// KCmdLineArgs::init$?#$
    {15, 1869, 475},	// KCmdLineArgs::isSet#
    {15, 1874, 486},	// KCmdLineArgs::isTempFileSet
    {15, 1993, 483},	// KCmdLineArgs::loadAppArgs#
    {15, 2054, 479},	// KCmdLineArgs::makeURL#
    {15, 2231, 500},	// KCmdLineArgs::parsedArgs
    {15, 2232, 467},	// KCmdLineArgs::parsedArgs#
    {15, 2307, 487},	// KCmdLineArgs::qtArgc
    {15, 2308, 488},	// KCmdLineArgs::qtArgv
    {15, 2448, 482},	// KCmdLineArgs::reset
    {15, 2473, 484},	// KCmdLineArgs::saveAppArgs#
    {15, 2574, 480},	// KCmdLineArgs::setCwd#
    {15, 3210, 478},	// KCmdLineArgs::url$
    {15, 3211, 501},	// KCmdLineArgs::usage
    {15, 3212, 470},	// KCmdLineArgs::usage#
    {15, 3214, 471},	// KCmdLineArgs::usageError$
    {15, 3372, 507},	// KCmdLineArgs::~KCmdLineArgs
    {16, 317, 508},	// KCmdLineOptions::KCmdLineOptions
    {16, 318, 509},	// KCmdLineOptions::KCmdLineOptions#
    {16, 849, -16},	// KCmdLineOptions::add#
    {16, 850, 514},	// KCmdLineOptions::add##
    {16, 851, 511},	// KCmdLineOptions::add###
    {16, 2193, 510},	// KCmdLineOptions::operator=#
    {16, 3373, 515},	// KCmdLineOptions::~KCmdLineOptions
    {17, 1078, 522},	// KCodecs::base64Decode#
    {17, 1079, 524},	// KCodecs::base64Decode##
    {17, 1082, 531},	// KCodecs::base64Encode#
    {17, 1083, 527},	// KCodecs::base64Encode##
    {17, 1084, 526},	// KCodecs::base64Encode##$
    {17, 1085, 530},	// KCodecs::base64Encode#$
    {17, 1320, 520},	// KCodecs::decodeRFC2047String$
    {17, 2324, 521},	// KCodecs::quotedPrintableDecode#
    {17, 2325, 519},	// KCodecs::quotedPrintableDecode##
    {17, 2327, 529},	// KCodecs::quotedPrintableEncode#
    {17, 2328, 523},	// KCodecs::quotedPrintableEncode##$
    {17, 2329, 528},	// KCodecs::quotedPrintableEncode#$
    {17, 3234, 517},	// KCodecs::uudecode#
    {17, 3235, 518},	// KCodecs::uudecode##
    {17, 3237, 516},	// KCodecs::uuencode#
    {17, 3238, 525},	// KCodecs::uuencode##
    {18, 319, 532},	// KComponentData::KComponentData
    {18, 320, -44},	// KComponentData::KComponentData#
    {18, 321, 549},	// KComponentData::KComponentData##
    {18, 322, 537},	// KComponentData::KComponentData##$
    {18, 323, -49},	// KComponentData::KComponentData#$
    {18, 694, 552},	// KComponentData::RegisterAsMainComponent
    {18, 718, 553},	// KComponentData::SkipMainComponentRegistration
    {18, 833, 543},	// KComponentData::aboutData
    {18, 1120, 546},	// KComponentData::catalogName
    {18, 1172, 545},	// KComponentData::componentName
    {18, 1176, 542},	// KComponentData::config
    {18, 1385, 541},	// KComponentData::dirs
    {18, 1881, 540},	// KComponentData::isValid
    {18, 2169, 536},	// KComponentData::operator!=#
    {18, 2193, 534},	// KComponentData::operator=#
    {18, 2196, 535},	// KComponentData::operator==#
    {18, 2507, 544},	// KComponentData::setAboutData#
    {18, 2558, 547},	// KComponentData::setConfigName$
    {18, 3374, 554},	// KComponentData::~KComponentData
    {19, 324, 573},	// KCompositeJob::KCompositeJob
    {19, 325, 562},	// KCompositeJob::KCompositeJob#
    {19, 326, 570},	// KCompositeJob::KCompositeJob##
    {19, 990, 563},	// KCompositeJob::addSubjob#
    {19, 1155, 567},	// KCompositeJob::clearSubjobs
    {19, 1705, 565},	// KCompositeJob::hasSubjobs
    {19, 2070, 555},	// KCompositeJob::metaObject
    {19, 2310, 561},	// KCompositeJob::qt_metacall$$?
    {19, 2312, 556},	// KCompositeJob::qt_metacast$
    {19, 2435, 564},	// KCompositeJob::removeSubjob#
    {19, 2959, 569},	// KCompositeJob::slotInfoMessage#$$
    {19, 2961, 568},	// KCompositeJob::slotResult#
    {19, 3040, 574},	// KCompositeJob::staticMetaObject
    {19, 3054, 566},	// KCompositeJob::subjobs
    {19, 3142, 571},	// KCompositeJob::tr$
    {19, 3143, 557},	// KCompositeJob::tr$$
    {19, 3144, 559},	// KCompositeJob::tr$$$
    {19, 3149, 572},	// KCompositeJob::trUtf8$
    {19, 3150, 558},	// KCompositeJob::trUtf8$$
    {19, 3151, 560},	// KCompositeJob::trUtf8$$$
    {19, 3375, 575},	// KCompositeJob::~KCompositeJob
    {21, 47, 616},	// KConfig::CascadeConfig
    {21, 148, 620},	// KConfig::FullConfig
    {21, 176, 615},	// KConfig::IncludeGlobals
    {21, 327, 605},	// KConfig::KConfig
    {21, 328, -1},	// KConfig::KConfig#
    {21, 329, 609},	// KConfig::KConfig#$
    {21, 330, 610},	// KConfig::KConfig#$$
    {21, 331, 577},	// KConfig::KConfig#$$$
    {21, 332, 606},	// KConfig::KConfig$
    {21, 333, -4},	// KConfig::KConfig$$
    {21, 334, -7},	// KConfig::KConfig$$$
    {21, 621, 618},	// KConfig::NoCascade
    {21, 625, 619},	// KConfig::NoGlobals
    {21, 715, 617},	// KConfig::SimpleConfig
    {21, 839, 584},	// KConfig::accessMode
    {21, 866, 589},	// KConfig::addConfigSources?
    {21, 1139, 587},	// KConfig::checkUpdate$$
    {21, 1171, 579},	// KConfig::componentData
    {21, 1203, 612},	// KConfig::copyTo$
    {21, 1204, 586},	// KConfig::copyTo$#
    {21, 1348, 614},	// KConfig::deleteGroupImpl#
    {21, 1349, 602},	// KConfig::deleteGroupImpl#$
    {21, 1427, 613},	// KConfig::entryMap
    {21, 1428, 598},	// KConfig::entryMap$
    {21, 1579, 596},	// KConfig::forceGlobal
    {21, 1664, -10},	// KConfig::groupImpl#
    {21, 1665, 597},	// KConfig::groupList
    {21, 1680, 599},	// KConfig::hasGroupImpl#
    {21, 1801, 585},	// KConfig::isConfigWritable$
    {21, 1810, 582},	// KConfig::isDirty
    {21, 1829, 603},	// KConfig::isGroupImmutableImpl#
    {21, 1834, 594},	// KConfig::isImmutable
    {21, 1997, 590},	// KConfig::locale
    {21, 2056, 583},	// KConfig::markAsClean
    {21, 2112, 580},	// KConfig::name
    {21, 2355, 593},	// KConfig::readDefaults
    {21, 2441, 588},	// KConfig::reparseConfiguration
    {21, 2655, 595},	// KConfig::setForceGlobal$
    {21, 2705, 591},	// KConfig::setLocale$
    {21, 2860, 592},	// KConfig::setReadDefaults$
    {21, 3079, 581},	// KConfig::sync
    {21, 3376, 621},	// KConfig::~KConfig
    {22, 150, 654},	// KConfigBase::Global
    {22, 335, 642},	// KConfigBase::KConfigBase
    {22, 336, 648},	// KConfigBase::KConfigBase#
    {22, 590, 655},	// KConfigBase::Localized
    {22, 618, 657},	// KConfigBase::NoAccess
    {22, 635, 656},	// KConfigBase::Normal
    {22, 661, 653},	// KConfigBase::Persistent
    {22, 688, 658},	// KConfigBase::ReadOnly
    {22, 692, 659},	// KConfigBase::ReadWrite
    {22, 839, 637},	// KConfigBase::accessMode
    {22, 1343, 649},	// KConfigBase::deleteGroup#
    {22, 1344, 632},	// KConfigBase::deleteGroup#$
    {22, 1345, -151},	// KConfigBase::deleteGroup$
    {22, 1346, -154},	// KConfigBase::deleteGroup$$
    {22, 1348, 652},	// KConfigBase::deleteGroupImpl#
    {22, 1349, 646},	// KConfigBase::deleteGroupImpl#$
    {22, 1659, -157},	// KConfigBase::group#
    {22, 1660, -160},	// KConfigBase::group$
    {22, 1664, -165},	// KConfigBase::groupImpl#
    {22, 1665, 622},	// KConfigBase::groupList
    {22, 1677, 625},	// KConfigBase::hasGroup#
    {22, 1678, -168},	// KConfigBase::hasGroup$
    {22, 1680, 643},	// KConfigBase::hasGroupImpl#
    {22, 1826, 639},	// KConfigBase::isGroupImmutable#
    {22, 1827, -171},	// KConfigBase::isGroupImmutable$
    {22, 1829, 647},	// KConfigBase::isGroupImmutableImpl#
    {22, 1834, 638},	// KConfigBase::isImmutable
    {22, 2056, 636},	// KConfigBase::markAsClean
    {22, 3079, 635},	// KConfigBase::sync
    {22, 3377, 660},	// KConfigBase::~KConfigBase
    {23, 337, 661},	// KConfigGroup::KConfigGroup
    {23, 338, 668},	// KConfigGroup::KConfigGroup#
    {23, 339, -324},	// KConfigGroup::KConfigGroup#$
    {23, 340, -329},	// KConfigGroup::KConfigGroup?$
    {23, 839, 675},	// KConfigGroup::accessMode
    {23, 1126, -332},	// KConfigGroup::changeGroup$
    {23, 1176, -335},	// KConfigGroup::config
    {23, 1201, 743},	// KConfigGroup::copyTo#
    {23, 1202, 680},	// KConfigGroup::copyTo#$
    {23, 1340, -338},	// KConfigGroup::deleteEntry$
    {23, 1341, -341},	// KConfigGroup::deleteEntry$$
    {23, 1342, 745},	// KConfigGroup::deleteGroup
    {23, 1343, 746},	// KConfigGroup::deleteGroup#
    {23, 1344, 686},	// KConfigGroup::deleteGroup#$
    {23, 1345, -344},	// KConfigGroup::deleteGroup$
    {23, 1346, -348},	// KConfigGroup::deleteGroup$$
    {23, 1349, 741},	// KConfigGroup::deleteGroupImpl#$
    {23, 1427, 736},	// KConfigGroup::entryMap
    {23, 1469, 672},	// KConfigGroup::exists
    {23, 1664, -351},	// KConfigGroup::groupImpl#
    {23, 1665, 683},	// KConfigGroup::groupList
    {23, 1674, -354},	// KConfigGroup::hasDefault$
    {23, 1680, 738},	// KConfigGroup::hasGroupImpl#
    {23, 1685, -357},	// KConfigGroup::hasKey$
    {23, 1711, 737},	// KConfigGroup::hasTranslatedKey$
    {23, 1819, -360},	// KConfigGroup::isEntryImmutable$
    {23, 1829, 742},	// KConfigGroup::isGroupImmutableImpl#
    {23, 1834, 729},	// KConfigGroup::isImmutable
    {23, 1881, 670},	// KConfigGroup::isValid
    {23, 1935, 684},	// KConfigGroup::keyList
    {23, 2056, 674},	// KConfigGroup::markAsClean
    {23, 2112, 671},	// KConfigGroup::name
    {23, 2193, 669},	// KConfigGroup::operator=#
    {23, 2222, 682},	// KConfigGroup::parent
    {23, 2359, -363},	// KConfigGroup::readEntry$
    {23, 2360, -366},	// KConfigGroup::readEntry$#
    {23, 2361, -369},	// KConfigGroup::readEntry$$
    {23, 2362, -374},	// KConfigGroup::readEntry$?
    {23, 2364, -379},	// KConfigGroup::readEntryUntranslated$
    {23, 2365, -382},	// KConfigGroup::readEntryUntranslated$$
    {23, 2387, -385},	// KConfigGroup::readPathEntry$$
    {23, 2388, -388},	// KConfigGroup::readPathEntry$?
    {23, 2396, -391},	// KConfigGroup::readXdgListEntry$
    {23, 2397, -394},	// KConfigGroup::readXdgListEntry$?
    {23, 2439, 744},	// KConfigGroup::reparent#
    {23, 2440, 681},	// KConfigGroup::reparent#$
    {23, 2465, -397},	// KConfigGroup::revertToDefault$
    {23, 3079, 673},	// KConfigGroup::sync
    {23, 3303, -400},	// KConfigGroup::writeEntry$#
    {23, 3304, -405},	// KConfigGroup::writeEntry$#$
    {23, 3305, -410},	// KConfigGroup::writeEntry$$
    {23, 3306, -415},	// KConfigGroup::writeEntry$$$
    {23, 3307, -420},	// KConfigGroup::writeEntry$?
    {23, 3308, -425},	// KConfigGroup::writeEntry$?$
    {23, 3312, -430},	// KConfigGroup::writePathEntry$$
    {23, 3313, -433},	// KConfigGroup::writePathEntry$$$
    {23, 3314, -436},	// KConfigGroup::writePathEntry$?
    {23, 3315, -439},	// KConfigGroup::writePathEntry$?$
    {23, 3317, -442},	// KConfigGroup::writeXdgListEntry$?
    {23, 3318, -445},	// KConfigGroup::writeXdgListEntry$?$
    {23, 3378, 775},	// KConfigGroup::~KConfigGroup
    {25, 342, 801},	// KConfigSkeletonItem::KConfigSkeletonItem#
    {25, 343, 776},	// KConfigSkeletonItem::KConfigSkeletonItem$$
    {25, 1658, 778},	// KConfigSkeletonItem::group
    {25, 1821, 793},	// KConfigSkeletonItem::isEqual#
    {25, 1834, 799},	// KConfigSkeletonItem::isImmutable
    {25, 1934, 780},	// KConfigSkeletonItem::key
    {25, 1953, 784},	// KConfigSkeletonItem::label
    {25, 2020, 802},	// KConfigSkeletonItem::mGroup
    {25, 2021, 804},	// KConfigSkeletonItem::mKey
    {25, 2022, 806},	// KConfigSkeletonItem::mName
    {25, 2064, 796},	// KConfigSkeletonItem::maxValue
    {25, 2075, 795},	// KConfigSkeletonItem::minValue
    {25, 2112, 782},	// KConfigSkeletonItem::name
    {25, 2287, 794},	// KConfigSkeletonItem::property
    {25, 2345, 789},	// KConfigSkeletonItem::readConfig#
    {25, 2354, 791},	// KConfigSkeletonItem::readDefault#
    {25, 2371, 800},	// KConfigSkeletonItem::readImmutability#
    {25, 2604, 797},	// KConfigSkeletonItem::setDefault
    {25, 2661, 777},	// KConfigSkeletonItem::setGroup$
    {25, 2681, 779},	// KConfigSkeletonItem::setKey$
    {25, 2683, 783},	// KConfigSkeletonItem::setLabel$
    {25, 2707, 803},	// KConfigSkeletonItem::setMGroup$
    {25, 2709, 805},	// KConfigSkeletonItem::setMKey$
    {25, 2711, 807},	// KConfigSkeletonItem::setMName$
    {25, 2793, 781},	// KConfigSkeletonItem::setName$
    {25, 2854, 792},	// KConfigSkeletonItem::setProperty#
    {25, 2907, 785},	// KConfigSkeletonItem::setToolTip$
    {25, 2933, 787},	// KConfigSkeletonItem::setWhatsThis$
    {25, 3076, 798},	// KConfigSkeletonItem::swapDefault
    {25, 3137, 786},	// KConfigSkeletonItem::toolTip
    {25, 3291, 788},	// KConfigSkeletonItem::whatsThis
    {25, 3299, 790},	// KConfigSkeletonItem::writeConfig#
    {25, 3379, 808},	// KConfigSkeletonItem::~KConfigSkeletonItem
    {26, 344, 858},	// KCoreConfigSkeleton::KCoreConfigSkeleton
    {26, 345, 859},	// KCoreConfigSkeleton::KCoreConfigSkeleton$
    {26, 346, 816},	// KCoreConfigSkeleton::KCoreConfigSkeleton$#
    {26, 347, 860},	// KCoreConfigSkeleton::KCoreConfigSkeleton?
    {26, 348, 817},	// KCoreConfigSkeleton::KCoreConfigSkeleton?#
    {26, 885, 861},	// KCoreConfigSkeleton::addItem#
    {26, 886, 823},	// KCoreConfigSkeleton::addItem#$
    {26, 888, 870},	// KCoreConfigSkeleton::addItemBool$$
    {26, 889, 871},	// KCoreConfigSkeleton::addItemBool$$$
    {26, 890, 828},	// KCoreConfigSkeleton::addItemBool$$$$
    {26, 892, 892},	// KCoreConfigSkeleton::addItemDateTime$#
    {26, 893, 893},	// KCoreConfigSkeleton::addItemDateTime$##
    {26, 894, 839},	// KCoreConfigSkeleton::addItemDateTime$##$
    {26, 896, 884},	// KCoreConfigSkeleton::addItemDouble$$
    {26, 897, 885},	// KCoreConfigSkeleton::addItemDouble$$$
    {26, 898, 835},	// KCoreConfigSkeleton::addItemDouble$$$$
    {26, 900, 872},	// KCoreConfigSkeleton::addItemInt$$
    {26, 901, 873},	// KCoreConfigSkeleton::addItemInt$$$
    {26, 902, 829},	// KCoreConfigSkeleton::addItemInt$$$$
    {26, 904, 878},	// KCoreConfigSkeleton::addItemInt64$$
    {26, 905, 879},	// KCoreConfigSkeleton::addItemInt64$$$
    {26, 906, 832},	// KCoreConfigSkeleton::addItemInt64$$$$
    {26, 908, 896},	// KCoreConfigSkeleton::addItemIntList$?
    {26, 909, 897},	// KCoreConfigSkeleton::addItemIntList$??
    {26, 910, 841},	// KCoreConfigSkeleton::addItemIntList$??$
    {26, 912, 876},	// KCoreConfigSkeleton::addItemLongLong$$
    {26, 913, 877},	// KCoreConfigSkeleton::addItemLongLong$$$
    {26, 914, 831},	// KCoreConfigSkeleton::addItemLongLong$$$$
    {26, 916, 864},	// KCoreConfigSkeleton::addItemPassword$$
    {26, 917, 865},	// KCoreConfigSkeleton::addItemPassword$$$
    {26, 918, 825},	// KCoreConfigSkeleton::addItemPassword$$$$
    {26, 920, 866},	// KCoreConfigSkeleton::addItemPath$$
    {26, 921, 867},	// KCoreConfigSkeleton::addItemPath$$$
    {26, 922, 826},	// KCoreConfigSkeleton::addItemPath$$$$
    {26, 924, 888},	// KCoreConfigSkeleton::addItemPoint$#
    {26, 925, 889},	// KCoreConfigSkeleton::addItemPoint$##
    {26, 926, 837},	// KCoreConfigSkeleton::addItemPoint$##$
    {26, 928, 868},	// KCoreConfigSkeleton::addItemProperty$#
    {26, 929, 869},	// KCoreConfigSkeleton::addItemProperty$##
    {26, 930, 827},	// KCoreConfigSkeleton::addItemProperty$##$
    {26, 932, 886},	// KCoreConfigSkeleton::addItemRect$#
    {26, 933, 887},	// KCoreConfigSkeleton::addItemRect$##
    {26, 934, 836},	// KCoreConfigSkeleton::addItemRect$##$
    {26, 936, 890},	// KCoreConfigSkeleton::addItemSize$#
    {26, 937, 891},	// KCoreConfigSkeleton::addItemSize$##
    {26, 938, 838},	// KCoreConfigSkeleton::addItemSize$##$
    {26, 940, 862},	// KCoreConfigSkeleton::addItemString$$
    {26, 941, 863},	// KCoreConfigSkeleton::addItemString$$$
    {26, 942, 824},	// KCoreConfigSkeleton::addItemString$$$$
    {26, 944, 894},	// KCoreConfigSkeleton::addItemStringList$?
    {26, 945, 895},	// KCoreConfigSkeleton::addItemStringList$??
    {26, 946, 840},	// KCoreConfigSkeleton::addItemStringList$??$
    {26, 948, 874},	// KCoreConfigSkeleton::addItemUInt$$
    {26, 949, 875},	// KCoreConfigSkeleton::addItemUInt$$$
    {26, 950, 830},	// KCoreConfigSkeleton::addItemUInt$$$$
    {26, 952, 882},	// KCoreConfigSkeleton::addItemUInt64$$
    {26, 953, 883},	// KCoreConfigSkeleton::addItemUInt64$$$
    {26, 954, 834},	// KCoreConfigSkeleton::addItemUInt64$$$$
    {26, 956, 880},	// KCoreConfigSkeleton::addItemULongLong$$
    {26, 957, 881},	// KCoreConfigSkeleton::addItemULongLong$$$
    {26, 958, 833},	// KCoreConfigSkeleton::addItemULongLong$$$$
    {26, 1176, -29},	// KCoreConfigSkeleton::config
    {26, 1178, 851},	// KCoreConfigSkeleton::configChanged
    {26, 1241, 822},	// KCoreConfigSkeleton::currentGroup
    {26, 1558, -32},	// KCoreConfigSkeleton::findItem$
    {26, 1835, -35},	// KCoreConfigSkeleton::isImmutable$
    {26, 1892, 845},	// KCoreConfigSkeleton::items
    {26, 2070, 809},	// KCoreConfigSkeleton::metaObject
    {26, 2310, 815},	// KCoreConfigSkeleton::qt_metacall$$?
    {26, 2312, 810},	// KCoreConfigSkeleton::qt_metacast$
    {26, 2344, 819},	// KCoreConfigSkeleton::readConfig
    {26, 2570, 821},	// KCoreConfigSkeleton::setCurrentGroup$
    {26, 2609, 818},	// KCoreConfigSkeleton::setDefaults
    {26, 2870, 844},	// KCoreConfigSkeleton::setSharedConfig?
    {26, 3040, 898},	// KCoreConfigSkeleton::staticMetaObject
    {26, 3142, 856},	// KCoreConfigSkeleton::tr$
    {26, 3143, 811},	// KCoreConfigSkeleton::tr$$
    {26, 3144, 813},	// KCoreConfigSkeleton::tr$$$
    {26, 3149, 857},	// KCoreConfigSkeleton::trUtf8$
    {26, 3150, 812},	// KCoreConfigSkeleton::trUtf8$$
    {26, 3151, 814},	// KCoreConfigSkeleton::trUtf8$$$
    {26, 3217, 850},	// KCoreConfigSkeleton::useDefaults$
    {26, 3225, 854},	// KCoreConfigSkeleton::usrReadConfig
    {26, 3226, 853},	// KCoreConfigSkeleton::usrSetDefaults
    {26, 3228, 852},	// KCoreConfigSkeleton::usrUseDefaults$
    {26, 3229, 855},	// KCoreConfigSkeleton::usrWriteConfig
    {26, 3298, 820},	// KCoreConfigSkeleton::writeConfig
    {26, 3380, 899},	// KCoreConfigSkeleton::~KCoreConfigSkeleton
    {27, 194, 905},	// KCoreConfigSkeleton::ItemBool::ItemBool#
    {27, 195, 906},	// KCoreConfigSkeleton::ItemBool::ItemBool$$$
    {27, 196, 900},	// KCoreConfigSkeleton::ItemBool::ItemBool$$$$
    {27, 1821, 903},	// KCoreConfigSkeleton::ItemBool::isEqual#
    {27, 2287, 904},	// KCoreConfigSkeleton::ItemBool::property
    {27, 2345, 901},	// KCoreConfigSkeleton::ItemBool::readConfig#
    {27, 2854, 902},	// KCoreConfigSkeleton::ItemBool::setProperty#
    {27, 3344, 907},	// KCoreConfigSkeleton::ItemBool::~ItemBool
    {28, 198, 913},	// KCoreConfigSkeleton::ItemDateTime::ItemDateTime#
    {28, 199, 914},	// KCoreConfigSkeleton::ItemDateTime::ItemDateTime$$#
    {28, 200, 908},	// KCoreConfigSkeleton::ItemDateTime::ItemDateTime$$##
    {28, 1821, 911},	// KCoreConfigSkeleton::ItemDateTime::isEqual#
    {28, 2287, 912},	// KCoreConfigSkeleton::ItemDateTime::property
    {28, 2345, 909},	// KCoreConfigSkeleton::ItemDateTime::readConfig#
    {28, 2854, 910},	// KCoreConfigSkeleton::ItemDateTime::setProperty#
    {28, 3345, 915},	// KCoreConfigSkeleton::ItemDateTime::~ItemDateTime
    {29, 202, 925},	// KCoreConfigSkeleton::ItemDouble::ItemDouble#
    {29, 203, 926},	// KCoreConfigSkeleton::ItemDouble::ItemDouble$$$
    {29, 204, 916},	// KCoreConfigSkeleton::ItemDouble::ItemDouble$$$$
    {29, 1821, 919},	// KCoreConfigSkeleton::ItemDouble::isEqual#
    {29, 2064, 922},	// KCoreConfigSkeleton::ItemDouble::maxValue
    {29, 2075, 921},	// KCoreConfigSkeleton::ItemDouble::minValue
    {29, 2287, 920},	// KCoreConfigSkeleton::ItemDouble::property
    {29, 2345, 917},	// KCoreConfigSkeleton::ItemDouble::readConfig#
    {29, 2773, 924},	// KCoreConfigSkeleton::ItemDouble::setMaxValue$
    {29, 2781, 923},	// KCoreConfigSkeleton::ItemDouble::setMinValue$
    {29, 2854, 918},	// KCoreConfigSkeleton::ItemDouble::setProperty#
    {29, 3346, 927},	// KCoreConfigSkeleton::ItemDouble::~ItemDouble
    {30, 206, 934},	// KCoreConfigSkeleton::ItemEnum::ItemEnum#
    {30, 207, -460},	// KCoreConfigSkeleton::ItemEnum::ItemEnum$$$?
    {30, 208, -463},	// KCoreConfigSkeleton::ItemEnum::ItemEnum$$$?$
    {30, 1148, 930},	// KCoreConfigSkeleton::ItemEnum::choices
    {30, 1149, 931},	// KCoreConfigSkeleton::ItemEnum::choices2
    {30, 2345, 932},	// KCoreConfigSkeleton::ItemEnum::readConfig#
    {30, 3299, 933},	// KCoreConfigSkeleton::ItemEnum::writeConfig#
    {30, 3347, 937},	// KCoreConfigSkeleton::ItemEnum::~ItemEnum
    {31, 56, 938},	// KCoreConfigSkeleton::ItemEnum::Choice::Choice
    {31, 57, 939},	// KCoreConfigSkeleton::ItemEnum::Choice::Choice#
    {31, 1953, 942},	// KCoreConfigSkeleton::ItemEnum::Choice::label
    {31, 2112, 940},	// KCoreConfigSkeleton::ItemEnum::Choice::name
    {31, 2683, 943},	// KCoreConfigSkeleton::ItemEnum::Choice::setLabel$
    {31, 2793, 941},	// KCoreConfigSkeleton::ItemEnum::Choice::setName$
    {31, 2933, 945},	// KCoreConfigSkeleton::ItemEnum::Choice::setWhatsThis$
    {31, 3291, 944},	// KCoreConfigSkeleton::ItemEnum::Choice::whatsThis
    {31, 3341, 946},	// KCoreConfigSkeleton::ItemEnum::Choice::~Choice
    {32, 58, 947},	// KCoreConfigSkeleton::ItemEnum::Choice2::Choice2
    {32, 59, 948},	// KCoreConfigSkeleton::ItemEnum::Choice2::Choice2#
    {32, 1953, 951},	// KCoreConfigSkeleton::ItemEnum::Choice2::label
    {32, 2112, 949},	// KCoreConfigSkeleton::ItemEnum::Choice2::name
    {32, 2683, 952},	// KCoreConfigSkeleton::ItemEnum::Choice2::setLabel$
    {32, 2793, 950},	// KCoreConfigSkeleton::ItemEnum::Choice2::setName$
    {32, 2907, 954},	// KCoreConfigSkeleton::ItemEnum::Choice2::setToolTip$
    {32, 2933, 956},	// KCoreConfigSkeleton::ItemEnum::Choice2::setWhatsThis$
    {32, 3137, 953},	// KCoreConfigSkeleton::ItemEnum::Choice2::toolTip
    {32, 3291, 955},	// KCoreConfigSkeleton::ItemEnum::Choice2::whatsThis
    {32, 3342, 957},	// KCoreConfigSkeleton::ItemEnum::Choice2::~Choice2
    {33, 210, 967},	// KCoreConfigSkeleton::ItemInt::ItemInt#
    {33, 211, 968},	// KCoreConfigSkeleton::ItemInt::ItemInt$$$
    {33, 212, 958},	// KCoreConfigSkeleton::ItemInt::ItemInt$$$$
    {33, 1821, 961},	// KCoreConfigSkeleton::ItemInt::isEqual#
    {33, 2064, 964},	// KCoreConfigSkeleton::ItemInt::maxValue
    {33, 2075, 963},	// KCoreConfigSkeleton::ItemInt::minValue
    {33, 2287, 962},	// KCoreConfigSkeleton::ItemInt::property
    {33, 2345, 959},	// KCoreConfigSkeleton::ItemInt::readConfig#
    {33, 2773, 966},	// KCoreConfigSkeleton::ItemInt::setMaxValue$
    {33, 2781, 965},	// KCoreConfigSkeleton::ItemInt::setMinValue$
    {33, 2854, 960},	// KCoreConfigSkeleton::ItemInt::setProperty#
    {33, 3348, 969},	// KCoreConfigSkeleton::ItemInt::~ItemInt
    {34, 214, 975},	// KCoreConfigSkeleton::ItemIntList::ItemIntList#
    {34, 215, 976},	// KCoreConfigSkeleton::ItemIntList::ItemIntList$$?
    {34, 216, 970},	// KCoreConfigSkeleton::ItemIntList::ItemIntList$$??
    {34, 1821, 973},	// KCoreConfigSkeleton::ItemIntList::isEqual#
    {34, 2287, 974},	// KCoreConfigSkeleton::ItemIntList::property
    {34, 2345, 971},	// KCoreConfigSkeleton::ItemIntList::readConfig#
    {34, 2854, 972},	// KCoreConfigSkeleton::ItemIntList::setProperty#
    {34, 3349, 977},	// KCoreConfigSkeleton::ItemIntList::~ItemIntList
    {35, 218, 987},	// KCoreConfigSkeleton::ItemLongLong::ItemLongLong#
    {35, 219, 988},	// KCoreConfigSkeleton::ItemLongLong::ItemLongLong$$$
    {35, 220, 978},	// KCoreConfigSkeleton::ItemLongLong::ItemLongLong$$$$
    {35, 1821, 981},	// KCoreConfigSkeleton::ItemLongLong::isEqual#
    {35, 2064, 984},	// KCoreConfigSkeleton::ItemLongLong::maxValue
    {35, 2075, 983},	// KCoreConfigSkeleton::ItemLongLong::minValue
    {35, 2287, 982},	// KCoreConfigSkeleton::ItemLongLong::property
    {35, 2345, 979},	// KCoreConfigSkeleton::ItemLongLong::readConfig#
    {35, 2773, 986},	// KCoreConfigSkeleton::ItemLongLong::setMaxValue$
    {35, 2781, 985},	// KCoreConfigSkeleton::ItemLongLong::setMinValue$
    {35, 2854, 980},	// KCoreConfigSkeleton::ItemLongLong::setProperty#
    {35, 3350, 989},	// KCoreConfigSkeleton::ItemLongLong::~ItemLongLong
    {36, 222, 991},	// KCoreConfigSkeleton::ItemPassword::ItemPassword#
    {36, 223, 992},	// KCoreConfigSkeleton::ItemPassword::ItemPassword$$$
    {36, 224, 990},	// KCoreConfigSkeleton::ItemPassword::ItemPassword$$$$
    {36, 3351, 993},	// KCoreConfigSkeleton::ItemPassword::~ItemPassword
    {37, 226, 995},	// KCoreConfigSkeleton::ItemPath::ItemPath#
    {37, 227, 996},	// KCoreConfigSkeleton::ItemPath::ItemPath$$$
    {37, 228, 994},	// KCoreConfigSkeleton::ItemPath::ItemPath$$$$
    {37, 3352, 997},	// KCoreConfigSkeleton::ItemPath::~ItemPath
    {38, 230, 1001},	// KCoreConfigSkeleton::ItemPathList::ItemPathList#
    {38, 231, 1002},	// KCoreConfigSkeleton::ItemPathList::ItemPathList$$?
    {38, 232, 998},	// KCoreConfigSkeleton::ItemPathList::ItemPathList$$??
    {38, 2345, 999},	// KCoreConfigSkeleton::ItemPathList::readConfig#
    {38, 3299, 1000},	// KCoreConfigSkeleton::ItemPathList::writeConfig#
    {38, 3353, 1003},	// KCoreConfigSkeleton::ItemPathList::~ItemPathList
    {39, 234, 1009},	// KCoreConfigSkeleton::ItemPoint::ItemPoint#
    {39, 235, 1010},	// KCoreConfigSkeleton::ItemPoint::ItemPoint$$#
    {39, 236, 1004},	// KCoreConfigSkeleton::ItemPoint::ItemPoint$$##
    {39, 1821, 1007},	// KCoreConfigSkeleton::ItemPoint::isEqual#
    {39, 2287, 1008},	// KCoreConfigSkeleton::ItemPoint::property
    {39, 2345, 1005},	// KCoreConfigSkeleton::ItemPoint::readConfig#
    {39, 2854, 1006},	// KCoreConfigSkeleton::ItemPoint::setProperty#
    {39, 3354, 1011},	// KCoreConfigSkeleton::ItemPoint::~ItemPoint
    {40, 238, 1017},	// KCoreConfigSkeleton::ItemProperty::ItemProperty#
    {40, 239, 1018},	// KCoreConfigSkeleton::ItemProperty::ItemProperty$$#
    {40, 240, 1012},	// KCoreConfigSkeleton::ItemProperty::ItemProperty$$##
    {40, 1821, 1015},	// KCoreConfigSkeleton::ItemProperty::isEqual#
    {40, 2287, 1016},	// KCoreConfigSkeleton::ItemProperty::property
    {40, 2345, 1013},	// KCoreConfigSkeleton::ItemProperty::readConfig#
    {40, 2854, 1014},	// KCoreConfigSkeleton::ItemProperty::setProperty#
    {40, 3355, 1019},	// KCoreConfigSkeleton::ItemProperty::~ItemProperty
    {41, 242, 1025},	// KCoreConfigSkeleton::ItemRect::ItemRect#
    {41, 243, 1026},	// KCoreConfigSkeleton::ItemRect::ItemRect$$#
    {41, 244, 1020},	// KCoreConfigSkeleton::ItemRect::ItemRect$$##
    {41, 1821, 1023},	// KCoreConfigSkeleton::ItemRect::isEqual#
    {41, 2287, 1024},	// KCoreConfigSkeleton::ItemRect::property
    {41, 2345, 1021},	// KCoreConfigSkeleton::ItemRect::readConfig#
    {41, 2854, 1022},	// KCoreConfigSkeleton::ItemRect::setProperty#
    {41, 3356, 1027},	// KCoreConfigSkeleton::ItemRect::~ItemRect
    {42, 246, 1033},	// KCoreConfigSkeleton::ItemSize::ItemSize#
    {42, 247, 1034},	// KCoreConfigSkeleton::ItemSize::ItemSize$$#
    {42, 248, 1028},	// KCoreConfigSkeleton::ItemSize::ItemSize$$##
    {42, 1821, 1031},	// KCoreConfigSkeleton::ItemSize::isEqual#
    {42, 2287, 1032},	// KCoreConfigSkeleton::ItemSize::property
    {42, 2345, 1029},	// KCoreConfigSkeleton::ItemSize::readConfig#
    {42, 2854, 1030},	// KCoreConfigSkeleton::ItemSize::setProperty#
    {42, 3357, 1035},	// KCoreConfigSkeleton::ItemSize::~ItemSize
    {43, 250, 1042},	// KCoreConfigSkeleton::ItemString::ItemString#
    {43, 251, 1043},	// KCoreConfigSkeleton::ItemString::ItemString$$$
    {43, 252, 1044},	// KCoreConfigSkeleton::ItemString::ItemString$$$$
    {43, 253, 1036},	// KCoreConfigSkeleton::ItemString::ItemString$$$$$
    {43, 635, 1045},	// KCoreConfigSkeleton::ItemString::Normal
    {43, 657, 1046},	// KCoreConfigSkeleton::ItemString::Password
    {43, 658, 1047},	// KCoreConfigSkeleton::ItemString::Path
    {43, 1821, 1040},	// KCoreConfigSkeleton::ItemString::isEqual#
    {43, 2287, 1041},	// KCoreConfigSkeleton::ItemString::property
    {43, 2345, 1038},	// KCoreConfigSkeleton::ItemString::readConfig#
    {43, 2854, 1039},	// KCoreConfigSkeleton::ItemString::setProperty#
    {43, 3299, 1037},	// KCoreConfigSkeleton::ItemString::writeConfig#
    {43, 3358, 1048},	// KCoreConfigSkeleton::ItemString::~ItemString
    {44, 255, 1054},	// KCoreConfigSkeleton::ItemStringList::ItemStringList#
    {44, 256, 1055},	// KCoreConfigSkeleton::ItemStringList::ItemStringList$$?
    {44, 257, 1049},	// KCoreConfigSkeleton::ItemStringList::ItemStringList$$??
    {44, 1821, 1052},	// KCoreConfigSkeleton::ItemStringList::isEqual#
    {44, 2287, 1053},	// KCoreConfigSkeleton::ItemStringList::property
    {44, 2345, 1050},	// KCoreConfigSkeleton::ItemStringList::readConfig#
    {44, 2854, 1051},	// KCoreConfigSkeleton::ItemStringList::setProperty#
    {44, 3359, 1056},	// KCoreConfigSkeleton::ItemStringList::~ItemStringList
    {45, 259, 1066},	// KCoreConfigSkeleton::ItemUInt::ItemUInt#
    {45, 260, 1067},	// KCoreConfigSkeleton::ItemUInt::ItemUInt$$$
    {45, 261, 1057},	// KCoreConfigSkeleton::ItemUInt::ItemUInt$$$$
    {45, 1821, 1060},	// KCoreConfigSkeleton::ItemUInt::isEqual#
    {45, 2064, 1063},	// KCoreConfigSkeleton::ItemUInt::maxValue
    {45, 2075, 1062},	// KCoreConfigSkeleton::ItemUInt::minValue
    {45, 2287, 1061},	// KCoreConfigSkeleton::ItemUInt::property
    {45, 2345, 1058},	// KCoreConfigSkeleton::ItemUInt::readConfig#
    {45, 2773, 1065},	// KCoreConfigSkeleton::ItemUInt::setMaxValue$
    {45, 2781, 1064},	// KCoreConfigSkeleton::ItemUInt::setMinValue$
    {45, 2854, 1059},	// KCoreConfigSkeleton::ItemUInt::setProperty#
    {45, 3360, 1068},	// KCoreConfigSkeleton::ItemUInt::~ItemUInt
    {46, 263, 1078},	// KCoreConfigSkeleton::ItemULongLong::ItemULongLong#
    {46, 264, 1079},	// KCoreConfigSkeleton::ItemULongLong::ItemULongLong$$$
    {46, 265, 1069},	// KCoreConfigSkeleton::ItemULongLong::ItemULongLong$$$$
    {46, 1821, 1072},	// KCoreConfigSkeleton::ItemULongLong::isEqual#
    {46, 2064, 1075},	// KCoreConfigSkeleton::ItemULongLong::maxValue
    {46, 2075, 1074},	// KCoreConfigSkeleton::ItemULongLong::minValue
    {46, 2287, 1073},	// KCoreConfigSkeleton::ItemULongLong::property
    {46, 2345, 1070},	// KCoreConfigSkeleton::ItemULongLong::readConfig#
    {46, 2773, 1077},	// KCoreConfigSkeleton::ItemULongLong::setMaxValue$
    {46, 2781, 1076},	// KCoreConfigSkeleton::ItemULongLong::setMinValue$
    {46, 2854, 1071},	// KCoreConfigSkeleton::ItemULongLong::setProperty#
    {46, 3361, 1080},	// KCoreConfigSkeleton::ItemULongLong::~ItemULongLong
    {47, 267, 1087},	// KCoreConfigSkeleton::ItemUrl::ItemUrl#
    {47, 268, 1088},	// KCoreConfigSkeleton::ItemUrl::ItemUrl$$#
    {47, 269, 1081},	// KCoreConfigSkeleton::ItemUrl::ItemUrl$$##
    {47, 1821, 1085},	// KCoreConfigSkeleton::ItemUrl::isEqual#
    {47, 2287, 1086},	// KCoreConfigSkeleton::ItemUrl::property
    {47, 2345, 1083},	// KCoreConfigSkeleton::ItemUrl::readConfig#
    {47, 2854, 1084},	// KCoreConfigSkeleton::ItemUrl::setProperty#
    {47, 3299, 1082},	// KCoreConfigSkeleton::ItemUrl::writeConfig#
    {47, 3362, 1089},	// KCoreConfigSkeleton::ItemUrl::~ItemUrl
    {48, 271, 1096},	// KCoreConfigSkeleton::ItemUrlList::ItemUrlList#
    {48, 272, 1097},	// KCoreConfigSkeleton::ItemUrlList::ItemUrlList$$?
    {48, 273, 1090},	// KCoreConfigSkeleton::ItemUrlList::ItemUrlList$$??
    {48, 1821, 1094},	// KCoreConfigSkeleton::ItemUrlList::isEqual#
    {48, 2287, 1095},	// KCoreConfigSkeleton::ItemUrlList::property
    {48, 2345, 1091},	// KCoreConfigSkeleton::ItemUrlList::readConfig#
    {48, 2854, 1093},	// KCoreConfigSkeleton::ItemUrlList::setProperty#
    {48, 3299, 1092},	// KCoreConfigSkeleton::ItemUrlList::writeConfig#
    {48, 3363, 1098},	// KCoreConfigSkeleton::ItemUrlList::~ItemUrlList
    {49, 11, 1129},	// KCurrencyCode::ActiveCurrency
    {49, 350, -507},	// KCurrencyCode::KCurrencyCode#
    {49, 351, 1100},	// KCurrencyCode::KCurrencyCode#$
    {49, 352, 1124},	// KCurrencyCode::KCurrencyCode$
    {49, 353, 1099},	// KCurrencyCode::KCurrencyCode$$
    {49, 643, 1131},	// KCurrencyCode::ObsoleteCurrency
    {49, 749, 1130},	// KCurrencyCode::SuspendedCurrency
    {49, 1013, 1127},	// KCurrencyCode::allCurrencyCodesList
    {49, 1014, 1122},	// KCurrencyCode::allCurrencyCodesList$
    {49, 1207, 1119},	// KCurrencyCode::countriesUsingCurrency
    {49, 1235, 1128},	// KCurrencyCode::currencyCodeToName$
    {49, 1236, 1123},	// KCurrencyCode::currencyCodeToName$$
    {49, 1266, 1108},	// KCurrencyCode::dateIntroduced
    {49, 1268, 1109},	// KCurrencyCode::dateSuspended
    {49, 1273, 1110},	// KCurrencyCode::dateWithdrawn
    {49, 1314, 1118},	// KCurrencyCode::decimalPlaces
    {49, 1337, 1112},	// KCurrencyCode::defaultSymbol
    {49, 1706, 1114},	// KCurrencyCode::hasSubunits
    {49, 1707, 1115},	// KCurrencyCode::hasSubunitsInCirculation
    {49, 1881, 1120},	// KCurrencyCode::isValid
    {49, 1883, 1126},	// KCurrencyCode::isValid$
    {49, 1884, 1121},	// KCurrencyCode::isValid$$
    {49, 1889, 1103},	// KCurrencyCode::isoCurrencyCode
    {49, 1890, 1104},	// KCurrencyCode::isoCurrencyCodeNumeric
    {49, 1891, 1106},	// KCurrencyCode::isoName
    {49, 2112, 1105},	// KCurrencyCode::name
    {49, 2193, 1102},	// KCurrencyCode::operator=#
    {49, 3043, 1107},	// KCurrencyCode::status
    {49, 3067, 1116},	// KCurrencyCode::subunitSymbol
    {49, 3068, 1117},	// KCurrencyCode::subunitsPerUnit
    {49, 3078, 1111},	// KCurrencyCode::symbolList
    {49, 3188, 1113},	// KCurrencyCode::unambiguousSymbol
    {49, 3381, 1132},	// KCurrencyCode::~KCurrencyCode
    {50, 838, 1137},	// KDE::access$$
    {50, 1147, 1143},	// KDE::chmod$$
    {50, 1578, 1141},	// KDE::fopen$$
    {50, 2079, 1134},	// KDE::mkdir$$
    {50, 2157, 1136},	// KDE::open$$
    {50, 2158, 1135},	// KDE::open$$$
    {50, 2437, 1144},	// KDE::rename$$
    {50, 3244, 1138},	// KDE::version
    {50, 3245, 1139},	// KDE::versionMajor
    {50, 3246, 1140},	// KDE::versionMinor
    {50, 3247, 1133},	// KDE::versionRelease
    {50, 3248, 1142},	// KDE::versionString
    {51, 354, 1161},	// KDEDModule::KDEDModule
    {51, 355, 1152},	// KDEDModule::KDEDModule#
    {51, 2070, 1145},	// KDEDModule::metaObject
    {51, 2084, 1155},	// KDEDModule::moduleDeleted#
    {51, 2085, 1154},	// KDEDModule::moduleName
    {51, 2087, 1158},	// KDEDModule::moduleRegistered#
    {51, 2310, 1151},	// KDEDModule::qt_metacall$$?
    {51, 2312, 1146},	// KDEDModule::qt_metacast$
    {51, 2783, 1153},	// KDEDModule::setModuleName$
    {51, 3040, 1162},	// KDEDModule::staticMetaObject
    {51, 3142, 1159},	// KDEDModule::tr$
    {51, 3143, 1147},	// KDEDModule::tr$$
    {51, 3144, 1149},	// KDEDModule::tr$$$
    {51, 3149, 1160},	// KDEDModule::trUtf8$
    {51, 3150, 1148},	// KDEDModule::trUtf8$$
    {51, 3151, 1150},	// KDEDModule::trUtf8$$$
    {51, 3293, 1156},	// KDEDModule::windowRegistered$
    {51, 3295, 1157},	// KDEDModule::windowUnregistered$
    {51, 3382, 1163},	// KDEDModule::~KDEDModule
    {52, 356, 1164},	// KDEPluginVerificationData::KDEPluginVerificationData
    {52, 357, 1165},	// KDEPluginVerificationData::KDEPluginVerificationData#
    {52, 358, 1168},	// KDEPluginVerificationData::KDEVersion
    {52, 359, 1170},	// KDEPluginVerificationData::KDEVersionString
    {52, 668, 1172},	// KDEPluginVerificationData::PluginVerificationDataVersion
    {52, 1255, 1166},	// KDEPluginVerificationData::dataVersion
    {52, 2580, 1167},	// KDEPluginVerificationData::setDataVersion$
    {52, 2677, 1169},	// KDEPluginVerificationData::setKDEVersion$
    {52, 2679, 1171},	// KDEPluginVerificationData::setKDEVersionString$
    {52, 3383, 1173},	// KDEPluginVerificationData::~KDEPluginVerificationData
    {53, 14, 1264},	// KDateTime::After
    {53, 25, 1263},	// KDateTime::AtEnd
    {53, 26, 1261},	// KDateTime::AtStart
    {53, 41, 1260},	// KDateTime::Before
    {53, 60, 1253},	// KDateTime::ClockTime
    {53, 116, 1268},	// KDateTime::EndsAt
    {53, 117, 1265},	// KDateTime::Equal
    {53, 169, 1254},	// KDateTime::ISODate
    {53, 179, 1262},	// KDateTime::Inside
    {53, 180, 1248},	// KDateTime::Invalid
    {53, 360, 1174},	// KDateTime::KDateTime
    {53, 361, -510},	// KDateTime::KDateTime#
    {53, 362, -514},	// KDateTime::KDateTime##
    {53, 363, 1176},	// KDateTime::KDateTime###
    {53, 588, 1258},	// KDateTime::LocalDate
    {53, 589, 1252},	// KDateTime::LocalZone
    {53, 644, 1250},	// KDateTime::OffsetFromUTC
    {53, 655, 1266},	// KDateTime::Outside
    {53, 681, 1257},	// KDateTime::QtTextDate
    {53, 683, 1259},	// KDateTime::RFC3339Date
    {53, 684, 1255},	// KDateTime::RFCDate
    {53, 685, 1256},	// KDateTime::RFCDateDay
    {53, 739, 1267},	// KDateTime::StartsAt
    {53, 768, 1251},	// KDateTime::TimeZone
    {53, 778, 1249},	// KDateTime::UTC
    {53, 879, 1214},	// KDateTime::addDays$
    {53, 966, 1212},	// KDateTime::addMSecs$
    {53, 969, 1215},	// KDateTime::addMonths$
    {53, 984, 1213},	// KDateTime::addSecs$
    {53, 1008, 1216},	// KDateTime::addYears$
    {53, 1170, 1231},	// KDateTime::compare#
    {53, 1240, 1222},	// KDateTime::currentDateTime#
    {53, 1242, 1223},	// KDateTime::currentLocalDate
    {53, 1243, 1220},	// KDateTime::currentLocalDateTime
    {53, 1244, 1224},	// KDateTime::currentLocalTime
    {53, 1247, 1221},	// KDateTime::currentUtcDateTime
    {53, 1261, 1184},	// KDateTime::date
    {53, 1269, 1186},	// KDateTime::dateTime
    {53, 1312, 1219},	// KDateTime::daysTo#
    {53, 1364, 1238},	// KDateTime::detach
    {53, 1635, 1244},	// KDateTime::fromString$
    {53, 1636, -518},	// KDateTime::fromString$$
    {53, 1637, 1247},	// KDateTime::fromString$$#
    {53, 1638, 1228},	// KDateTime::fromString$$#$
    {53, 1639, 1227},	// KDateTime::fromString$$$
    {53, 1799, 1191},	// KDateTime::isClockTime
    {53, 1804, 1183},	// KDateTime::isDateOnly
    {53, 1845, 1190},	// KDateTime::isLocalZone
    {53, 1851, 1181},	// KDateTime::isNull
    {53, 1852, 1193},	// KDateTime::isOffsetFromUtc
    {53, 1863, 1195},	// KDateTime::isSecondOccurrence
    {53, 1878, 1192},	// KDateTime::isUtc
    {53, 1881, 1182},	// KDateTime::isValid
    {53, 2169, 1233},	// KDateTime::operator!=#
    {53, 2179, 1234},	// KDateTime::operator<#
    {53, 2188, 1235},	// KDateTime::operator<=#
    {53, 2193, 1180},	// KDateTime::operator=#
    {53, 2196, 1232},	// KDateTime::operator==#
    {53, 2202, 1236},	// KDateTime::operator>#
    {53, 2207, 1237},	// KDateTime::operator>=#
    {53, 2219, 1230},	// KDateTime::outOfRange
    {53, 2400, 1240},	// KDateTime::realCurrentLocalDateTime
    {53, 2481, 1217},	// KDateTime::secsTo#
    {53, 2483, 1218},	// KDateTime::secsTo_long#
    {53, 2582, 1207},	// KDateTime::setDate#
    {53, 2595, 1206},	// KDateTime::setDateOnly$
    {53, 2597, 1209},	// KDateTime::setDateTime#
    {53, 2659, 1229},	// KDateTime::setFromStringDefault#
    {53, 2864, 1211},	// KDateTime::setSecondOccurrence$
    {53, 2880, 1239},	// KDateTime::setSimulatedSystemTime#
    {53, 2899, 1208},	// KDateTime::setTime#
    {53, 2903, 1210},	// KDateTime::setTimeSpec#
    {53, 2905, 1205},	// KDateTime::setTime_t$
    {53, 3105, 1185},	// KDateTime::time
    {53, 3107, 1188},	// KDateTime::timeSpec
    {53, 3109, 1189},	// KDateTime::timeType
    {53, 3110, 1187},	// KDateTime::timeZone
    {53, 3113, 1200},	// KDateTime::toClockTime
    {53, 3118, 1199},	// KDateTime::toLocalZone
    {53, 3120, 1197},	// KDateTime::toOffsetFromUtc
    {53, 3121, 1198},	// KDateTime::toOffsetFromUtc$
    {53, 3122, 1243},	// KDateTime::toString
    {53, 3125, -521},	// KDateTime::toString$
    {53, 3127, -524},	// KDateTime::toTimeSpec#
    {53, 3128, 1204},	// KDateTime::toTime_t
    {53, 3130, 1196},	// KDateTime::toUtc
    {53, 3133, 1201},	// KDateTime::toZone#
    {53, 3231, 1194},	// KDateTime::utcOffset
    {53, 3384, 1269},	// KDateTime::~KDateTime
    {54, 60, 1289},	// KDateTime::Spec::ClockTime
    {54, 589, 1291},	// KDateTime::Spec::LocalZone
    {54, 645, 1290},	// KDateTime::Spec::OffsetFromUTC$
    {54, 728, 1270},	// KDateTime::Spec::Spec
    {54, 729, -38},	// KDateTime::Spec::Spec#
    {54, 730, 1292},	// KDateTime::Spec::Spec$
    {54, 731, 1272},	// KDateTime::Spec::Spec$$
    {54, 778, 1288},	// KDateTime::Spec::UTC
    {54, 1435, 1287},	// KDateTime::Spec::equivalentTo#
    {54, 1799, 1279},	// KDateTime::Spec::isClockTime
    {54, 1845, 1278},	// KDateTime::Spec::isLocalZone
    {54, 1852, 1281},	// KDateTime::Spec::isOffsetFromUtc
    {54, 1878, 1280},	// KDateTime::Spec::isUtc
    {54, 1881, 1275},	// KDateTime::Spec::isValid
    {54, 2169, 1286},	// KDateTime::Spec::operator!=#
    {54, 2193, 1274},	// KDateTime::Spec::operator=#
    {54, 2196, 1285},	// KDateTime::Spec::operator==#
    {54, 2915, 1284},	// KDateTime::Spec::setType#
    {54, 2916, 1293},	// KDateTime::Spec::setType$
    {54, 2917, 1283},	// KDateTime::Spec::setType$$
    {54, 3110, 1276},	// KDateTime::Spec::timeZone
    {54, 3184, 1277},	// KDateTime::Spec::type
    {54, 3231, 1282},	// KDateTime::Spec::utcOffset
    {54, 3444, 1294},	// KDateTime::Spec::~Spec
    {55, 365, 1300},	// KDebug::KDebug#
    {55, 366, 1301},	// KDebug::KDebug$
    {55, 367, 1302},	// KDebug::KDebug$$
    {55, 368, 1303},	// KDebug::KDebug$$$
    {55, 369, 1295},	// KDebug::KDebug$$$$
    {55, 1694, 1296},	// KDebug::hasNullOutput$$$$
    {55, 1695, 1304},	// KDebug::hasNullOutputQtDebugMsg
    {55, 1696, -448},	// KDebug::hasNullOutputQtDebugMsg$
    {55, 1697, 1298},	// KDebug::hasNullOutputQtDebugMsg$$
    {55, 2408, 1306},	// KDebug::registerArea#
    {55, 2409, 1299},	// KDebug::registerArea#$
    {55, 3385, 1307},	// KDebug::~KDebug
    {56, 370, 1308},	// KDebugTag::KDebugTag
    {56, 371, 1309},	// KDebugTag::KDebugTag#
    {56, 3386, 1310},	// KDebugTag::~KDebugTag
    {57, 373, 1312},	// KDesktopFile::KDesktopFile$
    {57, 374, 1311},	// KDesktopFile::KDesktopFile$$
    {57, 842, -41},	// KDesktopFile::actionGroup$
    {57, 1203, 1337},	// KDesktopFile::copyTo$
    {57, 1363, 1316},	// KDesktopFile::desktopGroup
    {57, 1506, 1338},	// KDesktopFile::fileName
    {57, 1669, 1328},	// KDesktopFile::hasActionGroup$
    {57, 1670, 1330},	// KDesktopFile::hasApplicationType
    {57, 1675, 1332},	// KDesktopFile::hasDeviceType
    {57, 1686, 1329},	// KDesktopFile::hasLinkType
    {57, 1692, 1331},	// KDesktopFile::hasMimeTypeType
    {57, 1787, 1314},	// KDesktopFile::isAuthorizedDesktopFile$
    {57, 1809, 1313},	// KDesktopFile::isDesktopFile$
    {57, 2007, 1315},	// KDesktopFile::locateLocal$
    {57, 2130, 1336},	// KDesktopFile::noDisplay
    {57, 2342, 1325},	// KDesktopFile::readActions
    {57, 2343, 1320},	// KDesktopFile::readComment
    {57, 2356, 1323},	// KDesktopFile::readDevice
    {57, 2357, 1334},	// KDesktopFile::readDocPath
    {57, 2367, 1321},	// KDesktopFile::readGenericName
    {57, 2369, 1318},	// KDesktopFile::readIcon
    {57, 2381, 1319},	// KDesktopFile::readName
    {57, 2385, 1322},	// KDesktopFile::readPath
    {57, 2393, 1317},	// KDesktopFile::readType
    {57, 2394, 1324},	// KDesktopFile::readUrl
    {57, 2456, 1339},	// KDesktopFile::resource
    {57, 2964, 1335},	// KDesktopFile::sortOrder
    {57, 3183, 1333},	// KDesktopFile::tryExec
    {57, 3387, 1340},	// KDesktopFile::~KDesktopFile
    {58, 22, 1373},	// KEncodingDetector::Arabic
    {58, 32, 1365},	// KEncodingDetector::AutoDetectedEncoding
    {58, 34, 1366},	// KEncodingDetector::BOM
    {58, 39, 1374},	// KEncodingDetector::Baltic
    {58, 49, 1375},	// KEncodingDetector::CentralEuropean
    {58, 54, 1376},	// KEncodingDetector::ChineseSimplified
    {58, 55, 1377},	// KEncodingDetector::ChineseTraditional
    {58, 75, 1378},	// KEncodingDetector::Cyrillic
    {58, 98, 1364},	// KEncodingDetector::DefaultEncoding
    {58, 112, 1369},	// KEncodingDetector::EncodingFromHTTPHeader
    {58, 113, 1368},	// KEncodingDetector::EncodingFromMetaTag
    {58, 114, 1367},	// KEncodingDetector::EncodingFromXMLHeader
    {58, 152, 1379},	// KEncodingDetector::Greek
    {58, 156, 1380},	// KEncodingDetector::Hebrew
    {58, 276, 1381},	// KEncodingDetector::Japanese
    {58, 375, 1341},	// KEncodingDetector::KEncodingDetector
    {58, 376, 1362},	// KEncodingDetector::KEncodingDetector#
    {58, 377, 1363},	// KEncodingDetector::KEncodingDetector#$
    {58, 378, 1342},	// KEncodingDetector::KEncodingDetector#$$
    {58, 565, 1382},	// KEncodingDetector::Korean
    {58, 634, 1371},	// KEncodingDetector::None
    {58, 638, 1383},	// KEncodingDetector::NorthernSaami
    {58, 707, 1372},	// KEncodingDetector::SemiautomaticDetection
    {58, 727, 1384},	// KEncodingDetector::SouthEasternEurope
    {58, 758, 1385},	// KEncodingDetector::Thai
    {58, 776, 1386},	// KEncodingDetector::Turkish
    {58, 783, 1387},	// KEncodingDetector::Unicode
    {58, 809, 1370},	// KEncodingDetector::UserChosenEncoding
    {58, 815, 1388},	// KEncodingDetector::WesternEuropean
    {58, 1036, 1360},	// KEncodingDetector::analyze$$
    {58, 1059, 1347},	// KEncodingDetector::autoDetectLanguage
    {58, 1317, 1350},	// KEncodingDetector::decode#
    {58, 1318, 1349},	// KEncodingDetector::decode$$
    {58, 1322, 1351},	// KEncodingDetector::decodeWithBuffering$$
    {58, 1325, 1352},	// KEncodingDetector::decodedInvalidCharacters
    {58, 1326, 1361},	// KEncodingDetector::decoder
    {58, 1414, 1344},	// KEncodingDetector::encoding
    {58, 1415, 1348},	// KEncodingDetector::encodingChoiceSource
    {58, 1449, 1359},	// KEncodingDetector::errorsIfUtf8$$
    {58, 1576, 1354},	// KEncodingDetector::flush
    {58, 1672, 1357},	// KEncodingDetector::hasAutoDetectionForScript$
    {58, 2117, 1356},	// KEncodingDetector::nameForScript$
    {58, 2275, 1358},	// KEncodingDetector::processNull$$
    {58, 2449, 1353},	// KEncodingDetector::resetDecoder
    {58, 2479, 1355},	// KEncodingDetector::scriptForName$
    {58, 2528, 1346},	// KEncodingDetector::setAutoDetectLanguage$
    {58, 2627, 1343},	// KEncodingDetector::setEncoding$$
    {58, 3250, 1345},	// KEncodingDetector::visuallyOrdered
    {58, 3388, 1389},	// KEncodingDetector::~KEncodingDetector
    {59, 22, 1409},	// KEncodingProber::Arabic
    {59, 39, 1410},	// KEncodingProber::Baltic
    {59, 49, 1411},	// KEncodingProber::CentralEuropean
    {59, 54, 1412},	// KEncodingProber::ChineseSimplified
    {59, 55, 1413},	// KEncodingProber::ChineseTraditional
    {59, 75, 1414},	// KEncodingProber::Cyrillic
    {59, 145, 1404},	// KEncodingProber::FoundIt
    {59, 152, 1415},	// KEncodingProber::Greek
    {59, 156, 1416},	// KEncodingProber::Hebrew
    {59, 276, 1417},	// KEncodingProber::Japanese
    {59, 379, 1403},	// KEncodingProber::KEncodingProber
    {59, 380, 1402},	// KEncodingProber::KEncodingProber#
    {59, 381, 1390},	// KEncodingProber::KEncodingProber$
    {59, 565, 1418},	// KEncodingProber::Korean
    {59, 634, 1407},	// KEncodingProber::None
    {59, 638, 1419},	// KEncodingProber::NorthernSaami
    {59, 639, 1405},	// KEncodingProber::NotMe
    {59, 654, 1420},	// KEncodingProber::Other
    {59, 671, 1406},	// KEncodingProber::Probing
    {59, 727, 1421},	// KEncodingProber::SouthEasternEurope
    {59, 758, 1422},	// KEncodingProber::Thai
    {59, 776, 1423},	// KEncodingProber::Turkish
    {59, 783, 1424},	// KEncodingProber::Unicode
    {59, 795, 1408},	// KEncodingProber::Universal
    {59, 815, 1425},	// KEncodingProber::WesternEuropean
    {59, 1175, 1397},	// KEncodingProber::confidence
    {59, 1414, 1396},	// KEncodingProber::encoding
    {59, 1419, 1395},	// KEncodingProber::encodingName
    {59, 1500, 1392},	// KEncodingProber::feed#
    {59, 1501, 1393},	// KEncodingProber::feed$$
    {59, 2115, 1401},	// KEncodingProber::nameForProberType$
    {59, 2271, 1398},	// KEncodingProber::proberType
    {59, 2273, 1400},	// KEncodingProber::proberTypeForName$
    {59, 2448, 1391},	// KEncodingProber::reset
    {59, 2838, 1399},	// KEncodingProber::setProberType$
    {59, 3038, 1394},	// KEncodingProber::state
    {59, 3389, 1426},	// KEncodingProber::~KEncodingProber
    {60, 115, 1454},	// KFilterBase::End
    {60, 125, 1455},	// KFilterBase::Error
    {60, 382, 1427},	// KFilterBase::KFilterBase
    {60, 626, 1456},	// KFilterBase::NoHeaders
    {60, 646, 1453},	// KFilterBase::Ok
    {60, 816, 1457},	// KFilterBase::WithHeaders
    {60, 1174, 1443},	// KFilterBase::compress$
    {60, 1370, 1429},	// KFilterBase::device
    {60, 1509, 1445},	// KFilterBase::filterFlags
    {60, 1554, 1446},	// KFilterBase::findFilterByFileName$
    {60, 1556, 1447},	// KFilterBase::findFilterByMimeType$
    {60, 1730, 1439},	// KFilterBase::inBufferAvailable
    {60, 1731, 1438},	// KFilterBase::inBufferEmpty
    {60, 1743, 1430},	// KFilterBase::init$
    {60, 2023, 1451},	// KFilterBase::m_bAutoDel
    {60, 2029, 1449},	// KFilterBase::m_dev
    {60, 2080, 1431},	// KFilterBase::mode
    {60, 2217, 1441},	// KFilterBase::outBufferAvailable
    {60, 2218, 1440},	// KFilterBase::outBufferFull
    {60, 2368, 1434},	// KFilterBase::readHeader
    {60, 2448, 1433},	// KFilterBase::reset
    {60, 2615, 1448},	// KFilterBase::setDevice#
    {60, 2616, 1428},	// KFilterBase::setDevice#$
    {60, 2653, 1444},	// KFilterBase::setFilterFlags$
    {60, 2671, 1437},	// KFilterBase::setInBuffer$$
    {60, 2713, 1452},	// KFilterBase::setM_bAutoDel$
    {60, 2725, 1450},	// KFilterBase::setM_dev#
    {60, 2811, 1436},	// KFilterBase::setOutBuffer$$
    {60, 3098, 1432},	// KFilterBase::terminate
    {60, 3189, 1442},	// KFilterBase::uncompress
    {60, 3310, 1435},	// KFilterBase::writeHeader#
    {60, 3390, 1458},	// KFilterBase::~KFilterBase
    {61, 1046, 1464},	// KFilterDev::atEnd
    {61, 1157, 1460},	// KFilterDev::close
    {61, 1371, 1471},	// KFilterDev::device#$
    {61, 1372, 1466},	// KFilterDev::device#$$
    {61, 1374, 1469},	// KFilterDev::deviceForFile$
    {61, 1375, 1470},	// KFilterDev::deviceForFile$$
    {61, 1376, 1465},	// KFilterDev::deviceForFile$$$
    {61, 2156, 1459},	// KFilterDev::open$
    {61, 2347, 1467},	// KFilterDev::readData$$
    {61, 2485, 1463},	// KFilterDev::seek$
    {61, 2807, 1461},	// KFilterDev::setOrigFileName#
    {61, 2881, 1462},	// KFilterDev::setSkipHeaders
    {61, 3301, 1468},	// KFilterDev::writeData$$
    {61, 3391, 1472},	// KFilterDev::~KFilterDev
    {62, 106, 1493},	// KGlobal::DoCopyCatalogs
    {62, 108, 1494},	// KGlobal::DontCopyCatalogs
    {62, 847, 1487},	// KGlobal::activeComponent
    {62, 1116, 1492},	// KGlobal::caption
    {62, 1129, 1475},	// KGlobal::charsets
    {62, 1176, 1484},	// KGlobal::config
    {62, 1351, 1483},	// KGlobal::deref
    {62, 1385, 1474},	// KGlobal::dirs
    {62, 1542, 1479},	// KGlobal::findDirectChild_helper##
    {62, 1687, 1485},	// KGlobal::hasLocale
    {62, 1688, 1477},	// KGlobal::hasMainComponent
    {62, 1753, 1478},	// KGlobal::insertCatalog$
    {62, 1997, 1491},	// KGlobal::locale
    {62, 2048, 1473},	// KGlobal::mainComponent
    {62, 2406, 1481},	// KGlobal::ref
    {62, 2511, 1476},	// KGlobal::setActiveComponent#
    {62, 2515, 1482},	// KGlobal::setAllowQuit$
    {62, 2703, 1489},	// KGlobal::setLocale#
    {62, 2704, 1488},	// KGlobal::setLocale#$
    {62, 3042, -103},	// KGlobal::staticQString$
    {62, 3187, 1486},	// KGlobal::umask
    {63, 46, 1545},	// KJob::Bytes
    {63, 104, 1547},	// KJob::Directories
    {63, 111, 1552},	// KJob::EmitResult
    {63, 140, 1546},	// KJob::Files
    {63, 383, 1538},	// KJob::KJob
    {63, 384, 1502},	// KJob::KJob#
    {63, 385, 1535},	// KJob::KJob##
    {63, 563, 1549},	// KJob::Killable
    {63, 564, 1554},	// KJob::KilledJobError
    {63, 620, 1548},	// KJob::NoCapabilities
    {63, 624, 1553},	// KJob::NoError
    {63, 682, 1551},	// KJob::Quietly
    {63, 748, 1550},	// KJob::Suspendable
    {63, 810, 1555},	// KJob::UserDefinedError
    {63, 1114, 1505},	// KJob::capabilities
    {63, 1353, 1540},	// KJob::description#$
    {63, 1354, 1541},	// KJob::description#$?
    {63, 1355, 1524},	// KJob::description#$??
    {63, 1390, 1511},	// KJob::doKill
    {63, 1391, 1513},	// KJob::doResume
    {63, 1392, 1512},	// KJob::doSuspend
    {63, 1401, 1533},	// KJob::emitPercent$$
    {63, 1402, 1532},	// KJob::emitResult
    {63, 1404, 1534},	// KJob::emitSpeed$
    {63, 1442, 1516},	// KJob::error
    {63, 1445, 1518},	// KJob::errorString
    {63, 1447, 1517},	// KJob::errorText
    {63, 1454, 1515},	// KJob::exec
    {63, 1737, 1542},	// KJob::infoMessage#$
    {63, 1738, 1525},	// KJob::infoMessage#$$
    {63, 1788, 1523},	// KJob::isAutoDelete
    {63, 1873, 1506},	// KJob::isSuspended
    {63, 1948, 1539},	// KJob::kill
    {63, 1949, 1508},	// KJob::kill$
    {63, 2070, 1495},	// KJob::metaObject
    {63, 2240, 1521},	// KJob::percent
    {63, 2278, 1519},	// KJob::processedAmount$
    {63, 2310, 1501},	// KJob::qt_metacall$$?
    {63, 2312, 1496},	// KJob::qt_metacast$
    {63, 2461, 1510},	// KJob::resume
    {63, 2526, 1522},	// KJob::setAutoDelete$
    {63, 2546, 1514},	// KJob::setCapabilities$
    {63, 2632, 1527},	// KJob::setError$
    {63, 2638, 1528},	// KJob::setErrorText$
    {63, 2823, 1531},	// KJob::setPercent$
    {63, 2840, 1529},	// KJob::setProcessedAmount$$
    {63, 2909, 1530},	// KJob::setTotalAmount$$
    {63, 2919, 1503},	// KJob::setUiDelegate#
    {63, 2982, 1507},	// KJob::start
    {63, 3040, 1544},	// KJob::staticMetaObject
    {63, 3073, 1509},	// KJob::suspend
    {63, 3140, 1520},	// KJob::totalAmount$
    {63, 3142, 1536},	// KJob::tr$
    {63, 3143, 1497},	// KJob::tr$$
    {63, 3144, 1499},	// KJob::tr$$$
    {63, 3149, 1537},	// KJob::trUtf8$
    {63, 3150, 1498},	// KJob::trUtf8$$
    {63, 3151, 1500},	// KJob::trUtf8$$$
    {63, 3185, 1504},	// KJob::uiDelegate
    {63, 3259, 1543},	// KJob::warning#$
    {63, 3260, 1526},	// KJob::warning#$$
    {63, 3392, 1556},	// KJob::~KJob
    {65, 386, 1579},	// KJobTrackerInterface::KJobTrackerInterface
    {65, 387, 1564},	// KJobTrackerInterface::KJobTrackerInterface#
    {65, 1355, 1570},	// KJobTrackerInterface::description#$??
    {65, 1567, 1567},	// KJobTrackerInterface::finished#
    {65, 1738, 1571},	// KJobTrackerInterface::infoMessage#$$
    {65, 2070, 1557},	// KJobTrackerInterface::metaObject
    {65, 2241, 1575},	// KJobTrackerInterface::percent#$
    {65, 2277, 1574},	// KJobTrackerInterface::processedAmount#$$
    {65, 2310, 1563},	// KJobTrackerInterface::qt_metacall$$?
    {65, 2312, 1558},	// KJobTrackerInterface::qt_metacast$
    {65, 2411, 1565},	// KJobTrackerInterface::registerJob#
    {65, 2463, 1569},	// KJobTrackerInterface::resumed#
    {65, 2967, 1576},	// KJobTrackerInterface::speed#$
    {65, 3040, 1580},	// KJobTrackerInterface::staticMetaObject
    {65, 3075, 1568},	// KJobTrackerInterface::suspended#
    {65, 3139, 1573},	// KJobTrackerInterface::totalAmount#$$
    {65, 3142, 1577},	// KJobTrackerInterface::tr$
    {65, 3143, 1559},	// KJobTrackerInterface::tr$$
    {65, 3144, 1561},	// KJobTrackerInterface::tr$$$
    {65, 3149, 1578},	// KJobTrackerInterface::trUtf8$
    {65, 3150, 1560},	// KJobTrackerInterface::trUtf8$$
    {65, 3151, 1562},	// KJobTrackerInterface::trUtf8$$$
    {65, 3196, 1566},	// KJobTrackerInterface::unregisterJob#
    {65, 3260, 1572},	// KJobTrackerInterface::warning#$$
    {65, 3393, 1581},	// KJobTrackerInterface::~KJobTrackerInterface
    {66, 388, 1589},	// KJobUiDelegate::KJobUiDelegate
    {66, 1789, 1593},	// KJobUiDelegate::isAutoErrorHandlingEnabled
    {66, 1790, 1595},	// KJobUiDelegate::isAutoWarningHandlingEnabled
    {66, 1893, 1590},	// KJobUiDelegate::job
    {66, 2070, 1582},	// KJobUiDelegate::metaObject
    {66, 2310, 1588},	// KJobUiDelegate::qt_metacall$$?
    {66, 2312, 1583},	// KJobUiDelegate::qt_metacast$
    {66, 2530, 1592},	// KJobUiDelegate::setAutoErrorHandlingEnabled$
    {66, 2534, 1594},	// KJobUiDelegate::setAutoWarningHandlingEnabled$
    {66, 2947, 1591},	// KJobUiDelegate::showErrorMessage
    {66, 2963, 1596},	// KJobUiDelegate::slotWarning#$$
    {66, 3040, 1599},	// KJobUiDelegate::staticMetaObject
    {66, 3142, 1597},	// KJobUiDelegate::tr$
    {66, 3143, 1584},	// KJobUiDelegate::tr$$
    {66, 3144, 1586},	// KJobUiDelegate::tr$$$
    {66, 3149, 1598},	// KJobUiDelegate::trUtf8$
    {66, 3150, 1585},	// KJobUiDelegate::trUtf8$$
    {66, 3151, 1587},	// KJobUiDelegate::trUtf8$$$
    {66, 3394, 1600},	// KJobUiDelegate::~KJobUiDelegate
    {67, 120, 1623},	// KLibLoader::ErrNoComponent
    {67, 121, 1622},	// KLibLoader::ErrNoFactory
    {67, 122, 1621},	// KLibLoader::ErrNoLibrary
    {67, 123, 1625},	// KLibLoader::ErrNoServiceFound
    {67, 124, 1624},	// KLibLoader::ErrServiceProvidesNoLibrary
    {67, 1446, 1614},	// KLibLoader::errorString$
    {67, 1494, 1617},	// KLibLoader::factory$
    {67, 1495, 1608},	// KLibLoader::factory$$
    {67, 1560, 1619},	// KLibLoader::findLibrary$
    {67, 1561, 1613},	// KLibLoader::findLibrary$#
    {67, 1969, 1610},	// KLibLoader::lastErrorMessage
    {67, 1978, 1618},	// KLibLoader::library$
    {67, 1979, 1609},	// KLibLoader::library$$
    {67, 2070, 1601},	// KLibLoader::metaObject
    {67, 2310, 1607},	// KLibLoader::qt_metacall$$?
    {67, 2312, 1602},	// KLibLoader::qt_metacast$
    {67, 2486, 1612},	// KLibLoader::self
    {67, 3040, 1620},	// KLibLoader::staticMetaObject
    {67, 3142, 1615},	// KLibLoader::tr$
    {67, 3143, 1603},	// KLibLoader::tr$$
    {67, 3144, 1605},	// KLibLoader::tr$$$
    {67, 3149, 1616},	// KLibLoader::trUtf8$
    {67, 3150, 1604},	// KLibLoader::trUtf8$$
    {67, 3151, 1606},	// KLibLoader::trUtf8$$$
    {67, 3193, 1611},	// KLibLoader::unloadLibrary$
    {68, 389, 1643},	// KLibrary::KLibrary
    {68, 390, 1633},	// KLibrary::KLibrary#
    {68, 391, 1644},	// KLibrary::KLibrary$
    {68, 392, 1645},	// KLibrary::KLibrary$#
    {68, 393, 1634},	// KLibrary::KLibrary$##
    {68, 394, 1646},	// KLibrary::KLibrary$$
    {68, 395, 1647},	// KLibrary::KLibrary$$#
    {68, 396, 1635},	// KLibrary::KLibrary$$##
    {68, 1493, 1648},	// KLibrary::factory
    {68, 1494, 1636},	// KLibrary::factory$
    {68, 2070, 1626},	// KLibrary::metaObject
    {68, 2310, 1632},	// KLibrary::qt_metacall$$?
    {68, 2312, 1627},	// KLibrary::qt_metacast$
    {68, 2453, 1638},	// KLibrary::resolveFunction$
    {68, 2455, 1637},	// KLibrary::resolveSymbol$
    {68, 2650, 1649},	// KLibrary::setFileName$
    {68, 2651, 1639},	// KLibrary::setFileName$#
    {68, 3040, 1650},	// KLibrary::staticMetaObject
    {68, 3142, 1641},	// KLibrary::tr$
    {68, 3143, 1628},	// KLibrary::tr$$
    {68, 3144, 1630},	// KLibrary::tr$$$
    {68, 3149, 1642},	// KLibrary::trUtf8$
    {68, 3150, 1629},	// KLibrary::trUtf8$$
    {68, 3151, 1631},	// KLibrary::trUtf8$$$
    {68, 3191, 1640},	// KLibrary::unload
    {68, 3395, 1651},	// KLibrary::~KLibrary
    {69, 3, 1675},	// KLocalSocket::AbstractUnixSocket
    {69, 397, 1670},	// KLocalSocket::KLocalSocket
    {69, 398, 1659},	// KLocalSocket::KLocalSocket#
    {69, 796, 1674},	// KLocalSocket::UnixSocket
    {69, 799, 1676},	// KLocalSocket::UnknownLocalSocketType
    {69, 1187, 1666},	// KLocalSocket::connectToHostImplementation$$$
    {69, 1189, 1671},	// KLocalSocket::connectToPath$
    {69, 1190, -13},	// KLocalSocket::connectToPath$$
    {69, 1191, 1661},	// KLocalSocket::connectToPath$$$
    {69, 1387, 1667},	// KLocalSocket::disconnectFromHostImplementation
    {69, 1388, 1662},	// KLocalSocket::disconnectFromPath
    {69, 1995, 1664},	// KLocalSocket::localPath
    {69, 1996, 1663},	// KLocalSocket::localSocketType
    {69, 2070, 1652},	// KLocalSocket::metaObject
    {69, 2239, 1665},	// KLocalSocket::peerPath
    {69, 2310, 1658},	// KLocalSocket::qt_metacall$$?
    {69, 2312, 1653},	// KLocalSocket::qt_metacast$
    {69, 3040, 1673},	// KLocalSocket::staticMetaObject
    {69, 3142, 1668},	// KLocalSocket::tr$
    {69, 3143, 1654},	// KLocalSocket::tr$$
    {69, 3144, 1656},	// KLocalSocket::tr$$$
    {69, 3149, 1669},	// KLocalSocket::trUtf8$
    {69, 3150, 1655},	// KLocalSocket::trUtf8$$
    {69, 3151, 1657},	// KLocalSocket::trUtf8$$$
    {69, 3396, 1677},	// KLocalSocket::~KLocalSocket
    {70, 399, 1702},	// KLocalSocketServer::KLocalSocketServer
    {70, 400, 1685},	// KLocalSocketServer::KLocalSocketServer#
    {70, 1157, 1687},	// KLocalSocketServer::close
    {70, 1445, 1697},	// KLocalSocketServer::errorString
    {70, 1700, 1694},	// KLocalSocketServer::hasPendingConnections
    {70, 1735, 1698},	// KLocalSocketServer::incomingConnection$
    {70, 1842, 1688},	// KLocalSocketServer::isListening
    {70, 1985, 1703},	// KLocalSocketServer::listen$
    {70, 1989, 1686},	// KLocalSocketServer::listen$$
    {70, 1995, 1692},	// KLocalSocketServer::localPath
    {70, 1996, 1691},	// KLocalSocketServer::localSocketType
    {70, 2059, 1690},	// KLocalSocketServer::maxPendingConnections
    {70, 2070, 1678},	// KLocalSocketServer::metaObject
    {70, 2124, 1699},	// KLocalSocketServer::newConnection
    {70, 2129, 1695},	// KLocalSocketServer::nextPendingConnection
    {70, 2310, 1684},	// KLocalSocketServer::qt_metacall$$?
    {70, 2312, 1679},	// KLocalSocketServer::qt_metacast$
    {70, 2488, 1696},	// KLocalSocketServer::serverError
    {70, 2771, 1689},	// KLocalSocketServer::setMaxPendingConnections$
    {70, 3040, 1706},	// KLocalSocketServer::staticMetaObject
    {70, 3142, 1700},	// KLocalSocketServer::tr$
    {70, 3143, 1680},	// KLocalSocketServer::tr$$
    {70, 3144, 1682},	// KLocalSocketServer::tr$$$
    {70, 3149, 1701},	// KLocalSocketServer::trUtf8$
    {70, 3150, 1681},	// KLocalSocketServer::trUtf8$$
    {70, 3151, 1683},	// KLocalSocketServer::trUtf8$$$
    {70, 3252, 1704},	// KLocalSocketServer::waitForNewConnection
    {70, 3253, 1705},	// KLocalSocketServer::waitForNewConnection$
    {70, 3254, 1693},	// KLocalSocketServer::waitForNewConnection$$
    {70, 3397, 1707},	// KLocalSocketServer::~KLocalSocketServer
    {71, 15, 1885},	// KLocale::AfterMoney
    {71, 16, 1883},	// KLocale::AfterQuantityMoney
    {71, 23, 1886},	// KLocale::ArabicDigits
    {71, 24, 1887},	// KLocale::ArabicIndicDigits
    {71, 42, 1884},	// KLocale::BeforeMoney
    {71, 43, 1882},	// KLocale::BeforeQuantityMoney
    {71, 44, 1890},	// KLocale::BengaliDigits
    {71, 71, 1917},	// KLocale::CopticCalendar
    {71, 84, 1941},	// KLocale::Day
    {71, 85, 1942},	// KLocale::DayName
    {71, 86, 1949},	// KLocale::DayOfWeek
    {71, 87, 1950},	// KLocale::DayOfWeekName
    {71, 88, 1947},	// KLocale::DayOfYear
    {71, 89, 1948},	// KLocale::DayOfYearName
    {71, 90, 1962},	// KLocale::DayPeriod
    {71, 91, 1963},	// KLocale::DayPeriodHour
    {71, 92, 1956},	// KLocale::DaysInMonth
    {71, 93, 1957},	// KLocale::DaysInWeek
    {71, 94, 1955},	// KLocale::DaysInYear
    {71, 95, 1911},	// KLocale::DefaultBinaryDialect
    {71, 96, 1900},	// KLocale::DefaultBinaryUnits
    {71, 97, 1967},	// KLocale::DefaultComponentFormat
    {71, 100, 1928},	// KLocale::DefaultWeekNumber
    {71, 103, 1889},	// KLocale::DevenagariDigits
    {71, 110, 1888},	// KLocale::EasternArabicIndicDigits
    {71, 118, 1944},	// KLocale::EraName
    {71, 119, 1945},	// KLocale::EraYear
    {71, 126, 1918},	// KLocale::EthiopianCalendar
    {71, 136, 1976},	// KLocale::FancyLongDate
    {71, 137, 1975},	// KLocale::FancyShortDate
    {71, 141, 1930},	// KLocale::FirstFullWeek
    {71, 142, 1931},	// KLocale::FirstPartialWeek
    {71, 153, 1919},	// KLocale::GregorianCalendar
    {71, 154, 1891},	// KLocale::GujaratiDigits
    {71, 155, 1892},	// KLocale::GurmukhiDigits
    {71, 157, 1920},	// KLocale::HebrewCalendar
    {71, 165, 1958},	// KLocale::Hour
    {71, 166, 1912},	// KLocale::IECBinaryDialect
    {71, 175, 1997},	// KLocale::Imperial
    {71, 177, 1922},	// KLocale::IndianNationalCalendar
    {71, 185, 1921},	// KLocale::IslamicCivilCalendar
    {71, 186, 1977},	// KLocale::IsoDate
    {71, 187, 1989},	// KLocale::IsoFormat
    {71, 188, 1979},	// KLocale::IsoOrdinalDate
    {71, 189, 1991},	// KLocale::IsoOrdinalFormat
    {71, 190, 1978},	// KLocale::IsoWeekDate
    {71, 191, 1990},	// KLocale::IsoWeekFormat
    {71, 192, 1929},	// KLocale::IsoWeekNumber
    {71, 274, 1913},	// KLocale::JEDECBinaryDialect
    {71, 275, 1923},	// KLocale::JalaliCalendar
    {71, 277, 1924},	// KLocale::JapaneseCalendar
    {71, 278, 1925},	// KLocale::JulianCalendar
    {71, 279, 1943},	// KLocale::JulianDay
    {71, 402, 1710},	// KLocale::KLocale#
    {71, 403, 1849},	// KLocale::KLocale$
    {71, 404, 1850},	// KLocale::KLocale$$
    {71, 405, 1851},	// KLocale::KLocale$$$
    {71, 406, 1709},	// KLocale::KLocale$$$#
    {71, 407, 1708},	// KLocale::KLocale$?
    {71, 558, 1893},	// KLocale::KannadaDigits
    {71, 559, 1933},	// KLocale::KdeFormat
    {71, 562, 1894},	// KLocale::KhmerDigits
    {71, 566, 1915},	// KLocale::LastBinaryDialect
    {71, 572, 1936},	// KLocale::LiberalParsing
    {71, 595, 1974},	// KLocale::LongDate
    {71, 598, 1972},	// KLocale::LongName
    {71, 600, 1969},	// KLocale::LongNumber
    {71, 602, 1895},	// KLocale::MalayalamDigits
    {71, 604, 1996},	// KLocale::Metric
    {71, 605, 1914},	// KLocale::MetricBinaryDialect
    {71, 606, 1961},	// KLocale::Millisecond
    {71, 607, 1926},	// KLocale::MinguoCalendar
    {71, 608, 1959},	// KLocale::Minute
    {71, 609, 1939},	// KLocale::Month
    {71, 610, 1940},	// KLocale::MonthName
    {71, 611, 1953},	// KLocale::MonthsInYear
    {71, 616, 1970},	// KLocale::NarrowName
    {71, 637, 1987},	// KLocale::NormalFormat
    {71, 653, 1896},	// KLocale::OriyaDigits
    {71, 656, 1881},	// KLocale::ParensAround
    {71, 670, 1934},	// KLocale::PosixFormat
    {71, 672, 1995},	// KLocale::ProcessNonStrict
    {71, 673, 1994},	// KLocale::ProcessStrict
    {71, 680, 1916},	// KLocale::QDateCalendar
    {71, 705, 1960},	// KLocale::Second
    {71, 706, 1981},	// KLocale::Seconds
    {71, 709, 1973},	// KLocale::ShortDate
    {71, 711, 1988},	// KLocale::ShortFormat
    {71, 712, 1971},	// KLocale::ShortName
    {71, 714, 1968},	// KLocale::ShortNumber
    {71, 716, 1932},	// KLocale::SimpleWeek
    {71, 754, 1897},	// KLocale::TamilDigits
    {71, 756, 1898},	// KLocale::TeluguDigits
    {71, 759, 1927},	// KLocale::ThaiCalendar
    {71, 760, 1899},	// KLocale::ThaiDigits
    {71, 762, 1982},	// KLocale::TimeDefault
    {71, 763, 1985},	// KLocale::TimeDuration
    {71, 764, 1986},	// KLocale::TimeFoldHours
    {71, 766, 1984},	// KLocale::TimeWithoutAmPm
    {71, 767, 1983},	// KLocale::TimeWithoutSeconds
    {71, 768, 1980},	// KLocale::TimeZone
    {71, 770, 1964},	// KLocale::Timezone
    {71, 771, 1965},	// KLocale::TimezoneName
    {71, 784, 1935},	// KLocale::UnicodeFormat
    {71, 785, 1901},	// KLocale::UnitByte
    {71, 786, 1907},	// KLocale::UnitExaByte
    {71, 787, 1904},	// KLocale::UnitGigaByte
    {71, 788, 1902},	// KLocale::UnitKiloByte
    {71, 789, 1910},	// KLocale::UnitLastUnit
    {71, 790, 1903},	// KLocale::UnitMegaByte
    {71, 791, 1906},	// KLocale::UnitPetaByte
    {71, 792, 1905},	// KLocale::UnitTeraByte
    {71, 793, 1909},	// KLocale::UnitYottaByte
    {71, 794, 1908},	// KLocale::UnitZettaByte
    {71, 797, 1966},	// KLocale::UnixTime
    {71, 812, 1951},	// KLocale::Week
    {71, 813, 1952},	// KLocale::WeekYear
    {71, 814, 1954},	// KLocale::WeeksInYear
    {71, 817, 1992},	// KLocale::WithSeconds
    {71, 818, 1993},	// KLocale::WithoutSeconds
    {71, 826, 1937},	// KLocale::Year
    {71, 827, 1946},	// KLocale::YearInEra
    {71, 828, 1938},	// KLocale::YearName
    {71, 1012, 1830},	// KLocale::allCountriesList
    {71, 1015, 1722},	// KLocale::allDigitSetsList
    {71, 1018, 1827},	// KLocale::allLanguagesList
    {71, 1089, 1747},	// KLocale::binaryUnitDialect
    {71, 1098, 1765},	// KLocale::calendar
    {71, 1102, 1767},	// KLocale::calendarSystem
    {71, 1108, 1766},	// KLocale::calendarType
    {71, 1161, 1788},	// KLocale::codecForEncoding
    {71, 1196, 1880},	// KLocale::convertDigits$$
    {71, 1197, 1847},	// KLocale::convertDigits$$$
    {71, 1199, 1840},	// KLocale::copyCatalogsTo#
    {71, 1208, 1782},	// KLocale::country
    {71, 1211, 1831},	// KLocale::countryCodeToName$
    {71, 1212, 1783},	// KLocale::countryDivisionCode
    {71, 1231, 1727},	// KLocale::currency
    {71, 1232, 1726},	// KLocale::currencyCode
    {71, 1233, 1785},	// KLocale::currencyCodeList
    {71, 1237, 1728},	// KLocale::currencySymbol
    {71, 1264, 1799},	// KLocale::dateFormat
    {71, 1265, 1800},	// KLocale::dateFormatShort
    {71, 1267, 1755},	// KLocale::dateMonthNamePossessive
    {71, 1270, 1758},	// KLocale::dateTimeDigitSet
    {71, 1286, 1868},	// KLocale::dayPeriodText#
    {71, 1287, 1760},	// KLocale::dayPeriodText#$
    {71, 1314, 1734},	// KLocale::decimalPlaces
    {71, 1315, 1723},	// KLocale::decimalSymbol
    {71, 1328, 1836},	// KLocale::defaultCountry
    {71, 1329, 1837},	// KLocale::defaultCurrencyCode
    {71, 1330, 1835},	// KLocale::defaultLanguage
    {71, 1377, 1725},	// KLocale::digitSet
    {71, 1379, 1852},	// KLocale::digitSetToName$
    {71, 1380, 1721},	// KLocale::digitSetToName$$
    {71, 1414, 1786},	// KLocale::encoding
    {71, 1418, 1787},	// KLocale::encodingMib
    {71, 1504, 1789},	// KLocale::fileEncodingMib
    {71, 1581, 1745},	// KLocale::formatByteSize$
    {71, 1582, 1858},	// KLocale::formatByteSize$$
    {71, 1583, 1859},	// KLocale::formatByteSize$$$
    {71, 1584, 1746},	// KLocale::formatByteSize$$$$
    {71, 1586, 1860},	// KLocale::formatDate#
    {71, 1587, 1752},	// KLocale::formatDate#$
    {71, 1591, -75},	// KLocale::formatDateTime#
    {71, 1592, -78},	// KLocale::formatDateTime#$
    {71, 1593, -81},	// KLocale::formatDateTime#$$
    {71, 1595, 1749},	// KLocale::formatDuration$
    {71, 1597, 1867},	// KLocale::formatLocaleTime#
    {71, 1598, 1757},	// KLocale::formatLocaleTime#$
    {71, 1600, 1744},	// KLocale::formatLong$
    {71, 1602, 1853},	// KLocale::formatMoney$
    {71, 1603, 1854},	// KLocale::formatMoney$$
    {71, 1604, 1741},	// KLocale::formatMoney$$$
    {71, 1606, -84},	// KLocale::formatNumber$
    {71, 1607, -87},	// KLocale::formatNumber$$
    {71, 1608, 1743},	// KLocale::formatNumber$$$
    {71, 1610, 1865},	// KLocale::formatTime#
    {71, 1611, 1866},	// KLocale::formatTime#$
    {71, 1612, 1756},	// KLocale::formatTime#$$
    {71, 1613, 1733},	// KLocale::fracDigits
    {71, 1753, 1823},	// KLocale::insertCatalog$
    {71, 1756, 1828},	// KLocale::installedLanguages
    {71, 1785, 1839},	// KLocale::isApplicationTranslatedInto$
    {71, 1955, 1879},	// KLocale::langLookup$
    {71, 1956, 1834},	// KLocale::langLookup$$
    {71, 1957, 1781},	// KLocale::language
    {71, 1959, 1829},	// KLocale::languageCodeToName$
    {71, 1962, 1784},	// KLocale::languageList
    {71, 1999, 1845},	// KLocale::localizedFilePath$
    {71, 2065, 1821},	// KLocale::measureSystem
    {71, 2088, 1735},	// KLocale::monetaryDecimalPlaces
    {71, 2089, 1729},	// KLocale::monetaryDecimalSymbol
    {71, 2090, 1740},	// KLocale::monetaryDigitSet
    {71, 2091, 1730},	// KLocale::monetaryThousandsSeparator
    {71, 2121, 1739},	// KLocale::negativeMonetarySignPosition
    {71, 2122, 1737},	// KLocale::negativePrefixCurrencySymbol
    {71, 2123, 1732},	// KLocale::negativeSign
    {71, 2133, 1751},	// KLocale::nounDeclension
    {71, 2193, 1711},	// KLocale::operator=#
    {71, 2221, 1819},	// KLocale::pageSize
    {71, 2258, 1738},	// KLocale::positiveMonetarySignPosition
    {71, 2259, 1736},	// KLocale::positivePrefixCurrencySymbol
    {71, 2260, 1731},	// KLocale::positiveSign
    {71, 2267, 1750},	// KLocale::prettyFormatDuration$
    {71, 2349, 1871},	// KLocale::readDate$
    {71, 2350, -90},	// KLocale::readDate$$
    {71, 2351, -94},	// KLocale::readDate$$$
    {71, 2374, 1876},	// KLocale::readLocaleTime$
    {71, 2375, 1877},	// KLocale::readLocaleTime$$
    {71, 2376, 1878},	// KLocale::readLocaleTime$$$
    {71, 2377, 1780},	// KLocale::readLocaleTime$$$$
    {71, 2379, 1869},	// KLocale::readMoney$
    {71, 2380, 1773},	// KLocale::readMoney$$
    {71, 2383, 1870},	// KLocale::readNumber$
    {71, 2384, 1774},	// KLocale::readNumber$$
    {71, 2390, 1874},	// KLocale::readTime$
    {71, 2391, -97},	// KLocale::readTime$$
    {71, 2392, 1779},	// KLocale::readTime$$$
    {71, 2425, 1846},	// KLocale::removeAcceleratorMarker$
    {71, 2427, 1824},	// KLocale::removeCatalog$
    {71, 2441, 1848},	// KLocale::reparseConfiguration
    {71, 2509, 1825},	// KLocale::setActiveCatalog$
    {71, 2538, 1748},	// KLocale::setBinaryUnitDialect$
    {71, 2542, 1768},	// KLocale::setCalendar$
    {71, 2544, 1769},	// KLocale::setCalendarSystem$
    {71, 2562, 1841},	// KLocale::setCountry$#
    {71, 2564, 1842},	// KLocale::setCountryDivisionCode$
    {71, 2566, 1816},	// KLocale::setCurrencyCode$
    {71, 2568, 1817},	// KLocale::setCurrencySymbol$
    {71, 2587, 1790},	// KLocale::setDateFormat$
    {71, 2589, 1791},	// KLocale::setDateFormatShort$
    {71, 2593, 1792},	// KLocale::setDateMonthNamePossessive$
    {71, 2599, 1794},	// KLocale::setDateTimeDigitSet$
    {71, 2601, 1812},	// KLocale::setDecimalPlaces$
    {71, 2603, 1802},	// KLocale::setDecimalSymbol$
    {71, 2618, 1806},	// KLocale::setDigitSet$
    {71, 2626, 1720},	// KLocale::setEncoding$
    {71, 2657, 1811},	// KLocale::setFracDigits$
    {71, 2686, 1843},	// KLocale::setLanguage$#
    {71, 2687, 1844},	// KLocale::setLanguage?
    {71, 2763, 1833},	// KLocale::setMainCatalog$
    {71, 2775, 1822},	// KLocale::setMeasureSystem$
    {71, 2785, 1813},	// KLocale::setMonetaryDecimalPlaces$
    {71, 2787, 1815},	// KLocale::setMonetaryDecimalSymbol$
    {71, 2789, 1818},	// KLocale::setMonetaryDigitSet$
    {71, 2791, 1814},	// KLocale::setMonetaryThousandsSeparator$
    {71, 2795, 1808},	// KLocale::setNegativeMonetarySignPosition$
    {71, 2797, 1810},	// KLocale::setNegativePrefixCurrencySymbol$
    {71, 2799, 1805},	// KLocale::setNegativeSign$
    {71, 2815, 1820},	// KLocale::setPageSize$
    {71, 2830, 1807},	// KLocale::setPositiveMonetarySignPosition$
    {71, 2832, 1809},	// KLocale::setPositivePrefixCurrencySymbol$
    {71, 2834, 1804},	// KLocale::setPositiveSign$
    {71, 2897, 1803},	// KLocale::setThousandsSeparator$
    {71, 2901, 1793},	// KLocale::setTimeFormat$
    {71, 2927, 1798},	// KLocale::setWeekDayOfPray$
    {71, 2929, 1770},	// KLocale::setWeekNumberSystem$
    {71, 2931, 1795},	// KLocale::setWeekStartDay$
    {71, 2935, 1797},	// KLocale::setWorkingWeekEndDay$
    {71, 2937, 1796},	// KLocale::setWorkingWeekStartDay$
    {71, 2977, 1832},	// KLocale::splitLocale$$$$$
    {71, 3102, 1724},	// KLocale::thousandsSeparator
    {71, 3106, 1801},	// KLocale::timeFormat
    {71, 3171, 1826},	// KLocale::translateQt$$$
    {71, 3173, 1713},	// KLocale::translateRaw$$$
    {71, 3174, 1715},	// KLocale::translateRaw$$$$
    {71, 3175, 1717},	// KLocale::translateRaw$$$$$
    {71, 3176, 1719},	// KLocale::translateRaw$$$$$$
    {71, 3178, 1712},	// KLocale::translateRawFrom$$$$
    {71, 3179, 1714},	// KLocale::translateRawFrom$$$$$
    {71, 3180, 1716},	// KLocale::translateRawFrom$$$$$$
    {71, 3181, 1718},	// KLocale::translateRawFrom$$$$$$$
    {71, 3215, 1759},	// KLocale::use12Clock
    {71, 3218, 1838},	// KLocale::useTranscript
    {71, 3274, 1764},	// KLocale::weekDayOfPray
    {71, 3281, -100},	// KLocale::weekNumberSystem
    {71, 3282, 1761},	// KLocale::weekStartDay
    {71, 3296, 1763},	// KLocale::workingWeekEndDay
    {71, 3297, 1762},	// KLocale::workingWeekStartDay
    {71, 3398, 1998},	// KLocale::~KLocale
    {72, 408, 1999},	// KLocalizedString::KLocalizedString
    {72, 409, 2000},	// KLocalizedString::KLocalizedString#
    {72, 1733, 2016},	// KLocalizedString::inContext$$
    {72, 1817, 2006},	// KLocalizedString::isEmpty
    {72, 2132, 2017},	// KLocalizedString::notifyCatalogsUpdated??
    {72, 2193, 2001},	// KLocalizedString::operator=#
    {72, 3056, 2040},	// KLocalizedString::subs#
    {72, 3057, 2041},	// KLocalizedString::subs#$
    {72, 3058, 2014},	// KLocalizedString::subs#$#
    {72, 3059, -183},	// KLocalizedString::subs$
    {72, 3060, -192},	// KLocalizedString::subs$$
    {72, 3061, 2015},	// KLocalizedString::subs$$#
    {72, 3062, -201},	// KLocalizedString::subs$$$
    {72, 3063, -209},	// KLocalizedString::subs$$$#
    {72, 3064, 2039},	// KLocalizedString::subs$$$$
    {72, 3065, 2013},	// KLocalizedString::subs$$$$#
    {72, 3122, 2002},	// KLocalizedString::toString
    {72, 3123, 2004},	// KLocalizedString::toString#
    {72, 3124, 2005},	// KLocalizedString::toString#$
    {72, 3125, 2003},	// KLocalizedString::toString$
    {72, 3399, 2044},	// KLocalizedString::~KLocalizedString
    {73, 143, 2060},	// KLockFile::ForceFlag
    {73, 411, 2052},	// KLockFile::KLockFile#
    {73, 412, 2053},	// KLockFile::KLockFile$
    {73, 413, 2045},	// KLockFile::KLockFile$#
    {73, 591, 2057},	// KLockFile::LockError
    {73, 592, 2056},	// KLockFile::LockFail
    {73, 593, 2055},	// KLockFile::LockOK
    {73, 594, 2058},	// KLockFile::LockStale
    {73, 619, 2059},	// KLockFile::NoBlockFlag
    {73, 1650, 2051},	// KLockFile::getLockInfo$$$
    {73, 1846, 2047},	// KLockFile::isLocked
    {73, 2013, 2054},	// KLockFile::lock
    {73, 2014, 2046},	// KLockFile::lock$
    {73, 2885, 2050},	// KLockFile::setStaleTime$
    {73, 2981, 2049},	// KLockFile::staleTime
    {73, 3194, 2048},	// KLockFile::unlock
    {73, 3400, 2061},	// KLockFile::~KLockFile
    {74, 414, 2062},	// KMD5::KMD5
    {74, 415, 2064},	// KMD5::KMD5#
    {74, 416, 2079},	// KMD5::KMD5$
    {74, 417, 2063},	// KMD5::KMD5$$
    {74, 1080, 2074},	// KMD5::base64Digest
    {74, 1510, 2078},	// KMD5::finalize
    {74, 1714, 2072},	// KMD5::hexDigest
    {74, 1715, 2073},	// KMD5::hexDigest#
    {74, 2333, 2070},	// KMD5::rawDigest
    {74, 2334, 2071},	// KMD5::rawDigest$
    {74, 2448, 2069},	// KMD5::reset
    {74, 3153, 2077},	// KMD5::transform$
    {74, 3203, -315},	// KMD5::update#
    {74, 3204, -318},	// KMD5::update$
    {74, 3205, -321},	// KMD5::update$$
    {74, 3242, 2076},	// KMD5::verify#
    {74, 3243, 2075},	// KMD5::verify$
    {74, 3401, 2082},	// KMD5::~KMD5
    {75, 1478, -487},	// KMacroExpander::expandMacros$?
    {75, 1479, -492},	// KMacroExpander::expandMacros$?#
    {75, 1483, -497},	// KMacroExpander::expandMacrosShellQuote$?
    {75, 1484, -502},	// KMacroExpander::expandMacrosShellQuote$?#
    {76, 418, 2108},	// KMacroExpanderBase::KMacroExpanderBase
    {76, 419, -451},	// KMacroExpanderBase::KMacroExpanderBase#
    {76, 1450, 2104},	// KMacroExpanderBase::escapeChar
    {76, 1472, 2106},	// KMacroExpanderBase::expandEscapedMacro$$?
    {76, 1477, 2100},	// KMacroExpanderBase::expandMacros$
    {76, 1481, 2102},	// KMacroExpanderBase::expandMacrosShellQuote$
    {76, 1482, 2101},	// KMacroExpanderBase::expandMacrosShellQuote$$
    {76, 1486, 2105},	// KMacroExpanderBase::expandPlainMacro$$?
    {76, 2640, 2103},	// KMacroExpanderBase::setEscapeChar#
    {76, 3402, 2109},	// KMacroExpanderBase::~KMacroExpanderBase
    {77, 125, 2113},	// KMessage::Error
    {77, 138, 2117},	// KMessage::Fatal
    {77, 178, 2114},	// KMessage::Information
    {77, 724, 2116},	// KMessage::Sorry
    {77, 811, 2115},	// KMessage::Warning
    {77, 2068, 2111},	// KMessage::message$$
    {77, 2069, 2110},	// KMessage::message$$$
    {77, 2779, 2112},	// KMessage::setMessageHandler#
    {78, 420, 2119},	// KMessageHandler::KMessageHandler
    {78, 421, 2120},	// KMessageHandler::KMessageHandler#
    {78, 2069, 2118},	// KMessageHandler::message$$$
    {78, 3403, 2121},	// KMessageHandler::~KMessageHandler
    {79, 109, 2172},	// KMimeType::DontResolveAlias
    {79, 423, 2152},	// KMimeType::KMimeType#
    {79, 424, 2150},	// KMimeType::KMimeType#$
    {79, 425, 2153},	// KMimeType::KMimeType#$$
    {79, 426, 2151},	// KMimeType::KMimeType$$$
    {79, 701, 2173},	// KMimeType::ResolveAliases
    {79, 1019, 2137},	// KMimeType::allMimeTypes
    {79, 1020, 2143},	// KMimeType::allParentMimeTypes
    {79, 1167, 2156},	// KMimeType::comment
    {79, 1168, 2125},	// KMimeType::comment#
    {79, 1332, 2138},	// KMimeType::defaultMimeType
    {79, 1333, 2139},	// KMimeType::defaultMimeTypePtr
    {79, 1490, 2147},	// KMimeType::extractKnownExtension$
    {79, 1498, 2124},	// KMimeType::favIconForUrl#
    {79, 1521, -294},	// KMimeType::findByContent#
    {79, 1522, -297},	// KMimeType::findByContent#$
    {79, 1524, 2171},	// KMimeType::findByFileContent$
    {79, 1525, 2134},	// KMimeType::findByFileContent$$
    {79, 1527, -300},	// KMimeType::findByNameAndContent$#
    {79, 1528, -303},	// KMimeType::findByNameAndContent$#$
    {79, 1529, -306},	// KMimeType::findByNameAndContent$#$$
    {79, 1531, 2162},	// KMimeType::findByPath$
    {79, 1532, 2163},	// KMimeType::findByPath$$
    {79, 1533, 2164},	// KMimeType::findByPath$$$
    {79, 1534, 2129},	// KMimeType::findByPath$$$$
    {79, 1536, 2158},	// KMimeType::findByUrl#
    {79, 1537, 2159},	// KMimeType::findByUrl#$
    {79, 1538, 2160},	// KMimeType::findByUrl#$$
    {79, 1539, 2161},	// KMimeType::findByUrl#$$$
    {79, 1540, 2128},	// KMimeType::findByUrl#$$$$
    {79, 1725, 2154},	// KMimeType::iconName
    {79, 1726, 2122},	// KMimeType::iconName#
    {79, 1728, 2155},	// KMimeType::iconNameForUrl#
    {79, 1729, 2123},	// KMimeType::iconNameForUrl#$
    {79, 1782, 2144},	// KMimeType::is$
    {79, 1793, 2135},	// KMimeType::isBinaryData$
    {79, 1795, 2136},	// KMimeType::isBufferBinaryData#
    {79, 1805, 2140},	// KMimeType::isDefault
    {79, 2049, 2146},	// KMimeType::mainExtension
    {79, 2058, 2148},	// KMimeType::matchFileName$$
    {79, 2072, 2157},	// KMimeType::mimeType$
    {79, 2073, 2127},	// KMimeType::mimeType$$
    {79, 2224, 2141},	// KMimeType::parentMimeType
    {79, 2225, 2142},	// KMimeType::parentMimeTypes
    {79, 2238, 2126},	// KMimeType::patterns
    {79, 2942, 2149},	// KMimeType::sharedMimeInfoVersion
    {79, 3222, 2145},	// KMimeType::userSpecifiedIconName
    {79, 3404, 2174},	// KMimeType::~KMimeType
    {81, 428, 2178},	// KMimeTypeTrader::KMimeTypeTrader#
    {81, 2264, 2181},	// KMimeTypeTrader::preferredService$
    {81, 2265, 2176},	// KMimeTypeTrader::preferredService$$
    {81, 2314, 2179},	// KMimeTypeTrader::query$
    {81, 2315, 2180},	// KMimeTypeTrader::query$$
    {81, 2316, 2175},	// KMimeTypeTrader::query$$$
    {81, 2486, 2177},	// KMimeTypeTrader::self
    {81, 3405, 2182},	// KMimeTypeTrader::~KMimeTypeTrader
    {83, 429, 2207},	// KPluginFactory::KPluginFactory
    {83, 430, -63},	// KPluginFactory::KPluginFactory#
    {83, 431, -68},	// KPluginFactory::KPluginFactory##
    {83, 432, 2208},	// KPluginFactory::KPluginFactory$
    {83, 433, 2209},	// KPluginFactory::KPluginFactory$$
    {83, 434, 2190},	// KPluginFactory::KPluginFactory$$#
    {83, 1171, 2194},	// KPluginFactory::componentData
    {83, 1213, 2212},	// KPluginFactory::create
    {83, 1214, 2213},	// KPluginFactory::create#
    {83, 1215, 2214},	// KPluginFactory::create#$
    {83, 1216, 2195},	// KPluginFactory::create#$?
    {83, 1219, 2204},	// KPluginFactory::create$##?$
    {83, 1224, 2201},	// KPluginFactory::createObject#$?
    {83, 1226, 2202},	// KPluginFactory::createPartObject##$?
    {83, 2070, 2183},	// KPluginFactory::metaObject
    {83, 2140, 2196},	// KPluginFactory::objectCreated#
    {83, 2310, 2189},	// KPluginFactory::qt_metacall$$?
    {83, 2312, 2184},	// KPluginFactory::qt_metacast$
    {83, 2554, 2203},	// KPluginFactory::setComponentData#
    {83, 2941, 2200},	// KPluginFactory::setupTranslations
    {83, 3040, 2216},	// KPluginFactory::staticMetaObject
    {83, 3053, 2198},	// KPluginFactory::stringListToVariantList?
    {83, 3142, 2205},	// KPluginFactory::tr$
    {83, 3143, 2185},	// KPluginFactory::tr$$
    {83, 3144, 2187},	// KPluginFactory::tr$$$
    {83, 3149, 2206},	// KPluginFactory::trUtf8$
    {83, 3150, 2186},	// KPluginFactory::trUtf8$$
    {83, 3151, 2188},	// KPluginFactory::trUtf8$$$
    {83, 3240, 2199},	// KPluginFactory::variantListToStringList?
    {83, 3406, 2217},	// KPluginFactory::~KPluginFactory
    {85, 435, 2220},	// KPluginInfo::KPluginInfo
    {85, 436, 2250},	// KPluginInfo::KPluginInfo#
    {85, 437, 2256},	// KPluginInfo::KPluginInfo$
    {85, 438, 2218},	// KPluginInfo::KPluginInfo$$
    {85, 439, 2219},	// KPluginInfo::KPluginInfo?
    {85, 1047, 2233},	// KPluginInfo::author
    {85, 1122, 2235},	// KPluginInfo::category
    {85, 1167, 2230},	// KPluginInfo::comment
    {85, 1176, 2245},	// KPluginInfo::config
    {85, 1338, 2248},	// KPluginInfo::defaults
    {85, 1350, 2241},	// KPluginInfo::dependencies
    {85, 1398, 2234},	// KPluginInfo::email
    {85, 1429, 2232},	// KPluginInfo::entryPath
    {85, 1620, 2258},	// KPluginInfo::fromFiles?
    {85, 1621, 2222},	// KPluginInfo::fromFiles?#
    {85, 1623, 2259},	// KPluginInfo::fromKPartsInstanceName$
    {85, 1624, 2223},	// KPluginInfo::fromKPartsInstanceName$#
    {85, 1632, 2257},	// KPluginInfo::fromServices?
    {85, 1633, 2221},	// KPluginInfo::fromServices?#
    {85, 1642, 2240},	// KPluginInfo::fullLicense
    {85, 1723, 2231},	// KPluginInfo::icon
    {85, 1833, 2224},	// KPluginInfo::isHidden
    {85, 1855, 2226},	// KPluginInfo::isPluginEnabled
    {85, 1856, 2227},	// KPluginInfo::isPluginEnabledByDefault
    {85, 1881, 2249},	// KPluginInfo::isValid
    {85, 1913, 2243},	// KPluginInfo::kcmServices
    {85, 1980, 2239},	// KPluginInfo::license
    {85, 1990, 2261},	// KPluginInfo::load
    {85, 1991, 2247},	// KPluginInfo::load#
    {85, 2112, 2229},	// KPluginInfo::name
    {85, 2169, 2253},	// KPluginInfo::operator!=#
    {85, 2179, 2254},	// KPluginInfo::operator<#
    {85, 2193, 2251},	// KPluginInfo::operator=#
    {85, 2196, 2252},	// KPluginInfo::operator==#
    {85, 2202, 2255},	// KPluginInfo::operator>#
    {85, 2251, 2236},	// KPluginInfo::pluginName
    {85, 2288, 2228},	// KPluginInfo::property$
    {85, 2470, 2260},	// KPluginInfo::save
    {85, 2471, 2246},	// KPluginInfo::save#
    {85, 2489, 2242},	// KPluginInfo::service
    {85, 2556, 2244},	// KPluginInfo::setConfig#
    {85, 2828, 2225},	// KPluginInfo::setPluginEnabled$
    {85, 3244, 2237},	// KPluginInfo::version
    {85, 3264, 2238},	// KPluginInfo::website
    {85, 3407, 2262},	// KPluginInfo::~KPluginInfo
    {86, 441, 2282},	// KPluginLoader::KPluginLoader#
    {86, 442, 2283},	// KPluginLoader::KPluginLoader##
    {86, 443, 2271},	// KPluginLoader::KPluginLoader###
    {86, 444, 2280},	// KPluginLoader::KPluginLoader$
    {86, 445, 2281},	// KPluginLoader::KPluginLoader$#
    {86, 446, 2270},	// KPluginLoader::KPluginLoader$##
    {86, 1445, 2275},	// KPluginLoader::errorString
    {86, 1493, 2272},	// KPluginLoader::factory
    {86, 1843, 2276},	// KPluginLoader::isLoaded
    {86, 1990, 2277},	// KPluginLoader::load
    {86, 2070, 2263},	// KPluginLoader::metaObject
    {86, 2251, 2273},	// KPluginLoader::pluginName
    {86, 2252, 2274},	// KPluginLoader::pluginVersion
    {86, 2310, 2269},	// KPluginLoader::qt_metacall$$?
    {86, 2312, 2264},	// KPluginLoader::qt_metacast$
    {86, 3040, 2284},	// KPluginLoader::staticMetaObject
    {86, 3142, 2278},	// KPluginLoader::tr$
    {86, 3143, 2265},	// KPluginLoader::tr$$
    {86, 3144, 2267},	// KPluginLoader::tr$$$
    {86, 3149, 2279},	// KPluginLoader::trUtf8$
    {86, 3150, 2266},	// KPluginLoader::trUtf8$$
    {86, 3151, 2268},	// KPluginLoader::trUtf8$$$
    {86, 3408, 2285},	// KPluginLoader::~KPluginLoader
    {87, 144, 2329},	// KProcess::ForwardedChannels
    {87, 447, 2318},	// KProcess::KProcess
    {87, 448, 2293},	// KProcess::KProcess#
    {87, 449, 2315},	// KProcess::KProcess##
    {87, 603, 2328},	// KProcess::MergedChannels
    {87, 647, 2331},	// KProcess::OnlyStderrChannel
    {87, 648, 2330},	// KProcess::OnlyStdoutChannel
    {87, 708, 2327},	// KProcess::SeparateChannels
    {87, 1153, 2299},	// KProcess::clearEnvironment
    {87, 1154, 2304},	// KProcess::clearProgram
    {87, 1459, 2321},	// KProcess::execute
    {87, 1460, -454},	// KProcess::execute$
    {87, 1461, 2323},	// KProcess::execute$?
    {87, 1462, 2309},	// KProcess::execute$?$
    {87, 1463, 2324},	// KProcess::execute?
    {87, 1464, 2310},	// KProcess::execute?$
    {87, 2070, 2286},	// KProcess::metaObject
    {87, 2185, 2302},	// KProcess::operator<<$
    {87, 2186, 2303},	// KProcess::operator<<?
    {87, 2220, 2295},	// KProcess::outputChannelMode
    {87, 2249, 2314},	// KProcess::pid
    {87, 2280, 2306},	// KProcess::program
    {87, 2310, 2292},	// KProcess::qt_metacall$$?
    {87, 2312, 2287},	// KProcess::qt_metacast$
    {87, 2629, 2319},	// KProcess::setEnv$$
    {87, 2630, 2297},	// KProcess::setEnv$$$
    {87, 2801, 2296},	// KProcess::setNextOpenMode$
    {87, 2813, 2294},	// KProcess::setOutputChannelMode$
    {87, 2844, 2320},	// KProcess::setProgram$
    {87, 2845, 2300},	// KProcess::setProgram$?
    {87, 2846, 2301},	// KProcess::setProgram?
    {87, 2872, 2305},	// KProcess::setShellCommand$
    {87, 2982, 2307},	// KProcess::start
    {87, 2984, 2311},	// KProcess::startDetached
    {87, 2985, 2325},	// KProcess::startDetached$
    {87, 2986, 2312},	// KProcess::startDetached$?
    {87, 2987, 2313},	// KProcess::startDetached?
    {87, 3040, 2326},	// KProcess::staticMetaObject
    {87, 3142, 2316},	// KProcess::tr$
    {87, 3143, 2288},	// KProcess::tr$$
    {87, 3144, 2290},	// KProcess::tr$$$
    {87, 3149, 2317},	// KProcess::trUtf8$
    {87, 3150, 2289},	// KProcess::trUtf8$$
    {87, 3151, 2291},	// KProcess::trUtf8$$$
    {87, 3199, 2298},	// KProcess::unsetEnv$
    {87, 3409, 2332},	// KProcess::~KProcess
    {89, 105, 2409},	// KProtocolInfo::DisplayName
    {89, 147, 2408},	// KProtocolInfo::FromUrl
    {89, 451, 2352},	// KProtocolInfo::KProtocolInfo#$
    {89, 614, 2407},	// KProtocolInfo::Name
    {89, 750, 2406},	// KProtocolInfo::T_ERROR
    {89, 751, 2404},	// KProtocolInfo::T_FILESYSTEM
    {89, 752, 2405},	// KProtocolInfo::T_NONE
    {89, 753, 2403},	// KProtocolInfo::T_STREAM
    {89, 1042, 2354},	// KProtocolInfo::archiveMimeTypes
    {89, 1110, 2357},	// KProtocolInfo::canDeleteRecursive
    {89, 1112, 2355},	// KProtocolInfo::canRenameFromFile
    {89, 1113, 2356},	// KProtocolInfo::canRenameToFile
    {89, 1115, 2350},	// KProtocolInfo::capabilities$
    {89, 1177, 2343},	// KProtocolInfo::config$
    {89, 1332, 2353},	// KProtocolInfo::defaultMimeType
    {89, 1369, 2346},	// KProtocolInfo::determineMimetypeFromExtension$
    {89, 1394, 2347},	// KProtocolInfo::docPath$
    {89, 1455, 2336},	// KProtocolInfo::exec$
    {89, 1488, 2337},	// KProtocolInfo::extraFields#
    {89, 1508, 2358},	// KProtocolInfo::fileNameUsedForCopying
    {89, 1724, 2342},	// KProtocolInfo::icon$
    {89, 1823, 2340},	// KProtocolInfo::isFilterProtocol#
    {89, 1824, 2341},	// KProtocolInfo::isFilterProtocol$
    {89, 1831, 2338},	// KProtocolInfo::isHelperProtocol#
    {89, 1832, 2339},	// KProtocolInfo::isHelperProtocol$
    {89, 1837, 2334},	// KProtocolInfo::isKnownProtocol#
    {89, 1838, 2335},	// KProtocolInfo::isKnownProtocol$
    {89, 2024, 2395},	// KProtocolInfo::m_canCopyFromFile
    {89, 2025, 2397},	// KProtocolInfo::m_canCopyToFile
    {89, 2026, 2399},	// KProtocolInfo::m_config
    {89, 2027, 2389},	// KProtocolInfo::m_defaultMimetype
    {89, 2028, 2391},	// KProtocolInfo::m_determineMimetypeFromExtension
    {89, 2030, 2361},	// KProtocolInfo::m_exec
    {89, 2031, 2393},	// KProtocolInfo::m_icon
    {89, 2032, 2363},	// KProtocolInfo::m_inputType
    {89, 2033, 2371},	// KProtocolInfo::m_isHelperProtocol
    {89, 2034, 2369},	// KProtocolInfo::m_isSourceProtocol
    {89, 2035, 2367},	// KProtocolInfo::m_listing
    {89, 2036, 2401},	// KProtocolInfo::m_maxSlaves
    {89, 2037, 2359},	// KProtocolInfo::m_name
    {89, 2038, 2365},	// KProtocolInfo::m_outputType
    {89, 2040, 2381},	// KProtocolInfo::m_supportsDeleting
    {89, 2041, 2383},	// KProtocolInfo::m_supportsLinking
    {89, 2042, 2373},	// KProtocolInfo::m_supportsListing
    {89, 2043, 2379},	// KProtocolInfo::m_supportsMakeDir
    {89, 2044, 2385},	// KProtocolInfo::m_supportsMoving
    {89, 2045, 2387},	// KProtocolInfo::m_supportsOpening
    {89, 2046, 2375},	// KProtocolInfo::m_supportsReading
    {89, 2047, 2377},	// KProtocolInfo::m_supportsWriting
    {89, 2061, 2344},	// KProtocolInfo::maxSlaves$
    {89, 2063, 2345},	// KProtocolInfo::maxSlavesPerHost$
    {89, 2297, 2348},	// KProtocolInfo::protocolClass$
    {89, 2298, 2333},	// KProtocolInfo::protocols
    {89, 2300, 2351},	// KProtocolInfo::proxiedBy$
    {89, 2715, 2396},	// KProtocolInfo::setM_canCopyFromFile$
    {89, 2717, 2398},	// KProtocolInfo::setM_canCopyToFile$
    {89, 2719, 2400},	// KProtocolInfo::setM_config$
    {89, 2721, 2390},	// KProtocolInfo::setM_defaultMimetype$
    {89, 2723, 2392},	// KProtocolInfo::setM_determineMimetypeFromExtension$
    {89, 2727, 2362},	// KProtocolInfo::setM_exec$
    {89, 2729, 2394},	// KProtocolInfo::setM_icon$
    {89, 2731, 2364},	// KProtocolInfo::setM_inputType$
    {89, 2733, 2372},	// KProtocolInfo::setM_isHelperProtocol$
    {89, 2735, 2370},	// KProtocolInfo::setM_isSourceProtocol$
    {89, 2737, 2368},	// KProtocolInfo::setM_listing?
    {89, 2739, 2402},	// KProtocolInfo::setM_maxSlaves$
    {89, 2741, 2360},	// KProtocolInfo::setM_name$
    {89, 2743, 2366},	// KProtocolInfo::setM_outputType$
    {89, 2747, 2382},	// KProtocolInfo::setM_supportsDeleting$
    {89, 2749, 2384},	// KProtocolInfo::setM_supportsLinking$
    {89, 2751, 2374},	// KProtocolInfo::setM_supportsListing$
    {89, 2753, 2380},	// KProtocolInfo::setM_supportsMakeDir$
    {89, 2755, 2386},	// KProtocolInfo::setM_supportsMoving$
    {89, 2757, 2388},	// KProtocolInfo::setM_supportsOpening$
    {89, 2759, 2376},	// KProtocolInfo::setM_supportsReading$
    {89, 2761, 2378},	// KProtocolInfo::setM_supportsWriting$
    {89, 2949, 2349},	// KProtocolInfo::showFilePreview$
    {89, 3410, 2410},	// KProtocolInfo::~KProtocolInfo
    {90, 83, 2419},	// KProtocolInfo::ExtraField::DateTime
    {90, 132, 2411},	// KProtocolInfo::ExtraField::ExtraField
    {90, 133, 2413},	// KProtocolInfo::ExtraField::ExtraField#
    {90, 134, 2412},	// KProtocolInfo::ExtraField::ExtraField$$
    {90, 180, 2420},	// KProtocolInfo::ExtraField::Invalid
    {90, 740, 2418},	// KProtocolInfo::ExtraField::String
    {90, 2112, 2414},	// KProtocolInfo::ExtraField::name
    {90, 2793, 2415},	// KProtocolInfo::ExtraField::setName$
    {90, 2916, 2417},	// KProtocolInfo::ExtraField::setType$
    {90, 3184, 2416},	// KProtocolInfo::ExtraField::type
    {90, 3343, 2421},	// KProtocolInfo::ExtraField::~ExtraField
    {91, 2330, 2423},	// KRandom::random
    {91, 2332, 2422},	// KRandom::randomString$
    {92, 452, 2432},	// KRandomSequence::KRandomSequence
    {92, 453, 2425},	// KRandomSequence::KRandomSequence#
    {92, 454, 2424},	// KRandomSequence::KRandomSequence$
    {92, 1645, 2430},	// KRandomSequence::getBool
    {92, 1648, 2428},	// KRandomSequence::getDouble
    {92, 1652, 2429},	// KRandomSequence::getLong$
    {92, 2082, 2431},	// KRandomSequence::modulate$
    {92, 2193, 2426},	// KRandomSequence::operator=#
    {92, 2865, 2433},	// KRandomSequence::setSeed
    {92, 2866, 2427},	// KRandomSequence::setSeed$
    {92, 3411, 2434},	// KRandomSequence::~KRandomSequence
    {93, 474, 2435},	// KSaveFile::KSaveFile
    {93, 475, 2450},	// KSaveFile::KSaveFile$
    {93, 476, 2436},	// KSaveFile::KSaveFile$#
    {93, 832, 2442},	// KSaveFile::abort
    {93, 1075, 2452},	// KSaveFile::backupFile$
    {93, 1076, 2446},	// KSaveFile::backupFile$$
    {93, 1381, 2445},	// KSaveFile::directWriteFallback
    {93, 1442, 2439},	// KSaveFile::error
    {93, 1445, 2440},	// KSaveFile::errorString
    {93, 1506, 2438},	// KSaveFile::fileName
    {93, 1510, 2443},	// KSaveFile::finalize
    {93, 2135, 2455},	// KSaveFile::numberedBackupFile$
    {93, 2136, 2456},	// KSaveFile::numberedBackupFile$$
    {93, 2137, 2457},	// KSaveFile::numberedBackupFile$$$
    {93, 2138, 2448},	// KSaveFile::numberedBackupFile$$$$
    {93, 2155, 2451},	// KSaveFile::open
    {93, 2156, 2441},	// KSaveFile::open$
    {93, 2336, 2458},	// KSaveFile::rcsBackupFile$
    {93, 2337, 2459},	// KSaveFile::rcsBackupFile$$
    {93, 2338, 2449},	// KSaveFile::rcsBackupFile$$$
    {93, 2620, 2444},	// KSaveFile::setDirectWriteFallback$
    {93, 2650, 2437},	// KSaveFile::setFileName$
    {93, 2953, 2453},	// KSaveFile::simpleBackupFile$
    {93, 2954, 2454},	// KSaveFile::simpleBackupFile$$
    {93, 2955, 2447},	// KSaveFile::simpleBackupFile$$$
    {93, 3412, 2460},	// KSaveFile::~KSaveFile
    {94, 78, 2518},	// KService::DBusMulti
    {94, 79, 2516},	// KService::DBusNone
    {94, 80, 2517},	// KService::DBusUnique
    {94, 81, 2519},	// KService::DBusWait
    {94, 478, 2463},	// KService::KService#
    {94, 479, 2464},	// KService::KService#$
    {94, 480, 2462},	// KService::KService$
    {94, 481, 2461},	// KService::KService$$$
    {94, 745, 2495},	// KService::SuSEunimportant
    {94, 846, 2491},	// KService::actions
    {94, 1023, 2512},	// KService::allServices
    {94, 1029, 2490},	// KService::allowAsDefault
    {94, 1031, 2492},	// KService::allowMultipleFiles
    {94, 1121, 2484},	// KService::categories
    {94, 1167, 2480},	// KService::comment
    {94, 1313, 2478},	// KService::dbusStartupType
    {94, 1361, 2475},	// KService::desktopEntryName
    {94, 1362, 2474},	// KService::desktopEntryPath
    {94, 1393, 2499},	// KService::docPath
    {94, 1454, 2467},	// KService::exec
    {94, 1644, 2481},	// KService::genericName
    {94, 1690, 2488},	// KService::hasMimeType#
    {94, 1691, 2489},	// KService::hasMimeType$
    {94, 1703, 2487},	// KService::hasServiceType$
    {94, 1723, 2469},	// KService::icon
    {94, 1749, 2493},	// KService::initialPreference
    {94, 1783, 2465},	// KService::isApplication
    {94, 1936, 2483},	// KService::keywords
    {94, 1977, 2468},	// KService::library
    {94, 2006, 2502},	// KService::locateLocal
    {94, 2066, 2476},	// KService::menuId
    {94, 2074, 2485},	// KService::mimeTypes
    {94, 2126, 2514},	// KService::newServicePath$$
    {94, 2127, 2515},	// KService::newServicePath$$$
    {94, 2128, 2513},	// KService::newServicePath$$$?
    {94, 2130, 2494},	// KService::noDisplay
    {94, 2223, 2497},	// KService::parentApp
    {94, 2234, 2479},	// KService::path
    {94, 2250, 2498},	// KService::pluginKeyword
    {94, 2288, 2501},	// KService::property$
    {94, 2289, 2500},	// KService::property$$
    {94, 2491, 2509},	// KService::serviceByDesktopName$
    {94, 2493, 2508},	// KService::serviceByDesktopPath$
    {94, 2495, 2510},	// KService::serviceByMenuId$
    {94, 2497, 2507},	// KService::serviceByName$
    {94, 2499, 2511},	// KService::serviceByStorageId$
    {94, 2505, 2486},	// KService::serviceTypes
    {94, 2644, 2506},	// KService::setExec$
    {94, 2777, 2503},	// KService::setMenuId$
    {94, 2891, 2504},	// KService::setTerminal$
    {94, 2893, 2505},	// KService::setTerminalOptions$
    {94, 2950, 2496},	// KService::showInKDE
    {94, 3048, 2477},	// KService::storageId
    {94, 3066, 2472},	// KService::substituteUid
    {94, 3096, 2470},	// KService::terminal
    {94, 3097, 2471},	// KService::terminalOptions
    {94, 3184, 2466},	// KService::type
    {94, 3200, 2482},	// KService::untranslatedGenericName
    {94, 3223, 2473},	// KService::username
    {94, 3413, 2520},	// KService::~KService
    {95, 482, 2522},	// KServiceAction::KServiceAction
    {95, 483, 2523},	// KServiceAction::KServiceAction#
    {95, 484, 2533},	// KServiceAction::KServiceAction$$$$
    {95, 485, 2521},	// KServiceAction::KServiceAction$$$$$
    {95, 1253, 2526},	// KServiceAction::data
    {95, 1454, 2530},	// KServiceAction::exec
    {95, 1723, 2529},	// KServiceAction::icon
    {95, 1864, 2532},	// KServiceAction::isSeparator
    {95, 2112, 2527},	// KServiceAction::name
    {95, 2130, 2531},	// KServiceAction::noDisplay
    {95, 2193, 2524},	// KServiceAction::operator=#
    {95, 2576, 2525},	// KServiceAction::setData#
    {95, 3101, 2528},	// KServiceAction::text
    {95, 3414, 2534},	// KServiceAction::~KServiceAction
    {96, 18, 2580},	// KServiceGroup::AllowSeparators
    {96, 127, 2579},	// KServiceGroup::ExcludeNoDisplay
    {96, 487, 2537},	// KServiceGroup::KServiceGroup#$$
    {96, 488, 2535},	// KServiceGroup::KServiceGroup$
    {96, 489, 2536},	// KServiceGroup::KServiceGroup$$
    {96, 627, 2577},	// KServiceGroup::NoOptions
    {96, 725, 2581},	// KServiceGroup::SortByGenericName
    {96, 726, 2578},	// KServiceGroup::SortEntries
    {96, 741, 2557},	// KServiceGroup::SuSEgeneralDescription
    {96, 742, 2556},	// KServiceGroup::SuSEshortMenu
    {96, 744, 2563},	// KServiceGroup::SuSEsortEntries??$$
    {96, 881, 2572},	// KServiceGroup::addEntry?
    {96, 986, 2562},	// KServiceGroup::addSortOrderEntry$
    {96, 1030, 2550},	// KServiceGroup::allowInline
    {96, 1087, 2568},	// KServiceGroup::baseGroup$
    {96, 1088, 2566},	// KServiceGroup::baseGroupName
    {96, 1116, 2539},	// KServiceGroup::caption
    {96, 1142, 2542},	// KServiceGroup::childCount
    {96, 1145, 2571},	// KServiceGroup::childGroup$
    {96, 1167, 2541},	// KServiceGroup::comment
    {96, 1384, 2567},	// KServiceGroup::directoryEntryPath
    {96, 1422, 2574},	// KServiceGroup::entries
    {96, 1423, 2561},	// KServiceGroup::entries$
    {96, 1424, 2560},	// KServiceGroup::entries$$
    {96, 1425, 2573},	// KServiceGroup::entries$$$
    {96, 1426, 2559},	// KServiceGroup::entries$$$$
    {96, 1660, 2570},	// KServiceGroup::group$
    {96, 1661, 2575},	// KServiceGroup::groupEntries
    {96, 1662, 2564},	// KServiceGroup::groupEntries$
    {96, 1723, 2540},	// KServiceGroup::icon
    {96, 1750, 2548},	// KServiceGroup::inlineAlias
    {96, 1751, 2552},	// KServiceGroup::inlineValue
    {96, 1972, 2558},	// KServiceGroup::layoutInfo
    {96, 2130, 2543},	// KServiceGroup::noDisplay
    {96, 2412, 2538},	// KServiceGroup::relPath
    {96, 2466, 2569},	// KServiceGroup::root
    {96, 2500, 2576},	// KServiceGroup::serviceEntries
    {96, 2501, 2565},	// KServiceGroup::serviceEntries$
    {96, 2513, 2551},	// KServiceGroup::setAllowInline$
    {96, 2673, 2549},	// KServiceGroup::setInlineAlias$
    {96, 2675, 2553},	// KServiceGroup::setInlineValue$
    {96, 2691, 2555},	// KServiceGroup::setLayoutInfo?
    {96, 2876, 2545},	// KServiceGroup::setShowEmptyMenu$
    {96, 2878, 2547},	// KServiceGroup::setShowInlineHeader$
    {96, 2946, 2544},	// KServiceGroup::showEmptyMenu
    {96, 2951, 2546},	// KServiceGroup::showInlineHeader
    {96, 3072, 2554},	// KServiceGroup::suppressGenericNames
    {96, 3415, 2582},	// KServiceGroup::~KServiceGroup
    {97, 491, -148},	// KServiceType::KServiceType#
    {97, 492, 2584},	// KServiceType::KServiceType#$
    {97, 493, 2599},	// KServiceType::KServiceType#$$
    {97, 1022, 2597},	// KServiceType::allServiceTypes
    {97, 1167, 2585},	// KServiceType::comment
    {97, 1362, 2586},	// KServiceType::desktopEntryPath
    {97, 1740, 2589},	// KServiceType::inherits$
    {97, 1807, 2587},	// KServiceType::isDerived
    {97, 2226, 2588},	// KServiceType::parentServiceType
    {97, 2227, 2593},	// KServiceType::parentType
    {97, 2291, 2590},	// KServiceType::propertyDef$
    {97, 2292, 2591},	// KServiceType::propertyDefNames
    {97, 2293, 2592},	// KServiceType::propertyDefs
    {97, 2502, 2595},	// KServiceType::serviceOffersOffset
    {97, 2504, 2596},	// KServiceType::serviceType$
    {97, 2868, 2594},	// KServiceType::setServiceOffersOffset$
    {97, 3416, 2600},	// KServiceType::~KServiceType
    {99, 1039, 2605},	// KServiceTypeTrader::applyConstraints?$
    {99, 1335, 2607},	// KServiceTypeTrader::defaultOffers$
    {99, 1336, 2602},	// KServiceTypeTrader::defaultOffers$$
    {99, 2264, 2603},	// KServiceTypeTrader::preferredService$
    {99, 2314, 2606},	// KServiceTypeTrader::query$
    {99, 2315, 2601},	// KServiceTypeTrader::query$$
    {99, 2486, 2604},	// KServiceTypeTrader::self
    {99, 3417, 2608},	// KServiceTypeTrader::~KServiceTypeTrader
    {100, 2159, 2611},	// KSharedConfig::openConfig
    {100, 2160, 2614},	// KSharedConfig::openConfig#
    {100, 2161, 2615},	// KSharedConfig::openConfig#$
    {100, 2162, 2616},	// KSharedConfig::openConfig#$$
    {100, 2163, 2610},	// KSharedConfig::openConfig#$$$
    {100, 2164, 2612},	// KSharedConfig::openConfig$
    {100, 2165, 2613},	// KSharedConfig::openConfig$$
    {100, 2166, 2609},	// KSharedConfig::openConfig$$$
    {100, 3418, 2617},	// KSharedConfig::~KSharedConfig
    {101, 2, 2626},	// KShell::AbortOnMeta
    {101, 38, 2628},	// KShell::BadQuoting
    {101, 146, 2629},	// KShell::FoundMeta
    {101, 624, 2627},	// KShell::NoError
    {101, 627, 2624},	// KShell::NoOptions
    {101, 761, 2625},	// KShell::TildeExpand
    {101, 1897, 2623},	// KShell::joinArgs?
    {101, 2322, 2622},	// KShell::quoteArg$
    {101, 2973, 2620},	// KShell::splitArgs$
    {101, 2974, 2621},	// KShell::splitArgs$$
    {101, 2975, 2619},	// KShell::splitArgs$$$
    {101, 3104, 2618},	// KShell::tildeExpand$
    {102, 1181, 2648},	// KSocketFactory::connectToHost#
    {102, 1182, -457},	// KSocketFactory::connectToHost##
    {102, 1183, 2644},	// KSocketFactory::connectToHost#$$$
    {102, 1184, 2631},	// KSocketFactory::connectToHost$$$
    {102, 1185, 2630},	// KSocketFactory::connectToHost$$$#
    {102, 1259, 2640},	// KSocketFactory::datagramSocket$$
    {102, 1260, 2639},	// KSocketFactory::datagramSocket$$#
    {102, 1985, 2636},	// KSocketFactory::listen$
    {102, 1986, 2637},	// KSocketFactory::listen$#
    {102, 1987, 2638},	// KSocketFactory::listen$#$
    {102, 1988, 2635},	// KSocketFactory::listen$#$#
    {102, 2302, 2645},	// KSocketFactory::proxyForConnection$$
    {102, 2304, 2646},	// KSocketFactory::proxyForDatagram$$
    {102, 2306, 2652},	// KSocketFactory::proxyForListening$
    {102, 3081, 2642},	// KSocketFactory::synchronousConnectToHost#
    {102, 3082, 2651},	// KSocketFactory::synchronousConnectToHost##
    {102, 3083, 2650},	// KSocketFactory::synchronousConnectToHost##$
    {102, 3084, 2643},	// KSocketFactory::synchronousConnectToHost#$
    {102, 3085, 2641},	// KSocketFactory::synchronousConnectToHost#$#
    {102, 3086, 2654},	// KSocketFactory::synchronousConnectToHost#$$$
    {102, 3087, 2653},	// KSocketFactory::synchronousConnectToHost#$$$$
    {102, 3088, 2633},	// KSocketFactory::synchronousConnectToHost$$$
    {102, 3089, 2634},	// KSocketFactory::synchronousConnectToHost$$$$
    {102, 3090, 2632},	// KSocketFactory::synchronousConnectToHost$$$$#
    {103, 173, 2716},	// KStandardDirs::IgnoreExecBit
    {103, 494, 2655},	// KStandardDirs::KStandardDirs
    {103, 623, 2715},	// KStandardDirs::NoDuplicates
    {103, 630, 2713},	// KStandardDirs::NoSearchOptions
    {103, 693, 2714},	// KStandardDirs::Recursive
    {103, 874, 2673},	// KStandardDirs::addCustomized#
    {103, 973, 2656},	// KStandardDirs::addPrefix$
    {103, 977, 2697},	// KStandardDirs::addResourceDir$$
    {103, 978, 2662},	// KStandardDirs::addResourceDir$$$
    {103, 980, 2694},	// KStandardDirs::addResourceType$$
    {103, 981, -22},	// KStandardDirs::addResourceType$$$
    {103, 982, -26},	// KStandardDirs::addResourceType$$$$
    {103, 1003, 2657},	// KStandardDirs::addXdgConfigPrefix$
    {103, 1005, 2658},	// KStandardDirs::addXdgDataPrefix$
    {103, 1026, 2675},	// KStandardDirs::allTypes
    {103, 1096, 2699},	// KStandardDirs::calcResourceHash$$
    {103, 1097, 2665},	// KStandardDirs::calcResourceHash$$$
    {103, 1131, 2693},	// KStandardDirs::checkAccess$$
    {103, 1470, 2687},	// KStandardDirs::exists$
    {103, 1512, 2705},	// KStandardDirs::findAllExe?$
    {103, 1513, 2706},	// KStandardDirs::findAllExe?$$
    {103, 1514, 2672},	// KStandardDirs::findAllExe?$$$
    {103, 1516, 2700},	// KStandardDirs::findAllResources$
    {103, 1517, 2701},	// KStandardDirs::findAllResources$$
    {103, 1518, 2668},	// KStandardDirs::findAllResources$$$
    {103, 1519, 2669},	// KStandardDirs::findAllResources$$$?
    {103, 1544, 2666},	// KStandardDirs::findDirs$$
    {103, 1548, 2703},	// KStandardDirs::findExe$
    {103, 1549, 2704},	// KStandardDirs::findExe$$
    {103, 1550, 2671},	// KStandardDirs::findExe$$$
    {103, 1563, 2663},	// KStandardDirs::findResource$$
    {103, 1565, 2667},	// KStandardDirs::findResourceDir$$
    {103, 1755, 2686},	// KStandardDirs::installPath$
    {103, 1861, 2698},	// KStandardDirs::isRestrictedResource$
    {103, 1862, 2664},	// KStandardDirs::isRestrictedResource$$
    {103, 1917, 2679},	// KStandardDirs::kde_default$
    {103, 1937, 2680},	// KStandardDirs::kfsstnd_prefixes
    {103, 1938, 2681},	// KStandardDirs::kfsstnd_xdg_conf_prefixes
    {103, 1939, 2682},	// KStandardDirs::kfsstnd_xdg_data_prefixes
    {103, 2000, 2683},	// KStandardDirs::localkdedir
    {103, 2001, 2685},	// KStandardDirs::localxdgconfdir
    {103, 2002, 2684},	// KStandardDirs::localxdgdatadir
    {103, 2004, 2710},	// KStandardDirs::locate$$
    {103, 2005, 2690},	// KStandardDirs::locate$$#
    {103, 2008, 2711},	// KStandardDirs::locateLocal$$
    {103, 2009, 2691},	// KStandardDirs::locateLocal$$#
    {103, 2010, 2712},	// KStandardDirs::locateLocal$$$
    {103, 2011, 2692},	// KStandardDirs::locateLocal$$$#
    {103, 2051, 2709},	// KStandardDirs::makeDir$
    {103, 2052, 2678},	// KStandardDirs::makeDir$$
    {103, 2402, 2689},	// KStandardDirs::realFilePath$
    {103, 2405, 2688},	// KStandardDirs::realPath$
    {103, 2414, 2677},	// KStandardDirs::relativeLocation$$
    {103, 2458, 2674},	// KStandardDirs::resourceDirs$
    {103, 2475, 2707},	// KStandardDirs::saveLocation$
    {103, 2476, 2708},	// KStandardDirs::saveLocation$$
    {103, 2477, 2676},	// KStandardDirs::saveLocation$$$
    {103, 3091, 2702},	// KStandardDirs::systemPaths
    {103, 3092, 2670},	// KStandardDirs::systemPaths$
    {103, 3419, 2717},	// KStandardDirs::~KStandardDirs
    {104, 1118, 2734},	// KStringHandler::capwords$
    {104, 1119, 2723},	// KStringHandler::capwords?
    {104, 1229, 2733},	// KStringHandler::csqueeze$
    {104, 1230, 2732},	// KStringHandler::csqueeze$$
    {104, 1615, 2735},	// KStringHandler::from8Bit$
    {104, 1880, 2736},	// KStringHandler::isUtf8$
    {104, 2018, 2727},	// KStringHandler::lsqueeze$
    {104, 2019, 2726},	// KStringHandler::lsqueeze$$
    {104, 2119, 2725},	// KStringHandler::naturalCompare$$
    {104, 2120, 2724},	// KStringHandler::naturalCompare$$$
    {104, 2142, 2722},	// KStringHandler::obscure$
    {104, 2243, -309},	// KStringHandler::perlSplit#$
    {104, 2244, -312},	// KStringHandler::perlSplit#$$
    {104, 2245, 2730},	// KStringHandler::perlSplit$$
    {104, 2246, 2729},	// KStringHandler::perlSplit$$$
    {104, 2262, 2728},	// KStringHandler::preProcessWrap$
    {104, 2468, 2738},	// KStringHandler::rsqueeze$
    {104, 2469, 2737},	// KStringHandler::rsqueeze$$
    {104, 3094, 2731},	// KStringHandler::tagUrls$
    {105, 151, 2774},	// KSycoca::GlobalDatabase
    {105, 496, 2746},	// KSycoca::KSycoca$
    {105, 587, 2773},	// KSycoca::LocalDatabase
    {105, 835, 2769},	// KSycoca::absoluteFilePath
    {105, 836, 2752},	// KSycoca::absoluteFilePath?
    {105, 883, 2757},	// KSycoca::addFactory#
    {105, 1021, 2756},	// KSycoca::allResourceDirs
    {105, 1256, 2763},	// KSycoca::databaseChanged
    {105, 1257, 2764},	// KSycoca::databaseChanged?
    {105, 1386, 2759},	// KSycoca::disableAutoRebuild
    {105, 1492, 2765},	// KSycoca::factories
    {105, 1546, 2749},	// KSycoca::findEntry$$
    {105, 1552, 2750},	// KSycoca::findFactory$
    {105, 1575, 2761},	// KSycoca::flagError
    {105, 1791, 2748},	// KSycoca::isAvailable
    {105, 1796, 2758},	// KSycoca::isBuilding
    {105, 1798, 2760},	// KSycoca::isChanged$
    {105, 1937, 2751},	// KSycoca::kfsstnd_prefixes
    {105, 1957, 2753},	// KSycoca::language
    {105, 2039, 2771},	// KSycoca::m_str_deprecated
    {105, 2070, 2739},	// KSycoca::metaObject
    {105, 2310, 2745},	// KSycoca::qt_metacall$$?
    {105, 2312, 2740},	// KSycoca::qt_metacast$
    {105, 2366, 2762},	// KSycoca::readError
    {105, 2745, 2772},	// KSycoca::setM_str_deprecated#
    {105, 3040, 2770},	// KSycoca::staticMetaObject
    {105, 3051, 2766},	// KSycoca::stream
    {105, 3108, 2754},	// KSycoca::timeStamp
    {105, 3142, 2767},	// KSycoca::tr$
    {105, 3143, 2741},	// KSycoca::tr$$
    {105, 3144, 2743},	// KSycoca::tr$$$
    {105, 3149, 2768},	// KSycoca::trUtf8$
    {105, 3150, 2742},	// KSycoca::trUtf8$$
    {105, 3151, 2744},	// KSycoca::trUtf8$$$
    {105, 3208, 2755},	// KSycoca::updateSignature
    {105, 3244, 2747},	// KSycoca::version
    {105, 3420, 2775},	// KSycoca::~KSycoca
    {106, 497, 2776},	// KSycocaEntry::KSycocaEntry
    {106, 498, 2792},	// KSycocaEntry::KSycocaEntry#
    {106, 1429, 2782},	// KSycocaEntry::entryPath
    {106, 1806, 2785},	// KSycocaEntry::isDeleted
    {106, 1864, 2789},	// KSycocaEntry::isSeparator
    {106, 1877, 2777},	// KSycocaEntry::isType$
    {106, 1881, 2784},	// KSycocaEntry::isValid
    {106, 2112, 2781},	// KSycocaEntry::name
    {106, 2145, 2790},	// KSycocaEntry::offset
    {106, 2288, 2786},	// KSycocaEntry::property$
    {106, 2294, 2787},	// KSycocaEntry::propertyNames
    {106, 2340, 2779},	// KSycocaEntry::read#$
    {106, 2341, 2780},	// KSycocaEntry::read#?
    {106, 2471, 2791},	// KSycocaEntry::save#
    {106, 2611, 2788},	// KSycocaEntry::setDeleted$
    {106, 3048, 2783},	// KSycocaEntry::storageId
    {106, 3077, 2778},	// KSycocaEntry::sycocaType
    {106, 3421, 2793},	// KSycocaEntry::~KSycocaEntry
    {110, 500, 2795},	// KSystemTimeZone::KSystemTimeZone#
    {110, 501, 2796},	// KSystemTimeZone::KSystemTimeZone#$
    {110, 502, 2797},	// KSystemTimeZone::KSystemTimeZone#$$
    {110, 503, 2798},	// KSystemTimeZone::KSystemTimeZone#$$$
    {110, 504, 2799},	// KSystemTimeZone::KSystemTimeZone#$$$$
    {110, 505, 2794},	// KSystemTimeZone::KSystemTimeZone#$$$$$
    {110, 3422, 2800},	// KSystemTimeZone::~KSystemTimeZone
    {111, 507, 2809},	// KSystemTimeZoneBackend::KSystemTimeZoneBackend#
    {111, 508, 2801},	// KSystemTimeZoneBackend::KSystemTimeZoneBackend#$$$$$
    {111, 1156, 2802},	// KSystemTimeZoneBackend::clone
    {111, 1812, 2808},	// KSystemTimeZoneBackend::isDst#$
    {111, 1816, 2807},	// KSystemTimeZoneBackend::isDstAtUtc##
    {111, 2146, 2806},	// KSystemTimeZoneBackend::offset#$
    {111, 2150, 2805},	// KSystemTimeZoneBackend::offsetAtUtc##
    {111, 2153, 2804},	// KSystemTimeZoneBackend::offsetAtZoneTime##$
    {111, 3184, 2803},	// KSystemTimeZoneBackend::type
    {111, 3423, 2810},	// KSystemTimeZoneBackend::~KSystemTimeZoneBackend
    {112, 509, 2811},	// KSystemTimeZoneSource::KSystemTimeZoneSource
    {112, 510, 2815},	// KSystemTimeZoneSource::KSystemTimeZoneSource#
    {112, 1421, 2814},	// KSystemTimeZoneSource::endParseBlock
    {112, 2230, 2812},	// KSystemTimeZoneSource::parse#
    {112, 2988, 2813},	// KSystemTimeZoneSource::startParseBlock
    {112, 3424, 2816},	// KSystemTimeZoneSource::~KSystemTimeZoneSource
    {113, 1870, 2831},	// KSystemTimeZones::isSimulated
    {113, 1875, 2833},	// KSystemTimeZones::isTimeZoneDaemonAvailable
    {113, 1994, 2828},	// KSystemTimeZones::local
    {113, 2070, 2817},	// KSystemTimeZones::metaObject
    {113, 2310, 2823},	// KSystemTimeZones::qt_metacall$$?
    {113, 2312, 2818},	// KSystemTimeZones::qt_metacast$
    {113, 2399, 2827},	// KSystemTimeZones::readZone$
    {113, 2403, 2829},	// KSystemTimeZones::realLocalZone
    {113, 2701, 2830},	// KSystemTimeZones::setLocalZone#
    {113, 3040, 2836},	// KSystemTimeZones::staticMetaObject
    {113, 3111, 2824},	// KSystemTimeZones::timeZones
    {113, 3142, 2834},	// KSystemTimeZones::tr$
    {113, 3143, 2819},	// KSystemTimeZones::tr$$
    {113, 3144, 2821},	// KSystemTimeZones::tr$$$
    {113, 3149, 2835},	// KSystemTimeZones::trUtf8$
    {113, 3150, 2820},	// KSystemTimeZones::trUtf8$$
    {113, 3151, 2822},	// KSystemTimeZones::trUtf8$$$
    {113, 3334, 2826},	// KSystemTimeZones::zone$
    {113, 3335, 2832},	// KSystemTimeZones::zoneinfoDir
    {113, 3336, 2825},	// KSystemTimeZones::zones
    {113, 3425, 2837},	// KSystemTimeZones::~KSystemTimeZones
    {114, 511, 2847},	// KTempDir::KTempDir
    {114, 512, 2848},	// KTempDir::KTempDir$
    {114, 513, 2838},	// KTempDir::KTempDir$$
    {114, 1060, 2840},	// KTempDir::autoRemove
    {114, 1220, 2846},	// KTempDir::create$$
    {114, 1469, 2844},	// KTempDir::exists
    {114, 2112, 2842},	// KTempDir::name
    {114, 2429, 2845},	// KTempDir::removeDir$
    {114, 2532, 2839},	// KTempDir::setAutoRemove$
    {114, 3043, 2841},	// KTempDir::status
    {114, 3190, 2843},	// KTempDir::unlink
    {114, 3426, 2849},	// KTempDir::~KTempDir
    {115, 514, 2853},	// KTemporaryFile::KTemporaryFile
    {115, 515, 2850},	// KTemporaryFile::KTemporaryFile#
    {115, 2836, 2851},	// KTemporaryFile::setPrefix$
    {115, 2889, 2852},	// KTemporaryFile::setSuffix$
    {115, 3427, 2854},	// KTemporaryFile::~KTemporaryFile
    {116, 183, 2909},	// KTimeZone::InvalidOffset
    {116, 184, 2910},	// KTimeZone::InvalidTime_t
    {116, 516, 2855},	// KTimeZone::KTimeZone
    {116, 517, -180},	// KTimeZone::KTimeZone#
    {116, 518, 2856},	// KTimeZone::KTimeZone$
    {116, 777, 2911},	// KTimeZone::UNKNOWN
    {116, 830, 2869},	// KTimeZone::abbreviation#
    {116, 831, 2868},	// KTimeZone::abbreviations
    {116, 1167, 2867},	// KTimeZone::comment
    {116, 1194, 2871},	// KTimeZone::convert##
    {116, 1209, 2864},	// KTimeZone::countryCode
    {116, 1245, 2897},	// KTimeZone::currentOffset
    {116, 1246, 2874},	// KTimeZone::currentOffset$
    {116, 1253, 2907},	// KTimeZone::data
    {116, 1254, 2889},	// KTimeZone::data$
    {116, 1641, 2891},	// KTimeZone::fromTime_t$
    {116, 1708, 2881},	// KTimeZone::hasTransitions
    {116, 1813, 2879},	// KTimeZone::isDst$
    {116, 1815, 2878},	// KTimeZone::isDstAtUtc#
    {116, 1881, 2862},	// KTimeZone::isValid
    {116, 1971, 2865},	// KTimeZone::latitude
    {116, 1975, 2886},	// KTimeZone::leapSecondChanges
    {116, 2016, 2866},	// KTimeZone::longitude
    {116, 2112, 2863},	// KTimeZone::name
    {116, 2147, 2877},	// KTimeZone::offset$
    {116, 2149, 2876},	// KTimeZone::offsetAtUtc#
    {116, 2152, 2898},	// KTimeZone::offsetAtZoneTime#
    {116, 2154, 2875},	// KTimeZone::offsetAtZoneTime#$
    {116, 2169, 2860},	// KTimeZone::operator!=#
    {116, 2193, 2858},	// KTimeZone::operator=#
    {116, 2196, 2859},	// KTimeZone::operator==#
    {116, 2229, 2888},	// KTimeZone::parse
    {116, 2248, 2880},	// KTimeZone::phases
    {116, 2576, 2908},	// KTimeZone::setData#
    {116, 2577, 2895},	// KTimeZone::setData##
    {116, 2965, 2887},	// KTimeZone::source
    {116, 3129, 2892},	// KTimeZone::toTime_t#
    {116, 3131, 2872},	// KTimeZone::toUtc#
    {116, 3135, 2896},	// KTimeZone::toZoneTime#
    {116, 3136, 2873},	// KTimeZone::toZoneTime#$
    {116, 3155, 2901},	// KTimeZone::transition#
    {116, 3156, 2902},	// KTimeZone::transition#?
    {116, 3157, 2883},	// KTimeZone::transition#?$
    {116, 3159, 2903},	// KTimeZone::transitionIndex#
    {116, 3160, 2904},	// KTimeZone::transitionIndex#$
    {116, 3161, 2884},	// KTimeZone::transitionIndex#$$
    {116, 3163, 2905},	// KTimeZone::transitionTimes#
    {116, 3164, 2906},	// KTimeZone::transitionTimes##
    {116, 3165, 2885},	// KTimeZone::transitionTimes###
    {116, 3166, 2899},	// KTimeZone::transitions
    {116, 3167, 2900},	// KTimeZone::transitions#
    {116, 3168, 2882},	// KTimeZone::transitions##
    {116, 3184, 2861},	// KTimeZone::type
    {116, 3207, 2890},	// KTimeZone::updateBase#
    {116, 3230, 2893},	// KTimeZone::utc
    {116, 3232, 2870},	// KTimeZone::utcOffsets
    {116, 3428, 2912},	// KTimeZone::~KTimeZone
    {117, 567, 2913},	// KTimeZone::LeapSeconds::LeapSeconds
    {117, 568, 2915},	// KTimeZone::LeapSeconds::LeapSeconds#
    {117, 569, 2922},	// KTimeZone::LeapSeconds::LeapSeconds#$
    {117, 570, 2914},	// KTimeZone::LeapSeconds::LeapSeconds#$$
    {117, 1167, 2921},	// KTimeZone::LeapSeconds::comment
    {117, 1269, 2919},	// KTimeZone::LeapSeconds::dateTime
    {117, 1881, 2918},	// KTimeZone::LeapSeconds::isValid
    {117, 1976, 2920},	// KTimeZone::LeapSeconds::leapSeconds
    {117, 2179, 2917},	// KTimeZone::LeapSeconds::operator<#
    {117, 2193, 2916},	// KTimeZone::LeapSeconds::operator=#
    {117, 3441, 2923},	// KTimeZone::LeapSeconds::~LeapSeconds
    {118, 662, 2924},	// KTimeZone::Phase::Phase
    {118, 663, 2927},	// KTimeZone::Phase::Phase#
    {118, 664, 2935},	// KTimeZone::Phase::Phase$#$
    {118, 665, 2925},	// KTimeZone::Phase::Phase$#$$
    {118, 666, 2936},	// KTimeZone::Phase::Phase$?$
    {118, 667, 2926},	// KTimeZone::Phase::Phase$?$$
    {118, 831, 2932},	// KTimeZone::Phase::abbreviations
    {118, 1167, 2934},	// KTimeZone::Phase::comment
    {118, 1811, 2933},	// KTimeZone::Phase::isDst
    {118, 2169, 2930},	// KTimeZone::Phase::operator!=#
    {118, 2193, 2928},	// KTimeZone::Phase::operator=#
    {118, 2196, 2929},	// KTimeZone::Phase::operator==#
    {118, 3231, 2931},	// KTimeZone::Phase::utcOffset
    {118, 3443, 2937},	// KTimeZone::Phase::~Phase
    {119, 772, 2938},	// KTimeZone::Transition::Transition
    {119, 773, 2940},	// KTimeZone::Transition::Transition#
    {119, 774, 2939},	// KTimeZone::Transition::Transition##
    {119, 2179, 2944},	// KTimeZone::Transition::operator<#
    {119, 2193, 2941},	// KTimeZone::Transition::operator=#
    {119, 2247, 2943},	// KTimeZone::Transition::phase
    {119, 3105, 2942},	// KTimeZone::Transition::time
    {119, 3446, 2945},	// KTimeZone::Transition::~Transition
    {120, 519, 2946},	// KTimeZoneBackend::KTimeZoneBackend
    {120, 520, 2948},	// KTimeZoneBackend::KTimeZoneBackend#
    {120, 521, 2959},	// KTimeZoneBackend::KTimeZoneBackend#$
    {120, 522, 2960},	// KTimeZoneBackend::KTimeZoneBackend#$$
    {120, 523, 2961},	// KTimeZoneBackend::KTimeZoneBackend#$$$
    {120, 524, 2962},	// KTimeZoneBackend::KTimeZoneBackend#$$$$
    {120, 525, 2958},	// KTimeZoneBackend::KTimeZoneBackend#$$$$$
    {120, 526, 2947},	// KTimeZoneBackend::KTimeZoneBackend$
    {120, 1156, 2950},	// KTimeZoneBackend::clone
    {120, 1709, 2957},	// KTimeZoneBackend::hasTransitions#
    {120, 1812, 2956},	// KTimeZoneBackend::isDst#$
    {120, 1816, 2955},	// KTimeZoneBackend::isDstAtUtc##
    {120, 2146, 2954},	// KTimeZoneBackend::offset#$
    {120, 2150, 2953},	// KTimeZoneBackend::offsetAtUtc##
    {120, 2153, 2952},	// KTimeZoneBackend::offsetAtZoneTime##$
    {120, 2193, 2949},	// KTimeZoneBackend::operator=#
    {120, 3184, 2951},	// KTimeZoneBackend::type
    {120, 3429, 2963},	// KTimeZoneBackend::~KTimeZoneBackend
    {121, 527, 2964},	// KTimeZoneData::KTimeZoneData
    {121, 528, 2965},	// KTimeZoneData::KTimeZoneData#
    {121, 830, 2969},	// KTimeZoneData::abbreviation#
    {121, 831, 2968},	// KTimeZoneData::abbreviations
    {121, 1156, 2967},	// KTimeZoneData::clone
    {121, 1708, 2973},	// KTimeZoneData::hasTransitions
    {121, 1974, 2979},	// KTimeZoneData::leapSecondChange#
    {121, 1975, 2978},	// KTimeZoneData::leapSecondChanges
    {121, 2193, 2966},	// KTimeZoneData::operator=#
    {121, 2248, 2972},	// KTimeZoneData::phases
    {121, 2270, 2971},	// KTimeZoneData::previousUtcOffset
    {121, 2693, 2983},	// KTimeZoneData::setLeapSecondChanges?
    {121, 2825, 2980},	// KTimeZoneData::setPhases?#
    {121, 2826, 2981},	// KTimeZoneData::setPhases?$
    {121, 2911, 2982},	// KTimeZoneData::setTransitions?
    {121, 3155, 2986},	// KTimeZoneData::transition#
    {121, 3156, 2987},	// KTimeZoneData::transition#?
    {121, 3157, 2975},	// KTimeZoneData::transition#?$
    {121, 3159, 2988},	// KTimeZoneData::transitionIndex#
    {121, 3160, 2989},	// KTimeZoneData::transitionIndex#$
    {121, 3161, 2976},	// KTimeZoneData::transitionIndex#$$
    {121, 3163, 2990},	// KTimeZoneData::transitionTimes#
    {121, 3164, 2991},	// KTimeZoneData::transitionTimes##
    {121, 3165, 2977},	// KTimeZoneData::transitionTimes###
    {121, 3166, 2984},	// KTimeZoneData::transitions
    {121, 3167, 2985},	// KTimeZoneData::transitions#
    {121, 3168, 2974},	// KTimeZoneData::transitions##
    {121, 3232, 2970},	// KTimeZoneData::utcOffsets
    {121, 3430, 2992},	// KTimeZoneData::~KTimeZoneData
    {122, 529, 2993},	// KTimeZoneSource::KTimeZoneSource
    {122, 530, 2997},	// KTimeZoneSource::KTimeZoneSource#
    {122, 531, 2996},	// KTimeZoneSource::KTimeZoneSource$
    {122, 2230, 2994},	// KTimeZoneSource::parse#
    {122, 3219, 2995},	// KTimeZoneSource::useZoneParse
    {122, 3431, 2998},	// KTimeZoneSource::~KTimeZoneSource
    {123, 532, 2999},	// KTimeZones::KTimeZones
    {123, 849, 3002},	// KTimeZones::add#
    {123, 1152, 3005},	// KTimeZones::clear
    {123, 2422, 3003},	// KTimeZones::remove#
    {123, 2423, 3004},	// KTimeZones::remove$
    {123, 3334, 3000},	// KTimeZones::zone$
    {123, 3336, 3001},	// KTimeZones::zones
    {123, 3432, 3006},	// KTimeZones::~KTimeZones
    {124, 1761, 3042},	// KToolInvocation::invokeBrowser$
    {124, 1762, 3019},	// KToolInvocation::invokeBrowser$#
    {124, 1763, 3033},	// KToolInvocation::invokeHelp
    {124, 1764, 3034},	// KToolInvocation::invokeHelp$
    {124, 1765, 3035},	// KToolInvocation::invokeHelp$$
    {124, 1766, 3015},	// KToolInvocation::invokeHelp$$#
    {124, 1768, 3037},	// KToolInvocation::invokeMailer#
    {124, 1769, 3038},	// KToolInvocation::invokeMailer##
    {124, 1770, 3017},	// KToolInvocation::invokeMailer##$
    {124, 1771, 3036},	// KToolInvocation::invokeMailer$$
    {124, 1772, 3016},	// KToolInvocation::invokeMailer$$#
    {124, 1773, 3039},	// KToolInvocation::invokeMailer$$$$$
    {124, 1774, 3040},	// KToolInvocation::invokeMailer$$$$$$
    {124, 1775, 3041},	// KToolInvocation::invokeMailer$$$$$$?
    {124, 1776, 3018},	// KToolInvocation::invokeMailer$$$$$$?#
    {124, 1778, 3043},	// KToolInvocation::invokeTerminal$
    {124, 1779, 3044},	// KToolInvocation::invokeTerminal$$
    {124, 1780, 3020},	// KToolInvocation::invokeTerminal$$#
    {124, 1910, 3030},	// KToolInvocation::kapplication_hook?#
    {124, 1919, 3078},	// KToolInvocation::kdeinitExec$
    {124, 1920, 3079},	// KToolInvocation::kdeinitExec$?
    {124, 1921, 3080},	// KToolInvocation::kdeinitExec$?$
    {124, 1922, 3081},	// KToolInvocation::kdeinitExec$?$$
    {124, 1923, 3028},	// KToolInvocation::kdeinitExec$?$$#
    {124, 1925, 3082},	// KToolInvocation::kdeinitExecWait$
    {124, 1926, 3083},	// KToolInvocation::kdeinitExecWait$?
    {124, 1927, 3084},	// KToolInvocation::kdeinitExecWait$?$
    {124, 1928, 3085},	// KToolInvocation::kdeinitExecWait$?$$
    {124, 1929, 3029},	// KToolInvocation::kdeinitExecWait$?$$#
    {124, 1950, 3021},	// KToolInvocation::klauncher
    {124, 2070, 3007},	// KToolInvocation::metaObject
    {124, 2310, 3013},	// KToolInvocation::qt_metacall$$?
    {124, 2312, 3008},	// KToolInvocation::qt_metacast$
    {124, 2486, 3014},	// KToolInvocation::self
    {124, 2991, 3072},	// KToolInvocation::startServiceByDesktopName$
    {124, 2992, 3067},	// KToolInvocation::startServiceByDesktopName$$
    {124, 2993, 3068},	// KToolInvocation::startServiceByDesktopName$$$
    {124, 2994, 3069},	// KToolInvocation::startServiceByDesktopName$$$$
    {124, 2995, 3070},	// KToolInvocation::startServiceByDesktopName$$$$$
    {124, 2996, 3071},	// KToolInvocation::startServiceByDesktopName$$$$$#
    {124, 2997, 3026},	// KToolInvocation::startServiceByDesktopName$$$$$#$
    {124, 2998, 3073},	// KToolInvocation::startServiceByDesktopName$?
    {124, 2999, 3074},	// KToolInvocation::startServiceByDesktopName$?$
    {124, 3000, 3075},	// KToolInvocation::startServiceByDesktopName$?$$
    {124, 3001, 3076},	// KToolInvocation::startServiceByDesktopName$?$$$
    {124, 3002, 3077},	// KToolInvocation::startServiceByDesktopName$?$$$#
    {124, 3003, 3027},	// KToolInvocation::startServiceByDesktopName$?$$$#$
    {124, 3005, 3061},	// KToolInvocation::startServiceByDesktopPath$
    {124, 3006, 3056},	// KToolInvocation::startServiceByDesktopPath$$
    {124, 3007, 3057},	// KToolInvocation::startServiceByDesktopPath$$$
    {124, 3008, 3058},	// KToolInvocation::startServiceByDesktopPath$$$$
    {124, 3009, 3059},	// KToolInvocation::startServiceByDesktopPath$$$$$
    {124, 3010, 3060},	// KToolInvocation::startServiceByDesktopPath$$$$$#
    {124, 3011, 3024},	// KToolInvocation::startServiceByDesktopPath$$$$$#$
    {124, 3012, 3062},	// KToolInvocation::startServiceByDesktopPath$?
    {124, 3013, 3063},	// KToolInvocation::startServiceByDesktopPath$?$
    {124, 3014, 3064},	// KToolInvocation::startServiceByDesktopPath$?$$
    {124, 3015, 3065},	// KToolInvocation::startServiceByDesktopPath$?$$$
    {124, 3016, 3066},	// KToolInvocation::startServiceByDesktopPath$?$$$#
    {124, 3017, 3025},	// KToolInvocation::startServiceByDesktopPath$?$$$#$
    {124, 3019, 3050},	// KToolInvocation::startServiceByName$
    {124, 3020, 3045},	// KToolInvocation::startServiceByName$$
    {124, 3021, 3046},	// KToolInvocation::startServiceByName$$$
    {124, 3022, 3047},	// KToolInvocation::startServiceByName$$$$
    {124, 3023, 3048},	// KToolInvocation::startServiceByName$$$$$
    {124, 3024, 3049},	// KToolInvocation::startServiceByName$$$$$#
    {124, 3025, 3022},	// KToolInvocation::startServiceByName$$$$$#$
    {124, 3026, 3051},	// KToolInvocation::startServiceByName$?
    {124, 3027, 3052},	// KToolInvocation::startServiceByName$?$
    {124, 3028, 3053},	// KToolInvocation::startServiceByName$?$$
    {124, 3029, 3054},	// KToolInvocation::startServiceByName$?$$$
    {124, 3030, 3055},	// KToolInvocation::startServiceByName$?$$$#
    {124, 3031, 3023},	// KToolInvocation::startServiceByName$?$$$#$
    {124, 3040, 3086},	// KToolInvocation::staticMetaObject
    {124, 3142, 3031},	// KToolInvocation::tr$
    {124, 3143, 3009},	// KToolInvocation::tr$$
    {124, 3144, 3011},	// KToolInvocation::tr$$$
    {124, 3149, 3032},	// KToolInvocation::trUtf8$
    {124, 3150, 3010},	// KToolInvocation::trUtf8$$
    {124, 3151, 3012},	// KToolInvocation::trUtf8$$$
    {124, 3433, 3087},	// KToolInvocation::~KToolInvocation
    {125, 534, 3089},	// KTzfileTimeZone::KTzfileTimeZone#
    {125, 535, 3090},	// KTzfileTimeZone::KTzfileTimeZone#$
    {125, 536, 3091},	// KTzfileTimeZone::KTzfileTimeZone#$$
    {125, 537, 3092},	// KTzfileTimeZone::KTzfileTimeZone#$$$
    {125, 538, 3093},	// KTzfileTimeZone::KTzfileTimeZone#$$$$
    {125, 539, 3088},	// KTzfileTimeZone::KTzfileTimeZone#$$$$$
    {125, 3434, 3094},	// KTzfileTimeZone::~KTzfileTimeZone
    {126, 541, 3099},	// KTzfileTimeZoneBackend::KTzfileTimeZoneBackend#
    {126, 542, 3095},	// KTzfileTimeZoneBackend::KTzfileTimeZoneBackend#$$$$$
    {126, 1156, 3096},	// KTzfileTimeZoneBackend::clone
    {126, 1709, 3098},	// KTzfileTimeZoneBackend::hasTransitions#
    {126, 3184, 3097},	// KTzfileTimeZoneBackend::type
    {126, 3435, 3100},	// KTzfileTimeZoneBackend::~KTzfileTimeZoneBackend
    {127, 544, 3104},	// KTzfileTimeZoneSource::KTzfileTimeZoneSource#
    {127, 545, 3101},	// KTzfileTimeZoneSource::KTzfileTimeZoneSource$
    {127, 2012, 3102},	// KTzfileTimeZoneSource::location
    {127, 2230, 3103},	// KTzfileTimeZoneSource::parse#
    {127, 3436, 3105},	// KTzfileTimeZoneSource::~KTzfileTimeZoneSource
    {128, 12, 3202},	// KUrl::AddTrailingSlash
    {128, 17, 3213},	// KUrl::AllowEmptyPath
    {128, 20, 3209},	// KUrl::AppendTrailingSlash
    {128, 33, 3206},	// KUrl::AvoidEmptyPath
    {128, 48, 3207},	// KUrl::CaseInsensitiveKeys
    {128, 66, 3212},	// KUrl::CompareWithoutFragment
    {128, 67, 3211},	// KUrl::CompareWithoutTrailingSlash
    {128, 99, 3198},	// KUrl::DefaultMimeDataFlags
    {128, 174, 3210},	// KUrl::IgnoreTrailingSlash
    {128, 546, 3106},	// KUrl::KUrl
    {128, 547, -474},	// KUrl::KUrl#
    {128, 548, 3112},	// KUrl::KUrl#$
    {128, 549, -478},	// KUrl::KUrl$
    {128, 561, 3204},	// KUrl::KeepDirSeparators
    {128, 571, 3201},	// KUrl::LeaveTrailingSlash
    {128, 633, 3199},	// KUrl::NoTextExport
    {128, 642, 3208},	// KUrl::ObeyTrailingSlash
    {128, 660, 3205},	// KUrl::PermitEmptyPath
    {128, 697, 3200},	// KUrl::RemoveTrailingSlash
    {128, 717, 3203},	// KUrl::SimplifyDirSeparators
    {128, 971, 3143},	// KUrl::addPath$
    {128, 975, 3146},	// KUrl::addQueryItem$$
    {128, 1010, 3127},	// KUrl::adjustPath$
    {128, 1124, 3151},	// KUrl::cd$
    {128, 1150, 3185},	// KUrl::cleanPath
    {128, 1151, 3126},	// KUrl::cleanPath$
    {128, 1159, 3193},	// KUrl::cmp#
    {128, 1160, 3167},	// KUrl::cmp#$
    {128, 1324, 3179},	// KUrl::decode_string$
    {128, 1382, 3190},	// KUrl::directory
    {128, 1383, 3149},	// KUrl::directory#
    {128, 1407, 3177},	// KUrl::encode_string$
    {128, 1409, 3178},	// KUrl::encode_string_no_slash$
    {128, 1410, 3136},	// KUrl::encodedHtmlRef
    {128, 1411, 3186},	// KUrl::encodedPathAndQuery
    {128, 1412, 3187},	// KUrl::encodedPathAndQuery$
    {128, 1413, 3129},	// KUrl::encodedPathAndQuery$#
    {128, 1432, 3194},	// KUrl::equals#
    {128, 1433, 3168},	// KUrl::equals##
    {128, 1503, 3141},	// KUrl::fileEncoding
    {128, 1506, 3189},	// KUrl::fileName
    {128, 1507, 3148},	// KUrl::fileName#
    {128, 1626, 3175},	// KUrl::fromMimeDataByteArray#
    {128, 1628, 3173},	// KUrl::fromPath$
    {128, 1630, 3174},	// KUrl::fromPathOrUrl$
    {128, 1681, 3138},	// KUrl::hasHTMLRef
    {128, 1683, 3121},	// KUrl::hasHost
    {128, 1698, 3120},	// KUrl::hasPass
    {128, 1699, 3125},	// KUrl::hasPath
    {128, 1701, 3134},	// KUrl::hasRef
    {128, 1704, 3142},	// KUrl::hasSubUrl
    {128, 1712, 3117},	// KUrl::hasUser
    {128, 1718, 3135},	// KUrl::htmlRef
    {128, 1844, 3139},	// KUrl::isLocalFile
    {128, 1854, 3169},	// KUrl::isParentOf#
    {128, 1859, 3180},	// KUrl::isRelativeUrl$
    {128, 1895, 3172},	// KUrl::join?
    {128, 2167, 3166},	// KUrl::operator QVariant
    {128, 2169, 3164},	// KUrl::operator!=#
    {128, 2171, 3165},	// KUrl::operator!=$
    {128, 2193, -481},	// KUrl::operator=#
    {128, 2194, -484},	// KUrl::operator=$
    {128, 2196, 3162},	// KUrl::operator==#
    {128, 2198, 3163},	// KUrl::operator==$
    {128, 2233, 3118},	// KUrl::pass
    {128, 2234, 3183},	// KUrl::path
    {128, 2235, 3122},	// KUrl::path$
    {128, 2236, 3154},	// KUrl::pathOrUrl
    {128, 2237, 3155},	// KUrl::pathOrUrl$
    {128, 2254, 3195},	// KUrl::populateMimeData#
    {128, 2255, 3196},	// KUrl::populateMimeData#?
    {128, 2256, 3176},	// KUrl::populateMimeData#?$
    {128, 2268, 3192},	// KUrl::prettyUrl
    {128, 2269, 3153},	// KUrl::prettyUrl$
    {128, 2295, 3113},	// KUrl::protocol
    {128, 2313, 3131},	// KUrl::query
    {128, 2318, 3145},	// KUrl::queryItem$
    {128, 2319, 3188},	// KUrl::queryItems
    {128, 2320, 3144},	// KUrl::queryItems#
    {128, 2406, 3132},	// KUrl::ref
    {128, 2416, 3197},	// KUrl::relativePath$$
    {128, 2417, 3182},	// KUrl::relativePath$$$
    {128, 2419, 3181},	// KUrl::relativeUrl##
    {128, 2622, 3150},	// KUrl::setDirectory$
    {128, 2624, 3128},	// KUrl::setEncodedPathAndQuery$
    {128, 2648, 3140},	// KUrl::setFileEncoding$
    {128, 2650, 3147},	// KUrl::setFileName$
    {128, 2663, 3137},	// KUrl::setHTMLRef$
    {128, 2819, 3119},	// KUrl::setPass$
    {128, 2821, 3124},	// KUrl::setPath$
    {128, 2856, 3114},	// KUrl::setProtocol$
    {128, 2858, 3130},	// KUrl::setQuery$
    {128, 2862, 3133},	// KUrl::setRef$
    {128, 2921, 3116},	// KUrl::setUser$
    {128, 2970, 3171},	// KUrl::split#
    {128, 2971, 3170},	// KUrl::split$
    {128, 3116, 3184},	// KUrl::toLocalFile
    {128, 3117, 3123},	// KUrl::toLocalFile$
    {128, 3119, 3156},	// KUrl::toMimeDataString
    {128, 3201, 3157},	// KUrl::upUrl
    {128, 3209, 3191},	// KUrl::url
    {128, 3210, 3152},	// KUrl::url$
    {128, 3220, 3115},	// KUrl::user
    {128, 3437, 3214},	// KUrl::~KUrl
    {129, 149, 3241},	// KUser::FullName
    {129, 162, 3244},	// KUser::HomePhone
    {129, 550, 3238},	// KUser::KUser
    {129, 551, -52},	// KUser::KUser#
    {129, 552, -55},	// KUser::KUser$
    {129, 703, 3242},	// KUser::RoomNumber
    {129, 805, 3239},	// KUser::UseEffectiveUID
    {129, 806, 3240},	// KUser::UseRealUserID
    {129, 819, 3243},	// KUser::WorkPhone
    {129, 1027, 3237},	// KUser::allUserNames
    {129, 1028, 3236},	// KUser::allUsers
    {129, 1491, 3231},	// KUser::faceIconPath
    {129, 1643, 3229},	// KUser::fullName
    {129, 1657, 3226},	// KUser::gid
    {129, 1666, 3234},	// KUser::groupNames
    {129, 1667, 3233},	// KUser::groups
    {129, 1716, 3230},	// KUser::homeDir
    {129, 1872, 3227},	// KUser::isSuperUser
    {129, 1881, 3224},	// KUser::isValid
    {129, 2015, 3228},	// KUser::loginName
    {129, 2169, 3223},	// KUser::operator!=#
    {129, 2193, 3221},	// KUser::operator=#
    {129, 2196, 3222},	// KUser::operator==#
    {129, 2288, 3235},	// KUser::property$
    {129, 2943, 3232},	// KUser::shell
    {129, 3186, 3225},	// KUser::uid
    {129, 3438, 3245},	// KUser::~KUser
    {130, 553, 3262},	// KUserGroup::KUserGroup
    {130, 554, -466},	// KUserGroup::KUserGroup#
    {130, 555, -469},	// KUserGroup::KUserGroup$
    {130, 1016, 3261},	// KUserGroup::allGroupNames
    {130, 1017, 3260},	// KUserGroup::allGroups
    {130, 1657, 3256},	// KUserGroup::gid
    {130, 1881, 3255},	// KUserGroup::isValid
    {130, 2112, 3257},	// KUserGroup::name
    {130, 2169, 3254},	// KUserGroup::operator!=#
    {130, 2193, 3252},	// KUserGroup::operator=#
    {130, 2196, 3253},	// KUserGroup::operator==#
    {130, 3221, 3259},	// KUserGroup::userNames
    {130, 3224, 3258},	// KUserGroup::users
    {130, 3439, 3263},	// KUserGroup::~KUserGroup
    {131, 556, 3269},	// KWordMacroExpander::KWordMacroExpander
    {131, 557, -72},	// KWordMacroExpander::KWordMacroExpander#
    {131, 1472, 3266},	// KWordMacroExpander::expandEscapedMacro$$?
    {131, 1475, 3267},	// KWordMacroExpander::expandMacro$?
    {131, 1486, 3265},	// KWordMacroExpander::expandPlainMacro$$?
    {131, 3440, 3270},	// KWordMacroExpander::~KWordMacroExpander
    {132, 651, 3300},	// OrgKdeKLauncherInterface::OrgKdeKLauncherInterface$$#
    {132, 652, 3279},	// OrgKdeKLauncherInterface::OrgKdeKLauncherInterface$$##
    {132, 1061, 3280},	// OrgKdeKLauncherInterface::autoStart
    {132, 1062, 3281},	// OrgKdeKLauncherInterface::autoStart$
    {132, 1063, 3295},	// OrgKdeKLauncherInterface::autoStart0Done
    {132, 1064, 3296},	// OrgKdeKLauncherInterface::autoStart1Done
    {132, 1065, 3297},	// OrgKdeKLauncherInterface::autoStart2Done
    {132, 1137, 3294},	// OrgKdeKLauncherInterface::checkForHeldSlave$
    {132, 1457, 3283},	// OrgKdeKLauncherInterface::exec_blind$?
    {132, 1458, 3282},	// OrgKdeKLauncherInterface::exec_blind$??$
    {132, 1931, 3284},	// OrgKdeKLauncherInterface::kdeinit_exec$??$$$$
    {132, 1933, 3285},	// OrgKdeKLauncherInterface::kdeinit_exec_wait$??$$$$
    {132, 2070, 3271},	// OrgKdeKLauncherInterface::metaObject
    {132, 2310, 3277},	// OrgKdeKLauncherInterface::qt_metacall$$?
    {132, 2312, 3272},	// OrgKdeKLauncherInterface::qt_metacast$
    {132, 2441, 3286},	// OrgKdeKLauncherInterface::reparseConfiguration
    {132, 2445, 3287},	// OrgKdeKLauncherInterface::requestHoldSlave$$
    {132, 2447, 3288},	// OrgKdeKLauncherInterface::requestSlave$$$$
    {132, 2689, 3289},	// OrgKdeKLauncherInterface::setLaunchEnv$$
    {132, 3033, 3290},	// OrgKdeKLauncherInterface::start_service_by_desktop_name$??$$$$$
    {132, 3035, 3291},	// OrgKdeKLauncherInterface::start_service_by_desktop_path$??$$$$$
    {132, 3037, 3292},	// OrgKdeKLauncherInterface::start_service_by_name$??$$$$$
    {132, 3039, 3278},	// OrgKdeKLauncherInterface::staticInterfaceName
    {132, 3040, 3301},	// OrgKdeKLauncherInterface::staticMetaObject
    {132, 3142, 3298},	// OrgKdeKLauncherInterface::tr$
    {132, 3143, 3273},	// OrgKdeKLauncherInterface::tr$$
    {132, 3144, 3275},	// OrgKdeKLauncherInterface::tr$$$
    {132, 3149, 3299},	// OrgKdeKLauncherInterface::trUtf8$
    {132, 3150, 3274},	// OrgKdeKLauncherInterface::trUtf8$$
    {132, 3151, 3276},	// OrgKdeKLauncherInterface::trUtf8$$$
    {132, 3257, 3293},	// OrgKdeKLauncherInterface::waitForSlave$
    {132, 3442, 3302},	// OrgKdeKLauncherInterface::~OrgKdeKLauncherInterface
    {149, 170, 3471},	// QGlobalSpace::ITIMER_PROF
    {149, 171, 3469},	// QGlobalSpace::ITIMER_REAL
    {149, 172, 3470},	// QGlobalSpace::ITIMER_VIRTUAL
    {149, 455, 3490},	// QGlobalSpace::KST_CTimeInfo
    {149, 456, 3483},	// QGlobalSpace::KST_KCustom
    {149, 457, 3477},	// QGlobalSpace::KST_KDEDesktopMimeType
    {149, 458, 3476},	// QGlobalSpace::KST_KFolderMimeType
    {149, 459, 3487},	// QGlobalSpace::KST_KImageIO
    {149, 460, 3480},	// QGlobalSpace::KST_KImageIOFormat
    {149, 461, 3475},	// QGlobalSpace::KST_KMimeType
    {149, 462, 3478},	// QGlobalSpace::KST_KMimeTypeEntry
    {149, 463, 3489},	// QGlobalSpace::KST_KMimeTypeFactory
    {149, 464, 3481},	// QGlobalSpace::KST_KProtocolInfo
    {149, 465, 3488},	// QGlobalSpace::KST_KProtocolInfoFactory
    {149, 466, 3473},	// QGlobalSpace::KST_KService
    {149, 467, 3484},	// QGlobalSpace::KST_KServiceFactory
    {149, 468, 3479},	// QGlobalSpace::KST_KServiceGroup
    {149, 469, 3486},	// QGlobalSpace::KST_KServiceGroupFactory
    {149, 470, 3482},	// QGlobalSpace::KST_KServiceSeparator
    {149, 471, 3474},	// QGlobalSpace::KST_KServiceType
    {149, 472, 3485},	// QGlobalSpace::KST_KServiceTypeFactory
    {149, 473, 3472},	// QGlobalSpace::KST_KSycocaEntry
    {149, 1720, 3410},	// QGlobalSpace::i18n$
    {149, 1722, 3374},	// QGlobalSpace::i18nc$$
    {149, 1901, 3421},	// QGlobalSpace::kAsciiToLower$
    {149, 1903, 3438},	// QGlobalSpace::kAsciiToUpper$
    {149, 1904, 3440},	// QGlobalSpace::kBacktrace
    {149, 1905, 3439},	// QGlobalSpace::kBacktrace$
    {149, 1906, 3419},	// QGlobalSpace::kClearDebugConfig
    {149, 1908, 3461},	// QGlobalSpace::kRealBacktrace$
    {149, 1912, 3369},	// QGlobalSpace::kasciistricmp$$
    {149, 1914, 3442},	// QGlobalSpace::kdBacktrace
    {149, 1915, 3441},	// QGlobalSpace::kdBacktrace$
    {149, 1941, 3467},	// QGlobalSpace::ki18n$
    {149, 1943, 3365},	// QGlobalSpace::ki18nc$$
    {149, 1945, 3368},	// QGlobalSpace::ki18ncp$$$
    {149, 1947, 3464},	// QGlobalSpace::ki18np$$
    {149, 2170, -216},	// QGlobalSpace::operator!=##
    {149, 2172, 3452},	// QGlobalSpace::operator!=$#
    {149, 2173, 3394},	// QGlobalSpace::operator!=$$
    {149, 2175, 3389},	// QGlobalSpace::operator+#$
    {149, 2176, 3375},	// QGlobalSpace::operator+$#
    {149, 2177, -220},	// QGlobalSpace::operator+$$
    {149, 2180, -225},	// QGlobalSpace::operator<##
    {149, 2181, 3417},	// QGlobalSpace::operator<$#
    {149, 2182, 3378},	// QGlobalSpace::operator<$$
    {149, 2184, -229},	// QGlobalSpace::operator<<##
    {149, 2189, 3392},	// QGlobalSpace::operator<=##
    {149, 2190, 3429},	// QGlobalSpace::operator<=$#
    {149, 2191, 3427},	// QGlobalSpace::operator<=$$
    {149, 2197, -232},	// QGlobalSpace::operator==##
    {149, 2199, 3366},	// QGlobalSpace::operator==$#
    {149, 2200, 3462},	// QGlobalSpace::operator==$$
    {149, 2203, 3388},	// QGlobalSpace::operator>##
    {149, 2204, 3381},	// QGlobalSpace::operator>$#
    {149, 2205, 3408},	// QGlobalSpace::operator>$$
    {149, 2208, 3420},	// QGlobalSpace::operator>=##
    {149, 2209, 3466},	// QGlobalSpace::operator>=$#
    {149, 2210, 3465},	// QGlobalSpace::operator>=$$
    {149, 2212, -236},	// QGlobalSpace::operator>>##
    {149, 2214, -239},	// QGlobalSpace::operator|$$
    {149, 3146, 3451},	// QGlobalSpace::tr2i18n$
    {149, 3147, 3450},	// QGlobalSpace::tr2i18n$$
    {177, 1331, 3533},	// Sonnet::defaultLanguageName
    {177, 1367, 3534},	// Sonnet::detectLanguage$
    {178, 35, 3565},	// Sonnet::BackgroundChecker::BackgroundChecker
    {178, 36, -145},	// Sonnet::BackgroundChecker::BackgroundChecker#
    {178, 37, 3543},	// Sonnet::BackgroundChecker::BackgroundChecker##
    {178, 1001, 3551},	// Sonnet::BackgroundChecker::addWordToPersonal$
    {178, 1128, 3556},	// Sonnet::BackgroundChecker::changeLanguage$
    {178, 1141, 3549},	// Sonnet::BackgroundChecker::checkWord$
    {178, 1192, 3557},	// Sonnet::BackgroundChecker::continueChecking
    {178, 1238, 3546},	// Sonnet::BackgroundChecker::currentContext
    {178, 1395, 3559},	// Sonnet::BackgroundChecker::done
    {178, 1502, 3560},	// Sonnet::BackgroundChecker::fetchMoreText
    {178, 1568, 3561},	// Sonnet::BackgroundChecker::finishedCurrentFeed
    {178, 2070, 3535},	// Sonnet::BackgroundChecker::metaObject
    {178, 2077, 3558},	// Sonnet::BackgroundChecker::misspelling$$
    {178, 2310, 3541},	// Sonnet::BackgroundChecker::qt_metacall$$?
    {178, 2312, 3536},	// Sonnet::BackgroundChecker::qt_metacast$
    {178, 2443, 3555},	// Sonnet::BackgroundChecker::replace$$$
    {178, 2460, 3552},	// Sonnet::BackgroundChecker::restore#
    {178, 2883, 3548},	// Sonnet::BackgroundChecker::setSpeller#
    {178, 2895, 3544},	// Sonnet::BackgroundChecker::setText$
    {178, 2957, 3562},	// Sonnet::BackgroundChecker::slotEngineDone
    {178, 2968, 3547},	// Sonnet::BackgroundChecker::speller
    {178, 2982, 3553},	// Sonnet::BackgroundChecker::start
    {178, 3040, 3567},	// Sonnet::BackgroundChecker::staticMetaObject
    {178, 3046, 3554},	// Sonnet::BackgroundChecker::stop
    {178, 3071, 3550},	// Sonnet::BackgroundChecker::suggest$
    {178, 3101, 3545},	// Sonnet::BackgroundChecker::text
    {178, 3142, 3563},	// Sonnet::BackgroundChecker::tr$
    {178, 3143, 3537},	// Sonnet::BackgroundChecker::tr$$
    {178, 3144, 3539},	// Sonnet::BackgroundChecker::tr$$$
    {178, 3149, 3564},	// Sonnet::BackgroundChecker::trUtf8$
    {178, 3150, 3538},	// Sonnet::BackgroundChecker::trUtf8$$
    {178, 3151, 3540},	// Sonnet::BackgroundChecker::trUtf8$$$
    {178, 3340, 3568},	// Sonnet::BackgroundChecker::~BackgroundChecker
    {179, 53, 3596},	// Sonnet::Speller::CheckUppercase
    {179, 719, 3597},	// Sonnet::Speller::SkipRunTogether
    {179, 732, 3594},	// Sonnet::Speller::Speller
    {179, 733, 3570},	// Sonnet::Speller::Speller#
    {179, 734, 3569},	// Sonnet::Speller::Speller$
    {179, 997, 3580},	// Sonnet::Speller::addToPersonal$
    {179, 999, 3581},	// Sonnet::Speller::addToSession$
    {179, 1069, 3584},	// Sonnet::Speller::availableBackends
    {179, 1070, 3587},	// Sonnet::Speller::availableDictionaries
    {179, 1072, 3586},	// Sonnet::Speller::availableLanguageNames
    {179, 1073, 3585},	// Sonnet::Speller::availableLanguages
    {179, 1135, 3578},	// Sonnet::Speller::checkAndSuggest$?
    {179, 1327, 3591},	// Sonnet::Speller::defaultClient
    {179, 1330, 3589},	// Sonnet::Speller::defaultLanguage
    {179, 1803, 3575},	// Sonnet::Speller::isCorrect$
    {179, 1850, 3576},	// Sonnet::Speller::isMisspelled$
    {179, 1881, 3572},	// Sonnet::Speller::isValid
    {179, 1957, 3574},	// Sonnet::Speller::language
    {179, 2193, 3571},	// Sonnet::Speller::operator=#
    {179, 2460, 3583},	// Sonnet::Speller::restore#
    {179, 2471, 3582},	// Sonnet::Speller::save#
    {179, 2523, 3595},	// Sonnet::Speller::setAttribute$
    {179, 2524, 3592},	// Sonnet::Speller::setAttribute$$
    {179, 2606, 3590},	// Sonnet::Speller::setDefaultClient$
    {179, 2608, 3588},	// Sonnet::Speller::setDefaultLanguage$
    {179, 2685, 3573},	// Sonnet::Speller::setLanguage$
    {179, 3050, 3579},	// Sonnet::Speller::storeReplacement$$
    {179, 3071, 3577},	// Sonnet::Speller::suggest$
    {179, 3100, 3593},	// Sonnet::Speller::testAttribute$
    {179, 3445, 3598},	// Sonnet::Speller::~Speller
    {181, 1951, 3599},	// kndbgstream::kndbgstream
    {181, 1952, 3600},	// kndbgstream::kndbgstream#
    {181, 3447, 3601},	// kndbgstream::~kndbgstream
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtnetwork_Smoke();
SMOKE_IMPORT void init_qtdbus_Smoke();

static bool initialized = false;
Smoke *kdecore_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_kdecore_Smoke() {
    init_qtcore_Smoke();
    init_qtnetwork_Smoke();
    init_qtdbus_Smoke();
    if (initialized) return;
    kdecore_Smoke = new Smoke(
        "kdecore",
        __smokekdecore::classes, 182,
        __smokekdecore::methods, 3602,
        __smokekdecore::methodMaps, 3241,
        __smokekdecore::methodNames, 3447,
        __smokekdecore::types, 640,
        __smokekdecore::inheritanceList,
        __smokekdecore::argumentList,
        __smokekdecore::ambiguousMethodList,
        __smokekdecore::cast );
    initialized = true;
}

void delete_kdecore_Smoke() { delete kdecore_Smoke; }

}
