#include <khtml_includes.h>

#include <smoke.h>
#include <khtml_smoke.h>

namespace __smokekhtml {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 2:   //DOM::AbstractView
      switch(to) {
        case 2: return (void*)(DOM::AbstractView*)xptr;
        default: return xptr;
      }
    case 3:   //DOM::Attr
      switch(to) {
        case 103: return (void*)(DOM::Node*)(DOM::Attr*)xptr;
        case 3: return (void*)(DOM::Attr*)xptr;
        default: return xptr;
      }
    case 4:   //DOM::CDATASection
      switch(to) {
        case 115: return (void*)(DOM::Text*)(DOM::CDATASection*)xptr;
        case 20: return (void*)(DOM::CharacterData*)(DOM::CDATASection*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::CDATASection*)xptr;
        case 4: return (void*)(DOM::CDATASection*)xptr;
        default: return xptr;
      }
    case 5:   //DOM::CSSCharsetRule
      switch(to) {
        case 12: return (void*)(DOM::CSSRule*)(DOM::CSSCharsetRule*)xptr;
        case 5: return (void*)(DOM::CSSCharsetRule*)xptr;
        default: return xptr;
      }
    case 6:   //DOM::CSSException
      switch(to) {
        case 6: return (void*)(DOM::CSSException*)xptr;
        default: return xptr;
      }
    case 7:   //DOM::CSSFontFaceRule
      switch(to) {
        case 12: return (void*)(DOM::CSSRule*)(DOM::CSSFontFaceRule*)xptr;
        case 7: return (void*)(DOM::CSSFontFaceRule*)xptr;
        default: return xptr;
      }
    case 8:   //DOM::CSSImportRule
      switch(to) {
        case 12: return (void*)(DOM::CSSRule*)(DOM::CSSImportRule*)xptr;
        case 8: return (void*)(DOM::CSSImportRule*)xptr;
        default: return xptr;
      }
    case 9:   //DOM::CSSMediaRule
      switch(to) {
        case 12: return (void*)(DOM::CSSRule*)(DOM::CSSMediaRule*)xptr;
        case 9: return (void*)(DOM::CSSMediaRule*)xptr;
        default: return xptr;
      }
    case 10:   //DOM::CSSPageRule
      switch(to) {
        case 12: return (void*)(DOM::CSSRule*)(DOM::CSSPageRule*)xptr;
        case 10: return (void*)(DOM::CSSPageRule*)xptr;
        default: return xptr;
      }
    case 11:   //DOM::CSSPrimitiveValue
      switch(to) {
        case 18: return (void*)(DOM::CSSValue*)(DOM::CSSPrimitiveValue*)xptr;
        case 11: return (void*)(DOM::CSSPrimitiveValue*)xptr;
        default: return xptr;
      }
    case 12:   //DOM::CSSRule
      switch(to) {
        case 12: return (void*)(DOM::CSSRule*)xptr;
        case 10: return (void*)(DOM::CSSPageRule*)(DOM::CSSRule*)xptr;
        case 8: return (void*)(DOM::CSSImportRule*)(DOM::CSSRule*)xptr;
        case 15: return (void*)(DOM::CSSStyleRule*)(DOM::CSSRule*)xptr;
        case 5: return (void*)(DOM::CSSCharsetRule*)(DOM::CSSRule*)xptr;
        case 7: return (void*)(DOM::CSSFontFaceRule*)(DOM::CSSRule*)xptr;
        case 17: return (void*)(DOM::CSSUnknownRule*)(DOM::CSSRule*)xptr;
        case 9: return (void*)(DOM::CSSMediaRule*)(DOM::CSSRule*)xptr;
        default: return xptr;
      }
    case 13:   //DOM::CSSRuleList
      switch(to) {
        case 13: return (void*)(DOM::CSSRuleList*)xptr;
        default: return xptr;
      }
    case 14:   //DOM::CSSStyleDeclaration
      switch(to) {
        case 14: return (void*)(DOM::CSSStyleDeclaration*)xptr;
        default: return xptr;
      }
    case 15:   //DOM::CSSStyleRule
      switch(to) {
        case 12: return (void*)(DOM::CSSRule*)(DOM::CSSStyleRule*)xptr;
        case 15: return (void*)(DOM::CSSStyleRule*)xptr;
        default: return xptr;
      }
    case 16:   //DOM::CSSStyleSheet
      switch(to) {
        case 113: return (void*)(DOM::StyleSheet*)(DOM::CSSStyleSheet*)xptr;
        case 16: return (void*)(DOM::CSSStyleSheet*)xptr;
        default: return xptr;
      }
    case 17:   //DOM::CSSUnknownRule
      switch(to) {
        case 12: return (void*)(DOM::CSSRule*)(DOM::CSSUnknownRule*)xptr;
        case 17: return (void*)(DOM::CSSUnknownRule*)xptr;
        default: return xptr;
      }
    case 18:   //DOM::CSSValue
      switch(to) {
        case 18: return (void*)(DOM::CSSValue*)xptr;
        case 19: return (void*)(DOM::CSSValueList*)(DOM::CSSValue*)xptr;
        case 11: return (void*)(DOM::CSSPrimitiveValue*)(DOM::CSSValue*)xptr;
        default: return xptr;
      }
    case 19:   //DOM::CSSValueList
      switch(to) {
        case 18: return (void*)(DOM::CSSValue*)(DOM::CSSValueList*)xptr;
        case 19: return (void*)(DOM::CSSValueList*)xptr;
        default: return xptr;
      }
    case 20:   //DOM::CharacterData
      switch(to) {
        case 103: return (void*)(DOM::Node*)(DOM::CharacterData*)xptr;
        case 20: return (void*)(DOM::CharacterData*)xptr;
        case 21: return (void*)(DOM::Comment*)(DOM::CharacterData*)xptr;
        case 4: return (void*)(DOM::CDATASection*)(DOM::CharacterData*)xptr;
        case 115: return (void*)(DOM::Text*)(DOM::CharacterData*)xptr;
        default: return xptr;
      }
    case 21:   //DOM::Comment
      switch(to) {
        case 20: return (void*)(DOM::CharacterData*)(DOM::Comment*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::Comment*)xptr;
        case 21: return (void*)(DOM::Comment*)xptr;
        default: return xptr;
      }
    case 22:   //DOM::Counter
      switch(to) {
        case 22: return (void*)(DOM::Counter*)xptr;
        default: return xptr;
      }
    case 23:   //DOM::CustomNodeFilter
      switch(to) {
        case 31: return (void*)(DOM::DomShared*)(DOM::CustomNodeFilter*)xptr;
        case 23: return (void*)(DOM::CustomNodeFilter*)xptr;
        default: return xptr;
      }
    case 24:   //DOM::DOMException
      switch(to) {
        case 24: return (void*)(DOM::DOMException*)xptr;
        default: return xptr;
      }
    case 25:   //DOM::DOMImplementation
      switch(to) {
        case 25: return (void*)(DOM::DOMImplementation*)xptr;
        default: return xptr;
      }
    case 26:   //DOM::DOMString
      switch(to) {
        case 26: return (void*)(DOM::DOMString*)xptr;
        default: return xptr;
      }
    case 27:   //DOM::Document
      switch(to) {
        case 103: return (void*)(DOM::Node*)(DOM::Document*)xptr;
        case 27: return (void*)(DOM::Document*)xptr;
        case 52: return (void*)(DOM::HTMLDocument*)(DOM::Document*)xptr;
        default: return xptr;
      }
    case 28:   //DOM::DocumentFragment
      switch(to) {
        case 103: return (void*)(DOM::Node*)(DOM::DocumentFragment*)xptr;
        case 28: return (void*)(DOM::DocumentFragment*)xptr;
        default: return xptr;
      }
    case 29:   //DOM::DocumentStyle
      switch(to) {
        case 29: return (void*)(DOM::DocumentStyle*)xptr;
        default: return xptr;
      }
    case 30:   //DOM::DocumentType
      switch(to) {
        case 103: return (void*)(DOM::Node*)(DOM::DocumentType*)xptr;
        case 30: return (void*)(DOM::DocumentType*)xptr;
        default: return xptr;
      }
    case 31:   //DOM::DomShared
      switch(to) {
        case 31: return (void*)(DOM::DomShared*)xptr;
        case 23: return (void*)(DOM::CustomNodeFilter*)(DOM::DomShared*)xptr;
        case 38: return (void*)(DOM::EventListener*)(DOM::DomShared*)xptr;
        default: return xptr;
      }
    case 32:   //DOM::Editor
      switch(to) {
        case 32: return (void*)(DOM::Editor*)xptr;
        default: return xptr;
      }
    case 33:   //DOM::Element
      switch(to) {
        case 103: return (void*)(DOM::Node*)(DOM::Element*)xptr;
        case 33: return (void*)(DOM::Element*)xptr;
        case 43: return (void*)(DOM::HTMLBaseElement*)(DOM::Element*)xptr;
        case 77: return (void*)(DOM::HTMLOListElement*)(DOM::Element*)xptr;
        case 87: return (void*)(DOM::HTMLStyleElement*)(DOM::Element*)xptr;
        case 57: return (void*)(DOM::HTMLFormElement*)(DOM::Element*)xptr;
        case 59: return (void*)(DOM::HTMLFrameSetElement*)(DOM::Element*)xptr;
        case 81: return (void*)(DOM::HTMLParagraphElement*)(DOM::Element*)xptr;
        case 40: return (void*)(DOM::HTMLAppletElement*)(DOM::Element*)xptr;
        case 82: return (void*)(DOM::HTMLParamElement*)(DOM::Element*)xptr;
        case 65: return (void*)(DOM::HTMLImageElement*)(DOM::Element*)xptr;
        case 70: return (void*)(DOM::HTMLLayerElement*)(DOM::Element*)xptr;
        case 44: return (void*)(DOM::HTMLBaseFontElement*)(DOM::Element*)xptr;
        case 67: return (void*)(DOM::HTMLIsIndexElement*)(DOM::Element*)xptr;
        case 60: return (void*)(DOM::HTMLHRElement*)(DOM::Element*)xptr;
        case 95: return (void*)(DOM::HTMLTitleElement*)(DOM::Element*)xptr;
        case 51: return (void*)(DOM::HTMLDivElement*)(DOM::Element*)xptr;
        case 42: return (void*)(DOM::HTMLBRElement*)(DOM::Element*)xptr;
        case 84: return (void*)(DOM::HTMLQuoteElement*)(DOM::Element*)xptr;
        case 89: return (void*)(DOM::HTMLTableCellElement*)(DOM::Element*)xptr;
        case 75: return (void*)(DOM::HTMLMetaElement*)(DOM::Element*)xptr;
        case 61: return (void*)(DOM::HTMLHeadElement*)(DOM::Element*)xptr;
        case 72: return (void*)(DOM::HTMLLinkElement*)(DOM::Element*)xptr;
        case 64: return (void*)(DOM::HTMLIFrameElement*)(DOM::Element*)xptr;
        case 73: return (void*)(DOM::HTMLMapElement*)(DOM::Element*)xptr;
        case 86: return (void*)(DOM::HTMLSelectElement*)(DOM::Element*)xptr;
        case 96: return (void*)(DOM::HTMLUListElement*)(DOM::Element*)xptr;
        case 47: return (void*)(DOM::HTMLButtonElement*)(DOM::Element*)xptr;
        case 55: return (void*)(DOM::HTMLFontElement*)(DOM::Element*)xptr;
        case 45: return (void*)(DOM::HTMLBlockquoteElement*)(DOM::Element*)xptr;
        case 76: return (void*)(DOM::HTMLModElement*)(DOM::Element*)xptr;
        case 62: return (void*)(DOM::HTMLHeadingElement*)(DOM::Element*)xptr;
        case 69: return (void*)(DOM::HTMLLabelElement*)(DOM::Element*)xptr;
        case 92: return (void*)(DOM::HTMLTableRowElement*)(DOM::Element*)xptr;
        case 68: return (void*)(DOM::HTMLLIElement*)(DOM::Element*)xptr;
        case 41: return (void*)(DOM::HTMLAreaElement*)(DOM::Element*)xptr;
        case 50: return (void*)(DOM::HTMLDirectoryElement*)(DOM::Element*)xptr;
        case 79: return (void*)(DOM::HTMLOptGroupElement*)(DOM::Element*)xptr;
        case 90: return (void*)(DOM::HTMLTableColElement*)(DOM::Element*)xptr;
        case 93: return (void*)(DOM::HTMLTableSectionElement*)(DOM::Element*)xptr;
        case 53: return (void*)(DOM::HTMLElement*)(DOM::Element*)xptr;
        case 63: return (void*)(DOM::HTMLHtmlElement*)(DOM::Element*)xptr;
        case 78: return (void*)(DOM::HTMLObjectElement*)(DOM::Element*)xptr;
        case 83: return (void*)(DOM::HTMLPreElement*)(DOM::Element*)xptr;
        case 88: return (void*)(DOM::HTMLTableCaptionElement*)(DOM::Element*)xptr;
        case 80: return (void*)(DOM::HTMLOptionElement*)(DOM::Element*)xptr;
        case 49: return (void*)(DOM::HTMLDListElement*)(DOM::Element*)xptr;
        case 58: return (void*)(DOM::HTMLFrameElement*)(DOM::Element*)xptr;
        case 74: return (void*)(DOM::HTMLMenuElement*)(DOM::Element*)xptr;
        case 46: return (void*)(DOM::HTMLBodyElement*)(DOM::Element*)xptr;
        case 54: return (void*)(DOM::HTMLFieldSetElement*)(DOM::Element*)xptr;
        case 39: return (void*)(DOM::HTMLAnchorElement*)(DOM::Element*)xptr;
        case 85: return (void*)(DOM::HTMLScriptElement*)(DOM::Element*)xptr;
        case 94: return (void*)(DOM::HTMLTextAreaElement*)(DOM::Element*)xptr;
        case 91: return (void*)(DOM::HTMLTableElement*)(DOM::Element*)xptr;
        case 71: return (void*)(DOM::HTMLLegendElement*)(DOM::Element*)xptr;
        case 66: return (void*)(DOM::HTMLInputElement*)(DOM::Element*)xptr;
        default: return xptr;
      }
    case 34:   //DOM::Entity
      switch(to) {
        case 103: return (void*)(DOM::Node*)(DOM::Entity*)xptr;
        case 34: return (void*)(DOM::Entity*)xptr;
        default: return xptr;
      }
    case 35:   //DOM::EntityReference
      switch(to) {
        case 103: return (void*)(DOM::Node*)(DOM::EntityReference*)xptr;
        case 35: return (void*)(DOM::EntityReference*)xptr;
        default: return xptr;
      }
    case 36:   //DOM::Event
      switch(to) {
        case 36: return (void*)(DOM::Event*)xptr;
        case 116: return (void*)(DOM::TextEvent*)(DOM::Event*)xptr;
        case 97: return (void*)(DOM::KeyboardEvent*)(DOM::Event*)xptr;
        case 118: return (void*)(DOM::UIEvent*)(DOM::Event*)xptr;
        case 101: return (void*)(DOM::MutationEvent*)(DOM::Event*)xptr;
        case 100: return (void*)(DOM::MouseEvent*)(DOM::Event*)xptr;
        default: return xptr;
      }
    case 37:   //DOM::EventException
      switch(to) {
        case 37: return (void*)(DOM::EventException*)xptr;
        default: return xptr;
      }
    case 38:   //DOM::EventListener
      switch(to) {
        case 31: return (void*)(DOM::DomShared*)(DOM::EventListener*)xptr;
        case 38: return (void*)(DOM::EventListener*)xptr;
        default: return xptr;
      }
    case 39:   //DOM::HTMLAnchorElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLAnchorElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLAnchorElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLAnchorElement*)xptr;
        case 39: return (void*)(DOM::HTMLAnchorElement*)xptr;
        default: return xptr;
      }
    case 40:   //DOM::HTMLAppletElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLAppletElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLAppletElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLAppletElement*)xptr;
        case 40: return (void*)(DOM::HTMLAppletElement*)xptr;
        default: return xptr;
      }
    case 41:   //DOM::HTMLAreaElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLAreaElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLAreaElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLAreaElement*)xptr;
        case 41: return (void*)(DOM::HTMLAreaElement*)xptr;
        default: return xptr;
      }
    case 42:   //DOM::HTMLBRElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLBRElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLBRElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLBRElement*)xptr;
        case 42: return (void*)(DOM::HTMLBRElement*)xptr;
        default: return xptr;
      }
    case 43:   //DOM::HTMLBaseElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLBaseElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLBaseElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLBaseElement*)xptr;
        case 43: return (void*)(DOM::HTMLBaseElement*)xptr;
        default: return xptr;
      }
    case 44:   //DOM::HTMLBaseFontElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLBaseFontElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLBaseFontElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLBaseFontElement*)xptr;
        case 44: return (void*)(DOM::HTMLBaseFontElement*)xptr;
        default: return xptr;
      }
    case 45:   //DOM::HTMLBlockquoteElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLBlockquoteElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLBlockquoteElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLBlockquoteElement*)xptr;
        case 45: return (void*)(DOM::HTMLBlockquoteElement*)xptr;
        default: return xptr;
      }
    case 46:   //DOM::HTMLBodyElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLBodyElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLBodyElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLBodyElement*)xptr;
        case 46: return (void*)(DOM::HTMLBodyElement*)xptr;
        default: return xptr;
      }
    case 47:   //DOM::HTMLButtonElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLButtonElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLButtonElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLButtonElement*)xptr;
        case 47: return (void*)(DOM::HTMLButtonElement*)xptr;
        default: return xptr;
      }
    case 48:   //DOM::HTMLCollection
      switch(to) {
        case 48: return (void*)(DOM::HTMLCollection*)xptr;
        case 56: return (void*)(DOM::HTMLFormCollection*)(DOM::HTMLCollection*)xptr;
        default: return xptr;
      }
    case 49:   //DOM::HTMLDListElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLDListElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLDListElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLDListElement*)xptr;
        case 49: return (void*)(DOM::HTMLDListElement*)xptr;
        default: return xptr;
      }
    case 50:   //DOM::HTMLDirectoryElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLDirectoryElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLDirectoryElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLDirectoryElement*)xptr;
        case 50: return (void*)(DOM::HTMLDirectoryElement*)xptr;
        default: return xptr;
      }
    case 51:   //DOM::HTMLDivElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLDivElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLDivElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLDivElement*)xptr;
        case 51: return (void*)(DOM::HTMLDivElement*)xptr;
        default: return xptr;
      }
    case 52:   //DOM::HTMLDocument
      switch(to) {
        case 27: return (void*)(DOM::Document*)(DOM::HTMLDocument*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLDocument*)xptr;
        case 52: return (void*)(DOM::HTMLDocument*)xptr;
        default: return xptr;
      }
    case 53:   //DOM::HTMLElement
      switch(to) {
        case 33: return (void*)(DOM::Element*)(DOM::HTMLElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLElement*)xptr;
        case 53: return (void*)(DOM::HTMLElement*)xptr;
        case 43: return (void*)(DOM::HTMLBaseElement*)(DOM::HTMLElement*)xptr;
        case 77: return (void*)(DOM::HTMLOListElement*)(DOM::HTMLElement*)xptr;
        case 87: return (void*)(DOM::HTMLStyleElement*)(DOM::HTMLElement*)xptr;
        case 57: return (void*)(DOM::HTMLFormElement*)(DOM::HTMLElement*)xptr;
        case 59: return (void*)(DOM::HTMLFrameSetElement*)(DOM::HTMLElement*)xptr;
        case 81: return (void*)(DOM::HTMLParagraphElement*)(DOM::HTMLElement*)xptr;
        case 40: return (void*)(DOM::HTMLAppletElement*)(DOM::HTMLElement*)xptr;
        case 82: return (void*)(DOM::HTMLParamElement*)(DOM::HTMLElement*)xptr;
        case 65: return (void*)(DOM::HTMLImageElement*)(DOM::HTMLElement*)xptr;
        case 70: return (void*)(DOM::HTMLLayerElement*)(DOM::HTMLElement*)xptr;
        case 44: return (void*)(DOM::HTMLBaseFontElement*)(DOM::HTMLElement*)xptr;
        case 67: return (void*)(DOM::HTMLIsIndexElement*)(DOM::HTMLElement*)xptr;
        case 60: return (void*)(DOM::HTMLHRElement*)(DOM::HTMLElement*)xptr;
        case 95: return (void*)(DOM::HTMLTitleElement*)(DOM::HTMLElement*)xptr;
        case 51: return (void*)(DOM::HTMLDivElement*)(DOM::HTMLElement*)xptr;
        case 42: return (void*)(DOM::HTMLBRElement*)(DOM::HTMLElement*)xptr;
        case 84: return (void*)(DOM::HTMLQuoteElement*)(DOM::HTMLElement*)xptr;
        case 89: return (void*)(DOM::HTMLTableCellElement*)(DOM::HTMLElement*)xptr;
        case 75: return (void*)(DOM::HTMLMetaElement*)(DOM::HTMLElement*)xptr;
        case 61: return (void*)(DOM::HTMLHeadElement*)(DOM::HTMLElement*)xptr;
        case 72: return (void*)(DOM::HTMLLinkElement*)(DOM::HTMLElement*)xptr;
        case 64: return (void*)(DOM::HTMLIFrameElement*)(DOM::HTMLElement*)xptr;
        case 73: return (void*)(DOM::HTMLMapElement*)(DOM::HTMLElement*)xptr;
        case 86: return (void*)(DOM::HTMLSelectElement*)(DOM::HTMLElement*)xptr;
        case 96: return (void*)(DOM::HTMLUListElement*)(DOM::HTMLElement*)xptr;
        case 47: return (void*)(DOM::HTMLButtonElement*)(DOM::HTMLElement*)xptr;
        case 55: return (void*)(DOM::HTMLFontElement*)(DOM::HTMLElement*)xptr;
        case 45: return (void*)(DOM::HTMLBlockquoteElement*)(DOM::HTMLElement*)xptr;
        case 76: return (void*)(DOM::HTMLModElement*)(DOM::HTMLElement*)xptr;
        case 62: return (void*)(DOM::HTMLHeadingElement*)(DOM::HTMLElement*)xptr;
        case 69: return (void*)(DOM::HTMLLabelElement*)(DOM::HTMLElement*)xptr;
        case 92: return (void*)(DOM::HTMLTableRowElement*)(DOM::HTMLElement*)xptr;
        case 68: return (void*)(DOM::HTMLLIElement*)(DOM::HTMLElement*)xptr;
        case 41: return (void*)(DOM::HTMLAreaElement*)(DOM::HTMLElement*)xptr;
        case 50: return (void*)(DOM::HTMLDirectoryElement*)(DOM::HTMLElement*)xptr;
        case 79: return (void*)(DOM::HTMLOptGroupElement*)(DOM::HTMLElement*)xptr;
        case 90: return (void*)(DOM::HTMLTableColElement*)(DOM::HTMLElement*)xptr;
        case 93: return (void*)(DOM::HTMLTableSectionElement*)(DOM::HTMLElement*)xptr;
        case 63: return (void*)(DOM::HTMLHtmlElement*)(DOM::HTMLElement*)xptr;
        case 78: return (void*)(DOM::HTMLObjectElement*)(DOM::HTMLElement*)xptr;
        case 83: return (void*)(DOM::HTMLPreElement*)(DOM::HTMLElement*)xptr;
        case 88: return (void*)(DOM::HTMLTableCaptionElement*)(DOM::HTMLElement*)xptr;
        case 80: return (void*)(DOM::HTMLOptionElement*)(DOM::HTMLElement*)xptr;
        case 49: return (void*)(DOM::HTMLDListElement*)(DOM::HTMLElement*)xptr;
        case 58: return (void*)(DOM::HTMLFrameElement*)(DOM::HTMLElement*)xptr;
        case 74: return (void*)(DOM::HTMLMenuElement*)(DOM::HTMLElement*)xptr;
        case 46: return (void*)(DOM::HTMLBodyElement*)(DOM::HTMLElement*)xptr;
        case 54: return (void*)(DOM::HTMLFieldSetElement*)(DOM::HTMLElement*)xptr;
        case 39: return (void*)(DOM::HTMLAnchorElement*)(DOM::HTMLElement*)xptr;
        case 85: return (void*)(DOM::HTMLScriptElement*)(DOM::HTMLElement*)xptr;
        case 94: return (void*)(DOM::HTMLTextAreaElement*)(DOM::HTMLElement*)xptr;
        case 91: return (void*)(DOM::HTMLTableElement*)(DOM::HTMLElement*)xptr;
        case 71: return (void*)(DOM::HTMLLegendElement*)(DOM::HTMLElement*)xptr;
        case 66: return (void*)(DOM::HTMLInputElement*)(DOM::HTMLElement*)xptr;
        default: return xptr;
      }
    case 54:   //DOM::HTMLFieldSetElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLFieldSetElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLFieldSetElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLFieldSetElement*)xptr;
        case 54: return (void*)(DOM::HTMLFieldSetElement*)xptr;
        default: return xptr;
      }
    case 55:   //DOM::HTMLFontElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLFontElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLFontElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLFontElement*)xptr;
        case 55: return (void*)(DOM::HTMLFontElement*)xptr;
        default: return xptr;
      }
    case 56:   //DOM::HTMLFormCollection
      switch(to) {
        case 48: return (void*)(DOM::HTMLCollection*)(DOM::HTMLFormCollection*)xptr;
        case 56: return (void*)(DOM::HTMLFormCollection*)xptr;
        default: return xptr;
      }
    case 57:   //DOM::HTMLFormElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLFormElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLFormElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLFormElement*)xptr;
        case 57: return (void*)(DOM::HTMLFormElement*)xptr;
        default: return xptr;
      }
    case 58:   //DOM::HTMLFrameElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLFrameElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLFrameElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLFrameElement*)xptr;
        case 58: return (void*)(DOM::HTMLFrameElement*)xptr;
        default: return xptr;
      }
    case 59:   //DOM::HTMLFrameSetElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLFrameSetElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLFrameSetElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLFrameSetElement*)xptr;
        case 59: return (void*)(DOM::HTMLFrameSetElement*)xptr;
        default: return xptr;
      }
    case 60:   //DOM::HTMLHRElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLHRElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLHRElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLHRElement*)xptr;
        case 60: return (void*)(DOM::HTMLHRElement*)xptr;
        default: return xptr;
      }
    case 61:   //DOM::HTMLHeadElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLHeadElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLHeadElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLHeadElement*)xptr;
        case 61: return (void*)(DOM::HTMLHeadElement*)xptr;
        default: return xptr;
      }
    case 62:   //DOM::HTMLHeadingElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLHeadingElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLHeadingElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLHeadingElement*)xptr;
        case 62: return (void*)(DOM::HTMLHeadingElement*)xptr;
        default: return xptr;
      }
    case 63:   //DOM::HTMLHtmlElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLHtmlElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLHtmlElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLHtmlElement*)xptr;
        case 63: return (void*)(DOM::HTMLHtmlElement*)xptr;
        default: return xptr;
      }
    case 64:   //DOM::HTMLIFrameElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLIFrameElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLIFrameElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLIFrameElement*)xptr;
        case 64: return (void*)(DOM::HTMLIFrameElement*)xptr;
        default: return xptr;
      }
    case 65:   //DOM::HTMLImageElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLImageElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLImageElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLImageElement*)xptr;
        case 65: return (void*)(DOM::HTMLImageElement*)xptr;
        default: return xptr;
      }
    case 66:   //DOM::HTMLInputElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLInputElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLInputElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLInputElement*)xptr;
        case 66: return (void*)(DOM::HTMLInputElement*)xptr;
        default: return xptr;
      }
    case 67:   //DOM::HTMLIsIndexElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLIsIndexElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLIsIndexElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLIsIndexElement*)xptr;
        case 67: return (void*)(DOM::HTMLIsIndexElement*)xptr;
        default: return xptr;
      }
    case 68:   //DOM::HTMLLIElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLLIElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLLIElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLLIElement*)xptr;
        case 68: return (void*)(DOM::HTMLLIElement*)xptr;
        default: return xptr;
      }
    case 69:   //DOM::HTMLLabelElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLLabelElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLLabelElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLLabelElement*)xptr;
        case 69: return (void*)(DOM::HTMLLabelElement*)xptr;
        default: return xptr;
      }
    case 70:   //DOM::HTMLLayerElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLLayerElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLLayerElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLLayerElement*)xptr;
        case 70: return (void*)(DOM::HTMLLayerElement*)xptr;
        default: return xptr;
      }
    case 71:   //DOM::HTMLLegendElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLLegendElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLLegendElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLLegendElement*)xptr;
        case 71: return (void*)(DOM::HTMLLegendElement*)xptr;
        default: return xptr;
      }
    case 72:   //DOM::HTMLLinkElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLLinkElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLLinkElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLLinkElement*)xptr;
        case 72: return (void*)(DOM::HTMLLinkElement*)xptr;
        default: return xptr;
      }
    case 73:   //DOM::HTMLMapElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLMapElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLMapElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLMapElement*)xptr;
        case 73: return (void*)(DOM::HTMLMapElement*)xptr;
        default: return xptr;
      }
    case 74:   //DOM::HTMLMenuElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLMenuElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLMenuElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLMenuElement*)xptr;
        case 74: return (void*)(DOM::HTMLMenuElement*)xptr;
        default: return xptr;
      }
    case 75:   //DOM::HTMLMetaElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLMetaElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLMetaElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLMetaElement*)xptr;
        case 75: return (void*)(DOM::HTMLMetaElement*)xptr;
        default: return xptr;
      }
    case 76:   //DOM::HTMLModElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLModElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLModElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLModElement*)xptr;
        case 76: return (void*)(DOM::HTMLModElement*)xptr;
        default: return xptr;
      }
    case 77:   //DOM::HTMLOListElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLOListElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLOListElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLOListElement*)xptr;
        case 77: return (void*)(DOM::HTMLOListElement*)xptr;
        default: return xptr;
      }
    case 78:   //DOM::HTMLObjectElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLObjectElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLObjectElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLObjectElement*)xptr;
        case 78: return (void*)(DOM::HTMLObjectElement*)xptr;
        default: return xptr;
      }
    case 79:   //DOM::HTMLOptGroupElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLOptGroupElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLOptGroupElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLOptGroupElement*)xptr;
        case 79: return (void*)(DOM::HTMLOptGroupElement*)xptr;
        default: return xptr;
      }
    case 80:   //DOM::HTMLOptionElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLOptionElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLOptionElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLOptionElement*)xptr;
        case 80: return (void*)(DOM::HTMLOptionElement*)xptr;
        default: return xptr;
      }
    case 81:   //DOM::HTMLParagraphElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLParagraphElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLParagraphElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLParagraphElement*)xptr;
        case 81: return (void*)(DOM::HTMLParagraphElement*)xptr;
        default: return xptr;
      }
    case 82:   //DOM::HTMLParamElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLParamElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLParamElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLParamElement*)xptr;
        case 82: return (void*)(DOM::HTMLParamElement*)xptr;
        default: return xptr;
      }
    case 83:   //DOM::HTMLPreElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLPreElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLPreElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLPreElement*)xptr;
        case 83: return (void*)(DOM::HTMLPreElement*)xptr;
        default: return xptr;
      }
    case 84:   //DOM::HTMLQuoteElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLQuoteElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLQuoteElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLQuoteElement*)xptr;
        case 84: return (void*)(DOM::HTMLQuoteElement*)xptr;
        default: return xptr;
      }
    case 85:   //DOM::HTMLScriptElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLScriptElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLScriptElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLScriptElement*)xptr;
        case 85: return (void*)(DOM::HTMLScriptElement*)xptr;
        default: return xptr;
      }
    case 86:   //DOM::HTMLSelectElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLSelectElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLSelectElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLSelectElement*)xptr;
        case 86: return (void*)(DOM::HTMLSelectElement*)xptr;
        default: return xptr;
      }
    case 87:   //DOM::HTMLStyleElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLStyleElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLStyleElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLStyleElement*)xptr;
        case 87: return (void*)(DOM::HTMLStyleElement*)xptr;
        default: return xptr;
      }
    case 88:   //DOM::HTMLTableCaptionElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLTableCaptionElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLTableCaptionElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLTableCaptionElement*)xptr;
        case 88: return (void*)(DOM::HTMLTableCaptionElement*)xptr;
        default: return xptr;
      }
    case 89:   //DOM::HTMLTableCellElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLTableCellElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLTableCellElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLTableCellElement*)xptr;
        case 89: return (void*)(DOM::HTMLTableCellElement*)xptr;
        default: return xptr;
      }
    case 90:   //DOM::HTMLTableColElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLTableColElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLTableColElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLTableColElement*)xptr;
        case 90: return (void*)(DOM::HTMLTableColElement*)xptr;
        default: return xptr;
      }
    case 91:   //DOM::HTMLTableElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLTableElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLTableElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLTableElement*)xptr;
        case 91: return (void*)(DOM::HTMLTableElement*)xptr;
        default: return xptr;
      }
    case 92:   //DOM::HTMLTableRowElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLTableRowElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLTableRowElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLTableRowElement*)xptr;
        case 92: return (void*)(DOM::HTMLTableRowElement*)xptr;
        default: return xptr;
      }
    case 93:   //DOM::HTMLTableSectionElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLTableSectionElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLTableSectionElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLTableSectionElement*)xptr;
        case 93: return (void*)(DOM::HTMLTableSectionElement*)xptr;
        default: return xptr;
      }
    case 94:   //DOM::HTMLTextAreaElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLTextAreaElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLTextAreaElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLTextAreaElement*)xptr;
        case 94: return (void*)(DOM::HTMLTextAreaElement*)xptr;
        default: return xptr;
      }
    case 95:   //DOM::HTMLTitleElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLTitleElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLTitleElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLTitleElement*)xptr;
        case 95: return (void*)(DOM::HTMLTitleElement*)xptr;
        default: return xptr;
      }
    case 96:   //DOM::HTMLUListElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLUListElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLUListElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLUListElement*)xptr;
        case 96: return (void*)(DOM::HTMLUListElement*)xptr;
        default: return xptr;
      }
    case 97:   //DOM::KeyboardEvent
      switch(to) {
        case 118: return (void*)(DOM::UIEvent*)(DOM::KeyboardEvent*)xptr;
        case 36: return (void*)(DOM::Event*)(DOM::KeyboardEvent*)xptr;
        case 97: return (void*)(DOM::KeyboardEvent*)xptr;
        default: return xptr;
      }
    case 98:   //DOM::LinkStyle
      switch(to) {
        case 98: return (void*)(DOM::LinkStyle*)xptr;
        default: return xptr;
      }
    case 99:   //DOM::MediaList
      switch(to) {
        case 99: return (void*)(DOM::MediaList*)xptr;
        default: return xptr;
      }
    case 100:   //DOM::MouseEvent
      switch(to) {
        case 118: return (void*)(DOM::UIEvent*)(DOM::MouseEvent*)xptr;
        case 36: return (void*)(DOM::Event*)(DOM::MouseEvent*)xptr;
        case 100: return (void*)(DOM::MouseEvent*)xptr;
        default: return xptr;
      }
    case 101:   //DOM::MutationEvent
      switch(to) {
        case 36: return (void*)(DOM::Event*)(DOM::MutationEvent*)xptr;
        case 101: return (void*)(DOM::MutationEvent*)xptr;
        default: return xptr;
      }
    case 102:   //DOM::NamedNodeMap
      switch(to) {
        case 102: return (void*)(DOM::NamedNodeMap*)xptr;
        default: return xptr;
      }
    case 103:   //DOM::Node
      switch(to) {
        case 103: return (void*)(DOM::Node*)xptr;
        case 43: return (void*)(DOM::HTMLBaseElement*)(DOM::Node*)xptr;
        case 77: return (void*)(DOM::HTMLOListElement*)(DOM::Node*)xptr;
        case 34: return (void*)(DOM::Entity*)(DOM::Node*)xptr;
        case 87: return (void*)(DOM::HTMLStyleElement*)(DOM::Node*)xptr;
        case 57: return (void*)(DOM::HTMLFormElement*)(DOM::Node*)xptr;
        case 59: return (void*)(DOM::HTMLFrameSetElement*)(DOM::Node*)xptr;
        case 81: return (void*)(DOM::HTMLParagraphElement*)(DOM::Node*)xptr;
        case 107: return (void*)(DOM::Notation*)(DOM::Node*)xptr;
        case 40: return (void*)(DOM::HTMLAppletElement*)(DOM::Node*)xptr;
        case 82: return (void*)(DOM::HTMLParamElement*)(DOM::Node*)xptr;
        case 65: return (void*)(DOM::HTMLImageElement*)(DOM::Node*)xptr;
        case 70: return (void*)(DOM::HTMLLayerElement*)(DOM::Node*)xptr;
        case 21: return (void*)(DOM::Comment*)(DOM::Node*)xptr;
        case 44: return (void*)(DOM::HTMLBaseFontElement*)(DOM::Node*)xptr;
        case 67: return (void*)(DOM::HTMLIsIndexElement*)(DOM::Node*)xptr;
        case 60: return (void*)(DOM::HTMLHRElement*)(DOM::Node*)xptr;
        case 95: return (void*)(DOM::HTMLTitleElement*)(DOM::Node*)xptr;
        case 51: return (void*)(DOM::HTMLDivElement*)(DOM::Node*)xptr;
        case 42: return (void*)(DOM::HTMLBRElement*)(DOM::Node*)xptr;
        case 20: return (void*)(DOM::CharacterData*)(DOM::Node*)xptr;
        case 84: return (void*)(DOM::HTMLQuoteElement*)(DOM::Node*)xptr;
        case 89: return (void*)(DOM::HTMLTableCellElement*)(DOM::Node*)xptr;
        case 75: return (void*)(DOM::HTMLMetaElement*)(DOM::Node*)xptr;
        case 61: return (void*)(DOM::HTMLHeadElement*)(DOM::Node*)xptr;
        case 72: return (void*)(DOM::HTMLLinkElement*)(DOM::Node*)xptr;
        case 64: return (void*)(DOM::HTMLIFrameElement*)(DOM::Node*)xptr;
        case 35: return (void*)(DOM::EntityReference*)(DOM::Node*)xptr;
        case 73: return (void*)(DOM::HTMLMapElement*)(DOM::Node*)xptr;
        case 30: return (void*)(DOM::DocumentType*)(DOM::Node*)xptr;
        case 86: return (void*)(DOM::HTMLSelectElement*)(DOM::Node*)xptr;
        case 96: return (void*)(DOM::HTMLUListElement*)(DOM::Node*)xptr;
        case 47: return (void*)(DOM::HTMLButtonElement*)(DOM::Node*)xptr;
        case 108: return (void*)(DOM::ProcessingInstruction*)(DOM::Node*)xptr;
        case 55: return (void*)(DOM::HTMLFontElement*)(DOM::Node*)xptr;
        case 45: return (void*)(DOM::HTMLBlockquoteElement*)(DOM::Node*)xptr;
        case 76: return (void*)(DOM::HTMLModElement*)(DOM::Node*)xptr;
        case 62: return (void*)(DOM::HTMLHeadingElement*)(DOM::Node*)xptr;
        case 69: return (void*)(DOM::HTMLLabelElement*)(DOM::Node*)xptr;
        case 27: return (void*)(DOM::Document*)(DOM::Node*)xptr;
        case 4: return (void*)(DOM::CDATASection*)(DOM::Node*)xptr;
        case 92: return (void*)(DOM::HTMLTableRowElement*)(DOM::Node*)xptr;
        case 115: return (void*)(DOM::Text*)(DOM::Node*)xptr;
        case 68: return (void*)(DOM::HTMLLIElement*)(DOM::Node*)xptr;
        case 41: return (void*)(DOM::HTMLAreaElement*)(DOM::Node*)xptr;
        case 50: return (void*)(DOM::HTMLDirectoryElement*)(DOM::Node*)xptr;
        case 79: return (void*)(DOM::HTMLOptGroupElement*)(DOM::Node*)xptr;
        case 90: return (void*)(DOM::HTMLTableColElement*)(DOM::Node*)xptr;
        case 93: return (void*)(DOM::HTMLTableSectionElement*)(DOM::Node*)xptr;
        case 53: return (void*)(DOM::HTMLElement*)(DOM::Node*)xptr;
        case 63: return (void*)(DOM::HTMLHtmlElement*)(DOM::Node*)xptr;
        case 28: return (void*)(DOM::DocumentFragment*)(DOM::Node*)xptr;
        case 3: return (void*)(DOM::Attr*)(DOM::Node*)xptr;
        case 78: return (void*)(DOM::HTMLObjectElement*)(DOM::Node*)xptr;
        case 83: return (void*)(DOM::HTMLPreElement*)(DOM::Node*)xptr;
        case 88: return (void*)(DOM::HTMLTableCaptionElement*)(DOM::Node*)xptr;
        case 80: return (void*)(DOM::HTMLOptionElement*)(DOM::Node*)xptr;
        case 52: return (void*)(DOM::HTMLDocument*)(DOM::Node*)xptr;
        case 49: return (void*)(DOM::HTMLDListElement*)(DOM::Node*)xptr;
        case 58: return (void*)(DOM::HTMLFrameElement*)(DOM::Node*)xptr;
        case 74: return (void*)(DOM::HTMLMenuElement*)(DOM::Node*)xptr;
        case 46: return (void*)(DOM::HTMLBodyElement*)(DOM::Node*)xptr;
        case 54: return (void*)(DOM::HTMLFieldSetElement*)(DOM::Node*)xptr;
        case 39: return (void*)(DOM::HTMLAnchorElement*)(DOM::Node*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::Node*)xptr;
        case 85: return (void*)(DOM::HTMLScriptElement*)(DOM::Node*)xptr;
        case 94: return (void*)(DOM::HTMLTextAreaElement*)(DOM::Node*)xptr;
        case 91: return (void*)(DOM::HTMLTableElement*)(DOM::Node*)xptr;
        case 71: return (void*)(DOM::HTMLLegendElement*)(DOM::Node*)xptr;
        case 66: return (void*)(DOM::HTMLInputElement*)(DOM::Node*)xptr;
        default: return xptr;
      }
    case 104:   //DOM::NodeFilter
      switch(to) {
        case 104: return (void*)(DOM::NodeFilter*)xptr;
        default: return xptr;
      }
    case 105:   //DOM::NodeIterator
      switch(to) {
        case 105: return (void*)(DOM::NodeIterator*)xptr;
        default: return xptr;
      }
    case 106:   //DOM::NodeList
      switch(to) {
        case 106: return (void*)(DOM::NodeList*)xptr;
        default: return xptr;
      }
    case 107:   //DOM::Notation
      switch(to) {
        case 103: return (void*)(DOM::Node*)(DOM::Notation*)xptr;
        case 107: return (void*)(DOM::Notation*)xptr;
        default: return xptr;
      }
    case 108:   //DOM::ProcessingInstruction
      switch(to) {
        case 103: return (void*)(DOM::Node*)(DOM::ProcessingInstruction*)xptr;
        case 108: return (void*)(DOM::ProcessingInstruction*)xptr;
        default: return xptr;
      }
    case 109:   //DOM::RGBColor
      switch(to) {
        case 109: return (void*)(DOM::RGBColor*)xptr;
        default: return xptr;
      }
    case 110:   //DOM::Range
      switch(to) {
        case 110: return (void*)(DOM::Range*)xptr;
        default: return xptr;
      }
    case 111:   //DOM::RangeException
      switch(to) {
        case 111: return (void*)(DOM::RangeException*)xptr;
        default: return xptr;
      }
    case 112:   //DOM::Rect
      switch(to) {
        case 112: return (void*)(DOM::Rect*)xptr;
        default: return xptr;
      }
    case 113:   //DOM::StyleSheet
      switch(to) {
        case 113: return (void*)(DOM::StyleSheet*)xptr;
        case 16: return (void*)(DOM::CSSStyleSheet*)(DOM::StyleSheet*)xptr;
        default: return xptr;
      }
    case 114:   //DOM::StyleSheetList
      switch(to) {
        case 114: return (void*)(DOM::StyleSheetList*)xptr;
        default: return xptr;
      }
    case 115:   //DOM::Text
      switch(to) {
        case 20: return (void*)(DOM::CharacterData*)(DOM::Text*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::Text*)xptr;
        case 115: return (void*)(DOM::Text*)xptr;
        case 4: return (void*)(DOM::CDATASection*)(DOM::Text*)xptr;
        default: return xptr;
      }
    case 116:   //DOM::TextEvent
      switch(to) {
        case 118: return (void*)(DOM::UIEvent*)(DOM::TextEvent*)xptr;
        case 36: return (void*)(DOM::Event*)(DOM::TextEvent*)xptr;
        case 116: return (void*)(DOM::TextEvent*)xptr;
        default: return xptr;
      }
    case 117:   //DOM::TreeWalker
      switch(to) {
        case 117: return (void*)(DOM::TreeWalker*)xptr;
        default: return xptr;
      }
    case 118:   //DOM::UIEvent
      switch(to) {
        case 36: return (void*)(DOM::Event*)(DOM::UIEvent*)xptr;
        case 118: return (void*)(DOM::UIEvent*)xptr;
        case 116: return (void*)(DOM::TextEvent*)(DOM::UIEvent*)xptr;
        case 97: return (void*)(DOM::KeyboardEvent*)(DOM::UIEvent*)xptr;
        case 100: return (void*)(DOM::MouseEvent*)(DOM::UIEvent*)xptr;
        default: return xptr;
      }
    case 119:   //KActionCollection
      switch(to) {
        case 119: return (void*)(KActionCollection*)xptr;
        default: return xptr;
      }
    case 120:   //KCharsets
      switch(to) {
        case 120: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 121:   //KComponentData
      switch(to) {
        case 121: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 122:   //KConfig
      switch(to) {
        case 122: return (void*)(KConfig*)xptr;
        default: return xptr;
      }
    case 123:   //KConfigGroup
      switch(to) {
        case 123: return (void*)(KConfigGroup*)xptr;
        default: return xptr;
      }
    case 124:   //KFindDialog
      switch(to) {
        case 197: return (void*)(QWidget*)(KFindDialog*)xptr;
        case 180: return (void*)(QObject*)(KFindDialog*)xptr;
        case 124: return (void*)(KFindDialog*)xptr;
        default: return xptr;
      }
    case 125:   //KHTMLPart
      switch(to) {
        case 145: return (void*)(KParts::ReadOnlyPart*)(KHTMLPart*)xptr;
        case 140: return (void*)(KParts::Part*)(KHTMLPart*)xptr;
        case 180: return (void*)(QObject*)(KHTMLPart*)xptr;
        case 142: return (void*)(KParts::PartBase*)(KHTMLPart*)xptr;
        case 150: return (void*)(KXMLGUIClient*)(KHTMLPart*)xptr;
        case 125: return (void*)(KHTMLPart*)xptr;
        default: return xptr;
      }
    case 126:   //KHTMLPartPrivate
      switch(to) {
        case 126: return (void*)(KHTMLPartPrivate*)xptr;
        default: return xptr;
      }
    case 127:   //KHTMLSettings
      switch(to) {
        case 127: return (void*)(KHTMLSettings*)xptr;
        default: return xptr;
      }
    case 128:   //KHTMLView
      switch(to) {
        case 189: return (void*)(QScrollArea*)(KHTMLView*)xptr;
        case 151: return (void*)(QAbstractScrollArea*)(KHTMLView*)xptr;
        case 172: return (void*)(QFrame*)(KHTMLView*)xptr;
        case 197: return (void*)(QWidget*)(KHTMLView*)xptr;
        case 180: return (void*)(QObject*)(KHTMLView*)xptr;
        case 200: return (void*)(khtml::KHTMLWidget*)(KHTMLView*)xptr;
        case 128: return (void*)(KHTMLView*)xptr;
        default: return xptr;
      }
    case 129:   //KIO::Job
      switch(to) {
        case 129: return (void*)(KIO::Job*)xptr;
        default: return xptr;
      }
    case 130:   //KJS::Interpreter
      switch(to) {
        case 130: return (void*)(KJS::Interpreter*)xptr;
        default: return xptr;
      }
    case 131:   //KJSProxy
      switch(to) {
        case 131: return (void*)(KJSProxy*)xptr;
        default: return xptr;
      }
    case 132:   //KJob
      switch(to) {
        case 132: return (void*)(KJob*)xptr;
        default: return xptr;
      }
    case 133:   //KLocale
      switch(to) {
        case 133: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 134:   //KParts::BrowserArguments
      switch(to) {
        case 134: return (void*)(KParts::BrowserArguments*)xptr;
        default: return xptr;
      }
    case 135:   //KParts::BrowserExtension
      switch(to) {
        case 180: return (void*)(QObject*)(KParts::BrowserExtension*)xptr;
        case 135: return (void*)(KParts::BrowserExtension*)xptr;
        default: return xptr;
      }
    case 136:   //KParts::BrowserHostExtension
      switch(to) {
        case 180: return (void*)(QObject*)(KParts::BrowserHostExtension*)xptr;
        case 136: return (void*)(KParts::BrowserHostExtension*)xptr;
        default: return xptr;
      }
    case 137:   //KParts::Event
      switch(to) {
        case 169: return (void*)(QEvent*)(KParts::Event*)xptr;
        case 137: return (void*)(KParts::Event*)xptr;
        case 202: return (void*)(khtml::MouseEvent*)(KParts::Event*)xptr;
        case 205: return (void*)(khtml::MouseReleaseEvent*)(KParts::Event*)xptr;
        case 199: return (void*)(khtml::DrawContentsEvent*)(KParts::Event*)xptr;
        case 201: return (void*)(khtml::MouseDoubleClickEvent*)(KParts::Event*)xptr;
        case 203: return (void*)(khtml::MouseMoveEvent*)(KParts::Event*)xptr;
        case 204: return (void*)(khtml::MousePressEvent*)(KParts::Event*)xptr;
        default: return xptr;
      }
    case 138:   //KParts::GUIActivateEvent
      switch(to) {
        case 137: return (void*)(KParts::Event*)(KParts::GUIActivateEvent*)xptr;
        case 169: return (void*)(QEvent*)(KParts::GUIActivateEvent*)xptr;
        case 138: return (void*)(KParts::GUIActivateEvent*)xptr;
        default: return xptr;
      }
    case 139:   //KParts::OpenUrlArguments
      switch(to) {
        case 139: return (void*)(KParts::OpenUrlArguments*)xptr;
        default: return xptr;
      }
    case 140:   //KParts::Part
      switch(to) {
        case 180: return (void*)(QObject*)(KParts::Part*)xptr;
        case 142: return (void*)(KParts::PartBase*)(KParts::Part*)xptr;
        case 150: return (void*)(KXMLGUIClient*)(KParts::Part*)xptr;
        case 140: return (void*)(KParts::Part*)xptr;
        case 125: return (void*)(KHTMLPart*)(KParts::Part*)xptr;
        default: return xptr;
      }
    case 141:   //KParts::PartActivateEvent
      switch(to) {
        case 137: return (void*)(KParts::Event*)(KParts::PartActivateEvent*)xptr;
        case 169: return (void*)(QEvent*)(KParts::PartActivateEvent*)xptr;
        case 141: return (void*)(KParts::PartActivateEvent*)xptr;
        default: return xptr;
      }
    case 142:   //KParts::PartBase
      switch(to) {
        case 150: return (void*)(KXMLGUIClient*)(KParts::PartBase*)xptr;
        case 142: return (void*)(KParts::PartBase*)xptr;
        case 125: return (void*)(KHTMLPart*)(KParts::PartBase*)xptr;
        default: return xptr;
      }
    case 143:   //KParts::PartManager
      switch(to) {
        case 143: return (void*)(KParts::PartManager*)xptr;
        default: return xptr;
      }
    case 144:   //KParts::PartSelectEvent
      switch(to) {
        case 137: return (void*)(KParts::Event*)(KParts::PartSelectEvent*)xptr;
        case 169: return (void*)(QEvent*)(KParts::PartSelectEvent*)xptr;
        case 144: return (void*)(KParts::PartSelectEvent*)xptr;
        default: return xptr;
      }
    case 145:   //KParts::ReadOnlyPart
      switch(to) {
        case 140: return (void*)(KParts::Part*)(KParts::ReadOnlyPart*)xptr;
        case 180: return (void*)(QObject*)(KParts::ReadOnlyPart*)xptr;
        case 142: return (void*)(KParts::PartBase*)(KParts::ReadOnlyPart*)xptr;
        case 150: return (void*)(KXMLGUIClient*)(KParts::ReadOnlyPart*)xptr;
        case 145: return (void*)(KParts::ReadOnlyPart*)xptr;
        case 125: return (void*)(KHTMLPart*)(KParts::ReadOnlyPart*)xptr;
        default: return xptr;
      }
    case 146:   //KPerDomainSettings
      switch(to) {
        case 146: return (void*)(KPerDomainSettings*)xptr;
        default: return xptr;
      }
    case 147:   //KSharedConfig
      switch(to) {
        case 122: return (void*)(KConfig*)(KSharedConfig*)xptr;
        case 147: return (void*)(KSharedConfig*)xptr;
        default: return xptr;
      }
    case 148:   //KStandardDirs
      switch(to) {
        case 148: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 149:   //KUrl
      switch(to) {
        case 149: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 150:   //KXMLGUIClient
      switch(to) {
        case 150: return (void*)(KXMLGUIClient*)xptr;
        case 125: return (void*)dynamic_cast<KHTMLPart*>((KXMLGUIClient*)xptr);
        default: return xptr;
      }
    case 151:   //QAbstractScrollArea
      switch(to) {
        case 172: return (void*)(QFrame*)(QAbstractScrollArea*)xptr;
        case 197: return (void*)(QWidget*)(QAbstractScrollArea*)xptr;
        case 180: return (void*)(QObject*)(QAbstractScrollArea*)xptr;
        case 151: return (void*)(QAbstractScrollArea*)xptr;
        case 128: return (void*)(KHTMLView*)(QAbstractScrollArea*)xptr;
        default: return xptr;
      }
    case 152:   //QAction
      switch(to) {
        case 152: return (void*)(QAction*)xptr;
        default: return xptr;
      }
    case 153:   //QActionEvent
      switch(to) {
        case 169: return (void*)(QEvent*)(QActionEvent*)xptr;
        case 153: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 154:   //QBool
      switch(to) {
        case 154: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 155:   //QByteArray
      switch(to) {
        case 155: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 156:   //QChar
      switch(to) {
        case 156: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 157:   //QChildEvent
      switch(to) {
        case 169: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 157: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 158:   //QCloseEvent
      switch(to) {
        case 169: return (void*)(QEvent*)(QCloseEvent*)xptr;
        case 158: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 159:   //QColor
      switch(to) {
        case 159: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 160:   //QContextMenuEvent
      switch(to) {
        case 169: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
        case 160: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 161:   //QCursor
      switch(to) {
        case 161: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 162:   //QDataStream
      switch(to) {
        case 162: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 163:   //QDomDocument
      switch(to) {
        case 163: return (void*)(QDomDocument*)xptr;
        default: return xptr;
      }
    case 164:   //QDomElement
      switch(to) {
        case 164: return (void*)(QDomElement*)xptr;
        default: return xptr;
      }
    case 165:   //QDragEnterEvent
      switch(to) {
        case 167: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
        case 168: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
        case 169: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
        case 165: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 166:   //QDragLeaveEvent
      switch(to) {
        case 169: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
        case 166: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 167:   //QDragMoveEvent
      switch(to) {
        case 168: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
        case 169: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
        case 167: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 168:   //QDropEvent
      switch(to) {
        case 169: return (void*)(QEvent*)(QDropEvent*)xptr;
        case 168: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 169:   //QEvent
      switch(to) {
        case 169: return (void*)(QEvent*)xptr;
        case 202: return (void*)(khtml::MouseEvent*)(QEvent*)xptr;
        case 205: return (void*)(khtml::MouseReleaseEvent*)(QEvent*)xptr;
        case 199: return (void*)(khtml::DrawContentsEvent*)(QEvent*)xptr;
        case 201: return (void*)(khtml::MouseDoubleClickEvent*)(QEvent*)xptr;
        case 203: return (void*)(khtml::MouseMoveEvent*)(QEvent*)xptr;
        case 204: return (void*)(khtml::MousePressEvent*)(QEvent*)xptr;
        default: return xptr;
      }
    case 170:   //QFocusEvent
      switch(to) {
        case 169: return (void*)(QEvent*)(QFocusEvent*)xptr;
        case 170: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 171:   //QFont
      switch(to) {
        case 171: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 172:   //QFrame
      switch(to) {
        case 197: return (void*)(QWidget*)(QFrame*)xptr;
        case 180: return (void*)(QObject*)(QFrame*)xptr;
        case 172: return (void*)(QFrame*)xptr;
        case 128: return (void*)(KHTMLView*)(QFrame*)xptr;
        default: return xptr;
      }
    case 174:   //QHideEvent
      switch(to) {
        case 169: return (void*)(QEvent*)(QHideEvent*)xptr;
        case 174: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 175:   //QInputMethodEvent
      switch(to) {
        case 169: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
        case 175: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 176:   //QKeyEvent
      switch(to) {
        case 169: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 176: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 177:   //QMetaObject
      switch(to) {
        case 177: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 178:   //QMouseEvent
      switch(to) {
        case 169: return (void*)(QEvent*)(QMouseEvent*)xptr;
        case 178: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 179:   //QMoveEvent
      switch(to) {
        case 169: return (void*)(QEvent*)(QMoveEvent*)xptr;
        case 179: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 180:   //QObject
      switch(to) {
        case 180: return (void*)(QObject*)xptr;
        case 128: return (void*)(KHTMLView*)(QObject*)xptr;
        case 125: return (void*)(KHTMLPart*)(QObject*)xptr;
        default: return xptr;
      }
    case 181:   //QPaintEngine
      switch(to) {
        case 181: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 182:   //QPaintEvent
      switch(to) {
        case 169: return (void*)(QEvent*)(QPaintEvent*)xptr;
        case 182: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 183:   //QPainter
      switch(to) {
        case 183: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 184:   //QPalette
      switch(to) {
        case 184: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 185:   //QPoint
      switch(to) {
        case 185: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 186:   //QRect
      switch(to) {
        case 186: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 187:   //QRegExp
      switch(to) {
        case 187: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 188:   //QResizeEvent
      switch(to) {
        case 169: return (void*)(QEvent*)(QResizeEvent*)xptr;
        case 188: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 189:   //QScrollArea
      switch(to) {
        case 151: return (void*)(QAbstractScrollArea*)(QScrollArea*)xptr;
        case 172: return (void*)(QFrame*)(QScrollArea*)xptr;
        case 197: return (void*)(QWidget*)(QScrollArea*)xptr;
        case 180: return (void*)(QObject*)(QScrollArea*)xptr;
        case 189: return (void*)(QScrollArea*)xptr;
        case 128: return (void*)(KHTMLView*)(QScrollArea*)xptr;
        default: return xptr;
      }
    case 190:   //QShowEvent
      switch(to) {
        case 169: return (void*)(QEvent*)(QShowEvent*)xptr;
        case 190: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 191:   //QSize
      switch(to) {
        case 191: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 192:   //QStyle
      switch(to) {
        case 192: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 193:   //QTabletEvent
      switch(to) {
        case 169: return (void*)(QEvent*)(QTabletEvent*)xptr;
        case 193: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 194:   //QTimerEvent
      switch(to) {
        case 169: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 194: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 195:   //QVariant
      switch(to) {
        case 195: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 196:   //QWheelEvent
      switch(to) {
        case 169: return (void*)(QEvent*)(QWheelEvent*)xptr;
        case 196: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 197:   //QWidget
      switch(to) {
        case 180: return (void*)(QObject*)(QWidget*)xptr;
        case 197: return (void*)(QWidget*)xptr;
        case 128: return (void*)(KHTMLView*)(QWidget*)xptr;
        default: return xptr;
      }
    case 198:   //khtml::ChildFrame
      switch(to) {
        case 198: return (void*)(khtml::ChildFrame*)xptr;
        default: return xptr;
      }
    case 199:   //khtml::DrawContentsEvent
      switch(to) {
        case 137: return (void*)(KParts::Event*)(khtml::DrawContentsEvent*)xptr;
        case 169: return (void*)(QEvent*)(khtml::DrawContentsEvent*)xptr;
        case 199: return (void*)(khtml::DrawContentsEvent*)xptr;
        default: return xptr;
      }
    case 200:   //khtml::KHTMLWidget
      switch(to) {
        case 200: return (void*)(khtml::KHTMLWidget*)xptr;
        case 128: return (void*)(KHTMLView*)(khtml::KHTMLWidget*)xptr;
        default: return xptr;
      }
    case 201:   //khtml::MouseDoubleClickEvent
      switch(to) {
        case 202: return (void*)(khtml::MouseEvent*)(khtml::MouseDoubleClickEvent*)xptr;
        case 137: return (void*)(KParts::Event*)(khtml::MouseDoubleClickEvent*)xptr;
        case 169: return (void*)(QEvent*)(khtml::MouseDoubleClickEvent*)xptr;
        case 201: return (void*)(khtml::MouseDoubleClickEvent*)xptr;
        default: return xptr;
      }
    case 202:   //khtml::MouseEvent
      switch(to) {
        case 137: return (void*)(KParts::Event*)(khtml::MouseEvent*)xptr;
        case 169: return (void*)(QEvent*)(khtml::MouseEvent*)xptr;
        case 202: return (void*)(khtml::MouseEvent*)xptr;
        case 205: return (void*)(khtml::MouseReleaseEvent*)(khtml::MouseEvent*)xptr;
        case 201: return (void*)(khtml::MouseDoubleClickEvent*)(khtml::MouseEvent*)xptr;
        case 203: return (void*)(khtml::MouseMoveEvent*)(khtml::MouseEvent*)xptr;
        case 204: return (void*)(khtml::MousePressEvent*)(khtml::MouseEvent*)xptr;
        default: return xptr;
      }
    case 203:   //khtml::MouseMoveEvent
      switch(to) {
        case 202: return (void*)(khtml::MouseEvent*)(khtml::MouseMoveEvent*)xptr;
        case 137: return (void*)(KParts::Event*)(khtml::MouseMoveEvent*)xptr;
        case 169: return (void*)(QEvent*)(khtml::MouseMoveEvent*)xptr;
        case 203: return (void*)(khtml::MouseMoveEvent*)xptr;
        default: return xptr;
      }
    case 204:   //khtml::MousePressEvent
      switch(to) {
        case 202: return (void*)(khtml::MouseEvent*)(khtml::MousePressEvent*)xptr;
        case 137: return (void*)(KParts::Event*)(khtml::MousePressEvent*)xptr;
        case 169: return (void*)(QEvent*)(khtml::MousePressEvent*)xptr;
        case 204: return (void*)(khtml::MousePressEvent*)xptr;
        default: return xptr;
      }
    case 205:   //khtml::MouseReleaseEvent
      switch(to) {
        case 202: return (void*)(khtml::MouseEvent*)(khtml::MouseReleaseEvent*)xptr;
        case 137: return (void*)(KParts::Event*)(khtml::MouseReleaseEvent*)xptr;
        case 169: return (void*)(QEvent*)(khtml::MouseReleaseEvent*)xptr;
        case 205: return (void*)(khtml::MouseReleaseEvent*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    103, 0,	// 1: DOM::Node
    115, 0,	// 3: DOM::Text
    12, 0,	// 5: DOM::CSSRule
    18, 0,	// 7: DOM::CSSValue
    113, 0,	// 9: DOM::StyleSheet
    20, 0,	// 11: DOM::CharacterData
    31, 0,	// 13: DOM::DomShared
    53, 0,	// 15: DOM::HTMLElement
    27, 0,	// 17: DOM::Document
    33, 0,	// 19: DOM::Element
    48, 0,	// 21: DOM::HTMLCollection
    118, 0,	// 23: DOM::UIEvent
    36, 0,	// 25: DOM::Event
    145, 0,	// 27: KParts::ReadOnlyPart
    189, 200, 0,	// 29: QScrollArea, khtml::KHTMLWidget
    137, 0,	// 32: KParts::Event
    202, 0,	// 34: khtml::MouseEvent
};

// These are the xenum functions for manipulating enum pointers
void xenum_KHTMLPart(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KHTMLView(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_DOM__KeyboardEvent(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_DOM__Node(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KHTMLSettings(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_DOM__CSSPrimitiveValue(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_DOM__NodeFilter(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_DOM__CSSException(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_DOM__Event(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_DOM__MutationEvent(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_DOM__EventException(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_DOM__CSSValue(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_DOM__CSSRule(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_DOM__RangeException(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_DOM__DOMException(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_DOM__Range(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_DOM(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__AbstractView(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__Attr(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CDATASection(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSCharsetRule(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSException(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSFontFaceRule(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSImportRule(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSMediaRule(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSPageRule(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSPrimitiveValue(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSRule(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSRuleList(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSStyleDeclaration(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSStyleRule(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSStyleSheet(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSUnknownRule(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSValue(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSValueList(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CharacterData(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__Comment(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__Counter(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CustomNodeFilter(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__DOMException(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__DOMImplementation(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__DOMString(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__Document(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__DocumentFragment(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__DocumentStyle(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__DocumentType(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__DomShared(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__Element(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__Entity(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__EntityReference(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__Event(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__EventException(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__EventListener(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLAnchorElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLAppletElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLAreaElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLBRElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLBaseElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLBaseFontElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLBlockquoteElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLBodyElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLButtonElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLCollection(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLDListElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLDirectoryElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLDivElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLDocument(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLFieldSetElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLFontElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLFormCollection(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLFormElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLFrameElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLFrameSetElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLHRElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLHeadElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLHeadingElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLHtmlElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLIFrameElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLImageElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLInputElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLIsIndexElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLLIElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLLabelElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLLayerElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLLegendElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLLinkElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLMapElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLMenuElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLMetaElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLModElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLOListElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLObjectElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLOptGroupElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLOptionElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLParagraphElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLParamElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLPreElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLQuoteElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLScriptElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLSelectElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLStyleElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLTableCaptionElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLTableCellElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLTableColElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLTableElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLTableRowElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLTableSectionElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLTextAreaElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLTitleElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLUListElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__KeyboardEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__LinkStyle(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__MediaList(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__MouseEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__MutationEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__NamedNodeMap(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__Node(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__NodeFilter(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__NodeIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__NodeList(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__Notation(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__ProcessingInstruction(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__RGBColor(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__Range(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__RangeException(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__Rect(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__StyleSheet(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__StyleSheetList(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__Text(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__TextEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__TreeWalker(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__UIEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_KHTMLPart(Smoke::Index, void*, Smoke::Stack);
void xcall_KHTMLSettings(Smoke::Index, void*, Smoke::Stack);
void xcall_KHTMLView(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_khtml__DrawContentsEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_khtml__MouseDoubleClickEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_khtml__MouseEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_khtml__MouseMoveEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_khtml__MousePressEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_khtml__MouseReleaseEvent(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "DOM", false, 0, xcall_DOM, 0, Smoke::cf_namespace, 0 },	//1
    { "DOM::AbstractView", false, 0, xcall_DOM__AbstractView, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::AbstractView) },	//2
    { "DOM::Attr", false, 1, xcall_DOM__Attr, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::Attr) },	//3
    { "DOM::CDATASection", false, 3, xcall_DOM__CDATASection, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::CDATASection) },	//4
    { "DOM::CSSCharsetRule", false, 5, xcall_DOM__CSSCharsetRule, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::CSSCharsetRule) },	//5
    { "DOM::CSSException", false, 0, xcall_DOM__CSSException, xenum_DOM__CSSException, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::CSSException) },	//6
    { "DOM::CSSFontFaceRule", false, 5, xcall_DOM__CSSFontFaceRule, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::CSSFontFaceRule) },	//7
    { "DOM::CSSImportRule", false, 5, xcall_DOM__CSSImportRule, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::CSSImportRule) },	//8
    { "DOM::CSSMediaRule", false, 5, xcall_DOM__CSSMediaRule, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::CSSMediaRule) },	//9
    { "DOM::CSSPageRule", false, 5, xcall_DOM__CSSPageRule, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::CSSPageRule) },	//10
    { "DOM::CSSPrimitiveValue", false, 7, xcall_DOM__CSSPrimitiveValue, xenum_DOM__CSSPrimitiveValue, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::CSSPrimitiveValue) },	//11
    { "DOM::CSSRule", false, 0, xcall_DOM__CSSRule, xenum_DOM__CSSRule, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::CSSRule) },	//12
    { "DOM::CSSRuleList", false, 0, xcall_DOM__CSSRuleList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::CSSRuleList) },	//13
    { "DOM::CSSStyleDeclaration", false, 0, xcall_DOM__CSSStyleDeclaration, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::CSSStyleDeclaration) },	//14
    { "DOM::CSSStyleRule", false, 5, xcall_DOM__CSSStyleRule, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::CSSStyleRule) },	//15
    { "DOM::CSSStyleSheet", false, 9, xcall_DOM__CSSStyleSheet, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::CSSStyleSheet) },	//16
    { "DOM::CSSUnknownRule", false, 5, xcall_DOM__CSSUnknownRule, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::CSSUnknownRule) },	//17
    { "DOM::CSSValue", false, 0, xcall_DOM__CSSValue, xenum_DOM__CSSValue, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::CSSValue) },	//18
    { "DOM::CSSValueList", false, 7, xcall_DOM__CSSValueList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::CSSValueList) },	//19
    { "DOM::CharacterData", false, 1, xcall_DOM__CharacterData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::CharacterData) },	//20
    { "DOM::Comment", false, 11, xcall_DOM__Comment, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::Comment) },	//21
    { "DOM::Counter", false, 0, xcall_DOM__Counter, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::Counter) },	//22
    { "DOM::CustomNodeFilter", false, 13, xcall_DOM__CustomNodeFilter, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::CustomNodeFilter) },	//23
    { "DOM::DOMException", false, 0, xcall_DOM__DOMException, xenum_DOM__DOMException, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::DOMException) },	//24
    { "DOM::DOMImplementation", false, 0, xcall_DOM__DOMImplementation, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::DOMImplementation) },	//25
    { "DOM::DOMString", false, 0, xcall_DOM__DOMString, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::DOMString) },	//26
    { "DOM::Document", false, 1, xcall_DOM__Document, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::Document) },	//27
    { "DOM::DocumentFragment", false, 1, xcall_DOM__DocumentFragment, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::DocumentFragment) },	//28
    { "DOM::DocumentStyle", false, 0, xcall_DOM__DocumentStyle, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::DocumentStyle) },	//29
    { "DOM::DocumentType", false, 1, xcall_DOM__DocumentType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::DocumentType) },	//30
    { "DOM::DomShared", false, 0, xcall_DOM__DomShared, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::DomShared) },	//31
    { "DOM::Editor", true, 0, 0, 0, 0, 0 },	//32
    { "DOM::Element", false, 1, xcall_DOM__Element, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::Element) },	//33
    { "DOM::Entity", false, 1, xcall_DOM__Entity, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::Entity) },	//34
    { "DOM::EntityReference", false, 1, xcall_DOM__EntityReference, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::EntityReference) },	//35
    { "DOM::Event", false, 0, xcall_DOM__Event, xenum_DOM__Event, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::Event) },	//36
    { "DOM::EventException", false, 0, xcall_DOM__EventException, xenum_DOM__EventException, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::EventException) },	//37
    { "DOM::EventListener", false, 13, xcall_DOM__EventListener, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::EventListener) },	//38
    { "DOM::HTMLAnchorElement", false, 15, xcall_DOM__HTMLAnchorElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLAnchorElement) },	//39
    { "DOM::HTMLAppletElement", false, 15, xcall_DOM__HTMLAppletElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLAppletElement) },	//40
    { "DOM::HTMLAreaElement", false, 15, xcall_DOM__HTMLAreaElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLAreaElement) },	//41
    { "DOM::HTMLBRElement", false, 15, xcall_DOM__HTMLBRElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLBRElement) },	//42
    { "DOM::HTMLBaseElement", false, 15, xcall_DOM__HTMLBaseElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLBaseElement) },	//43
    { "DOM::HTMLBaseFontElement", false, 15, xcall_DOM__HTMLBaseFontElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLBaseFontElement) },	//44
    { "DOM::HTMLBlockquoteElement", false, 15, xcall_DOM__HTMLBlockquoteElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLBlockquoteElement) },	//45
    { "DOM::HTMLBodyElement", false, 15, xcall_DOM__HTMLBodyElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLBodyElement) },	//46
    { "DOM::HTMLButtonElement", false, 15, xcall_DOM__HTMLButtonElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLButtonElement) },	//47
    { "DOM::HTMLCollection", false, 0, xcall_DOM__HTMLCollection, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::HTMLCollection) },	//48
    { "DOM::HTMLDListElement", false, 15, xcall_DOM__HTMLDListElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLDListElement) },	//49
    { "DOM::HTMLDirectoryElement", false, 15, xcall_DOM__HTMLDirectoryElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLDirectoryElement) },	//50
    { "DOM::HTMLDivElement", false, 15, xcall_DOM__HTMLDivElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLDivElement) },	//51
    { "DOM::HTMLDocument", false, 17, xcall_DOM__HTMLDocument, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLDocument) },	//52
    { "DOM::HTMLElement", false, 19, xcall_DOM__HTMLElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLElement) },	//53
    { "DOM::HTMLFieldSetElement", false, 15, xcall_DOM__HTMLFieldSetElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLFieldSetElement) },	//54
    { "DOM::HTMLFontElement", false, 15, xcall_DOM__HTMLFontElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLFontElement) },	//55
    { "DOM::HTMLFormCollection", false, 21, xcall_DOM__HTMLFormCollection, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::HTMLFormCollection) },	//56
    { "DOM::HTMLFormElement", false, 15, xcall_DOM__HTMLFormElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLFormElement) },	//57
    { "DOM::HTMLFrameElement", false, 15, xcall_DOM__HTMLFrameElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLFrameElement) },	//58
    { "DOM::HTMLFrameSetElement", false, 15, xcall_DOM__HTMLFrameSetElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLFrameSetElement) },	//59
    { "DOM::HTMLHRElement", false, 15, xcall_DOM__HTMLHRElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLHRElement) },	//60
    { "DOM::HTMLHeadElement", false, 15, xcall_DOM__HTMLHeadElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLHeadElement) },	//61
    { "DOM::HTMLHeadingElement", false, 15, xcall_DOM__HTMLHeadingElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLHeadingElement) },	//62
    { "DOM::HTMLHtmlElement", false, 15, xcall_DOM__HTMLHtmlElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLHtmlElement) },	//63
    { "DOM::HTMLIFrameElement", false, 15, xcall_DOM__HTMLIFrameElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLIFrameElement) },	//64
    { "DOM::HTMLImageElement", false, 15, xcall_DOM__HTMLImageElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLImageElement) },	//65
    { "DOM::HTMLInputElement", false, 15, xcall_DOM__HTMLInputElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLInputElement) },	//66
    { "DOM::HTMLIsIndexElement", false, 15, xcall_DOM__HTMLIsIndexElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLIsIndexElement) },	//67
    { "DOM::HTMLLIElement", false, 15, xcall_DOM__HTMLLIElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLLIElement) },	//68
    { "DOM::HTMLLabelElement", false, 15, xcall_DOM__HTMLLabelElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLLabelElement) },	//69
    { "DOM::HTMLLayerElement", false, 15, xcall_DOM__HTMLLayerElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLLayerElement) },	//70
    { "DOM::HTMLLegendElement", false, 15, xcall_DOM__HTMLLegendElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLLegendElement) },	//71
    { "DOM::HTMLLinkElement", false, 15, xcall_DOM__HTMLLinkElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLLinkElement) },	//72
    { "DOM::HTMLMapElement", false, 15, xcall_DOM__HTMLMapElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLMapElement) },	//73
    { "DOM::HTMLMenuElement", false, 15, xcall_DOM__HTMLMenuElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLMenuElement) },	//74
    { "DOM::HTMLMetaElement", false, 15, xcall_DOM__HTMLMetaElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLMetaElement) },	//75
    { "DOM::HTMLModElement", false, 15, xcall_DOM__HTMLModElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLModElement) },	//76
    { "DOM::HTMLOListElement", false, 15, xcall_DOM__HTMLOListElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLOListElement) },	//77
    { "DOM::HTMLObjectElement", false, 15, xcall_DOM__HTMLObjectElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLObjectElement) },	//78
    { "DOM::HTMLOptGroupElement", false, 15, xcall_DOM__HTMLOptGroupElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLOptGroupElement) },	//79
    { "DOM::HTMLOptionElement", false, 15, xcall_DOM__HTMLOptionElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLOptionElement) },	//80
    { "DOM::HTMLParagraphElement", false, 15, xcall_DOM__HTMLParagraphElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLParagraphElement) },	//81
    { "DOM::HTMLParamElement", false, 15, xcall_DOM__HTMLParamElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLParamElement) },	//82
    { "DOM::HTMLPreElement", false, 15, xcall_DOM__HTMLPreElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLPreElement) },	//83
    { "DOM::HTMLQuoteElement", false, 15, xcall_DOM__HTMLQuoteElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLQuoteElement) },	//84
    { "DOM::HTMLScriptElement", false, 15, xcall_DOM__HTMLScriptElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLScriptElement) },	//85
    { "DOM::HTMLSelectElement", false, 15, xcall_DOM__HTMLSelectElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLSelectElement) },	//86
    { "DOM::HTMLStyleElement", false, 15, xcall_DOM__HTMLStyleElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLStyleElement) },	//87
    { "DOM::HTMLTableCaptionElement", false, 15, xcall_DOM__HTMLTableCaptionElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLTableCaptionElement) },	//88
    { "DOM::HTMLTableCellElement", false, 15, xcall_DOM__HTMLTableCellElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLTableCellElement) },	//89
    { "DOM::HTMLTableColElement", false, 15, xcall_DOM__HTMLTableColElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLTableColElement) },	//90
    { "DOM::HTMLTableElement", false, 15, xcall_DOM__HTMLTableElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLTableElement) },	//91
    { "DOM::HTMLTableRowElement", false, 15, xcall_DOM__HTMLTableRowElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLTableRowElement) },	//92
    { "DOM::HTMLTableSectionElement", false, 15, xcall_DOM__HTMLTableSectionElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLTableSectionElement) },	//93
    { "DOM::HTMLTextAreaElement", false, 15, xcall_DOM__HTMLTextAreaElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLTextAreaElement) },	//94
    { "DOM::HTMLTitleElement", false, 15, xcall_DOM__HTMLTitleElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLTitleElement) },	//95
    { "DOM::HTMLUListElement", false, 15, xcall_DOM__HTMLUListElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLUListElement) },	//96
    { "DOM::KeyboardEvent", false, 23, xcall_DOM__KeyboardEvent, xenum_DOM__KeyboardEvent, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::KeyboardEvent) },	//97
    { "DOM::LinkStyle", false, 0, xcall_DOM__LinkStyle, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::LinkStyle) },	//98
    { "DOM::MediaList", false, 0, xcall_DOM__MediaList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::MediaList) },	//99
    { "DOM::MouseEvent", false, 23, xcall_DOM__MouseEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::MouseEvent) },	//100
    { "DOM::MutationEvent", false, 25, xcall_DOM__MutationEvent, xenum_DOM__MutationEvent, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::MutationEvent) },	//101
    { "DOM::NamedNodeMap", false, 0, xcall_DOM__NamedNodeMap, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::NamedNodeMap) },	//102
    { "DOM::Node", false, 0, xcall_DOM__Node, xenum_DOM__Node, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::Node) },	//103
    { "DOM::NodeFilter", false, 0, xcall_DOM__NodeFilter, xenum_DOM__NodeFilter, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::NodeFilter) },	//104
    { "DOM::NodeIterator", false, 0, xcall_DOM__NodeIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::NodeIterator) },	//105
    { "DOM::NodeList", false, 0, xcall_DOM__NodeList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::NodeList) },	//106
    { "DOM::Notation", false, 1, xcall_DOM__Notation, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::Notation) },	//107
    { "DOM::ProcessingInstruction", false, 1, xcall_DOM__ProcessingInstruction, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::ProcessingInstruction) },	//108
    { "DOM::RGBColor", false, 0, xcall_DOM__RGBColor, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::RGBColor) },	//109
    { "DOM::Range", false, 0, xcall_DOM__Range, xenum_DOM__Range, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::Range) },	//110
    { "DOM::RangeException", false, 0, xcall_DOM__RangeException, xenum_DOM__RangeException, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::RangeException) },	//111
    { "DOM::Rect", false, 0, xcall_DOM__Rect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::Rect) },	//112
    { "DOM::StyleSheet", false, 0, xcall_DOM__StyleSheet, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::StyleSheet) },	//113
    { "DOM::StyleSheetList", false, 0, xcall_DOM__StyleSheetList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::StyleSheetList) },	//114
    { "DOM::Text", false, 11, xcall_DOM__Text, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::Text) },	//115
    { "DOM::TextEvent", false, 23, xcall_DOM__TextEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::TextEvent) },	//116
    { "DOM::TreeWalker", false, 0, xcall_DOM__TreeWalker, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::TreeWalker) },	//117
    { "DOM::UIEvent", false, 25, xcall_DOM__UIEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::UIEvent) },	//118
    { "KActionCollection", true, 0, 0, 0, 0, 0 },	//119
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//120
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//121
    { "KConfig", true, 0, 0, 0, 0, 0 },	//122
    { "KConfigGroup", true, 0, 0, 0, 0, 0 },	//123
    { "KFindDialog", true, 0, 0, 0, 0, 0 },	//124
    { "KHTMLPart", false, 27, xcall_KHTMLPart, xenum_KHTMLPart, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KHTMLPart) },	//125
    { "KHTMLPartPrivate", true, 0, 0, 0, 0, 0 },	//126
    { "KHTMLSettings", false, 0, xcall_KHTMLSettings, xenum_KHTMLSettings, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KHTMLSettings) },	//127
    { "KHTMLView", false, 29, xcall_KHTMLView, xenum_KHTMLView, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KHTMLView) },	//128
    { "KIO::Job", true, 0, 0, 0, 0, 0 },	//129
    { "KJS::Interpreter", true, 0, 0, 0, 0, 0 },	//130
    { "KJSProxy", true, 0, 0, 0, 0, 0 },	//131
    { "KJob", true, 0, 0, 0, 0, 0 },	//132
    { "KLocale", true, 0, 0, 0, 0, 0 },	//133
    { "KParts::BrowserArguments", true, 0, 0, 0, 0, 0 },	//134
    { "KParts::BrowserExtension", true, 0, 0, 0, 0, 0 },	//135
    { "KParts::BrowserHostExtension", true, 0, 0, 0, 0, 0 },	//136
    { "KParts::Event", true, 0, 0, 0, 0, 0 },	//137
    { "KParts::GUIActivateEvent", true, 0, 0, 0, 0, 0 },	//138
    { "KParts::OpenUrlArguments", true, 0, 0, 0, 0, 0 },	//139
    { "KParts::Part", true, 0, 0, 0, 0, 0 },	//140
    { "KParts::PartActivateEvent", true, 0, 0, 0, 0, 0 },	//141
    { "KParts::PartBase", true, 0, 0, 0, 0, 0 },	//142
    { "KParts::PartManager", true, 0, 0, 0, 0, 0 },	//143
    { "KParts::PartSelectEvent", true, 0, 0, 0, 0, 0 },	//144
    { "KParts::ReadOnlyPart", true, 0, 0, 0, 0, 0 },	//145
    { "KPerDomainSettings", true, 0, 0, 0, 0, 0 },	//146
    { "KSharedConfig", true, 0, 0, 0, 0, 0 },	//147
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//148
    { "KUrl", true, 0, 0, 0, 0, 0 },	//149
    { "KXMLGUIClient", true, 0, 0, 0, 0, 0 },	//150
    { "QAbstractScrollArea", true, 0, 0, 0, 0, 0 },	//151
    { "QAction", true, 0, 0, 0, 0, 0 },	//152
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//153
    { "QBool", true, 0, 0, 0, 0, 0 },	//154
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//155
    { "QChar", true, 0, 0, 0, 0, 0 },	//156
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//157
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//158
    { "QColor", true, 0, 0, 0, 0, 0 },	//159
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//160
    { "QCursor", true, 0, 0, 0, 0, 0 },	//161
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//162
    { "QDomDocument", true, 0, 0, 0, 0, 0 },	//163
    { "QDomElement", true, 0, 0, 0, 0, 0 },	//164
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//165
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//166
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//167
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//168
    { "QEvent", true, 0, 0, 0, 0, 0 },	//169
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//170
    { "QFont", true, 0, 0, 0, 0, 0 },	//171
    { "QFrame", true, 0, 0, 0, 0, 0 },	//172
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//173
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//174
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//175
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//176
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//177
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//178
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//179
    { "QObject", true, 0, 0, 0, 0, 0 },	//180
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//181
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//182
    { "QPainter", true, 0, 0, 0, 0, 0 },	//183
    { "QPalette", true, 0, 0, 0, 0, 0 },	//184
    { "QPoint", true, 0, 0, 0, 0, 0 },	//185
    { "QRect", true, 0, 0, 0, 0, 0 },	//186
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//187
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//188
    { "QScrollArea", true, 0, 0, 0, 0, 0 },	//189
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//190
    { "QSize", true, 0, 0, 0, 0, 0 },	//191
    { "QStyle", true, 0, 0, 0, 0, 0 },	//192
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//193
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//194
    { "QVariant", true, 0, 0, 0, 0, 0 },	//195
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//196
    { "QWidget", true, 0, 0, 0, 0, 0 },	//197
    { "khtml::ChildFrame", true, 0, 0, 0, 0, 0 },	//198
    { "khtml::DrawContentsEvent", false, 32, xcall_khtml__DrawContentsEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(khtml::DrawContentsEvent) },	//199
    { "khtml::KHTMLWidget", true, 0, 0, 0, 0, 0 },	//200
    { "khtml::MouseDoubleClickEvent", false, 34, xcall_khtml__MouseDoubleClickEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(khtml::MouseDoubleClickEvent) },	//201
    { "khtml::MouseEvent", false, 32, xcall_khtml__MouseEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(khtml::MouseEvent) },	//202
    { "khtml::MouseMoveEvent", false, 34, xcall_khtml__MouseMoveEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(khtml::MouseMoveEvent) },	//203
    { "khtml::MousePressEvent", false, 34, xcall_khtml__MousePressEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(khtml::MousePressEvent) },	//204
    { "khtml::MouseReleaseEvent", false, 34, xcall_khtml__MouseReleaseEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(khtml::MouseReleaseEvent) },	//205
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "DOM::AbstractView", 2, Smoke::t_class|Smoke::tf_stack },	//1
    { "DOM::AbstractView&", 2, Smoke::t_class|Smoke::tf_ref },	//2
    { "DOM::AbstractView*", 2, Smoke::t_class|Smoke::tf_ptr },	//3
    { "DOM::Attr", 3, Smoke::t_class|Smoke::tf_stack },	//4
    { "DOM::Attr&", 3, Smoke::t_class|Smoke::tf_ref },	//5
    { "DOM::Attr*", 3, Smoke::t_class|Smoke::tf_ptr },	//6
    { "DOM::CDATASection", 4, Smoke::t_class|Smoke::tf_stack },	//7
    { "DOM::CDATASection&", 4, Smoke::t_class|Smoke::tf_ref },	//8
    { "DOM::CDATASection*", 4, Smoke::t_class|Smoke::tf_ptr },	//9
    { "DOM::CSSCharsetRule&", 5, Smoke::t_class|Smoke::tf_ref },	//10
    { "DOM::CSSCharsetRule*", 5, Smoke::t_class|Smoke::tf_ptr },	//11
    { "DOM::CSSException&", 6, Smoke::t_class|Smoke::tf_ref },	//12
    { "DOM::CSSException*", 6, Smoke::t_class|Smoke::tf_ptr },	//13
    { "DOM::CSSException::ExceptionCode", 6, Smoke::t_enum|Smoke::tf_stack },	//14
    { "DOM::CSSFontFaceRule&", 7, Smoke::t_class|Smoke::tf_ref },	//15
    { "DOM::CSSFontFaceRule*", 7, Smoke::t_class|Smoke::tf_ptr },	//16
    { "DOM::CSSImportRule&", 8, Smoke::t_class|Smoke::tf_ref },	//17
    { "DOM::CSSImportRule*", 8, Smoke::t_class|Smoke::tf_ptr },	//18
    { "DOM::CSSMediaRule&", 9, Smoke::t_class|Smoke::tf_ref },	//19
    { "DOM::CSSMediaRule*", 9, Smoke::t_class|Smoke::tf_ptr },	//20
    { "DOM::CSSPageRule&", 10, Smoke::t_class|Smoke::tf_ref },	//21
    { "DOM::CSSPageRule*", 10, Smoke::t_class|Smoke::tf_ptr },	//22
    { "DOM::CSSPrimitiveValue", 11, Smoke::t_class|Smoke::tf_stack },	//23
    { "DOM::CSSPrimitiveValue&", 11, Smoke::t_class|Smoke::tf_ref },	//24
    { "DOM::CSSPrimitiveValue*", 11, Smoke::t_class|Smoke::tf_ptr },	//25
    { "DOM::CSSPrimitiveValue::UnitTypes", 11, Smoke::t_enum|Smoke::tf_stack },	//26
    { "DOM::CSSRule", 12, Smoke::t_class|Smoke::tf_stack },	//27
    { "DOM::CSSRule&", 12, Smoke::t_class|Smoke::tf_ref },	//28
    { "DOM::CSSRule*", 12, Smoke::t_class|Smoke::tf_ptr },	//29
    { "DOM::CSSRule::RuleType", 12, Smoke::t_enum|Smoke::tf_stack },	//30
    { "DOM::CSSRuleList", 13, Smoke::t_class|Smoke::tf_stack },	//31
    { "DOM::CSSRuleList&", 13, Smoke::t_class|Smoke::tf_ref },	//32
    { "DOM::CSSRuleList*", 13, Smoke::t_class|Smoke::tf_ptr },	//33
    { "DOM::CSSStyleDeclaration", 14, Smoke::t_class|Smoke::tf_stack },	//34
    { "DOM::CSSStyleDeclaration&", 14, Smoke::t_class|Smoke::tf_ref },	//35
    { "DOM::CSSStyleDeclaration*", 14, Smoke::t_class|Smoke::tf_ptr },	//36
    { "DOM::CSSStyleRule&", 15, Smoke::t_class|Smoke::tf_ref },	//37
    { "DOM::CSSStyleRule*", 15, Smoke::t_class|Smoke::tf_ptr },	//38
    { "DOM::CSSStyleSheet", 16, Smoke::t_class|Smoke::tf_stack },	//39
    { "DOM::CSSStyleSheet&", 16, Smoke::t_class|Smoke::tf_ref },	//40
    { "DOM::CSSStyleSheet*", 16, Smoke::t_class|Smoke::tf_ptr },	//41
    { "DOM::CSSUnknownRule&", 17, Smoke::t_class|Smoke::tf_ref },	//42
    { "DOM::CSSUnknownRule*", 17, Smoke::t_class|Smoke::tf_ptr },	//43
    { "DOM::CSSValue", 18, Smoke::t_class|Smoke::tf_stack },	//44
    { "DOM::CSSValue&", 18, Smoke::t_class|Smoke::tf_ref },	//45
    { "DOM::CSSValue*", 18, Smoke::t_class|Smoke::tf_ptr },	//46
    { "DOM::CSSValue::UnitTypes", 18, Smoke::t_enum|Smoke::tf_stack },	//47
    { "DOM::CSSValueList&", 19, Smoke::t_class|Smoke::tf_ref },	//48
    { "DOM::CSSValueList*", 19, Smoke::t_class|Smoke::tf_ptr },	//49
    { "DOM::CharacterData&", 20, Smoke::t_class|Smoke::tf_ref },	//50
    { "DOM::CharacterData*", 20, Smoke::t_class|Smoke::tf_ptr },	//51
    { "DOM::Comment", 21, Smoke::t_class|Smoke::tf_stack },	//52
    { "DOM::Comment&", 21, Smoke::t_class|Smoke::tf_ref },	//53
    { "DOM::Comment*", 21, Smoke::t_class|Smoke::tf_ptr },	//54
    { "DOM::Counter", 22, Smoke::t_class|Smoke::tf_stack },	//55
    { "DOM::Counter&", 22, Smoke::t_class|Smoke::tf_ref },	//56
    { "DOM::Counter*", 22, Smoke::t_class|Smoke::tf_ptr },	//57
    { "DOM::CustomNodeFilter*", 23, Smoke::t_class|Smoke::tf_ptr },	//58
    { "DOM::DOMException&", 24, Smoke::t_class|Smoke::tf_ref },	//59
    { "DOM::DOMException*", 24, Smoke::t_class|Smoke::tf_ptr },	//60
    { "DOM::DOMException::ExceptionCode", 24, Smoke::t_enum|Smoke::tf_stack },	//61
    { "DOM::DOMImplementation", 25, Smoke::t_class|Smoke::tf_stack },	//62
    { "DOM::DOMImplementation&", 25, Smoke::t_class|Smoke::tf_ref },	//63
    { "DOM::DOMImplementation*", 25, Smoke::t_class|Smoke::tf_ptr },	//64
    { "DOM::DOMString", 26, Smoke::t_class|Smoke::tf_stack },	//65
    { "DOM::DOMString&", 26, Smoke::t_class|Smoke::tf_ref },	//66
    { "DOM::DOMString*", 26, Smoke::t_class|Smoke::tf_ptr },	//67
    { "DOM::Document", 27, Smoke::t_class|Smoke::tf_stack },	//68
    { "DOM::Document&", 27, Smoke::t_class|Smoke::tf_ref },	//69
    { "DOM::Document*", 27, Smoke::t_class|Smoke::tf_ptr },	//70
    { "DOM::DocumentFragment", 28, Smoke::t_class|Smoke::tf_stack },	//71
    { "DOM::DocumentFragment&", 28, Smoke::t_class|Smoke::tf_ref },	//72
    { "DOM::DocumentFragment*", 28, Smoke::t_class|Smoke::tf_ptr },	//73
    { "DOM::DocumentStyle&", 29, Smoke::t_class|Smoke::tf_ref },	//74
    { "DOM::DocumentStyle*", 29, Smoke::t_class|Smoke::tf_ptr },	//75
    { "DOM::DocumentType", 30, Smoke::t_class|Smoke::tf_stack },	//76
    { "DOM::DocumentType&", 30, Smoke::t_class|Smoke::tf_ref },	//77
    { "DOM::DocumentType*", 30, Smoke::t_class|Smoke::tf_ptr },	//78
    { "DOM::DomShared*", 31, Smoke::t_class|Smoke::tf_ptr },	//79
    { "DOM::Editor*", 32, Smoke::t_class|Smoke::tf_ptr },	//80
    { "DOM::Element", 33, Smoke::t_class|Smoke::tf_stack },	//81
    { "DOM::Element&", 33, Smoke::t_class|Smoke::tf_ref },	//82
    { "DOM::Element*", 33, Smoke::t_class|Smoke::tf_ptr },	//83
    { "DOM::Entity&", 34, Smoke::t_class|Smoke::tf_ref },	//84
    { "DOM::Entity*", 34, Smoke::t_class|Smoke::tf_ptr },	//85
    { "DOM::EntityReference", 35, Smoke::t_class|Smoke::tf_stack },	//86
    { "DOM::EntityReference&", 35, Smoke::t_class|Smoke::tf_ref },	//87
    { "DOM::EntityReference*", 35, Smoke::t_class|Smoke::tf_ptr },	//88
    { "DOM::Event", 36, Smoke::t_class|Smoke::tf_stack },	//89
    { "DOM::Event&", 36, Smoke::t_class|Smoke::tf_ref },	//90
    { "DOM::Event*", 36, Smoke::t_class|Smoke::tf_ptr },	//91
    { "DOM::Event::PhaseType", 36, Smoke::t_enum|Smoke::tf_stack },	//92
    { "DOM::EventException&", 37, Smoke::t_class|Smoke::tf_ref },	//93
    { "DOM::EventException*", 37, Smoke::t_class|Smoke::tf_ptr },	//94
    { "DOM::EventException::EventExceptionCode", 37, Smoke::t_enum|Smoke::tf_stack },	//95
    { "DOM::EventListener*", 38, Smoke::t_class|Smoke::tf_ptr },	//96
    { "DOM::HTMLAnchorElement&", 39, Smoke::t_class|Smoke::tf_ref },	//97
    { "DOM::HTMLAnchorElement*", 39, Smoke::t_class|Smoke::tf_ptr },	//98
    { "DOM::HTMLAppletElement&", 40, Smoke::t_class|Smoke::tf_ref },	//99
    { "DOM::HTMLAppletElement*", 40, Smoke::t_class|Smoke::tf_ptr },	//100
    { "DOM::HTMLAreaElement&", 41, Smoke::t_class|Smoke::tf_ref },	//101
    { "DOM::HTMLAreaElement*", 41, Smoke::t_class|Smoke::tf_ptr },	//102
    { "DOM::HTMLBRElement&", 42, Smoke::t_class|Smoke::tf_ref },	//103
    { "DOM::HTMLBRElement*", 42, Smoke::t_class|Smoke::tf_ptr },	//104
    { "DOM::HTMLBaseElement&", 43, Smoke::t_class|Smoke::tf_ref },	//105
    { "DOM::HTMLBaseElement*", 43, Smoke::t_class|Smoke::tf_ptr },	//106
    { "DOM::HTMLBaseFontElement&", 44, Smoke::t_class|Smoke::tf_ref },	//107
    { "DOM::HTMLBaseFontElement*", 44, Smoke::t_class|Smoke::tf_ptr },	//108
    { "DOM::HTMLBlockquoteElement&", 45, Smoke::t_class|Smoke::tf_ref },	//109
    { "DOM::HTMLBlockquoteElement*", 45, Smoke::t_class|Smoke::tf_ptr },	//110
    { "DOM::HTMLBodyElement&", 46, Smoke::t_class|Smoke::tf_ref },	//111
    { "DOM::HTMLBodyElement*", 46, Smoke::t_class|Smoke::tf_ptr },	//112
    { "DOM::HTMLButtonElement&", 47, Smoke::t_class|Smoke::tf_ref },	//113
    { "DOM::HTMLButtonElement*", 47, Smoke::t_class|Smoke::tf_ptr },	//114
    { "DOM::HTMLCollection", 48, Smoke::t_class|Smoke::tf_stack },	//115
    { "DOM::HTMLCollection&", 48, Smoke::t_class|Smoke::tf_ref },	//116
    { "DOM::HTMLCollection*", 48, Smoke::t_class|Smoke::tf_ptr },	//117
    { "DOM::HTMLDListElement&", 49, Smoke::t_class|Smoke::tf_ref },	//118
    { "DOM::HTMLDListElement*", 49, Smoke::t_class|Smoke::tf_ptr },	//119
    { "DOM::HTMLDirectoryElement&", 50, Smoke::t_class|Smoke::tf_ref },	//120
    { "DOM::HTMLDirectoryElement*", 50, Smoke::t_class|Smoke::tf_ptr },	//121
    { "DOM::HTMLDivElement&", 51, Smoke::t_class|Smoke::tf_ref },	//122
    { "DOM::HTMLDivElement*", 51, Smoke::t_class|Smoke::tf_ptr },	//123
    { "DOM::HTMLDocument", 52, Smoke::t_class|Smoke::tf_stack },	//124
    { "DOM::HTMLDocument&", 52, Smoke::t_class|Smoke::tf_ref },	//125
    { "DOM::HTMLDocument*", 52, Smoke::t_class|Smoke::tf_ptr },	//126
    { "DOM::HTMLElement", 53, Smoke::t_class|Smoke::tf_stack },	//127
    { "DOM::HTMLElement&", 53, Smoke::t_class|Smoke::tf_ref },	//128
    { "DOM::HTMLElement*", 53, Smoke::t_class|Smoke::tf_ptr },	//129
    { "DOM::HTMLFieldSetElement&", 54, Smoke::t_class|Smoke::tf_ref },	//130
    { "DOM::HTMLFieldSetElement*", 54, Smoke::t_class|Smoke::tf_ptr },	//131
    { "DOM::HTMLFontElement&", 55, Smoke::t_class|Smoke::tf_ref },	//132
    { "DOM::HTMLFontElement*", 55, Smoke::t_class|Smoke::tf_ptr },	//133
    { "DOM::HTMLFormCollection*", 56, Smoke::t_class|Smoke::tf_ptr },	//134
    { "DOM::HTMLFormElement", 57, Smoke::t_class|Smoke::tf_stack },	//135
    { "DOM::HTMLFormElement&", 57, Smoke::t_class|Smoke::tf_ref },	//136
    { "DOM::HTMLFormElement*", 57, Smoke::t_class|Smoke::tf_ptr },	//137
    { "DOM::HTMLFrameElement&", 58, Smoke::t_class|Smoke::tf_ref },	//138
    { "DOM::HTMLFrameElement*", 58, Smoke::t_class|Smoke::tf_ptr },	//139
    { "DOM::HTMLFrameSetElement&", 59, Smoke::t_class|Smoke::tf_ref },	//140
    { "DOM::HTMLFrameSetElement*", 59, Smoke::t_class|Smoke::tf_ptr },	//141
    { "DOM::HTMLHRElement&", 60, Smoke::t_class|Smoke::tf_ref },	//142
    { "DOM::HTMLHRElement*", 60, Smoke::t_class|Smoke::tf_ptr },	//143
    { "DOM::HTMLHeadElement&", 61, Smoke::t_class|Smoke::tf_ref },	//144
    { "DOM::HTMLHeadElement*", 61, Smoke::t_class|Smoke::tf_ptr },	//145
    { "DOM::HTMLHeadingElement&", 62, Smoke::t_class|Smoke::tf_ref },	//146
    { "DOM::HTMLHeadingElement*", 62, Smoke::t_class|Smoke::tf_ptr },	//147
    { "DOM::HTMLHtmlElement&", 63, Smoke::t_class|Smoke::tf_ref },	//148
    { "DOM::HTMLHtmlElement*", 63, Smoke::t_class|Smoke::tf_ptr },	//149
    { "DOM::HTMLIFrameElement&", 64, Smoke::t_class|Smoke::tf_ref },	//150
    { "DOM::HTMLIFrameElement*", 64, Smoke::t_class|Smoke::tf_ptr },	//151
    { "DOM::HTMLImageElement&", 65, Smoke::t_class|Smoke::tf_ref },	//152
    { "DOM::HTMLImageElement*", 65, Smoke::t_class|Smoke::tf_ptr },	//153
    { "DOM::HTMLInputElement&", 66, Smoke::t_class|Smoke::tf_ref },	//154
    { "DOM::HTMLInputElement*", 66, Smoke::t_class|Smoke::tf_ptr },	//155
    { "DOM::HTMLIsIndexElement&", 67, Smoke::t_class|Smoke::tf_ref },	//156
    { "DOM::HTMLIsIndexElement*", 67, Smoke::t_class|Smoke::tf_ptr },	//157
    { "DOM::HTMLLIElement&", 68, Smoke::t_class|Smoke::tf_ref },	//158
    { "DOM::HTMLLIElement*", 68, Smoke::t_class|Smoke::tf_ptr },	//159
    { "DOM::HTMLLabelElement&", 69, Smoke::t_class|Smoke::tf_ref },	//160
    { "DOM::HTMLLabelElement*", 69, Smoke::t_class|Smoke::tf_ptr },	//161
    { "DOM::HTMLLayerElement&", 70, Smoke::t_class|Smoke::tf_ref },	//162
    { "DOM::HTMLLayerElement*", 70, Smoke::t_class|Smoke::tf_ptr },	//163
    { "DOM::HTMLLegendElement&", 71, Smoke::t_class|Smoke::tf_ref },	//164
    { "DOM::HTMLLegendElement*", 71, Smoke::t_class|Smoke::tf_ptr },	//165
    { "DOM::HTMLLinkElement&", 72, Smoke::t_class|Smoke::tf_ref },	//166
    { "DOM::HTMLLinkElement*", 72, Smoke::t_class|Smoke::tf_ptr },	//167
    { "DOM::HTMLMapElement&", 73, Smoke::t_class|Smoke::tf_ref },	//168
    { "DOM::HTMLMapElement*", 73, Smoke::t_class|Smoke::tf_ptr },	//169
    { "DOM::HTMLMenuElement&", 74, Smoke::t_class|Smoke::tf_ref },	//170
    { "DOM::HTMLMenuElement*", 74, Smoke::t_class|Smoke::tf_ptr },	//171
    { "DOM::HTMLMetaElement&", 75, Smoke::t_class|Smoke::tf_ref },	//172
    { "DOM::HTMLMetaElement*", 75, Smoke::t_class|Smoke::tf_ptr },	//173
    { "DOM::HTMLModElement&", 76, Smoke::t_class|Smoke::tf_ref },	//174
    { "DOM::HTMLModElement*", 76, Smoke::t_class|Smoke::tf_ptr },	//175
    { "DOM::HTMLOListElement&", 77, Smoke::t_class|Smoke::tf_ref },	//176
    { "DOM::HTMLOListElement*", 77, Smoke::t_class|Smoke::tf_ptr },	//177
    { "DOM::HTMLObjectElement&", 78, Smoke::t_class|Smoke::tf_ref },	//178
    { "DOM::HTMLObjectElement*", 78, Smoke::t_class|Smoke::tf_ptr },	//179
    { "DOM::HTMLOptGroupElement&", 79, Smoke::t_class|Smoke::tf_ref },	//180
    { "DOM::HTMLOptGroupElement*", 79, Smoke::t_class|Smoke::tf_ptr },	//181
    { "DOM::HTMLOptionElement&", 80, Smoke::t_class|Smoke::tf_ref },	//182
    { "DOM::HTMLOptionElement*", 80, Smoke::t_class|Smoke::tf_ptr },	//183
    { "DOM::HTMLParagraphElement&", 81, Smoke::t_class|Smoke::tf_ref },	//184
    { "DOM::HTMLParagraphElement*", 81, Smoke::t_class|Smoke::tf_ptr },	//185
    { "DOM::HTMLParamElement&", 82, Smoke::t_class|Smoke::tf_ref },	//186
    { "DOM::HTMLParamElement*", 82, Smoke::t_class|Smoke::tf_ptr },	//187
    { "DOM::HTMLPreElement&", 83, Smoke::t_class|Smoke::tf_ref },	//188
    { "DOM::HTMLPreElement*", 83, Smoke::t_class|Smoke::tf_ptr },	//189
    { "DOM::HTMLQuoteElement&", 84, Smoke::t_class|Smoke::tf_ref },	//190
    { "DOM::HTMLQuoteElement*", 84, Smoke::t_class|Smoke::tf_ptr },	//191
    { "DOM::HTMLScriptElement&", 85, Smoke::t_class|Smoke::tf_ref },	//192
    { "DOM::HTMLScriptElement*", 85, Smoke::t_class|Smoke::tf_ptr },	//193
    { "DOM::HTMLSelectElement&", 86, Smoke::t_class|Smoke::tf_ref },	//194
    { "DOM::HTMLSelectElement*", 86, Smoke::t_class|Smoke::tf_ptr },	//195
    { "DOM::HTMLStyleElement&", 87, Smoke::t_class|Smoke::tf_ref },	//196
    { "DOM::HTMLStyleElement*", 87, Smoke::t_class|Smoke::tf_ptr },	//197
    { "DOM::HTMLTableCaptionElement", 88, Smoke::t_class|Smoke::tf_stack },	//198
    { "DOM::HTMLTableCaptionElement&", 88, Smoke::t_class|Smoke::tf_ref },	//199
    { "DOM::HTMLTableCaptionElement*", 88, Smoke::t_class|Smoke::tf_ptr },	//200
    { "DOM::HTMLTableCellElement&", 89, Smoke::t_class|Smoke::tf_ref },	//201
    { "DOM::HTMLTableCellElement*", 89, Smoke::t_class|Smoke::tf_ptr },	//202
    { "DOM::HTMLTableColElement&", 90, Smoke::t_class|Smoke::tf_ref },	//203
    { "DOM::HTMLTableColElement*", 90, Smoke::t_class|Smoke::tf_ptr },	//204
    { "DOM::HTMLTableElement&", 91, Smoke::t_class|Smoke::tf_ref },	//205
    { "DOM::HTMLTableElement*", 91, Smoke::t_class|Smoke::tf_ptr },	//206
    { "DOM::HTMLTableRowElement&", 92, Smoke::t_class|Smoke::tf_ref },	//207
    { "DOM::HTMLTableRowElement*", 92, Smoke::t_class|Smoke::tf_ptr },	//208
    { "DOM::HTMLTableSectionElement", 93, Smoke::t_class|Smoke::tf_stack },	//209
    { "DOM::HTMLTableSectionElement&", 93, Smoke::t_class|Smoke::tf_ref },	//210
    { "DOM::HTMLTableSectionElement*", 93, Smoke::t_class|Smoke::tf_ptr },	//211
    { "DOM::HTMLTextAreaElement&", 94, Smoke::t_class|Smoke::tf_ref },	//212
    { "DOM::HTMLTextAreaElement*", 94, Smoke::t_class|Smoke::tf_ptr },	//213
    { "DOM::HTMLTitleElement&", 95, Smoke::t_class|Smoke::tf_ref },	//214
    { "DOM::HTMLTitleElement*", 95, Smoke::t_class|Smoke::tf_ptr },	//215
    { "DOM::HTMLUListElement&", 96, Smoke::t_class|Smoke::tf_ref },	//216
    { "DOM::HTMLUListElement*", 96, Smoke::t_class|Smoke::tf_ptr },	//217
    { "DOM::KeyboardEvent&", 97, Smoke::t_class|Smoke::tf_ref },	//218
    { "DOM::KeyboardEvent*", 97, Smoke::t_class|Smoke::tf_ptr },	//219
    { "DOM::KeyboardEvent::KeyLocation", 97, Smoke::t_enum|Smoke::tf_stack },	//220
    { "DOM::LinkStyle&", 98, Smoke::t_class|Smoke::tf_ref },	//221
    { "DOM::LinkStyle*", 98, Smoke::t_class|Smoke::tf_ptr },	//222
    { "DOM::MediaList", 99, Smoke::t_class|Smoke::tf_stack },	//223
    { "DOM::MediaList&", 99, Smoke::t_class|Smoke::tf_ref },	//224
    { "DOM::MediaList*", 99, Smoke::t_class|Smoke::tf_ptr },	//225
    { "DOM::MouseEvent&", 100, Smoke::t_class|Smoke::tf_ref },	//226
    { "DOM::MouseEvent*", 100, Smoke::t_class|Smoke::tf_ptr },	//227
    { "DOM::MutationEvent&", 101, Smoke::t_class|Smoke::tf_ref },	//228
    { "DOM::MutationEvent*", 101, Smoke::t_class|Smoke::tf_ptr },	//229
    { "DOM::MutationEvent::attrChangeType", 101, Smoke::t_enum|Smoke::tf_stack },	//230
    { "DOM::NamedNodeMap", 102, Smoke::t_class|Smoke::tf_stack },	//231
    { "DOM::NamedNodeMap&", 102, Smoke::t_class|Smoke::tf_ref },	//232
    { "DOM::NamedNodeMap*", 102, Smoke::t_class|Smoke::tf_ptr },	//233
    { "DOM::Node", 103, Smoke::t_class|Smoke::tf_stack },	//234
    { "DOM::Node&", 103, Smoke::t_class|Smoke::tf_ref },	//235
    { "DOM::Node*", 103, Smoke::t_class|Smoke::tf_ptr },	//236
    { "DOM::Node::DocumentPosition", 103, Smoke::t_enum|Smoke::tf_stack },	//237
    { "DOM::Node::NodeType", 103, Smoke::t_enum|Smoke::tf_stack },	//238
    { "DOM::NodeFilter", 104, Smoke::t_class|Smoke::tf_stack },	//239
    { "DOM::NodeFilter&", 104, Smoke::t_class|Smoke::tf_ref },	//240
    { "DOM::NodeFilter*", 104, Smoke::t_class|Smoke::tf_ptr },	//241
    { "DOM::NodeFilter::AcceptCode", 104, Smoke::t_enum|Smoke::tf_stack },	//242
    { "DOM::NodeFilter::ShowCode", 104, Smoke::t_enum|Smoke::tf_stack },	//243
    { "DOM::NodeIterator", 105, Smoke::t_class|Smoke::tf_stack },	//244
    { "DOM::NodeIterator&", 105, Smoke::t_class|Smoke::tf_ref },	//245
    { "DOM::NodeIterator*", 105, Smoke::t_class|Smoke::tf_ptr },	//246
    { "DOM::NodeList", 106, Smoke::t_class|Smoke::tf_stack },	//247
    { "DOM::NodeList&", 106, Smoke::t_class|Smoke::tf_ref },	//248
    { "DOM::NodeList*", 106, Smoke::t_class|Smoke::tf_ptr },	//249
    { "DOM::Notation&", 107, Smoke::t_class|Smoke::tf_ref },	//250
    { "DOM::Notation*", 107, Smoke::t_class|Smoke::tf_ptr },	//251
    { "DOM::ProcessingInstruction", 108, Smoke::t_class|Smoke::tf_stack },	//252
    { "DOM::ProcessingInstruction&", 108, Smoke::t_class|Smoke::tf_ref },	//253
    { "DOM::ProcessingInstruction*", 108, Smoke::t_class|Smoke::tf_ptr },	//254
    { "DOM::RGBColor", 109, Smoke::t_class|Smoke::tf_stack },	//255
    { "DOM::RGBColor&", 109, Smoke::t_class|Smoke::tf_ref },	//256
    { "DOM::RGBColor*", 109, Smoke::t_class|Smoke::tf_ptr },	//257
    { "DOM::Range", 110, Smoke::t_class|Smoke::tf_stack },	//258
    { "DOM::Range&", 110, Smoke::t_class|Smoke::tf_ref },	//259
    { "DOM::Range*", 110, Smoke::t_class|Smoke::tf_ptr },	//260
    { "DOM::Range::CompareHow", 110, Smoke::t_enum|Smoke::tf_stack },	//261
    { "DOM::RangeException&", 111, Smoke::t_class|Smoke::tf_ref },	//262
    { "DOM::RangeException*", 111, Smoke::t_class|Smoke::tf_ptr },	//263
    { "DOM::RangeException::RangeExceptionCode", 111, Smoke::t_enum|Smoke::tf_stack },	//264
    { "DOM::Rect", 112, Smoke::t_class|Smoke::tf_stack },	//265
    { "DOM::Rect&", 112, Smoke::t_class|Smoke::tf_ref },	//266
    { "DOM::Rect*", 112, Smoke::t_class|Smoke::tf_ptr },	//267
    { "DOM::StyleSheet", 113, Smoke::t_class|Smoke::tf_stack },	//268
    { "DOM::StyleSheet&", 113, Smoke::t_class|Smoke::tf_ref },	//269
    { "DOM::StyleSheet*", 113, Smoke::t_class|Smoke::tf_ptr },	//270
    { "DOM::StyleSheetList", 114, Smoke::t_class|Smoke::tf_stack },	//271
    { "DOM::StyleSheetList&", 114, Smoke::t_class|Smoke::tf_ref },	//272
    { "DOM::StyleSheetList*", 114, Smoke::t_class|Smoke::tf_ptr },	//273
    { "DOM::Text", 115, Smoke::t_class|Smoke::tf_stack },	//274
    { "DOM::Text&", 115, Smoke::t_class|Smoke::tf_ref },	//275
    { "DOM::Text*", 115, Smoke::t_class|Smoke::tf_ptr },	//276
    { "DOM::TextEvent&", 116, Smoke::t_class|Smoke::tf_ref },	//277
    { "DOM::TextEvent*", 116, Smoke::t_class|Smoke::tf_ptr },	//278
    { "DOM::TreeWalker", 117, Smoke::t_class|Smoke::tf_stack },	//279
    { "DOM::TreeWalker&", 117, Smoke::t_class|Smoke::tf_ref },	//280
    { "DOM::TreeWalker*", 117, Smoke::t_class|Smoke::tf_ptr },	//281
    { "DOM::UIEvent&", 118, Smoke::t_class|Smoke::tf_ref },	//282
    { "DOM::UIEvent*", 118, Smoke::t_class|Smoke::tf_ptr },	//283
    { "KActionCollection*", 119, Smoke::t_class|Smoke::tf_ptr },	//284
    { "KCharsets*", 120, Smoke::t_class|Smoke::tf_ptr },	//285
    { "KComponentData", 121, Smoke::t_class|Smoke::tf_stack },	//286
    { "KConfig*", 122, Smoke::t_class|Smoke::tf_ptr },	//287
    { "KFindDialog*", 124, Smoke::t_class|Smoke::tf_ptr },	//288
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//289
    { "KHTMLPart*", 125, Smoke::t_class|Smoke::tf_ptr },	//290
    { "KHTMLPart::CaretDisplayPolicy", 125, Smoke::t_enum|Smoke::tf_stack },	//291
    { "KHTMLPart::DNSPrefetch", 125, Smoke::t_enum|Smoke::tf_stack },	//292
    { "KHTMLPart::FindOptions", 125, Smoke::t_enum|Smoke::tf_stack },	//293
    { "KHTMLPart::FormNotification", 125, Smoke::t_enum|Smoke::tf_stack },	//294
    { "KHTMLPart::GUIProfile", 125, Smoke::t_enum|Smoke::tf_stack },	//295
    { "KHTMLPart::PageSecurity", 125, Smoke::t_enum|Smoke::tf_stack },	//296
    { "KHTMLPart::StatusBarPriority", 125, Smoke::t_enum|Smoke::tf_stack },	//297
    { "KHTMLPartPrivate*", 126, Smoke::t_class|Smoke::tf_ptr },	//298
    { "KHTMLSettings*", 127, Smoke::t_class|Smoke::tf_ptr },	//299
    { "KHTMLSettings::KAnimationAdvice", 127, Smoke::t_enum|Smoke::tf_stack },	//300
    { "KHTMLSettings::KDNSPrefetch", 127, Smoke::t_enum|Smoke::tf_stack },	//301
    { "KHTMLSettings::KJSWindowFocusPolicy", 127, Smoke::t_enum|Smoke::tf_stack },	//302
    { "KHTMLSettings::KJSWindowMovePolicy", 127, Smoke::t_enum|Smoke::tf_stack },	//303
    { "KHTMLSettings::KJSWindowOpenPolicy", 127, Smoke::t_enum|Smoke::tf_stack },	//304
    { "KHTMLSettings::KJSWindowResizePolicy", 127, Smoke::t_enum|Smoke::tf_stack },	//305
    { "KHTMLSettings::KJSWindowStatusPolicy", 127, Smoke::t_enum|Smoke::tf_stack },	//306
    { "KHTMLSettings::KJavaScriptAdvice", 127, Smoke::t_enum|Smoke::tf_stack },	//307
    { "KHTMLSettings::KJavaScriptAdvice&", 127, Smoke::t_enum|Smoke::tf_ref },	//308
    { "KHTMLSettings::KSmoothScrollingMode", 127, Smoke::t_enum|Smoke::tf_stack },	//309
    { "KHTMLView*", 128, Smoke::t_class|Smoke::tf_ptr },	//310
    { "KHTMLView::LinkCursor", 128, Smoke::t_enum|Smoke::tf_stack },	//311
    { "KHTMLView::SmoothScrollingMode", 128, Smoke::t_enum|Smoke::tf_stack },	//312
    { "KIO::Job*", 129, Smoke::t_class|Smoke::tf_ptr },	//313
    { "KJS::Interpreter*", 130, Smoke::t_class|Smoke::tf_ptr },	//314
    { "KJSProxy*", 131, Smoke::t_class|Smoke::tf_ptr },	//315
    { "KJob*", 132, Smoke::t_class|Smoke::tf_ptr },	//316
    { "KLocale*", 133, Smoke::t_class|Smoke::tf_ptr },	//317
    { "KParts::BrowserExtension*", 135, Smoke::t_class|Smoke::tf_ptr },	//318
    { "KParts::BrowserHostExtension*", 136, Smoke::t_class|Smoke::tf_ptr },	//319
    { "KParts::GUIActivateEvent*", 138, Smoke::t_class|Smoke::tf_ptr },	//320
    { "KParts::Part*", 140, Smoke::t_class|Smoke::tf_ptr },	//321
    { "KParts::PartActivateEvent*", 141, Smoke::t_class|Smoke::tf_ptr },	//322
    { "KParts::PartManager*", 143, Smoke::t_class|Smoke::tf_ptr },	//323
    { "KParts::PartSelectEvent*", 144, Smoke::t_class|Smoke::tf_ptr },	//324
    { "KParts::ReadOnlyPart*", 145, Smoke::t_class|Smoke::tf_ptr },	//325
    { "KPerDomainSettings&", 146, Smoke::t_class|Smoke::tf_ref },	//326
    { "KSharedConfig", 147, Smoke::t_class|Smoke::tf_stack },	//327
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//328
    { "KStandardDirs*", 148, Smoke::t_class|Smoke::tf_ptr },	//329
    { "KUrl", 149, Smoke::t_class|Smoke::tf_stack },	//330
    { "KXMLGUIClient::ReverseStateChange", 150, Smoke::t_enum|Smoke::tf_stack },	//331
    { "QAction*", 152, Smoke::t_class|Smoke::tf_ptr },	//332
    { "QActionEvent*", 153, Smoke::t_class|Smoke::tf_ptr },	//333
    { "QBool", 154, Smoke::t_class|Smoke::tf_stack },	//334
    { "QByteArray", 155, Smoke::t_class|Smoke::tf_stack },	//335
    { "QChar", 156, Smoke::t_class|Smoke::tf_stack },	//336
    { "QChar*", 156, Smoke::t_class|Smoke::tf_ptr },	//337
    { "QChildEvent*", 157, Smoke::t_class|Smoke::tf_ptr },	//338
    { "QCloseEvent*", 158, Smoke::t_class|Smoke::tf_ptr },	//339
    { "QContextMenuEvent*", 160, Smoke::t_class|Smoke::tf_ptr },	//340
    { "QCursor", 161, Smoke::t_class|Smoke::tf_stack },	//341
    { "QDataStream&", 162, Smoke::t_class|Smoke::tf_ref },	//342
    { "QDomDocument", 163, Smoke::t_class|Smoke::tf_stack },	//343
    { "QDragEnterEvent*", 165, Smoke::t_class|Smoke::tf_ptr },	//344
    { "QDragLeaveEvent*", 166, Smoke::t_class|Smoke::tf_ptr },	//345
    { "QDragMoveEvent*", 167, Smoke::t_class|Smoke::tf_ptr },	//346
    { "QDropEvent*", 168, Smoke::t_class|Smoke::tf_ptr },	//347
    { "QEvent*", 169, Smoke::t_class|Smoke::tf_ptr },	//348
    { "QFocusEvent*", 170, Smoke::t_class|Smoke::tf_ptr },	//349
    { "QHideEvent*", 174, Smoke::t_class|Smoke::tf_ptr },	//350
    { "QInputMethodEvent*", 175, Smoke::t_class|Smoke::tf_ptr },	//351
    { "QKeyEvent*", 176, Smoke::t_class|Smoke::tf_ptr },	//352
    { "QList<KParts::ReadOnlyPart*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//353
    { "QList<QPair<QString,QChar> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//354
    { "QMetaObject::Call", 177, Smoke::t_enum|Smoke::tf_stack },	//355
    { "QMouseEvent*", 178, Smoke::t_class|Smoke::tf_ptr },	//356
    { "QMoveEvent*", 179, Smoke::t_class|Smoke::tf_ptr },	//357
    { "QObject*", 180, Smoke::t_class|Smoke::tf_ptr },	//358
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//359
    { "QPaintEngine*", 181, Smoke::t_class|Smoke::tf_ptr },	//360
    { "QPaintEvent*", 182, Smoke::t_class|Smoke::tf_ptr },	//361
    { "QPainter*", 183, Smoke::t_class|Smoke::tf_ptr },	//362
    { "QPair<QString,QChar>", 0, Smoke::t_voidp|Smoke::tf_stack },	//363
    { "QPoint", 185, Smoke::t_class|Smoke::tf_stack },	//364
    { "QRect", 186, Smoke::t_class|Smoke::tf_stack },	//365
    { "QRegExp&", 187, Smoke::t_class|Smoke::tf_ref },	//366
    { "QResizeEvent*", 188, Smoke::t_class|Smoke::tf_ptr },	//367
    { "QShowEvent*", 190, Smoke::t_class|Smoke::tf_ptr },	//368
    { "QSize", 191, Smoke::t_class|Smoke::tf_stack },	//369
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//370
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//371
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//372
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//373
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//374
    { "QStyle&", 192, Smoke::t_class|Smoke::tf_ref },	//375
    { "QTabletEvent*", 193, Smoke::t_class|Smoke::tf_ptr },	//376
    { "QTimerEvent*", 194, Smoke::t_class|Smoke::tf_ptr },	//377
    { "QVariant", 195, Smoke::t_class|Smoke::tf_stack },	//378
    { "QWheelEvent*", 196, Smoke::t_class|Smoke::tf_ptr },	//379
    { "QWidget*", 197, Smoke::t_class|Smoke::tf_ptr },	//380
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//381
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//382
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//383
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//384
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//385
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//386
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//387
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//388
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//389
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//390
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//391
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//392
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//393
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//394
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//395
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//396
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//397
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//398
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//399
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//400
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//401
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//402
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//403
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//404
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//405
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//406
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//407
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//408
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//409
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//410
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//411
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//412
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//413
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//414
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//415
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//416
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//417
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//418
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//419
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//420
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//421
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//422
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//423
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//424
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//425
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//426
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//427
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//428
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//429
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//430
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//431
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//432
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//433
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//434
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//435
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//436
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//437
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//438
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//439
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//440
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//441
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//442
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//443
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//444
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//445
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//446
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//447
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//448
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//449
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//450
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//451
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//452
    { "QtMsgType", 173, Smoke::t_enum|Smoke::tf_stack },	//453
    { "QtValidLicenseForActiveQtModule", 173, Smoke::t_enum|Smoke::tf_stack },	//454
    { "QtValidLicenseForCoreModule", 173, Smoke::t_enum|Smoke::tf_stack },	//455
    { "QtValidLicenseForDBusModule", 173, Smoke::t_enum|Smoke::tf_stack },	//456
    { "QtValidLicenseForDeclarativeModule", 173, Smoke::t_enum|Smoke::tf_stack },	//457
    { "QtValidLicenseForGuiModule", 173, Smoke::t_enum|Smoke::tf_stack },	//458
    { "QtValidLicenseForHelpModule", 173, Smoke::t_enum|Smoke::tf_stack },	//459
    { "QtValidLicenseForMultimediaModule", 173, Smoke::t_enum|Smoke::tf_stack },	//460
    { "QtValidLicenseForNetworkModule", 173, Smoke::t_enum|Smoke::tf_stack },	//461
    { "QtValidLicenseForOpenGLModule", 173, Smoke::t_enum|Smoke::tf_stack },	//462
    { "QtValidLicenseForOpenVGModule", 173, Smoke::t_enum|Smoke::tf_stack },	//463
    { "QtValidLicenseForQt3SupportLightModule", 173, Smoke::t_enum|Smoke::tf_stack },	//464
    { "QtValidLicenseForQt3SupportModule", 173, Smoke::t_enum|Smoke::tf_stack },	//465
    { "QtValidLicenseForScriptModule", 173, Smoke::t_enum|Smoke::tf_stack },	//466
    { "QtValidLicenseForScriptToolsModule", 173, Smoke::t_enum|Smoke::tf_stack },	//467
    { "QtValidLicenseForSqlModule", 173, Smoke::t_enum|Smoke::tf_stack },	//468
    { "QtValidLicenseForSvgModule", 173, Smoke::t_enum|Smoke::tf_stack },	//469
    { "QtValidLicenseForTestModule", 173, Smoke::t_enum|Smoke::tf_stack },	//470
    { "QtValidLicenseForXmlModule", 173, Smoke::t_enum|Smoke::tf_stack },	//471
    { "QtValidLicenseForXmlPatternsModule", 173, Smoke::t_enum|Smoke::tf_stack },	//472
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//473
    { "__codecvt_result", 173, Smoke::t_enum|Smoke::tf_stack },	//474
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//475
    { "bool*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//476
    { "const DOM::AbstractView&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//477
    { "const DOM::Attr&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//478
    { "const DOM::CDATASection&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//479
    { "const DOM::CSSCharsetRule&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//480
    { "const DOM::CSSException&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//481
    { "const DOM::CSSFontFaceRule&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//482
    { "const DOM::CSSImportRule&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//483
    { "const DOM::CSSMediaRule&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//484
    { "const DOM::CSSPageRule&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//485
    { "const DOM::CSSPrimitiveValue&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//486
    { "const DOM::CSSRule&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//487
    { "const DOM::CSSRuleList&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//488
    { "const DOM::CSSStyleDeclaration&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//489
    { "const DOM::CSSStyleRule&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//490
    { "const DOM::CSSStyleSheet&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//491
    { "const DOM::CSSUnknownRule&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//492
    { "const DOM::CSSValue&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//493
    { "const DOM::CSSValueList&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//494
    { "const DOM::CharacterData&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//495
    { "const DOM::Comment&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//496
    { "const DOM::Counter&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//497
    { "const DOM::CustomNodeFilter&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//498
    { "const DOM::DOMException&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//499
    { "const DOM::DOMImplementation&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//500
    { "const DOM::DOMString&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//501
    { "const DOM::Document", 27, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//502
    { "const DOM::Document&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//503
    { "const DOM::DocumentFragment&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//504
    { "const DOM::DocumentStyle&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//505
    { "const DOM::DocumentType&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//506
    { "const DOM::DomShared&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//507
    { "const DOM::Element&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//508
    { "const DOM::Entity&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//509
    { "const DOM::EntityReference&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//510
    { "const DOM::Event&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//511
    { "const DOM::EventException&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//512
    { "const DOM::EventListener&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//513
    { "const DOM::HTMLAnchorElement&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//514
    { "const DOM::HTMLAppletElement&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//515
    { "const DOM::HTMLAreaElement&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//516
    { "const DOM::HTMLBRElement&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//517
    { "const DOM::HTMLBaseElement&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//518
    { "const DOM::HTMLBaseFontElement&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//519
    { "const DOM::HTMLBlockquoteElement&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//520
    { "const DOM::HTMLBodyElement&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//521
    { "const DOM::HTMLButtonElement&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//522
    { "const DOM::HTMLCollection&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//523
    { "const DOM::HTMLDListElement&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//524
    { "const DOM::HTMLDirectoryElement&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//525
    { "const DOM::HTMLDivElement&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//526
    { "const DOM::HTMLDocument&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//527
    { "const DOM::HTMLElement&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//528
    { "const DOM::HTMLFieldSetElement&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//529
    { "const DOM::HTMLFontElement&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//530
    { "const DOM::HTMLFormCollection&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//531
    { "const DOM::HTMLFormElement&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//532
    { "const DOM::HTMLFrameElement&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//533
    { "const DOM::HTMLFrameSetElement&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//534
    { "const DOM::HTMLHRElement&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//535
    { "const DOM::HTMLHeadElement&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//536
    { "const DOM::HTMLHeadingElement&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//537
    { "const DOM::HTMLHtmlElement&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//538
    { "const DOM::HTMLIFrameElement&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//539
    { "const DOM::HTMLImageElement&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//540
    { "const DOM::HTMLInputElement&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//541
    { "const DOM::HTMLIsIndexElement&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//542
    { "const DOM::HTMLLIElement&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//543
    { "const DOM::HTMLLabelElement&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//544
    { "const DOM::HTMLLayerElement&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//545
    { "const DOM::HTMLLegendElement&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//546
    { "const DOM::HTMLLinkElement&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//547
    { "const DOM::HTMLMapElement&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//548
    { "const DOM::HTMLMenuElement&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//549
    { "const DOM::HTMLMetaElement&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//550
    { "const DOM::HTMLModElement&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//551
    { "const DOM::HTMLOListElement&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//552
    { "const DOM::HTMLObjectElement&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//553
    { "const DOM::HTMLOptGroupElement&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//554
    { "const DOM::HTMLOptionElement&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//555
    { "const DOM::HTMLParagraphElement&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//556
    { "const DOM::HTMLParamElement&", 82, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//557
    { "const DOM::HTMLPreElement&", 83, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//558
    { "const DOM::HTMLQuoteElement&", 84, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//559
    { "const DOM::HTMLScriptElement&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//560
    { "const DOM::HTMLSelectElement&", 86, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//561
    { "const DOM::HTMLStyleElement&", 87, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//562
    { "const DOM::HTMLTableCaptionElement&", 88, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//563
    { "const DOM::HTMLTableCellElement&", 89, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//564
    { "const DOM::HTMLTableColElement&", 90, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//565
    { "const DOM::HTMLTableElement&", 91, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//566
    { "const DOM::HTMLTableRowElement&", 92, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//567
    { "const DOM::HTMLTableSectionElement&", 93, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//568
    { "const DOM::HTMLTextAreaElement&", 94, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//569
    { "const DOM::HTMLTitleElement&", 95, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//570
    { "const DOM::HTMLUListElement&", 96, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//571
    { "const DOM::KeyboardEvent&", 97, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//572
    { "const DOM::LinkStyle&", 98, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//573
    { "const DOM::MediaList&", 99, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//574
    { "const DOM::MouseEvent&", 100, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//575
    { "const DOM::MutationEvent&", 101, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//576
    { "const DOM::NamedNodeMap&", 102, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//577
    { "const DOM::Node", 103, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//578
    { "const DOM::Node&", 103, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//579
    { "const DOM::NodeFilter&", 104, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//580
    { "const DOM::NodeIterator&", 105, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//581
    { "const DOM::NodeList&", 106, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//582
    { "const DOM::Notation&", 107, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//583
    { "const DOM::ProcessingInstruction&", 108, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//584
    { "const DOM::RGBColor&", 109, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//585
    { "const DOM::Range&", 110, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//586
    { "const DOM::RangeException&", 111, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//587
    { "const DOM::Rect&", 112, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//588
    { "const DOM::StyleSheet&", 113, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//589
    { "const DOM::StyleSheetList&", 114, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//590
    { "const DOM::Text&", 115, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//591
    { "const DOM::TextEvent&", 116, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//592
    { "const DOM::TreeWalker&", 117, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//593
    { "const DOM::UIEvent&", 118, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//594
    { "const KComponentData&", 121, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//595
    { "const KConfigGroup&", 123, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//596
    { "const KHTMLSettings&", 127, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//597
    { "const KHTMLSettings*", 127, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//598
    { "const KParts::BrowserArguments&", 134, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//599
    { "const KParts::OpenUrlArguments&", 139, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//600
    { "const KUrl&", 149, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//601
    { "const QByteArray&", 155, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//602
    { "const QChar", 156, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//603
    { "const QChar&", 156, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//604
    { "const QChar*", 156, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//605
    { "const QColor&", 159, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//606
    { "const QCursor&", 161, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//607
    { "const QDomDocument&", 163, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//608
    { "const QDomElement&", 164, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//609
    { "const QEvent*", 169, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//610
    { "const QFont&", 171, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//611
    { "const QMetaObject&", 177, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//612
    { "const QMetaObject*", 177, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//613
    { "const QObject*", 180, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//614
    { "const QPalette&", 184, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//615
    { "const QPoint&", 185, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//616
    { "const QRect&", 186, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//617
    { "const QRegExp&", 187, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//618
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//619
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//620
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//621
    { "const bool", 0, Smoke::t_bool|Smoke::tf_stack|Smoke::tf_const },	//622
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//623
    { "const khtml::DrawContentsEvent&", 199, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//624
    { "const khtml::MouseDoubleClickEvent&", 201, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//625
    { "const khtml::MouseEvent&", 202, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//626
    { "const khtml::MouseMoveEvent&", 203, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//627
    { "const khtml::MousePressEvent&", 204, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//628
    { "const khtml::MouseReleaseEvent&", 205, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//629
    { "const long", 0, Smoke::t_long|Smoke::tf_stack|Smoke::tf_const },	//630
    { "const unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack|Smoke::tf_const },	//631
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//632
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//633
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//634
    { "int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//635
    { "khtml::ChildFrame**", 198, Smoke::t_class|Smoke::tf_ptr },	//636
    { "khtml::DrawContentsEvent*", 199, Smoke::t_class|Smoke::tf_ptr },	//637
    { "khtml::MouseDoubleClickEvent*", 201, Smoke::t_class|Smoke::tf_ptr },	//638
    { "khtml::MouseEvent*", 202, Smoke::t_class|Smoke::tf_ptr },	//639
    { "khtml::MouseMoveEvent*", 203, Smoke::t_class|Smoke::tf_ptr },	//640
    { "khtml::MousePressEvent*", 204, Smoke::t_class|Smoke::tf_ptr },	//641
    { "khtml::MouseReleaseEvent*", 205, Smoke::t_class|Smoke::tf_ptr },	//642
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//643
    { "long&", 0, Smoke::t_voidp|Smoke::tf_ref },	//644
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//645
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//646
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//647
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//648
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//649
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//650
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//651
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//652
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    501, 623, 0,	//1  const DOM::DOMString&, const char*
    501, 501, 0,	//4  const DOM::DOMString&, const DOM::DOMString&
    501, 619, 0,	//7  const DOM::DOMString&, const QString&
    477, 0,	//10  const DOM::AbstractView&
    508, 501, 0,	//12  const DOM::Element&, const DOM::DOMString&
    579, 0,	//15  const DOM::Node&
    478, 0,	//17  const DOM::Attr&
    501, 0,	//19  const DOM::DOMString&
    479, 0,	//21  const DOM::CDATASection&
    480, 0,	//23  const DOM::CSSCharsetRule&
    487, 0,	//25  const DOM::CSSRule&
    649, 0,	//27  unsigned short
    481, 0,	//29  const DOM::CSSException&
    634, 0,	//31  int
    482, 0,	//33  const DOM::CSSFontFaceRule&
    483, 0,	//35  const DOM::CSSImportRule&
    484, 0,	//37  const DOM::CSSMediaRule&
    501, 647, 0,	//39  const DOM::DOMString&, unsigned long
    647, 0,	//42  unsigned long
    485, 0,	//44  const DOM::CSSPageRule&
    486, 0,	//46  const DOM::CSSPrimitiveValue&
    493, 0,	//48  const DOM::CSSValue&
    649, 633, 0,	//50  unsigned short, float
    649, 501, 0,	//53  unsigned short, const DOM::DOMString&
    487, 30, 0,	//56  const DOM::CSSRule&, DOM::CSSRule::RuleType
    488, 0,	//59  const DOM::CSSRuleList&
    489, 0,	//61  const DOM::CSSStyleDeclaration&
    501, 501, 501, 0,	//63  const DOM::DOMString&, const DOM::DOMString&, const DOM::DOMString&
    490, 0,	//67  const DOM::CSSStyleRule&
    491, 0,	//69  const DOM::CSSStyleSheet&
    589, 0,	//71  const DOM::StyleSheet&
    492, 0,	//73  const DOM::CSSUnknownRule&
    494, 0,	//75  const DOM::CSSValueList&
    495, 0,	//77  const DOM::CharacterData&
    631, 631, 0,	//79  const unsigned long, const unsigned long
    631, 501, 0,	//82  const unsigned long, const DOM::DOMString&
    631, 631, 501, 0,	//85  const unsigned long, const unsigned long, const DOM::DOMString&
    496, 0,	//89  const DOM::Comment&
    497, 0,	//91  const DOM::Counter&
    498, 0,	//93  const DOM::CustomNodeFilter&
    499, 0,	//95  const DOM::DOMException&
    500, 0,	//97  const DOM::DOMImplementation&
    501, 501, 506, 0,	//99  const DOM::DOMString&, const DOM::DOMString&, const DOM::DocumentType&
    605, 646, 0,	//103  const QChar*, unsigned int
    619, 0,	//106  const QString&
    623, 0,	//108  const char*
    623, 646, 0,	//110  const char*, unsigned int
    65, 646, 0,	//113  DOM::DOMString, unsigned int
    646, 0,	//116  unsigned int
    603, 634, 0,	//118  const QChar, int
    646, 646, 0,	//121  unsigned int, unsigned int
    646, 634, 0,	//124  unsigned int, int
    476, 0,	//127  bool*
    635, 0,	//129  int&
    633, 0,	//131  float
    603, 0,	//133  const QChar
    475, 0,	//135  bool
    503, 0,	//137  const DOM::Document&
    579, 475, 0,	//139  const DOM::Node&, bool
    234, 647, 239, 475, 0,	//142  DOM::Node, unsigned long, DOM::NodeFilter, bool
    501, 475, 501, 0,	//147  const DOM::DOMString&, bool, const DOM::DOMString&
    504, 0,	//151  const DOM::DocumentFragment&
    505, 0,	//153  const DOM::DocumentStyle&
    506, 0,	//155  const DOM::DocumentType&
    507, 0,	//157  const DOM::DomShared&
    508, 0,	//159  const DOM::Element&
    509, 0,	//161  const DOM::Entity&
    510, 0,	//163  const DOM::EntityReference&
    511, 0,	//165  const DOM::Event&
    501, 475, 475, 0,	//167  const DOM::DOMString&, bool, bool
    512, 0,	//171  const DOM::EventException&
    90, 0,	//173  DOM::Event&
    513, 0,	//175  const DOM::EventListener&
    514, 0,	//177  const DOM::HTMLAnchorElement&
    643, 0,	//179  long
    515, 0,	//181  const DOM::HTMLAppletElement&
    516, 0,	//183  const DOM::HTMLAreaElement&
    517, 0,	//185  const DOM::HTMLBRElement&
    518, 0,	//187  const DOM::HTMLBaseElement&
    519, 0,	//189  const DOM::HTMLBaseFontElement&
    520, 0,	//191  const DOM::HTMLBlockquoteElement&
    521, 0,	//193  const DOM::HTMLBodyElement&
    522, 0,	//195  const DOM::HTMLButtonElement&
    523, 0,	//197  const DOM::HTMLCollection&
    524, 0,	//199  const DOM::HTMLDListElement&
    525, 0,	//201  const DOM::HTMLDirectoryElement&
    526, 0,	//203  const DOM::HTMLDivElement&
    310, 0,	//205  KHTMLView*
    527, 0,	//207  const DOM::HTMLDocument&
    528, 0,	//209  const DOM::HTMLElement&
    579, 634, 0,	//211  const DOM::Node&, int
    529, 0,	//214  const DOM::HTMLFieldSetElement&
    530, 0,	//216  const DOM::HTMLFontElement&
    531, 0,	//218  const DOM::HTMLFormCollection&
    532, 0,	//220  const DOM::HTMLFormElement&
    533, 0,	//222  const DOM::HTMLFrameElement&
    534, 0,	//224  const DOM::HTMLFrameSetElement&
    535, 0,	//226  const DOM::HTMLHRElement&
    536, 0,	//228  const DOM::HTMLHeadElement&
    537, 0,	//230  const DOM::HTMLHeadingElement&
    538, 0,	//232  const DOM::HTMLHtmlElement&
    539, 0,	//234  const DOM::HTMLIFrameElement&
    540, 0,	//236  const DOM::HTMLImageElement&
    541, 0,	//238  const DOM::HTMLInputElement&
    643, 643, 0,	//240  long, long
    542, 0,	//243  const DOM::HTMLIsIndexElement&
    543, 0,	//245  const DOM::HTMLLIElement&
    544, 0,	//247  const DOM::HTMLLabelElement&
    545, 0,	//249  const DOM::HTMLLayerElement&
    546, 0,	//251  const DOM::HTMLLegendElement&
    547, 0,	//253  const DOM::HTMLLinkElement&
    548, 0,	//255  const DOM::HTMLMapElement&
    549, 0,	//257  const DOM::HTMLMenuElement&
    550, 0,	//259  const DOM::HTMLMetaElement&
    551, 0,	//261  const DOM::HTMLModElement&
    552, 0,	//263  const DOM::HTMLOListElement&
    553, 0,	//265  const DOM::HTMLObjectElement&
    554, 0,	//267  const DOM::HTMLOptGroupElement&
    555, 0,	//269  const DOM::HTMLOptionElement&
    556, 0,	//271  const DOM::HTMLParagraphElement&
    557, 0,	//273  const DOM::HTMLParamElement&
    558, 0,	//275  const DOM::HTMLPreElement&
    559, 0,	//277  const DOM::HTMLQuoteElement&
    560, 0,	//279  const DOM::HTMLScriptElement&
    561, 0,	//281  const DOM::HTMLSelectElement&
    528, 528, 0,	//283  const DOM::HTMLElement&, const DOM::HTMLElement&
    562, 0,	//286  const DOM::HTMLStyleElement&
    563, 0,	//288  const DOM::HTMLTableCaptionElement&
    564, 0,	//290  const DOM::HTMLTableCellElement&
    565, 0,	//292  const DOM::HTMLTableColElement&
    566, 0,	//294  const DOM::HTMLTableElement&
    568, 0,	//296  const DOM::HTMLTableSectionElement&
    567, 0,	//298  const DOM::HTMLTableRowElement&
    569, 0,	//300  const DOM::HTMLTextAreaElement&
    570, 0,	//302  const DOM::HTMLTitleElement&
    571, 0,	//304  const DOM::HTMLUListElement&
    572, 0,	//306  const DOM::KeyboardEvent&
    65, 0,	//308  DOM::DOMString
    65, 475, 475, 1, 65, 647, 65, 0,	//310  DOM::DOMString, bool, bool, DOM::AbstractView, DOM::DOMString, unsigned long, DOM::DOMString
    573, 0,	//318  const DOM::LinkStyle&
    574, 0,	//320  const DOM::MediaList&
    575, 0,	//322  const DOM::MouseEvent&
    501, 475, 475, 477, 643, 643, 643, 643, 643, 475, 475, 475, 475, 649, 579, 0,	//324  const DOM::DOMString&, bool, bool, const DOM::AbstractView&, long, long, long, long, long, bool, bool, bool, bool, unsigned short, const DOM::Node&
    576, 0,	//340  const DOM::MutationEvent&
    501, 475, 475, 579, 501, 501, 501, 649, 0,	//342  const DOM::DOMString&, bool, bool, const DOM::Node&, const DOM::DOMString&, const DOM::DOMString&, const DOM::DOMString&, unsigned short
    577, 0,	//351  const DOM::NamedNodeMap&
    579, 579, 0,	//353  const DOM::Node&, const DOM::Node&
    501, 96, 622, 0,	//356  const DOM::DOMString&, DOM::EventListener*, const bool
    501, 96, 475, 0,	//360  const DOM::DOMString&, DOM::EventListener*, bool
    634, 635, 635, 635, 0,	//364  int, int&, int&, int&
    580, 0,	//369  const DOM::NodeFilter&
    58, 0,	//371  DOM::CustomNodeFilter*
    581, 0,	//373  const DOM::NodeIterator&
    582, 0,	//375  const DOM::NodeList&
    583, 0,	//377  const DOM::Notation&
    584, 0,	//379  const DOM::ProcessingInstruction&
    606, 0,	//381  const QColor&
    585, 0,	//383  const DOM::RGBColor&
    502, 0,	//385  const DOM::Document
    586, 0,	//387  const DOM::Range&
    578, 630, 578, 630, 0,	//389  const DOM::Node, const long, const DOM::Node, const long
    579, 643, 0,	//394  const DOM::Node&, long
    261, 586, 0,	//397  DOM::Range::CompareHow, const DOM::Range&
    587, 0,	//400  const DOM::RangeException&
    588, 0,	//402  const DOM::Rect&
    590, 0,	//404  const DOM::StyleSheetList&
    591, 0,	//406  const DOM::Text&
    631, 0,	//408  const unsigned long
    592, 0,	//410  const DOM::TextEvent&
    501, 475, 475, 477, 501, 0,	//412  const DOM::DOMString&, bool, bool, const DOM::AbstractView&, const DOM::DOMString&
    593, 0,	//418  const DOM::TreeWalker&
    594, 0,	//420  const DOM::UIEvent&
    501, 475, 475, 477, 643, 0,	//422  const DOM::DOMString&, bool, bool, const DOM::AbstractView&, long
    623, 623, 0,	//428  const char*, const char*
    623, 623, 634, 0,	//431  const char*, const char*, int
    355, 634, 651, 0,	//435  QMetaObject::Call, int, void**
    380, 358, 295, 0,	//439  QWidget*, QObject*, KHTMLPart::GUIProfile
    310, 358, 295, 0,	//443  KHTMLView*, QObject*, KHTMLPart::GUIProfile
    601, 0,	//447  const KUrl&
    316, 0,	//449  KJob*
    579, 619, 0,	//451  const DOM::Node&, const QString&
    292, 0,	//454  KHTMLPart::DNSPrefetch
    234, 643, 475, 0,	//456  DOM::Node, long, bool
    291, 0,	//460  KHTMLPart::CaretDisplayPolicy
    634, 619, 475, 0,	//462  int, const QString&, bool
    601, 634, 634, 0,	//466  const KUrl&, int, int
    623, 634, 0,	//470  const char*, int
    362, 617, 634, 476, 0,	//473  QPainter*, const QRect&, int, bool*
    619, 475, 0,	//478  const QString&, bool
    607, 0,	//481  const QCursor&
    619, 643, 380, 288, 0,	//483  const QString&, long, QWidget*, KFindDialog*
    235, 644, 235, 644, 0,	//488  DOM::Node&, long&, DOM::Node&, long&
    342, 0,	//493  QDataStream&
    325, 619, 636, 0,	//495  KParts::ReadOnlyPart*, const QString&, khtml::ChildFrame**
    325, 0,	//499  KParts::ReadOnlyPart*
    619, 619, 0,	//501  const QString&, const QString&
    634, 634, 0,	//504  int, int
    294, 0,	//507  KHTMLPart::FormNotification
    475, 290, 0,	//509  bool, KHTMLPart*
    619, 616, 0,	//512  const QString&, const QPoint&
    623, 619, 602, 619, 619, 619, 0,	//515  const char*, const QString&, const QByteArray&, const QString&, const QString&, const QString&
    634, 619, 601, 0,	//522  int, const QString&, const KUrl&
    348, 0,	//526  QEvent*
    641, 0,	//528  khtml::MousePressEvent*
    638, 0,	//530  khtml::MouseDoubleClickEvent*
    640, 0,	//532  khtml::MouseMoveEvent*
    642, 0,	//534  khtml::MouseReleaseEvent*
    637, 0,	//536  khtml::DrawContentsEvent*
    320, 0,	//538  KParts::GUIActivateEvent*
    619, 634, 634, 619, 600, 599, 0,	//540  const QString&, int, int, const QString&, const KParts::OpenUrlArguments&, const KParts::BrowserArguments&
    380, 358, 619, 371, 373, 620, 0,	//547  QWidget*, QObject*, const QString&, QString&, QStringList&, const QStringList&
    296, 0,	//554  KHTMLPart::PageSecurity
    602, 0,	//556  const QByteArray&
    377, 0,	//558  QTimerEvent*
    313, 0,	//560  KIO::Job*
    380, 0,	//562  QWidget*
    380, 358, 0,	//564  QWidget*, QObject*
    310, 358, 0,	//567  KHTMLView*, QObject*
    234, 643, 0,	//570  DOM::Node, long
    634, 619, 0,	//573  int, const QString&
    601, 634, 0,	//576  const KUrl&, int
    362, 617, 0,	//579  QPainter*, const QRect&
    362, 617, 634, 0,	//582  QPainter*, const QRect&, int
    619, 643, 0,	//586  const QString&, long
    619, 643, 380, 0,	//589  const QString&, long, QWidget*
    325, 619, 0,	//593  KParts::ReadOnlyPart*, const QString&
    619, 634, 634, 619, 0,	//596  const QString&, int, int, const QString&
    619, 634, 634, 619, 600, 0,	//601  const QString&, int, int, const QString&, const KParts::OpenUrlArguments&
    623, 619, 602, 619, 0,	//607  const char*, const QString&, const QByteArray&, const QString&
    623, 619, 602, 619, 619, 0,	//612  const char*, const QString&, const QByteArray&, const QString&, const QString&
    597, 0,	//618  const KHTMLSettings&
    287, 475, 0,	//620  KConfig*, bool
    619, 476, 0,	//623  const QString&, bool*
    619, 371, 308, 308, 0,	//626  const QString&, QString&, KHTMLSettings::KJavaScriptAdvice&, KHTMLSettings::KJavaScriptAdvice&
    307, 0,	//631  KHTMLSettings::KJavaScriptAdvice
    596, 475, 475, 326, 0,	//633  const KConfigGroup&, bool, bool, KPerDomainSettings&
    287, 0,	//638  KConfig*
    290, 380, 0,	//640  KHTMLPart*, QWidget*
    431, 0,	//643  Qt::ScrollBarPolicy
    616, 0,	//645  const QPoint&
    634, 634, 635, 635, 0,	//647  int, int, int&, int&
    617, 0,	//652  const QRect&
    634, 634, 634, 634, 0,	//654  int, int, int, int
    380, 634, 634, 0,	//659  QWidget*, int, int
    312, 0,	//663  KHTMLView::SmoothScrollingMode
    361, 0,	//665  QPaintEvent*
    367, 0,	//667  QResizeEvent*
    368, 0,	//669  QShowEvent*
    350, 0,	//671  QHideEvent*
    356, 0,	//673  QMouseEvent*
    349, 0,	//675  QFocusEvent*
    379, 0,	//677  QWheelEvent*
    344, 0,	//679  QDragEnterEvent*
    347, 0,	//681  QDropEvent*
    339, 0,	//683  QCloseEvent*
    358, 348, 0,	//685  QObject*, QEvent*
    352, 0,	//688  QKeyEvent*
    323, 0,	//690  KParts::PartManager*
    380, 616, 0,	//692  QWidget*, const QPoint&
    322, 0,	//695  KParts::PartActivateEvent*
    324, 0,	//697  KParts::PartSelectEvent*
    595, 0,	//699  const KComponentData&
    595, 475, 0,	//701  const KComponentData&, bool
    609, 0,	//704  const QDomElement&
    619, 475, 475, 0,	//706  const QString&, bool, bool
    608, 475, 0,	//710  const QDomDocument&, bool
    619, 331, 0,	//713  const QString&, KXMLGUIClient::ReverseStateChange
    634, 650, 0,	//716  int, void*
    340, 0,	//719  QContextMenuEvent*
    346, 0,	//721  QDragMoveEvent*
    345, 0,	//723  QDragLeaveEvent*
    338, 0,	//725  QChildEvent*
    357, 0,	//727  QMoveEvent*
    376, 0,	//729  QTabletEvent*
    333, 0,	//731  QActionEvent*
    473, 0,	//733  _XEvent*
    359, 0,	//735  QPaintDevice::PaintDeviceMetric
    351, 0,	//737  QInputMethodEvent*
    415, 0,	//739  Qt::InputMethodQuery
    375, 0,	//741  QStyle&
    615, 0,	//743  const QPalette&
    611, 0,	//745  const QFont&
    362, 634, 634, 634, 634, 0,	//747  QPainter*, int, int, int, int
    610, 0,	//753  const QEvent*
    624, 0,	//755  const khtml::DrawContentsEvent&
    356, 634, 634, 501, 501, 579, 634, 0,	//757  QMouseEvent*, int, int, const DOM::DOMString&, const DOM::DOMString&, const DOM::Node&, int
    625, 0,	//765  const khtml::MouseDoubleClickEvent&
    356, 634, 634, 501, 501, 579, 0,	//767  QMouseEvent*, int, int, const DOM::DOMString&, const DOM::DOMString&, const DOM::Node&
    623, 356, 634, 634, 501, 501, 579, 0,	//774  const char*, QMouseEvent*, int, int, const DOM::DOMString&, const DOM::DOMString&, const DOM::Node&
    626, 0,	//782  const khtml::MouseEvent&
    627, 0,	//784  const khtml::MouseMoveEvent&
    628, 0,	//786  const khtml::MousePressEvent&
    356, 634, 634, 501, 501, 579, 643, 0,	//788  QMouseEvent*, int, int, const DOM::DOMString&, const DOM::DOMString&, const DOM::Node&, long
    629, 0,	//796  const khtml::MouseReleaseEvent&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "ABORT_ERR",	//1
    "ADDITION",	//2
    "ATTRIBUTE_NODE",	//3
    "AT_TARGET",	//4
    "AbstractView",	//5
    "AbstractView#",	//6
    "Attr",	//7
    "Attr#",	//8
    "BAD_BOUNDARYPOINTS_ERR",	//9
    "BUBBLING_PHASE",	//10
    "Before",	//11
    "Box",	//12
    "BrowserViewGUI",	//13
    "CAPTURING_PHASE",	//14
    "CDATASection",	//15
    "CDATASection#",	//16
    "CDATA_SECTION_NODE",	//17
    "CHARSET_RULE",	//18
    "COMMENT_NODE",	//19
    "CSSCharsetRule",	//20
    "CSSCharsetRule#",	//21
    "CSSException",	//22
    "CSSException#",	//23
    "CSSException$",	//24
    "CSSFontFaceRule",	//25
    "CSSFontFaceRule#",	//26
    "CSSImportRule",	//27
    "CSSImportRule#",	//28
    "CSSMediaRule",	//29
    "CSSMediaRule#",	//30
    "CSSPageRule",	//31
    "CSSPageRule#",	//32
    "CSSPrimitiveValue",	//33
    "CSSPrimitiveValue#",	//34
    "CSSRule",	//35
    "CSSRule#",	//36
    "CSSRuleList",	//37
    "CSSRuleList#",	//38
    "CSSStyleDeclaration",	//39
    "CSSStyleDeclaration#",	//40
    "CSSStyleRule",	//41
    "CSSStyleRule#",	//42
    "CSSStyleSheet",	//43
    "CSSStyleSheet#",	//44
    "CSSUnknownRule",	//45
    "CSSUnknownRule#",	//46
    "CSSValue",	//47
    "CSSValue#",	//48
    "CSSValueList",	//49
    "CSSValueList#",	//50
    "CSS_ATTR",	//51
    "CSS_CHS",	//52
    "CSS_CM",	//53
    "CSS_COUNTER",	//54
    "CSS_CUSTOM",	//55
    "CSS_DEG",	//56
    "CSS_DIMENSION",	//57
    "CSS_DPCM",	//58
    "CSS_DPI",	//59
    "CSS_EMS",	//60
    "CSS_EXS",	//61
    "CSS_GRAD",	//62
    "CSS_HTML_RELATIVE",	//63
    "CSS_HZ",	//64
    "CSS_IDENT",	//65
    "CSS_IN",	//66
    "CSS_INHERIT",	//67
    "CSS_INITIAL",	//68
    "CSS_KHZ",	//69
    "CSS_MM",	//70
    "CSS_MS",	//71
    "CSS_NUMBER",	//72
    "CSS_PAIR",	//73
    "CSS_PC",	//74
    "CSS_PERCENTAGE",	//75
    "CSS_PRIMITIVE_VALUE",	//76
    "CSS_PT",	//77
    "CSS_PX",	//78
    "CSS_RAD",	//79
    "CSS_RECT",	//80
    "CSS_REMS",	//81
    "CSS_RGBCOLOR",	//82
    "CSS_S",	//83
    "CSS_STRING",	//84
    "CSS_SVG_VALUE",	//85
    "CSS_UNKNOWN",	//86
    "CSS_URI",	//87
    "CSS_VALUE_LIST",	//88
    "CaretBlink",	//89
    "CaretInvisible",	//90
    "CaretVisible",	//91
    "CharacterData",	//92
    "CharacterData#",	//93
    "Comment",	//94
    "Comment#",	//95
    "Counter",	//96
    "Counter#",	//97
    "CustomNodeFilter",	//98
    "CustomNodeFilter#",	//99
    "DATA_CLONE_ERR",	//100
    "DNSPrefetchDisabled",	//101
    "DNSPrefetchEnabled",	//102
    "DNSPrefetchOnlyWWWAndSLD",	//103
    "DOCUMENT_FRAGMENT_NODE",	//104
    "DOCUMENT_NODE",	//105
    "DOCUMENT_POSITION_CONTAINED_BY",	//106
    "DOCUMENT_POSITION_CONTAINS",	//107
    "DOCUMENT_POSITION_DISCONNECTED",	//108
    "DOCUMENT_POSITION_FOLLOWING",	//109
    "DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC",	//110
    "DOCUMENT_POSITION_PRECEDING",	//111
    "DOCUMENT_TYPE_NODE",	//112
    "DOMException",	//113
    "DOMException#",	//114
    "DOMException$",	//115
    "DOMImplementation",	//116
    "DOMImplementation#",	//117
    "DOMSTRING_SIZE_ERR",	//118
    "DOMString",	//119
    "DOMString#",	//120
    "DOMString#$",	//121
    "DOMString$",	//122
    "DOMString$$",	//123
    "DOM_KEY_LOCATION_LEFT",	//124
    "DOM_KEY_LOCATION_NUMPAD",	//125
    "DOM_KEY_LOCATION_RIGHT",	//126
    "DOM_KEY_LOCATION_STANDARD",	//127
    "DefaultGUI",	//128
    "DoNotLoadPlugins",	//129
    "Document",	//130
    "Document#",	//131
    "Document$",	//132
    "DocumentFragment",	//133
    "DocumentFragment#",	//134
    "DocumentStyle",	//135
    "DocumentStyle#",	//136
    "DocumentType",	//137
    "DocumentType#",	//138
    "DomShared",	//139
    "DomShared#",	//140
    "DrawChildren",	//141
    "DrawContentsEvent",	//142
    "DrawContentsEvent#",	//143
    "DrawContentsEvent#$$$$",	//144
    "DrawWindowBackground",	//145
    "ELEMENT_NODE",	//146
    "ENCODING_ERR",	//147
    "END_TO_END",	//148
    "END_TO_START",	//149
    "ENTITY_NODE",	//150
    "ENTITY_REFERENCE_NODE",	//151
    "Element",	//152
    "Element#",	//153
    "Encrypted",	//154
    "Entity",	//155
    "Entity#",	//156
    "EntityReference",	//157
    "EntityReference#",	//158
    "Event",	//159
    "Event#",	//160
    "EventException",	//161
    "EventException#",	//162
    "EventException$",	//163
    "EventListener",	//164
    "EventListener#",	//165
    "FILTER_ACCEPT",	//166
    "FILTER_REJECT",	//167
    "FILTER_SKIP",	//168
    "FONT_FACE_RULE",	//169
    "FindLinksOnly",	//170
    "FindNoPopups",	//171
    "HIERARCHY_REQUEST_ERR",	//172
    "HLine",	//173
    "HTMLAnchorElement",	//174
    "HTMLAnchorElement#",	//175
    "HTMLAppletElement",	//176
    "HTMLAppletElement#",	//177
    "HTMLAreaElement",	//178
    "HTMLAreaElement#",	//179
    "HTMLBRElement",	//180
    "HTMLBRElement#",	//181
    "HTMLBaseElement",	//182
    "HTMLBaseElement#",	//183
    "HTMLBaseFontElement",	//184
    "HTMLBaseFontElement#",	//185
    "HTMLBlockquoteElement",	//186
    "HTMLBlockquoteElement#",	//187
    "HTMLBodyElement",	//188
    "HTMLBodyElement#",	//189
    "HTMLButtonElement",	//190
    "HTMLButtonElement#",	//191
    "HTMLCollection",	//192
    "HTMLCollection#",	//193
    "HTMLDListElement",	//194
    "HTMLDListElement#",	//195
    "HTMLDirectoryElement",	//196
    "HTMLDirectoryElement#",	//197
    "HTMLDivElement",	//198
    "HTMLDivElement#",	//199
    "HTMLDocument",	//200
    "HTMLDocument#",	//201
    "HTMLElement",	//202
    "HTMLElement#",	//203
    "HTMLFieldSetElement",	//204
    "HTMLFieldSetElement#",	//205
    "HTMLFontElement",	//206
    "HTMLFontElement#",	//207
    "HTMLFormCollection",	//208
    "HTMLFormCollection#",	//209
    "HTMLFormElement",	//210
    "HTMLFormElement#",	//211
    "HTMLFrameElement",	//212
    "HTMLFrameElement#",	//213
    "HTMLFrameSetElement",	//214
    "HTMLFrameSetElement#",	//215
    "HTMLHRElement",	//216
    "HTMLHRElement#",	//217
    "HTMLHeadElement",	//218
    "HTMLHeadElement#",	//219
    "HTMLHeadingElement",	//220
    "HTMLHeadingElement#",	//221
    "HTMLHtmlElement",	//222
    "HTMLHtmlElement#",	//223
    "HTMLIFrameElement",	//224
    "HTMLIFrameElement#",	//225
    "HTMLImageElement",	//226
    "HTMLImageElement#",	//227
    "HTMLInputElement",	//228
    "HTMLInputElement#",	//229
    "HTMLIsIndexElement",	//230
    "HTMLIsIndexElement#",	//231
    "HTMLLIElement",	//232
    "HTMLLIElement#",	//233
    "HTMLLabelElement",	//234
    "HTMLLabelElement#",	//235
    "HTMLLayerElement",	//236
    "HTMLLayerElement#",	//237
    "HTMLLegendElement",	//238
    "HTMLLegendElement#",	//239
    "HTMLLinkElement",	//240
    "HTMLLinkElement#",	//241
    "HTMLMapElement",	//242
    "HTMLMapElement#",	//243
    "HTMLMenuElement",	//244
    "HTMLMenuElement#",	//245
    "HTMLMetaElement",	//246
    "HTMLMetaElement#",	//247
    "HTMLModElement",	//248
    "HTMLModElement#",	//249
    "HTMLOListElement",	//250
    "HTMLOListElement#",	//251
    "HTMLObjectElement",	//252
    "HTMLObjectElement#",	//253
    "HTMLOptGroupElement",	//254
    "HTMLOptGroupElement#",	//255
    "HTMLOptionElement",	//256
    "HTMLOptionElement#",	//257
    "HTMLParagraphElement",	//258
    "HTMLParagraphElement#",	//259
    "HTMLParamElement",	//260
    "HTMLParamElement#",	//261
    "HTMLPreElement",	//262
    "HTMLPreElement#",	//263
    "HTMLQuoteElement",	//264
    "HTMLQuoteElement#",	//265
    "HTMLScriptElement",	//266
    "HTMLScriptElement#",	//267
    "HTMLSelectElement",	//268
    "HTMLSelectElement#",	//269
    "HTMLStyleElement",	//270
    "HTMLStyleElement#",	//271
    "HTMLTableCaptionElement",	//272
    "HTMLTableCaptionElement#",	//273
    "HTMLTableCellElement",	//274
    "HTMLTableCellElement#",	//275
    "HTMLTableColElement",	//276
    "HTMLTableColElement#",	//277
    "HTMLTableElement",	//278
    "HTMLTableElement#",	//279
    "HTMLTableRowElement",	//280
    "HTMLTableRowElement#",	//281
    "HTMLTableSectionElement",	//282
    "HTMLTableSectionElement#",	//283
    "HTMLTextAreaElement",	//284
    "HTMLTextAreaElement#",	//285
    "HTMLTitleElement",	//286
    "HTMLTitleElement#",	//287
    "HTMLUListElement",	//288
    "HTMLUListElement#",	//289
    "IMPORT_RULE",	//290
    "INDEX_SIZE_ERR",	//291
    "INUSE_ATTRIBUTE_ERR",	//292
    "INVALID_ACCESS_ERR",	//293
    "INVALID_CHARACTER_ERR",	//294
    "INVALID_MODIFICATION_ERR",	//295
    "INVALID_NODE_TYPE_ERR",	//296
    "INVALID_STATE_ERR",	//297
    "IgnoreMask",	//298
    "KAnimationDisabled",	//299
    "KAnimationEnabled",	//300
    "KAnimationLoopOnce",	//301
    "KDNSPrefetchDisabled",	//302
    "KDNSPrefetchEnabled",	//303
    "KDNSPrefetchOnlyWWWAndSLD",	//304
    "KHTMLPart",	//305
    "KHTMLPart#",	//306
    "KHTMLPart##",	//307
    "KHTMLPart##$",	//308
    "KHTMLSettings",	//309
    "KHTMLSettings#",	//310
    "KHTMLView",	//311
    "KHTMLView##",	//312
    "KJSWindowFocusAllow",	//313
    "KJSWindowFocusIgnore",	//314
    "KJSWindowMoveAllow",	//315
    "KJSWindowMoveIgnore",	//316
    "KJSWindowOpenAllow",	//317
    "KJSWindowOpenAsk",	//318
    "KJSWindowOpenDeny",	//319
    "KJSWindowOpenSmart",	//320
    "KJSWindowResizeAllow",	//321
    "KJSWindowResizeIgnore",	//322
    "KJSWindowStatusAllow",	//323
    "KJSWindowStatusIgnore",	//324
    "KJavaScriptAccept",	//325
    "KJavaScriptDunno",	//326
    "KJavaScriptReject",	//327
    "KSmoothScrollingDisabled",	//328
    "KSmoothScrollingEnabled",	//329
    "KSmoothScrollingWhenEfficient",	//330
    "KeyboardEvent",	//331
    "KeyboardEvent#",	//332
    "LicensedActiveQt",	//333
    "LicensedCore",	//334
    "LicensedDBus",	//335
    "LicensedDeclarative",	//336
    "LicensedGui",	//337
    "LicensedHelp",	//338
    "LicensedMultimedia",	//339
    "LicensedNetwork",	//340
    "LicensedOpenGL",	//341
    "LicensedOpenVG",	//342
    "LicensedQt3Support",	//343
    "LicensedQt3SupportLight",	//344
    "LicensedScript",	//345
    "LicensedScriptTools",	//346
    "LicensedSql",	//347
    "LicensedSvg",	//348
    "LicensedTest",	//349
    "LicensedXml",	//350
    "LicensedXmlPatterns",	//351
    "LinkStyle",	//352
    "LinkStyle#",	//353
    "LoadPlugins",	//354
    "LoadPluginsIfEnabled",	//355
    "MEDIA_RULE",	//356
    "MODIFICATION",	//357
    "MediaList",	//358
    "MediaList#",	//359
    "Mixed",	//360
    "MouseDoubleClickEvent",	//361
    "MouseDoubleClickEvent#",	//362
    "MouseDoubleClickEvent#$$###",	//363
    "MouseDoubleClickEvent#$$###$",	//364
    "MouseEvent",	//365
    "MouseEvent#",	//366
    "MouseEvent$#$$###",	//367
    "MouseMoveEvent",	//368
    "MouseMoveEvent#",	//369
    "MouseMoveEvent#$$###",	//370
    "MousePressEvent",	//371
    "MousePressEvent#",	//372
    "MousePressEvent#$$###",	//373
    "MouseReleaseEvent",	//374
    "MouseReleaseEvent#",	//375
    "MouseReleaseEvent#$$###",	//376
    "MouseReleaseEvent#$$###$",	//377
    "MutationEvent",	//378
    "MutationEvent#",	//379
    "NAMESPACE_ERR",	//380
    "NAMESPACE_RULE",	//381
    "NETWORK_ERR",	//382
    "NOTATION_NODE",	//383
    "NOT_FOUND_ERR",	//384
    "NOT_READABLE_ERR",	//385
    "NOT_SUPPORTED_ERR",	//386
    "NO_DATA_ALLOWED_ERR",	//387
    "NO_MODIFICATION_ALLOWED_ERR",	//388
    "NamedNodeMap",	//389
    "NamedNodeMap#",	//390
    "NoFrame",	//391
    "NoNotification",	//392
    "Node",	//393
    "Node#",	//394
    "NodeFilter",	//395
    "NodeFilter#",	//396
    "NodeIterator",	//397
    "NodeIterator#",	//398
    "NodeList",	//399
    "NodeList#",	//400
    "NotCrypted",	//401
    "Notation",	//402
    "Notation#",	//403
    "Only",	//404
    "PAGE_RULE",	//405
    "PROCESSING_INSTRUCTION_NODE",	//406
    "Panel",	//407
    "Plain",	//408
    "ProcessingInstruction",	//409
    "ProcessingInstruction#",	//410
    "QUIRKS_RULE",	//411
    "QUOTA_EXCEEDED_ERR",	//412
    "Q_COMPLEX_TYPE",	//413
    "Q_DUMMY_TYPE",	//414
    "Q_MOVABLE_TYPE",	//415
    "Q_PRIMITIVE_TYPE",	//416
    "Q_STATIC_TYPE",	//417
    "QtCriticalMsg",	//418
    "QtDebugMsg",	//419
    "QtFatalMsg",	//420
    "QtSystemMsg",	//421
    "QtWarningMsg",	//422
    "REMOVAL",	//423
    "RGBColor",	//424
    "RGBColor#",	//425
    "RGBColor$",	//426
    "Raised",	//427
    "Range",	//428
    "Range#",	//429
    "Range#$#$",	//430
    "RangeException",	//431
    "RangeException#",	//432
    "RangeException$",	//433
    "Rect",	//434
    "Rect#",	//435
    "SECURITY_ERR",	//436
    "SHOW_ALL",	//437
    "SHOW_ATTRIBUTE",	//438
    "SHOW_CDATA_SECTION",	//439
    "SHOW_COMMENT",	//440
    "SHOW_DOCUMENT",	//441
    "SHOW_DOCUMENT_FRAGMENT",	//442
    "SHOW_DOCUMENT_TYPE",	//443
    "SHOW_ELEMENT",	//444
    "SHOW_ENTITY",	//445
    "SHOW_ENTITY_REFERENCE",	//446
    "SHOW_NOTATION",	//447
    "SHOW_PROCESSING_INSTRUCTION",	//448
    "SHOW_TEXT",	//449
    "SSMDisabled",	//450
    "SSMEnabled",	//451
    "SSMWhenEfficient",	//452
    "START_TO_END",	//453
    "START_TO_START",	//454
    "STYLE_RULE",	//455
    "SYNTAX_ERR",	//456
    "Shadow_Mask",	//457
    "Shape_Mask",	//458
    "StateNoReverse",	//459
    "StateReverse",	//460
    "StyleSheet",	//461
    "StyleSheet#",	//462
    "StyleSheetList",	//463
    "StyleSheetList#",	//464
    "StyledPanel",	//465
    "Sunken",	//466
    "TEXT_NODE",	//467
    "TIMEOUT_ERR",	//468
    "TYPE_MISMATCH_ERR",	//469
    "Text",	//470
    "Text#",	//471
    "TextEvent",	//472
    "TextEvent#",	//473
    "TreeWalker",	//474
    "TreeWalker#",	//475
    "UIEvent",	//476
    "UIEvent#",	//477
    "UNKNOWN_RULE",	//478
    "UNSPECIFIED_EVENT_TYPE_ERR",	//479
    "URL",	//480
    "URL_MISMATCH_ERR",	//481
    "Unused",	//482
    "VALIDATION_ERR",	//483
    "VLine",	//484
    "WRONG_DOCUMENT_ERR",	//485
    "WinPanel",	//486
    "XPATH_NAMESPACE_NODE",	//487
    "_EXCEPTION_MAX",	//488
    "_EXCEPTION_OFFSET",	//489
    "__codecvt_error",	//490
    "__codecvt_noconv",	//491
    "__codecvt_ok",	//492
    "__codecvt_partial",	//493
    "_ref",	//494
    "aLink",	//495
    "abbr",	//496
    "abort",	//497
    "absX",	//498
    "absY",	//499
    "accept",	//500
    "acceptCharset",	//501
    "acceptNode",	//502
    "acceptNode#",	//503
    "accessKey",	//504
    "accessKeysEnabled",	//505
    "action",	//506
    "actionCollection",	//507
    "actionEvent",	//508
    "activeNode",	//509
    "adFilteredBy",	//510
    "adFilteredBy$",	//511
    "adFilteredBy$$",	//512
    "add",	//513
    "add##",	//514
    "addAdFilter",	//515
    "addAdFilter$",	//516
    "addCSSProperty",	//517
    "addCSSProperty##",	//518
    "addChild",	//519
    "addChild#$$",	//520
    "addEventListener",	//521
    "addEventListener##$",	//522
    "addStyleSheet",	//523
    "addStyleSheet#",	//524
    "adviceToStr",	//525
    "adviceToStr$",	//526
    "align",	//527
    "all",	//528
    "allowTabulation",	//529
    "alt",	//530
    "altKey",	//531
    "anchors",	//532
    "appendChild",	//533
    "appendChild#",	//534
    "appendData",	//535
    "appendData#",	//536
    "appendMedium",	//537
    "appendMedium#",	//538
    "applets",	//539
    "applyChanges",	//540
    "archive",	//541
    "areas",	//542
    "assignOther",	//543
    "assignOther#$",	//544
    "async",	//545
    "attrChange",	//546
    "attrName",	//547
    "attributes",	//548
    "autoLoadImages",	//549
    "autoSpellCheck",	//550
    "autoloadImages",	//551
    "availableFamilies",	//552
    "axis",	//553
    "background",	//554
    "backgroundURL",	//555
    "base",	//556
    "baseColor",	//557
    "baseURL",	//558
    "baseUrl",	//559
    "begin",	//560
    "begin#",	//561
    "begin#$",	//562
    "begin#$$",	//563
    "bgColor",	//564
    "blue",	//565
    "blur",	//566
    "body",	//567
    "border",	//568
    "bottom",	//569
    "boundaryPointsValid",	//570
    "browserExtension",	//571
    "browserHostExtension",	//572
    "bubbles",	//573
    "button",	//574
    "cancelable",	//575
    "caption",	//576
    "caretDisplayPolicyNonFocused",	//577
    "caretPositionChanged",	//578
    "caretPositionChanged#$",	//579
    "cellIndex",	//580
    "cellPadding",	//581
    "cellSpacing",	//582
    "cells",	//583
    "ch",	//584
    "chOff",	//585
    "changeCursor",	//586
    "changeEvent",	//587
    "charCode",	//588
    "characters",	//589
    "charset",	//590
    "checked",	//591
    "childElementCount",	//592
    "childEvent",	//593
    "childNodes",	//594
    "children",	//595
    "cite",	//596
    "className",	//597
    "clear",	//598
    "cleared",	//599
    "click",	//600
    "clickCount",	//601
    "clientX",	//602
    "clientY",	//603
    "cliph",	//604
    "clipw",	//605
    "clipx",	//606
    "clipy",	//607
    "cloneContents",	//608
    "cloneNode",	//609
    "cloneNode$",	//610
    "cloneRange",	//611
    "close",	//612
    "closeEvent",	//613
    "closeEvent#",	//614
    "closeUrl",	//615
    "code",	//616
    "codeAsString",	//617
    "codeAsString$",	//618
    "codeBase",	//619
    "codeType",	//620
    "colSpan",	//621
    "collapse",	//622
    "collapse$",	//623
    "collapsed",	//624
    "color",	//625
    "cols",	//626
    "commonAncestorContainer",	//627
    "compact",	//628
    "compareBoundaryPoints",	//629
    "compareBoundaryPoints$#",	//630
    "compareDocumentPosition",	//631
    "compareDocumentPosition#",	//632
    "completeURL",	//633
    "completeURL#",	//634
    "completeURL$",	//635
    "componentData",	//636
    "configurationChanged",	//637
    "connectNotify",	//638
    "content",	//639
    "contentDocument",	//640
    "contentEditable",	//641
    "contentsHeight",	//642
    "contentsToViewport",	//643
    "contentsToViewport#",	//644
    "contentsToViewport$$$$",	//645
    "contentsWidth",	//646
    "contentsX",	//647
    "contentsY",	//648
    "contextMenuEvent",	//649
    "cookie",	//650
    "coords",	//651
    "copy",	//652
    "createAttribute",	//653
    "createAttribute#",	//654
    "createAttributeNS",	//655
    "createAttributeNS##",	//656
    "createCDATASection",	//657
    "createCDATASection#",	//658
    "createCSSStyleSheet",	//659
    "createCSSStyleSheet##",	//660
    "createCaption",	//661
    "createComment",	//662
    "createComment#",	//663
    "createContextualFragment",	//664
    "createContextualFragment#",	//665
    "createCustom",	//666
    "createCustom#",	//667
    "createDocument",	//668
    "createDocument###",	//669
    "createDocumentFragment",	//670
    "createDocumentType",	//671
    "createDocumentType###",	//672
    "createElement",	//673
    "createElement#",	//674
    "createElementNS",	//675
    "createElementNS##",	//676
    "createEntityReference",	//677
    "createEntityReference#",	//678
    "createEvent",	//679
    "createEvent#",	//680
    "createHTMLDocument",	//681
    "createHTMLDocument#",	//682
    "createNodeIterator",	//683
    "createNodeIterator#$#$",	//684
    "createPart",	//685
    "createPart##$$??",	//686
    "createProcessingInstruction",	//687
    "createProcessingInstruction##",	//688
    "createRange",	//689
    "createTFoot",	//690
    "createTHead",	//691
    "createTextNode",	//692
    "createTextNode#",	//693
    "createTreeWalker",	//694
    "createTreeWalker#$#$",	//695
    "cssRules",	//696
    "cssText",	//697
    "cssValueType",	//698
    "ctrlKey",	//699
    "currentFrame",	//700
    "currentNode",	//701
    "currentTarget",	//702
    "cursiveFontName",	//703
    "customEvent",	//704
    "customEvent#",	//705
    "customNodeFilter",	//706
    "customNodeFilterType",	//707
    "data",	//708
    "dateTime",	//709
    "declare",	//710
    "defaultChecked",	//711
    "defaultSelected",	//712
    "defaultValue",	//713
    "defaultView",	//714
    "defer",	//715
    "deleteCaption",	//716
    "deleteCell",	//717
    "deleteCell$",	//718
    "deleteContents",	//719
    "deleteData",	//720
    "deleteData$$",	//721
    "deleteMe",	//722
    "deleteMedium",	//723
    "deleteMedium#",	//724
    "deleteRow",	//725
    "deleteRow$",	//726
    "deleteRule",	//727
    "deleteRule$",	//728
    "deleteTFoot",	//729
    "deleteTHead",	//730
    "deref",	//731
    "designMode",	//732
    "detach",	//733
    "detail",	//734
    "devType",	//735
    "dir",	//736
    "disabled",	//737
    "disconnectNotify",	//738
    "dispatchEvent",	//739
    "dispatchEvent#",	//740
    "displayAccessKeys",	//741
    "dndEnabled",	//742
    "dnsPrefetch",	//743
    "doAutoScroll",	//744
    "doCloseStream",	//745
    "doOpenStream",	//746
    "doOpenStream$",	//747
    "doWriteStream",	//748
    "doWriteStream#",	//749
    "docCreated",	//750
    "doctype",	//751
    "document",	//752
    "documentElement",	//753
    "documentSource",	//754
    "domDocument",	//755
    "domain",	//756
    "dragEnterEvent",	//757
    "dragEnterEvent#",	//758
    "dragLeaveEvent",	//759
    "dragMoveEvent",	//760
    "dropEvent",	//761
    "dropEvent#",	//762
    "editor",	//763
    "elementId",	//764
    "elements",	//765
    "embed",	//766
    "enabledChange",	//767
    "encoding",	//768
    "enctype",	//769
    "end",	//770
    "endContainer",	//771
    "endOffset",	//772
    "endsWith",	//773
    "endsWith#",	//774
    "enterEvent",	//775
    "entities",	//776
    "event",	//777
    "event#",	//778
    "eventFilter",	//779
    "eventFilter##",	//780
    "eventListenerType",	//781
    "eventName",	//782
    "eventPhase",	//783
    "execCommand",	//784
    "execCommand#$#",	//785
    "executeScript",	//786
    "executeScript#$",	//787
    "executeScript$",	//788
    "expandEntityReferences",	//789
    "extractContents",	//790
    "face",	//791
    "fallbackAccessKeysAssignments",	//792
    "fantasyFontName",	//793
    "filter",	//794
    "find",	//795
    "find#",	//796
    "find#$",	//797
    "findAheadActive",	//798
    "findAheadActive$",	//799
    "findFrame",	//800
    "findFrame$",	//801
    "findFrameParent",	//802
    "findFrameParent#$",	//803
    "findFrameParent#$?",	//804
    "findFramePart",	//805
    "findFramePart$",	//806
    "findText",	//807
    "findText$$",	//808
    "findText$$#",	//809
    "findText$$##",	//810
    "findTextBegin",	//811
    "findTextNext",	//812
    "findTextNext$",	//813
    "finishedLayout",	//814
    "firstChild",	//815
    "firstElementChild",	//816
    "firstItem",	//817
    "fixedFontName",	//818
    "focus",	//819
    "focusInEvent",	//820
    "focusInEvent#",	//821
    "focusNextPrevChild",	//822
    "focusNextPrevChild$",	//823
    "focusOutEvent",	//824
    "focusOutEvent#",	//825
    "followSystemColors",	//826
    "fontChange",	//827
    "fontScaleFactor",	//828
    "forcePermitLocalImages",	//829
    "form",	//830
    "formNotification",	//831
    "formSubmitNotification",	//832
    "formSubmitNotification$$#$$$",	//833
    "forms",	//834
    "frame",	//835
    "frameBorder",	//836
    "frameExists",	//837
    "frameExists$",	//838
    "frameNames",	//839
    "frameWidth",	//840
    "framejScript",	//841
    "framejScript#",	//842
    "frames",	//843
    "getAttribute",	//844
    "getAttribute#",	//845
    "getAttributeNS",	//846
    "getAttributeNS##",	//847
    "getAttributeNode",	//848
    "getAttributeNode#",	//849
    "getAttributeNodeNS",	//850
    "getAttributeNodeNS##",	//851
    "getBorder",	//852
    "getComputedStyle",	//853
    "getComputedStyle##",	//854
    "getCounterValue",	//855
    "getCursor",	//856
    "getCursor$$$$",	//857
    "getElementById",	//858
    "getElementById#",	//859
    "getElementsByClassName",	//860
    "getElementsByClassName#",	//861
    "getElementsByName",	//862
    "getElementsByName#",	//863
    "getElementsByTagName",	//864
    "getElementsByTagName#",	//865
    "getElementsByTagNameNS",	//866
    "getElementsByTagNameNS##",	//867
    "getFloatValue",	//868
    "getFloatValue$",	//869
    "getHspace",	//870
    "getInterface",	//871
    "getInterface#",	//872
    "getModifierState",	//873
    "getModifierState#",	//874
    "getNamedItem",	//875
    "getNamedItem#",	//876
    "getNamedItemNS",	//877
    "getNamedItemNS##",	//878
    "getOverrideStyle",	//879
    "getOverrideStyle##",	//880
    "getPropertyCSSValue",	//881
    "getPropertyCSSValue#",	//882
    "getPropertyPriority",	//883
    "getPropertyPriority#",	//884
    "getPropertyValue",	//885
    "getPropertyValue#",	//886
    "getRGBColorValue",	//887
    "getRect",	//888
    "getRectValue",	//889
    "getSize",	//890
    "getStringValue",	//891
    "getVspace",	//892
    "gotoAnchor",	//893
    "gotoAnchor$",	//894
    "green",	//895
    "guiActivateEvent",	//896
    "guiActivateEvent#",	//897
    "handleEvent",	//898
    "handleEvent#",	//899
    "hasAttribute",	//900
    "hasAttribute#",	//901
    "hasAttributeNS",	//902
    "hasAttributeNS##",	//903
    "hasAttributes",	//904
    "hasChildNodes",	//905
    "hasFeature",	//906
    "hasFeature##",	//907
    "hasOneRef",	//908
    "hasSelection",	//909
    "headers",	//910
    "height",	//911
    "heightForWidth",	//912
    "hide",	//913
    "hideAccessKeys",	//914
    "hideEvent",	//915
    "hideEvent#",	//916
    "hitTest",	//917
    "hoverLink",	//918
    "href",	//919
    "hreflang",	//920
    "hspace",	//921
    "htmlDocument",	//922
    "htmlError",	//923
    "htmlError$$#",	//924
    "htmlFor",	//925
    "httpEquiv",	//926
    "id",	//927
    "identifier",	//928
    "images",	//929
    "impl",	//930
    "implementation",	//931
    "importNode",	//932
    "importNode#$",	//933
    "inProgress",	//934
    "indeterminate",	//935
    "index",	//936
    "init",	//937
    "init#",	//938
    "init#$",	//939
    "initEvent",	//940
    "initEvent#$$",	//941
    "initKeyboardEvent",	//942
    "initKeyboardEvent#$$##$#",	//943
    "initMouseEvent",	//944
    "initMouseEvent#$$#$$$$$$$$$$#",	//945
    "initMutationEvent",	//946
    "initMutationEvent#$$####$",	//947
    "initTextEvent",	//948
    "initTextEvent#$$##",	//949
    "initUIEvent",	//950
    "initUIEvent#$$#$",	//951
    "innerHTML",	//952
    "innerNode",	//953
    "innerText",	//954
    "inputMethodEvent",	//955
    "inputMethodQuery",	//956
    "insert",	//957
    "insert#$",	//958
    "insertBefore",	//959
    "insertBefore##",	//960
    "insertCell",	//961
    "insertCell$",	//962
    "insertData",	//963
    "insertData$#",	//964
    "insertNode",	//965
    "insertNode#",	//966
    "insertRow",	//967
    "insertRow$",	//968
    "insertRule",	//969
    "insertRule#$",	//970
    "internalSubset",	//971
    "isAdFilterEnabled",	//972
    "isAdFiltered",	//973
    "isAdFiltered$",	//974
    "isAutoDelayedActionsEnabled",	//975
    "isBackRightClickEnabled",	//976
    "isCSSExceptionCode",	//977
    "isCSSExceptionCode$",	//978
    "isCSSPrimitiveValue",	//979
    "isCSSStyleSheet",	//980
    "isCSSValueList",	//981
    "isCaretMode",	//982
    "isContentEditable",	//983
    "isDOMExceptionCode",	//984
    "isDOMExceptionCode$",	//985
    "isDetached",	//986
    "isEditable",	//987
    "isEmpty",	//988
    "isEventExceptionCode",	//989
    "isEventExceptionCode$",	//990
    "isFormCompletionEnabled",	//991
    "isHTMLDocument",	//992
    "isHTMLElement",	//993
    "isHideAdsEnabled",	//994
    "isJavaEnabled",	//995
    "isJavaEnabled$",	//996
    "isJavaScriptDebugEnabled",	//997
    "isJavaScriptDebugEnabled$",	//998
    "isJavaScriptEnabled",	//999
    "isJavaScriptEnabled$",	//1000
    "isJavaScriptErrorReportingEnabled",	//1001
    "isJavaScriptErrorReportingEnabled$",	//1002
    "isMap",	//1003
    "isModified",	//1004
    "isNull",	//1005
    "isOpenMiddleClickEnabled",	//1006
    "isPluginsEnabled",	//1007
    "isPluginsEnabled$",	//1008
    "isPointInsideSelection",	//1009
    "isPointInsideSelection$$",	//1010
    "isRangeExceptionCode",	//1011
    "isRangeExceptionCode$",	//1012
    "isSupported",	//1013
    "isSupported##",	//1014
    "item",	//1015
    "item$",	//1016
    "jScriptEnabled",	//1017
    "jScriptInterpreter",	//1018
    "javaEnabled",	//1019
    "jsDefaultStatusBarText",	//1020
    "jsErrorsEnabled",	//1021
    "jsPopupBlockerPassivePopup",	//1022
    "jsStatusBarText",	//1023
    "keyCode",	//1024
    "keyIdentifier",	//1025
    "keyLocation",	//1026
    "keyPressEvent",	//1027
    "keyPressEvent#",	//1028
    "keyReleaseEvent",	//1029
    "keyReleaseEvent#",	//1030
    "khtmlDrawContentsEvent",	//1031
    "khtmlDrawContentsEvent#",	//1032
    "khtmlMalformedPrefix",	//1033
    "khtmlMalformedPrefix#",	//1034
    "khtmlMalformedQualifiedName",	//1035
    "khtmlMalformedQualifiedName#",	//1036
    "khtmlMouseDoubleClickEvent",	//1037
    "khtmlMouseDoubleClickEvent#",	//1038
    "khtmlMouseMoveEvent",	//1039
    "khtmlMouseMoveEvent#",	//1040
    "khtmlMousePressEvent",	//1041
    "khtmlMousePressEvent#",	//1042
    "khtmlMouseReleaseEvent",	//1043
    "khtmlMouseReleaseEvent#",	//1044
    "khtmlValidAttrName",	//1045
    "khtmlValidAttrName#",	//1046
    "khtmlValidPrefix",	//1047
    "khtmlValidPrefix#",	//1048
    "khtmlValidQualifiedName",	//1049
    "khtmlValidQualifiedName#",	//1050
    "label",	//1051
    "lang",	//1052
    "languageChange",	//1053
    "lastChild",	//1054
    "lastElementChild",	//1055
    "lastModified",	//1056
    "layerX",	//1057
    "layerY",	//1058
    "layers",	//1059
    "layout",	//1060
    "leaveEvent",	//1061
    "left",	//1062
    "length",	//1063
    "link",	//1064
    "linkColor",	//1065
    "links",	//1066
    "listStyle",	//1067
    "load",	//1068
    "load#",	//1069
    "loadXML",	//1070
    "loadXML#",	//1071
    "localName",	//1072
    "localXMLFile",	//1073
    "longDesc",	//1074
    "lower",	//1075
    "m_color",	//1076
    "marginHeight",	//1077
    "marginWidth",	//1078
    "maxFormCompletionItems",	//1079
    "maxLength",	//1080
    "mayPrefetchHostname",	//1081
    "mayPrefetchHostname$",	//1082
    "media",	//1083
    "mediaText",	//1084
    "mediumFontSize",	//1085
    "metaKey",	//1086
    "metaObject",	//1087
    "metaRefreshEnabled",	//1088
    "method",	//1089
    "metric",	//1090
    "minFontSize",	//1091
    "minimumSizeHint",	//1092
    "mouseDoubleClickEvent",	//1093
    "mouseDoubleClickEvent#",	//1094
    "mouseMoveEvent",	//1095
    "mouseMoveEvent#",	//1096
    "mousePressEvent",	//1097
    "mousePressEvent#",	//1098
    "mouseReleaseEvent",	//1099
    "mouseReleaseEvent#",	//1100
    "moveEvent",	//1101
    "multiple",	//1102
    "name",	//1103
    "namedItem",	//1104
    "namedItem#",	//1105
    "namespaceURI",	//1106
    "newValue",	//1107
    "nextAnchor",	//1108
    "nextElementSibling",	//1109
    "nextItem",	//1110
    "nextNamedItem",	//1111
    "nextNamedItem#",	//1112
    "nextNode",	//1113
    "nextSibling",	//1114
    "noHref",	//1115
    "noResize",	//1116
    "noShade",	//1117
    "noWrap",	//1118
    "nodeActivated",	//1119
    "nodeActivated#",	//1120
    "nodeName",	//1121
    "nodeType",	//1122
    "nodeUnderMouse",	//1123
    "nodeValue",	//1124
    "nonSharedNodeUnderMouse",	//1125
    "normalize",	//1126
    "notationName",	//1127
    "notations",	//1128
    "number",	//1129
    "number$",	//1130
    "object",	//1131
    "offset",	//1132
    "onURL",	//1133
    "onURL$",	//1134
    "onlyLocalReferences",	//1135
    "open",	//1136
    "openFile",	//1137
    "openUrl",	//1138
    "openUrl#",	//1139
    "operator!=",	//1140
    "operator!=#",	//1141
    "operator!=##",	//1142
    "operator!=#$",	//1143
    "operator+",	//1144
    "operator+#",	//1145
    "operator+=",	//1146
    "operator+=#",	//1147
    "operator=",	//1148
    "operator=#",	//1149
    "operator==",	//1150
    "operator==#",	//1151
    "operator==##",	//1152
    "operator==#$",	//1153
    "operator[]",	//1154
    "operator[]$",	//1155
    "options",	//1156
    "ownerDocument",	//1157
    "ownerElement",	//1158
    "ownerNode",	//1159
    "ownerRule",	//1160
    "pageReferrer",	//1161
    "pageX",	//1162
    "pageY",	//1163
    "paint",	//1164
    "paint##",	//1165
    "paint##$",	//1166
    "paint##$$",	//1167
    "paintEngine",	//1168
    "paintEvent",	//1169
    "paintEvent#",	//1170
    "painter",	//1171
    "paletteChange",	//1172
    "parentNode",	//1173
    "parentPart",	//1174
    "parentRule",	//1175
    "parentStyleSheet",	//1176
    "parsedUrl",	//1177
    "part",	//1178
    "partActivateEvent",	//1179
    "partManager",	//1180
    "partSelectEvent",	//1181
    "percentage",	//1182
    "percentage$",	//1183
    "pluginPageQuestionAsked",	//1184
    "pluginPageQuestionAsked$",	//1185
    "pluginsEnabled",	//1186
    "popupMenu",	//1187
    "popupMenu$#",	//1188
    "preferredStylesheetSet",	//1189
    "prefix",	//1190
    "preloadScript",	//1191
    "preloadScript$$",	//1192
    "preloadStyleSheet",	//1193
    "preloadStyleSheet$$",	//1194
    "prevAnchor",	//1195
    "prevValue",	//1196
    "preventDefault",	//1197
    "previousElementSibling",	//1198
    "previousNode",	//1199
    "previousSibling",	//1200
    "primitiveType",	//1201
    "print",	//1202
    "print$",	//1203
    "profile",	//1204
    "prompt",	//1205
    "publicId",	//1206
    "qmouseEvent",	//1207
    "qt_metacall",	//1208
    "qt_metacall$$?",	//1209
    "qt_metacast",	//1210
    "qt_metacast$",	//1211
    "queryCommandEnabled",	//1212
    "queryCommandEnabled#",	//1213
    "queryCommandIndeterm",	//1214
    "queryCommandIndeterm#",	//1215
    "queryCommandState",	//1216
    "queryCommandState#",	//1217
    "queryCommandSupported",	//1218
    "queryCommandSupported#",	//1219
    "queryCommandValue",	//1220
    "queryCommandValue#",	//1221
    "querySelector",	//1222
    "querySelector#",	//1223
    "querySelectorAll",	//1224
    "querySelectorAll#",	//1225
    "readDomainSettings",	//1226
    "readDomainSettings#$$#",	//1227
    "readOnly",	//1228
    "red",	//1229
    "ref",	//1230
    "refCount",	//1231
    "referrer",	//1232
    "rel",	//1233
    "relatedNode",	//1234
    "relatedTarget",	//1235
    "remove",	//1236
    "remove$",	//1237
    "remove$$",	//1238
    "removeAttribute",	//1239
    "removeAttribute#",	//1240
    "removeAttributeNS",	//1241
    "removeAttributeNS##",	//1242
    "removeAttributeNode",	//1243
    "removeAttributeNode#",	//1244
    "removeCSSProperty",	//1245
    "removeCSSProperty#",	//1246
    "removeChild",	//1247
    "removeChild#",	//1248
    "removeEventListener",	//1249
    "removeEventListener##$",	//1250
    "removeNamedItem",	//1251
    "removeNamedItem#",	//1252
    "removeNamedItemNS",	//1253
    "removeNamedItemNS##",	//1254
    "removeProperty",	//1255
    "removeProperty#",	//1256
    "removeStyleSheet",	//1257
    "removeStyleSheet#",	//1258
    "repaintAccessKeys",	//1259
    "repaintContents",	//1260
    "repaintContents#",	//1261
    "repaintContents$$$$",	//1262
    "replaceChild",	//1263
    "replaceChild##",	//1264
    "replaceData",	//1265
    "replaceData$$#",	//1266
    "reset",	//1267
    "resizeContents",	//1268
    "resizeContents$$",	//1269
    "resizeEvent",	//1270
    "resizeEvent#",	//1271
    "restoreState",	//1272
    "restoreState#",	//1273
    "restored",	//1274
    "rev",	//1275
    "reverseFind",	//1276
    "reverseFind#",	//1277
    "reverseFind#$",	//1278
    "right",	//1279
    "root",	//1280
    "rowIndex",	//1281
    "rowSpan",	//1282
    "rows",	//1283
    "rules",	//1284
    "sansSerifFontName",	//1285
    "saveState",	//1286
    "saveState#",	//1287
    "scheduleRedirection",	//1288
    "scheduleRedirection$$",	//1289
    "scheduleRedirection$$$",	//1290
    "scheme",	//1291
    "scope",	//1292
    "screenX",	//1293
    "screenY",	//1294
    "scripts",	//1295
    "scrollBy",	//1296
    "scrollBy$$",	//1297
    "scrollContentsBy",	//1298
    "scrollContentsBy$$",	//1299
    "scrolling",	//1300
    "sectionRowIndex",	//1301
    "select",	//1302
    "selectAll",	//1303
    "selectNode",	//1304
    "selectNode#",	//1305
    "selectNodeContents",	//1306
    "selectNodeContents#",	//1307
    "selected",	//1308
    "selectedIndex",	//1309
    "selectedStylesheetSet",	//1310
    "selectedText",	//1311
    "selectedTextAsHTML",	//1312
    "selection",	//1313
    "selection#$#$",	//1314
    "selectionChanged",	//1315
    "selectionEnd",	//1316
    "selectionStart",	//1317
    "selectorText",	//1318
    "separator",	//1319
    "serifFontName",	//1320
    "setALink",	//1321
    "setALink#",	//1322
    "setAbbr",	//1323
    "setAbbr#",	//1324
    "setAccept",	//1325
    "setAccept#",	//1326
    "setAcceptCharset",	//1327
    "setAcceptCharset#",	//1328
    "setAccessKey",	//1329
    "setAccessKey#",	//1330
    "setAction",	//1331
    "setAction#",	//1332
    "setActiveNode",	//1333
    "setActiveNode#",	//1334
    "setAlign",	//1335
    "setAlign#",	//1336
    "setAlt",	//1337
    "setAlt#",	//1338
    "setAlwaysHonourDoctype",	//1339
    "setAlwaysHonourDoctype$",	//1340
    "setArchive",	//1341
    "setArchive#",	//1342
    "setAsync",	//1343
    "setAsync$",	//1344
    "setAttribute",	//1345
    "setAttribute##",	//1346
    "setAttributeNS",	//1347
    "setAttributeNS###",	//1348
    "setAttributeNode",	//1349
    "setAttributeNode#",	//1350
    "setAttributeNodeNS",	//1351
    "setAttributeNodeNS#",	//1352
    "setAutoloadImages",	//1353
    "setAutoloadImages$",	//1354
    "setAxis",	//1355
    "setAxis#",	//1356
    "setBackground",	//1357
    "setBackground#",	//1358
    "setBgColor",	//1359
    "setBgColor#",	//1360
    "setBody",	//1361
    "setBody#",	//1362
    "setBorder",	//1363
    "setBorder#",	//1364
    "setBorder$",	//1365
    "setCaption",	//1366
    "setCaption#",	//1367
    "setCaretDisplayPolicyNonFocused",	//1368
    "setCaretDisplayPolicyNonFocused$",	//1369
    "setCaretMode",	//1370
    "setCaretMode$",	//1371
    "setCaretPosition",	//1372
    "setCaretPosition#$",	//1373
    "setCaretPosition#$$",	//1374
    "setCaretVisible",	//1375
    "setCaretVisible$",	//1376
    "setCellIndex",	//1377
    "setCellIndex$",	//1378
    "setCellPadding",	//1379
    "setCellPadding#",	//1380
    "setCellSpacing",	//1381
    "setCellSpacing#",	//1382
    "setCells",	//1383
    "setCells#",	//1384
    "setCh",	//1385
    "setCh#",	//1386
    "setChOff",	//1387
    "setChOff#",	//1388
    "setCharset",	//1389
    "setCharset#",	//1390
    "setChecked",	//1391
    "setChecked$",	//1392
    "setCite",	//1393
    "setCite#",	//1394
    "setClassName",	//1395
    "setClassName#",	//1396
    "setClear",	//1397
    "setClear#",	//1398
    "setCode",	//1399
    "setCode#",	//1400
    "setCode$",	//1401
    "setCodeBase",	//1402
    "setCodeBase#",	//1403
    "setCodeType",	//1404
    "setCodeType#",	//1405
    "setColSpan",	//1406
    "setColSpan$",	//1407
    "setColor",	//1408
    "setColor#",	//1409
    "setCols",	//1410
    "setCols#",	//1411
    "setCols$",	//1412
    "setCompact",	//1413
    "setCompact$",	//1414
    "setComponentData",	//1415
    "setContent",	//1416
    "setContent#",	//1417
    "setContentEditable",	//1418
    "setContentEditable#",	//1419
    "setContentsPos",	//1420
    "setContentsPos$$",	//1421
    "setCookie",	//1422
    "setCookie#",	//1423
    "setCoords",	//1424
    "setCoords#",	//1425
    "setCssText",	//1426
    "setCssText#",	//1427
    "setCurrentNode",	//1428
    "setCurrentNode#",	//1429
    "setCustomNodeFilter",	//1430
    "setCustomNodeFilter#",	//1431
    "setDNDEnabled",	//1432
    "setDNDEnabled$",	//1433
    "setDNSPrefetch",	//1434
    "setDNSPrefetch$",	//1435
    "setDOMDocument",	//1436
    "setData",	//1437
    "setData#",	//1438
    "setDateTime",	//1439
    "setDateTime#",	//1440
    "setDeclare",	//1441
    "setDeclare$",	//1442
    "setDefaultChecked",	//1443
    "setDefaultChecked$",	//1444
    "setDefaultSelected",	//1445
    "setDefaultSelected$",	//1446
    "setDefaultValue",	//1447
    "setDefaultValue#",	//1448
    "setDefer",	//1449
    "setDefer$",	//1450
    "setDesignMode",	//1451
    "setDesignMode$",	//1452
    "setDir",	//1453
    "setDir#",	//1454
    "setDisabled",	//1455
    "setDisabled$",	//1456
    "setEditable",	//1457
    "setEditable$",	//1458
    "setEncoding",	//1459
    "setEncoding#",	//1460
    "setEncoding$",	//1461
    "setEncoding$$",	//1462
    "setEnctype",	//1463
    "setEnctype#",	//1464
    "setEnd",	//1465
    "setEnd#$",	//1466
    "setEndAfter",	//1467
    "setEndAfter#",	//1468
    "setEndBefore",	//1469
    "setEndBefore#",	//1470
    "setEvent",	//1471
    "setEvent#",	//1472
    "setFace",	//1473
    "setFace#",	//1474
    "setFixedFont",	//1475
    "setFixedFont$",	//1476
    "setFixedFontName",	//1477
    "setFixedFontName$",	//1478
    "setFloatValue",	//1479
    "setFloatValue$$",	//1480
    "setFontScaleFactor",	//1481
    "setFontScaleFactor$",	//1482
    "setForcePermitLocalImages",	//1483
    "setForcePermitLocalImages$",	//1484
    "setFormNotification",	//1485
    "setFormNotification$",	//1486
    "setFrame",	//1487
    "setFrame#",	//1488
    "setFrameBorder",	//1489
    "setFrameBorder#",	//1490
    "setHeaders",	//1491
    "setHeaders#",	//1492
    "setHeight",	//1493
    "setHeight#",	//1494
    "setHeight$",	//1495
    "setHorizontalScrollBarPolicy",	//1496
    "setHorizontalScrollBarPolicy$",	//1497
    "setHref",	//1498
    "setHref#",	//1499
    "setHreflang",	//1500
    "setHreflang#",	//1501
    "setHspace",	//1502
    "setHspace#",	//1503
    "setHspace$",	//1504
    "setHtmlFor",	//1505
    "setHtmlFor#",	//1506
    "setHttpEquiv",	//1507
    "setHttpEquiv#",	//1508
    "setId",	//1509
    "setId#",	//1510
    "setIndeterminate",	//1511
    "setIndeterminate$",	//1512
    "setIndex",	//1513
    "setIndex$",	//1514
    "setInnerHTML",	//1515
    "setInnerHTML#",	//1516
    "setInnerText",	//1517
    "setInnerText#",	//1518
    "setIsMap",	//1519
    "setIsMap$",	//1520
    "setJSDefaultStatusBarText",	//1521
    "setJSDefaultStatusBarText$",	//1522
    "setJSErrorsEnabled",	//1523
    "setJSErrorsEnabled$",	//1524
    "setJSPopupBlockerPassivePopup",	//1525
    "setJSPopupBlockerPassivePopup$",	//1526
    "setJSStatusBarText",	//1527
    "setJSStatusBarText$",	//1528
    "setJScriptEnabled",	//1529
    "setJScriptEnabled$",	//1530
    "setJavaEnabled",	//1531
    "setJavaEnabled$",	//1532
    "setLabel",	//1533
    "setLabel#",	//1534
    "setLang",	//1535
    "setLang#",	//1536
    "setLeft",	//1537
    "setLeft$",	//1538
    "setLink",	//1539
    "setLink#",	//1540
    "setLocalXMLFile",	//1541
    "setLongDesc",	//1542
    "setLongDesc#",	//1543
    "setM_color",	//1544
    "setM_color$",	//1545
    "setManager",	//1546
    "setMarginHeight",	//1547
    "setMarginHeight#",	//1548
    "setMarginHeight$",	//1549
    "setMarginWidth",	//1550
    "setMarginWidth#",	//1551
    "setMarginWidth$",	//1552
    "setMaxLength",	//1553
    "setMaxLength$",	//1554
    "setMedia",	//1555
    "setMedia#",	//1556
    "setMediaText",	//1557
    "setMediaText#",	//1558
    "setMetaRefreshEnabled",	//1559
    "setMetaRefreshEnabled$",	//1560
    "setMethod",	//1561
    "setMethod#",	//1562
    "setMultiple",	//1563
    "setMultiple$",	//1564
    "setName",	//1565
    "setName#",	//1566
    "setNamedItem",	//1567
    "setNamedItem#",	//1568
    "setNamedItemNS",	//1569
    "setNamedItemNS#",	//1570
    "setNoHref",	//1571
    "setNoHref$",	//1572
    "setNoResize",	//1573
    "setNoResize$",	//1574
    "setNoShade",	//1575
    "setNoShade$",	//1576
    "setNoWrap",	//1577
    "setNoWrap$",	//1578
    "setNodeValue",	//1579
    "setNodeValue#",	//1580
    "setObject",	//1581
    "setObject#",	//1582
    "setOnlyLocalReferences",	//1583
    "setOnlyLocalReferences$",	//1584
    "setPageSecurity",	//1585
    "setPageSecurity$",	//1586
    "setPluginPageQuestionAsked",	//1587
    "setPluginPageQuestionAsked$",	//1588
    "setPluginsEnabled",	//1589
    "setPluginsEnabled$",	//1590
    "setPrefix",	//1591
    "setPrefix#",	//1592
    "setProfile",	//1593
    "setProfile#",	//1594
    "setPrompt",	//1595
    "setPrompt#",	//1596
    "setProperty",	//1597
    "setProperty###",	//1598
    "setReadOnly",	//1599
    "setReadOnly$",	//1600
    "setRel",	//1601
    "setRel#",	//1602
    "setRev",	//1603
    "setRev#",	//1604
    "setRowIndex",	//1605
    "setRowIndex$",	//1606
    "setRowSpan",	//1607
    "setRowSpan$",	//1608
    "setRows",	//1609
    "setRows#",	//1610
    "setRows$",	//1611
    "setRules",	//1612
    "setRules#",	//1613
    "setScheme",	//1614
    "setScheme#",	//1615
    "setScope",	//1616
    "setScope#",	//1617
    "setScrolling",	//1618
    "setScrolling#",	//1619
    "setSectionRowIndex",	//1620
    "setSectionRowIndex$",	//1621
    "setSelectable",	//1622
    "setSelected",	//1623
    "setSelected$",	//1624
    "setSelectedIndex",	//1625
    "setSelectedIndex$",	//1626
    "setSelectedStylesheetSet",	//1627
    "setSelectedStylesheetSet#",	//1628
    "setSelection",	//1629
    "setSelection#",	//1630
    "setSelectionEnd",	//1631
    "setSelectionEnd$",	//1632
    "setSelectionRange",	//1633
    "setSelectionRange$$",	//1634
    "setSelectionStart",	//1635
    "setSelectionStart$",	//1636
    "setSelectorText",	//1637
    "setSelectorText#",	//1638
    "setShape",	//1639
    "setShape#",	//1640
    "setSize",	//1641
    "setSize#",	//1642
    "setSize$",	//1643
    "setSmoothScrollingMode",	//1644
    "setSmoothScrollingMode$",	//1645
    "setSmoothScrollingModeDefault",	//1646
    "setSmoothScrollingModeDefault$",	//1647
    "setSpan",	//1648
    "setSpan$",	//1649
    "setSrc",	//1650
    "setSrc#",	//1651
    "setStandardFont",	//1652
    "setStandardFont$",	//1653
    "setStandby",	//1654
    "setStandby#",	//1655
    "setStart",	//1656
    "setStart#$",	//1657
    "setStart$",	//1658
    "setStartAfter",	//1659
    "setStartAfter#",	//1660
    "setStartBefore",	//1661
    "setStartBefore#",	//1662
    "setStatusMessagesEnabled",	//1663
    "setStatusMessagesEnabled$",	//1664
    "setStdFontName",	//1665
    "setStdFontName$",	//1666
    "setStringValue",	//1667
    "setStringValue$#",	//1668
    "setSummary",	//1669
    "setSummary#",	//1670
    "setSuppressedPopupIndicator",	//1671
    "setSuppressedPopupIndicator$",	//1672
    "setSuppressedPopupIndicator$#",	//1673
    "setTFoot",	//1674
    "setTFoot#",	//1675
    "setTHead",	//1676
    "setTHead#",	//1677
    "setTabIndex",	//1678
    "setTabIndex$",	//1679
    "setTarget",	//1680
    "setTarget#",	//1681
    "setText",	//1682
    "setText#",	//1683
    "setTextContent",	//1684
    "setTextContent#",	//1685
    "setTitle",	//1686
    "setTitle#",	//1687
    "setTop",	//1688
    "setTop$",	//1689
    "setType",	//1690
    "setType#",	//1691
    "setURLCursor",	//1692
    "setURLCursor#",	//1693
    "setUseMap",	//1694
    "setUseMap#",	//1695
    "setUserStyleSheet",	//1696
    "setUserStyleSheet#",	//1697
    "setUserStyleSheet$",	//1698
    "setVAlign",	//1699
    "setVAlign#",	//1700
    "setVLink",	//1701
    "setVLink#",	//1702
    "setValue",	//1703
    "setValue#",	//1704
    "setValue$",	//1705
    "setValueType",	//1706
    "setValueType#",	//1707
    "setVersion",	//1708
    "setVersion#",	//1709
    "setVerticalScrollBarPolicy",	//1710
    "setVerticalScrollBarPolicy$",	//1711
    "setVisibility",	//1712
    "setVisibility#",	//1713
    "setVisible",	//1714
    "setVspace",	//1715
    "setVspace#",	//1716
    "setVspace$",	//1717
    "setWidget",	//1718
    "setWidth",	//1719
    "setWidth#",	//1720
    "setWidth$",	//1721
    "setXML",	//1722
    "setXMLFile",	//1723
    "setZoomFactor",	//1724
    "setZoomFactor$",	//1725
    "setZoomLevel",	//1726
    "setZoomLevel$",	//1727
    "set_ref",	//1728
    "set_ref$",	//1729
    "settings",	//1730
    "settingsToCSS",	//1731
    "shape",	//1732
    "sheet",	//1733
    "shiftKey",	//1734
    "show",	//1735
    "showAnimations",	//1736
    "showError",	//1737
    "showError#",	//1738
    "showEvent",	//1739
    "showEvent#",	//1740
    "size",	//1741
    "sizeHint",	//1742
    "slotFinished",	//1743
    "slotFinished#",	//1744
    "slotPaletteChanged",	//1745
    "smoothScrolling",	//1746
    "smoothScrollingMode",	//1747
    "span",	//1748
    "specified",	//1749
    "split",	//1750
    "split$",	//1751
    "splitDomainAdvice",	//1752
    "splitDomainAdvice$$$$",	//1753
    "splitText",	//1754
    "splitText$",	//1755
    "src",	//1756
    "standby",	//1757
    "start",	//1758
    "startContainer",	//1759
    "startOffset",	//1760
    "startingJob",	//1761
    "startingJob#",	//1762
    "startsWith",	//1763
    "startsWith#",	//1764
    "stateChanged",	//1765
    "staticMetaObject",	//1766
    "statusMessagesEnabled",	//1767
    "stdFontName",	//1768
    "stopAnimations",	//1769
    "stopPropagation",	//1770
    "strToAdvice",	//1771
    "strToAdvice$",	//1772
    "strcasecmp",	//1773
    "strcasecmp##",	//1774
    "strcasecmp#$",	//1775
    "strcmp",	//1776
    "strcmp##",	//1777
    "string",	//1778
    "style",	//1779
    "styleChange",	//1780
    "styleSheet",	//1781
    "styleSheets",	//1782
    "submit",	//1783
    "submitFormProxy",	//1784
    "submitFormProxy$$#$",	//1785
    "submitFormProxy$$#$$",	//1786
    "submitFormProxy$$#$$$",	//1787
    "substring",	//1788
    "substring$",	//1789
    "substring$$",	//1790
    "substringData",	//1791
    "substringData$$",	//1792
    "summary",	//1793
    "surroundContents",	//1794
    "surroundContents#",	//1795
    "systemId",	//1796
    "tBodies",	//1797
    "tFoot",	//1798
    "tHead",	//1799
    "tabIndex",	//1800
    "tabletEvent",	//1801
    "tagName",	//1802
    "target",	//1803
    "test",	//1804
    "test#",	//1805
    "text",	//1806
    "textColor",	//1807
    "textContent",	//1808
    "textLength",	//1809
    "timeStamp",	//1810
    "timerEvent",	//1811
    "timerEvent#",	//1812
    "title",	//1813
    "toFloat",	//1814
    "toFloat$",	//1815
    "toHTML",	//1816
    "toInt",	//1817
    "toInt$",	//1818
    "toString",	//1819
    "top",	//1820
    "toplevelURL",	//1821
    "tr",	//1822
    "tr$",	//1823
    "tr$$",	//1824
    "tr$$$",	//1825
    "trUtf8",	//1826
    "trUtf8$",	//1827
    "trUtf8$$",	//1828
    "trUtf8$$$",	//1829
    "trimSpaces",	//1830
    "truncate",	//1831
    "truncate$",	//1832
    "type",	//1833
    "underlineLink",	//1834
    "unfinishedImageFrame",	//1835
    "unicode",	//1836
    "updateContents",	//1837
    "updateContents#",	//1838
    "updateContents$$$$",	//1839
    "updateRendering",	//1840
    "updateZoomFactor",	//1841
    "upper",	//1842
    "url",	//1843
    "urlCursor",	//1844
    "urlSelected",	//1845
    "urlSelected$$$$",	//1846
    "urlSelected$$$$#",	//1847
    "urlSelected$$$$##",	//1848
    "useMap",	//1849
    "userStyleSheet",	//1850
    "vAlign",	//1851
    "vLink",	//1852
    "vLinkColor",	//1853
    "value",	//1854
    "valueType",	//1855
    "version",	//1856
    "view",	//1857
    "viewportEvent",	//1858
    "viewportEvent#",	//1859
    "viewportToContents",	//1860
    "viewportToContents#",	//1861
    "viewportToContents$$$$",	//1862
    "virtual_hook",	//1863
    "visibility",	//1864
    "visibleHeight",	//1865
    "visibleWidth",	//1866
    "vspace",	//1867
    "whatToShow",	//1868
    "wheelEvent",	//1869
    "wheelEvent#",	//1870
    "which",	//1871
    "widget",	//1872
    "widgetEvent",	//1873
    "widgetEvent#",	//1874
    "width",	//1875
    "windowActivationChange",	//1876
    "windowFocusPolicy",	//1877
    "windowFocusPolicy$",	//1878
    "windowMovePolicy",	//1879
    "windowMovePolicy$",	//1880
    "windowOpenPolicy",	//1881
    "windowOpenPolicy$",	//1882
    "windowResizePolicy",	//1883
    "windowResizePolicy$",	//1884
    "windowStatusPolicy",	//1885
    "windowStatusPolicy$",	//1886
    "write",	//1887
    "write#",	//1888
    "write$",	//1889
    "write$$",	//1890
    "writeln",	//1891
    "writeln#",	//1892
    "x",	//1893
    "x11Event",	//1894
    "xmlFile",	//1895
    "y",	//1896
    "zoomFactor",	//1897
    "zoomLevel",	//1898
    "zoomView",	//1899
    "zoomView$",	//1900
    "~AbstractView",	//1901
    "~Attr",	//1902
    "~CDATASection",	//1903
    "~CSSCharsetRule",	//1904
    "~CSSException",	//1905
    "~CSSFontFaceRule",	//1906
    "~CSSImportRule",	//1907
    "~CSSMediaRule",	//1908
    "~CSSPageRule",	//1909
    "~CSSPrimitiveValue",	//1910
    "~CSSRule",	//1911
    "~CSSRuleList",	//1912
    "~CSSStyleDeclaration",	//1913
    "~CSSStyleRule",	//1914
    "~CSSStyleSheet",	//1915
    "~CSSUnknownRule",	//1916
    "~CSSValue",	//1917
    "~CSSValueList",	//1918
    "~CharacterData",	//1919
    "~Comment",	//1920
    "~Counter",	//1921
    "~CustomNodeFilter",	//1922
    "~DOMException",	//1923
    "~DOMImplementation",	//1924
    "~DOMString",	//1925
    "~Document",	//1926
    "~DocumentFragment",	//1927
    "~DocumentStyle",	//1928
    "~DocumentType",	//1929
    "~DomShared",	//1930
    "~DrawContentsEvent",	//1931
    "~Element",	//1932
    "~Entity",	//1933
    "~EntityReference",	//1934
    "~Event",	//1935
    "~EventException",	//1936
    "~EventListener",	//1937
    "~HTMLAnchorElement",	//1938
    "~HTMLAppletElement",	//1939
    "~HTMLAreaElement",	//1940
    "~HTMLBRElement",	//1941
    "~HTMLBaseElement",	//1942
    "~HTMLBaseFontElement",	//1943
    "~HTMLBlockquoteElement",	//1944
    "~HTMLBodyElement",	//1945
    "~HTMLButtonElement",	//1946
    "~HTMLCollection",	//1947
    "~HTMLDListElement",	//1948
    "~HTMLDirectoryElement",	//1949
    "~HTMLDivElement",	//1950
    "~HTMLDocument",	//1951
    "~HTMLElement",	//1952
    "~HTMLFieldSetElement",	//1953
    "~HTMLFontElement",	//1954
    "~HTMLFormCollection",	//1955
    "~HTMLFormElement",	//1956
    "~HTMLFrameElement",	//1957
    "~HTMLFrameSetElement",	//1958
    "~HTMLHRElement",	//1959
    "~HTMLHeadElement",	//1960
    "~HTMLHeadingElement",	//1961
    "~HTMLHtmlElement",	//1962
    "~HTMLIFrameElement",	//1963
    "~HTMLImageElement",	//1964
    "~HTMLInputElement",	//1965
    "~HTMLIsIndexElement",	//1966
    "~HTMLLIElement",	//1967
    "~HTMLLabelElement",	//1968
    "~HTMLLayerElement",	//1969
    "~HTMLLegendElement",	//1970
    "~HTMLLinkElement",	//1971
    "~HTMLMapElement",	//1972
    "~HTMLMenuElement",	//1973
    "~HTMLMetaElement",	//1974
    "~HTMLModElement",	//1975
    "~HTMLOListElement",	//1976
    "~HTMLObjectElement",	//1977
    "~HTMLOptGroupElement",	//1978
    "~HTMLOptionElement",	//1979
    "~HTMLParagraphElement",	//1980
    "~HTMLParamElement",	//1981
    "~HTMLPreElement",	//1982
    "~HTMLQuoteElement",	//1983
    "~HTMLScriptElement",	//1984
    "~HTMLSelectElement",	//1985
    "~HTMLStyleElement",	//1986
    "~HTMLTableCaptionElement",	//1987
    "~HTMLTableCellElement",	//1988
    "~HTMLTableColElement",	//1989
    "~HTMLTableElement",	//1990
    "~HTMLTableRowElement",	//1991
    "~HTMLTableSectionElement",	//1992
    "~HTMLTextAreaElement",	//1993
    "~HTMLTitleElement",	//1994
    "~HTMLUListElement",	//1995
    "~KHTMLPart",	//1996
    "~KHTMLSettings",	//1997
    "~KHTMLView",	//1998
    "~KeyboardEvent",	//1999
    "~LinkStyle",	//2000
    "~MediaList",	//2001
    "~MouseDoubleClickEvent",	//2002
    "~MouseEvent",	//2003
    "~MouseMoveEvent",	//2004
    "~MousePressEvent",	//2005
    "~MouseReleaseEvent",	//2006
    "~MutationEvent",	//2007
    "~NamedNodeMap",	//2008
    "~Node",	//2009
    "~NodeFilter",	//2010
    "~NodeIterator",	//2011
    "~NodeList",	//2012
    "~Notation",	//2013
    "~ProcessingInstruction",	//2014
    "~RGBColor",	//2015
    "~Range",	//2016
    "~RangeException",	//2017
    "~Rect",	//2018
    "~StyleSheet",	//2019
    "~StyleSheetList",	//2020
    "~Text",	//2021
    "~TextEvent",	//2022
    "~TreeWalker",	//2023
    "~UIEvent",	//2024
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 1140, 1, 2, Smoke::mf_static, 475, 1},	//1 DOM::operator!=(const DOM::DOMString&, const char*)
    {1, 1773, 4, 2, Smoke::mf_static, 475, 2},	//2 DOM::strcasecmp(const DOM::DOMString&, const DOM::DOMString&)
    {1, 1776, 4, 2, Smoke::mf_static, 475, 3},	//3 DOM::strcmp(const DOM::DOMString&, const DOM::DOMString&)
    {1, 1150, 1, 2, Smoke::mf_static, 475, 4},	//4 DOM::operator==(const DOM::DOMString&, const char*)
    {1, 1140, 7, 2, Smoke::mf_static, 475, 5},	//5 DOM::operator!=(const DOM::DOMString&, const QString&)
    {1, 1773, 1, 2, Smoke::mf_static, 475, 6},	//6 DOM::strcasecmp(const DOM::DOMString&, const char*)
    {1, 1150, 7, 2, Smoke::mf_static, 475, 7},	//7 DOM::operator==(const DOM::DOMString&, const QString&)
    {1, 1140, 4, 2, Smoke::mf_static, 475, 8},	//8 DOM::operator!=(const DOM::DOMString&, const DOM::DOMString&)
    {1, 1150, 4, 2, Smoke::mf_static, 475, 9},	//9 DOM::operator==(const DOM::DOMString&, const DOM::DOMString&)
    {2, 5, 0, 0, Smoke::mf_ctor, 3, 1},	//10 DOM::AbstractView::AbstractView()
    {2, 5, 10, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 3, 2},	//11 DOM::AbstractView::AbstractView(const DOM::AbstractView&)
    {2, 1148, 10, 1, 0, 2, 3},	//12 DOM::AbstractView::operator=(const DOM::AbstractView&)
    {2, 752, 0, 0, Smoke::mf_const, 68, 4},	//13 DOM::AbstractView::document() const
    {2, 853, 12, 2, 0, 34, 5},	//14 DOM::AbstractView::getComputedStyle(const DOM::Element&, const DOM::DOMString&)
    {2, 1005, 0, 0, Smoke::mf_const, 475, 6},	//15 DOM::AbstractView::isNull() const
    {2, 1901, 0, 0, Smoke::mf_dtor, 0, 7 },	//16 DOM::AbstractView::~AbstractView()
    {3, 7, 0, 0, Smoke::mf_ctor, 6, 1},	//17 DOM::Attr::Attr()
    {3, 7, 15, 1, Smoke::mf_ctor, 6, 2},	//18 DOM::Attr::Attr(const DOM::Node&)
    {3, 7, 17, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 6, 3},	//19 DOM::Attr::Attr(const DOM::Attr&)
    {3, 1148, 15, 1, 0, 5, 4},	//20 DOM::Attr::operator=(const DOM::Node&)
    {3, 1148, 17, 1, 0, 5, 5},	//21 DOM::Attr::operator=(const DOM::Attr&)
    {3, 1103, 0, 0, Smoke::mf_const, 65, 6},	//22 DOM::Attr::name() const
    {3, 1749, 0, 0, Smoke::mf_const, 475, 7},	//23 DOM::Attr::specified() const
    {3, 1854, 0, 0, Smoke::mf_const, 65, 8},	//24 DOM::Attr::value() const
    {3, 1703, 19, 1, 0, 0, 9},	//25 DOM::Attr::setValue(const DOM::DOMString&)
    {3, 1158, 0, 0, Smoke::mf_const, 81, 10},	//26 DOM::Attr::ownerElement() const
    {3, 1902, 0, 0, Smoke::mf_dtor, 0, 11 },	//27 DOM::Attr::~Attr()
    {4, 15, 0, 0, Smoke::mf_ctor, 9, 1},	//28 DOM::CDATASection::CDATASection()
    {4, 15, 21, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 9, 2},	//29 DOM::CDATASection::CDATASection(const DOM::CDATASection&)
    {4, 15, 15, 1, Smoke::mf_ctor, 9, 3},	//30 DOM::CDATASection::CDATASection(const DOM::Node&)
    {4, 1148, 15, 1, 0, 8, 4},	//31 DOM::CDATASection::operator=(const DOM::Node&)
    {4, 1148, 21, 1, 0, 8, 5},	//32 DOM::CDATASection::operator=(const DOM::CDATASection&)
    {4, 1903, 0, 0, Smoke::mf_dtor, 0, 6 },	//33 DOM::CDATASection::~CDATASection()
    {5, 20, 0, 0, Smoke::mf_ctor, 11, 1},	//34 DOM::CSSCharsetRule::CSSCharsetRule()
    {5, 20, 23, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 11, 2},	//35 DOM::CSSCharsetRule::CSSCharsetRule(const DOM::CSSCharsetRule&)
    {5, 20, 25, 1, Smoke::mf_ctor, 11, 3},	//36 DOM::CSSCharsetRule::CSSCharsetRule(const DOM::CSSRule&)
    {5, 1148, 23, 1, 0, 10, 4},	//37 DOM::CSSCharsetRule::operator=(const DOM::CSSCharsetRule&)
    {5, 1148, 25, 1, 0, 10, 5},	//38 DOM::CSSCharsetRule::operator=(const DOM::CSSRule&)
    {5, 768, 0, 0, Smoke::mf_const, 65, 6},	//39 DOM::CSSCharsetRule::encoding() const
    {5, 1459, 19, 1, 0, 0, 7},	//40 DOM::CSSCharsetRule::setEncoding(const DOM::DOMString&)
    {5, 1904, 0, 0, Smoke::mf_dtor, 0, 8 },	//41 DOM::CSSCharsetRule::~CSSCharsetRule()
    {6, 22, 27, 1, Smoke::mf_ctor, 13, 1},	//42 DOM::CSSException::CSSException(unsigned short)
    {6, 22, 29, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 13, 2},	//43 DOM::CSSException::CSSException(const DOM::CSSException&)
    {6, 1148, 29, 1, 0, 12, 3},	//44 DOM::CSSException::operator=(const DOM::CSSException&)
    {6, 617, 0, 0, Smoke::mf_const, 65, 4},	//45 DOM::CSSException::codeAsString() const
    {6, 617, 31, 1, Smoke::mf_static, 65, 5},	//46 DOM::CSSException::codeAsString(int)
    {6, 977, 31, 1, Smoke::mf_static, 475, 6},	//47 DOM::CSSException::isCSSExceptionCode(int)
    {6, 616, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 649, 7},	//48 DOM::CSSException::code() const
    {6, 1399, 27, 1, Smoke::mf_attribute, 0, 8},	//49 DOM::CSSException::setCode(unsigned short)
    {6, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 9},	//50 DOM::CSSException::SYNTAX_ERR (enum)
    {6, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 10},	//51 DOM::CSSException::INVALID_MODIFICATION_ERR (enum)
    {6, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 11},	//52 DOM::CSSException::_EXCEPTION_OFFSET (enum)
    {6, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 12},	//53 DOM::CSSException::_EXCEPTION_MAX (enum)
    {6, 1905, 0, 0, Smoke::mf_dtor, 0, 13 },	//54 DOM::CSSException::~CSSException()
    {7, 25, 0, 0, Smoke::mf_ctor, 16, 1},	//55 DOM::CSSFontFaceRule::CSSFontFaceRule()
    {7, 25, 33, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 16, 2},	//56 DOM::CSSFontFaceRule::CSSFontFaceRule(const DOM::CSSFontFaceRule&)
    {7, 25, 25, 1, Smoke::mf_ctor, 16, 3},	//57 DOM::CSSFontFaceRule::CSSFontFaceRule(const DOM::CSSRule&)
    {7, 1148, 33, 1, 0, 15, 4},	//58 DOM::CSSFontFaceRule::operator=(const DOM::CSSFontFaceRule&)
    {7, 1148, 25, 1, 0, 15, 5},	//59 DOM::CSSFontFaceRule::operator=(const DOM::CSSRule&)
    {7, 1779, 0, 0, Smoke::mf_const, 34, 6},	//60 DOM::CSSFontFaceRule::style() const
    {7, 1906, 0, 0, Smoke::mf_dtor, 0, 7 },	//61 DOM::CSSFontFaceRule::~CSSFontFaceRule()
    {8, 27, 0, 0, Smoke::mf_ctor, 18, 1},	//62 DOM::CSSImportRule::CSSImportRule()
    {8, 27, 35, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 18, 2},	//63 DOM::CSSImportRule::CSSImportRule(const DOM::CSSImportRule&)
    {8, 27, 25, 1, Smoke::mf_ctor, 18, 3},	//64 DOM::CSSImportRule::CSSImportRule(const DOM::CSSRule&)
    {8, 1148, 35, 1, 0, 17, 4},	//65 DOM::CSSImportRule::operator=(const DOM::CSSImportRule&)
    {8, 1148, 25, 1, 0, 17, 5},	//66 DOM::CSSImportRule::operator=(const DOM::CSSRule&)
    {8, 919, 0, 0, Smoke::mf_const, 65, 6},	//67 DOM::CSSImportRule::href() const
    {8, 1083, 0, 0, Smoke::mf_const, 223, 7},	//68 DOM::CSSImportRule::media() const
    {8, 1781, 0, 0, Smoke::mf_const, 39, 8},	//69 DOM::CSSImportRule::styleSheet() const
    {8, 1907, 0, 0, Smoke::mf_dtor, 0, 9 },	//70 DOM::CSSImportRule::~CSSImportRule()
    {9, 29, 0, 0, Smoke::mf_ctor, 20, 1},	//71 DOM::CSSMediaRule::CSSMediaRule()
    {9, 29, 37, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 20, 2},	//72 DOM::CSSMediaRule::CSSMediaRule(const DOM::CSSMediaRule&)
    {9, 29, 25, 1, Smoke::mf_ctor, 20, 3},	//73 DOM::CSSMediaRule::CSSMediaRule(const DOM::CSSRule&)
    {9, 1148, 37, 1, 0, 19, 4},	//74 DOM::CSSMediaRule::operator=(const DOM::CSSMediaRule&)
    {9, 1148, 25, 1, 0, 19, 5},	//75 DOM::CSSMediaRule::operator=(const DOM::CSSRule&)
    {9, 1083, 0, 0, Smoke::mf_const, 223, 6},	//76 DOM::CSSMediaRule::media() const
    {9, 696, 0, 0, Smoke::mf_const, 31, 7},	//77 DOM::CSSMediaRule::cssRules() const
    {9, 969, 39, 2, 0, 647, 8},	//78 DOM::CSSMediaRule::insertRule(const DOM::DOMString&, unsigned long)
    {9, 727, 42, 1, 0, 0, 9},	//79 DOM::CSSMediaRule::deleteRule(unsigned long)
    {9, 1908, 0, 0, Smoke::mf_dtor, 0, 10 },	//80 DOM::CSSMediaRule::~CSSMediaRule()
    {10, 31, 0, 0, Smoke::mf_ctor, 22, 1},	//81 DOM::CSSPageRule::CSSPageRule()
    {10, 31, 44, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 22, 2},	//82 DOM::CSSPageRule::CSSPageRule(const DOM::CSSPageRule&)
    {10, 31, 25, 1, Smoke::mf_ctor, 22, 3},	//83 DOM::CSSPageRule::CSSPageRule(const DOM::CSSRule&)
    {10, 1148, 44, 1, 0, 21, 4},	//84 DOM::CSSPageRule::operator=(const DOM::CSSPageRule&)
    {10, 1148, 25, 1, 0, 21, 5},	//85 DOM::CSSPageRule::operator=(const DOM::CSSRule&)
    {10, 1318, 0, 0, Smoke::mf_const, 65, 6},	//86 DOM::CSSPageRule::selectorText() const
    {10, 1637, 19, 1, 0, 0, 7},	//87 DOM::CSSPageRule::setSelectorText(const DOM::DOMString&)
    {10, 1779, 0, 0, Smoke::mf_const, 34, 8},	//88 DOM::CSSPageRule::style() const
    {10, 1909, 0, 0, Smoke::mf_dtor, 0, 9 },	//89 DOM::CSSPageRule::~CSSPageRule()
    {11, 33, 0, 0, Smoke::mf_ctor, 25, 1},	//90 DOM::CSSPrimitiveValue::CSSPrimitiveValue()
    {11, 33, 46, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 25, 2},	//91 DOM::CSSPrimitiveValue::CSSPrimitiveValue(const DOM::CSSPrimitiveValue&)
    {11, 33, 48, 1, Smoke::mf_ctor, 25, 3},	//92 DOM::CSSPrimitiveValue::CSSPrimitiveValue(const DOM::CSSValue&)
    {11, 1148, 46, 1, 0, 24, 4},	//93 DOM::CSSPrimitiveValue::operator=(const DOM::CSSPrimitiveValue&)
    {11, 1148, 48, 1, 0, 24, 5},	//94 DOM::CSSPrimitiveValue::operator=(const DOM::CSSValue&)
    {11, 1201, 0, 0, Smoke::mf_const, 649, 6},	//95 DOM::CSSPrimitiveValue::primitiveType() const
    {11, 1479, 50, 2, 0, 0, 7},	//96 DOM::CSSPrimitiveValue::setFloatValue(unsigned short, float)
    {11, 868, 27, 1, Smoke::mf_const, 633, 8},	//97 DOM::CSSPrimitiveValue::getFloatValue(unsigned short) const
    {11, 1667, 53, 2, 0, 0, 9},	//98 DOM::CSSPrimitiveValue::setStringValue(unsigned short, const DOM::DOMString&)
    {11, 891, 0, 0, Smoke::mf_const, 65, 10},	//99 DOM::CSSPrimitiveValue::getStringValue() const
    {11, 855, 0, 0, Smoke::mf_const, 55, 11},	//100 DOM::CSSPrimitiveValue::getCounterValue() const
    {11, 889, 0, 0, Smoke::mf_const, 265, 12},	//101 DOM::CSSPrimitiveValue::getRectValue() const
    {11, 887, 0, 0, Smoke::mf_const, 255, 13},	//102 DOM::CSSPrimitiveValue::getRGBColorValue() const
    {11, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 14},	//103 DOM::CSSPrimitiveValue::CSS_UNKNOWN (enum)
    {11, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 15},	//104 DOM::CSSPrimitiveValue::CSS_NUMBER (enum)
    {11, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 16},	//105 DOM::CSSPrimitiveValue::CSS_PERCENTAGE (enum)
    {11, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 17},	//106 DOM::CSSPrimitiveValue::CSS_EMS (enum)
    {11, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 18},	//107 DOM::CSSPrimitiveValue::CSS_EXS (enum)
    {11, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 19},	//108 DOM::CSSPrimitiveValue::CSS_CHS (enum)
    {11, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 20},	//109 DOM::CSSPrimitiveValue::CSS_REMS (enum)
    {11, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 21},	//110 DOM::CSSPrimitiveValue::CSS_PX (enum)
    {11, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 22},	//111 DOM::CSSPrimitiveValue::CSS_CM (enum)
    {11, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 23},	//112 DOM::CSSPrimitiveValue::CSS_MM (enum)
    {11, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 24},	//113 DOM::CSSPrimitiveValue::CSS_IN (enum)
    {11, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 25},	//114 DOM::CSSPrimitiveValue::CSS_PT (enum)
    {11, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 26},	//115 DOM::CSSPrimitiveValue::CSS_PC (enum)
    {11, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 27},	//116 DOM::CSSPrimitiveValue::CSS_DEG (enum)
    {11, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 28},	//117 DOM::CSSPrimitiveValue::CSS_RAD (enum)
    {11, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 29},	//118 DOM::CSSPrimitiveValue::CSS_GRAD (enum)
    {11, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 30},	//119 DOM::CSSPrimitiveValue::CSS_MS (enum)
    {11, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 31},	//120 DOM::CSSPrimitiveValue::CSS_S (enum)
    {11, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 32},	//121 DOM::CSSPrimitiveValue::CSS_HZ (enum)
    {11, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 33},	//122 DOM::CSSPrimitiveValue::CSS_KHZ (enum)
    {11, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 34},	//123 DOM::CSSPrimitiveValue::CSS_DIMENSION (enum)
    {11, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 35},	//124 DOM::CSSPrimitiveValue::CSS_STRING (enum)
    {11, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 36},	//125 DOM::CSSPrimitiveValue::CSS_URI (enum)
    {11, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 37},	//126 DOM::CSSPrimitiveValue::CSS_IDENT (enum)
    {11, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 38},	//127 DOM::CSSPrimitiveValue::CSS_ATTR (enum)
    {11, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 39},	//128 DOM::CSSPrimitiveValue::CSS_COUNTER (enum)
    {11, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 40},	//129 DOM::CSSPrimitiveValue::CSS_RECT (enum)
    {11, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 41},	//130 DOM::CSSPrimitiveValue::CSS_RGBCOLOR (enum)
    {11, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 42},	//131 DOM::CSSPrimitiveValue::CSS_DPI (enum)
    {11, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 43},	//132 DOM::CSSPrimitiveValue::CSS_DPCM (enum)
    {11, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 44},	//133 DOM::CSSPrimitiveValue::CSS_PAIR (enum)
    {11, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 45},	//134 DOM::CSSPrimitiveValue::CSS_HTML_RELATIVE (enum)
    {11, 1910, 0, 0, Smoke::mf_dtor, 0, 46 },	//135 DOM::CSSPrimitiveValue::~CSSPrimitiveValue()
    {12, 35, 0, 0, Smoke::mf_ctor, 29, 1},	//136 DOM::CSSRule::CSSRule()
    {12, 35, 25, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 29, 2},	//137 DOM::CSSRule::CSSRule(const DOM::CSSRule&)
    {12, 1148, 25, 1, 0, 28, 3},	//138 DOM::CSSRule::operator=(const DOM::CSSRule&)
    {12, 1833, 0, 0, Smoke::mf_const, 649, 4},	//139 DOM::CSSRule::type() const
    {12, 697, 0, 0, Smoke::mf_const, 65, 5},	//140 DOM::CSSRule::cssText() const
    {12, 1426, 19, 1, 0, 0, 6},	//141 DOM::CSSRule::setCssText(const DOM::DOMString&)
    {12, 1176, 0, 0, Smoke::mf_const, 39, 7},	//142 DOM::CSSRule::parentStyleSheet() const
    {12, 1175, 0, 0, Smoke::mf_const, 27, 8},	//143 DOM::CSSRule::parentRule() const
    {12, 1005, 0, 0, Smoke::mf_const, 475, 9},	//144 DOM::CSSRule::isNull() const
    {12, 543, 56, 2, Smoke::mf_protected, 0, 10},	//145 DOM::CSSRule::assignOther(const DOM::CSSRule&, DOM::CSSRule::RuleType)
    {12, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 11},	//146 DOM::CSSRule::UNKNOWN_RULE (enum)
    {12, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 12},	//147 DOM::CSSRule::STYLE_RULE (enum)
    {12, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 13},	//148 DOM::CSSRule::CHARSET_RULE (enum)
    {12, 290, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 14},	//149 DOM::CSSRule::IMPORT_RULE (enum)
    {12, 356, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 15},	//150 DOM::CSSRule::MEDIA_RULE (enum)
    {12, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 16},	//151 DOM::CSSRule::FONT_FACE_RULE (enum)
    {12, 405, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 17},	//152 DOM::CSSRule::PAGE_RULE (enum)
    {12, 381, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 18},	//153 DOM::CSSRule::NAMESPACE_RULE (enum)
    {12, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 19},	//154 DOM::CSSRule::QUIRKS_RULE (enum)
    {12, 1911, 0, 0, Smoke::mf_dtor, 0, 20 },	//155 DOM::CSSRule::~CSSRule()
    {13, 37, 0, 0, Smoke::mf_ctor, 33, 1},	//156 DOM::CSSRuleList::CSSRuleList()
    {13, 37, 59, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 33, 2},	//157 DOM::CSSRuleList::CSSRuleList(const DOM::CSSRuleList&)
    {13, 1148, 59, 1, 0, 32, 3},	//158 DOM::CSSRuleList::operator=(const DOM::CSSRuleList&)
    {13, 1063, 0, 0, Smoke::mf_const, 647, 4},	//159 DOM::CSSRuleList::length() const
    {13, 1015, 42, 1, 0, 27, 5},	//160 DOM::CSSRuleList::item(unsigned long)
    {13, 1005, 0, 0, Smoke::mf_const, 475, 6},	//161 DOM::CSSRuleList::isNull() const
    {13, 1912, 0, 0, Smoke::mf_dtor, 0, 7 },	//162 DOM::CSSRuleList::~CSSRuleList()
    {14, 39, 0, 0, Smoke::mf_ctor, 36, 1},	//163 DOM::CSSStyleDeclaration::CSSStyleDeclaration()
    {14, 39, 61, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 36, 2},	//164 DOM::CSSStyleDeclaration::CSSStyleDeclaration(const DOM::CSSStyleDeclaration&)
    {14, 1148, 61, 1, 0, 35, 3},	//165 DOM::CSSStyleDeclaration::operator=(const DOM::CSSStyleDeclaration&)
    {14, 697, 0, 0, Smoke::mf_const, 65, 4},	//166 DOM::CSSStyleDeclaration::cssText() const
    {14, 1426, 19, 1, 0, 0, 5},	//167 DOM::CSSStyleDeclaration::setCssText(const DOM::DOMString&)
    {14, 1063, 0, 0, Smoke::mf_const, 647, 6},	//168 DOM::CSSStyleDeclaration::length() const
    {14, 1175, 0, 0, Smoke::mf_const, 27, 7},	//169 DOM::CSSStyleDeclaration::parentRule() const
    {14, 885, 19, 1, Smoke::mf_const, 65, 8},	//170 DOM::CSSStyleDeclaration::getPropertyValue(const DOM::DOMString&) const
    {14, 881, 19, 1, Smoke::mf_const, 44, 9},	//171 DOM::CSSStyleDeclaration::getPropertyCSSValue(const DOM::DOMString&) const
    {14, 1255, 19, 1, 0, 65, 10},	//172 DOM::CSSStyleDeclaration::removeProperty(const DOM::DOMString&)
    {14, 883, 19, 1, Smoke::mf_const, 65, 11},	//173 DOM::CSSStyleDeclaration::getPropertyPriority(const DOM::DOMString&) const
    {14, 1597, 63, 3, 0, 0, 12},	//174 DOM::CSSStyleDeclaration::setProperty(const DOM::DOMString&, const DOM::DOMString&, const DOM::DOMString&)
    {14, 1015, 42, 1, Smoke::mf_const, 65, 13},	//175 DOM::CSSStyleDeclaration::item(unsigned long) const
    {14, 1015, 42, 1, 0, 65, 14},	//176 DOM::CSSStyleDeclaration::item(unsigned long)
    {14, 1005, 0, 0, Smoke::mf_const, 475, 15},	//177 DOM::CSSStyleDeclaration::isNull() const
    {14, 1913, 0, 0, Smoke::mf_dtor, 0, 16 },	//178 DOM::CSSStyleDeclaration::~CSSStyleDeclaration()
    {15, 41, 0, 0, Smoke::mf_ctor, 38, 1},	//179 DOM::CSSStyleRule::CSSStyleRule()
    {15, 41, 67, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 38, 2},	//180 DOM::CSSStyleRule::CSSStyleRule(const DOM::CSSStyleRule&)
    {15, 41, 25, 1, Smoke::mf_ctor, 38, 3},	//181 DOM::CSSStyleRule::CSSStyleRule(const DOM::CSSRule&)
    {15, 1148, 67, 1, 0, 37, 4},	//182 DOM::CSSStyleRule::operator=(const DOM::CSSStyleRule&)
    {15, 1148, 25, 1, 0, 37, 5},	//183 DOM::CSSStyleRule::operator=(const DOM::CSSRule&)
    {15, 1318, 0, 0, Smoke::mf_const, 65, 6},	//184 DOM::CSSStyleRule::selectorText() const
    {15, 1637, 19, 1, 0, 0, 7},	//185 DOM::CSSStyleRule::setSelectorText(const DOM::DOMString&)
    {15, 1779, 0, 0, Smoke::mf_const, 34, 8},	//186 DOM::CSSStyleRule::style() const
    {15, 1914, 0, 0, Smoke::mf_dtor, 0, 9 },	//187 DOM::CSSStyleRule::~CSSStyleRule()
    {16, 43, 0, 0, Smoke::mf_ctor, 41, 1},	//188 DOM::CSSStyleSheet::CSSStyleSheet()
    {16, 43, 69, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 41, 2},	//189 DOM::CSSStyleSheet::CSSStyleSheet(const DOM::CSSStyleSheet&)
    {16, 43, 71, 1, Smoke::mf_ctor, 41, 3},	//190 DOM::CSSStyleSheet::CSSStyleSheet(const DOM::StyleSheet&)
    {16, 1148, 69, 1, 0, 40, 4},	//191 DOM::CSSStyleSheet::operator=(const DOM::CSSStyleSheet&)
    {16, 1148, 71, 1, 0, 40, 5},	//192 DOM::CSSStyleSheet::operator=(const DOM::StyleSheet&)
    {16, 1160, 0, 0, Smoke::mf_const, 27, 6},	//193 DOM::CSSStyleSheet::ownerRule() const
    {16, 696, 0, 0, Smoke::mf_const, 31, 7},	//194 DOM::CSSStyleSheet::cssRules() const
    {16, 969, 39, 2, 0, 647, 8},	//195 DOM::CSSStyleSheet::insertRule(const DOM::DOMString&, unsigned long)
    {16, 727, 42, 1, 0, 0, 9},	//196 DOM::CSSStyleSheet::deleteRule(unsigned long)
    {16, 590, 0, 0, Smoke::mf_const, 65, 10},	//197 DOM::CSSStyleSheet::charset() const
    {16, 1915, 0, 0, Smoke::mf_dtor, 0, 11 },	//198 DOM::CSSStyleSheet::~CSSStyleSheet()
    {17, 45, 0, 0, Smoke::mf_ctor, 43, 1},	//199 DOM::CSSUnknownRule::CSSUnknownRule()
    {17, 45, 73, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 43, 2},	//200 DOM::CSSUnknownRule::CSSUnknownRule(const DOM::CSSUnknownRule&)
    {17, 45, 25, 1, Smoke::mf_ctor, 43, 3},	//201 DOM::CSSUnknownRule::CSSUnknownRule(const DOM::CSSRule&)
    {17, 1148, 73, 1, 0, 42, 4},	//202 DOM::CSSUnknownRule::operator=(const DOM::CSSUnknownRule&)
    {17, 1148, 25, 1, 0, 42, 5},	//203 DOM::CSSUnknownRule::operator=(const DOM::CSSRule&)
    {17, 1916, 0, 0, Smoke::mf_dtor, 0, 6 },	//204 DOM::CSSUnknownRule::~CSSUnknownRule()
    {18, 47, 0, 0, Smoke::mf_ctor, 46, 1},	//205 DOM::CSSValue::CSSValue()
    {18, 47, 48, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 46, 2},	//206 DOM::CSSValue::CSSValue(const DOM::CSSValue&)
    {18, 1148, 48, 1, 0, 45, 3},	//207 DOM::CSSValue::operator=(const DOM::CSSValue&)
    {18, 697, 0, 0, Smoke::mf_const, 65, 4},	//208 DOM::CSSValue::cssText() const
    {18, 1426, 19, 1, 0, 0, 5},	//209 DOM::CSSValue::setCssText(const DOM::DOMString&)
    {18, 698, 0, 0, Smoke::mf_const, 649, 6},	//210 DOM::CSSValue::cssValueType() const
    {18, 981, 0, 0, Smoke::mf_const, 475, 7},	//211 DOM::CSSValue::isCSSValueList() const
    {18, 979, 0, 0, Smoke::mf_const, 475, 8},	//212 DOM::CSSValue::isCSSPrimitiveValue() const
    {18, 1005, 0, 0, Smoke::mf_const, 475, 9},	//213 DOM::CSSValue::isNull() const
    {18, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 10},	//214 DOM::CSSValue::CSS_INHERIT (enum)
    {18, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 11},	//215 DOM::CSSValue::CSS_PRIMITIVE_VALUE (enum)
    {18, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 12},	//216 DOM::CSSValue::CSS_VALUE_LIST (enum)
    {18, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 13},	//217 DOM::CSSValue::CSS_CUSTOM (enum)
    {18, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 14},	//218 DOM::CSSValue::CSS_INITIAL (enum)
    {18, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 15},	//219 DOM::CSSValue::CSS_SVG_VALUE (enum)
    {18, 1917, 0, 0, Smoke::mf_dtor, 0, 16 },	//220 DOM::CSSValue::~CSSValue()
    {19, 49, 0, 0, Smoke::mf_ctor, 49, 1},	//221 DOM::CSSValueList::CSSValueList()
    {19, 49, 75, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 49, 2},	//222 DOM::CSSValueList::CSSValueList(const DOM::CSSValueList&)
    {19, 49, 48, 1, Smoke::mf_ctor, 49, 3},	//223 DOM::CSSValueList::CSSValueList(const DOM::CSSValue&)
    {19, 1148, 75, 1, 0, 48, 4},	//224 DOM::CSSValueList::operator=(const DOM::CSSValueList&)
    {19, 1148, 48, 1, 0, 48, 5},	//225 DOM::CSSValueList::operator=(const DOM::CSSValue&)
    {19, 1063, 0, 0, Smoke::mf_const, 647, 6},	//226 DOM::CSSValueList::length() const
    {19, 1015, 42, 1, 0, 44, 7},	//227 DOM::CSSValueList::item(unsigned long)
    {19, 1918, 0, 0, Smoke::mf_dtor, 0, 8 },	//228 DOM::CSSValueList::~CSSValueList()
    {20, 92, 0, 0, Smoke::mf_ctor, 51, 1},	//229 DOM::CharacterData::CharacterData()
    {20, 92, 77, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 51, 2},	//230 DOM::CharacterData::CharacterData(const DOM::CharacterData&)
    {20, 92, 15, 1, Smoke::mf_ctor, 51, 3},	//231 DOM::CharacterData::CharacterData(const DOM::Node&)
    {20, 1148, 15, 1, 0, 50, 4},	//232 DOM::CharacterData::operator=(const DOM::Node&)
    {20, 1148, 77, 1, 0, 50, 5},	//233 DOM::CharacterData::operator=(const DOM::CharacterData&)
    {20, 708, 0, 0, Smoke::mf_const, 65, 6},	//234 DOM::CharacterData::data() const
    {20, 1437, 19, 1, 0, 0, 7},	//235 DOM::CharacterData::setData(const DOM::DOMString&)
    {20, 1063, 0, 0, Smoke::mf_const, 647, 8},	//236 DOM::CharacterData::length() const
    {20, 1791, 79, 2, 0, 65, 9},	//237 DOM::CharacterData::substringData(const unsigned long, const unsigned long)
    {20, 535, 19, 1, 0, 0, 10},	//238 DOM::CharacterData::appendData(const DOM::DOMString&)
    {20, 963, 82, 2, 0, 0, 11},	//239 DOM::CharacterData::insertData(const unsigned long, const DOM::DOMString&)
    {20, 720, 79, 2, 0, 0, 12},	//240 DOM::CharacterData::deleteData(const unsigned long, const unsigned long)
    {20, 1265, 85, 3, 0, 0, 13},	//241 DOM::CharacterData::replaceData(const unsigned long, const unsigned long, const DOM::DOMString&)
    {20, 1919, 0, 0, Smoke::mf_dtor, 0, 14 },	//242 DOM::CharacterData::~CharacterData()
    {21, 94, 0, 0, Smoke::mf_ctor, 54, 1},	//243 DOM::Comment::Comment()
    {21, 94, 89, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 54, 2},	//244 DOM::Comment::Comment(const DOM::Comment&)
    {21, 94, 15, 1, Smoke::mf_ctor, 54, 3},	//245 DOM::Comment::Comment(const DOM::Node&)
    {21, 1148, 15, 1, 0, 53, 4},	//246 DOM::Comment::operator=(const DOM::Node&)
    {21, 1148, 89, 1, 0, 53, 5},	//247 DOM::Comment::operator=(const DOM::Comment&)
    {21, 1920, 0, 0, Smoke::mf_dtor, 0, 6 },	//248 DOM::Comment::~Comment()
    {22, 96, 0, 0, Smoke::mf_ctor, 57, 1},	//249 DOM::Counter::Counter()
    {22, 96, 91, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 57, 2},	//250 DOM::Counter::Counter(const DOM::Counter&)
    {22, 1148, 91, 1, 0, 56, 3},	//251 DOM::Counter::operator=(const DOM::Counter&)
    {22, 928, 0, 0, Smoke::mf_const, 65, 4},	//252 DOM::Counter::identifier() const
    {22, 1067, 0, 0, Smoke::mf_const, 65, 5},	//253 DOM::Counter::listStyle() const
    {22, 1319, 0, 0, Smoke::mf_const, 65, 6},	//254 DOM::Counter::separator() const
    {22, 1005, 0, 0, Smoke::mf_const, 475, 7},	//255 DOM::Counter::isNull() const
    {22, 1921, 0, 0, Smoke::mf_dtor, 0, 8 },	//256 DOM::Counter::~Counter()
    {23, 98, 0, 0, Smoke::mf_ctor, 58, 1},	//257 DOM::CustomNodeFilter::CustomNodeFilter()
    {23, 502, 15, 1, Smoke::mf_virtual, 645, 2},	//258 DOM::CustomNodeFilter::acceptNode(const DOM::Node&)
    {23, 1005, 0, 0, Smoke::mf_virtual, 475, 3},	//259 DOM::CustomNodeFilter::isNull()
    {23, 707, 0, 0, Smoke::mf_virtual, 65, 4},	//260 DOM::CustomNodeFilter::customNodeFilterType()
    {23, 98, 93, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 58, 5},	//261 DOM::CustomNodeFilter::CustomNodeFilter(const DOM::CustomNodeFilter&)
    {23, 1922, 0, 0, Smoke::mf_dtor, 0, 6 },	//262 DOM::CustomNodeFilter::~CustomNodeFilter()
    {24, 113, 27, 1, Smoke::mf_ctor, 60, 1},	//263 DOM::DOMException::DOMException(unsigned short)
    {24, 113, 95, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 60, 2},	//264 DOM::DOMException::DOMException(const DOM::DOMException&)
    {24, 1148, 95, 1, 0, 59, 3},	//265 DOM::DOMException::operator=(const DOM::DOMException&)
    {24, 617, 0, 0, Smoke::mf_const, 65, 4},	//266 DOM::DOMException::codeAsString() const
    {24, 617, 31, 1, Smoke::mf_static, 65, 5},	//267 DOM::DOMException::codeAsString(int)
    {24, 984, 31, 1, Smoke::mf_static, 475, 6},	//268 DOM::DOMException::isDOMExceptionCode(int)
    {24, 616, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 649, 7},	//269 DOM::DOMException::code() const
    {24, 1399, 27, 1, Smoke::mf_attribute, 0, 8},	//270 DOM::DOMException::setCode(unsigned short)
    {24, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 9},	//271 DOM::DOMException::INDEX_SIZE_ERR (enum)
    {24, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 10},	//272 DOM::DOMException::DOMSTRING_SIZE_ERR (enum)
    {24, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 11},	//273 DOM::DOMException::HIERARCHY_REQUEST_ERR (enum)
    {24, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 12},	//274 DOM::DOMException::WRONG_DOCUMENT_ERR (enum)
    {24, 294, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 13},	//275 DOM::DOMException::INVALID_CHARACTER_ERR (enum)
    {24, 387, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 14},	//276 DOM::DOMException::NO_DATA_ALLOWED_ERR (enum)
    {24, 388, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 15},	//277 DOM::DOMException::NO_MODIFICATION_ALLOWED_ERR (enum)
    {24, 384, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 16},	//278 DOM::DOMException::NOT_FOUND_ERR (enum)
    {24, 386, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 17},	//279 DOM::DOMException::NOT_SUPPORTED_ERR (enum)
    {24, 292, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 18},	//280 DOM::DOMException::INUSE_ATTRIBUTE_ERR (enum)
    {24, 297, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 19},	//281 DOM::DOMException::INVALID_STATE_ERR (enum)
    {24, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 20},	//282 DOM::DOMException::SYNTAX_ERR (enum)
    {24, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 21},	//283 DOM::DOMException::INVALID_MODIFICATION_ERR (enum)
    {24, 380, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 22},	//284 DOM::DOMException::NAMESPACE_ERR (enum)
    {24, 293, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 23},	//285 DOM::DOMException::INVALID_ACCESS_ERR (enum)
    {24, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 24},	//286 DOM::DOMException::VALIDATION_ERR (enum)
    {24, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 25},	//287 DOM::DOMException::TYPE_MISMATCH_ERR (enum)
    {24, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 26},	//288 DOM::DOMException::SECURITY_ERR (enum)
    {24, 382, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 27},	//289 DOM::DOMException::NETWORK_ERR (enum)
    {24, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 28},	//290 DOM::DOMException::ABORT_ERR (enum)
    {24, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 29},	//291 DOM::DOMException::URL_MISMATCH_ERR (enum)
    {24, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 30},	//292 DOM::DOMException::QUOTA_EXCEEDED_ERR (enum)
    {24, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 31},	//293 DOM::DOMException::TIMEOUT_ERR (enum)
    {24, 385, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 32},	//294 DOM::DOMException::NOT_READABLE_ERR (enum)
    {24, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 33},	//295 DOM::DOMException::DATA_CLONE_ERR (enum)
    {24, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 34},	//296 DOM::DOMException::ENCODING_ERR (enum)
    {24, 1923, 0, 0, Smoke::mf_dtor, 0, 35 },	//297 DOM::DOMException::~DOMException()
    {25, 116, 0, 0, Smoke::mf_ctor, 64, 1},	//298 DOM::DOMImplementation::DOMImplementation()
    {25, 116, 97, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 64, 2},	//299 DOM::DOMImplementation::DOMImplementation(const DOM::DOMImplementation&)
    {25, 1148, 97, 1, 0, 63, 3},	//300 DOM::DOMImplementation::operator=(const DOM::DOMImplementation&)
    {25, 906, 4, 2, 0, 475, 4},	//301 DOM::DOMImplementation::hasFeature(const DOM::DOMString&, const DOM::DOMString&)
    {25, 671, 63, 3, 0, 76, 5},	//302 DOM::DOMImplementation::createDocumentType(const DOM::DOMString&, const DOM::DOMString&, const DOM::DOMString&)
    {25, 668, 99, 3, 0, 68, 6},	//303 DOM::DOMImplementation::createDocument(const DOM::DOMString&, const DOM::DOMString&, const DOM::DocumentType&)
    {25, 871, 19, 1, Smoke::mf_const, 62, 7},	//304 DOM::DOMImplementation::getInterface(const DOM::DOMString&) const
    {25, 659, 4, 2, 0, 39, 8},	//305 DOM::DOMImplementation::createCSSStyleSheet(const DOM::DOMString&, const DOM::DOMString&)
    {25, 681, 19, 1, 0, 124, 9},	//306 DOM::DOMImplementation::createHTMLDocument(const DOM::DOMString&)
    {25, 1005, 0, 0, Smoke::mf_const, 475, 10},	//307 DOM::DOMImplementation::isNull() const
    {25, 1924, 0, 0, Smoke::mf_dtor, 0, 11 },	//308 DOM::DOMImplementation::~DOMImplementation()
    {26, 119, 0, 0, Smoke::mf_ctor, 67, 1},	//309 DOM::DOMString::DOMString()
    {26, 119, 103, 2, Smoke::mf_ctor, 67, 2},	//310 DOM::DOMString::DOMString(const QChar*, unsigned int)
    {26, 119, 106, 1, Smoke::mf_ctor, 67, 3},	//311 DOM::DOMString::DOMString(const QString&)
    {26, 119, 108, 1, Smoke::mf_ctor, 67, 4},	//312 DOM::DOMString::DOMString(const char*)
    {26, 119, 110, 2, Smoke::mf_ctor, 67, 5},	//313 DOM::DOMString::DOMString(const char*, unsigned int)
    {26, 119, 19, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 67, 6},	//314 DOM::DOMString::DOMString(const DOM::DOMString&)
    {26, 1148, 19, 1, 0, 66, 7},	//315 DOM::DOMString::operator=(const DOM::DOMString&)
    {26, 1146, 19, 1, 0, 66, 8},	//316 DOM::DOMString::operator+=(const DOM::DOMString&)
    {26, 1144, 19, 1, 0, 65, 9},	//317 DOM::DOMString::operator+(const DOM::DOMString&)
    {26, 957, 113, 2, 0, 0, 10},	//318 DOM::DOMString::insert(DOM::DOMString, unsigned int)
    {26, 1154, 116, 1, Smoke::mf_const, 604, 11},	//319 DOM::DOMString::operator[](unsigned int) const
    {26, 795, 118, 2, Smoke::mf_const, 634, 12},	//320 DOM::DOMString::find(const QChar, int) const
    {26, 1276, 118, 2, Smoke::mf_const, 634, 13},	//321 DOM::DOMString::reverseFind(const QChar, int) const
    {26, 1788, 121, 2, Smoke::mf_const, 65, 14},	//322 DOM::DOMString::substring(unsigned int, unsigned int) const
    {26, 1063, 0, 0, Smoke::mf_const, 646, 15},	//323 DOM::DOMString::length() const
    {26, 1831, 116, 1, 0, 0, 16},	//324 DOM::DOMString::truncate(unsigned int)
    {26, 1236, 124, 2, 0, 0, 17},	//325 DOM::DOMString::remove(unsigned int, int)
    {26, 1750, 116, 1, 0, 65, 18},	//326 DOM::DOMString::split(unsigned int)
    {26, 1075, 0, 0, Smoke::mf_const, 65, 19},	//327 DOM::DOMString::lower() const
    {26, 1842, 0, 0, Smoke::mf_const, 65, 20},	//328 DOM::DOMString::upper() const
    {26, 1836, 0, 0, Smoke::mf_const, 337, 21},	//329 DOM::DOMString::unicode() const
    {26, 589, 0, 0, Smoke::mf_const, 337, 22},	//330 DOM::DOMString::characters() const
    {26, 1778, 0, 0, Smoke::mf_const, 370, 23},	//331 DOM::DOMString::string() const
    {26, 1817, 0, 0, Smoke::mf_const, 634, 24},	//332 DOM::DOMString::toInt() const
    {26, 1817, 127, 1, Smoke::mf_const, 634, 25},	//333 DOM::DOMString::toInt(bool*) const
    {26, 1814, 127, 1, Smoke::mf_const, 633, 26},	//334 DOM::DOMString::toFloat(bool*) const
    {26, 1182, 129, 1, Smoke::mf_const, 475, 27},	//335 DOM::DOMString::percentage(int&) const
    {26, 1129, 131, 1, Smoke::mf_static, 65, 28},	//336 DOM::DOMString::number(float)
    {26, 652, 0, 0, Smoke::mf_const, 65, 29},	//337 DOM::DOMString::copy() const
    {26, 1005, 0, 0, Smoke::mf_const, 475, 30},	//338 DOM::DOMString::isNull() const
    {26, 988, 0, 0, Smoke::mf_const, 475, 31},	//339 DOM::DOMString::isEmpty() const
    {26, 773, 19, 1, Smoke::mf_const, 475, 32},	//340 DOM::DOMString::endsWith(const DOM::DOMString&) const
    {26, 1763, 19, 1, Smoke::mf_const, 475, 33},	//341 DOM::DOMString::startsWith(const DOM::DOMString&) const
    {26, 1177, 0, 0, Smoke::mf_const, 65, 34},	//342 DOM::DOMString::parsedUrl() const
    {26, 1830, 0, 0, Smoke::mf_const, 65, 35},	//343 DOM::DOMString::trimSpaces() const
    {26, 795, 133, 1, Smoke::mf_const, 634, 36},	//344 DOM::DOMString::find(const QChar) const
    {26, 1276, 133, 1, Smoke::mf_const, 634, 37},	//345 DOM::DOMString::reverseFind(const QChar) const
    {26, 1788, 116, 1, Smoke::mf_const, 65, 38},	//346 DOM::DOMString::substring(unsigned int) const
    {26, 1236, 116, 1, 0, 0, 39},	//347 DOM::DOMString::remove(unsigned int)
    {26, 1814, 0, 0, Smoke::mf_const, 633, 40},	//348 DOM::DOMString::toFloat() const
    {26, 1925, 0, 0, Smoke::mf_dtor, 0, 41 },	//349 DOM::DOMString::~DOMString()
    {27, 130, 0, 0, Smoke::mf_ctor, 70, 1},	//350 DOM::Document::Document()
    {27, 130, 135, 1, Smoke::mf_ctor, 70, 2},	//351 DOM::Document::Document(bool)
    {27, 130, 137, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 70, 3},	//352 DOM::Document::Document(const DOM::Document&)
    {27, 130, 15, 1, Smoke::mf_ctor, 70, 4},	//353 DOM::Document::Document(const DOM::Node&)
    {27, 1148, 15, 1, 0, 69, 5},	//354 DOM::Document::operator=(const DOM::Node&)
    {27, 1148, 137, 1, 0, 69, 6},	//355 DOM::Document::operator=(const DOM::Document&)
    {27, 751, 0, 0, Smoke::mf_const, 76, 7},	//356 DOM::Document::doctype() const
    {27, 931, 0, 0, Smoke::mf_const, 62, 8},	//357 DOM::Document::implementation() const
    {27, 753, 0, 0, Smoke::mf_const, 81, 9},	//358 DOM::Document::documentElement() const
    {27, 673, 19, 1, 0, 81, 10},	//359 DOM::Document::createElement(const DOM::DOMString&)
    {27, 675, 4, 2, 0, 81, 11},	//360 DOM::Document::createElementNS(const DOM::DOMString&, const DOM::DOMString&)
    {27, 670, 0, 0, 0, 71, 12},	//361 DOM::Document::createDocumentFragment()
    {27, 692, 19, 1, 0, 274, 13},	//362 DOM::Document::createTextNode(const DOM::DOMString&)
    {27, 662, 19, 1, 0, 52, 14},	//363 DOM::Document::createComment(const DOM::DOMString&)
    {27, 657, 19, 1, 0, 7, 15},	//364 DOM::Document::createCDATASection(const DOM::DOMString&)
    {27, 687, 4, 2, 0, 252, 16},	//365 DOM::Document::createProcessingInstruction(const DOM::DOMString&, const DOM::DOMString&)
    {27, 653, 19, 1, 0, 4, 17},	//366 DOM::Document::createAttribute(const DOM::DOMString&)
    {27, 655, 4, 2, 0, 4, 18},	//367 DOM::Document::createAttributeNS(const DOM::DOMString&, const DOM::DOMString&)
    {27, 677, 19, 1, 0, 86, 19},	//368 DOM::Document::createEntityReference(const DOM::DOMString&)
    {27, 858, 19, 1, Smoke::mf_const, 81, 20},	//369 DOM::Document::getElementById(const DOM::DOMString&) const
    {27, 864, 19, 1, 0, 247, 21},	//370 DOM::Document::getElementsByTagName(const DOM::DOMString&)
    {27, 866, 4, 2, 0, 247, 22},	//371 DOM::Document::getElementsByTagNameNS(const DOM::DOMString&, const DOM::DOMString&)
    {27, 860, 19, 1, 0, 247, 23},	//372 DOM::Document::getElementsByClassName(const DOM::DOMString&)
    {27, 932, 139, 2, 0, 234, 24},	//373 DOM::Document::importNode(const DOM::Node&, bool)
    {27, 992, 0, 0, Smoke::mf_const, 475, 25},	//374 DOM::Document::isHTMLDocument() const
    {27, 689, 0, 0, 0, 258, 26},	//375 DOM::Document::createRange()
    {27, 683, 142, 4, 0, 244, 27},	//376 DOM::Document::createNodeIterator(DOM::Node, unsigned long, DOM::NodeFilter, bool)
    {27, 694, 142, 4, 0, 279, 28},	//377 DOM::Document::createTreeWalker(DOM::Node, unsigned long, DOM::NodeFilter, bool)
    {27, 679, 19, 1, 0, 89, 29},	//378 DOM::Document::createEvent(const DOM::DOMString&)
    {27, 714, 0, 0, Smoke::mf_const, 1, 30},	//379 DOM::Document::defaultView() const
    {27, 1782, 0, 0, Smoke::mf_const, 271, 31},	//380 DOM::Document::styleSheets() const
    {27, 1189, 0, 0, 0, 65, 32},	//381 DOM::Document::preferredStylesheetSet()
    {27, 1310, 0, 0, 0, 65, 33},	//382 DOM::Document::selectedStylesheetSet()
    {27, 1627, 19, 1, 0, 0, 34},	//383 DOM::Document::setSelectedStylesheetSet(const DOM::DOMString&)
    {27, 523, 71, 1, 0, 0, 35},	//384 DOM::Document::addStyleSheet(const DOM::StyleSheet&)
    {27, 1257, 71, 1, 0, 0, 36},	//385 DOM::Document::removeStyleSheet(const DOM::StyleSheet&)
    {27, 1857, 0, 0, Smoke::mf_const, 310, 37},	//386 DOM::Document::view() const
    {27, 879, 12, 2, 0, 34, 38},	//387 DOM::Document::getOverrideStyle(const DOM::Element&, const DOM::DOMString&)
    {27, 545, 0, 0, Smoke::mf_const, 475, 39},	//388 DOM::Document::async() const
    {27, 1343, 135, 1, 0, 0, 40},	//389 DOM::Document::setAsync(bool)
    {27, 497, 0, 0, 0, 0, 41},	//390 DOM::Document::abort()
    {27, 1068, 19, 1, 0, 0, 42},	//391 DOM::Document::load(const DOM::DOMString&)
    {27, 1070, 19, 1, 0, 0, 43},	//392 DOM::Document::loadXML(const DOM::DOMString&)
    {27, 1222, 19, 1, Smoke::mf_const, 81, 44},	//393 DOM::Document::querySelector(const DOM::DOMString&) const
    {27, 1224, 19, 1, Smoke::mf_const, 247, 45},	//394 DOM::Document::querySelectorAll(const DOM::DOMString&) const
    {27, 732, 0, 0, Smoke::mf_const, 475, 46},	//395 DOM::Document::designMode() const
    {27, 1451, 135, 1, 0, 0, 47},	//396 DOM::Document::setDesignMode(bool)
    {27, 633, 19, 1, 0, 65, 48},	//397 DOM::Document::completeURL(const DOM::DOMString&)
    {27, 1819, 0, 0, Smoke::mf_const, 65, 49},	//398 DOM::Document::toString() const
    {27, 784, 147, 3, 0, 475, 50},	//399 DOM::Document::execCommand(const DOM::DOMString&, bool, const DOM::DOMString&)
    {27, 1212, 19, 1, 0, 475, 51},	//400 DOM::Document::queryCommandEnabled(const DOM::DOMString&)
    {27, 1214, 19, 1, 0, 475, 52},	//401 DOM::Document::queryCommandIndeterm(const DOM::DOMString&)
    {27, 1216, 19, 1, 0, 475, 53},	//402 DOM::Document::queryCommandState(const DOM::DOMString&)
    {27, 1218, 19, 1, 0, 475, 54},	//403 DOM::Document::queryCommandSupported(const DOM::DOMString&)
    {27, 1220, 19, 1, 0, 65, 55},	//404 DOM::Document::queryCommandValue(const DOM::DOMString&)
    {27, 1840, 0, 0, 0, 0, 56},	//405 DOM::Document::updateRendering()
    {27, 1926, 0, 0, Smoke::mf_dtor, 0, 57 },	//406 DOM::Document::~Document()
    {28, 133, 0, 0, Smoke::mf_ctor, 73, 1},	//407 DOM::DocumentFragment::DocumentFragment()
    {28, 133, 151, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 73, 2},	//408 DOM::DocumentFragment::DocumentFragment(const DOM::DocumentFragment&)
    {28, 133, 15, 1, Smoke::mf_ctor, 73, 3},	//409 DOM::DocumentFragment::DocumentFragment(const DOM::Node&)
    {28, 1148, 15, 1, 0, 72, 4},	//410 DOM::DocumentFragment::operator=(const DOM::Node&)
    {28, 1148, 151, 1, 0, 72, 5},	//411 DOM::DocumentFragment::operator=(const DOM::DocumentFragment&)
    {28, 1222, 19, 1, Smoke::mf_const, 81, 6},	//412 DOM::DocumentFragment::querySelector(const DOM::DOMString&) const
    {28, 1224, 19, 1, Smoke::mf_const, 247, 7},	//413 DOM::DocumentFragment::querySelectorAll(const DOM::DOMString&) const
    {28, 1927, 0, 0, Smoke::mf_dtor, 0, 8 },	//414 DOM::DocumentFragment::~DocumentFragment()
    {29, 135, 0, 0, Smoke::mf_ctor, 75, 1},	//415 DOM::DocumentStyle::DocumentStyle()
    {29, 135, 153, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 75, 2},	//416 DOM::DocumentStyle::DocumentStyle(const DOM::DocumentStyle&)
    {29, 1148, 153, 1, 0, 74, 3},	//417 DOM::DocumentStyle::operator=(const DOM::DocumentStyle&)
    {29, 1148, 137, 1, 0, 74, 4},	//418 DOM::DocumentStyle::operator=(const DOM::Document&)
    {29, 1782, 0, 0, Smoke::mf_const, 271, 5},	//419 DOM::DocumentStyle::styleSheets() const
    {29, 1189, 0, 0, Smoke::mf_const, 65, 6},	//420 DOM::DocumentStyle::preferredStylesheetSet() const
    {29, 1310, 0, 0, Smoke::mf_const, 65, 7},	//421 DOM::DocumentStyle::selectedStylesheetSet() const
    {29, 1627, 19, 1, 0, 0, 8},	//422 DOM::DocumentStyle::setSelectedStylesheetSet(const DOM::DOMString&)
    {29, 1005, 0, 0, Smoke::mf_const, 475, 9},	//423 DOM::DocumentStyle::isNull() const
    {29, 1928, 0, 0, Smoke::mf_dtor, 0, 10 },	//424 DOM::DocumentStyle::~DocumentStyle()
    {30, 137, 0, 0, Smoke::mf_ctor, 78, 1},	//425 DOM::DocumentType::DocumentType()
    {30, 137, 155, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 78, 2},	//426 DOM::DocumentType::DocumentType(const DOM::DocumentType&)
    {30, 137, 15, 1, Smoke::mf_ctor, 78, 3},	//427 DOM::DocumentType::DocumentType(const DOM::Node&)
    {30, 1148, 15, 1, 0, 77, 4},	//428 DOM::DocumentType::operator=(const DOM::Node&)
    {30, 1148, 155, 1, 0, 77, 5},	//429 DOM::DocumentType::operator=(const DOM::DocumentType&)
    {30, 1103, 0, 0, Smoke::mf_const, 65, 6},	//430 DOM::DocumentType::name() const
    {30, 776, 0, 0, Smoke::mf_const, 231, 7},	//431 DOM::DocumentType::entities() const
    {30, 1128, 0, 0, Smoke::mf_const, 231, 8},	//432 DOM::DocumentType::notations() const
    {30, 1206, 0, 0, Smoke::mf_const, 65, 9},	//433 DOM::DocumentType::publicId() const
    {30, 1796, 0, 0, Smoke::mf_const, 65, 10},	//434 DOM::DocumentType::systemId() const
    {30, 971, 0, 0, Smoke::mf_const, 65, 11},	//435 DOM::DocumentType::internalSubset() const
    {30, 1929, 0, 0, Smoke::mf_dtor, 0, 12 },	//436 DOM::DocumentType::~DocumentType()
    {31, 139, 0, 0, Smoke::mf_ctor, 79, 1},	//437 DOM::DomShared::DomShared()
    {31, 722, 0, 0, Smoke::mf_virtual, 475, 2},	//438 DOM::DomShared::deleteMe()
    {31, 1230, 0, 0, 0, 0, 3},	//439 DOM::DomShared::ref()
    {31, 731, 0, 0, 0, 0, 4},	//440 DOM::DomShared::deref()
    {31, 908, 0, 0, Smoke::mf_const, 475, 5},	//441 DOM::DomShared::hasOneRef() const
    {31, 1231, 0, 0, Smoke::mf_const, 646, 6},	//442 DOM::DomShared::refCount() const
    {31, 139, 157, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 79, 7},	//443 DOM::DomShared::DomShared(const DOM::DomShared&)
    {31, 494, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 646, 8},	//444 DOM::DomShared::_ref() const
    {31, 1728, 116, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 9},	//445 DOM::DomShared::set_ref(unsigned int)
    {31, 1930, 0, 0, Smoke::mf_dtor, 0, 10 },	//446 DOM::DomShared::~DomShared()
    {33, 152, 0, 0, Smoke::mf_ctor, 83, 1},	//447 DOM::Element::Element()
    {33, 152, 15, 1, Smoke::mf_ctor, 83, 2},	//448 DOM::Element::Element(const DOM::Node&)
    {33, 152, 159, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 83, 3},	//449 DOM::Element::Element(const DOM::Element&)
    {33, 1148, 15, 1, 0, 82, 4},	//450 DOM::Element::operator=(const DOM::Node&)
    {33, 1148, 159, 1, 0, 82, 5},	//451 DOM::Element::operator=(const DOM::Element&)
    {33, 1802, 0, 0, Smoke::mf_const, 65, 6},	//452 DOM::Element::tagName() const
    {33, 844, 19, 1, 0, 65, 7},	//453 DOM::Element::getAttribute(const DOM::DOMString&)
    {33, 1345, 4, 2, 0, 0, 8},	//454 DOM::Element::setAttribute(const DOM::DOMString&, const DOM::DOMString&)
    {33, 1239, 19, 1, 0, 0, 9},	//455 DOM::Element::removeAttribute(const DOM::DOMString&)
    {33, 848, 19, 1, 0, 4, 10},	//456 DOM::Element::getAttributeNode(const DOM::DOMString&)
    {33, 1349, 17, 1, 0, 4, 11},	//457 DOM::Element::setAttributeNode(const DOM::Attr&)
    {33, 1243, 17, 1, 0, 4, 12},	//458 DOM::Element::removeAttributeNode(const DOM::Attr&)
    {33, 864, 19, 1, 0, 247, 13},	//459 DOM::Element::getElementsByTagName(const DOM::DOMString&)
    {33, 866, 4, 2, 0, 247, 14},	//460 DOM::Element::getElementsByTagNameNS(const DOM::DOMString&, const DOM::DOMString&)
    {33, 860, 19, 1, 0, 247, 15},	//461 DOM::Element::getElementsByClassName(const DOM::DOMString&)
    {33, 846, 4, 2, 0, 65, 16},	//462 DOM::Element::getAttributeNS(const DOM::DOMString&, const DOM::DOMString&)
    {33, 1347, 63, 3, 0, 0, 17},	//463 DOM::Element::setAttributeNS(const DOM::DOMString&, const DOM::DOMString&, const DOM::DOMString&)
    {33, 1241, 4, 2, 0, 0, 18},	//464 DOM::Element::removeAttributeNS(const DOM::DOMString&, const DOM::DOMString&)
    {33, 850, 4, 2, 0, 4, 19},	//465 DOM::Element::getAttributeNodeNS(const DOM::DOMString&, const DOM::DOMString&)
    {33, 1351, 17, 1, 0, 4, 20},	//466 DOM::Element::setAttributeNodeNS(const DOM::Attr&)
    {33, 900, 19, 1, 0, 475, 21},	//467 DOM::Element::hasAttribute(const DOM::DOMString&)
    {33, 902, 4, 2, 0, 475, 22},	//468 DOM::Element::hasAttributeNS(const DOM::DOMString&, const DOM::DOMString&)
    {33, 1779, 0, 0, 0, 34, 23},	//469 DOM::Element::style()
    {33, 816, 0, 0, Smoke::mf_const, 81, 24},	//470 DOM::Element::firstElementChild() const
    {33, 1055, 0, 0, Smoke::mf_const, 81, 25},	//471 DOM::Element::lastElementChild() const
    {33, 1198, 0, 0, Smoke::mf_const, 81, 26},	//472 DOM::Element::previousElementSibling() const
    {33, 1109, 0, 0, Smoke::mf_const, 81, 27},	//473 DOM::Element::nextElementSibling() const
    {33, 592, 0, 0, Smoke::mf_const, 647, 28},	//474 DOM::Element::childElementCount() const
    {33, 1222, 19, 1, Smoke::mf_const, 81, 29},	//475 DOM::Element::querySelector(const DOM::DOMString&) const
    {33, 1224, 19, 1, Smoke::mf_const, 247, 30},	//476 DOM::Element::querySelectorAll(const DOM::DOMString&) const
    {33, 993, 0, 0, Smoke::mf_const, 475, 31},	//477 DOM::Element::isHTMLElement() const
    {33, 830, 0, 0, Smoke::mf_const, 81, 32},	//478 DOM::Element::form() const
    {33, 1045, 19, 1, Smoke::mf_static, 475, 33},	//479 DOM::Element::khtmlValidAttrName(const DOM::DOMString&)
    {33, 1047, 19, 1, Smoke::mf_static, 475, 34},	//480 DOM::Element::khtmlValidPrefix(const DOM::DOMString&)
    {33, 1049, 19, 1, Smoke::mf_static, 475, 35},	//481 DOM::Element::khtmlValidQualifiedName(const DOM::DOMString&)
    {33, 1035, 19, 1, Smoke::mf_static, 475, 36},	//482 DOM::Element::khtmlMalformedQualifiedName(const DOM::DOMString&)
    {33, 1033, 19, 1, Smoke::mf_static, 475, 37},	//483 DOM::Element::khtmlMalformedPrefix(const DOM::DOMString&)
    {33, 1932, 0, 0, Smoke::mf_dtor, 0, 38 },	//484 DOM::Element::~Element()
    {34, 155, 0, 0, Smoke::mf_ctor, 85, 1},	//485 DOM::Entity::Entity()
    {34, 155, 161, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 85, 2},	//486 DOM::Entity::Entity(const DOM::Entity&)
    {34, 155, 15, 1, Smoke::mf_ctor, 85, 3},	//487 DOM::Entity::Entity(const DOM::Node&)
    {34, 1148, 15, 1, 0, 84, 4},	//488 DOM::Entity::operator=(const DOM::Node&)
    {34, 1148, 161, 1, 0, 84, 5},	//489 DOM::Entity::operator=(const DOM::Entity&)
    {34, 1206, 0, 0, Smoke::mf_const, 65, 6},	//490 DOM::Entity::publicId() const
    {34, 1796, 0, 0, Smoke::mf_const, 65, 7},	//491 DOM::Entity::systemId() const
    {34, 1127, 0, 0, Smoke::mf_const, 65, 8},	//492 DOM::Entity::notationName() const
    {34, 1933, 0, 0, Smoke::mf_dtor, 0, 9 },	//493 DOM::Entity::~Entity()
    {35, 157, 0, 0, Smoke::mf_ctor, 88, 1},	//494 DOM::EntityReference::EntityReference()
    {35, 157, 163, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 88, 2},	//495 DOM::EntityReference::EntityReference(const DOM::EntityReference&)
    {35, 157, 15, 1, Smoke::mf_ctor, 88, 3},	//496 DOM::EntityReference::EntityReference(const DOM::Node&)
    {35, 1148, 15, 1, 0, 87, 4},	//497 DOM::EntityReference::operator=(const DOM::Node&)
    {35, 1148, 163, 1, 0, 87, 5},	//498 DOM::EntityReference::operator=(const DOM::EntityReference&)
    {35, 1934, 0, 0, Smoke::mf_dtor, 0, 6 },	//499 DOM::EntityReference::~EntityReference()
    {36, 159, 0, 0, Smoke::mf_ctor, 91, 1},	//500 DOM::Event::Event()
    {36, 159, 165, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 91, 2},	//501 DOM::Event::Event(const DOM::Event&)
    {36, 1148, 165, 1, 0, 90, 3},	//502 DOM::Event::operator=(const DOM::Event&)
    {36, 1833, 0, 0, Smoke::mf_const, 65, 4},	//503 DOM::Event::type() const
    {36, 1803, 0, 0, Smoke::mf_const, 234, 5},	//504 DOM::Event::target() const
    {36, 702, 0, 0, Smoke::mf_const, 234, 6},	//505 DOM::Event::currentTarget() const
    {36, 783, 0, 0, Smoke::mf_const, 649, 7},	//506 DOM::Event::eventPhase() const
    {36, 573, 0, 0, Smoke::mf_const, 475, 8},	//507 DOM::Event::bubbles() const
    {36, 575, 0, 0, Smoke::mf_const, 475, 9},	//508 DOM::Event::cancelable() const
    {36, 1810, 0, 0, Smoke::mf_const, 648, 10},	//509 DOM::Event::timeStamp() const
    {36, 1770, 0, 0, 0, 0, 11},	//510 DOM::Event::stopPropagation()
    {36, 1197, 0, 0, 0, 0, 12},	//511 DOM::Event::preventDefault()
    {36, 940, 167, 3, 0, 0, 13},	//512 DOM::Event::initEvent(const DOM::DOMString&, bool, bool)
    {36, 1005, 0, 0, Smoke::mf_const, 475, 14},	//513 DOM::Event::isNull() const
    {36, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 15},	//514 DOM::Event::CAPTURING_PHASE (enum)
    {36, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 16},	//515 DOM::Event::AT_TARGET (enum)
    {36, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 17},	//516 DOM::Event::BUBBLING_PHASE (enum)
    {36, 1935, 0, 0, Smoke::mf_dtor, 0, 18 },	//517 DOM::Event::~Event()
    {37, 161, 27, 1, Smoke::mf_ctor, 94, 1},	//518 DOM::EventException::EventException(unsigned short)
    {37, 161, 171, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 94, 2},	//519 DOM::EventException::EventException(const DOM::EventException&)
    {37, 1148, 171, 1, 0, 93, 3},	//520 DOM::EventException::operator=(const DOM::EventException&)
    {37, 617, 0, 0, Smoke::mf_const, 65, 4},	//521 DOM::EventException::codeAsString() const
    {37, 617, 31, 1, Smoke::mf_static, 65, 5},	//522 DOM::EventException::codeAsString(int)
    {37, 989, 31, 1, Smoke::mf_static, 475, 6},	//523 DOM::EventException::isEventExceptionCode(int)
    {37, 616, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 649, 7},	//524 DOM::EventException::code() const
    {37, 1399, 27, 1, Smoke::mf_attribute, 0, 8},	//525 DOM::EventException::setCode(unsigned short)
    {37, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 9},	//526 DOM::EventException::UNSPECIFIED_EVENT_TYPE_ERR (enum)
    {37, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 10},	//527 DOM::EventException::_EXCEPTION_OFFSET (enum)
    {37, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 11},	//528 DOM::EventException::_EXCEPTION_MAX (enum)
    {37, 1936, 0, 0, Smoke::mf_dtor, 0, 12 },	//529 DOM::EventException::~EventException()
    {38, 164, 0, 0, Smoke::mf_ctor, 96, 1},	//530 DOM::EventListener::EventListener()
    {38, 898, 173, 1, Smoke::mf_virtual, 0, 2},	//531 DOM::EventListener::handleEvent(DOM::Event&)
    {38, 781, 0, 0, Smoke::mf_virtual, 65, 3},	//532 DOM::EventListener::eventListenerType()
    {38, 164, 175, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 96, 4},	//533 DOM::EventListener::EventListener(const DOM::EventListener&)
    {38, 1937, 0, 0, Smoke::mf_dtor, 0, 5 },	//534 DOM::EventListener::~EventListener()
    {39, 174, 0, 0, Smoke::mf_ctor, 98, 1},	//535 DOM::HTMLAnchorElement::HTMLAnchorElement()
    {39, 174, 177, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 98, 2},	//536 DOM::HTMLAnchorElement::HTMLAnchorElement(const DOM::HTMLAnchorElement&)
    {39, 174, 15, 1, Smoke::mf_ctor, 98, 3},	//537 DOM::HTMLAnchorElement::HTMLAnchorElement(const DOM::Node&)
    {39, 1148, 177, 1, 0, 97, 4},	//538 DOM::HTMLAnchorElement::operator=(const DOM::HTMLAnchorElement&)
    {39, 1148, 15, 1, 0, 97, 5},	//539 DOM::HTMLAnchorElement::operator=(const DOM::Node&)
    {39, 504, 0, 0, Smoke::mf_const, 65, 6},	//540 DOM::HTMLAnchorElement::accessKey() const
    {39, 1329, 19, 1, 0, 0, 7},	//541 DOM::HTMLAnchorElement::setAccessKey(const DOM::DOMString&)
    {39, 590, 0, 0, Smoke::mf_const, 65, 8},	//542 DOM::HTMLAnchorElement::charset() const
    {39, 1389, 19, 1, 0, 0, 9},	//543 DOM::HTMLAnchorElement::setCharset(const DOM::DOMString&)
    {39, 651, 0, 0, Smoke::mf_const, 65, 10},	//544 DOM::HTMLAnchorElement::coords() const
    {39, 1424, 19, 1, 0, 0, 11},	//545 DOM::HTMLAnchorElement::setCoords(const DOM::DOMString&)
    {39, 919, 0, 0, Smoke::mf_const, 65, 12},	//546 DOM::HTMLAnchorElement::href() const
    {39, 1498, 19, 1, 0, 0, 13},	//547 DOM::HTMLAnchorElement::setHref(const DOM::DOMString&)
    {39, 920, 0, 0, Smoke::mf_const, 65, 14},	//548 DOM::HTMLAnchorElement::hreflang() const
    {39, 1500, 19, 1, 0, 0, 15},	//549 DOM::HTMLAnchorElement::setHreflang(const DOM::DOMString&)
    {39, 1103, 0, 0, Smoke::mf_const, 65, 16},	//550 DOM::HTMLAnchorElement::name() const
    {39, 1565, 19, 1, 0, 0, 17},	//551 DOM::HTMLAnchorElement::setName(const DOM::DOMString&)
    {39, 1233, 0, 0, Smoke::mf_const, 65, 18},	//552 DOM::HTMLAnchorElement::rel() const
    {39, 1601, 19, 1, 0, 0, 19},	//553 DOM::HTMLAnchorElement::setRel(const DOM::DOMString&)
    {39, 1275, 0, 0, Smoke::mf_const, 65, 20},	//554 DOM::HTMLAnchorElement::rev() const
    {39, 1603, 19, 1, 0, 0, 21},	//555 DOM::HTMLAnchorElement::setRev(const DOM::DOMString&)
    {39, 1732, 0, 0, Smoke::mf_const, 65, 22},	//556 DOM::HTMLAnchorElement::shape() const
    {39, 1639, 19, 1, 0, 0, 23},	//557 DOM::HTMLAnchorElement::setShape(const DOM::DOMString&)
    {39, 1800, 0, 0, Smoke::mf_const, 643, 24},	//558 DOM::HTMLAnchorElement::tabIndex() const
    {39, 1678, 179, 1, 0, 0, 25},	//559 DOM::HTMLAnchorElement::setTabIndex(long)
    {39, 1803, 0, 0, Smoke::mf_const, 65, 26},	//560 DOM::HTMLAnchorElement::target() const
    {39, 1680, 19, 1, 0, 0, 27},	//561 DOM::HTMLAnchorElement::setTarget(const DOM::DOMString&)
    {39, 1833, 0, 0, Smoke::mf_const, 65, 28},	//562 DOM::HTMLAnchorElement::type() const
    {39, 1690, 19, 1, 0, 0, 29},	//563 DOM::HTMLAnchorElement::setType(const DOM::DOMString&)
    {39, 566, 0, 0, 0, 0, 30},	//564 DOM::HTMLAnchorElement::blur()
    {39, 819, 0, 0, 0, 0, 31},	//565 DOM::HTMLAnchorElement::focus()
    {39, 1938, 0, 0, Smoke::mf_dtor, 0, 32 },	//566 DOM::HTMLAnchorElement::~HTMLAnchorElement()
    {40, 176, 0, 0, Smoke::mf_ctor, 100, 1},	//567 DOM::HTMLAppletElement::HTMLAppletElement()
    {40, 176, 181, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 100, 2},	//568 DOM::HTMLAppletElement::HTMLAppletElement(const DOM::HTMLAppletElement&)
    {40, 176, 15, 1, Smoke::mf_ctor, 100, 3},	//569 DOM::HTMLAppletElement::HTMLAppletElement(const DOM::Node&)
    {40, 1148, 181, 1, 0, 99, 4},	//570 DOM::HTMLAppletElement::operator=(const DOM::HTMLAppletElement&)
    {40, 1148, 15, 1, 0, 99, 5},	//571 DOM::HTMLAppletElement::operator=(const DOM::Node&)
    {40, 527, 0, 0, Smoke::mf_const, 65, 6},	//572 DOM::HTMLAppletElement::align() const
    {40, 1335, 19, 1, 0, 0, 7},	//573 DOM::HTMLAppletElement::setAlign(const DOM::DOMString&)
    {40, 530, 0, 0, Smoke::mf_const, 65, 8},	//574 DOM::HTMLAppletElement::alt() const
    {40, 1337, 19, 1, 0, 0, 9},	//575 DOM::HTMLAppletElement::setAlt(const DOM::DOMString&)
    {40, 541, 0, 0, Smoke::mf_const, 65, 10},	//576 DOM::HTMLAppletElement::archive() const
    {40, 1341, 19, 1, 0, 0, 11},	//577 DOM::HTMLAppletElement::setArchive(const DOM::DOMString&)
    {40, 616, 0, 0, Smoke::mf_const, 65, 12},	//578 DOM::HTMLAppletElement::code() const
    {40, 1399, 19, 1, 0, 0, 13},	//579 DOM::HTMLAppletElement::setCode(const DOM::DOMString&)
    {40, 619, 0, 0, Smoke::mf_const, 65, 14},	//580 DOM::HTMLAppletElement::codeBase() const
    {40, 1402, 19, 1, 0, 0, 15},	//581 DOM::HTMLAppletElement::setCodeBase(const DOM::DOMString&)
    {40, 911, 0, 0, Smoke::mf_const, 65, 16},	//582 DOM::HTMLAppletElement::height() const
    {40, 1493, 19, 1, 0, 0, 17},	//583 DOM::HTMLAppletElement::setHeight(const DOM::DOMString&)
    {40, 870, 0, 0, Smoke::mf_const, 643, 18},	//584 DOM::HTMLAppletElement::getHspace() const
    {40, 1502, 179, 1, 0, 0, 19},	//585 DOM::HTMLAppletElement::setHspace(long)
    {40, 921, 0, 0, Smoke::mf_const, 65, 20},	//586 DOM::HTMLAppletElement::hspace() const
    {40, 1502, 19, 1, 0, 0, 21},	//587 DOM::HTMLAppletElement::setHspace(const DOM::DOMString&)
    {40, 1103, 0, 0, Smoke::mf_const, 65, 22},	//588 DOM::HTMLAppletElement::name() const
    {40, 1565, 19, 1, 0, 0, 23},	//589 DOM::HTMLAppletElement::setName(const DOM::DOMString&)
    {40, 1131, 0, 0, Smoke::mf_const, 65, 24},	//590 DOM::HTMLAppletElement::object() const
    {40, 1581, 19, 1, 0, 0, 25},	//591 DOM::HTMLAppletElement::setObject(const DOM::DOMString&)
    {40, 892, 0, 0, Smoke::mf_const, 643, 26},	//592 DOM::HTMLAppletElement::getVspace() const
    {40, 1715, 179, 1, 0, 0, 27},	//593 DOM::HTMLAppletElement::setVspace(long)
    {40, 1867, 0, 0, Smoke::mf_const, 65, 28},	//594 DOM::HTMLAppletElement::vspace() const
    {40, 1715, 19, 1, 0, 0, 29},	//595 DOM::HTMLAppletElement::setVspace(const DOM::DOMString&)
    {40, 1875, 0, 0, Smoke::mf_const, 65, 30},	//596 DOM::HTMLAppletElement::width() const
    {40, 1719, 19, 1, 0, 0, 31},	//597 DOM::HTMLAppletElement::setWidth(const DOM::DOMString&)
    {40, 1939, 0, 0, Smoke::mf_dtor, 0, 32 },	//598 DOM::HTMLAppletElement::~HTMLAppletElement()
    {41, 178, 0, 0, Smoke::mf_ctor, 102, 1},	//599 DOM::HTMLAreaElement::HTMLAreaElement()
    {41, 178, 183, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 102, 2},	//600 DOM::HTMLAreaElement::HTMLAreaElement(const DOM::HTMLAreaElement&)
    {41, 178, 15, 1, Smoke::mf_ctor, 102, 3},	//601 DOM::HTMLAreaElement::HTMLAreaElement(const DOM::Node&)
    {41, 1148, 183, 1, 0, 101, 4},	//602 DOM::HTMLAreaElement::operator=(const DOM::HTMLAreaElement&)
    {41, 1148, 15, 1, 0, 101, 5},	//603 DOM::HTMLAreaElement::operator=(const DOM::Node&)
    {41, 504, 0, 0, Smoke::mf_const, 65, 6},	//604 DOM::HTMLAreaElement::accessKey() const
    {41, 1329, 19, 1, 0, 0, 7},	//605 DOM::HTMLAreaElement::setAccessKey(const DOM::DOMString&)
    {41, 530, 0, 0, Smoke::mf_const, 65, 8},	//606 DOM::HTMLAreaElement::alt() const
    {41, 1337, 19, 1, 0, 0, 9},	//607 DOM::HTMLAreaElement::setAlt(const DOM::DOMString&)
    {41, 651, 0, 0, Smoke::mf_const, 65, 10},	//608 DOM::HTMLAreaElement::coords() const
    {41, 1424, 19, 1, 0, 0, 11},	//609 DOM::HTMLAreaElement::setCoords(const DOM::DOMString&)
    {41, 919, 0, 0, Smoke::mf_const, 65, 12},	//610 DOM::HTMLAreaElement::href() const
    {41, 1498, 19, 1, 0, 0, 13},	//611 DOM::HTMLAreaElement::setHref(const DOM::DOMString&)
    {41, 1115, 0, 0, Smoke::mf_const, 475, 14},	//612 DOM::HTMLAreaElement::noHref() const
    {41, 1571, 135, 1, 0, 0, 15},	//613 DOM::HTMLAreaElement::setNoHref(bool)
    {41, 1732, 0, 0, Smoke::mf_const, 65, 16},	//614 DOM::HTMLAreaElement::shape() const
    {41, 1639, 19, 1, 0, 0, 17},	//615 DOM::HTMLAreaElement::setShape(const DOM::DOMString&)
    {41, 1800, 0, 0, Smoke::mf_const, 643, 18},	//616 DOM::HTMLAreaElement::tabIndex() const
    {41, 1678, 179, 1, 0, 0, 19},	//617 DOM::HTMLAreaElement::setTabIndex(long)
    {41, 1803, 0, 0, Smoke::mf_const, 65, 20},	//618 DOM::HTMLAreaElement::target() const
    {41, 1680, 19, 1, 0, 0, 21},	//619 DOM::HTMLAreaElement::setTarget(const DOM::DOMString&)
    {41, 1940, 0, 0, Smoke::mf_dtor, 0, 22 },	//620 DOM::HTMLAreaElement::~HTMLAreaElement()
    {42, 180, 0, 0, Smoke::mf_ctor, 104, 1},	//621 DOM::HTMLBRElement::HTMLBRElement()
    {42, 180, 185, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 104, 2},	//622 DOM::HTMLBRElement::HTMLBRElement(const DOM::HTMLBRElement&)
    {42, 180, 15, 1, Smoke::mf_ctor, 104, 3},	//623 DOM::HTMLBRElement::HTMLBRElement(const DOM::Node&)
    {42, 1148, 185, 1, 0, 103, 4},	//624 DOM::HTMLBRElement::operator=(const DOM::HTMLBRElement&)
    {42, 1148, 15, 1, 0, 103, 5},	//625 DOM::HTMLBRElement::operator=(const DOM::Node&)
    {42, 598, 0, 0, Smoke::mf_const, 65, 6},	//626 DOM::HTMLBRElement::clear() const
    {42, 1397, 19, 1, 0, 0, 7},	//627 DOM::HTMLBRElement::setClear(const DOM::DOMString&)
    {42, 1941, 0, 0, Smoke::mf_dtor, 0, 8 },	//628 DOM::HTMLBRElement::~HTMLBRElement()
    {43, 182, 0, 0, Smoke::mf_ctor, 106, 1},	//629 DOM::HTMLBaseElement::HTMLBaseElement()
    {43, 182, 187, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 106, 2},	//630 DOM::HTMLBaseElement::HTMLBaseElement(const DOM::HTMLBaseElement&)
    {43, 182, 15, 1, Smoke::mf_ctor, 106, 3},	//631 DOM::HTMLBaseElement::HTMLBaseElement(const DOM::Node&)
    {43, 1148, 187, 1, 0, 105, 4},	//632 DOM::HTMLBaseElement::operator=(const DOM::HTMLBaseElement&)
    {43, 1148, 15, 1, 0, 105, 5},	//633 DOM::HTMLBaseElement::operator=(const DOM::Node&)
    {43, 919, 0, 0, Smoke::mf_const, 65, 6},	//634 DOM::HTMLBaseElement::href() const
    {43, 1498, 19, 1, 0, 0, 7},	//635 DOM::HTMLBaseElement::setHref(const DOM::DOMString&)
    {43, 1803, 0, 0, Smoke::mf_const, 65, 8},	//636 DOM::HTMLBaseElement::target() const
    {43, 1680, 19, 1, 0, 0, 9},	//637 DOM::HTMLBaseElement::setTarget(const DOM::DOMString&)
    {43, 1942, 0, 0, Smoke::mf_dtor, 0, 10 },	//638 DOM::HTMLBaseElement::~HTMLBaseElement()
    {44, 184, 0, 0, Smoke::mf_ctor, 108, 1},	//639 DOM::HTMLBaseFontElement::HTMLBaseFontElement()
    {44, 184, 189, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 108, 2},	//640 DOM::HTMLBaseFontElement::HTMLBaseFontElement(const DOM::HTMLBaseFontElement&)
    {44, 184, 15, 1, Smoke::mf_ctor, 108, 3},	//641 DOM::HTMLBaseFontElement::HTMLBaseFontElement(const DOM::Node&)
    {44, 1148, 189, 1, 0, 107, 4},	//642 DOM::HTMLBaseFontElement::operator=(const DOM::HTMLBaseFontElement&)
    {44, 1148, 15, 1, 0, 107, 5},	//643 DOM::HTMLBaseFontElement::operator=(const DOM::Node&)
    {44, 625, 0, 0, Smoke::mf_const, 65, 6},	//644 DOM::HTMLBaseFontElement::color() const
    {44, 1408, 19, 1, 0, 0, 7},	//645 DOM::HTMLBaseFontElement::setColor(const DOM::DOMString&)
    {44, 791, 0, 0, Smoke::mf_const, 65, 8},	//646 DOM::HTMLBaseFontElement::face() const
    {44, 1473, 19, 1, 0, 0, 9},	//647 DOM::HTMLBaseFontElement::setFace(const DOM::DOMString&)
    {44, 890, 0, 0, Smoke::mf_const, 643, 10},	//648 DOM::HTMLBaseFontElement::getSize() const
    {44, 1641, 179, 1, 0, 0, 11},	//649 DOM::HTMLBaseFontElement::setSize(long)
    {44, 1741, 0, 0, Smoke::mf_const, 65, 12},	//650 DOM::HTMLBaseFontElement::size() const
    {44, 1641, 19, 1, 0, 0, 13},	//651 DOM::HTMLBaseFontElement::setSize(const DOM::DOMString&)
    {44, 1943, 0, 0, Smoke::mf_dtor, 0, 14 },	//652 DOM::HTMLBaseFontElement::~HTMLBaseFontElement()
    {45, 186, 0, 0, Smoke::mf_ctor, 110, 1},	//653 DOM::HTMLBlockquoteElement::HTMLBlockquoteElement()
    {45, 186, 191, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 110, 2},	//654 DOM::HTMLBlockquoteElement::HTMLBlockquoteElement(const DOM::HTMLBlockquoteElement&)
    {45, 186, 15, 1, Smoke::mf_ctor, 110, 3},	//655 DOM::HTMLBlockquoteElement::HTMLBlockquoteElement(const DOM::Node&)
    {45, 1148, 191, 1, 0, 109, 4},	//656 DOM::HTMLBlockquoteElement::operator=(const DOM::HTMLBlockquoteElement&)
    {45, 1148, 15, 1, 0, 109, 5},	//657 DOM::HTMLBlockquoteElement::operator=(const DOM::Node&)
    {45, 596, 0, 0, Smoke::mf_const, 65, 6},	//658 DOM::HTMLBlockquoteElement::cite() const
    {45, 1393, 19, 1, 0, 0, 7},	//659 DOM::HTMLBlockquoteElement::setCite(const DOM::DOMString&)
    {45, 1944, 0, 0, Smoke::mf_dtor, 0, 8 },	//660 DOM::HTMLBlockquoteElement::~HTMLBlockquoteElement()
    {46, 188, 0, 0, Smoke::mf_ctor, 112, 1},	//661 DOM::HTMLBodyElement::HTMLBodyElement()
    {46, 188, 193, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 112, 2},	//662 DOM::HTMLBodyElement::HTMLBodyElement(const DOM::HTMLBodyElement&)
    {46, 188, 15, 1, Smoke::mf_ctor, 112, 3},	//663 DOM::HTMLBodyElement::HTMLBodyElement(const DOM::Node&)
    {46, 1148, 193, 1, 0, 111, 4},	//664 DOM::HTMLBodyElement::operator=(const DOM::HTMLBodyElement&)
    {46, 1148, 15, 1, 0, 111, 5},	//665 DOM::HTMLBodyElement::operator=(const DOM::Node&)
    {46, 495, 0, 0, Smoke::mf_const, 65, 6},	//666 DOM::HTMLBodyElement::aLink() const
    {46, 1321, 19, 1, 0, 0, 7},	//667 DOM::HTMLBodyElement::setALink(const DOM::DOMString&)
    {46, 554, 0, 0, Smoke::mf_const, 65, 8},	//668 DOM::HTMLBodyElement::background() const
    {46, 1357, 19, 1, 0, 0, 9},	//669 DOM::HTMLBodyElement::setBackground(const DOM::DOMString&)
    {46, 564, 0, 0, Smoke::mf_const, 65, 10},	//670 DOM::HTMLBodyElement::bgColor() const
    {46, 1359, 19, 1, 0, 0, 11},	//671 DOM::HTMLBodyElement::setBgColor(const DOM::DOMString&)
    {46, 1064, 0, 0, Smoke::mf_const, 65, 12},	//672 DOM::HTMLBodyElement::link() const
    {46, 1539, 19, 1, 0, 0, 13},	//673 DOM::HTMLBodyElement::setLink(const DOM::DOMString&)
    {46, 1806, 0, 0, Smoke::mf_const, 65, 14},	//674 DOM::HTMLBodyElement::text() const
    {46, 1682, 19, 1, 0, 0, 15},	//675 DOM::HTMLBodyElement::setText(const DOM::DOMString&)
    {46, 1852, 0, 0, Smoke::mf_const, 65, 16},	//676 DOM::HTMLBodyElement::vLink() const
    {46, 1701, 19, 1, 0, 0, 17},	//677 DOM::HTMLBodyElement::setVLink(const DOM::DOMString&)
    {46, 1945, 0, 0, Smoke::mf_dtor, 0, 18 },	//678 DOM::HTMLBodyElement::~HTMLBodyElement()
    {47, 190, 0, 0, Smoke::mf_ctor, 114, 1},	//679 DOM::HTMLButtonElement::HTMLButtonElement()
    {47, 190, 195, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 114, 2},	//680 DOM::HTMLButtonElement::HTMLButtonElement(const DOM::HTMLButtonElement&)
    {47, 190, 15, 1, Smoke::mf_ctor, 114, 3},	//681 DOM::HTMLButtonElement::HTMLButtonElement(const DOM::Node&)
    {47, 1148, 195, 1, 0, 113, 4},	//682 DOM::HTMLButtonElement::operator=(const DOM::HTMLButtonElement&)
    {47, 1148, 15, 1, 0, 113, 5},	//683 DOM::HTMLButtonElement::operator=(const DOM::Node&)
    {47, 830, 0, 0, Smoke::mf_const, 135, 6},	//684 DOM::HTMLButtonElement::form() const
    {47, 504, 0, 0, Smoke::mf_const, 65, 7},	//685 DOM::HTMLButtonElement::accessKey() const
    {47, 1329, 19, 1, 0, 0, 8},	//686 DOM::HTMLButtonElement::setAccessKey(const DOM::DOMString&)
    {47, 737, 0, 0, Smoke::mf_const, 475, 9},	//687 DOM::HTMLButtonElement::disabled() const
    {47, 1455, 135, 1, 0, 0, 10},	//688 DOM::HTMLButtonElement::setDisabled(bool)
    {47, 1103, 0, 0, Smoke::mf_const, 65, 11},	//689 DOM::HTMLButtonElement::name() const
    {47, 1565, 19, 1, 0, 0, 12},	//690 DOM::HTMLButtonElement::setName(const DOM::DOMString&)
    {47, 1800, 0, 0, Smoke::mf_const, 643, 13},	//691 DOM::HTMLButtonElement::tabIndex() const
    {47, 1678, 179, 1, 0, 0, 14},	//692 DOM::HTMLButtonElement::setTabIndex(long)
    {47, 1833, 0, 0, Smoke::mf_const, 65, 15},	//693 DOM::HTMLButtonElement::type() const
    {47, 1854, 0, 0, Smoke::mf_const, 65, 16},	//694 DOM::HTMLButtonElement::value() const
    {47, 1703, 19, 1, 0, 0, 17},	//695 DOM::HTMLButtonElement::setValue(const DOM::DOMString&)
    {47, 566, 0, 0, 0, 0, 18},	//696 DOM::HTMLButtonElement::blur()
    {47, 819, 0, 0, 0, 0, 19},	//697 DOM::HTMLButtonElement::focus()
    {47, 1946, 0, 0, Smoke::mf_dtor, 0, 20 },	//698 DOM::HTMLButtonElement::~HTMLButtonElement()
    {48, 192, 0, 0, Smoke::mf_ctor, 117, 1},	//699 DOM::HTMLCollection::HTMLCollection()
    {48, 192, 197, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 117, 2},	//700 DOM::HTMLCollection::HTMLCollection(const DOM::HTMLCollection&)
    {48, 1148, 197, 1, 0, 116, 3},	//701 DOM::HTMLCollection::operator=(const DOM::HTMLCollection&)
    {48, 1063, 0, 0, Smoke::mf_const, 647, 4},	//702 DOM::HTMLCollection::length() const
    {48, 1015, 42, 1, Smoke::mf_const, 234, 5},	//703 DOM::HTMLCollection::item(unsigned long) const
    {48, 1104, 19, 1, Smoke::mf_const, 234, 6},	//704 DOM::HTMLCollection::namedItem(const DOM::DOMString&) const
    {48, 556, 0, 0, Smoke::mf_const, 234, 7},	//705 DOM::HTMLCollection::base() const
    {48, 1005, 0, 0, Smoke::mf_const, 475, 8},	//706 DOM::HTMLCollection::isNull() const
    {48, 817, 0, 0, Smoke::mf_const, 234, 9},	//707 DOM::HTMLCollection::firstItem() const
    {48, 1110, 0, 0, Smoke::mf_const, 234, 10},	//708 DOM::HTMLCollection::nextItem() const
    {48, 1111, 19, 1, Smoke::mf_const, 234, 11},	//709 DOM::HTMLCollection::nextNamedItem(const DOM::DOMString&) const
    {48, 1947, 0, 0, Smoke::mf_dtor, 0, 12 },	//710 DOM::HTMLCollection::~HTMLCollection()
    {49, 194, 0, 0, Smoke::mf_ctor, 119, 1},	//711 DOM::HTMLDListElement::HTMLDListElement()
    {49, 194, 199, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 119, 2},	//712 DOM::HTMLDListElement::HTMLDListElement(const DOM::HTMLDListElement&)
    {49, 194, 15, 1, Smoke::mf_ctor, 119, 3},	//713 DOM::HTMLDListElement::HTMLDListElement(const DOM::Node&)
    {49, 1148, 199, 1, 0, 118, 4},	//714 DOM::HTMLDListElement::operator=(const DOM::HTMLDListElement&)
    {49, 1148, 15, 1, 0, 118, 5},	//715 DOM::HTMLDListElement::operator=(const DOM::Node&)
    {49, 628, 0, 0, Smoke::mf_const, 475, 6},	//716 DOM::HTMLDListElement::compact() const
    {49, 1413, 135, 1, 0, 0, 7},	//717 DOM::HTMLDListElement::setCompact(bool)
    {49, 1948, 0, 0, Smoke::mf_dtor, 0, 8 },	//718 DOM::HTMLDListElement::~HTMLDListElement()
    {50, 196, 0, 0, Smoke::mf_ctor, 121, 1},	//719 DOM::HTMLDirectoryElement::HTMLDirectoryElement()
    {50, 196, 201, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 121, 2},	//720 DOM::HTMLDirectoryElement::HTMLDirectoryElement(const DOM::HTMLDirectoryElement&)
    {50, 196, 15, 1, Smoke::mf_ctor, 121, 3},	//721 DOM::HTMLDirectoryElement::HTMLDirectoryElement(const DOM::Node&)
    {50, 1148, 201, 1, 0, 120, 4},	//722 DOM::HTMLDirectoryElement::operator=(const DOM::HTMLDirectoryElement&)
    {50, 1148, 15, 1, 0, 120, 5},	//723 DOM::HTMLDirectoryElement::operator=(const DOM::Node&)
    {50, 628, 0, 0, Smoke::mf_const, 475, 6},	//724 DOM::HTMLDirectoryElement::compact() const
    {50, 1413, 135, 1, 0, 0, 7},	//725 DOM::HTMLDirectoryElement::setCompact(bool)
    {50, 1949, 0, 0, Smoke::mf_dtor, 0, 8 },	//726 DOM::HTMLDirectoryElement::~HTMLDirectoryElement()
    {51, 198, 0, 0, Smoke::mf_ctor, 123, 1},	//727 DOM::HTMLDivElement::HTMLDivElement()
    {51, 198, 203, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 123, 2},	//728 DOM::HTMLDivElement::HTMLDivElement(const DOM::HTMLDivElement&)
    {51, 198, 15, 1, Smoke::mf_ctor, 123, 3},	//729 DOM::HTMLDivElement::HTMLDivElement(const DOM::Node&)
    {51, 1148, 203, 1, 0, 122, 4},	//730 DOM::HTMLDivElement::operator=(const DOM::HTMLDivElement&)
    {51, 1148, 15, 1, 0, 122, 5},	//731 DOM::HTMLDivElement::operator=(const DOM::Node&)
    {51, 527, 0, 0, Smoke::mf_const, 65, 6},	//732 DOM::HTMLDivElement::align() const
    {51, 1335, 19, 1, 0, 0, 7},	//733 DOM::HTMLDivElement::setAlign(const DOM::DOMString&)
    {51, 1950, 0, 0, Smoke::mf_dtor, 0, 8 },	//734 DOM::HTMLDivElement::~HTMLDivElement()
    {52, 200, 0, 0, Smoke::mf_ctor, 126, 1},	//735 DOM::HTMLDocument::HTMLDocument()
    {52, 200, 205, 1, Smoke::mf_ctor, 126, 2},	//736 DOM::HTMLDocument::HTMLDocument(KHTMLView*)
    {52, 200, 207, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 126, 3},	//737 DOM::HTMLDocument::HTMLDocument(const DOM::HTMLDocument&)
    {52, 200, 15, 1, Smoke::mf_ctor, 126, 4},	//738 DOM::HTMLDocument::HTMLDocument(const DOM::Node&)
    {52, 1148, 207, 1, 0, 125, 5},	//739 DOM::HTMLDocument::operator=(const DOM::HTMLDocument&)
    {52, 1148, 15, 1, 0, 125, 6},	//740 DOM::HTMLDocument::operator=(const DOM::Node&)
    {52, 1813, 0, 0, Smoke::mf_const, 65, 7},	//741 DOM::HTMLDocument::title() const
    {52, 1686, 19, 1, 0, 0, 8},	//742 DOM::HTMLDocument::setTitle(const DOM::DOMString&)
    {52, 1232, 0, 0, Smoke::mf_const, 65, 9},	//743 DOM::HTMLDocument::referrer() const
    {52, 756, 0, 0, Smoke::mf_const, 65, 10},	//744 DOM::HTMLDocument::domain() const
    {52, 480, 0, 0, Smoke::mf_const, 65, 11},	//745 DOM::HTMLDocument::URL() const
    {52, 567, 0, 0, Smoke::mf_const, 127, 12},	//746 DOM::HTMLDocument::body() const
    {52, 1361, 209, 1, 0, 0, 13},	//747 DOM::HTMLDocument::setBody(const DOM::HTMLElement&)
    {52, 929, 0, 0, Smoke::mf_const, 115, 14},	//748 DOM::HTMLDocument::images() const
    {52, 539, 0, 0, Smoke::mf_const, 115, 15},	//749 DOM::HTMLDocument::applets() const
    {52, 1066, 0, 0, Smoke::mf_const, 115, 16},	//750 DOM::HTMLDocument::links() const
    {52, 834, 0, 0, Smoke::mf_const, 115, 17},	//751 DOM::HTMLDocument::forms() const
    {52, 1059, 0, 0, Smoke::mf_const, 115, 18},	//752 DOM::HTMLDocument::layers() const
    {52, 1295, 0, 0, Smoke::mf_const, 115, 19},	//753 DOM::HTMLDocument::scripts() const
    {52, 532, 0, 0, Smoke::mf_const, 115, 20},	//754 DOM::HTMLDocument::anchors() const
    {52, 650, 0, 0, Smoke::mf_const, 65, 21},	//755 DOM::HTMLDocument::cookie() const
    {52, 1422, 19, 1, 0, 0, 22},	//756 DOM::HTMLDocument::setCookie(const DOM::DOMString&)
    {52, 1136, 0, 0, 0, 0, 23},	//757 DOM::HTMLDocument::open()
    {52, 612, 0, 0, 0, 0, 24},	//758 DOM::HTMLDocument::close()
    {52, 1887, 19, 1, 0, 0, 25},	//759 DOM::HTMLDocument::write(const DOM::DOMString&)
    {52, 1891, 19, 1, 0, 0, 26},	//760 DOM::HTMLDocument::writeln(const DOM::DOMString&)
    {52, 862, 19, 1, 0, 247, 27},	//761 DOM::HTMLDocument::getElementsByName(const DOM::DOMString&)
    {52, 633, 19, 1, Smoke::mf_const, 65, 28},	//762 DOM::HTMLDocument::completeURL(const DOM::DOMString&) const
    {52, 1056, 0, 0, Smoke::mf_const, 65, 29},	//763 DOM::HTMLDocument::lastModified() const
    {52, 528, 0, 0, Smoke::mf_const, 115, 30},	//764 DOM::HTMLDocument::all() const
    {52, 1951, 0, 0, Smoke::mf_dtor, 0, 31 },	//765 DOM::HTMLDocument::~HTMLDocument()
    {53, 202, 0, 0, Smoke::mf_ctor, 129, 1},	//766 DOM::HTMLElement::HTMLElement()
    {53, 202, 209, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 129, 2},	//767 DOM::HTMLElement::HTMLElement(const DOM::HTMLElement&)
    {53, 202, 15, 1, Smoke::mf_ctor, 129, 3},	//768 DOM::HTMLElement::HTMLElement(const DOM::Node&)
    {53, 1148, 209, 1, 0, 128, 4},	//769 DOM::HTMLElement::operator=(const DOM::HTMLElement&)
    {53, 1148, 15, 1, 0, 128, 5},	//770 DOM::HTMLElement::operator=(const DOM::Node&)
    {53, 927, 0, 0, Smoke::mf_const, 65, 6},	//771 DOM::HTMLElement::id() const
    {53, 1509, 19, 1, 0, 0, 7},	//772 DOM::HTMLElement::setId(const DOM::DOMString&)
    {53, 1813, 0, 0, Smoke::mf_const, 65, 8},	//773 DOM::HTMLElement::title() const
    {53, 1686, 19, 1, 0, 0, 9},	//774 DOM::HTMLElement::setTitle(const DOM::DOMString&)
    {53, 1052, 0, 0, Smoke::mf_const, 65, 10},	//775 DOM::HTMLElement::lang() const
    {53, 1535, 19, 1, 0, 0, 11},	//776 DOM::HTMLElement::setLang(const DOM::DOMString&)
    {53, 736, 0, 0, Smoke::mf_const, 65, 12},	//777 DOM::HTMLElement::dir() const
    {53, 1453, 19, 1, 0, 0, 13},	//778 DOM::HTMLElement::setDir(const DOM::DOMString&)
    {53, 597, 0, 0, Smoke::mf_const, 65, 14},	//779 DOM::HTMLElement::className() const
    {53, 1395, 19, 1, 0, 0, 15},	//780 DOM::HTMLElement::setClassName(const DOM::DOMString&)
    {53, 952, 0, 0, Smoke::mf_const, 65, 16},	//781 DOM::HTMLElement::innerHTML() const
    {53, 1515, 19, 1, 0, 0, 17},	//782 DOM::HTMLElement::setInnerHTML(const DOM::DOMString&)
    {53, 954, 0, 0, Smoke::mf_const, 65, 18},	//783 DOM::HTMLElement::innerText() const
    {53, 1517, 19, 1, 0, 0, 19},	//784 DOM::HTMLElement::setInnerText(const DOM::DOMString&)
    {53, 595, 0, 0, Smoke::mf_const, 115, 20},	//785 DOM::HTMLElement::children() const
    {53, 528, 0, 0, Smoke::mf_const, 115, 21},	//786 DOM::HTMLElement::all() const
    {53, 983, 0, 0, Smoke::mf_const, 475, 22},	//787 DOM::HTMLElement::isContentEditable() const
    {53, 641, 0, 0, Smoke::mf_const, 65, 23},	//788 DOM::HTMLElement::contentEditable() const
    {53, 1418, 19, 1, 0, 0, 24},	//789 DOM::HTMLElement::setContentEditable(const DOM::DOMString&)
    {53, 1245, 19, 1, 0, 0, 25},	//790 DOM::HTMLElement::removeCSSProperty(const DOM::DOMString&)
    {53, 517, 4, 2, 0, 0, 26},	//791 DOM::HTMLElement::addCSSProperty(const DOM::DOMString&, const DOM::DOMString&)
    {53, 543, 211, 2, Smoke::mf_protected, 0, 27},	//792 DOM::HTMLElement::assignOther(const DOM::Node&, int)
    {53, 1952, 0, 0, Smoke::mf_dtor, 0, 28 },	//793 DOM::HTMLElement::~HTMLElement()
    {54, 204, 0, 0, Smoke::mf_ctor, 131, 1},	//794 DOM::HTMLFieldSetElement::HTMLFieldSetElement()
    {54, 204, 214, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 131, 2},	//795 DOM::HTMLFieldSetElement::HTMLFieldSetElement(const DOM::HTMLFieldSetElement&)
    {54, 204, 15, 1, Smoke::mf_ctor, 131, 3},	//796 DOM::HTMLFieldSetElement::HTMLFieldSetElement(const DOM::Node&)
    {54, 1148, 214, 1, 0, 130, 4},	//797 DOM::HTMLFieldSetElement::operator=(const DOM::HTMLFieldSetElement&)
    {54, 1148, 15, 1, 0, 130, 5},	//798 DOM::HTMLFieldSetElement::operator=(const DOM::Node&)
    {54, 830, 0, 0, Smoke::mf_const, 135, 6},	//799 DOM::HTMLFieldSetElement::form() const
    {54, 1953, 0, 0, Smoke::mf_dtor, 0, 7 },	//800 DOM::HTMLFieldSetElement::~HTMLFieldSetElement()
    {55, 206, 0, 0, Smoke::mf_ctor, 133, 1},	//801 DOM::HTMLFontElement::HTMLFontElement()
    {55, 206, 216, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 133, 2},	//802 DOM::HTMLFontElement::HTMLFontElement(const DOM::HTMLFontElement&)
    {55, 206, 15, 1, Smoke::mf_ctor, 133, 3},	//803 DOM::HTMLFontElement::HTMLFontElement(const DOM::Node&)
    {55, 1148, 216, 1, 0, 132, 4},	//804 DOM::HTMLFontElement::operator=(const DOM::HTMLFontElement&)
    {55, 1148, 15, 1, 0, 132, 5},	//805 DOM::HTMLFontElement::operator=(const DOM::Node&)
    {55, 625, 0, 0, Smoke::mf_const, 65, 6},	//806 DOM::HTMLFontElement::color() const
    {55, 1408, 19, 1, 0, 0, 7},	//807 DOM::HTMLFontElement::setColor(const DOM::DOMString&)
    {55, 791, 0, 0, Smoke::mf_const, 65, 8},	//808 DOM::HTMLFontElement::face() const
    {55, 1473, 19, 1, 0, 0, 9},	//809 DOM::HTMLFontElement::setFace(const DOM::DOMString&)
    {55, 1741, 0, 0, Smoke::mf_const, 65, 10},	//810 DOM::HTMLFontElement::size() const
    {55, 1641, 19, 1, 0, 0, 11},	//811 DOM::HTMLFontElement::setSize(const DOM::DOMString&)
    {55, 1954, 0, 0, Smoke::mf_dtor, 0, 12 },	//812 DOM::HTMLFontElement::~HTMLFontElement()
    {56, 208, 218, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 134, 1},	//813 DOM::HTMLFormCollection::HTMLFormCollection(const DOM::HTMLFormCollection&)
    {56, 1955, 0, 0, Smoke::mf_dtor, 0, 2 },	//814 DOM::HTMLFormCollection::~HTMLFormCollection()
    {57, 210, 0, 0, Smoke::mf_ctor, 137, 1},	//815 DOM::HTMLFormElement::HTMLFormElement()
    {57, 210, 220, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 137, 2},	//816 DOM::HTMLFormElement::HTMLFormElement(const DOM::HTMLFormElement&)
    {57, 210, 15, 1, Smoke::mf_ctor, 137, 3},	//817 DOM::HTMLFormElement::HTMLFormElement(const DOM::Node&)
    {57, 1148, 220, 1, 0, 136, 4},	//818 DOM::HTMLFormElement::operator=(const DOM::HTMLFormElement&)
    {57, 1148, 15, 1, 0, 136, 5},	//819 DOM::HTMLFormElement::operator=(const DOM::Node&)
    {57, 765, 0, 0, Smoke::mf_const, 115, 6},	//820 DOM::HTMLFormElement::elements() const
    {57, 1063, 0, 0, Smoke::mf_const, 643, 7},	//821 DOM::HTMLFormElement::length() const
    {57, 1103, 0, 0, Smoke::mf_const, 65, 8},	//822 DOM::HTMLFormElement::name() const
    {57, 1565, 19, 1, 0, 0, 9},	//823 DOM::HTMLFormElement::setName(const DOM::DOMString&)
    {57, 501, 0, 0, Smoke::mf_const, 65, 10},	//824 DOM::HTMLFormElement::acceptCharset() const
    {57, 1327, 19, 1, 0, 0, 11},	//825 DOM::HTMLFormElement::setAcceptCharset(const DOM::DOMString&)
    {57, 506, 0, 0, Smoke::mf_const, 65, 12},	//826 DOM::HTMLFormElement::action() const
    {57, 1331, 19, 1, 0, 0, 13},	//827 DOM::HTMLFormElement::setAction(const DOM::DOMString&)
    {57, 769, 0, 0, Smoke::mf_const, 65, 14},	//828 DOM::HTMLFormElement::enctype() const
    {57, 1463, 19, 1, 0, 0, 15},	//829 DOM::HTMLFormElement::setEnctype(const DOM::DOMString&)
    {57, 1089, 0, 0, Smoke::mf_const, 65, 16},	//830 DOM::HTMLFormElement::method() const
    {57, 1561, 19, 1, 0, 0, 17},	//831 DOM::HTMLFormElement::setMethod(const DOM::DOMString&)
    {57, 1803, 0, 0, Smoke::mf_const, 65, 18},	//832 DOM::HTMLFormElement::target() const
    {57, 1680, 19, 1, 0, 0, 19},	//833 DOM::HTMLFormElement::setTarget(const DOM::DOMString&)
    {57, 1783, 0, 0, 0, 0, 20},	//834 DOM::HTMLFormElement::submit()
    {57, 1267, 0, 0, 0, 0, 21},	//835 DOM::HTMLFormElement::reset()
    {57, 1956, 0, 0, Smoke::mf_dtor, 0, 22 },	//836 DOM::HTMLFormElement::~HTMLFormElement()
    {58, 212, 0, 0, Smoke::mf_ctor, 139, 1},	//837 DOM::HTMLFrameElement::HTMLFrameElement()
    {58, 212, 222, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 139, 2},	//838 DOM::HTMLFrameElement::HTMLFrameElement(const DOM::HTMLFrameElement&)
    {58, 212, 15, 1, Smoke::mf_ctor, 139, 3},	//839 DOM::HTMLFrameElement::HTMLFrameElement(const DOM::Node&)
    {58, 1148, 222, 1, 0, 138, 4},	//840 DOM::HTMLFrameElement::operator=(const DOM::HTMLFrameElement&)
    {58, 1148, 15, 1, 0, 138, 5},	//841 DOM::HTMLFrameElement::operator=(const DOM::Node&)
    {58, 836, 0, 0, Smoke::mf_const, 65, 6},	//842 DOM::HTMLFrameElement::frameBorder() const
    {58, 1489, 19, 1, 0, 0, 7},	//843 DOM::HTMLFrameElement::setFrameBorder(const DOM::DOMString&)
    {58, 1074, 0, 0, Smoke::mf_const, 65, 8},	//844 DOM::HTMLFrameElement::longDesc() const
    {58, 1542, 19, 1, 0, 0, 9},	//845 DOM::HTMLFrameElement::setLongDesc(const DOM::DOMString&)
    {58, 1077, 0, 0, Smoke::mf_const, 65, 10},	//846 DOM::HTMLFrameElement::marginHeight() const
    {58, 1547, 19, 1, 0, 0, 11},	//847 DOM::HTMLFrameElement::setMarginHeight(const DOM::DOMString&)
    {58, 1078, 0, 0, Smoke::mf_const, 65, 12},	//848 DOM::HTMLFrameElement::marginWidth() const
    {58, 1550, 19, 1, 0, 0, 13},	//849 DOM::HTMLFrameElement::setMarginWidth(const DOM::DOMString&)
    {58, 1103, 0, 0, Smoke::mf_const, 65, 14},	//850 DOM::HTMLFrameElement::name() const
    {58, 1565, 19, 1, 0, 0, 15},	//851 DOM::HTMLFrameElement::setName(const DOM::DOMString&)
    {58, 1116, 0, 0, Smoke::mf_const, 475, 16},	//852 DOM::HTMLFrameElement::noResize() const
    {58, 1573, 135, 1, 0, 0, 17},	//853 DOM::HTMLFrameElement::setNoResize(bool)
    {58, 1300, 0, 0, Smoke::mf_const, 65, 18},	//854 DOM::HTMLFrameElement::scrolling() const
    {58, 1618, 19, 1, 0, 0, 19},	//855 DOM::HTMLFrameElement::setScrolling(const DOM::DOMString&)
    {58, 1756, 0, 0, Smoke::mf_const, 65, 20},	//856 DOM::HTMLFrameElement::src() const
    {58, 1650, 19, 1, 0, 0, 21},	//857 DOM::HTMLFrameElement::setSrc(const DOM::DOMString&)
    {58, 640, 0, 0, Smoke::mf_const, 68, 22},	//858 DOM::HTMLFrameElement::contentDocument() const
    {58, 1957, 0, 0, Smoke::mf_dtor, 0, 23 },	//859 DOM::HTMLFrameElement::~HTMLFrameElement()
    {59, 214, 0, 0, Smoke::mf_ctor, 141, 1},	//860 DOM::HTMLFrameSetElement::HTMLFrameSetElement()
    {59, 214, 224, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 141, 2},	//861 DOM::HTMLFrameSetElement::HTMLFrameSetElement(const DOM::HTMLFrameSetElement&)
    {59, 214, 15, 1, Smoke::mf_ctor, 141, 3},	//862 DOM::HTMLFrameSetElement::HTMLFrameSetElement(const DOM::Node&)
    {59, 1148, 224, 1, 0, 140, 4},	//863 DOM::HTMLFrameSetElement::operator=(const DOM::HTMLFrameSetElement&)
    {59, 1148, 15, 1, 0, 140, 5},	//864 DOM::HTMLFrameSetElement::operator=(const DOM::Node&)
    {59, 626, 0, 0, Smoke::mf_const, 65, 6},	//865 DOM::HTMLFrameSetElement::cols() const
    {59, 1410, 19, 1, 0, 0, 7},	//866 DOM::HTMLFrameSetElement::setCols(const DOM::DOMString&)
    {59, 1283, 0, 0, Smoke::mf_const, 65, 8},	//867 DOM::HTMLFrameSetElement::rows() const
    {59, 1609, 19, 1, 0, 0, 9},	//868 DOM::HTMLFrameSetElement::setRows(const DOM::DOMString&)
    {59, 1958, 0, 0, Smoke::mf_dtor, 0, 10 },	//869 DOM::HTMLFrameSetElement::~HTMLFrameSetElement()
    {60, 216, 0, 0, Smoke::mf_ctor, 143, 1},	//870 DOM::HTMLHRElement::HTMLHRElement()
    {60, 216, 226, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 143, 2},	//871 DOM::HTMLHRElement::HTMLHRElement(const DOM::HTMLHRElement&)
    {60, 216, 15, 1, Smoke::mf_ctor, 143, 3},	//872 DOM::HTMLHRElement::HTMLHRElement(const DOM::Node&)
    {60, 1148, 226, 1, 0, 142, 4},	//873 DOM::HTMLHRElement::operator=(const DOM::HTMLHRElement&)
    {60, 1148, 15, 1, 0, 142, 5},	//874 DOM::HTMLHRElement::operator=(const DOM::Node&)
    {60, 527, 0, 0, Smoke::mf_const, 65, 6},	//875 DOM::HTMLHRElement::align() const
    {60, 1335, 19, 1, 0, 0, 7},	//876 DOM::HTMLHRElement::setAlign(const DOM::DOMString&)
    {60, 1117, 0, 0, Smoke::mf_const, 475, 8},	//877 DOM::HTMLHRElement::noShade() const
    {60, 1575, 135, 1, 0, 0, 9},	//878 DOM::HTMLHRElement::setNoShade(bool)
    {60, 1741, 0, 0, Smoke::mf_const, 65, 10},	//879 DOM::HTMLHRElement::size() const
    {60, 1641, 19, 1, 0, 0, 11},	//880 DOM::HTMLHRElement::setSize(const DOM::DOMString&)
    {60, 1875, 0, 0, Smoke::mf_const, 65, 12},	//881 DOM::HTMLHRElement::width() const
    {60, 1719, 19, 1, 0, 0, 13},	//882 DOM::HTMLHRElement::setWidth(const DOM::DOMString&)
    {60, 1959, 0, 0, Smoke::mf_dtor, 0, 14 },	//883 DOM::HTMLHRElement::~HTMLHRElement()
    {61, 218, 0, 0, Smoke::mf_ctor, 145, 1},	//884 DOM::HTMLHeadElement::HTMLHeadElement()
    {61, 218, 228, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 145, 2},	//885 DOM::HTMLHeadElement::HTMLHeadElement(const DOM::HTMLHeadElement&)
    {61, 218, 15, 1, Smoke::mf_ctor, 145, 3},	//886 DOM::HTMLHeadElement::HTMLHeadElement(const DOM::Node&)
    {61, 1148, 228, 1, 0, 144, 4},	//887 DOM::HTMLHeadElement::operator=(const DOM::HTMLHeadElement&)
    {61, 1148, 15, 1, 0, 144, 5},	//888 DOM::HTMLHeadElement::operator=(const DOM::Node&)
    {61, 1204, 0, 0, Smoke::mf_const, 65, 6},	//889 DOM::HTMLHeadElement::profile() const
    {61, 1593, 19, 1, 0, 0, 7},	//890 DOM::HTMLHeadElement::setProfile(const DOM::DOMString&)
    {61, 1960, 0, 0, Smoke::mf_dtor, 0, 8 },	//891 DOM::HTMLHeadElement::~HTMLHeadElement()
    {62, 220, 0, 0, Smoke::mf_ctor, 147, 1},	//892 DOM::HTMLHeadingElement::HTMLHeadingElement()
    {62, 220, 230, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 147, 2},	//893 DOM::HTMLHeadingElement::HTMLHeadingElement(const DOM::HTMLHeadingElement&)
    {62, 220, 15, 1, Smoke::mf_ctor, 147, 3},	//894 DOM::HTMLHeadingElement::HTMLHeadingElement(const DOM::Node&)
    {62, 1148, 230, 1, 0, 146, 4},	//895 DOM::HTMLHeadingElement::operator=(const DOM::HTMLHeadingElement&)
    {62, 1148, 15, 1, 0, 146, 5},	//896 DOM::HTMLHeadingElement::operator=(const DOM::Node&)
    {62, 527, 0, 0, Smoke::mf_const, 65, 6},	//897 DOM::HTMLHeadingElement::align() const
    {62, 1335, 19, 1, 0, 0, 7},	//898 DOM::HTMLHeadingElement::setAlign(const DOM::DOMString&)
    {62, 1961, 0, 0, Smoke::mf_dtor, 0, 8 },	//899 DOM::HTMLHeadingElement::~HTMLHeadingElement()
    {63, 222, 0, 0, Smoke::mf_ctor, 149, 1},	//900 DOM::HTMLHtmlElement::HTMLHtmlElement()
    {63, 222, 232, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 149, 2},	//901 DOM::HTMLHtmlElement::HTMLHtmlElement(const DOM::HTMLHtmlElement&)
    {63, 222, 15, 1, Smoke::mf_ctor, 149, 3},	//902 DOM::HTMLHtmlElement::HTMLHtmlElement(const DOM::Node&)
    {63, 1148, 232, 1, 0, 148, 4},	//903 DOM::HTMLHtmlElement::operator=(const DOM::HTMLHtmlElement&)
    {63, 1148, 15, 1, 0, 148, 5},	//904 DOM::HTMLHtmlElement::operator=(const DOM::Node&)
    {63, 1856, 0, 0, Smoke::mf_const, 65, 6},	//905 DOM::HTMLHtmlElement::version() const
    {63, 1708, 19, 1, 0, 0, 7},	//906 DOM::HTMLHtmlElement::setVersion(const DOM::DOMString&)
    {63, 1962, 0, 0, Smoke::mf_dtor, 0, 8 },	//907 DOM::HTMLHtmlElement::~HTMLHtmlElement()
    {64, 224, 0, 0, Smoke::mf_ctor, 151, 1},	//908 DOM::HTMLIFrameElement::HTMLIFrameElement()
    {64, 224, 234, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 151, 2},	//909 DOM::HTMLIFrameElement::HTMLIFrameElement(const DOM::HTMLIFrameElement&)
    {64, 224, 15, 1, Smoke::mf_ctor, 151, 3},	//910 DOM::HTMLIFrameElement::HTMLIFrameElement(const DOM::Node&)
    {64, 1148, 234, 1, 0, 150, 4},	//911 DOM::HTMLIFrameElement::operator=(const DOM::HTMLIFrameElement&)
    {64, 1148, 15, 1, 0, 150, 5},	//912 DOM::HTMLIFrameElement::operator=(const DOM::Node&)
    {64, 527, 0, 0, Smoke::mf_const, 65, 6},	//913 DOM::HTMLIFrameElement::align() const
    {64, 1335, 19, 1, 0, 0, 7},	//914 DOM::HTMLIFrameElement::setAlign(const DOM::DOMString&)
    {64, 836, 0, 0, Smoke::mf_const, 65, 8},	//915 DOM::HTMLIFrameElement::frameBorder() const
    {64, 1489, 19, 1, 0, 0, 9},	//916 DOM::HTMLIFrameElement::setFrameBorder(const DOM::DOMString&)
    {64, 911, 0, 0, Smoke::mf_const, 65, 10},	//917 DOM::HTMLIFrameElement::height() const
    {64, 1493, 19, 1, 0, 0, 11},	//918 DOM::HTMLIFrameElement::setHeight(const DOM::DOMString&)
    {64, 1074, 0, 0, Smoke::mf_const, 65, 12},	//919 DOM::HTMLIFrameElement::longDesc() const
    {64, 1542, 19, 1, 0, 0, 13},	//920 DOM::HTMLIFrameElement::setLongDesc(const DOM::DOMString&)
    {64, 1077, 0, 0, Smoke::mf_const, 65, 14},	//921 DOM::HTMLIFrameElement::marginHeight() const
    {64, 1547, 19, 1, 0, 0, 15},	//922 DOM::HTMLIFrameElement::setMarginHeight(const DOM::DOMString&)
    {64, 1078, 0, 0, Smoke::mf_const, 65, 16},	//923 DOM::HTMLIFrameElement::marginWidth() const
    {64, 1550, 19, 1, 0, 0, 17},	//924 DOM::HTMLIFrameElement::setMarginWidth(const DOM::DOMString&)
    {64, 1103, 0, 0, Smoke::mf_const, 65, 18},	//925 DOM::HTMLIFrameElement::name() const
    {64, 1565, 19, 1, 0, 0, 19},	//926 DOM::HTMLIFrameElement::setName(const DOM::DOMString&)
    {64, 1300, 0, 0, Smoke::mf_const, 65, 20},	//927 DOM::HTMLIFrameElement::scrolling() const
    {64, 1618, 19, 1, 0, 0, 21},	//928 DOM::HTMLIFrameElement::setScrolling(const DOM::DOMString&)
    {64, 1756, 0, 0, Smoke::mf_const, 65, 22},	//929 DOM::HTMLIFrameElement::src() const
    {64, 1650, 19, 1, 0, 0, 23},	//930 DOM::HTMLIFrameElement::setSrc(const DOM::DOMString&)
    {64, 1875, 0, 0, Smoke::mf_const, 65, 24},	//931 DOM::HTMLIFrameElement::width() const
    {64, 1719, 19, 1, 0, 0, 25},	//932 DOM::HTMLIFrameElement::setWidth(const DOM::DOMString&)
    {64, 640, 0, 0, Smoke::mf_const, 68, 26},	//933 DOM::HTMLIFrameElement::contentDocument() const
    {64, 1963, 0, 0, Smoke::mf_dtor, 0, 27 },	//934 DOM::HTMLIFrameElement::~HTMLIFrameElement()
    {65, 226, 0, 0, Smoke::mf_ctor, 153, 1},	//935 DOM::HTMLImageElement::HTMLImageElement()
    {65, 226, 236, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 153, 2},	//936 DOM::HTMLImageElement::HTMLImageElement(const DOM::HTMLImageElement&)
    {65, 226, 15, 1, Smoke::mf_ctor, 153, 3},	//937 DOM::HTMLImageElement::HTMLImageElement(const DOM::Node&)
    {65, 1148, 236, 1, 0, 152, 4},	//938 DOM::HTMLImageElement::operator=(const DOM::HTMLImageElement&)
    {65, 1148, 15, 1, 0, 152, 5},	//939 DOM::HTMLImageElement::operator=(const DOM::Node&)
    {65, 1103, 0, 0, Smoke::mf_const, 65, 6},	//940 DOM::HTMLImageElement::name() const
    {65, 1565, 19, 1, 0, 0, 7},	//941 DOM::HTMLImageElement::setName(const DOM::DOMString&)
    {65, 527, 0, 0, Smoke::mf_const, 65, 8},	//942 DOM::HTMLImageElement::align() const
    {65, 1335, 19, 1, 0, 0, 9},	//943 DOM::HTMLImageElement::setAlign(const DOM::DOMString&)
    {65, 530, 0, 0, Smoke::mf_const, 65, 10},	//944 DOM::HTMLImageElement::alt() const
    {65, 1337, 19, 1, 0, 0, 11},	//945 DOM::HTMLImageElement::setAlt(const DOM::DOMString&)
    {65, 852, 0, 0, Smoke::mf_const, 65, 12},	//946 DOM::HTMLImageElement::getBorder() const
    {65, 1363, 19, 1, 0, 0, 13},	//947 DOM::HTMLImageElement::setBorder(const DOM::DOMString&)
    {65, 568, 0, 0, Smoke::mf_const, 643, 14},	//948 DOM::HTMLImageElement::border() const
    {65, 1363, 179, 1, 0, 0, 15},	//949 DOM::HTMLImageElement::setBorder(long)
    {65, 911, 0, 0, Smoke::mf_const, 643, 16},	//950 DOM::HTMLImageElement::height() const
    {65, 1493, 179, 1, 0, 0, 17},	//951 DOM::HTMLImageElement::setHeight(long)
    {65, 921, 0, 0, Smoke::mf_const, 643, 18},	//952 DOM::HTMLImageElement::hspace() const
    {65, 1502, 179, 1, 0, 0, 19},	//953 DOM::HTMLImageElement::setHspace(long)
    {65, 1003, 0, 0, Smoke::mf_const, 475, 20},	//954 DOM::HTMLImageElement::isMap() const
    {65, 1519, 135, 1, 0, 0, 21},	//955 DOM::HTMLImageElement::setIsMap(bool)
    {65, 1074, 0, 0, Smoke::mf_const, 65, 22},	//956 DOM::HTMLImageElement::longDesc() const
    {65, 1542, 19, 1, 0, 0, 23},	//957 DOM::HTMLImageElement::setLongDesc(const DOM::DOMString&)
    {65, 1756, 0, 0, Smoke::mf_const, 65, 24},	//958 DOM::HTMLImageElement::src() const
    {65, 1650, 19, 1, 0, 0, 25},	//959 DOM::HTMLImageElement::setSrc(const DOM::DOMString&)
    {65, 1849, 0, 0, Smoke::mf_const, 65, 26},	//960 DOM::HTMLImageElement::useMap() const
    {65, 1694, 19, 1, 0, 0, 27},	//961 DOM::HTMLImageElement::setUseMap(const DOM::DOMString&)
    {65, 1867, 0, 0, Smoke::mf_const, 643, 28},	//962 DOM::HTMLImageElement::vspace() const
    {65, 1715, 179, 1, 0, 0, 29},	//963 DOM::HTMLImageElement::setVspace(long)
    {65, 1875, 0, 0, Smoke::mf_const, 643, 30},	//964 DOM::HTMLImageElement::width() const
    {65, 1719, 179, 1, 0, 0, 31},	//965 DOM::HTMLImageElement::setWidth(long)
    {65, 1893, 0, 0, Smoke::mf_const, 643, 32},	//966 DOM::HTMLImageElement::x() const
    {65, 1896, 0, 0, Smoke::mf_const, 643, 33},	//967 DOM::HTMLImageElement::y() const
    {65, 1964, 0, 0, Smoke::mf_dtor, 0, 34 },	//968 DOM::HTMLImageElement::~HTMLImageElement()
    {66, 228, 0, 0, Smoke::mf_ctor, 155, 1},	//969 DOM::HTMLInputElement::HTMLInputElement()
    {66, 228, 238, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 155, 2},	//970 DOM::HTMLInputElement::HTMLInputElement(const DOM::HTMLInputElement&)
    {66, 228, 15, 1, Smoke::mf_ctor, 155, 3},	//971 DOM::HTMLInputElement::HTMLInputElement(const DOM::Node&)
    {66, 1148, 238, 1, 0, 154, 4},	//972 DOM::HTMLInputElement::operator=(const DOM::HTMLInputElement&)
    {66, 1148, 15, 1, 0, 154, 5},	//973 DOM::HTMLInputElement::operator=(const DOM::Node&)
    {66, 713, 0, 0, Smoke::mf_const, 65, 6},	//974 DOM::HTMLInputElement::defaultValue() const
    {66, 1447, 19, 1, 0, 0, 7},	//975 DOM::HTMLInputElement::setDefaultValue(const DOM::DOMString&)
    {66, 711, 0, 0, Smoke::mf_const, 475, 8},	//976 DOM::HTMLInputElement::defaultChecked() const
    {66, 1443, 135, 1, 0, 0, 9},	//977 DOM::HTMLInputElement::setDefaultChecked(bool)
    {66, 830, 0, 0, Smoke::mf_const, 135, 10},	//978 DOM::HTMLInputElement::form() const
    {66, 500, 0, 0, Smoke::mf_const, 65, 11},	//979 DOM::HTMLInputElement::accept() const
    {66, 1325, 19, 1, 0, 0, 12},	//980 DOM::HTMLInputElement::setAccept(const DOM::DOMString&)
    {66, 504, 0, 0, Smoke::mf_const, 65, 13},	//981 DOM::HTMLInputElement::accessKey() const
    {66, 1329, 19, 1, 0, 0, 14},	//982 DOM::HTMLInputElement::setAccessKey(const DOM::DOMString&)
    {66, 527, 0, 0, Smoke::mf_const, 65, 15},	//983 DOM::HTMLInputElement::align() const
    {66, 1335, 19, 1, 0, 0, 16},	//984 DOM::HTMLInputElement::setAlign(const DOM::DOMString&)
    {66, 530, 0, 0, Smoke::mf_const, 65, 17},	//985 DOM::HTMLInputElement::alt() const
    {66, 1337, 19, 1, 0, 0, 18},	//986 DOM::HTMLInputElement::setAlt(const DOM::DOMString&)
    {66, 591, 0, 0, Smoke::mf_const, 475, 19},	//987 DOM::HTMLInputElement::checked() const
    {66, 1391, 135, 1, 0, 0, 20},	//988 DOM::HTMLInputElement::setChecked(bool)
    {66, 935, 0, 0, Smoke::mf_const, 475, 21},	//989 DOM::HTMLInputElement::indeterminate() const
    {66, 1511, 135, 1, 0, 0, 22},	//990 DOM::HTMLInputElement::setIndeterminate(bool)
    {66, 737, 0, 0, Smoke::mf_const, 475, 23},	//991 DOM::HTMLInputElement::disabled() const
    {66, 1455, 135, 1, 0, 0, 24},	//992 DOM::HTMLInputElement::setDisabled(bool)
    {66, 1080, 0, 0, Smoke::mf_const, 643, 25},	//993 DOM::HTMLInputElement::maxLength() const
    {66, 1553, 179, 1, 0, 0, 26},	//994 DOM::HTMLInputElement::setMaxLength(long)
    {66, 1103, 0, 0, Smoke::mf_const, 65, 27},	//995 DOM::HTMLInputElement::name() const
    {66, 1565, 19, 1, 0, 0, 28},	//996 DOM::HTMLInputElement::setName(const DOM::DOMString&)
    {66, 1228, 0, 0, Smoke::mf_const, 475, 29},	//997 DOM::HTMLInputElement::readOnly() const
    {66, 1599, 135, 1, 0, 0, 30},	//998 DOM::HTMLInputElement::setReadOnly(bool)
    {66, 1741, 0, 0, Smoke::mf_const, 65, 31},	//999 DOM::HTMLInputElement::size() const
    {66, 1641, 19, 1, 0, 0, 32},	//1000 DOM::HTMLInputElement::setSize(const DOM::DOMString&)
    {66, 890, 0, 0, Smoke::mf_const, 643, 33},	//1001 DOM::HTMLInputElement::getSize() const
    {66, 1641, 179, 1, 0, 0, 34},	//1002 DOM::HTMLInputElement::setSize(long)
    {66, 1756, 0, 0, Smoke::mf_const, 65, 35},	//1003 DOM::HTMLInputElement::src() const
    {66, 1650, 19, 1, 0, 0, 36},	//1004 DOM::HTMLInputElement::setSrc(const DOM::DOMString&)
    {66, 1800, 0, 0, Smoke::mf_const, 643, 37},	//1005 DOM::HTMLInputElement::tabIndex() const
    {66, 1678, 179, 1, 0, 0, 38},	//1006 DOM::HTMLInputElement::setTabIndex(long)
    {66, 1833, 0, 0, Smoke::mf_const, 65, 39},	//1007 DOM::HTMLInputElement::type() const
    {66, 1690, 19, 1, 0, 0, 40},	//1008 DOM::HTMLInputElement::setType(const DOM::DOMString&)
    {66, 1849, 0, 0, Smoke::mf_const, 65, 41},	//1009 DOM::HTMLInputElement::useMap() const
    {66, 1694, 19, 1, 0, 0, 42},	//1010 DOM::HTMLInputElement::setUseMap(const DOM::DOMString&)
    {66, 1854, 0, 0, Smoke::mf_const, 65, 43},	//1011 DOM::HTMLInputElement::value() const
    {66, 1703, 19, 1, 0, 0, 44},	//1012 DOM::HTMLInputElement::setValue(const DOM::DOMString&)
    {66, 566, 0, 0, 0, 0, 45},	//1013 DOM::HTMLInputElement::blur()
    {66, 819, 0, 0, 0, 0, 46},	//1014 DOM::HTMLInputElement::focus()
    {66, 1302, 0, 0, 0, 0, 47},	//1015 DOM::HTMLInputElement::select()
    {66, 600, 0, 0, 0, 0, 48},	//1016 DOM::HTMLInputElement::click()
    {66, 1317, 0, 0, 0, 643, 49},	//1017 DOM::HTMLInputElement::selectionStart()
    {66, 1635, 179, 1, 0, 0, 50},	//1018 DOM::HTMLInputElement::setSelectionStart(long)
    {66, 1316, 0, 0, 0, 643, 51},	//1019 DOM::HTMLInputElement::selectionEnd()
    {66, 1631, 179, 1, 0, 0, 52},	//1020 DOM::HTMLInputElement::setSelectionEnd(long)
    {66, 1633, 240, 2, 0, 0, 53},	//1021 DOM::HTMLInputElement::setSelectionRange(long, long)
    {66, 1965, 0, 0, Smoke::mf_dtor, 0, 54 },	//1022 DOM::HTMLInputElement::~HTMLInputElement()
    {67, 230, 0, 0, Smoke::mf_ctor, 157, 1},	//1023 DOM::HTMLIsIndexElement::HTMLIsIndexElement()
    {67, 230, 243, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 157, 2},	//1024 DOM::HTMLIsIndexElement::HTMLIsIndexElement(const DOM::HTMLIsIndexElement&)
    {67, 230, 15, 1, Smoke::mf_ctor, 157, 3},	//1025 DOM::HTMLIsIndexElement::HTMLIsIndexElement(const DOM::Node&)
    {67, 1148, 243, 1, 0, 156, 4},	//1026 DOM::HTMLIsIndexElement::operator=(const DOM::HTMLIsIndexElement&)
    {67, 1148, 15, 1, 0, 156, 5},	//1027 DOM::HTMLIsIndexElement::operator=(const DOM::Node&)
    {67, 830, 0, 0, Smoke::mf_const, 135, 6},	//1028 DOM::HTMLIsIndexElement::form() const
    {67, 1205, 0, 0, Smoke::mf_const, 65, 7},	//1029 DOM::HTMLIsIndexElement::prompt() const
    {67, 1595, 19, 1, 0, 0, 8},	//1030 DOM::HTMLIsIndexElement::setPrompt(const DOM::DOMString&)
    {67, 1966, 0, 0, Smoke::mf_dtor, 0, 9 },	//1031 DOM::HTMLIsIndexElement::~HTMLIsIndexElement()
    {68, 232, 0, 0, Smoke::mf_ctor, 159, 1},	//1032 DOM::HTMLLIElement::HTMLLIElement()
    {68, 232, 245, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 159, 2},	//1033 DOM::HTMLLIElement::HTMLLIElement(const DOM::HTMLLIElement&)
    {68, 232, 15, 1, Smoke::mf_ctor, 159, 3},	//1034 DOM::HTMLLIElement::HTMLLIElement(const DOM::Node&)
    {68, 1148, 245, 1, 0, 158, 4},	//1035 DOM::HTMLLIElement::operator=(const DOM::HTMLLIElement&)
    {68, 1148, 15, 1, 0, 158, 5},	//1036 DOM::HTMLLIElement::operator=(const DOM::Node&)
    {68, 1833, 0, 0, Smoke::mf_const, 65, 6},	//1037 DOM::HTMLLIElement::type() const
    {68, 1690, 19, 1, 0, 0, 7},	//1038 DOM::HTMLLIElement::setType(const DOM::DOMString&)
    {68, 1854, 0, 0, Smoke::mf_const, 643, 8},	//1039 DOM::HTMLLIElement::value() const
    {68, 1703, 179, 1, 0, 0, 9},	//1040 DOM::HTMLLIElement::setValue(long)
    {68, 1967, 0, 0, Smoke::mf_dtor, 0, 10 },	//1041 DOM::HTMLLIElement::~HTMLLIElement()
    {69, 234, 0, 0, Smoke::mf_ctor, 161, 1},	//1042 DOM::HTMLLabelElement::HTMLLabelElement()
    {69, 234, 247, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 161, 2},	//1043 DOM::HTMLLabelElement::HTMLLabelElement(const DOM::HTMLLabelElement&)
    {69, 234, 15, 1, Smoke::mf_ctor, 161, 3},	//1044 DOM::HTMLLabelElement::HTMLLabelElement(const DOM::Node&)
    {69, 1148, 247, 1, 0, 160, 4},	//1045 DOM::HTMLLabelElement::operator=(const DOM::HTMLLabelElement&)
    {69, 1148, 15, 1, 0, 160, 5},	//1046 DOM::HTMLLabelElement::operator=(const DOM::Node&)
    {69, 504, 0, 0, Smoke::mf_const, 65, 6},	//1047 DOM::HTMLLabelElement::accessKey() const
    {69, 1329, 19, 1, 0, 0, 7},	//1048 DOM::HTMLLabelElement::setAccessKey(const DOM::DOMString&)
    {69, 925, 0, 0, Smoke::mf_const, 65, 8},	//1049 DOM::HTMLLabelElement::htmlFor() const
    {69, 1505, 19, 1, 0, 0, 9},	//1050 DOM::HTMLLabelElement::setHtmlFor(const DOM::DOMString&)
    {69, 1968, 0, 0, Smoke::mf_dtor, 0, 10 },	//1051 DOM::HTMLLabelElement::~HTMLLabelElement()
    {70, 236, 0, 0, Smoke::mf_ctor, 163, 1},	//1052 DOM::HTMLLayerElement::HTMLLayerElement()
    {70, 236, 249, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 163, 2},	//1053 DOM::HTMLLayerElement::HTMLLayerElement(const DOM::HTMLLayerElement&)
    {70, 236, 15, 1, Smoke::mf_ctor, 163, 3},	//1054 DOM::HTMLLayerElement::HTMLLayerElement(const DOM::Node&)
    {70, 1148, 249, 1, 0, 162, 4},	//1055 DOM::HTMLLayerElement::operator=(const DOM::HTMLLayerElement&)
    {70, 1148, 15, 1, 0, 162, 5},	//1056 DOM::HTMLLayerElement::operator=(const DOM::Node&)
    {70, 1820, 0, 0, Smoke::mf_const, 643, 6},	//1057 DOM::HTMLLayerElement::top() const
    {70, 1688, 179, 1, 0, 0, 7},	//1058 DOM::HTMLLayerElement::setTop(long)
    {70, 1062, 0, 0, Smoke::mf_const, 643, 8},	//1059 DOM::HTMLLayerElement::left() const
    {70, 1537, 179, 1, 0, 0, 9},	//1060 DOM::HTMLLayerElement::setLeft(long)
    {70, 1864, 0, 0, Smoke::mf_const, 65, 10},	//1061 DOM::HTMLLayerElement::visibility() const
    {70, 1712, 19, 1, 0, 0, 11},	//1062 DOM::HTMLLayerElement::setVisibility(const DOM::DOMString&)
    {70, 564, 0, 0, Smoke::mf_const, 65, 12},	//1063 DOM::HTMLLayerElement::bgColor() const
    {70, 1359, 19, 1, 0, 0, 13},	//1064 DOM::HTMLLayerElement::setBgColor(const DOM::DOMString&)
    {70, 1059, 0, 0, Smoke::mf_const, 115, 14},	//1065 DOM::HTMLLayerElement::layers() const
    {70, 1969, 0, 0, Smoke::mf_dtor, 0, 15 },	//1066 DOM::HTMLLayerElement::~HTMLLayerElement()
    {71, 238, 0, 0, Smoke::mf_ctor, 165, 1},	//1067 DOM::HTMLLegendElement::HTMLLegendElement()
    {71, 238, 251, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 165, 2},	//1068 DOM::HTMLLegendElement::HTMLLegendElement(const DOM::HTMLLegendElement&)
    {71, 238, 15, 1, Smoke::mf_ctor, 165, 3},	//1069 DOM::HTMLLegendElement::HTMLLegendElement(const DOM::Node&)
    {71, 1148, 251, 1, 0, 164, 4},	//1070 DOM::HTMLLegendElement::operator=(const DOM::HTMLLegendElement&)
    {71, 1148, 15, 1, 0, 164, 5},	//1071 DOM::HTMLLegendElement::operator=(const DOM::Node&)
    {71, 830, 0, 0, Smoke::mf_const, 135, 6},	//1072 DOM::HTMLLegendElement::form() const
    {71, 504, 0, 0, Smoke::mf_const, 65, 7},	//1073 DOM::HTMLLegendElement::accessKey() const
    {71, 1329, 19, 1, 0, 0, 8},	//1074 DOM::HTMLLegendElement::setAccessKey(const DOM::DOMString&)
    {71, 527, 0, 0, Smoke::mf_const, 65, 9},	//1075 DOM::HTMLLegendElement::align() const
    {71, 1335, 19, 1, 0, 0, 10},	//1076 DOM::HTMLLegendElement::setAlign(const DOM::DOMString&)
    {71, 1970, 0, 0, Smoke::mf_dtor, 0, 11 },	//1077 DOM::HTMLLegendElement::~HTMLLegendElement()
    {72, 240, 0, 0, Smoke::mf_ctor, 167, 1},	//1078 DOM::HTMLLinkElement::HTMLLinkElement()
    {72, 240, 253, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 167, 2},	//1079 DOM::HTMLLinkElement::HTMLLinkElement(const DOM::HTMLLinkElement&)
    {72, 240, 15, 1, Smoke::mf_ctor, 167, 3},	//1080 DOM::HTMLLinkElement::HTMLLinkElement(const DOM::Node&)
    {72, 1148, 253, 1, 0, 166, 4},	//1081 DOM::HTMLLinkElement::operator=(const DOM::HTMLLinkElement&)
    {72, 1148, 15, 1, 0, 166, 5},	//1082 DOM::HTMLLinkElement::operator=(const DOM::Node&)
    {72, 737, 0, 0, Smoke::mf_const, 475, 6},	//1083 DOM::HTMLLinkElement::disabled() const
    {72, 1455, 135, 1, 0, 0, 7},	//1084 DOM::HTMLLinkElement::setDisabled(bool)
    {72, 590, 0, 0, Smoke::mf_const, 65, 8},	//1085 DOM::HTMLLinkElement::charset() const
    {72, 1389, 19, 1, 0, 0, 9},	//1086 DOM::HTMLLinkElement::setCharset(const DOM::DOMString&)
    {72, 919, 0, 0, Smoke::mf_const, 65, 10},	//1087 DOM::HTMLLinkElement::href() const
    {72, 1498, 19, 1, 0, 0, 11},	//1088 DOM::HTMLLinkElement::setHref(const DOM::DOMString&)
    {72, 920, 0, 0, Smoke::mf_const, 65, 12},	//1089 DOM::HTMLLinkElement::hreflang() const
    {72, 1500, 19, 1, 0, 0, 13},	//1090 DOM::HTMLLinkElement::setHreflang(const DOM::DOMString&)
    {72, 1083, 0, 0, Smoke::mf_const, 65, 14},	//1091 DOM::HTMLLinkElement::media() const
    {72, 1555, 19, 1, 0, 0, 15},	//1092 DOM::HTMLLinkElement::setMedia(const DOM::DOMString&)
    {72, 1233, 0, 0, Smoke::mf_const, 65, 16},	//1093 DOM::HTMLLinkElement::rel() const
    {72, 1601, 19, 1, 0, 0, 17},	//1094 DOM::HTMLLinkElement::setRel(const DOM::DOMString&)
    {72, 1275, 0, 0, Smoke::mf_const, 65, 18},	//1095 DOM::HTMLLinkElement::rev() const
    {72, 1603, 19, 1, 0, 0, 19},	//1096 DOM::HTMLLinkElement::setRev(const DOM::DOMString&)
    {72, 1803, 0, 0, Smoke::mf_const, 65, 20},	//1097 DOM::HTMLLinkElement::target() const
    {72, 1680, 19, 1, 0, 0, 21},	//1098 DOM::HTMLLinkElement::setTarget(const DOM::DOMString&)
    {72, 1833, 0, 0, Smoke::mf_const, 65, 22},	//1099 DOM::HTMLLinkElement::type() const
    {72, 1690, 19, 1, 0, 0, 23},	//1100 DOM::HTMLLinkElement::setType(const DOM::DOMString&)
    {72, 1733, 0, 0, Smoke::mf_const, 268, 24},	//1101 DOM::HTMLLinkElement::sheet() const
    {72, 1971, 0, 0, Smoke::mf_dtor, 0, 25 },	//1102 DOM::HTMLLinkElement::~HTMLLinkElement()
    {73, 242, 0, 0, Smoke::mf_ctor, 169, 1},	//1103 DOM::HTMLMapElement::HTMLMapElement()
    {73, 242, 255, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 169, 2},	//1104 DOM::HTMLMapElement::HTMLMapElement(const DOM::HTMLMapElement&)
    {73, 242, 15, 1, Smoke::mf_ctor, 169, 3},	//1105 DOM::HTMLMapElement::HTMLMapElement(const DOM::Node&)
    {73, 1148, 255, 1, 0, 168, 4},	//1106 DOM::HTMLMapElement::operator=(const DOM::HTMLMapElement&)
    {73, 1148, 15, 1, 0, 168, 5},	//1107 DOM::HTMLMapElement::operator=(const DOM::Node&)
    {73, 542, 0, 0, Smoke::mf_const, 115, 6},	//1108 DOM::HTMLMapElement::areas() const
    {73, 1103, 0, 0, Smoke::mf_const, 65, 7},	//1109 DOM::HTMLMapElement::name() const
    {73, 1565, 19, 1, 0, 0, 8},	//1110 DOM::HTMLMapElement::setName(const DOM::DOMString&)
    {73, 1972, 0, 0, Smoke::mf_dtor, 0, 9 },	//1111 DOM::HTMLMapElement::~HTMLMapElement()
    {74, 244, 0, 0, Smoke::mf_ctor, 171, 1},	//1112 DOM::HTMLMenuElement::HTMLMenuElement()
    {74, 244, 257, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 171, 2},	//1113 DOM::HTMLMenuElement::HTMLMenuElement(const DOM::HTMLMenuElement&)
    {74, 244, 15, 1, Smoke::mf_ctor, 171, 3},	//1114 DOM::HTMLMenuElement::HTMLMenuElement(const DOM::Node&)
    {74, 1148, 257, 1, 0, 170, 4},	//1115 DOM::HTMLMenuElement::operator=(const DOM::HTMLMenuElement&)
    {74, 1148, 15, 1, 0, 170, 5},	//1116 DOM::HTMLMenuElement::operator=(const DOM::Node&)
    {74, 628, 0, 0, Smoke::mf_const, 475, 6},	//1117 DOM::HTMLMenuElement::compact() const
    {74, 1413, 135, 1, 0, 0, 7},	//1118 DOM::HTMLMenuElement::setCompact(bool)
    {74, 1973, 0, 0, Smoke::mf_dtor, 0, 8 },	//1119 DOM::HTMLMenuElement::~HTMLMenuElement()
    {75, 246, 0, 0, Smoke::mf_ctor, 173, 1},	//1120 DOM::HTMLMetaElement::HTMLMetaElement()
    {75, 246, 259, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 173, 2},	//1121 DOM::HTMLMetaElement::HTMLMetaElement(const DOM::HTMLMetaElement&)
    {75, 246, 15, 1, Smoke::mf_ctor, 173, 3},	//1122 DOM::HTMLMetaElement::HTMLMetaElement(const DOM::Node&)
    {75, 1148, 259, 1, 0, 172, 4},	//1123 DOM::HTMLMetaElement::operator=(const DOM::HTMLMetaElement&)
    {75, 1148, 15, 1, 0, 172, 5},	//1124 DOM::HTMLMetaElement::operator=(const DOM::Node&)
    {75, 639, 0, 0, Smoke::mf_const, 65, 6},	//1125 DOM::HTMLMetaElement::content() const
    {75, 1416, 19, 1, 0, 0, 7},	//1126 DOM::HTMLMetaElement::setContent(const DOM::DOMString&)
    {75, 926, 0, 0, Smoke::mf_const, 65, 8},	//1127 DOM::HTMLMetaElement::httpEquiv() const
    {75, 1507, 19, 1, 0, 0, 9},	//1128 DOM::HTMLMetaElement::setHttpEquiv(const DOM::DOMString&)
    {75, 1103, 0, 0, Smoke::mf_const, 65, 10},	//1129 DOM::HTMLMetaElement::name() const
    {75, 1565, 19, 1, 0, 0, 11},	//1130 DOM::HTMLMetaElement::setName(const DOM::DOMString&)
    {75, 1291, 0, 0, Smoke::mf_const, 65, 12},	//1131 DOM::HTMLMetaElement::scheme() const
    {75, 1614, 19, 1, 0, 0, 13},	//1132 DOM::HTMLMetaElement::setScheme(const DOM::DOMString&)
    {75, 1974, 0, 0, Smoke::mf_dtor, 0, 14 },	//1133 DOM::HTMLMetaElement::~HTMLMetaElement()
    {76, 248, 0, 0, Smoke::mf_ctor, 175, 1},	//1134 DOM::HTMLModElement::HTMLModElement()
    {76, 248, 261, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 175, 2},	//1135 DOM::HTMLModElement::HTMLModElement(const DOM::HTMLModElement&)
    {76, 248, 15, 1, Smoke::mf_ctor, 175, 3},	//1136 DOM::HTMLModElement::HTMLModElement(const DOM::Node&)
    {76, 1148, 261, 1, 0, 174, 4},	//1137 DOM::HTMLModElement::operator=(const DOM::HTMLModElement&)
    {76, 1148, 15, 1, 0, 174, 5},	//1138 DOM::HTMLModElement::operator=(const DOM::Node&)
    {76, 596, 0, 0, Smoke::mf_const, 65, 6},	//1139 DOM::HTMLModElement::cite() const
    {76, 1393, 19, 1, 0, 0, 7},	//1140 DOM::HTMLModElement::setCite(const DOM::DOMString&)
    {76, 709, 0, 0, Smoke::mf_const, 65, 8},	//1141 DOM::HTMLModElement::dateTime() const
    {76, 1439, 19, 1, 0, 0, 9},	//1142 DOM::HTMLModElement::setDateTime(const DOM::DOMString&)
    {76, 1975, 0, 0, Smoke::mf_dtor, 0, 10 },	//1143 DOM::HTMLModElement::~HTMLModElement()
    {77, 250, 0, 0, Smoke::mf_ctor, 177, 1},	//1144 DOM::HTMLOListElement::HTMLOListElement()
    {77, 250, 263, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 177, 2},	//1145 DOM::HTMLOListElement::HTMLOListElement(const DOM::HTMLOListElement&)
    {77, 250, 15, 1, Smoke::mf_ctor, 177, 3},	//1146 DOM::HTMLOListElement::HTMLOListElement(const DOM::Node&)
    {77, 1148, 263, 1, 0, 176, 4},	//1147 DOM::HTMLOListElement::operator=(const DOM::HTMLOListElement&)
    {77, 1148, 15, 1, 0, 176, 5},	//1148 DOM::HTMLOListElement::operator=(const DOM::Node&)
    {77, 628, 0, 0, Smoke::mf_const, 475, 6},	//1149 DOM::HTMLOListElement::compact() const
    {77, 1413, 135, 1, 0, 0, 7},	//1150 DOM::HTMLOListElement::setCompact(bool)
    {77, 1758, 0, 0, Smoke::mf_const, 643, 8},	//1151 DOM::HTMLOListElement::start() const
    {77, 1656, 179, 1, 0, 0, 9},	//1152 DOM::HTMLOListElement::setStart(long)
    {77, 1833, 0, 0, Smoke::mf_const, 65, 10},	//1153 DOM::HTMLOListElement::type() const
    {77, 1690, 19, 1, 0, 0, 11},	//1154 DOM::HTMLOListElement::setType(const DOM::DOMString&)
    {77, 1976, 0, 0, Smoke::mf_dtor, 0, 12 },	//1155 DOM::HTMLOListElement::~HTMLOListElement()
    {78, 252, 0, 0, Smoke::mf_ctor, 179, 1},	//1156 DOM::HTMLObjectElement::HTMLObjectElement()
    {78, 252, 265, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 179, 2},	//1157 DOM::HTMLObjectElement::HTMLObjectElement(const DOM::HTMLObjectElement&)
    {78, 252, 15, 1, Smoke::mf_ctor, 179, 3},	//1158 DOM::HTMLObjectElement::HTMLObjectElement(const DOM::Node&)
    {78, 1148, 265, 1, 0, 178, 4},	//1159 DOM::HTMLObjectElement::operator=(const DOM::HTMLObjectElement&)
    {78, 1148, 15, 1, 0, 178, 5},	//1160 DOM::HTMLObjectElement::operator=(const DOM::Node&)
    {78, 830, 0, 0, Smoke::mf_const, 135, 6},	//1161 DOM::HTMLObjectElement::form() const
    {78, 616, 0, 0, Smoke::mf_const, 65, 7},	//1162 DOM::HTMLObjectElement::code() const
    {78, 1399, 19, 1, 0, 0, 8},	//1163 DOM::HTMLObjectElement::setCode(const DOM::DOMString&)
    {78, 527, 0, 0, Smoke::mf_const, 65, 9},	//1164 DOM::HTMLObjectElement::align() const
    {78, 1335, 19, 1, 0, 0, 10},	//1165 DOM::HTMLObjectElement::setAlign(const DOM::DOMString&)
    {78, 541, 0, 0, Smoke::mf_const, 65, 11},	//1166 DOM::HTMLObjectElement::archive() const
    {78, 1341, 19, 1, 0, 0, 12},	//1167 DOM::HTMLObjectElement::setArchive(const DOM::DOMString&)
    {78, 568, 0, 0, Smoke::mf_const, 65, 13},	//1168 DOM::HTMLObjectElement::border() const
    {78, 1363, 19, 1, 0, 0, 14},	//1169 DOM::HTMLObjectElement::setBorder(const DOM::DOMString&)
    {78, 619, 0, 0, Smoke::mf_const, 65, 15},	//1170 DOM::HTMLObjectElement::codeBase() const
    {78, 1402, 19, 1, 0, 0, 16},	//1171 DOM::HTMLObjectElement::setCodeBase(const DOM::DOMString&)
    {78, 620, 0, 0, Smoke::mf_const, 65, 17},	//1172 DOM::HTMLObjectElement::codeType() const
    {78, 1404, 19, 1, 0, 0, 18},	//1173 DOM::HTMLObjectElement::setCodeType(const DOM::DOMString&)
    {78, 708, 0, 0, Smoke::mf_const, 65, 19},	//1174 DOM::HTMLObjectElement::data() const
    {78, 1437, 19, 1, 0, 0, 20},	//1175 DOM::HTMLObjectElement::setData(const DOM::DOMString&)
    {78, 710, 0, 0, Smoke::mf_const, 475, 21},	//1176 DOM::HTMLObjectElement::declare() const
    {78, 1441, 135, 1, 0, 0, 22},	//1177 DOM::HTMLObjectElement::setDeclare(bool)
    {78, 911, 0, 0, Smoke::mf_const, 65, 23},	//1178 DOM::HTMLObjectElement::height() const
    {78, 1493, 19, 1, 0, 0, 24},	//1179 DOM::HTMLObjectElement::setHeight(const DOM::DOMString&)
    {78, 870, 0, 0, Smoke::mf_const, 643, 25},	//1180 DOM::HTMLObjectElement::getHspace() const
    {78, 1502, 179, 1, 0, 0, 26},	//1181 DOM::HTMLObjectElement::setHspace(long)
    {78, 921, 0, 0, Smoke::mf_const, 65, 27},	//1182 DOM::HTMLObjectElement::hspace() const
    {78, 1502, 19, 1, 0, 0, 28},	//1183 DOM::HTMLObjectElement::setHspace(const DOM::DOMString&)
    {78, 1103, 0, 0, Smoke::mf_const, 65, 29},	//1184 DOM::HTMLObjectElement::name() const
    {78, 1565, 19, 1, 0, 0, 30},	//1185 DOM::HTMLObjectElement::setName(const DOM::DOMString&)
    {78, 1757, 0, 0, Smoke::mf_const, 65, 31},	//1186 DOM::HTMLObjectElement::standby() const
    {78, 1654, 19, 1, 0, 0, 32},	//1187 DOM::HTMLObjectElement::setStandby(const DOM::DOMString&)
    {78, 1800, 0, 0, Smoke::mf_const, 643, 33},	//1188 DOM::HTMLObjectElement::tabIndex() const
    {78, 1678, 179, 1, 0, 0, 34},	//1189 DOM::HTMLObjectElement::setTabIndex(long)
    {78, 1833, 0, 0, Smoke::mf_const, 65, 35},	//1190 DOM::HTMLObjectElement::type() const
    {78, 1690, 19, 1, 0, 0, 36},	//1191 DOM::HTMLObjectElement::setType(const DOM::DOMString&)
    {78, 1849, 0, 0, Smoke::mf_const, 65, 37},	//1192 DOM::HTMLObjectElement::useMap() const
    {78, 1694, 19, 1, 0, 0, 38},	//1193 DOM::HTMLObjectElement::setUseMap(const DOM::DOMString&)
    {78, 892, 0, 0, Smoke::mf_const, 643, 39},	//1194 DOM::HTMLObjectElement::getVspace() const
    {78, 1715, 179, 1, 0, 0, 40},	//1195 DOM::HTMLObjectElement::setVspace(long)
    {78, 1867, 0, 0, Smoke::mf_const, 65, 41},	//1196 DOM::HTMLObjectElement::vspace() const
    {78, 1715, 19, 1, 0, 0, 42},	//1197 DOM::HTMLObjectElement::setVspace(const DOM::DOMString&)
    {78, 1875, 0, 0, Smoke::mf_const, 65, 43},	//1198 DOM::HTMLObjectElement::width() const
    {78, 1719, 19, 1, 0, 0, 44},	//1199 DOM::HTMLObjectElement::setWidth(const DOM::DOMString&)
    {78, 640, 0, 0, Smoke::mf_const, 68, 45},	//1200 DOM::HTMLObjectElement::contentDocument() const
    {78, 1977, 0, 0, Smoke::mf_dtor, 0, 46 },	//1201 DOM::HTMLObjectElement::~HTMLObjectElement()
    {79, 254, 0, 0, Smoke::mf_ctor, 181, 1},	//1202 DOM::HTMLOptGroupElement::HTMLOptGroupElement()
    {79, 254, 267, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 181, 2},	//1203 DOM::HTMLOptGroupElement::HTMLOptGroupElement(const DOM::HTMLOptGroupElement&)
    {79, 254, 15, 1, Smoke::mf_ctor, 181, 3},	//1204 DOM::HTMLOptGroupElement::HTMLOptGroupElement(const DOM::Node&)
    {79, 1148, 267, 1, 0, 180, 4},	//1205 DOM::HTMLOptGroupElement::operator=(const DOM::HTMLOptGroupElement&)
    {79, 1148, 15, 1, 0, 180, 5},	//1206 DOM::HTMLOptGroupElement::operator=(const DOM::Node&)
    {79, 737, 0, 0, Smoke::mf_const, 475, 6},	//1207 DOM::HTMLOptGroupElement::disabled() const
    {79, 1455, 135, 1, 0, 0, 7},	//1208 DOM::HTMLOptGroupElement::setDisabled(bool)
    {79, 1051, 0, 0, Smoke::mf_const, 65, 8},	//1209 DOM::HTMLOptGroupElement::label() const
    {79, 1533, 19, 1, 0, 0, 9},	//1210 DOM::HTMLOptGroupElement::setLabel(const DOM::DOMString&)
    {79, 1978, 0, 0, Smoke::mf_dtor, 0, 10 },	//1211 DOM::HTMLOptGroupElement::~HTMLOptGroupElement()
    {80, 256, 0, 0, Smoke::mf_ctor, 183, 1},	//1212 DOM::HTMLOptionElement::HTMLOptionElement()
    {80, 256, 269, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 183, 2},	//1213 DOM::HTMLOptionElement::HTMLOptionElement(const DOM::HTMLOptionElement&)
    {80, 256, 15, 1, Smoke::mf_ctor, 183, 3},	//1214 DOM::HTMLOptionElement::HTMLOptionElement(const DOM::Node&)
    {80, 1148, 269, 1, 0, 182, 4},	//1215 DOM::HTMLOptionElement::operator=(const DOM::HTMLOptionElement&)
    {80, 1148, 15, 1, 0, 182, 5},	//1216 DOM::HTMLOptionElement::operator=(const DOM::Node&)
    {80, 830, 0, 0, Smoke::mf_const, 135, 6},	//1217 DOM::HTMLOptionElement::form() const
    {80, 712, 0, 0, Smoke::mf_const, 475, 7},	//1218 DOM::HTMLOptionElement::defaultSelected() const
    {80, 1445, 135, 1, 0, 0, 8},	//1219 DOM::HTMLOptionElement::setDefaultSelected(bool)
    {80, 1806, 0, 0, Smoke::mf_const, 65, 9},	//1220 DOM::HTMLOptionElement::text() const
    {80, 936, 0, 0, Smoke::mf_const, 643, 10},	//1221 DOM::HTMLOptionElement::index() const
    {80, 1513, 179, 1, 0, 0, 11},	//1222 DOM::HTMLOptionElement::setIndex(long)
    {80, 737, 0, 0, Smoke::mf_const, 475, 12},	//1223 DOM::HTMLOptionElement::disabled() const
    {80, 1455, 135, 1, 0, 0, 13},	//1224 DOM::HTMLOptionElement::setDisabled(bool)
    {80, 1051, 0, 0, Smoke::mf_const, 65, 14},	//1225 DOM::HTMLOptionElement::label() const
    {80, 1533, 19, 1, 0, 0, 15},	//1226 DOM::HTMLOptionElement::setLabel(const DOM::DOMString&)
    {80, 1308, 0, 0, Smoke::mf_const, 475, 16},	//1227 DOM::HTMLOptionElement::selected() const
    {80, 1623, 135, 1, 0, 0, 17},	//1228 DOM::HTMLOptionElement::setSelected(bool)
    {80, 1854, 0, 0, Smoke::mf_const, 65, 18},	//1229 DOM::HTMLOptionElement::value() const
    {80, 1703, 19, 1, 0, 0, 19},	//1230 DOM::HTMLOptionElement::setValue(const DOM::DOMString&)
    {80, 1979, 0, 0, Smoke::mf_dtor, 0, 20 },	//1231 DOM::HTMLOptionElement::~HTMLOptionElement()
    {81, 258, 0, 0, Smoke::mf_ctor, 185, 1},	//1232 DOM::HTMLParagraphElement::HTMLParagraphElement()
    {81, 258, 271, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 185, 2},	//1233 DOM::HTMLParagraphElement::HTMLParagraphElement(const DOM::HTMLParagraphElement&)
    {81, 258, 15, 1, Smoke::mf_ctor, 185, 3},	//1234 DOM::HTMLParagraphElement::HTMLParagraphElement(const DOM::Node&)
    {81, 1148, 271, 1, 0, 184, 4},	//1235 DOM::HTMLParagraphElement::operator=(const DOM::HTMLParagraphElement&)
    {81, 1148, 15, 1, 0, 184, 5},	//1236 DOM::HTMLParagraphElement::operator=(const DOM::Node&)
    {81, 527, 0, 0, Smoke::mf_const, 65, 6},	//1237 DOM::HTMLParagraphElement::align() const
    {81, 1335, 19, 1, 0, 0, 7},	//1238 DOM::HTMLParagraphElement::setAlign(const DOM::DOMString&)
    {81, 1980, 0, 0, Smoke::mf_dtor, 0, 8 },	//1239 DOM::HTMLParagraphElement::~HTMLParagraphElement()
    {82, 260, 0, 0, Smoke::mf_ctor, 187, 1},	//1240 DOM::HTMLParamElement::HTMLParamElement()
    {82, 260, 273, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 187, 2},	//1241 DOM::HTMLParamElement::HTMLParamElement(const DOM::HTMLParamElement&)
    {82, 260, 15, 1, Smoke::mf_ctor, 187, 3},	//1242 DOM::HTMLParamElement::HTMLParamElement(const DOM::Node&)
    {82, 1148, 273, 1, 0, 186, 4},	//1243 DOM::HTMLParamElement::operator=(const DOM::HTMLParamElement&)
    {82, 1148, 15, 1, 0, 186, 5},	//1244 DOM::HTMLParamElement::operator=(const DOM::Node&)
    {82, 1103, 0, 0, Smoke::mf_const, 65, 6},	//1245 DOM::HTMLParamElement::name() const
    {82, 1565, 19, 1, 0, 0, 7},	//1246 DOM::HTMLParamElement::setName(const DOM::DOMString&)
    {82, 1833, 0, 0, Smoke::mf_const, 65, 8},	//1247 DOM::HTMLParamElement::type() const
    {82, 1690, 19, 1, 0, 0, 9},	//1248 DOM::HTMLParamElement::setType(const DOM::DOMString&)
    {82, 1854, 0, 0, Smoke::mf_const, 65, 10},	//1249 DOM::HTMLParamElement::value() const
    {82, 1703, 19, 1, 0, 0, 11},	//1250 DOM::HTMLParamElement::setValue(const DOM::DOMString&)
    {82, 1855, 0, 0, Smoke::mf_const, 65, 12},	//1251 DOM::HTMLParamElement::valueType() const
    {82, 1706, 19, 1, 0, 0, 13},	//1252 DOM::HTMLParamElement::setValueType(const DOM::DOMString&)
    {82, 1981, 0, 0, Smoke::mf_dtor, 0, 14 },	//1253 DOM::HTMLParamElement::~HTMLParamElement()
    {83, 262, 0, 0, Smoke::mf_ctor, 189, 1},	//1254 DOM::HTMLPreElement::HTMLPreElement()
    {83, 262, 275, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 189, 2},	//1255 DOM::HTMLPreElement::HTMLPreElement(const DOM::HTMLPreElement&)
    {83, 262, 15, 1, Smoke::mf_ctor, 189, 3},	//1256 DOM::HTMLPreElement::HTMLPreElement(const DOM::Node&)
    {83, 1148, 275, 1, 0, 188, 4},	//1257 DOM::HTMLPreElement::operator=(const DOM::HTMLPreElement&)
    {83, 1148, 15, 1, 0, 188, 5},	//1258 DOM::HTMLPreElement::operator=(const DOM::Node&)
    {83, 1875, 0, 0, Smoke::mf_const, 643, 6},	//1259 DOM::HTMLPreElement::width() const
    {83, 1719, 179, 1, 0, 0, 7},	//1260 DOM::HTMLPreElement::setWidth(long)
    {83, 1982, 0, 0, Smoke::mf_dtor, 0, 8 },	//1261 DOM::HTMLPreElement::~HTMLPreElement()
    {84, 264, 0, 0, Smoke::mf_ctor, 191, 1},	//1262 DOM::HTMLQuoteElement::HTMLQuoteElement()
    {84, 264, 277, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 191, 2},	//1263 DOM::HTMLQuoteElement::HTMLQuoteElement(const DOM::HTMLQuoteElement&)
    {84, 264, 15, 1, Smoke::mf_ctor, 191, 3},	//1264 DOM::HTMLQuoteElement::HTMLQuoteElement(const DOM::Node&)
    {84, 1148, 277, 1, 0, 190, 4},	//1265 DOM::HTMLQuoteElement::operator=(const DOM::HTMLQuoteElement&)
    {84, 1148, 15, 1, 0, 190, 5},	//1266 DOM::HTMLQuoteElement::operator=(const DOM::Node&)
    {84, 596, 0, 0, Smoke::mf_const, 65, 6},	//1267 DOM::HTMLQuoteElement::cite() const
    {84, 1393, 19, 1, 0, 0, 7},	//1268 DOM::HTMLQuoteElement::setCite(const DOM::DOMString&)
    {84, 1983, 0, 0, Smoke::mf_dtor, 0, 8 },	//1269 DOM::HTMLQuoteElement::~HTMLQuoteElement()
    {85, 266, 0, 0, Smoke::mf_ctor, 193, 1},	//1270 DOM::HTMLScriptElement::HTMLScriptElement()
    {85, 266, 279, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 193, 2},	//1271 DOM::HTMLScriptElement::HTMLScriptElement(const DOM::HTMLScriptElement&)
    {85, 266, 15, 1, Smoke::mf_ctor, 193, 3},	//1272 DOM::HTMLScriptElement::HTMLScriptElement(const DOM::Node&)
    {85, 1148, 279, 1, 0, 192, 4},	//1273 DOM::HTMLScriptElement::operator=(const DOM::HTMLScriptElement&)
    {85, 1148, 15, 1, 0, 192, 5},	//1274 DOM::HTMLScriptElement::operator=(const DOM::Node&)
    {85, 1806, 0, 0, Smoke::mf_const, 65, 6},	//1275 DOM::HTMLScriptElement::text() const
    {85, 1682, 19, 1, 0, 0, 7},	//1276 DOM::HTMLScriptElement::setText(const DOM::DOMString&)
    {85, 925, 0, 0, Smoke::mf_const, 65, 8},	//1277 DOM::HTMLScriptElement::htmlFor() const
    {85, 1505, 19, 1, 0, 0, 9},	//1278 DOM::HTMLScriptElement::setHtmlFor(const DOM::DOMString&)
    {85, 777, 0, 0, Smoke::mf_const, 65, 10},	//1279 DOM::HTMLScriptElement::event() const
    {85, 1471, 19, 1, 0, 0, 11},	//1280 DOM::HTMLScriptElement::setEvent(const DOM::DOMString&)
    {85, 590, 0, 0, Smoke::mf_const, 65, 12},	//1281 DOM::HTMLScriptElement::charset() const
    {85, 1389, 19, 1, 0, 0, 13},	//1282 DOM::HTMLScriptElement::setCharset(const DOM::DOMString&)
    {85, 715, 0, 0, Smoke::mf_const, 475, 14},	//1283 DOM::HTMLScriptElement::defer() const
    {85, 1449, 135, 1, 0, 0, 15},	//1284 DOM::HTMLScriptElement::setDefer(bool)
    {85, 1756, 0, 0, Smoke::mf_const, 65, 16},	//1285 DOM::HTMLScriptElement::src() const
    {85, 1650, 19, 1, 0, 0, 17},	//1286 DOM::HTMLScriptElement::setSrc(const DOM::DOMString&)
    {85, 1833, 0, 0, Smoke::mf_const, 65, 18},	//1287 DOM::HTMLScriptElement::type() const
    {85, 1690, 19, 1, 0, 0, 19},	//1288 DOM::HTMLScriptElement::setType(const DOM::DOMString&)
    {85, 1984, 0, 0, Smoke::mf_dtor, 0, 20 },	//1289 DOM::HTMLScriptElement::~HTMLScriptElement()
    {86, 268, 0, 0, Smoke::mf_ctor, 195, 1},	//1290 DOM::HTMLSelectElement::HTMLSelectElement()
    {86, 268, 281, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 195, 2},	//1291 DOM::HTMLSelectElement::HTMLSelectElement(const DOM::HTMLSelectElement&)
    {86, 268, 15, 1, Smoke::mf_ctor, 195, 3},	//1292 DOM::HTMLSelectElement::HTMLSelectElement(const DOM::Node&)
    {86, 1148, 281, 1, 0, 194, 4},	//1293 DOM::HTMLSelectElement::operator=(const DOM::HTMLSelectElement&)
    {86, 1148, 15, 1, 0, 194, 5},	//1294 DOM::HTMLSelectElement::operator=(const DOM::Node&)
    {86, 1833, 0, 0, Smoke::mf_const, 65, 6},	//1295 DOM::HTMLSelectElement::type() const
    {86, 1309, 0, 0, Smoke::mf_const, 643, 7},	//1296 DOM::HTMLSelectElement::selectedIndex() const
    {86, 1625, 179, 1, 0, 0, 8},	//1297 DOM::HTMLSelectElement::setSelectedIndex(long)
    {86, 1854, 0, 0, Smoke::mf_const, 65, 9},	//1298 DOM::HTMLSelectElement::value() const
    {86, 1703, 19, 1, 0, 0, 10},	//1299 DOM::HTMLSelectElement::setValue(const DOM::DOMString&)
    {86, 1063, 0, 0, Smoke::mf_const, 643, 11},	//1300 DOM::HTMLSelectElement::length() const
    {86, 830, 0, 0, Smoke::mf_const, 135, 12},	//1301 DOM::HTMLSelectElement::form() const
    {86, 1156, 0, 0, Smoke::mf_const, 115, 13},	//1302 DOM::HTMLSelectElement::options() const
    {86, 737, 0, 0, Smoke::mf_const, 475, 14},	//1303 DOM::HTMLSelectElement::disabled() const
    {86, 1455, 135, 1, 0, 0, 15},	//1304 DOM::HTMLSelectElement::setDisabled(bool)
    {86, 1102, 0, 0, Smoke::mf_const, 475, 16},	//1305 DOM::HTMLSelectElement::multiple() const
    {86, 1563, 135, 1, 0, 0, 17},	//1306 DOM::HTMLSelectElement::setMultiple(bool)
    {86, 1103, 0, 0, Smoke::mf_const, 65, 18},	//1307 DOM::HTMLSelectElement::name() const
    {86, 1565, 19, 1, 0, 0, 19},	//1308 DOM::HTMLSelectElement::setName(const DOM::DOMString&)
    {86, 1741, 0, 0, Smoke::mf_const, 643, 20},	//1309 DOM::HTMLSelectElement::size() const
    {86, 1641, 179, 1, 0, 0, 21},	//1310 DOM::HTMLSelectElement::setSize(long)
    {86, 1800, 0, 0, Smoke::mf_const, 643, 22},	//1311 DOM::HTMLSelectElement::tabIndex() const
    {86, 1678, 179, 1, 0, 0, 23},	//1312 DOM::HTMLSelectElement::setTabIndex(long)
    {86, 513, 283, 2, 0, 0, 24},	//1313 DOM::HTMLSelectElement::add(const DOM::HTMLElement&, const DOM::HTMLElement&)
    {86, 1236, 179, 1, 0, 0, 25},	//1314 DOM::HTMLSelectElement::remove(long)
    {86, 566, 0, 0, 0, 0, 26},	//1315 DOM::HTMLSelectElement::blur()
    {86, 819, 0, 0, 0, 0, 27},	//1316 DOM::HTMLSelectElement::focus()
    {86, 1985, 0, 0, Smoke::mf_dtor, 0, 28 },	//1317 DOM::HTMLSelectElement::~HTMLSelectElement()
    {87, 270, 0, 0, Smoke::mf_ctor, 197, 1},	//1318 DOM::HTMLStyleElement::HTMLStyleElement()
    {87, 270, 286, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 197, 2},	//1319 DOM::HTMLStyleElement::HTMLStyleElement(const DOM::HTMLStyleElement&)
    {87, 270, 15, 1, Smoke::mf_ctor, 197, 3},	//1320 DOM::HTMLStyleElement::HTMLStyleElement(const DOM::Node&)
    {87, 1148, 286, 1, 0, 196, 4},	//1321 DOM::HTMLStyleElement::operator=(const DOM::HTMLStyleElement&)
    {87, 1148, 15, 1, 0, 196, 5},	//1322 DOM::HTMLStyleElement::operator=(const DOM::Node&)
    {87, 737, 0, 0, Smoke::mf_const, 475, 6},	//1323 DOM::HTMLStyleElement::disabled() const
    {87, 1455, 135, 1, 0, 0, 7},	//1324 DOM::HTMLStyleElement::setDisabled(bool)
    {87, 1083, 0, 0, Smoke::mf_const, 65, 8},	//1325 DOM::HTMLStyleElement::media() const
    {87, 1555, 19, 1, 0, 0, 9},	//1326 DOM::HTMLStyleElement::setMedia(const DOM::DOMString&)
    {87, 1833, 0, 0, Smoke::mf_const, 65, 10},	//1327 DOM::HTMLStyleElement::type() const
    {87, 1690, 19, 1, 0, 0, 11},	//1328 DOM::HTMLStyleElement::setType(const DOM::DOMString&)
    {87, 1733, 0, 0, Smoke::mf_const, 268, 12},	//1329 DOM::HTMLStyleElement::sheet() const
    {87, 1986, 0, 0, Smoke::mf_dtor, 0, 13 },	//1330 DOM::HTMLStyleElement::~HTMLStyleElement()
    {88, 272, 0, 0, Smoke::mf_ctor, 200, 1},	//1331 DOM::HTMLTableCaptionElement::HTMLTableCaptionElement()
    {88, 272, 288, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 200, 2},	//1332 DOM::HTMLTableCaptionElement::HTMLTableCaptionElement(const DOM::HTMLTableCaptionElement&)
    {88, 272, 15, 1, Smoke::mf_ctor, 200, 3},	//1333 DOM::HTMLTableCaptionElement::HTMLTableCaptionElement(const DOM::Node&)
    {88, 1148, 288, 1, 0, 199, 4},	//1334 DOM::HTMLTableCaptionElement::operator=(const DOM::HTMLTableCaptionElement&)
    {88, 1148, 15, 1, 0, 199, 5},	//1335 DOM::HTMLTableCaptionElement::operator=(const DOM::Node&)
    {88, 527, 0, 0, Smoke::mf_const, 65, 6},	//1336 DOM::HTMLTableCaptionElement::align() const
    {88, 1335, 19, 1, 0, 0, 7},	//1337 DOM::HTMLTableCaptionElement::setAlign(const DOM::DOMString&)
    {88, 1987, 0, 0, Smoke::mf_dtor, 0, 8 },	//1338 DOM::HTMLTableCaptionElement::~HTMLTableCaptionElement()
    {89, 274, 0, 0, Smoke::mf_ctor, 202, 1},	//1339 DOM::HTMLTableCellElement::HTMLTableCellElement()
    {89, 274, 290, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 202, 2},	//1340 DOM::HTMLTableCellElement::HTMLTableCellElement(const DOM::HTMLTableCellElement&)
    {89, 274, 15, 1, Smoke::mf_ctor, 202, 3},	//1341 DOM::HTMLTableCellElement::HTMLTableCellElement(const DOM::Node&)
    {89, 1148, 290, 1, 0, 201, 4},	//1342 DOM::HTMLTableCellElement::operator=(const DOM::HTMLTableCellElement&)
    {89, 1148, 15, 1, 0, 201, 5},	//1343 DOM::HTMLTableCellElement::operator=(const DOM::Node&)
    {89, 580, 0, 0, Smoke::mf_const, 643, 6},	//1344 DOM::HTMLTableCellElement::cellIndex() const
    {89, 1377, 179, 1, 0, 0, 7},	//1345 DOM::HTMLTableCellElement::setCellIndex(long)
    {89, 496, 0, 0, Smoke::mf_const, 65, 8},	//1346 DOM::HTMLTableCellElement::abbr() const
    {89, 1323, 19, 1, 0, 0, 9},	//1347 DOM::HTMLTableCellElement::setAbbr(const DOM::DOMString&)
    {89, 527, 0, 0, Smoke::mf_const, 65, 10},	//1348 DOM::HTMLTableCellElement::align() const
    {89, 1335, 19, 1, 0, 0, 11},	//1349 DOM::HTMLTableCellElement::setAlign(const DOM::DOMString&)
    {89, 553, 0, 0, Smoke::mf_const, 65, 12},	//1350 DOM::HTMLTableCellElement::axis() const
    {89, 1355, 19, 1, 0, 0, 13},	//1351 DOM::HTMLTableCellElement::setAxis(const DOM::DOMString&)
    {89, 564, 0, 0, Smoke::mf_const, 65, 14},	//1352 DOM::HTMLTableCellElement::bgColor() const
    {89, 1359, 19, 1, 0, 0, 15},	//1353 DOM::HTMLTableCellElement::setBgColor(const DOM::DOMString&)
    {89, 584, 0, 0, Smoke::mf_const, 65, 16},	//1354 DOM::HTMLTableCellElement::ch() const
    {89, 1385, 19, 1, 0, 0, 17},	//1355 DOM::HTMLTableCellElement::setCh(const DOM::DOMString&)
    {89, 585, 0, 0, Smoke::mf_const, 65, 18},	//1356 DOM::HTMLTableCellElement::chOff() const
    {89, 1387, 19, 1, 0, 0, 19},	//1357 DOM::HTMLTableCellElement::setChOff(const DOM::DOMString&)
    {89, 621, 0, 0, Smoke::mf_const, 643, 20},	//1358 DOM::HTMLTableCellElement::colSpan() const
    {89, 1406, 179, 1, 0, 0, 21},	//1359 DOM::HTMLTableCellElement::setColSpan(long)
    {89, 910, 0, 0, Smoke::mf_const, 65, 22},	//1360 DOM::HTMLTableCellElement::headers() const
    {89, 1491, 19, 1, 0, 0, 23},	//1361 DOM::HTMLTableCellElement::setHeaders(const DOM::DOMString&)
    {89, 911, 0, 0, Smoke::mf_const, 65, 24},	//1362 DOM::HTMLTableCellElement::height() const
    {89, 1493, 19, 1, 0, 0, 25},	//1363 DOM::HTMLTableCellElement::setHeight(const DOM::DOMString&)
    {89, 1118, 0, 0, Smoke::mf_const, 475, 26},	//1364 DOM::HTMLTableCellElement::noWrap() const
    {89, 1577, 135, 1, 0, 0, 27},	//1365 DOM::HTMLTableCellElement::setNoWrap(bool)
    {89, 1282, 0, 0, Smoke::mf_const, 643, 28},	//1366 DOM::HTMLTableCellElement::rowSpan() const
    {89, 1607, 179, 1, 0, 0, 29},	//1367 DOM::HTMLTableCellElement::setRowSpan(long)
    {89, 1292, 0, 0, Smoke::mf_const, 65, 30},	//1368 DOM::HTMLTableCellElement::scope() const
    {89, 1616, 19, 1, 0, 0, 31},	//1369 DOM::HTMLTableCellElement::setScope(const DOM::DOMString&)
    {89, 1851, 0, 0, Smoke::mf_const, 65, 32},	//1370 DOM::HTMLTableCellElement::vAlign() const
    {89, 1699, 19, 1, 0, 0, 33},	//1371 DOM::HTMLTableCellElement::setVAlign(const DOM::DOMString&)
    {89, 1875, 0, 0, Smoke::mf_const, 65, 34},	//1372 DOM::HTMLTableCellElement::width() const
    {89, 1719, 19, 1, 0, 0, 35},	//1373 DOM::HTMLTableCellElement::setWidth(const DOM::DOMString&)
    {89, 1988, 0, 0, Smoke::mf_dtor, 0, 36 },	//1374 DOM::HTMLTableCellElement::~HTMLTableCellElement()
    {90, 276, 0, 0, Smoke::mf_ctor, 204, 1},	//1375 DOM::HTMLTableColElement::HTMLTableColElement()
    {90, 276, 292, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 204, 2},	//1376 DOM::HTMLTableColElement::HTMLTableColElement(const DOM::HTMLTableColElement&)
    {90, 276, 15, 1, Smoke::mf_ctor, 204, 3},	//1377 DOM::HTMLTableColElement::HTMLTableColElement(const DOM::Node&)
    {90, 1148, 292, 1, 0, 203, 4},	//1378 DOM::HTMLTableColElement::operator=(const DOM::HTMLTableColElement&)
    {90, 1148, 15, 1, 0, 203, 5},	//1379 DOM::HTMLTableColElement::operator=(const DOM::Node&)
    {90, 527, 0, 0, Smoke::mf_const, 65, 6},	//1380 DOM::HTMLTableColElement::align() const
    {90, 1335, 19, 1, 0, 0, 7},	//1381 DOM::HTMLTableColElement::setAlign(const DOM::DOMString&)
    {90, 584, 0, 0, Smoke::mf_const, 65, 8},	//1382 DOM::HTMLTableColElement::ch() const
    {90, 1385, 19, 1, 0, 0, 9},	//1383 DOM::HTMLTableColElement::setCh(const DOM::DOMString&)
    {90, 585, 0, 0, Smoke::mf_const, 65, 10},	//1384 DOM::HTMLTableColElement::chOff() const
    {90, 1387, 19, 1, 0, 0, 11},	//1385 DOM::HTMLTableColElement::setChOff(const DOM::DOMString&)
    {90, 1748, 0, 0, Smoke::mf_const, 643, 12},	//1386 DOM::HTMLTableColElement::span() const
    {90, 1648, 179, 1, 0, 0, 13},	//1387 DOM::HTMLTableColElement::setSpan(long)
    {90, 1851, 0, 0, Smoke::mf_const, 65, 14},	//1388 DOM::HTMLTableColElement::vAlign() const
    {90, 1699, 19, 1, 0, 0, 15},	//1389 DOM::HTMLTableColElement::setVAlign(const DOM::DOMString&)
    {90, 1875, 0, 0, Smoke::mf_const, 65, 16},	//1390 DOM::HTMLTableColElement::width() const
    {90, 1719, 19, 1, 0, 0, 17},	//1391 DOM::HTMLTableColElement::setWidth(const DOM::DOMString&)
    {90, 1989, 0, 0, Smoke::mf_dtor, 0, 18 },	//1392 DOM::HTMLTableColElement::~HTMLTableColElement()
    {91, 278, 0, 0, Smoke::mf_ctor, 206, 1},	//1393 DOM::HTMLTableElement::HTMLTableElement()
    {91, 278, 294, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 206, 2},	//1394 DOM::HTMLTableElement::HTMLTableElement(const DOM::HTMLTableElement&)
    {91, 278, 15, 1, Smoke::mf_ctor, 206, 3},	//1395 DOM::HTMLTableElement::HTMLTableElement(const DOM::Node&)
    {91, 1148, 294, 1, 0, 205, 4},	//1396 DOM::HTMLTableElement::operator=(const DOM::HTMLTableElement&)
    {91, 1148, 15, 1, 0, 205, 5},	//1397 DOM::HTMLTableElement::operator=(const DOM::Node&)
    {91, 576, 0, 0, Smoke::mf_const, 198, 6},	//1398 DOM::HTMLTableElement::caption() const
    {91, 1366, 288, 1, 0, 0, 7},	//1399 DOM::HTMLTableElement::setCaption(const DOM::HTMLTableCaptionElement&)
    {91, 1799, 0, 0, Smoke::mf_const, 209, 8},	//1400 DOM::HTMLTableElement::tHead() const
    {91, 1676, 296, 1, 0, 0, 9},	//1401 DOM::HTMLTableElement::setTHead(const DOM::HTMLTableSectionElement&)
    {91, 1798, 0, 0, Smoke::mf_const, 209, 10},	//1402 DOM::HTMLTableElement::tFoot() const
    {91, 1674, 296, 1, 0, 0, 11},	//1403 DOM::HTMLTableElement::setTFoot(const DOM::HTMLTableSectionElement&)
    {91, 1283, 0, 0, Smoke::mf_const, 115, 12},	//1404 DOM::HTMLTableElement::rows() const
    {91, 1797, 0, 0, Smoke::mf_const, 115, 13},	//1405 DOM::HTMLTableElement::tBodies() const
    {91, 527, 0, 0, Smoke::mf_const, 65, 14},	//1406 DOM::HTMLTableElement::align() const
    {91, 1335, 19, 1, 0, 0, 15},	//1407 DOM::HTMLTableElement::setAlign(const DOM::DOMString&)
    {91, 564, 0, 0, Smoke::mf_const, 65, 16},	//1408 DOM::HTMLTableElement::bgColor() const
    {91, 1359, 19, 1, 0, 0, 17},	//1409 DOM::HTMLTableElement::setBgColor(const DOM::DOMString&)
    {91, 568, 0, 0, Smoke::mf_const, 65, 18},	//1410 DOM::HTMLTableElement::border() const
    {91, 1363, 19, 1, 0, 0, 19},	//1411 DOM::HTMLTableElement::setBorder(const DOM::DOMString&)
    {91, 581, 0, 0, Smoke::mf_const, 65, 20},	//1412 DOM::HTMLTableElement::cellPadding() const
    {91, 1379, 19, 1, 0, 0, 21},	//1413 DOM::HTMLTableElement::setCellPadding(const DOM::DOMString&)
    {91, 582, 0, 0, Smoke::mf_const, 65, 22},	//1414 DOM::HTMLTableElement::cellSpacing() const
    {91, 1381, 19, 1, 0, 0, 23},	//1415 DOM::HTMLTableElement::setCellSpacing(const DOM::DOMString&)
    {91, 835, 0, 0, Smoke::mf_const, 65, 24},	//1416 DOM::HTMLTableElement::frame() const
    {91, 1487, 19, 1, 0, 0, 25},	//1417 DOM::HTMLTableElement::setFrame(const DOM::DOMString&)
    {91, 1284, 0, 0, Smoke::mf_const, 65, 26},	//1418 DOM::HTMLTableElement::rules() const
    {91, 1612, 19, 1, 0, 0, 27},	//1419 DOM::HTMLTableElement::setRules(const DOM::DOMString&)
    {91, 1793, 0, 0, Smoke::mf_const, 65, 28},	//1420 DOM::HTMLTableElement::summary() const
    {91, 1669, 19, 1, 0, 0, 29},	//1421 DOM::HTMLTableElement::setSummary(const DOM::DOMString&)
    {91, 1875, 0, 0, Smoke::mf_const, 65, 30},	//1422 DOM::HTMLTableElement::width() const
    {91, 1719, 19, 1, 0, 0, 31},	//1423 DOM::HTMLTableElement::setWidth(const DOM::DOMString&)
    {91, 691, 0, 0, 0, 127, 32},	//1424 DOM::HTMLTableElement::createTHead()
    {91, 730, 0, 0, 0, 0, 33},	//1425 DOM::HTMLTableElement::deleteTHead()
    {91, 690, 0, 0, 0, 127, 34},	//1426 DOM::HTMLTableElement::createTFoot()
    {91, 729, 0, 0, 0, 0, 35},	//1427 DOM::HTMLTableElement::deleteTFoot()
    {91, 661, 0, 0, 0, 127, 36},	//1428 DOM::HTMLTableElement::createCaption()
    {91, 716, 0, 0, 0, 0, 37},	//1429 DOM::HTMLTableElement::deleteCaption()
    {91, 967, 179, 1, 0, 127, 38},	//1430 DOM::HTMLTableElement::insertRow(long)
    {91, 725, 179, 1, 0, 0, 39},	//1431 DOM::HTMLTableElement::deleteRow(long)
    {91, 1990, 0, 0, Smoke::mf_dtor, 0, 40 },	//1432 DOM::HTMLTableElement::~HTMLTableElement()
    {92, 280, 0, 0, Smoke::mf_ctor, 208, 1},	//1433 DOM::HTMLTableRowElement::HTMLTableRowElement()
    {92, 280, 298, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 208, 2},	//1434 DOM::HTMLTableRowElement::HTMLTableRowElement(const DOM::HTMLTableRowElement&)
    {92, 280, 15, 1, Smoke::mf_ctor, 208, 3},	//1435 DOM::HTMLTableRowElement::HTMLTableRowElement(const DOM::Node&)
    {92, 1148, 298, 1, 0, 207, 4},	//1436 DOM::HTMLTableRowElement::operator=(const DOM::HTMLTableRowElement&)
    {92, 1148, 15, 1, 0, 207, 5},	//1437 DOM::HTMLTableRowElement::operator=(const DOM::Node&)
    {92, 1281, 0, 0, Smoke::mf_const, 643, 6},	//1438 DOM::HTMLTableRowElement::rowIndex() const
    {92, 1605, 179, 1, 0, 0, 7},	//1439 DOM::HTMLTableRowElement::setRowIndex(long)
    {92, 1301, 0, 0, Smoke::mf_const, 643, 8},	//1440 DOM::HTMLTableRowElement::sectionRowIndex() const
    {92, 1620, 179, 1, 0, 0, 9},	//1441 DOM::HTMLTableRowElement::setSectionRowIndex(long)
    {92, 583, 0, 0, Smoke::mf_const, 115, 10},	//1442 DOM::HTMLTableRowElement::cells() const
    {92, 1383, 197, 1, 0, 0, 11},	//1443 DOM::HTMLTableRowElement::setCells(const DOM::HTMLCollection&)
    {92, 527, 0, 0, Smoke::mf_const, 65, 12},	//1444 DOM::HTMLTableRowElement::align() const
    {92, 1335, 19, 1, 0, 0, 13},	//1445 DOM::HTMLTableRowElement::setAlign(const DOM::DOMString&)
    {92, 564, 0, 0, Smoke::mf_const, 65, 14},	//1446 DOM::HTMLTableRowElement::bgColor() const
    {92, 1359, 19, 1, 0, 0, 15},	//1447 DOM::HTMLTableRowElement::setBgColor(const DOM::DOMString&)
    {92, 584, 0, 0, Smoke::mf_const, 65, 16},	//1448 DOM::HTMLTableRowElement::ch() const
    {92, 1385, 19, 1, 0, 0, 17},	//1449 DOM::HTMLTableRowElement::setCh(const DOM::DOMString&)
    {92, 585, 0, 0, Smoke::mf_const, 65, 18},	//1450 DOM::HTMLTableRowElement::chOff() const
    {92, 1387, 19, 1, 0, 0, 19},	//1451 DOM::HTMLTableRowElement::setChOff(const DOM::DOMString&)
    {92, 1851, 0, 0, Smoke::mf_const, 65, 20},	//1452 DOM::HTMLTableRowElement::vAlign() const
    {92, 1699, 19, 1, 0, 0, 21},	//1453 DOM::HTMLTableRowElement::setVAlign(const DOM::DOMString&)
    {92, 961, 179, 1, 0, 127, 22},	//1454 DOM::HTMLTableRowElement::insertCell(long)
    {92, 717, 179, 1, 0, 0, 23},	//1455 DOM::HTMLTableRowElement::deleteCell(long)
    {92, 1991, 0, 0, Smoke::mf_dtor, 0, 24 },	//1456 DOM::HTMLTableRowElement::~HTMLTableRowElement()
    {93, 282, 0, 0, Smoke::mf_ctor, 211, 1},	//1457 DOM::HTMLTableSectionElement::HTMLTableSectionElement()
    {93, 282, 296, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 211, 2},	//1458 DOM::HTMLTableSectionElement::HTMLTableSectionElement(const DOM::HTMLTableSectionElement&)
    {93, 282, 15, 1, Smoke::mf_ctor, 211, 3},	//1459 DOM::HTMLTableSectionElement::HTMLTableSectionElement(const DOM::Node&)
    {93, 1148, 296, 1, 0, 210, 4},	//1460 DOM::HTMLTableSectionElement::operator=(const DOM::HTMLTableSectionElement&)
    {93, 1148, 15, 1, 0, 210, 5},	//1461 DOM::HTMLTableSectionElement::operator=(const DOM::Node&)
    {93, 527, 0, 0, Smoke::mf_const, 65, 6},	//1462 DOM::HTMLTableSectionElement::align() const
    {93, 1335, 19, 1, 0, 0, 7},	//1463 DOM::HTMLTableSectionElement::setAlign(const DOM::DOMString&)
    {93, 584, 0, 0, Smoke::mf_const, 65, 8},	//1464 DOM::HTMLTableSectionElement::ch() const
    {93, 1385, 19, 1, 0, 0, 9},	//1465 DOM::HTMLTableSectionElement::setCh(const DOM::DOMString&)
    {93, 585, 0, 0, Smoke::mf_const, 65, 10},	//1466 DOM::HTMLTableSectionElement::chOff() const
    {93, 1387, 19, 1, 0, 0, 11},	//1467 DOM::HTMLTableSectionElement::setChOff(const DOM::DOMString&)
    {93, 1851, 0, 0, Smoke::mf_const, 65, 12},	//1468 DOM::HTMLTableSectionElement::vAlign() const
    {93, 1699, 19, 1, 0, 0, 13},	//1469 DOM::HTMLTableSectionElement::setVAlign(const DOM::DOMString&)
    {93, 1283, 0, 0, Smoke::mf_const, 115, 14},	//1470 DOM::HTMLTableSectionElement::rows() const
    {93, 967, 179, 1, 0, 127, 15},	//1471 DOM::HTMLTableSectionElement::insertRow(long)
    {93, 725, 179, 1, 0, 0, 16},	//1472 DOM::HTMLTableSectionElement::deleteRow(long)
    {93, 1992, 0, 0, Smoke::mf_dtor, 0, 17 },	//1473 DOM::HTMLTableSectionElement::~HTMLTableSectionElement()
    {94, 284, 0, 0, Smoke::mf_ctor, 213, 1},	//1474 DOM::HTMLTextAreaElement::HTMLTextAreaElement()
    {94, 284, 300, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 213, 2},	//1475 DOM::HTMLTextAreaElement::HTMLTextAreaElement(const DOM::HTMLTextAreaElement&)
    {94, 284, 15, 1, Smoke::mf_ctor, 213, 3},	//1476 DOM::HTMLTextAreaElement::HTMLTextAreaElement(const DOM::Node&)
    {94, 1148, 300, 1, 0, 212, 4},	//1477 DOM::HTMLTextAreaElement::operator=(const DOM::HTMLTextAreaElement&)
    {94, 1148, 15, 1, 0, 212, 5},	//1478 DOM::HTMLTextAreaElement::operator=(const DOM::Node&)
    {94, 713, 0, 0, Smoke::mf_const, 65, 6},	//1479 DOM::HTMLTextAreaElement::defaultValue() const
    {94, 1447, 19, 1, 0, 0, 7},	//1480 DOM::HTMLTextAreaElement::setDefaultValue(const DOM::DOMString&)
    {94, 830, 0, 0, Smoke::mf_const, 135, 8},	//1481 DOM::HTMLTextAreaElement::form() const
    {94, 504, 0, 0, Smoke::mf_const, 65, 9},	//1482 DOM::HTMLTextAreaElement::accessKey() const
    {94, 1329, 19, 1, 0, 0, 10},	//1483 DOM::HTMLTextAreaElement::setAccessKey(const DOM::DOMString&)
    {94, 626, 0, 0, Smoke::mf_const, 643, 11},	//1484 DOM::HTMLTextAreaElement::cols() const
    {94, 1410, 179, 1, 0, 0, 12},	//1485 DOM::HTMLTextAreaElement::setCols(long)
    {94, 737, 0, 0, Smoke::mf_const, 475, 13},	//1486 DOM::HTMLTextAreaElement::disabled() const
    {94, 1455, 135, 1, 0, 0, 14},	//1487 DOM::HTMLTextAreaElement::setDisabled(bool)
    {94, 1103, 0, 0, Smoke::mf_const, 65, 15},	//1488 DOM::HTMLTextAreaElement::name() const
    {94, 1565, 19, 1, 0, 0, 16},	//1489 DOM::HTMLTextAreaElement::setName(const DOM::DOMString&)
    {94, 1228, 0, 0, Smoke::mf_const, 475, 17},	//1490 DOM::HTMLTextAreaElement::readOnly() const
    {94, 1599, 135, 1, 0, 0, 18},	//1491 DOM::HTMLTextAreaElement::setReadOnly(bool)
    {94, 1283, 0, 0, Smoke::mf_const, 643, 19},	//1492 DOM::HTMLTextAreaElement::rows() const
    {94, 1609, 179, 1, 0, 0, 20},	//1493 DOM::HTMLTextAreaElement::setRows(long)
    {94, 1800, 0, 0, Smoke::mf_const, 643, 21},	//1494 DOM::HTMLTextAreaElement::tabIndex() const
    {94, 1678, 179, 1, 0, 0, 22},	//1495 DOM::HTMLTextAreaElement::setTabIndex(long)
    {94, 1833, 0, 0, Smoke::mf_const, 65, 23},	//1496 DOM::HTMLTextAreaElement::type() const
    {94, 1854, 0, 0, Smoke::mf_const, 65, 24},	//1497 DOM::HTMLTextAreaElement::value() const
    {94, 1703, 19, 1, 0, 0, 25},	//1498 DOM::HTMLTextAreaElement::setValue(const DOM::DOMString&)
    {94, 566, 0, 0, 0, 0, 26},	//1499 DOM::HTMLTextAreaElement::blur()
    {94, 819, 0, 0, 0, 0, 27},	//1500 DOM::HTMLTextAreaElement::focus()
    {94, 1302, 0, 0, 0, 0, 28},	//1501 DOM::HTMLTextAreaElement::select()
    {94, 1317, 0, 0, 0, 643, 29},	//1502 DOM::HTMLTextAreaElement::selectionStart()
    {94, 1635, 179, 1, 0, 0, 30},	//1503 DOM::HTMLTextAreaElement::setSelectionStart(long)
    {94, 1316, 0, 0, 0, 643, 31},	//1504 DOM::HTMLTextAreaElement::selectionEnd()
    {94, 1631, 179, 1, 0, 0, 32},	//1505 DOM::HTMLTextAreaElement::setSelectionEnd(long)
    {94, 1633, 240, 2, 0, 0, 33},	//1506 DOM::HTMLTextAreaElement::setSelectionRange(long, long)
    {94, 1809, 0, 0, 0, 643, 34},	//1507 DOM::HTMLTextAreaElement::textLength()
    {94, 1993, 0, 0, Smoke::mf_dtor, 0, 35 },	//1508 DOM::HTMLTextAreaElement::~HTMLTextAreaElement()
    {95, 286, 0, 0, Smoke::mf_ctor, 215, 1},	//1509 DOM::HTMLTitleElement::HTMLTitleElement()
    {95, 286, 302, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 215, 2},	//1510 DOM::HTMLTitleElement::HTMLTitleElement(const DOM::HTMLTitleElement&)
    {95, 286, 15, 1, Smoke::mf_ctor, 215, 3},	//1511 DOM::HTMLTitleElement::HTMLTitleElement(const DOM::Node&)
    {95, 1148, 302, 1, 0, 214, 4},	//1512 DOM::HTMLTitleElement::operator=(const DOM::HTMLTitleElement&)
    {95, 1148, 15, 1, 0, 214, 5},	//1513 DOM::HTMLTitleElement::operator=(const DOM::Node&)
    {95, 1806, 0, 0, Smoke::mf_const, 65, 6},	//1514 DOM::HTMLTitleElement::text() const
    {95, 1682, 19, 1, 0, 0, 7},	//1515 DOM::HTMLTitleElement::setText(const DOM::DOMString&)
    {95, 1994, 0, 0, Smoke::mf_dtor, 0, 8 },	//1516 DOM::HTMLTitleElement::~HTMLTitleElement()
    {96, 288, 0, 0, Smoke::mf_ctor, 217, 1},	//1517 DOM::HTMLUListElement::HTMLUListElement()
    {96, 288, 304, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 217, 2},	//1518 DOM::HTMLUListElement::HTMLUListElement(const DOM::HTMLUListElement&)
    {96, 288, 15, 1, Smoke::mf_ctor, 217, 3},	//1519 DOM::HTMLUListElement::HTMLUListElement(const DOM::Node&)
    {96, 1148, 304, 1, 0, 216, 4},	//1520 DOM::HTMLUListElement::operator=(const DOM::HTMLUListElement&)
    {96, 1148, 15, 1, 0, 216, 5},	//1521 DOM::HTMLUListElement::operator=(const DOM::Node&)
    {96, 628, 0, 0, Smoke::mf_const, 475, 6},	//1522 DOM::HTMLUListElement::compact() const
    {96, 1413, 135, 1, 0, 0, 7},	//1523 DOM::HTMLUListElement::setCompact(bool)
    {96, 1833, 0, 0, Smoke::mf_const, 65, 8},	//1524 DOM::HTMLUListElement::type() const
    {96, 1690, 19, 1, 0, 0, 9},	//1525 DOM::HTMLUListElement::setType(const DOM::DOMString&)
    {96, 1995, 0, 0, Smoke::mf_dtor, 0, 10 },	//1526 DOM::HTMLUListElement::~HTMLUListElement()
    {97, 331, 0, 0, Smoke::mf_ctor, 219, 1},	//1527 DOM::KeyboardEvent::KeyboardEvent()
    {97, 331, 306, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 219, 2},	//1528 DOM::KeyboardEvent::KeyboardEvent(const DOM::KeyboardEvent&)
    {97, 331, 165, 1, Smoke::mf_ctor, 219, 3},	//1529 DOM::KeyboardEvent::KeyboardEvent(const DOM::Event&)
    {97, 1148, 306, 1, 0, 218, 4},	//1530 DOM::KeyboardEvent::operator=(const DOM::KeyboardEvent&)
    {97, 1148, 165, 1, 0, 218, 5},	//1531 DOM::KeyboardEvent::operator=(const DOM::Event&)
    {97, 1025, 0, 0, Smoke::mf_const, 65, 6},	//1532 DOM::KeyboardEvent::keyIdentifier() const
    {97, 1026, 0, 0, Smoke::mf_const, 647, 7},	//1533 DOM::KeyboardEvent::keyLocation() const
    {97, 699, 0, 0, Smoke::mf_const, 475, 8},	//1534 DOM::KeyboardEvent::ctrlKey() const
    {97, 1734, 0, 0, Smoke::mf_const, 475, 9},	//1535 DOM::KeyboardEvent::shiftKey() const
    {97, 531, 0, 0, Smoke::mf_const, 475, 10},	//1536 DOM::KeyboardEvent::altKey() const
    {97, 1086, 0, 0, Smoke::mf_const, 475, 11},	//1537 DOM::KeyboardEvent::metaKey() const
    {97, 873, 308, 1, Smoke::mf_const, 475, 12},	//1538 DOM::KeyboardEvent::getModifierState(DOM::DOMString) const
    {97, 942, 310, 7, 0, 0, 13},	//1539 DOM::KeyboardEvent::initKeyboardEvent(DOM::DOMString, bool, bool, DOM::AbstractView, DOM::DOMString, unsigned long, DOM::DOMString)
    {97, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 14},	//1540 DOM::KeyboardEvent::DOM_KEY_LOCATION_STANDARD (enum)
    {97, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 15},	//1541 DOM::KeyboardEvent::DOM_KEY_LOCATION_LEFT (enum)
    {97, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 16},	//1542 DOM::KeyboardEvent::DOM_KEY_LOCATION_RIGHT (enum)
    {97, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 17},	//1543 DOM::KeyboardEvent::DOM_KEY_LOCATION_NUMPAD (enum)
    {97, 1999, 0, 0, Smoke::mf_dtor, 0, 18 },	//1544 DOM::KeyboardEvent::~KeyboardEvent()
    {98, 352, 0, 0, Smoke::mf_ctor, 222, 1},	//1545 DOM::LinkStyle::LinkStyle()
    {98, 352, 318, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 222, 2},	//1546 DOM::LinkStyle::LinkStyle(const DOM::LinkStyle&)
    {98, 1148, 318, 1, 0, 221, 3},	//1547 DOM::LinkStyle::operator=(const DOM::LinkStyle&)
    {98, 1148, 15, 1, 0, 221, 4},	//1548 DOM::LinkStyle::operator=(const DOM::Node&)
    {98, 1733, 0, 0, 0, 268, 5},	//1549 DOM::LinkStyle::sheet()
    {98, 1005, 0, 0, Smoke::mf_const, 475, 6},	//1550 DOM::LinkStyle::isNull() const
    {98, 2000, 0, 0, Smoke::mf_dtor, 0, 7 },	//1551 DOM::LinkStyle::~LinkStyle()
    {99, 358, 0, 0, Smoke::mf_ctor, 225, 1},	//1552 DOM::MediaList::MediaList()
    {99, 358, 320, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 225, 2},	//1553 DOM::MediaList::MediaList(const DOM::MediaList&)
    {99, 1148, 320, 1, 0, 224, 3},	//1554 DOM::MediaList::operator=(const DOM::MediaList&)
    {99, 1084, 0, 0, Smoke::mf_const, 65, 4},	//1555 DOM::MediaList::mediaText() const
    {99, 1557, 19, 1, 0, 0, 5},	//1556 DOM::MediaList::setMediaText(const DOM::DOMString&)
    {99, 1063, 0, 0, Smoke::mf_const, 647, 6},	//1557 DOM::MediaList::length() const
    {99, 1015, 42, 1, Smoke::mf_const, 65, 7},	//1558 DOM::MediaList::item(unsigned long) const
    {99, 723, 19, 1, 0, 0, 8},	//1559 DOM::MediaList::deleteMedium(const DOM::DOMString&)
    {99, 537, 19, 1, 0, 0, 9},	//1560 DOM::MediaList::appendMedium(const DOM::DOMString&)
    {99, 1005, 0, 0, Smoke::mf_const, 475, 10},	//1561 DOM::MediaList::isNull() const
    {99, 2001, 0, 0, Smoke::mf_dtor, 0, 11 },	//1562 DOM::MediaList::~MediaList()
    {100, 365, 0, 0, Smoke::mf_ctor, 227, 1},	//1563 DOM::MouseEvent::MouseEvent()
    {100, 365, 322, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 227, 2},	//1564 DOM::MouseEvent::MouseEvent(const DOM::MouseEvent&)
    {100, 365, 165, 1, Smoke::mf_ctor, 227, 3},	//1565 DOM::MouseEvent::MouseEvent(const DOM::Event&)
    {100, 1148, 322, 1, 0, 226, 4},	//1566 DOM::MouseEvent::operator=(const DOM::MouseEvent&)
    {100, 1148, 165, 1, 0, 226, 5},	//1567 DOM::MouseEvent::operator=(const DOM::Event&)
    {100, 1293, 0, 0, Smoke::mf_const, 643, 6},	//1568 DOM::MouseEvent::screenX() const
    {100, 1294, 0, 0, Smoke::mf_const, 643, 7},	//1569 DOM::MouseEvent::screenY() const
    {100, 602, 0, 0, Smoke::mf_const, 643, 8},	//1570 DOM::MouseEvent::clientX() const
    {100, 603, 0, 0, Smoke::mf_const, 643, 9},	//1571 DOM::MouseEvent::clientY() const
    {100, 699, 0, 0, Smoke::mf_const, 475, 10},	//1572 DOM::MouseEvent::ctrlKey() const
    {100, 1734, 0, 0, Smoke::mf_const, 475, 11},	//1573 DOM::MouseEvent::shiftKey() const
    {100, 531, 0, 0, Smoke::mf_const, 475, 12},	//1574 DOM::MouseEvent::altKey() const
    {100, 1086, 0, 0, Smoke::mf_const, 475, 13},	//1575 DOM::MouseEvent::metaKey() const
    {100, 574, 0, 0, Smoke::mf_const, 649, 14},	//1576 DOM::MouseEvent::button() const
    {100, 1235, 0, 0, Smoke::mf_const, 234, 15},	//1577 DOM::MouseEvent::relatedTarget() const
    {100, 944, 324, 15, 0, 0, 16},	//1578 DOM::MouseEvent::initMouseEvent(const DOM::DOMString&, bool, bool, const DOM::AbstractView&, long, long, long, long, long, bool, bool, bool, bool, unsigned short, const DOM::Node&)
    {100, 2003, 0, 0, Smoke::mf_dtor, 0, 17 },	//1579 DOM::MouseEvent::~MouseEvent()
    {101, 378, 0, 0, Smoke::mf_ctor, 229, 1},	//1580 DOM::MutationEvent::MutationEvent()
    {101, 378, 340, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 229, 2},	//1581 DOM::MutationEvent::MutationEvent(const DOM::MutationEvent&)
    {101, 378, 165, 1, Smoke::mf_ctor, 229, 3},	//1582 DOM::MutationEvent::MutationEvent(const DOM::Event&)
    {101, 1148, 340, 1, 0, 228, 4},	//1583 DOM::MutationEvent::operator=(const DOM::MutationEvent&)
    {101, 1148, 165, 1, 0, 228, 5},	//1584 DOM::MutationEvent::operator=(const DOM::Event&)
    {101, 1234, 0, 0, Smoke::mf_const, 234, 6},	//1585 DOM::MutationEvent::relatedNode() const
    {101, 1196, 0, 0, Smoke::mf_const, 65, 7},	//1586 DOM::MutationEvent::prevValue() const
    {101, 1107, 0, 0, Smoke::mf_const, 65, 8},	//1587 DOM::MutationEvent::newValue() const
    {101, 547, 0, 0, Smoke::mf_const, 65, 9},	//1588 DOM::MutationEvent::attrName() const
    {101, 546, 0, 0, Smoke::mf_const, 649, 10},	//1589 DOM::MutationEvent::attrChange() const
    {101, 946, 342, 8, 0, 0, 11},	//1590 DOM::MutationEvent::initMutationEvent(const DOM::DOMString&, bool, bool, const DOM::Node&, const DOM::DOMString&, const DOM::DOMString&, const DOM::DOMString&, unsigned short)
    {101, 357, 0, 0, Smoke::mf_static|Smoke::mf_enum, 230, 12},	//1591 DOM::MutationEvent::MODIFICATION (enum)
    {101, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 230, 13},	//1592 DOM::MutationEvent::ADDITION (enum)
    {101, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 230, 14},	//1593 DOM::MutationEvent::REMOVAL (enum)
    {101, 2007, 0, 0, Smoke::mf_dtor, 0, 15 },	//1594 DOM::MutationEvent::~MutationEvent()
    {102, 389, 0, 0, Smoke::mf_ctor, 233, 1},	//1595 DOM::NamedNodeMap::NamedNodeMap()
    {102, 389, 351, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 233, 2},	//1596 DOM::NamedNodeMap::NamedNodeMap(const DOM::NamedNodeMap&)
    {102, 1148, 351, 1, 0, 232, 3},	//1597 DOM::NamedNodeMap::operator=(const DOM::NamedNodeMap&)
    {102, 1063, 0, 0, Smoke::mf_const, 647, 4},	//1598 DOM::NamedNodeMap::length() const
    {102, 875, 19, 1, Smoke::mf_const, 234, 5},	//1599 DOM::NamedNodeMap::getNamedItem(const DOM::DOMString&) const
    {102, 1567, 15, 1, 0, 234, 6},	//1600 DOM::NamedNodeMap::setNamedItem(const DOM::Node&)
    {102, 1251, 19, 1, 0, 234, 7},	//1601 DOM::NamedNodeMap::removeNamedItem(const DOM::DOMString&)
    {102, 1015, 42, 1, Smoke::mf_const, 234, 8},	//1602 DOM::NamedNodeMap::item(unsigned long) const
    {102, 877, 4, 2, Smoke::mf_const, 234, 9},	//1603 DOM::NamedNodeMap::getNamedItemNS(const DOM::DOMString&, const DOM::DOMString&) const
    {102, 1569, 15, 1, 0, 234, 10},	//1604 DOM::NamedNodeMap::setNamedItemNS(const DOM::Node&)
    {102, 1253, 4, 2, 0, 234, 11},	//1605 DOM::NamedNodeMap::removeNamedItemNS(const DOM::DOMString&, const DOM::DOMString&)
    {102, 1005, 0, 0, Smoke::mf_const, 475, 12},	//1606 DOM::NamedNodeMap::isNull() const
    {102, 2008, 0, 0, Smoke::mf_dtor, 0, 13 },	//1607 DOM::NamedNodeMap::~NamedNodeMap()
    {103, 393, 0, 0, Smoke::mf_ctor, 236, 1},	//1608 DOM::Node::Node()
    {103, 393, 15, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 236, 2},	//1609 DOM::Node::Node(const DOM::Node&)
    {103, 1148, 15, 1, 0, 235, 3},	//1610 DOM::Node::operator=(const DOM::Node&)
    {103, 1150, 15, 1, Smoke::mf_const, 475, 4},	//1611 DOM::Node::operator==(const DOM::Node&) const
    {103, 1140, 15, 1, Smoke::mf_const, 475, 5},	//1612 DOM::Node::operator!=(const DOM::Node&) const
    {103, 1121, 0, 0, Smoke::mf_const, 65, 6},	//1613 DOM::Node::nodeName() const
    {103, 1124, 0, 0, Smoke::mf_const, 65, 7},	//1614 DOM::Node::nodeValue() const
    {103, 1579, 19, 1, 0, 0, 8},	//1615 DOM::Node::setNodeValue(const DOM::DOMString&)
    {103, 1122, 0, 0, Smoke::mf_const, 649, 9},	//1616 DOM::Node::nodeType() const
    {103, 1173, 0, 0, Smoke::mf_const, 234, 10},	//1617 DOM::Node::parentNode() const
    {103, 594, 0, 0, Smoke::mf_const, 247, 11},	//1618 DOM::Node::childNodes() const
    {103, 815, 0, 0, Smoke::mf_const, 234, 12},	//1619 DOM::Node::firstChild() const
    {103, 1054, 0, 0, Smoke::mf_const, 234, 13},	//1620 DOM::Node::lastChild() const
    {103, 1200, 0, 0, Smoke::mf_const, 234, 14},	//1621 DOM::Node::previousSibling() const
    {103, 1114, 0, 0, Smoke::mf_const, 234, 15},	//1622 DOM::Node::nextSibling() const
    {103, 548, 0, 0, Smoke::mf_const, 231, 16},	//1623 DOM::Node::attributes() const
    {103, 1157, 0, 0, Smoke::mf_const, 68, 17},	//1624 DOM::Node::ownerDocument() const
    {103, 959, 353, 2, 0, 234, 18},	//1625 DOM::Node::insertBefore(const DOM::Node&, const DOM::Node&)
    {103, 1263, 353, 2, 0, 234, 19},	//1626 DOM::Node::replaceChild(const DOM::Node&, const DOM::Node&)
    {103, 1247, 15, 1, 0, 234, 20},	//1627 DOM::Node::removeChild(const DOM::Node&)
    {103, 533, 15, 1, 0, 234, 21},	//1628 DOM::Node::appendChild(const DOM::Node&)
    {103, 905, 0, 0, 0, 475, 22},	//1629 DOM::Node::hasChildNodes()
    {103, 609, 135, 1, 0, 234, 23},	//1630 DOM::Node::cloneNode(bool)
    {103, 1126, 0, 0, 0, 0, 24},	//1631 DOM::Node::normalize()
    {103, 1013, 4, 2, Smoke::mf_const, 475, 25},	//1632 DOM::Node::isSupported(const DOM::DOMString&, const DOM::DOMString&) const
    {103, 1106, 0, 0, Smoke::mf_const, 65, 26},	//1633 DOM::Node::namespaceURI() const
    {103, 1190, 0, 0, Smoke::mf_const, 65, 27},	//1634 DOM::Node::prefix() const
    {103, 1591, 19, 1, 0, 0, 28},	//1635 DOM::Node::setPrefix(const DOM::DOMString&)
    {103, 1072, 0, 0, Smoke::mf_const, 65, 29},	//1636 DOM::Node::localName() const
    {103, 904, 0, 0, 0, 475, 30},	//1637 DOM::Node::hasAttributes()
    {103, 521, 356, 3, 0, 0, 31},	//1638 DOM::Node::addEventListener(const DOM::DOMString&, DOM::EventListener*, const bool)
    {103, 1249, 360, 3, 0, 0, 32},	//1639 DOM::Node::removeEventListener(const DOM::DOMString&, DOM::EventListener*, bool)
    {103, 739, 165, 1, 0, 475, 33},	//1640 DOM::Node::dispatchEvent(const DOM::Event&)
    {103, 1808, 0, 0, Smoke::mf_const, 65, 34},	//1641 DOM::Node::textContent() const
    {103, 1684, 19, 1, 0, 0, 35},	//1642 DOM::Node::setTextContent(const DOM::DOMString&)
    {103, 631, 15, 1, 0, 646, 36},	//1643 DOM::Node::compareDocumentPosition(const DOM::Node&)
    {103, 764, 0, 0, Smoke::mf_const, 646, 37},	//1644 DOM::Node::elementId() const
    {103, 1005, 0, 0, Smoke::mf_const, 475, 38},	//1645 DOM::Node::isNull() const
    {103, 936, 0, 0, Smoke::mf_const, 647, 39},	//1646 DOM::Node::index() const
    {103, 1816, 0, 0, 0, 370, 40},	//1647 DOM::Node::toHTML()
    {103, 540, 0, 0, 0, 0, 41},	//1648 DOM::Node::applyChanges()
    {103, 856, 364, 4, 0, 0, 42},	//1649 DOM::Node::getCursor(int, int&, int&, int&)
    {103, 888, 0, 0, 0, 365, 43},	//1650 DOM::Node::getRect()
    {103, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 44},	//1651 DOM::Node::ELEMENT_NODE (enum)
    {103, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 45},	//1652 DOM::Node::ATTRIBUTE_NODE (enum)
    {103, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 46},	//1653 DOM::Node::TEXT_NODE (enum)
    {103, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 47},	//1654 DOM::Node::CDATA_SECTION_NODE (enum)
    {103, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 48},	//1655 DOM::Node::ENTITY_REFERENCE_NODE (enum)
    {103, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 49},	//1656 DOM::Node::ENTITY_NODE (enum)
    {103, 406, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 50},	//1657 DOM::Node::PROCESSING_INSTRUCTION_NODE (enum)
    {103, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 51},	//1658 DOM::Node::COMMENT_NODE (enum)
    {103, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 52},	//1659 DOM::Node::DOCUMENT_NODE (enum)
    {103, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 53},	//1660 DOM::Node::DOCUMENT_TYPE_NODE (enum)
    {103, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 54},	//1661 DOM::Node::DOCUMENT_FRAGMENT_NODE (enum)
    {103, 383, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 55},	//1662 DOM::Node::NOTATION_NODE (enum)
    {103, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 56},	//1663 DOM::Node::XPATH_NAMESPACE_NODE (enum)
    {103, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 57},	//1664 DOM::Node::DOCUMENT_POSITION_DISCONNECTED (enum)
    {103, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 58},	//1665 DOM::Node::DOCUMENT_POSITION_PRECEDING (enum)
    {103, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 59},	//1666 DOM::Node::DOCUMENT_POSITION_FOLLOWING (enum)
    {103, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 60},	//1667 DOM::Node::DOCUMENT_POSITION_CONTAINS (enum)
    {103, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 61},	//1668 DOM::Node::DOCUMENT_POSITION_CONTAINED_BY (enum)
    {103, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 62},	//1669 DOM::Node::DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC (enum)
    {103, 2009, 0, 0, Smoke::mf_dtor, 0, 63 },	//1670 DOM::Node::~Node()
    {104, 395, 0, 0, Smoke::mf_ctor, 241, 1},	//1671 DOM::NodeFilter::NodeFilter()
    {104, 395, 369, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 241, 2},	//1672 DOM::NodeFilter::NodeFilter(const DOM::NodeFilter&)
    {104, 1148, 369, 1, Smoke::mf_virtual, 240, 3},	//1673 DOM::NodeFilter::operator=(const DOM::NodeFilter&)
    {104, 502, 15, 1, Smoke::mf_virtual, 645, 4},	//1674 DOM::NodeFilter::acceptNode(const DOM::Node&)
    {104, 1005, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 475, 5},	//1675 DOM::NodeFilter::isNull() const
    {104, 1430, 371, 1, 0, 0, 6},	//1676 DOM::NodeFilter::setCustomNodeFilter(DOM::CustomNodeFilter*)
    {104, 706, 0, 0, 0, 58, 7},	//1677 DOM::NodeFilter::customNodeFilter()
    {104, 666, 371, 1, Smoke::mf_static, 239, 8},	//1678 DOM::NodeFilter::createCustom(DOM::CustomNodeFilter*)
    {104, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 242, 9},	//1679 DOM::NodeFilter::FILTER_ACCEPT (enum)
    {104, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 242, 10},	//1680 DOM::NodeFilter::FILTER_REJECT (enum)
    {104, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 242, 11},	//1681 DOM::NodeFilter::FILTER_SKIP (enum)
    {104, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 12},	//1682 DOM::NodeFilter::SHOW_ALL (enum)
    {104, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 13},	//1683 DOM::NodeFilter::SHOW_ELEMENT (enum)
    {104, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 14},	//1684 DOM::NodeFilter::SHOW_ATTRIBUTE (enum)
    {104, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 15},	//1685 DOM::NodeFilter::SHOW_TEXT (enum)
    {104, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 16},	//1686 DOM::NodeFilter::SHOW_CDATA_SECTION (enum)
    {104, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 17},	//1687 DOM::NodeFilter::SHOW_ENTITY_REFERENCE (enum)
    {104, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 18},	//1688 DOM::NodeFilter::SHOW_ENTITY (enum)
    {104, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 19},	//1689 DOM::NodeFilter::SHOW_PROCESSING_INSTRUCTION (enum)
    {104, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 20},	//1690 DOM::NodeFilter::SHOW_COMMENT (enum)
    {104, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 21},	//1691 DOM::NodeFilter::SHOW_DOCUMENT (enum)
    {104, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 22},	//1692 DOM::NodeFilter::SHOW_DOCUMENT_TYPE (enum)
    {104, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 23},	//1693 DOM::NodeFilter::SHOW_DOCUMENT_FRAGMENT (enum)
    {104, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 24},	//1694 DOM::NodeFilter::SHOW_NOTATION (enum)
    {104, 2010, 0, 0, Smoke::mf_dtor, 0, 25 },	//1695 DOM::NodeFilter::~NodeFilter()
    {105, 397, 0, 0, Smoke::mf_ctor, 246, 1},	//1696 DOM::NodeIterator::NodeIterator()
    {105, 397, 373, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 246, 2},	//1697 DOM::NodeIterator::NodeIterator(const DOM::NodeIterator&)
    {105, 1148, 373, 1, 0, 245, 3},	//1698 DOM::NodeIterator::operator=(const DOM::NodeIterator&)
    {105, 1280, 0, 0, 0, 234, 4},	//1699 DOM::NodeIterator::root()
    {105, 1868, 0, 0, 0, 647, 5},	//1700 DOM::NodeIterator::whatToShow()
    {105, 794, 0, 0, 0, 239, 6},	//1701 DOM::NodeIterator::filter()
    {105, 789, 0, 0, 0, 475, 7},	//1702 DOM::NodeIterator::expandEntityReferences()
    {105, 1113, 0, 0, 0, 234, 8},	//1703 DOM::NodeIterator::nextNode()
    {105, 1199, 0, 0, 0, 234, 9},	//1704 DOM::NodeIterator::previousNode()
    {105, 733, 0, 0, 0, 0, 10},	//1705 DOM::NodeIterator::detach()
    {105, 1005, 0, 0, Smoke::mf_const, 475, 11},	//1706 DOM::NodeIterator::isNull() const
    {105, 2011, 0, 0, Smoke::mf_dtor, 0, 12 },	//1707 DOM::NodeIterator::~NodeIterator()
    {106, 399, 0, 0, Smoke::mf_ctor, 249, 1},	//1708 DOM::NodeList::NodeList()
    {106, 399, 375, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 249, 2},	//1709 DOM::NodeList::NodeList(const DOM::NodeList&)
    {106, 1148, 375, 1, 0, 248, 3},	//1710 DOM::NodeList::operator=(const DOM::NodeList&)
    {106, 1063, 0, 0, Smoke::mf_const, 647, 4},	//1711 DOM::NodeList::length() const
    {106, 1015, 42, 1, Smoke::mf_const, 234, 5},	//1712 DOM::NodeList::item(unsigned long) const
    {106, 1005, 0, 0, Smoke::mf_const, 475, 6},	//1713 DOM::NodeList::isNull() const
    {106, 2012, 0, 0, Smoke::mf_dtor, 0, 7 },	//1714 DOM::NodeList::~NodeList()
    {107, 402, 0, 0, Smoke::mf_ctor, 251, 1},	//1715 DOM::Notation::Notation()
    {107, 402, 377, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 251, 2},	//1716 DOM::Notation::Notation(const DOM::Notation&)
    {107, 402, 15, 1, Smoke::mf_ctor, 251, 3},	//1717 DOM::Notation::Notation(const DOM::Node&)
    {107, 1148, 15, 1, 0, 250, 4},	//1718 DOM::Notation::operator=(const DOM::Node&)
    {107, 1148, 377, 1, 0, 250, 5},	//1719 DOM::Notation::operator=(const DOM::Notation&)
    {107, 1206, 0, 0, Smoke::mf_const, 65, 6},	//1720 DOM::Notation::publicId() const
    {107, 1796, 0, 0, Smoke::mf_const, 65, 7},	//1721 DOM::Notation::systemId() const
    {107, 2013, 0, 0, Smoke::mf_dtor, 0, 8 },	//1722 DOM::Notation::~Notation()
    {108, 409, 0, 0, Smoke::mf_ctor, 254, 1},	//1723 DOM::ProcessingInstruction::ProcessingInstruction()
    {108, 409, 379, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 254, 2},	//1724 DOM::ProcessingInstruction::ProcessingInstruction(const DOM::ProcessingInstruction&)
    {108, 409, 15, 1, Smoke::mf_ctor, 254, 3},	//1725 DOM::ProcessingInstruction::ProcessingInstruction(const DOM::Node&)
    {108, 1148, 15, 1, 0, 253, 4},	//1726 DOM::ProcessingInstruction::operator=(const DOM::Node&)
    {108, 1148, 379, 1, 0, 253, 5},	//1727 DOM::ProcessingInstruction::operator=(const DOM::ProcessingInstruction&)
    {108, 1803, 0, 0, Smoke::mf_const, 65, 6},	//1728 DOM::ProcessingInstruction::target() const
    {108, 708, 0, 0, Smoke::mf_const, 65, 7},	//1729 DOM::ProcessingInstruction::data() const
    {108, 1437, 19, 1, 0, 0, 8},	//1730 DOM::ProcessingInstruction::setData(const DOM::DOMString&)
    {108, 1733, 0, 0, Smoke::mf_const, 268, 9},	//1731 DOM::ProcessingInstruction::sheet() const
    {108, 2014, 0, 0, Smoke::mf_dtor, 0, 10 },	//1732 DOM::ProcessingInstruction::~ProcessingInstruction()
    {109, 424, 0, 0, Smoke::mf_ctor, 257, 1},	//1733 DOM::RGBColor::RGBColor()
    {109, 424, 381, 1, Smoke::mf_ctor, 257, 2},	//1734 DOM::RGBColor::RGBColor(const QColor&)
    {109, 424, 116, 1, Smoke::mf_ctor, 257, 3},	//1735 DOM::RGBColor::RGBColor(unsigned int)
    {109, 424, 383, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 257, 4},	//1736 DOM::RGBColor::RGBColor(const DOM::RGBColor&)
    {109, 1148, 383, 1, 0, 256, 5},	//1737 DOM::RGBColor::operator=(const DOM::RGBColor&)
    {109, 1229, 0, 0, Smoke::mf_const, 23, 6},	//1738 DOM::RGBColor::red() const
    {109, 895, 0, 0, Smoke::mf_const, 23, 7},	//1739 DOM::RGBColor::green() const
    {109, 565, 0, 0, Smoke::mf_const, 23, 8},	//1740 DOM::RGBColor::blue() const
    {109, 625, 0, 0, Smoke::mf_const, 646, 9},	//1741 DOM::RGBColor::color() const
    {109, 1076, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 646, 10},	//1742 DOM::RGBColor::m_color() const
    {109, 1544, 116, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 11},	//1743 DOM::RGBColor::setM_color(unsigned int)
    {109, 2015, 0, 0, Smoke::mf_dtor, 0, 12 },	//1744 DOM::RGBColor::~RGBColor()
    {110, 428, 0, 0, Smoke::mf_ctor, 260, 1},	//1745 DOM::Range::Range()
    {110, 428, 385, 1, Smoke::mf_ctor, 260, 2},	//1746 DOM::Range::Range(const DOM::Document)
    {110, 428, 387, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 260, 3},	//1747 DOM::Range::Range(const DOM::Range&)
    {110, 428, 389, 4, Smoke::mf_ctor, 260, 4},	//1748 DOM::Range::Range(const DOM::Node, const long, const DOM::Node, const long)
    {110, 1148, 387, 1, 0, 259, 5},	//1749 DOM::Range::operator=(const DOM::Range&)
    {110, 1759, 0, 0, Smoke::mf_const, 234, 6},	//1750 DOM::Range::startContainer() const
    {110, 1760, 0, 0, Smoke::mf_const, 643, 7},	//1751 DOM::Range::startOffset() const
    {110, 771, 0, 0, Smoke::mf_const, 234, 8},	//1752 DOM::Range::endContainer() const
    {110, 772, 0, 0, Smoke::mf_const, 643, 9},	//1753 DOM::Range::endOffset() const
    {110, 624, 0, 0, Smoke::mf_const, 475, 10},	//1754 DOM::Range::collapsed() const
    {110, 627, 0, 0, 0, 234, 11},	//1755 DOM::Range::commonAncestorContainer()
    {110, 1656, 394, 2, 0, 0, 12},	//1756 DOM::Range::setStart(const DOM::Node&, long)
    {110, 1465, 394, 2, 0, 0, 13},	//1757 DOM::Range::setEnd(const DOM::Node&, long)
    {110, 1661, 15, 1, 0, 0, 14},	//1758 DOM::Range::setStartBefore(const DOM::Node&)
    {110, 1659, 15, 1, 0, 0, 15},	//1759 DOM::Range::setStartAfter(const DOM::Node&)
    {110, 1469, 15, 1, 0, 0, 16},	//1760 DOM::Range::setEndBefore(const DOM::Node&)
    {110, 1467, 15, 1, 0, 0, 17},	//1761 DOM::Range::setEndAfter(const DOM::Node&)
    {110, 622, 135, 1, 0, 0, 18},	//1762 DOM::Range::collapse(bool)
    {110, 1304, 15, 1, 0, 0, 19},	//1763 DOM::Range::selectNode(const DOM::Node&)
    {110, 1306, 15, 1, 0, 0, 20},	//1764 DOM::Range::selectNodeContents(const DOM::Node&)
    {110, 629, 397, 2, 0, 645, 21},	//1765 DOM::Range::compareBoundaryPoints(DOM::Range::CompareHow, const DOM::Range&)
    {110, 570, 0, 0, 0, 475, 22},	//1766 DOM::Range::boundaryPointsValid()
    {110, 719, 0, 0, 0, 0, 23},	//1767 DOM::Range::deleteContents()
    {110, 790, 0, 0, 0, 71, 24},	//1768 DOM::Range::extractContents()
    {110, 608, 0, 0, 0, 71, 25},	//1769 DOM::Range::cloneContents()
    {110, 965, 15, 1, 0, 0, 26},	//1770 DOM::Range::insertNode(const DOM::Node&)
    {110, 1794, 15, 1, 0, 0, 27},	//1771 DOM::Range::surroundContents(const DOM::Node&)
    {110, 611, 0, 0, 0, 258, 28},	//1772 DOM::Range::cloneRange()
    {110, 1819, 0, 0, 0, 65, 29},	//1773 DOM::Range::toString()
    {110, 1816, 0, 0, 0, 65, 30},	//1774 DOM::Range::toHTML()
    {110, 664, 19, 1, 0, 71, 31},	//1775 DOM::Range::createContextualFragment(const DOM::DOMString&)
    {110, 733, 0, 0, 0, 0, 32},	//1776 DOM::Range::detach()
    {110, 986, 0, 0, Smoke::mf_const, 475, 33},	//1777 DOM::Range::isDetached() const
    {110, 1005, 0, 0, Smoke::mf_const, 475, 34},	//1778 DOM::Range::isNull() const
    {110, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 261, 35},	//1779 DOM::Range::START_TO_START (enum)
    {110, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 261, 36},	//1780 DOM::Range::START_TO_END (enum)
    {110, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 261, 37},	//1781 DOM::Range::END_TO_END (enum)
    {110, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 261, 38},	//1782 DOM::Range::END_TO_START (enum)
    {110, 2016, 0, 0, Smoke::mf_dtor, 0, 39 },	//1783 DOM::Range::~Range()
    {111, 431, 27, 1, Smoke::mf_ctor, 263, 1},	//1784 DOM::RangeException::RangeException(unsigned short)
    {111, 431, 400, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 263, 2},	//1785 DOM::RangeException::RangeException(const DOM::RangeException&)
    {111, 1148, 400, 1, 0, 262, 3},	//1786 DOM::RangeException::operator=(const DOM::RangeException&)
    {111, 617, 0, 0, Smoke::mf_const, 65, 4},	//1787 DOM::RangeException::codeAsString() const
    {111, 617, 31, 1, Smoke::mf_static, 65, 5},	//1788 DOM::RangeException::codeAsString(int)
    {111, 1011, 31, 1, Smoke::mf_static, 475, 6},	//1789 DOM::RangeException::isRangeExceptionCode(int)
    {111, 616, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 649, 7},	//1790 DOM::RangeException::code() const
    {111, 1399, 27, 1, Smoke::mf_attribute, 0, 8},	//1791 DOM::RangeException::setCode(unsigned short)
    {111, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 264, 9},	//1792 DOM::RangeException::BAD_BOUNDARYPOINTS_ERR (enum)
    {111, 296, 0, 0, Smoke::mf_static|Smoke::mf_enum, 264, 10},	//1793 DOM::RangeException::INVALID_NODE_TYPE_ERR (enum)
    {111, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 264, 11},	//1794 DOM::RangeException::_EXCEPTION_OFFSET (enum)
    {111, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 264, 12},	//1795 DOM::RangeException::_EXCEPTION_MAX (enum)
    {111, 2017, 0, 0, Smoke::mf_dtor, 0, 13 },	//1796 DOM::RangeException::~RangeException()
    {112, 434, 0, 0, Smoke::mf_ctor, 267, 1},	//1797 DOM::Rect::Rect()
    {112, 434, 402, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 267, 2},	//1798 DOM::Rect::Rect(const DOM::Rect&)
    {112, 1148, 402, 1, 0, 266, 3},	//1799 DOM::Rect::operator=(const DOM::Rect&)
    {112, 1820, 0, 0, Smoke::mf_const, 23, 4},	//1800 DOM::Rect::top() const
    {112, 1279, 0, 0, Smoke::mf_const, 23, 5},	//1801 DOM::Rect::right() const
    {112, 569, 0, 0, Smoke::mf_const, 23, 6},	//1802 DOM::Rect::bottom() const
    {112, 1062, 0, 0, Smoke::mf_const, 23, 7},	//1803 DOM::Rect::left() const
    {112, 1005, 0, 0, Smoke::mf_const, 475, 8},	//1804 DOM::Rect::isNull() const
    {112, 2018, 0, 0, Smoke::mf_dtor, 0, 9 },	//1805 DOM::Rect::~Rect()
    {113, 461, 0, 0, Smoke::mf_ctor, 270, 1},	//1806 DOM::StyleSheet::StyleSheet()
    {113, 461, 71, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 270, 2},	//1807 DOM::StyleSheet::StyleSheet(const DOM::StyleSheet&)
    {113, 1148, 71, 1, 0, 269, 3},	//1808 DOM::StyleSheet::operator=(const DOM::StyleSheet&)
    {113, 1833, 0, 0, Smoke::mf_const, 65, 4},	//1809 DOM::StyleSheet::type() const
    {113, 737, 0, 0, Smoke::mf_const, 475, 5},	//1810 DOM::StyleSheet::disabled() const
    {113, 1455, 135, 1, 0, 0, 6},	//1811 DOM::StyleSheet::setDisabled(bool)
    {113, 1159, 0, 0, Smoke::mf_const, 234, 7},	//1812 DOM::StyleSheet::ownerNode() const
    {113, 1176, 0, 0, Smoke::mf_const, 268, 8},	//1813 DOM::StyleSheet::parentStyleSheet() const
    {113, 919, 0, 0, Smoke::mf_const, 65, 9},	//1814 DOM::StyleSheet::href() const
    {113, 1813, 0, 0, Smoke::mf_const, 65, 10},	//1815 DOM::StyleSheet::title() const
    {113, 1083, 0, 0, Smoke::mf_const, 223, 11},	//1816 DOM::StyleSheet::media() const
    {113, 559, 0, 0, 0, 330, 12},	//1817 DOM::StyleSheet::baseUrl()
    {113, 980, 0, 0, Smoke::mf_const, 475, 13},	//1818 DOM::StyleSheet::isCSSStyleSheet() const
    {113, 1005, 0, 0, Smoke::mf_const, 475, 14},	//1819 DOM::StyleSheet::isNull() const
    {113, 2019, 0, 0, Smoke::mf_dtor, 0, 15 },	//1820 DOM::StyleSheet::~StyleSheet()
    {114, 463, 0, 0, Smoke::mf_ctor, 273, 1},	//1821 DOM::StyleSheetList::StyleSheetList()
    {114, 463, 404, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 273, 2},	//1822 DOM::StyleSheetList::StyleSheetList(const DOM::StyleSheetList&)
    {114, 1148, 404, 1, 0, 272, 3},	//1823 DOM::StyleSheetList::operator=(const DOM::StyleSheetList&)
    {114, 1063, 0, 0, Smoke::mf_const, 647, 4},	//1824 DOM::StyleSheetList::length() const
    {114, 1015, 42, 1, 0, 268, 5},	//1825 DOM::StyleSheetList::item(unsigned long)
    {114, 1005, 0, 0, Smoke::mf_const, 475, 6},	//1826 DOM::StyleSheetList::isNull() const
    {114, 2020, 0, 0, Smoke::mf_dtor, 0, 7 },	//1827 DOM::StyleSheetList::~StyleSheetList()
    {115, 470, 0, 0, Smoke::mf_ctor, 276, 1},	//1828 DOM::Text::Text()
    {115, 470, 406, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 276, 2},	//1829 DOM::Text::Text(const DOM::Text&)
    {115, 470, 15, 1, Smoke::mf_ctor, 276, 3},	//1830 DOM::Text::Text(const DOM::Node&)
    {115, 1148, 15, 1, 0, 275, 4},	//1831 DOM::Text::operator=(const DOM::Node&)
    {115, 1148, 406, 1, 0, 275, 5},	//1832 DOM::Text::operator=(const DOM::Text&)
    {115, 1754, 408, 1, 0, 274, 6},	//1833 DOM::Text::splitText(const unsigned long)
    {115, 2021, 0, 0, Smoke::mf_dtor, 0, 7 },	//1834 DOM::Text::~Text()
    {116, 472, 0, 0, Smoke::mf_ctor, 278, 1},	//1835 DOM::TextEvent::TextEvent()
    {116, 472, 410, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 278, 2},	//1836 DOM::TextEvent::TextEvent(const DOM::TextEvent&)
    {116, 472, 165, 1, Smoke::mf_ctor, 278, 3},	//1837 DOM::TextEvent::TextEvent(const DOM::Event&)
    {116, 1148, 410, 1, 0, 277, 4},	//1838 DOM::TextEvent::operator=(const DOM::TextEvent&)
    {116, 1148, 165, 1, 0, 277, 5},	//1839 DOM::TextEvent::operator=(const DOM::Event&)
    {116, 948, 412, 5, 0, 0, 6},	//1840 DOM::TextEvent::initTextEvent(const DOM::DOMString&, bool, bool, const DOM::AbstractView&, const DOM::DOMString&)
    {116, 2022, 0, 0, Smoke::mf_dtor, 0, 7 },	//1841 DOM::TextEvent::~TextEvent()
    {117, 474, 0, 0, Smoke::mf_ctor, 281, 1},	//1842 DOM::TreeWalker::TreeWalker()
    {117, 474, 418, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 281, 2},	//1843 DOM::TreeWalker::TreeWalker(const DOM::TreeWalker&)
    {117, 1148, 418, 1, 0, 280, 3},	//1844 DOM::TreeWalker::operator=(const DOM::TreeWalker&)
    {117, 1280, 0, 0, 0, 234, 4},	//1845 DOM::TreeWalker::root()
    {117, 1868, 0, 0, 0, 647, 5},	//1846 DOM::TreeWalker::whatToShow()
    {117, 794, 0, 0, 0, 239, 6},	//1847 DOM::TreeWalker::filter()
    {117, 789, 0, 0, 0, 475, 7},	//1848 DOM::TreeWalker::expandEntityReferences()
    {117, 701, 0, 0, 0, 234, 8},	//1849 DOM::TreeWalker::currentNode()
    {117, 1428, 15, 1, 0, 0, 9},	//1850 DOM::TreeWalker::setCurrentNode(const DOM::Node&)
    {117, 1173, 0, 0, 0, 234, 10},	//1851 DOM::TreeWalker::parentNode()
    {117, 815, 0, 0, 0, 234, 11},	//1852 DOM::TreeWalker::firstChild()
    {117, 1054, 0, 0, 0, 234, 12},	//1853 DOM::TreeWalker::lastChild()
    {117, 1200, 0, 0, 0, 234, 13},	//1854 DOM::TreeWalker::previousSibling()
    {117, 1114, 0, 0, 0, 234, 14},	//1855 DOM::TreeWalker::nextSibling()
    {117, 1199, 0, 0, 0, 234, 15},	//1856 DOM::TreeWalker::previousNode()
    {117, 1113, 0, 0, 0, 234, 16},	//1857 DOM::TreeWalker::nextNode()
    {117, 1005, 0, 0, Smoke::mf_const, 475, 17},	//1858 DOM::TreeWalker::isNull() const
    {117, 2023, 0, 0, Smoke::mf_dtor, 0, 18 },	//1859 DOM::TreeWalker::~TreeWalker()
    {118, 476, 0, 0, Smoke::mf_ctor, 283, 1},	//1860 DOM::UIEvent::UIEvent()
    {118, 476, 420, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 283, 2},	//1861 DOM::UIEvent::UIEvent(const DOM::UIEvent&)
    {118, 476, 165, 1, Smoke::mf_ctor, 283, 3},	//1862 DOM::UIEvent::UIEvent(const DOM::Event&)
    {118, 1148, 420, 1, 0, 282, 4},	//1863 DOM::UIEvent::operator=(const DOM::UIEvent&)
    {118, 1148, 165, 1, 0, 282, 5},	//1864 DOM::UIEvent::operator=(const DOM::Event&)
    {118, 1857, 0, 0, Smoke::mf_const, 1, 6},	//1865 DOM::UIEvent::view() const
    {118, 734, 0, 0, Smoke::mf_const, 643, 7},	//1866 DOM::UIEvent::detail() const
    {118, 1024, 0, 0, Smoke::mf_const, 634, 8},	//1867 DOM::UIEvent::keyCode() const
    {118, 588, 0, 0, Smoke::mf_const, 634, 9},	//1868 DOM::UIEvent::charCode() const
    {118, 1162, 0, 0, Smoke::mf_const, 634, 10},	//1869 DOM::UIEvent::pageX() const
    {118, 1163, 0, 0, Smoke::mf_const, 634, 11},	//1870 DOM::UIEvent::pageY() const
    {118, 1057, 0, 0, Smoke::mf_const, 634, 12},	//1871 DOM::UIEvent::layerX() const
    {118, 1058, 0, 0, Smoke::mf_const, 634, 13},	//1872 DOM::UIEvent::layerY() const
    {118, 1871, 0, 0, Smoke::mf_const, 634, 14},	//1873 DOM::UIEvent::which() const
    {118, 950, 422, 5, 0, 0, 15},	//1874 DOM::UIEvent::initUIEvent(const DOM::DOMString&, bool, bool, const DOM::AbstractView&, long)
    {118, 2024, 0, 0, Smoke::mf_dtor, 0, 16 },	//1875 DOM::UIEvent::~UIEvent()
    {125, 1087, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 613, 1},	//1876 KHTMLPart::metaObject() const
    {125, 1210, 108, 1, Smoke::mf_virtual, 650, 2},	//1877 KHTMLPart::qt_metacast(const char*)
    {125, 1822, 428, 2, Smoke::mf_static, 370, 3},	//1878 KHTMLPart::tr(const char*, const char*)
    {125, 1826, 428, 2, Smoke::mf_static, 370, 4},	//1879 KHTMLPart::trUtf8(const char*, const char*)
    {125, 1822, 431, 3, Smoke::mf_static, 370, 5},	//1880 KHTMLPart::tr(const char*, const char*, int)
    {125, 1826, 431, 3, Smoke::mf_static, 370, 6},	//1881 KHTMLPart::trUtf8(const char*, const char*, int)
    {125, 1208, 435, 3, Smoke::mf_virtual, 634, 7},	//1882 KHTMLPart::qt_metacall(QMetaObject::Call, int, void**)
    {125, 305, 439, 3, Smoke::mf_ctor, 290, 8},	//1883 KHTMLPart::KHTMLPart(QWidget*, QObject*, KHTMLPart::GUIProfile)
    {125, 305, 443, 3, Smoke::mf_ctor, 290, 9},	//1884 KHTMLPart::KHTMLPart(KHTMLView*, QObject*, KHTMLPart::GUIProfile)
    {125, 1138, 447, 1, Smoke::mf_virtual, 475, 10},	//1885 KHTMLPart::openUrl(const KUrl&)
    {125, 615, 0, 0, Smoke::mf_virtual, 475, 11},	//1886 KHTMLPart::closeUrl()
    {125, 1737, 449, 1, Smoke::mf_virtual, 0, 12},	//1887 KHTMLPart::showError(KJob*)
    {125, 922, 0, 0, Smoke::mf_const, 124, 13},	//1888 KHTMLPart::htmlDocument() const
    {125, 752, 0, 0, Smoke::mf_const, 68, 14},	//1889 KHTMLPart::document() const
    {125, 754, 0, 0, Smoke::mf_const, 370, 15},	//1890 KHTMLPart::documentSource() const
    {125, 509, 0, 0, Smoke::mf_const, 234, 16},	//1891 KHTMLPart::activeNode() const
    {125, 571, 0, 0, Smoke::mf_const, 318, 17},	//1892 KHTMLPart::browserExtension() const
    {125, 572, 0, 0, Smoke::mf_const, 319, 18},	//1893 KHTMLPart::browserHostExtension() const
    {125, 1857, 0, 0, Smoke::mf_const, 310, 19},	//1894 KHTMLPart::view() const
    {125, 1529, 135, 1, Smoke::mf_property, 0, 20},	//1895 KHTMLPart::setJScriptEnabled(bool)
    {125, 1017, 0, 0, Smoke::mf_const|Smoke::mf_property, 475, 21},	//1896 KHTMLPart::jScriptEnabled() const
    {125, 1018, 0, 0, 0, 314, 22},	//1897 KHTMLPart::jScriptInterpreter()
    {125, 1663, 135, 1, 0, 0, 23},	//1898 KHTMLPart::setStatusMessagesEnabled(bool)
    {125, 1767, 0, 0, Smoke::mf_const, 475, 24},	//1899 KHTMLPart::statusMessagesEnabled() const
    {125, 1559, 135, 1, Smoke::mf_property, 0, 25},	//1900 KHTMLPart::setMetaRefreshEnabled(bool)
    {125, 1088, 0, 0, Smoke::mf_const|Smoke::mf_property, 475, 26},	//1901 KHTMLPart::metaRefreshEnabled() const
    {125, 786, 451, 2, 0, 378, 27},	//1902 KHTMLPart::executeScript(const DOM::Node&, const QString&)
    {125, 1432, 135, 1, Smoke::mf_property, 0, 28},	//1903 KHTMLPart::setDNDEnabled(bool)
    {125, 742, 0, 0, Smoke::mf_const|Smoke::mf_property, 475, 29},	//1904 KHTMLPart::dndEnabled() const
    {125, 1531, 135, 1, Smoke::mf_property, 0, 30},	//1905 KHTMLPart::setJavaEnabled(bool)
    {125, 1019, 0, 0, Smoke::mf_const|Smoke::mf_property, 475, 31},	//1906 KHTMLPart::javaEnabled() const
    {125, 1589, 135, 1, Smoke::mf_property, 0, 32},	//1907 KHTMLPart::setPluginsEnabled(bool)
    {125, 1186, 0, 0, Smoke::mf_const|Smoke::mf_property, 475, 33},	//1908 KHTMLPart::pluginsEnabled() const
    {125, 1353, 135, 1, 0, 0, 34},	//1909 KHTMLPart::setAutoloadImages(bool)
    {125, 551, 0, 0, Smoke::mf_const, 475, 35},	//1910 KHTMLPart::autoloadImages() const
    {125, 1583, 135, 1, 0, 0, 36},	//1911 KHTMLPart::setOnlyLocalReferences(bool)
    {125, 1483, 135, 1, 0, 0, 37},	//1912 KHTMLPart::setForcePermitLocalImages(bool)
    {125, 1434, 454, 1, Smoke::mf_property, 0, 38},	//1913 KHTMLPart::setDNSPrefetch(KHTMLPart::DNSPrefetch)
    {125, 743, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 39},	//1914 KHTMLPart::dnsPrefetch() const
    {125, 1135, 0, 0, Smoke::mf_const, 475, 40},	//1915 KHTMLPart::onlyLocalReferences() const
    {125, 829, 0, 0, Smoke::mf_const, 475, 41},	//1916 KHTMLPart::forcePermitLocalImages() const
    {125, 982, 0, 0, Smoke::mf_const, 475, 42},	//1917 KHTMLPart::isCaretMode() const
    {125, 987, 0, 0, Smoke::mf_const, 475, 43},	//1918 KHTMLPart::isEditable() const
    {125, 1372, 456, 3, 0, 0, 44},	//1919 KHTMLPart::setCaretPosition(DOM::Node, long, bool)
    {125, 577, 0, 0, Smoke::mf_const, 291, 45},	//1920 KHTMLPart::caretDisplayPolicyNonFocused() const
    {125, 1368, 460, 1, 0, 0, 46},	//1921 KHTMLPart::setCaretDisplayPolicyNonFocused(KHTMLPart::CaretDisplayPolicy)
    {125, 558, 0, 0, Smoke::mf_const, 330, 47},	//1922 KHTMLPart::baseURL() const
    {125, 555, 0, 0, Smoke::mf_const, 330, 48},	//1923 KHTMLPart::backgroundURL() const
    {125, 1288, 462, 3, 0, 0, 49},	//1924 KHTMLPart::scheduleRedirection(int, const QString&, bool)
    {125, 560, 466, 3, Smoke::mf_virtual, 0, 50},	//1925 KHTMLPart::begin(const KUrl&, int, int)
    {125, 1887, 470, 2, Smoke::mf_virtual, 0, 51},	//1926 KHTMLPart::write(const char*, int)
    {125, 1887, 106, 1, Smoke::mf_virtual, 0, 52},	//1927 KHTMLPart::write(const QString&)
    {125, 770, 0, 0, Smoke::mf_virtual, 0, 53},	//1928 KHTMLPart::end()
    {125, 1164, 473, 4, 0, 0, 54},	//1929 KHTMLPart::paint(QPainter*, const QRect&, int, bool*)
    {125, 1459, 478, 2, 0, 475, 55},	//1930 KHTMLPart::setEncoding(const QString&, bool)
    {125, 768, 0, 0, Smoke::mf_const|Smoke::mf_property, 370, 56},	//1931 KHTMLPart::encoding() const
    {125, 1696, 447, 1, 0, 0, 57},	//1932 KHTMLPart::setUserStyleSheet(const KUrl&)
    {125, 1696, 106, 1, 0, 0, 58},	//1933 KHTMLPart::setUserStyleSheet(const QString&)
    {125, 1652, 106, 1, 0, 0, 59},	//1934 KHTMLPart::setStandardFont(const QString&)
    {125, 1475, 106, 1, 0, 0, 60},	//1935 KHTMLPart::setFixedFont(const QString&)
    {125, 893, 106, 1, 0, 475, 61},	//1936 KHTMLPart::gotoAnchor(const QString&)
    {125, 1108, 0, 0, 0, 475, 62},	//1937 KHTMLPart::nextAnchor()
    {125, 1195, 0, 0, 0, 475, 63},	//1938 KHTMLPart::prevAnchor()
    {125, 1692, 481, 1, 0, 0, 64},	//1939 KHTMLPart::setURLCursor(const QCursor&)
    {125, 1844, 0, 0, Smoke::mf_const, 341, 65},	//1940 KHTMLPart::urlCursor() const
    {125, 807, 0, 0, 0, 0, 66},	//1941 KHTMLPart::findText()
    {125, 807, 483, 4, 0, 0, 67},	//1942 KHTMLPart::findText(const QString&, long, QWidget*, KFindDialog*)
    {125, 811, 0, 0, 0, 0, 68},	//1943 KHTMLPart::findTextBegin()
    {125, 812, 135, 1, 0, 475, 69},	//1944 KHTMLPart::findTextNext(bool)
    {125, 1724, 31, 1, 0, 0, 70},	//1945 KHTMLPart::setZoomFactor(int)
    {125, 1897, 0, 0, Smoke::mf_const, 634, 71},	//1946 KHTMLPart::zoomFactor() const
    {125, 1481, 31, 1, 0, 0, 72},	//1947 KHTMLPart::setFontScaleFactor(int)
    {125, 828, 0, 0, Smoke::mf_const, 634, 73},	//1948 KHTMLPart::fontScaleFactor() const
    {125, 1311, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 370, 74},	//1949 KHTMLPart::selectedText() const
    {125, 1312, 0, 0, Smoke::mf_const, 370, 75},	//1950 KHTMLPart::selectedTextAsHTML() const
    {125, 1313, 0, 0, Smoke::mf_const, 258, 76},	//1951 KHTMLPart::selection() const
    {125, 1313, 488, 4, Smoke::mf_const, 0, 77},	//1952 KHTMLPart::selection(DOM::Node&, long&, DOM::Node&, long&) const
    {125, 1629, 387, 1, 0, 0, 78},	//1953 KHTMLPart::setSelection(const DOM::Range&)
    {125, 909, 0, 0, Smoke::mf_const, 475, 79},	//1954 KHTMLPart::hasSelection() const
    {125, 763, 0, 0, Smoke::mf_const, 80, 80},	//1955 KHTMLPart::editor() const
    {125, 1303, 0, 0, 0, 0, 81},	//1956 KHTMLPart::selectAll()
    {125, 1735, 0, 0, 0, 0, 82},	//1957 KHTMLPart::show()
    {125, 913, 0, 0, 0, 0, 83},	//1958 KHTMLPart::hide()
    {125, 1180, 0, 0, 0, 323, 84},	//1959 KHTMLPart::partManager()
    {125, 1286, 493, 1, Smoke::mf_virtual, 0, 85},	//1960 KHTMLPart::saveState(QDataStream&)
    {125, 1272, 493, 1, Smoke::mf_virtual, 0, 86},	//1961 KHTMLPart::restoreState(QDataStream&)
    {125, 1123, 0, 0, Smoke::mf_const, 234, 87},	//1962 KHTMLPart::nodeUnderMouse() const
    {125, 1125, 0, 0, Smoke::mf_const, 234, 88},	//1963 KHTMLPart::nonSharedNodeUnderMouse() const
    {125, 1730, 0, 0, Smoke::mf_const, 598, 89},	//1964 KHTMLPart::settings() const
    {125, 1174, 0, 0, 0, 290, 90},	//1965 KHTMLPart::parentPart()
    {125, 839, 0, 0, Smoke::mf_const, 372, 91},	//1966 KHTMLPart::frameNames() const
    {125, 843, 0, 0, Smoke::mf_const, 353, 92},	//1967 KHTMLPart::frames() const
    {125, 800, 106, 1, 0, 290, 93},	//1968 KHTMLPart::findFrame(const QString&)
    {125, 802, 495, 3, 0, 290, 94},	//1969 KHTMLPart::findFrameParent(KParts::ReadOnlyPart*, const QString&, khtml::ChildFrame**)
    {125, 700, 0, 0, Smoke::mf_const, 325, 95},	//1970 KHTMLPart::currentFrame() const
    {125, 837, 106, 1, 0, 475, 96},	//1971 KHTMLPart::frameExists(const QString&)
    {125, 841, 499, 1, 0, 315, 97},	//1972 KHTMLPart::framejScript(KParts::ReadOnlyPart*)
    {125, 805, 106, 1, 0, 325, 98},	//1973 KHTMLPart::findFramePart(const QString&)
    {125, 1527, 106, 1, 0, 0, 99},	//1974 KHTMLPart::setJSStatusBarText(const QString&)
    {125, 1521, 106, 1, 0, 0, 100},	//1975 KHTMLPart::setJSDefaultStatusBarText(const QString&)
    {125, 1023, 0, 0, Smoke::mf_const, 370, 101},	//1976 KHTMLPart::jsStatusBarText() const
    {125, 1020, 0, 0, Smoke::mf_const, 370, 102},	//1977 KHTMLPart::jsDefaultStatusBarText() const
    {125, 1232, 0, 0, Smoke::mf_const, 370, 103},	//1978 KHTMLPart::referrer() const
    {125, 1161, 0, 0, Smoke::mf_const, 370, 104},	//1979 KHTMLPart::pageReferrer() const
    {125, 1056, 0, 0, Smoke::mf_const|Smoke::mf_property, 370, 105},	//1980 KHTMLPart::lastModified() const
    {125, 1193, 501, 2, 0, 0, 106},	//1981 KHTMLPart::preloadStyleSheet(const QString&, const QString&)
    {125, 1191, 501, 2, 0, 0, 107},	//1982 KHTMLPart::preloadScript(const QString&, const QString&)
    {125, 1009, 504, 2, 0, 475, 108},	//1983 KHTMLPart::isPointInsideSelection(int, int)
    {125, 1274, 0, 0, Smoke::mf_const, 475, 109},	//1984 KHTMLPart::restored() const
    {125, 1339, 135, 1, 0, 0, 110},	//1985 KHTMLPart::setAlwaysHonourDoctype(bool)
    {125, 1485, 507, 1, 0, 0, 111},	//1986 KHTMLPart::setFormNotification(KHTMLPart::FormNotification)
    {125, 831, 0, 0, Smoke::mf_const, 294, 112},	//1987 KHTMLPart::formNotification() const
    {125, 1821, 0, 0, 0, 330, 113},	//1988 KHTMLPart::toplevelURL()
    {125, 1004, 0, 0, Smoke::mf_const|Smoke::mf_property, 475, 114},	//1989 KHTMLPart::isModified() const
    {125, 1671, 509, 2, 0, 0, 115},	//1990 KHTMLPart::setSuppressedPopupIndicator(bool, KHTMLPart*)
    {125, 934, 0, 0, Smoke::mf_const, 475, 116},	//1991 KHTMLPart::inProgress() const
    {125, 1133, 106, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 117},	//1992 KHTMLPart::onURL(const QString&)
    {125, 1187, 512, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 118},	//1993 KHTMLPart::popupMenu(const QString&, const QPoint&)
    {125, 1315, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 119},	//1994 KHTMLPart::selectionChanged()
    {125, 1119, 15, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 120},	//1995 KHTMLPart::nodeActivated(const DOM::Node&)
    {125, 750, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 121},	//1996 KHTMLPart::docCreated()
    {125, 578, 394, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 122},	//1997 KHTMLPart::caretPositionChanged(const DOM::Node&, long)
    {125, 832, 515, 6, Smoke::mf_protected|Smoke::mf_signal, 0, 123},	//1998 KHTMLPart::formSubmitNotification(const char*, const QString&, const QByteArray&, const QString&, const QString&, const QString&)
    {125, 637, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 124},	//1999 KHTMLPart::configurationChanged()
    {125, 633, 106, 1, Smoke::mf_protected, 330, 125},	//2000 KHTMLPart::completeURL(const QString&)
    {125, 923, 522, 3, Smoke::mf_protected, 0, 126},	//2001 KHTMLPart::htmlError(int, const QString&, const KUrl&)
    {125, 704, 526, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 127},	//2002 KHTMLPart::customEvent(QEvent*)
    {125, 1041, 528, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 128},	//2003 KHTMLPart::khtmlMousePressEvent(khtml::MousePressEvent*)
    {125, 1037, 530, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 129},	//2004 KHTMLPart::khtmlMouseDoubleClickEvent(khtml::MouseDoubleClickEvent*)
    {125, 1039, 532, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 130},	//2005 KHTMLPart::khtmlMouseMoveEvent(khtml::MouseMoveEvent*)
    {125, 1043, 534, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 131},	//2006 KHTMLPart::khtmlMouseReleaseEvent(khtml::MouseReleaseEvent*)
    {125, 1031, 536, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 132},	//2007 KHTMLPart::khtmlDrawContentsEvent(khtml::DrawContentsEvent*)
    {125, 896, 538, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 133},	//2008 KHTMLPart::guiActivateEvent(KParts::GUIActivateEvent*)
    {125, 1137, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 475, 134},	//2009 KHTMLPart::openFile()
    {125, 1845, 540, 6, Smoke::mf_protected|Smoke::mf_virtual, 475, 135},	//2010 KHTMLPart::urlSelected(const QString&, int, int, const QString&, const KParts::OpenUrlArguments&, const KParts::BrowserArguments&)
    {125, 685, 547, 6, Smoke::mf_protected|Smoke::mf_virtual, 325, 136},	//2011 KHTMLPart::createPart(QWidget*, QObject*, const QString&, QString&, QStringList&, const QStringList&)
    {125, 1184, 106, 1, Smoke::mf_const|Smoke::mf_protected, 475, 137},	//2012 KHTMLPart::pluginPageQuestionAsked(const QString&) const
    {125, 1587, 106, 1, Smoke::mf_protected, 0, 138},	//2013 KHTMLPart::setPluginPageQuestionAsked(const QString&)
    {125, 1585, 554, 1, Smoke::mf_protected, 0, 139},	//2014 KHTMLPart::setPageSecurity(KHTMLPart::PageSecurity)
    {125, 746, 106, 1, Smoke::mf_protected|Smoke::mf_virtual, 475, 140},	//2015 KHTMLPart::doOpenStream(const QString&)
    {125, 748, 556, 1, Smoke::mf_protected|Smoke::mf_virtual, 475, 141},	//2016 KHTMLPart::doWriteStream(const QByteArray&)
    {125, 745, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 475, 142},	//2017 KHTMLPart::doCloseStream()
    {125, 1811, 558, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 143},	//2018 KHTMLPart::timerEvent(QTimerEvent*)
    {125, 1081, 106, 1, Smoke::mf_protected, 475, 144},	//2019 KHTMLPart::mayPrefetchHostname(const QString&)
    {125, 1841, 0, 0, Smoke::mf_protected, 0, 145},	//2020 KHTMLPart::updateZoomFactor()
    {125, 1333, 15, 1, Smoke::mf_slot, 0, 146},	//2021 KHTMLPart::setActiveNode(const DOM::Node&)
    {125, 1769, 0, 0, Smoke::mf_slot, 0, 147},	//2022 KHTMLPart::stopAnimations()
    {125, 786, 106, 1, Smoke::mf_slot, 378, 148},	//2023 KHTMLPart::executeScript(const QString&)
    {125, 1370, 135, 1, Smoke::mf_slot, 0, 149},	//2024 KHTMLPart::setCaretMode(bool)
    {125, 1457, 135, 1, Smoke::mf_slot, 0, 150},	//2025 KHTMLPart::setEditable(bool)
    {125, 1375, 135, 1, Smoke::mf_slot, 0, 151},	//2026 KHTMLPart::setCaretVisible(bool)
    {125, 1784, 515, 6, Smoke::mf_slot, 0, 152},	//2027 KHTMLPart::submitFormProxy(const char*, const QString&, const QByteArray&, const QString&, const QString&, const QString&)
    {125, 1743, 449, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 153},	//2028 KHTMLPart::slotFinished(KJob*)
    {125, 1761, 560, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 154},	//2029 KHTMLPart::startingJob(KIO::Job*)
    {125, 930, 0, 0, 0, 298, 155},	//2030 KHTMLPart::impl()
    {125, 1822, 108, 1, Smoke::mf_static, 370, 156},	//2031 KHTMLPart::tr(const char*)
    {125, 1826, 108, 1, Smoke::mf_static, 370, 157},	//2032 KHTMLPart::trUtf8(const char*)
    {125, 305, 0, 0, Smoke::mf_ctor, 290, 158},	//2033 KHTMLPart::KHTMLPart()
    {125, 305, 562, 1, Smoke::mf_ctor, 290, 159},	//2034 KHTMLPart::KHTMLPart(QWidget*)
    {125, 305, 564, 2, Smoke::mf_ctor, 290, 160},	//2035 KHTMLPart::KHTMLPart(QWidget*, QObject*)
    {125, 305, 205, 1, Smoke::mf_ctor, 290, 161},	//2036 KHTMLPart::KHTMLPart(KHTMLView*)
    {125, 305, 567, 2, Smoke::mf_ctor, 290, 162},	//2037 KHTMLPart::KHTMLPart(KHTMLView*, QObject*)
    {125, 1372, 570, 2, 0, 0, 163},	//2038 KHTMLPart::setCaretPosition(DOM::Node, long)
    {125, 1288, 573, 2, 0, 0, 164},	//2039 KHTMLPart::scheduleRedirection(int, const QString&)
    {125, 560, 0, 0, 0, 0, 165},	//2040 KHTMLPart::begin()
    {125, 560, 447, 1, 0, 0, 166},	//2041 KHTMLPart::begin(const KUrl&)
    {125, 560, 576, 2, 0, 0, 167},	//2042 KHTMLPart::begin(const KUrl&, int)
    {125, 1887, 108, 1, 0, 0, 168},	//2043 KHTMLPart::write(const char*)
    {125, 1164, 579, 2, 0, 0, 169},	//2044 KHTMLPart::paint(QPainter*, const QRect&)
    {125, 1164, 582, 3, 0, 0, 170},	//2045 KHTMLPart::paint(QPainter*, const QRect&, int)
    {125, 1459, 106, 1, 0, 475, 171},	//2046 KHTMLPart::setEncoding(const QString&)
    {125, 807, 586, 2, 0, 0, 172},	//2047 KHTMLPart::findText(const QString&, long)
    {125, 807, 589, 3, 0, 0, 173},	//2048 KHTMLPart::findText(const QString&, long, QWidget*)
    {125, 812, 0, 0, 0, 475, 174},	//2049 KHTMLPart::findTextNext()
    {125, 802, 593, 2, 0, 290, 175},	//2050 KHTMLPart::findFrameParent(KParts::ReadOnlyPart*, const QString&)
    {125, 1339, 0, 0, 0, 0, 176},	//2051 KHTMLPart::setAlwaysHonourDoctype()
    {125, 1671, 135, 1, 0, 0, 177},	//2052 KHTMLPart::setSuppressedPopupIndicator(bool)
    {125, 1845, 596, 4, Smoke::mf_protected, 475, 178},	//2053 KHTMLPart::urlSelected(const QString&, int, int, const QString&)
    {125, 1845, 601, 5, Smoke::mf_protected, 475, 179},	//2054 KHTMLPart::urlSelected(const QString&, int, int, const QString&, const KParts::OpenUrlArguments&)
    {125, 1784, 607, 4, Smoke::mf_slot, 0, 180},	//2055 KHTMLPart::submitFormProxy(const char*, const QString&, const QByteArray&, const QString&)
    {125, 1784, 612, 5, Smoke::mf_slot, 0, 181},	//2056 KHTMLPart::submitFormProxy(const char*, const QString&, const QByteArray&, const QString&, const QString&)
    {125, 1766, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 612, 182},	//2057 KHTMLPart::staticMetaObject() const
    {125, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 295, 183},	//2058 KHTMLPart::DefaultGUI (enum)
    {125, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 295, 184},	//2059 KHTMLPart::BrowserViewGUI (enum)
    {125, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 292, 185},	//2060 KHTMLPart::DNSPrefetchDisabled (enum)
    {125, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 292, 186},	//2061 KHTMLPart::DNSPrefetchEnabled (enum)
    {125, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 292, 187},	//2062 KHTMLPart::DNSPrefetchOnlyWWWAndSLD (enum)
    {125, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 291, 188},	//2063 KHTMLPart::CaretVisible (enum)
    {125, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 291, 189},	//2064 KHTMLPart::CaretInvisible (enum)
    {125, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 291, 190},	//2065 KHTMLPart::CaretBlink (enum)
    {125, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 293, 191},	//2066 KHTMLPart::FindLinksOnly (enum)
    {125, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 293, 192},	//2067 KHTMLPart::FindNoPopups (enum)
    {125, 392, 0, 0, Smoke::mf_static|Smoke::mf_enum, 294, 193},	//2068 KHTMLPart::NoNotification (enum)
    {125, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 294, 194},	//2069 KHTMLPart::Before (enum)
    {125, 404, 0, 0, Smoke::mf_static|Smoke::mf_enum, 294, 195},	//2070 KHTMLPart::Only (enum)
    {125, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 294, 196},	//2071 KHTMLPart::Unused (enum)
    {125, 401, 0, 0, Smoke::mf_static|Smoke::mf_enum, 296, 197},	//2072 KHTMLPart::NotCrypted (enum)
    {125, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 296, 198},	//2073 KHTMLPart::Encrypted (enum)
    {125, 360, 0, 0, Smoke::mf_static|Smoke::mf_enum, 296, 199},	//2074 KHTMLPart::Mixed (enum)
    {125, 1996, 0, 0, Smoke::mf_dtor, 0, 200 },	//2075 KHTMLPart::~KHTMLPart()
    {127, 309, 0, 0, Smoke::mf_ctor, 299, 1},	//2076 KHTMLSettings::KHTMLSettings()
    {127, 309, 618, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 299, 2},	//2077 KHTMLSettings::KHTMLSettings(const KHTMLSettings&)
    {127, 937, 0, 0, 0, 0, 3},	//2078 KHTMLSettings::init()
    {127, 937, 620, 2, 0, 0, 4},	//2079 KHTMLSettings::init(KConfig*, bool)
    {127, 586, 0, 0, Smoke::mf_const, 475, 5},	//2080 KHTMLSettings::changeCursor() const
    {127, 1834, 0, 0, Smoke::mf_const, 475, 6},	//2081 KHTMLSettings::underlineLink() const
    {127, 918, 0, 0, Smoke::mf_const, 475, 7},	//2082 KHTMLSettings::hoverLink() const
    {127, 529, 0, 0, Smoke::mf_const, 475, 8},	//2083 KHTMLSettings::allowTabulation() const
    {127, 550, 0, 0, Smoke::mf_const, 475, 9},	//2084 KHTMLSettings::autoSpellCheck() const
    {127, 1736, 0, 0, Smoke::mf_const, 300, 10},	//2085 KHTMLSettings::showAnimations() const
    {127, 1746, 0, 0, Smoke::mf_const, 309, 11},	//2086 KHTMLSettings::smoothScrolling() const
    {127, 743, 0, 0, Smoke::mf_const, 301, 12},	//2087 KHTMLSettings::dnsPrefetch() const
    {127, 1768, 0, 0, Smoke::mf_const, 370, 13},	//2088 KHTMLSettings::stdFontName() const
    {127, 818, 0, 0, Smoke::mf_const, 370, 14},	//2089 KHTMLSettings::fixedFontName() const
    {127, 1320, 0, 0, Smoke::mf_const, 370, 15},	//2090 KHTMLSettings::serifFontName() const
    {127, 1285, 0, 0, Smoke::mf_const, 370, 16},	//2091 KHTMLSettings::sansSerifFontName() const
    {127, 703, 0, 0, Smoke::mf_const, 370, 17},	//2092 KHTMLSettings::cursiveFontName() const
    {127, 793, 0, 0, Smoke::mf_const, 370, 18},	//2093 KHTMLSettings::fantasyFontName() const
    {127, 1665, 106, 1, 0, 0, 19},	//2094 KHTMLSettings::setStdFontName(const QString&)
    {127, 1477, 106, 1, 0, 0, 20},	//2095 KHTMLSettings::setFixedFontName(const QString&)
    {127, 1091, 0, 0, Smoke::mf_const, 634, 21},	//2096 KHTMLSettings::minFontSize() const
    {127, 1085, 0, 0, Smoke::mf_const, 634, 22},	//2097 KHTMLSettings::mediumFontSize() const
    {127, 1021, 0, 0, Smoke::mf_const, 475, 23},	//2098 KHTMLSettings::jsErrorsEnabled() const
    {127, 1523, 135, 1, 0, 0, 24},	//2099 KHTMLSettings::setJSErrorsEnabled(bool)
    {127, 768, 0, 0, Smoke::mf_const, 619, 25},	//2100 KHTMLSettings::encoding() const
    {127, 826, 0, 0, Smoke::mf_const, 475, 26},	//2101 KHTMLSettings::followSystemColors() const
    {127, 1807, 0, 0, Smoke::mf_const, 606, 27},	//2102 KHTMLSettings::textColor() const
    {127, 557, 0, 0, Smoke::mf_const, 606, 28},	//2103 KHTMLSettings::baseColor() const
    {127, 1065, 0, 0, Smoke::mf_const, 606, 29},	//2104 KHTMLSettings::linkColor() const
    {127, 1853, 0, 0, Smoke::mf_const, 606, 30},	//2105 KHTMLSettings::vLinkColor() const
    {127, 549, 0, 0, Smoke::mf_const, 475, 31},	//2106 KHTMLSettings::autoLoadImages() const
    {127, 1835, 0, 0, Smoke::mf_const, 475, 32},	//2107 KHTMLSettings::unfinishedImageFrame() const
    {127, 1006, 0, 0, 0, 475, 33},	//2108 KHTMLSettings::isOpenMiddleClickEnabled()
    {127, 976, 0, 0, 0, 475, 34},	//2109 KHTMLSettings::isBackRightClickEnabled()
    {127, 995, 106, 1, Smoke::mf_const, 475, 35},	//2110 KHTMLSettings::isJavaEnabled(const QString&) const
    {127, 999, 106, 1, Smoke::mf_const, 475, 36},	//2111 KHTMLSettings::isJavaScriptEnabled(const QString&) const
    {127, 997, 106, 1, Smoke::mf_const, 475, 37},	//2112 KHTMLSettings::isJavaScriptDebugEnabled(const QString&) const
    {127, 1001, 106, 1, Smoke::mf_const, 475, 38},	//2113 KHTMLSettings::isJavaScriptErrorReportingEnabled(const QString&) const
    {127, 1007, 106, 1, Smoke::mf_const, 475, 39},	//2114 KHTMLSettings::isPluginsEnabled(const QString&) const
    {127, 973, 106, 1, Smoke::mf_const, 475, 40},	//2115 KHTMLSettings::isAdFiltered(const QString&) const
    {127, 510, 623, 2, Smoke::mf_const, 370, 41},	//2116 KHTMLSettings::adFilteredBy(const QString&, bool*) const
    {127, 972, 0, 0, Smoke::mf_const, 475, 42},	//2117 KHTMLSettings::isAdFilterEnabled() const
    {127, 994, 0, 0, Smoke::mf_const, 475, 43},	//2118 KHTMLSettings::isHideAdsEnabled() const
    {127, 515, 106, 1, 0, 0, 44},	//2119 KHTMLSettings::addAdFilter(const QString&)
    {127, 505, 0, 0, Smoke::mf_const, 475, 45},	//2120 KHTMLSettings::accessKeysEnabled() const
    {127, 1881, 106, 1, Smoke::mf_const, 304, 46},	//2121 KHTMLSettings::windowOpenPolicy(const QString&) const
    {127, 1879, 106, 1, Smoke::mf_const, 303, 47},	//2122 KHTMLSettings::windowMovePolicy(const QString&) const
    {127, 1883, 106, 1, Smoke::mf_const, 305, 48},	//2123 KHTMLSettings::windowResizePolicy(const QString&) const
    {127, 1885, 106, 1, Smoke::mf_const, 306, 49},	//2124 KHTMLSettings::windowStatusPolicy(const QString&) const
    {127, 1877, 106, 1, Smoke::mf_const, 302, 50},	//2125 KHTMLSettings::windowFocusPolicy(const QString&) const
    {127, 1771, 106, 1, Smoke::mf_static, 307, 51},	//2126 KHTMLSettings::strToAdvice(const QString&)
    {127, 1752, 626, 4, Smoke::mf_static, 0, 52},	//2127 KHTMLSettings::splitDomainAdvice(const QString&, QString&, KHTMLSettings::KJavaScriptAdvice&, KHTMLSettings::KJavaScriptAdvice&)
    {127, 525, 631, 1, Smoke::mf_static, 623, 53},	//2128 KHTMLSettings::adviceToStr(KHTMLSettings::KJavaScriptAdvice)
    {127, 1226, 633, 4, 0, 0, 54},	//2129 KHTMLSettings::readDomainSettings(const KConfigGroup&, bool, bool, KPerDomainSettings&)
    {127, 1731, 0, 0, Smoke::mf_const, 370, 55},	//2130 KHTMLSettings::settingsToCSS() const
    {127, 552, 0, 0, Smoke::mf_static, 619, 56},	//2131 KHTMLSettings::availableFamilies()
    {127, 1850, 0, 0, Smoke::mf_const, 370, 57},	//2132 KHTMLSettings::userStyleSheet() const
    {127, 991, 0, 0, Smoke::mf_const, 475, 58},	//2133 KHTMLSettings::isFormCompletionEnabled() const
    {127, 1079, 0, 0, Smoke::mf_const, 634, 59},	//2134 KHTMLSettings::maxFormCompletionItems() const
    {127, 975, 0, 0, Smoke::mf_const, 475, 60},	//2135 KHTMLSettings::isAutoDelayedActionsEnabled() const
    {127, 792, 0, 0, Smoke::mf_const, 354, 61},	//2136 KHTMLSettings::fallbackAccessKeysAssignments() const
    {127, 1525, 135, 1, 0, 0, 62},	//2137 KHTMLSettings::setJSPopupBlockerPassivePopup(bool)
    {127, 1022, 0, 0, Smoke::mf_const, 475, 63},	//2138 KHTMLSettings::jsPopupBlockerPassivePopup() const
    {127, 937, 638, 1, 0, 0, 64},	//2139 KHTMLSettings::init(KConfig*)
    {127, 995, 0, 0, Smoke::mf_const, 475, 65},	//2140 KHTMLSettings::isJavaEnabled() const
    {127, 999, 0, 0, Smoke::mf_const, 475, 66},	//2141 KHTMLSettings::isJavaScriptEnabled() const
    {127, 997, 0, 0, Smoke::mf_const, 475, 67},	//2142 KHTMLSettings::isJavaScriptDebugEnabled() const
    {127, 1001, 0, 0, Smoke::mf_const, 475, 68},	//2143 KHTMLSettings::isJavaScriptErrorReportingEnabled() const
    {127, 1007, 0, 0, Smoke::mf_const, 475, 69},	//2144 KHTMLSettings::isPluginsEnabled() const
    {127, 510, 106, 1, Smoke::mf_const, 370, 70},	//2145 KHTMLSettings::adFilteredBy(const QString&) const
    {127, 1881, 0, 0, Smoke::mf_const, 304, 71},	//2146 KHTMLSettings::windowOpenPolicy() const
    {127, 1879, 0, 0, Smoke::mf_const, 303, 72},	//2147 KHTMLSettings::windowMovePolicy() const
    {127, 1883, 0, 0, Smoke::mf_const, 305, 73},	//2148 KHTMLSettings::windowResizePolicy() const
    {127, 1885, 0, 0, Smoke::mf_const, 306, 74},	//2149 KHTMLSettings::windowStatusPolicy() const
    {127, 1877, 0, 0, Smoke::mf_const, 302, 75},	//2150 KHTMLSettings::windowFocusPolicy() const
    {127, 326, 0, 0, Smoke::mf_static|Smoke::mf_enum, 307, 76},	//2151 KHTMLSettings::KJavaScriptDunno (enum)
    {127, 325, 0, 0, Smoke::mf_static|Smoke::mf_enum, 307, 77},	//2152 KHTMLSettings::KJavaScriptAccept (enum)
    {127, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 307, 78},	//2153 KHTMLSettings::KJavaScriptReject (enum)
    {127, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 300, 79},	//2154 KHTMLSettings::KAnimationDisabled (enum)
    {127, 301, 0, 0, Smoke::mf_static|Smoke::mf_enum, 300, 80},	//2155 KHTMLSettings::KAnimationLoopOnce (enum)
    {127, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 300, 81},	//2156 KHTMLSettings::KAnimationEnabled (enum)
    {127, 328, 0, 0, Smoke::mf_static|Smoke::mf_enum, 309, 82},	//2157 KHTMLSettings::KSmoothScrollingDisabled (enum)
    {127, 330, 0, 0, Smoke::mf_static|Smoke::mf_enum, 309, 83},	//2158 KHTMLSettings::KSmoothScrollingWhenEfficient (enum)
    {127, 329, 0, 0, Smoke::mf_static|Smoke::mf_enum, 309, 84},	//2159 KHTMLSettings::KSmoothScrollingEnabled (enum)
    {127, 302, 0, 0, Smoke::mf_static|Smoke::mf_enum, 301, 85},	//2160 KHTMLSettings::KDNSPrefetchDisabled (enum)
    {127, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 301, 86},	//2161 KHTMLSettings::KDNSPrefetchOnlyWWWAndSLD (enum)
    {127, 303, 0, 0, Smoke::mf_static|Smoke::mf_enum, 301, 87},	//2162 KHTMLSettings::KDNSPrefetchEnabled (enum)
    {127, 317, 0, 0, Smoke::mf_static|Smoke::mf_enum, 304, 88},	//2163 KHTMLSettings::KJSWindowOpenAllow (enum)
    {127, 318, 0, 0, Smoke::mf_static|Smoke::mf_enum, 304, 89},	//2164 KHTMLSettings::KJSWindowOpenAsk (enum)
    {127, 319, 0, 0, Smoke::mf_static|Smoke::mf_enum, 304, 90},	//2165 KHTMLSettings::KJSWindowOpenDeny (enum)
    {127, 320, 0, 0, Smoke::mf_static|Smoke::mf_enum, 304, 91},	//2166 KHTMLSettings::KJSWindowOpenSmart (enum)
    {127, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 306, 92},	//2167 KHTMLSettings::KJSWindowStatusAllow (enum)
    {127, 324, 0, 0, Smoke::mf_static|Smoke::mf_enum, 306, 93},	//2168 KHTMLSettings::KJSWindowStatusIgnore (enum)
    {127, 315, 0, 0, Smoke::mf_static|Smoke::mf_enum, 303, 94},	//2169 KHTMLSettings::KJSWindowMoveAllow (enum)
    {127, 316, 0, 0, Smoke::mf_static|Smoke::mf_enum, 303, 95},	//2170 KHTMLSettings::KJSWindowMoveIgnore (enum)
    {127, 321, 0, 0, Smoke::mf_static|Smoke::mf_enum, 305, 96},	//2171 KHTMLSettings::KJSWindowResizeAllow (enum)
    {127, 322, 0, 0, Smoke::mf_static|Smoke::mf_enum, 305, 97},	//2172 KHTMLSettings::KJSWindowResizeIgnore (enum)
    {127, 313, 0, 0, Smoke::mf_static|Smoke::mf_enum, 302, 98},	//2173 KHTMLSettings::KJSWindowFocusAllow (enum)
    {127, 314, 0, 0, Smoke::mf_static|Smoke::mf_enum, 302, 99},	//2174 KHTMLSettings::KJSWindowFocusIgnore (enum)
    {127, 1997, 0, 0, Smoke::mf_dtor, 0, 100 },	//2175 KHTMLSettings::~KHTMLSettings()
    {128, 1087, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 613, 1},	//2176 KHTMLView::metaObject() const
    {128, 1210, 108, 1, Smoke::mf_virtual, 650, 2},	//2177 KHTMLView::qt_metacast(const char*)
    {128, 1822, 428, 2, Smoke::mf_static, 370, 3},	//2178 KHTMLView::tr(const char*, const char*)
    {128, 1826, 428, 2, Smoke::mf_static, 370, 4},	//2179 KHTMLView::trUtf8(const char*, const char*)
    {128, 1822, 431, 3, Smoke::mf_static, 370, 5},	//2180 KHTMLView::tr(const char*, const char*, int)
    {128, 1826, 431, 3, Smoke::mf_static, 370, 6},	//2181 KHTMLView::trUtf8(const char*, const char*, int)
    {128, 1208, 435, 3, Smoke::mf_virtual, 634, 7},	//2182 KHTMLView::qt_metacall(QMetaObject::Call, int, void**)
    {128, 311, 640, 2, Smoke::mf_ctor, 310, 8},	//2183 KHTMLView::KHTMLView(KHTMLPart*, QWidget*)
    {128, 1178, 0, 0, Smoke::mf_const, 290, 9},	//2184 KHTMLView::part() const
    {128, 840, 0, 0, Smoke::mf_const, 634, 10},	//2185 KHTMLView::frameWidth() const
    {128, 1550, 31, 1, 0, 0, 11},	//2186 KHTMLView::setMarginWidth(int)
    {128, 1078, 0, 0, Smoke::mf_const, 634, 12},	//2187 KHTMLView::marginWidth() const
    {128, 1547, 31, 1, 0, 0, 13},	//2188 KHTMLView::setMarginHeight(int)
    {128, 1077, 0, 0, 0, 634, 14},	//2189 KHTMLView::marginHeight()
    {128, 1710, 643, 1, Smoke::mf_virtual, 0, 15},	//2190 KHTMLView::setVerticalScrollBarPolicy(Qt::ScrollBarPolicy)
    {128, 1496, 643, 1, Smoke::mf_virtual, 0, 16},	//2191 KHTMLView::setHorizontalScrollBarPolicy(Qt::ScrollBarPolicy)
    {128, 1202, 135, 1, 0, 0, 17},	//2192 KHTMLView::print(bool)
    {128, 741, 0, 0, 0, 0, 18},	//2193 KHTMLView::displayAccessKeys()
    {128, 646, 0, 0, Smoke::mf_const, 634, 19},	//2194 KHTMLView::contentsWidth() const
    {128, 642, 0, 0, Smoke::mf_const, 634, 20},	//2195 KHTMLView::contentsHeight() const
    {128, 647, 0, 0, Smoke::mf_const, 634, 21},	//2196 KHTMLView::contentsX() const
    {128, 648, 0, 0, Smoke::mf_const, 634, 22},	//2197 KHTMLView::contentsY() const
    {128, 1866, 0, 0, Smoke::mf_const, 634, 23},	//2198 KHTMLView::visibleWidth() const
    {128, 1865, 0, 0, Smoke::mf_const, 634, 24},	//2199 KHTMLView::visibleHeight() const
    {128, 1420, 504, 2, 0, 0, 25},	//2200 KHTMLView::setContentsPos(int, int)
    {128, 643, 645, 1, Smoke::mf_const, 364, 26},	//2201 KHTMLView::contentsToViewport(const QPoint&) const
    {128, 1860, 645, 1, Smoke::mf_const, 364, 27},	//2202 KHTMLView::viewportToContents(const QPoint&) const
    {128, 1860, 647, 4, Smoke::mf_const, 0, 28},	//2203 KHTMLView::viewportToContents(int, int, int&, int&) const
    {128, 643, 647, 4, Smoke::mf_const, 0, 29},	//2204 KHTMLView::contentsToViewport(int, int, int&, int&) const
    {128, 1296, 504, 2, 0, 0, 30},	//2205 KHTMLView::scrollBy(int, int)
    {128, 1837, 652, 1, 0, 0, 31},	//2206 KHTMLView::updateContents(const QRect&)
    {128, 1837, 654, 4, 0, 0, 32},	//2207 KHTMLView::updateContents(int, int, int, int)
    {128, 519, 659, 3, 0, 0, 33},	//2208 KHTMLView::addChild(QWidget*, int, int)
    {128, 1260, 652, 1, 0, 0, 34},	//2209 KHTMLView::repaintContents(const QRect&)
    {128, 1260, 654, 4, 0, 0, 35},	//2210 KHTMLView::repaintContents(int, int, int, int)
    {128, 1726, 31, 1, 0, 0, 36},	//2211 KHTMLView::setZoomLevel(int)
    {128, 1898, 0, 0, Smoke::mf_const, 634, 37},	//2212 KHTMLView::zoomLevel() const
    {128, 1644, 663, 1, 0, 0, 38},	//2213 KHTMLView::setSmoothScrollingMode(KHTMLView::SmoothScrollingMode)
    {128, 1747, 0, 0, Smoke::mf_const, 312, 39},	//2214 KHTMLView::smoothScrollingMode() const
    {128, 1268, 504, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 40},	//2215 KHTMLView::resizeContents(int, int)
    {128, 1060, 0, 0, Smoke::mf_slot, 0, 41},	//2216 KHTMLView::layout()
    {128, 814, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//2217 KHTMLView::finishedLayout()
    {128, 599, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//2218 KHTMLView::cleared()
    {128, 1899, 31, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//2219 KHTMLView::zoomView(int)
    {128, 914, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//2220 KHTMLView::hideAccessKeys()
    {128, 1259, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//2221 KHTMLView::repaintAccessKeys()
    {128, 798, 135, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//2222 KHTMLView::findAheadActive(bool)
    {128, 598, 0, 0, Smoke::mf_protected, 0, 48},	//2223 KHTMLView::clear()
    {128, 777, 526, 1, Smoke::mf_protected|Smoke::mf_virtual, 475, 49},	//2224 KHTMLView::event(QEvent*)
    {128, 1169, 665, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 50},	//2225 KHTMLView::paintEvent(QPaintEvent*)
    {128, 1270, 667, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 51},	//2226 KHTMLView::resizeEvent(QResizeEvent*)
    {128, 1739, 669, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 52},	//2227 KHTMLView::showEvent(QShowEvent*)
    {128, 915, 671, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 53},	//2228 KHTMLView::hideEvent(QHideEvent*)
    {128, 822, 135, 1, Smoke::mf_protected|Smoke::mf_virtual, 475, 54},	//2229 KHTMLView::focusNextPrevChild(bool)
    {128, 1097, 673, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//2230 KHTMLView::mousePressEvent(QMouseEvent*)
    {128, 820, 675, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//2231 KHTMLView::focusInEvent(QFocusEvent*)
    {128, 824, 675, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 57},	//2232 KHTMLView::focusOutEvent(QFocusEvent*)
    {128, 1093, 673, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 58},	//2233 KHTMLView::mouseDoubleClickEvent(QMouseEvent*)
    {128, 1095, 673, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 59},	//2234 KHTMLView::mouseMoveEvent(QMouseEvent*)
    {128, 1099, 673, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 60},	//2235 KHTMLView::mouseReleaseEvent(QMouseEvent*)
    {128, 1869, 677, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 61},	//2236 KHTMLView::wheelEvent(QWheelEvent*)
    {128, 757, 679, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 62},	//2237 KHTMLView::dragEnterEvent(QDragEnterEvent*)
    {128, 761, 681, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 63},	//2238 KHTMLView::dropEvent(QDropEvent*)
    {128, 613, 683, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 64},	//2239 KHTMLView::closeEvent(QCloseEvent*)
    {128, 1873, 526, 1, Smoke::mf_protected|Smoke::mf_virtual, 475, 65},	//2240 KHTMLView::widgetEvent(QEvent*)
    {128, 1858, 526, 1, Smoke::mf_protected|Smoke::mf_virtual, 475, 66},	//2241 KHTMLView::viewportEvent(QEvent*)
    {128, 779, 685, 2, Smoke::mf_protected|Smoke::mf_virtual, 475, 67},	//2242 KHTMLView::eventFilter(QObject*, QEvent*)
    {128, 1298, 504, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 68},	//2243 KHTMLView::scrollContentsBy(int, int)
    {128, 1027, 688, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 69},	//2244 KHTMLView::keyPressEvent(QKeyEvent*)
    {128, 1029, 688, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 70},	//2245 KHTMLView::keyReleaseEvent(QKeyEvent*)
    {128, 744, 0, 0, Smoke::mf_protected, 0, 71},	//2246 KHTMLView::doAutoScroll()
    {128, 1811, 558, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 72},	//2247 KHTMLView::timerEvent(QTimerEvent*)
    {128, 1646, 663, 1, Smoke::mf_protected, 0, 73},	//2248 KHTMLView::setSmoothScrollingModeDefault(KHTMLView::SmoothScrollingMode)
    {128, 1745, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 74},	//2249 KHTMLView::slotPaletteChanged()
    {128, 1822, 108, 1, Smoke::mf_static, 370, 75},	//2250 KHTMLView::tr(const char*)
    {128, 1826, 108, 1, Smoke::mf_static, 370, 76},	//2251 KHTMLView::trUtf8(const char*)
    {128, 1202, 0, 0, 0, 0, 77},	//2252 KHTMLView::print()
    {128, 1766, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 612, 78},	//2253 KHTMLView::staticMetaObject() const
    {128, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 312, 79},	//2254 KHTMLView::SSMDisabled (enum)
    {128, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 312, 80},	//2255 KHTMLView::SSMWhenEfficient (enum)
    {128, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 312, 81},	//2256 KHTMLView::SSMEnabled (enum)
    {128, 1998, 0, 0, Smoke::mf_dtor, 0, 82 },	//2257 KHTMLView::~KHTMLView()
    {137, 782, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 623, 0},	//2258 KParts::Event::eventName() const
    {140, 766, 562, 1, Smoke::mf_virtual, 0, 0},	//2259 KParts::Part::embed(QWidget*)
    {140, 1872, 0, 0, Smoke::mf_virtual, 380, 0},	//2260 KParts::Part::widget()
    {140, 1546, 690, 1, Smoke::mf_virtual, 0, 0},	//2261 KParts::Part::setManager(KParts::PartManager*)
    {140, 917, 692, 2, Smoke::mf_virtual, 321, 0},	//2262 KParts::Part::hitTest(QWidget*, const QPoint&)
    {140, 1622, 135, 1, Smoke::mf_virtual, 0, 0},	//2263 KParts::Part::setSelectable(bool)
    {140, 1718, 562, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2264 KParts::Part::setWidget(QWidget*)
    {140, 1179, 695, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2265 KParts::Part::partActivateEvent(KParts::PartActivateEvent*)
    {140, 1181, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2266 KParts::Part::partSelectEvent(KParts::PartSelectEvent*)
    {142, 1415, 699, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2267 KParts::PartBase::setComponentData(const KComponentData&)
    {142, 1415, 701, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2268 KParts::PartBase::setComponentData(const KComponentData&, bool)
    {150, 506, 704, 1, Smoke::mf_const|Smoke::mf_virtual, 332, 0},	//2269 KXMLGUIClient::action(const QDomElement&) const
    {150, 507, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 284, 0},	//2270 KXMLGUIClient::actionCollection() const
    {150, 636, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 286, 0},	//2271 KXMLGUIClient::componentData() const
    {150, 755, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 343, 0},	//2272 KXMLGUIClient::domDocument() const
    {150, 1895, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 370, 0},	//2273 KXMLGUIClient::xmlFile() const
    {150, 1073, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 370, 0},	//2274 KXMLGUIClient::localXMLFile() const
    {150, 1723, 706, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2275 KXMLGUIClient::setXMLFile(const QString&, bool, bool)
    {150, 1541, 106, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2276 KXMLGUIClient::setLocalXMLFile(const QString&)
    {150, 1722, 478, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2277 KXMLGUIClient::setXML(const QString&, bool)
    {150, 1436, 710, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2278 KXMLGUIClient::setDOMDocument(const QDomDocument&, bool)
    {150, 1765, 713, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2279 KXMLGUIClient::stateChanged(const QString&, KXMLGUIClient::ReverseStateChange)
    {150, 1863, 716, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2280 KXMLGUIClient::virtual_hook(int, void*)
    {150, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 331, 13},	//2281 KXMLGUIClient::StateNoReverse (enum)
    {150, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 331, 14},	//2282 KXMLGUIClient::StateReverse (enum)
    {151, 1092, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 369, 0},	//2283 QAbstractScrollArea::minimumSizeHint() const
    {151, 649, 719, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2284 QAbstractScrollArea::contextMenuEvent(QContextMenuEvent*)
    {151, 760, 721, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2285 QAbstractScrollArea::dragMoveEvent(QDragMoveEvent*)
    {151, 759, 723, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2286 QAbstractScrollArea::dragLeaveEvent(QDragLeaveEvent*)
    {172, 587, 526, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2287 QFrame::changeEvent(QEvent*)
    {173, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 643, 1},	//2288 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {173, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 643, 2},	//2289 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {173, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 643, 3},	//2290 QGlobalSpace::Q_STATIC_TYPE (enum)
    {173, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 643, 4},	//2291 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {173, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 643, 5},	//2292 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {173, 350, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 6},	//2293 QGlobalSpace::LicensedXml (enum)
    {173, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 453, 7},	//2294 QGlobalSpace::QtDebugMsg (enum)
    {173, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 453, 8},	//2295 QGlobalSpace::QtWarningMsg (enum)
    {173, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 453, 9},	//2296 QGlobalSpace::QtCriticalMsg (enum)
    {173, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 453, 10},	//2297 QGlobalSpace::QtFatalMsg (enum)
    {173, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 453, 11},	//2298 QGlobalSpace::QtSystemMsg (enum)
    {173, 341, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 12},	//2299 QGlobalSpace::LicensedOpenGL (enum)
    {173, 343, 0, 0, Smoke::mf_static|Smoke::mf_enum, 465, 13},	//2300 QGlobalSpace::LicensedQt3Support (enum)
    {173, 342, 0, 0, Smoke::mf_static|Smoke::mf_enum, 463, 14},	//2301 QGlobalSpace::LicensedOpenVG (enum)
    {173, 340, 0, 0, Smoke::mf_static|Smoke::mf_enum, 461, 15},	//2302 QGlobalSpace::LicensedNetwork (enum)
    {173, 347, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 16},	//2303 QGlobalSpace::LicensedSql (enum)
    {173, 334, 0, 0, Smoke::mf_static|Smoke::mf_enum, 455, 17},	//2304 QGlobalSpace::LicensedCore (enum)
    {173, 348, 0, 0, Smoke::mf_static|Smoke::mf_enum, 469, 18},	//2305 QGlobalSpace::LicensedSvg (enum)
    {173, 351, 0, 0, Smoke::mf_static|Smoke::mf_enum, 472, 19},	//2306 QGlobalSpace::LicensedXmlPatterns (enum)
    {173, 337, 0, 0, Smoke::mf_static|Smoke::mf_enum, 458, 20},	//2307 QGlobalSpace::LicensedGui (enum)
    {173, 336, 0, 0, Smoke::mf_static|Smoke::mf_enum, 457, 21},	//2308 QGlobalSpace::LicensedDeclarative (enum)
    {173, 333, 0, 0, Smoke::mf_static|Smoke::mf_enum, 454, 22},	//2309 QGlobalSpace::LicensedActiveQt (enum)
    {173, 335, 0, 0, Smoke::mf_static|Smoke::mf_enum, 456, 23},	//2310 QGlobalSpace::LicensedDBus (enum)
    {173, 349, 0, 0, Smoke::mf_static|Smoke::mf_enum, 470, 24},	//2311 QGlobalSpace::LicensedTest (enum)
    {173, 346, 0, 0, Smoke::mf_static|Smoke::mf_enum, 467, 25},	//2312 QGlobalSpace::LicensedScriptTools (enum)
    {173, 344, 0, 0, Smoke::mf_static|Smoke::mf_enum, 464, 26},	//2313 QGlobalSpace::LicensedQt3SupportLight (enum)
    {173, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 474, 27},	//2314 QGlobalSpace::__codecvt_ok (enum)
    {173, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 474, 28},	//2315 QGlobalSpace::__codecvt_partial (enum)
    {173, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 474, 29},	//2316 QGlobalSpace::__codecvt_error (enum)
    {173, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 474, 30},	//2317 QGlobalSpace::__codecvt_noconv (enum)
    {173, 345, 0, 0, Smoke::mf_static|Smoke::mf_enum, 466, 31},	//2318 QGlobalSpace::LicensedScript (enum)
    {173, 339, 0, 0, Smoke::mf_static|Smoke::mf_enum, 460, 32},	//2319 QGlobalSpace::LicensedMultimedia (enum)
    {173, 338, 0, 0, Smoke::mf_static|Smoke::mf_enum, 459, 33},	//2320 QGlobalSpace::LicensedHelp (enum)
    {180, 777, 526, 1, Smoke::mf_virtual, 475, 0},	//2321 QObject::event(QEvent*)
    {180, 779, 685, 2, Smoke::mf_virtual, 475, 0},	//2322 QObject::eventFilter(QObject*, QEvent*)
    {180, 593, 725, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2323 QObject::childEvent(QChildEvent*)
    {180, 704, 526, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2324 QObject::customEvent(QEvent*)
    {180, 638, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2325 QObject::connectNotify(const char*)
    {180, 738, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2326 QObject::disconnectNotify(const char*)
    {189, 1742, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 369, 0},	//2327 QScrollArea::sizeHint() const
    {197, 735, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 634, 0},	//2328 QWidget::devType() const
    {197, 1714, 135, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2329 QWidget::setVisible(bool)
    {197, 912, 31, 1, Smoke::mf_const|Smoke::mf_virtual, 634, 0},	//2330 QWidget::heightForWidth(int) const
    {197, 1168, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 360, 0},	//2331 QWidget::paintEngine() const
    {197, 775, 526, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2332 QWidget::enterEvent(QEvent*)
    {197, 1061, 526, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2333 QWidget::leaveEvent(QEvent*)
    {197, 1101, 727, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2334 QWidget::moveEvent(QMoveEvent*)
    {197, 1801, 729, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2335 QWidget::tabletEvent(QTabletEvent*)
    {197, 508, 731, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2336 QWidget::actionEvent(QActionEvent*)
    {197, 1894, 733, 1, Smoke::mf_protected|Smoke::mf_virtual, 475, 0},	//2337 QWidget::x11Event(_XEvent*)
    {197, 1090, 735, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 634, 0},	//2338 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {197, 955, 737, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2339 QWidget::inputMethodEvent(QInputMethodEvent*)
    {197, 956, 739, 1, Smoke::mf_const|Smoke::mf_virtual, 378, 0},	//2340 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {197, 1780, 741, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2341 QWidget::styleChange(QStyle&)
    {197, 767, 135, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2342 QWidget::enabledChange(bool)
    {197, 1172, 743, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2343 QWidget::paletteChange(const QPalette&)
    {197, 827, 745, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2344 QWidget::fontChange(const QFont&)
    {197, 1876, 135, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2345 QWidget::windowActivationChange(bool)
    {197, 1053, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2346 QWidget::languageChange()
    {199, 142, 747, 5, Smoke::mf_ctor, 637, 1},	//2347 khtml::DrawContentsEvent::DrawContentsEvent(QPainter*, int, int, int, int)
    {199, 1171, 0, 0, Smoke::mf_const, 362, 2},	//2348 khtml::DrawContentsEvent::painter() const
    {199, 606, 0, 0, Smoke::mf_const, 634, 3},	//2349 khtml::DrawContentsEvent::clipx() const
    {199, 607, 0, 0, Smoke::mf_const, 634, 4},	//2350 khtml::DrawContentsEvent::clipy() const
    {199, 605, 0, 0, Smoke::mf_const, 634, 5},	//2351 khtml::DrawContentsEvent::clipw() const
    {199, 604, 0, 0, Smoke::mf_const, 634, 6},	//2352 khtml::DrawContentsEvent::cliph() const
    {199, 1804, 753, 1, Smoke::mf_static, 475, 7},	//2353 khtml::DrawContentsEvent::test(const QEvent*)
    {199, 142, 755, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 637, 8},	//2354 khtml::DrawContentsEvent::DrawContentsEvent(const khtml::DrawContentsEvent&)
    {199, 1931, 0, 0, Smoke::mf_dtor, 0, 9 },	//2355 khtml::DrawContentsEvent::~DrawContentsEvent()
    {201, 361, 757, 7, Smoke::mf_ctor, 638, 1},	//2356 khtml::MouseDoubleClickEvent::MouseDoubleClickEvent(QMouseEvent*, int, int, const DOM::DOMString&, const DOM::DOMString&, const DOM::Node&, int)
    {201, 1804, 753, 1, Smoke::mf_static, 475, 2},	//2357 khtml::MouseDoubleClickEvent::test(const QEvent*)
    {201, 601, 0, 0, Smoke::mf_const, 634, 3},	//2358 khtml::MouseDoubleClickEvent::clickCount() const
    {201, 361, 765, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 638, 4},	//2359 khtml::MouseDoubleClickEvent::MouseDoubleClickEvent(const khtml::MouseDoubleClickEvent&)
    {201, 361, 767, 6, Smoke::mf_ctor, 638, 5},	//2360 khtml::MouseDoubleClickEvent::MouseDoubleClickEvent(QMouseEvent*, int, int, const DOM::DOMString&, const DOM::DOMString&, const DOM::Node&)
    {201, 2002, 0, 0, Smoke::mf_dtor, 0, 6 },	//2361 khtml::MouseDoubleClickEvent::~MouseDoubleClickEvent()
    {202, 365, 774, 7, Smoke::mf_ctor, 639, 1},	//2362 khtml::MouseEvent::MouseEvent(const char*, QMouseEvent*, int, int, const DOM::DOMString&, const DOM::DOMString&, const DOM::Node&)
    {202, 1207, 0, 0, Smoke::mf_const, 356, 2},	//2363 khtml::MouseEvent::qmouseEvent() const
    {202, 1893, 0, 0, Smoke::mf_const, 634, 3},	//2364 khtml::MouseEvent::x() const
    {202, 1896, 0, 0, Smoke::mf_const, 634, 4},	//2365 khtml::MouseEvent::y() const
    {202, 498, 0, 0, Smoke::mf_const, 634, 5},	//2366 khtml::MouseEvent::absX() const
    {202, 499, 0, 0, Smoke::mf_const, 634, 6},	//2367 khtml::MouseEvent::absY() const
    {202, 1843, 0, 0, Smoke::mf_const, 65, 7},	//2368 khtml::MouseEvent::url() const
    {202, 1803, 0, 0, Smoke::mf_const, 65, 8},	//2369 khtml::MouseEvent::target() const
    {202, 953, 0, 0, Smoke::mf_const, 234, 9},	//2370 khtml::MouseEvent::innerNode() const
    {202, 1132, 0, 0, Smoke::mf_const, 643, 10},	//2371 khtml::MouseEvent::offset() const
    {202, 365, 782, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 639, 11},	//2372 khtml::MouseEvent::MouseEvent(const khtml::MouseEvent&)
    {202, 2003, 0, 0, Smoke::mf_dtor, 0, 12 },	//2373 khtml::MouseEvent::~MouseEvent()
    {203, 368, 767, 6, Smoke::mf_ctor, 640, 1},	//2374 khtml::MouseMoveEvent::MouseMoveEvent(QMouseEvent*, int, int, const DOM::DOMString&, const DOM::DOMString&, const DOM::Node&)
    {203, 1804, 753, 1, Smoke::mf_static, 475, 2},	//2375 khtml::MouseMoveEvent::test(const QEvent*)
    {203, 368, 784, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 640, 3},	//2376 khtml::MouseMoveEvent::MouseMoveEvent(const khtml::MouseMoveEvent&)
    {203, 2004, 0, 0, Smoke::mf_dtor, 0, 4 },	//2377 khtml::MouseMoveEvent::~MouseMoveEvent()
    {204, 371, 767, 6, Smoke::mf_ctor, 641, 1},	//2378 khtml::MousePressEvent::MousePressEvent(QMouseEvent*, int, int, const DOM::DOMString&, const DOM::DOMString&, const DOM::Node&)
    {204, 1804, 753, 1, Smoke::mf_static, 475, 2},	//2379 khtml::MousePressEvent::test(const QEvent*)
    {204, 371, 786, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 641, 3},	//2380 khtml::MousePressEvent::MousePressEvent(const khtml::MousePressEvent&)
    {204, 2005, 0, 0, Smoke::mf_dtor, 0, 4 },	//2381 khtml::MousePressEvent::~MousePressEvent()
    {205, 374, 788, 7, Smoke::mf_ctor, 642, 1},	//2382 khtml::MouseReleaseEvent::MouseReleaseEvent(QMouseEvent*, int, int, const DOM::DOMString&, const DOM::DOMString&, const DOM::Node&, long)
    {205, 1804, 753, 1, Smoke::mf_static, 475, 2},	//2383 khtml::MouseReleaseEvent::test(const QEvent*)
    {205, 374, 796, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 642, 3},	//2384 khtml::MouseReleaseEvent::MouseReleaseEvent(const khtml::MouseReleaseEvent&)
    {205, 374, 767, 6, Smoke::mf_ctor, 642, 4},	//2385 khtml::MouseReleaseEvent::MouseReleaseEvent(QMouseEvent*, int, int, const DOM::DOMString&, const DOM::DOMString&, const DOM::Node&)
    {205, 2006, 0, 0, Smoke::mf_dtor, 0, 5 },	//2386 khtml::MouseReleaseEvent::~MouseReleaseEvent()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    1241,  // DOM::HTMLParamElement::HTMLParamElement(const DOM::HTMLParamElement&)
    1242,  // DOM::HTMLParamElement::HTMLParamElement(const DOM::Node&)
    0,
    1243,  // DOM::HTMLParamElement::operator=(const DOM::HTMLParamElement&)
    1244,  // DOM::HTMLParamElement::operator=(const DOM::Node&)
    0,
    622,  // DOM::HTMLBRElement::HTMLBRElement(const DOM::HTMLBRElement&)
    623,  // DOM::HTMLBRElement::HTMLBRElement(const DOM::Node&)
    0,
    624,  // DOM::HTMLBRElement::operator=(const DOM::HTMLBRElement&)
    625,  // DOM::HTMLBRElement::operator=(const DOM::Node&)
    0,
    909,  // DOM::HTMLIFrameElement::HTMLIFrameElement(const DOM::HTMLIFrameElement&)
    910,  // DOM::HTMLIFrameElement::HTMLIFrameElement(const DOM::Node&)
    0,
    911,  // DOM::HTMLIFrameElement::operator=(const DOM::HTMLIFrameElement&)
    912,  // DOM::HTMLIFrameElement::operator=(const DOM::Node&)
    0,
    1716,  // DOM::Notation::Notation(const DOM::Notation&)
    1717,  // DOM::Notation::Notation(const DOM::Node&)
    0,
    1718,  // DOM::Notation::operator=(const DOM::Node&)
    1719,  // DOM::Notation::operator=(const DOM::Notation&)
    0,
    1233,  // DOM::HTMLParagraphElement::HTMLParagraphElement(const DOM::HTMLParagraphElement&)
    1234,  // DOM::HTMLParagraphElement::HTMLParagraphElement(const DOM::Node&)
    0,
    1235,  // DOM::HTMLParagraphElement::operator=(const DOM::HTMLParagraphElement&)
    1236,  // DOM::HTMLParagraphElement::operator=(const DOM::Node&)
    0,
    352,  // DOM::Document::Document(const DOM::Document&)
    353,  // DOM::Document::Document(const DOM::Node&)
    0,
    354,  // DOM::Document::operator=(const DOM::Node&)
    355,  // DOM::Document::operator=(const DOM::Document&)
    0,
    720,  // DOM::HTMLDirectoryElement::HTMLDirectoryElement(const DOM::HTMLDirectoryElement&)
    721,  // DOM::HTMLDirectoryElement::HTMLDirectoryElement(const DOM::Node&)
    0,
    722,  // DOM::HTMLDirectoryElement::operator=(const DOM::HTMLDirectoryElement&)
    723,  // DOM::HTMLDirectoryElement::operator=(const DOM::Node&)
    0,
    35,  // DOM::CSSCharsetRule::CSSCharsetRule(const DOM::CSSCharsetRule&)
    36,  // DOM::CSSCharsetRule::CSSCharsetRule(const DOM::CSSRule&)
    0,
    37,  // DOM::CSSCharsetRule::operator=(const DOM::CSSCharsetRule&)
    38,  // DOM::CSSCharsetRule::operator=(const DOM::CSSRule&)
    0,
    600,  // DOM::HTMLAreaElement::HTMLAreaElement(const DOM::HTMLAreaElement&)
    601,  // DOM::HTMLAreaElement::HTMLAreaElement(const DOM::Node&)
    0,
    602,  // DOM::HTMLAreaElement::operator=(const DOM::HTMLAreaElement&)
    603,  // DOM::HTMLAreaElement::operator=(const DOM::Node&)
    0,
    1518,  // DOM::HTMLUListElement::HTMLUListElement(const DOM::HTMLUListElement&)
    1519,  // DOM::HTMLUListElement::HTMLUListElement(const DOM::Node&)
    0,
    1520,  // DOM::HTMLUListElement::operator=(const DOM::HTMLUListElement&)
    1521,  // DOM::HTMLUListElement::operator=(const DOM::Node&)
    0,
    1724,  // DOM::ProcessingInstruction::ProcessingInstruction(const DOM::ProcessingInstruction&)
    1725,  // DOM::ProcessingInstruction::ProcessingInstruction(const DOM::Node&)
    0,
    1726,  // DOM::ProcessingInstruction::operator=(const DOM::Node&)
    1727,  // DOM::ProcessingInstruction::operator=(const DOM::ProcessingInstruction&)
    0,
    417,  // DOM::DocumentStyle::operator=(const DOM::DocumentStyle&)
    418,  // DOM::DocumentStyle::operator=(const DOM::Document&)
    0,
    189,  // DOM::CSSStyleSheet::CSSStyleSheet(const DOM::CSSStyleSheet&)
    190,  // DOM::CSSStyleSheet::CSSStyleSheet(const DOM::StyleSheet&)
    0,
    191,  // DOM::CSSStyleSheet::operator=(const DOM::CSSStyleSheet&)
    192,  // DOM::CSSStyleSheet::operator=(const DOM::StyleSheet&)
    0,
    175,  // DOM::CSSStyleDeclaration::item(unsigned long) const
    176,  // DOM::CSSStyleDeclaration::item(unsigned long)
    0,
    802,  // DOM::HTMLFontElement::HTMLFontElement(const DOM::HTMLFontElement&)
    803,  // DOM::HTMLFontElement::HTMLFontElement(const DOM::Node&)
    0,
    804,  // DOM::HTMLFontElement::operator=(const DOM::HTMLFontElement&)
    805,  // DOM::HTMLFontElement::operator=(const DOM::Node&)
    0,
    1271,  // DOM::HTMLScriptElement::HTMLScriptElement(const DOM::HTMLScriptElement&)
    1272,  // DOM::HTMLScriptElement::HTMLScriptElement(const DOM::Node&)
    0,
    1273,  // DOM::HTMLScriptElement::operator=(const DOM::HTMLScriptElement&)
    1274,  // DOM::HTMLScriptElement::operator=(const DOM::Node&)
    0,
    1043,  // DOM::HTMLLabelElement::HTMLLabelElement(const DOM::HTMLLabelElement&)
    1044,  // DOM::HTMLLabelElement::HTMLLabelElement(const DOM::Node&)
    0,
    1045,  // DOM::HTMLLabelElement::operator=(const DOM::HTMLLabelElement&)
    1046,  // DOM::HTMLLabelElement::operator=(const DOM::Node&)
    0,
    536,  // DOM::HTMLAnchorElement::HTMLAnchorElement(const DOM::HTMLAnchorElement&)
    537,  // DOM::HTMLAnchorElement::HTMLAnchorElement(const DOM::Node&)
    0,
    538,  // DOM::HTMLAnchorElement::operator=(const DOM::HTMLAnchorElement&)
    539,  // DOM::HTMLAnchorElement::operator=(const DOM::Node&)
    0,
    18,  // DOM::Attr::Attr(const DOM::Node&)
    19,  // DOM::Attr::Attr(const DOM::Attr&)
    0,
    20,  // DOM::Attr::operator=(const DOM::Node&)
    21,  // DOM::Attr::operator=(const DOM::Attr&)
    0,
    630,  // DOM::HTMLBaseElement::HTMLBaseElement(const DOM::HTMLBaseElement&)
    631,  // DOM::HTMLBaseElement::HTMLBaseElement(const DOM::Node&)
    0,
    632,  // DOM::HTMLBaseElement::operator=(const DOM::HTMLBaseElement&)
    633,  // DOM::HTMLBaseElement::operator=(const DOM::Node&)
    0,
    1,  // DOM::operator!=(const DOM::DOMString&, const char*)
    5,  // DOM::operator!=(const DOM::DOMString&, const QString&)
    0,
    4,  // DOM::operator==(const DOM::DOMString&, const char*)
    7,  // DOM::operator==(const DOM::DOMString&, const QString&)
    0,
    1157,  // DOM::HTMLObjectElement::HTMLObjectElement(const DOM::HTMLObjectElement&)
    1158,  // DOM::HTMLObjectElement::HTMLObjectElement(const DOM::Node&)
    0,
    1159,  // DOM::HTMLObjectElement::operator=(const DOM::HTMLObjectElement&)
    1160,  // DOM::HTMLObjectElement::operator=(const DOM::Node&)
    0,
    244,  // DOM::Comment::Comment(const DOM::Comment&)
    245,  // DOM::Comment::Comment(const DOM::Node&)
    0,
    246,  // DOM::Comment::operator=(const DOM::Node&)
    247,  // DOM::Comment::operator=(const DOM::Comment&)
    0,
    1145,  // DOM::HTMLOListElement::HTMLOListElement(const DOM::HTMLOListElement&)
    1146,  // DOM::HTMLOListElement::HTMLOListElement(const DOM::Node&)
    0,
    1147,  // DOM::HTMLOListElement::operator=(const DOM::HTMLOListElement&)
    1148,  // DOM::HTMLOListElement::operator=(const DOM::Node&)
    0,
    1255,  // DOM::HTMLPreElement::HTMLPreElement(const DOM::HTMLPreElement&)
    1256,  // DOM::HTMLPreElement::HTMLPreElement(const DOM::Node&)
    0,
    1257,  // DOM::HTMLPreElement::operator=(const DOM::HTMLPreElement&)
    1258,  // DOM::HTMLPreElement::operator=(const DOM::Node&)
    0,
    222,  // DOM::CSSValueList::CSSValueList(const DOM::CSSValueList&)
    223,  // DOM::CSSValueList::CSSValueList(const DOM::CSSValue&)
    0,
    224,  // DOM::CSSValueList::operator=(const DOM::CSSValueList&)
    225,  // DOM::CSSValueList::operator=(const DOM::CSSValue&)
    0,
    795,  // DOM::HTMLFieldSetElement::HTMLFieldSetElement(const DOM::HTMLFieldSetElement&)
    796,  // DOM::HTMLFieldSetElement::HTMLFieldSetElement(const DOM::Node&)
    0,
    797,  // DOM::HTMLFieldSetElement::operator=(const DOM::HTMLFieldSetElement&)
    798,  // DOM::HTMLFieldSetElement::operator=(const DOM::Node&)
    0,
    486,  // DOM::Entity::Entity(const DOM::Entity&)
    487,  // DOM::Entity::Entity(const DOM::Node&)
    0,
    488,  // DOM::Entity::operator=(const DOM::Node&)
    489,  // DOM::Entity::operator=(const DOM::Entity&)
    0,
    1394,  // DOM::HTMLTableElement::HTMLTableElement(const DOM::HTMLTableElement&)
    1395,  // DOM::HTMLTableElement::HTMLTableElement(const DOM::Node&)
    0,
    1396,  // DOM::HTMLTableElement::operator=(const DOM::HTMLTableElement&)
    1397,  // DOM::HTMLTableElement::operator=(const DOM::Node&)
    0,
    1079,  // DOM::HTMLLinkElement::HTMLLinkElement(const DOM::HTMLLinkElement&)
    1080,  // DOM::HTMLLinkElement::HTMLLinkElement(const DOM::Node&)
    0,
    1081,  // DOM::HTMLLinkElement::operator=(const DOM::HTMLLinkElement&)
    1082,  // DOM::HTMLLinkElement::operator=(const DOM::Node&)
    0,
    1332,  // DOM::HTMLTableCaptionElement::HTMLTableCaptionElement(const DOM::HTMLTableCaptionElement&)
    1333,  // DOM::HTMLTableCaptionElement::HTMLTableCaptionElement(const DOM::Node&)
    0,
    1334,  // DOM::HTMLTableCaptionElement::operator=(const DOM::HTMLTableCaptionElement&)
    1335,  // DOM::HTMLTableCaptionElement::operator=(const DOM::Node&)
    0,
    1113,  // DOM::HTMLMenuElement::HTMLMenuElement(const DOM::HTMLMenuElement&)
    1114,  // DOM::HTMLMenuElement::HTMLMenuElement(const DOM::Node&)
    0,
    1115,  // DOM::HTMLMenuElement::operator=(const DOM::HTMLMenuElement&)
    1116,  // DOM::HTMLMenuElement::operator=(const DOM::Node&)
    0,
    885,  // DOM::HTMLHeadElement::HTMLHeadElement(const DOM::HTMLHeadElement&)
    886,  // DOM::HTMLHeadElement::HTMLHeadElement(const DOM::Node&)
    0,
    887,  // DOM::HTMLHeadElement::operator=(const DOM::HTMLHeadElement&)
    888,  // DOM::HTMLHeadElement::operator=(const DOM::Node&)
    0,
    29,  // DOM::CDATASection::CDATASection(const DOM::CDATASection&)
    30,  // DOM::CDATASection::CDATASection(const DOM::Node&)
    0,
    31,  // DOM::CDATASection::operator=(const DOM::Node&)
    32,  // DOM::CDATASection::operator=(const DOM::CDATASection&)
    0,
    91,  // DOM::CSSPrimitiveValue::CSSPrimitiveValue(const DOM::CSSPrimitiveValue&)
    92,  // DOM::CSSPrimitiveValue::CSSPrimitiveValue(const DOM::CSSValue&)
    0,
    93,  // DOM::CSSPrimitiveValue::operator=(const DOM::CSSPrimitiveValue&)
    94,  // DOM::CSSPrimitiveValue::operator=(const DOM::CSSValue&)
    0,
    680,  // DOM::HTMLButtonElement::HTMLButtonElement(const DOM::HTMLButtonElement&)
    681,  // DOM::HTMLButtonElement::HTMLButtonElement(const DOM::Node&)
    0,
    682,  // DOM::HTMLButtonElement::operator=(const DOM::HTMLButtonElement&)
    683,  // DOM::HTMLButtonElement::operator=(const DOM::Node&)
    0,
    1213,  // DOM::HTMLOptionElement::HTMLOptionElement(const DOM::HTMLOptionElement&)
    1214,  // DOM::HTMLOptionElement::HTMLOptionElement(const DOM::Node&)
    0,
    1215,  // DOM::HTMLOptionElement::operator=(const DOM::HTMLOptionElement&)
    1216,  // DOM::HTMLOptionElement::operator=(const DOM::Node&)
    0,
    640,  // DOM::HTMLBaseFontElement::HTMLBaseFontElement(const DOM::HTMLBaseFontElement&)
    641,  // DOM::HTMLBaseFontElement::HTMLBaseFontElement(const DOM::Node&)
    0,
    642,  // DOM::HTMLBaseFontElement::operator=(const DOM::HTMLBaseFontElement&)
    643,  // DOM::HTMLBaseFontElement::operator=(const DOM::Node&)
    0,
    568,  // DOM::HTMLAppletElement::HTMLAppletElement(const DOM::HTMLAppletElement&)
    569,  // DOM::HTMLAppletElement::HTMLAppletElement(const DOM::Node&)
    0,
    570,  // DOM::HTMLAppletElement::operator=(const DOM::HTMLAppletElement&)
    571,  // DOM::HTMLAppletElement::operator=(const DOM::Node&)
    0,
    736,  // DOM::HTMLDocument::HTMLDocument(KHTMLView*)
    737,  // DOM::HTMLDocument::HTMLDocument(const DOM::HTMLDocument&)
    738,  // DOM::HTMLDocument::HTMLDocument(const DOM::Node&)
    0,
    739,  // DOM::HTMLDocument::operator=(const DOM::HTMLDocument&)
    740,  // DOM::HTMLDocument::operator=(const DOM::Node&)
    0,
    712,  // DOM::HTMLDListElement::HTMLDListElement(const DOM::HTMLDListElement&)
    713,  // DOM::HTMLDListElement::HTMLDListElement(const DOM::Node&)
    0,
    714,  // DOM::HTMLDListElement::operator=(const DOM::HTMLDListElement&)
    715,  // DOM::HTMLDListElement::operator=(const DOM::Node&)
    0,
    654,  // DOM::HTMLBlockquoteElement::HTMLBlockquoteElement(const DOM::HTMLBlockquoteElement&)
    655,  // DOM::HTMLBlockquoteElement::HTMLBlockquoteElement(const DOM::Node&)
    0,
    656,  // DOM::HTMLBlockquoteElement::operator=(const DOM::HTMLBlockquoteElement&)
    657,  // DOM::HTMLBlockquoteElement::operator=(const DOM::Node&)
    0,
    495,  // DOM::EntityReference::EntityReference(const DOM::EntityReference&)
    496,  // DOM::EntityReference::EntityReference(const DOM::Node&)
    0,
    497,  // DOM::EntityReference::operator=(const DOM::Node&)
    498,  // DOM::EntityReference::operator=(const DOM::EntityReference&)
    0,
    72,  // DOM::CSSMediaRule::CSSMediaRule(const DOM::CSSMediaRule&)
    73,  // DOM::CSSMediaRule::CSSMediaRule(const DOM::CSSRule&)
    0,
    74,  // DOM::CSSMediaRule::operator=(const DOM::CSSMediaRule&)
    75,  // DOM::CSSMediaRule::operator=(const DOM::CSSRule&)
    0,
    448,  // DOM::Element::Element(const DOM::Node&)
    449,  // DOM::Element::Element(const DOM::Element&)
    0,
    450,  // DOM::Element::operator=(const DOM::Node&)
    451,  // DOM::Element::operator=(const DOM::Element&)
    0,
    1024,  // DOM::HTMLIsIndexElement::HTMLIsIndexElement(const DOM::HTMLIsIndexElement&)
    1025,  // DOM::HTMLIsIndexElement::HTMLIsIndexElement(const DOM::Node&)
    0,
    1026,  // DOM::HTMLIsIndexElement::operator=(const DOM::HTMLIsIndexElement&)
    1027,  // DOM::HTMLIsIndexElement::operator=(const DOM::Node&)
    0,
    861,  // DOM::HTMLFrameSetElement::HTMLFrameSetElement(const DOM::HTMLFrameSetElement&)
    862,  // DOM::HTMLFrameSetElement::HTMLFrameSetElement(const DOM::Node&)
    0,
    863,  // DOM::HTMLFrameSetElement::operator=(const DOM::HTMLFrameSetElement&)
    864,  // DOM::HTMLFrameSetElement::operator=(const DOM::Node&)
    0,
    1033,  // DOM::HTMLLIElement::HTMLLIElement(const DOM::HTMLLIElement&)
    1034,  // DOM::HTMLLIElement::HTMLLIElement(const DOM::Node&)
    0,
    1035,  // DOM::HTMLLIElement::operator=(const DOM::HTMLLIElement&)
    1036,  // DOM::HTMLLIElement::operator=(const DOM::Node&)
    0,
    838,  // DOM::HTMLFrameElement::HTMLFrameElement(const DOM::HTMLFrameElement&)
    839,  // DOM::HTMLFrameElement::HTMLFrameElement(const DOM::Node&)
    0,
    840,  // DOM::HTMLFrameElement::operator=(const DOM::HTMLFrameElement&)
    841,  // DOM::HTMLFrameElement::operator=(const DOM::Node&)
    0,
    1291,  // DOM::HTMLSelectElement::HTMLSelectElement(const DOM::HTMLSelectElement&)
    1292,  // DOM::HTMLSelectElement::HTMLSelectElement(const DOM::Node&)
    0,
    1293,  // DOM::HTMLSelectElement::operator=(const DOM::HTMLSelectElement&)
    1294,  // DOM::HTMLSelectElement::operator=(const DOM::Node&)
    0,
    1836,  // DOM::TextEvent::TextEvent(const DOM::TextEvent&)
    1837,  // DOM::TextEvent::TextEvent(const DOM::Event&)
    0,
    1838,  // DOM::TextEvent::operator=(const DOM::TextEvent&)
    1839,  // DOM::TextEvent::operator=(const DOM::Event&)
    0,
    230,  // DOM::CharacterData::CharacterData(const DOM::CharacterData&)
    231,  // DOM::CharacterData::CharacterData(const DOM::Node&)
    0,
    232,  // DOM::CharacterData::operator=(const DOM::Node&)
    233,  // DOM::CharacterData::operator=(const DOM::CharacterData&)
    0,
    1734,  // DOM::RGBColor::RGBColor(const QColor&)
    1736,  // DOM::RGBColor::RGBColor(const DOM::RGBColor&)
    0,
    1861,  // DOM::UIEvent::UIEvent(const DOM::UIEvent&)
    1862,  // DOM::UIEvent::UIEvent(const DOM::Event&)
    0,
    1863,  // DOM::UIEvent::operator=(const DOM::UIEvent&)
    1864,  // DOM::UIEvent::operator=(const DOM::Event&)
    0,
    901,  // DOM::HTMLHtmlElement::HTMLHtmlElement(const DOM::HTMLHtmlElement&)
    902,  // DOM::HTMLHtmlElement::HTMLHtmlElement(const DOM::Node&)
    0,
    903,  // DOM::HTMLHtmlElement::operator=(const DOM::HTMLHtmlElement&)
    904,  // DOM::HTMLHtmlElement::operator=(const DOM::Node&)
    0,
    1319,  // DOM::HTMLStyleElement::HTMLStyleElement(const DOM::HTMLStyleElement&)
    1320,  // DOM::HTMLStyleElement::HTMLStyleElement(const DOM::Node&)
    0,
    1321,  // DOM::HTMLStyleElement::operator=(const DOM::HTMLStyleElement&)
    1322,  // DOM::HTMLStyleElement::operator=(const DOM::Node&)
    0,
    311,  // DOM::DOMString::DOMString(const QString&)
    312,  // DOM::DOMString::DOMString(const char*)
    0,
    1829,  // DOM::Text::Text(const DOM::Text&)
    1830,  // DOM::Text::Text(const DOM::Node&)
    0,
    1831,  // DOM::Text::operator=(const DOM::Node&)
    1832,  // DOM::Text::operator=(const DOM::Text&)
    0,
    1068,  // DOM::HTMLLegendElement::HTMLLegendElement(const DOM::HTMLLegendElement&)
    1069,  // DOM::HTMLLegendElement::HTMLLegendElement(const DOM::Node&)
    0,
    1070,  // DOM::HTMLLegendElement::operator=(const DOM::HTMLLegendElement&)
    1071,  // DOM::HTMLLegendElement::operator=(const DOM::Node&)
    0,
    1458,  // DOM::HTMLTableSectionElement::HTMLTableSectionElement(const DOM::HTMLTableSectionElement&)
    1459,  // DOM::HTMLTableSectionElement::HTMLTableSectionElement(const DOM::Node&)
    0,
    1460,  // DOM::HTMLTableSectionElement::operator=(const DOM::HTMLTableSectionElement&)
    1461,  // DOM::HTMLTableSectionElement::operator=(const DOM::Node&)
    0,
    1135,  // DOM::HTMLModElement::HTMLModElement(const DOM::HTMLModElement&)
    1136,  // DOM::HTMLModElement::HTMLModElement(const DOM::Node&)
    0,
    1137,  // DOM::HTMLModElement::operator=(const DOM::HTMLModElement&)
    1138,  // DOM::HTMLModElement::operator=(const DOM::Node&)
    0,
    1528,  // DOM::KeyboardEvent::KeyboardEvent(const DOM::KeyboardEvent&)
    1529,  // DOM::KeyboardEvent::KeyboardEvent(const DOM::Event&)
    0,
    1530,  // DOM::KeyboardEvent::operator=(const DOM::KeyboardEvent&)
    1531,  // DOM::KeyboardEvent::operator=(const DOM::Event&)
    0,
    1340,  // DOM::HTMLTableCellElement::HTMLTableCellElement(const DOM::HTMLTableCellElement&)
    1341,  // DOM::HTMLTableCellElement::HTMLTableCellElement(const DOM::Node&)
    0,
    1342,  // DOM::HTMLTableCellElement::operator=(const DOM::HTMLTableCellElement&)
    1343,  // DOM::HTMLTableCellElement::operator=(const DOM::Node&)
    0,
    180,  // DOM::CSSStyleRule::CSSStyleRule(const DOM::CSSStyleRule&)
    181,  // DOM::CSSStyleRule::CSSStyleRule(const DOM::CSSRule&)
    0,
    182,  // DOM::CSSStyleRule::operator=(const DOM::CSSStyleRule&)
    183,  // DOM::CSSStyleRule::operator=(const DOM::CSSRule&)
    0,
    970,  // DOM::HTMLInputElement::HTMLInputElement(const DOM::HTMLInputElement&)
    971,  // DOM::HTMLInputElement::HTMLInputElement(const DOM::Node&)
    0,
    972,  // DOM::HTMLInputElement::operator=(const DOM::HTMLInputElement&)
    973,  // DOM::HTMLInputElement::operator=(const DOM::Node&)
    0,
    1263,  // DOM::HTMLQuoteElement::HTMLQuoteElement(const DOM::HTMLQuoteElement&)
    1264,  // DOM::HTMLQuoteElement::HTMLQuoteElement(const DOM::Node&)
    0,
    1265,  // DOM::HTMLQuoteElement::operator=(const DOM::HTMLQuoteElement&)
    1266,  // DOM::HTMLQuoteElement::operator=(const DOM::Node&)
    0,
    1564,  // DOM::MouseEvent::MouseEvent(const DOM::MouseEvent&)
    1565,  // DOM::MouseEvent::MouseEvent(const DOM::Event&)
    0,
    1566,  // DOM::MouseEvent::operator=(const DOM::MouseEvent&)
    1567,  // DOM::MouseEvent::operator=(const DOM::Event&)
    0,
    936,  // DOM::HTMLImageElement::HTMLImageElement(const DOM::HTMLImageElement&)
    937,  // DOM::HTMLImageElement::HTMLImageElement(const DOM::Node&)
    0,
    938,  // DOM::HTMLImageElement::operator=(const DOM::HTMLImageElement&)
    939,  // DOM::HTMLImageElement::operator=(const DOM::Node&)
    0,
    1376,  // DOM::HTMLTableColElement::HTMLTableColElement(const DOM::HTMLTableColElement&)
    1377,  // DOM::HTMLTableColElement::HTMLTableColElement(const DOM::Node&)
    0,
    1378,  // DOM::HTMLTableColElement::operator=(const DOM::HTMLTableColElement&)
    1379,  // DOM::HTMLTableColElement::operator=(const DOM::Node&)
    0,
    816,  // DOM::HTMLFormElement::HTMLFormElement(const DOM::HTMLFormElement&)
    817,  // DOM::HTMLFormElement::HTMLFormElement(const DOM::Node&)
    0,
    818,  // DOM::HTMLFormElement::operator=(const DOM::HTMLFormElement&)
    819,  // DOM::HTMLFormElement::operator=(const DOM::Node&)
    0,
    408,  // DOM::DocumentFragment::DocumentFragment(const DOM::DocumentFragment&)
    409,  // DOM::DocumentFragment::DocumentFragment(const DOM::Node&)
    0,
    410,  // DOM::DocumentFragment::operator=(const DOM::Node&)
    411,  // DOM::DocumentFragment::operator=(const DOM::DocumentFragment&)
    0,
    82,  // DOM::CSSPageRule::CSSPageRule(const DOM::CSSPageRule&)
    83,  // DOM::CSSPageRule::CSSPageRule(const DOM::CSSRule&)
    0,
    84,  // DOM::CSSPageRule::operator=(const DOM::CSSPageRule&)
    85,  // DOM::CSSPageRule::operator=(const DOM::CSSRule&)
    0,
    1104,  // DOM::HTMLMapElement::HTMLMapElement(const DOM::HTMLMapElement&)
    1105,  // DOM::HTMLMapElement::HTMLMapElement(const DOM::Node&)
    0,
    1106,  // DOM::HTMLMapElement::operator=(const DOM::HTMLMapElement&)
    1107,  // DOM::HTMLMapElement::operator=(const DOM::Node&)
    0,
    1434,  // DOM::HTMLTableRowElement::HTMLTableRowElement(const DOM::HTMLTableRowElement&)
    1435,  // DOM::HTMLTableRowElement::HTMLTableRowElement(const DOM::Node&)
    0,
    1436,  // DOM::HTMLTableRowElement::operator=(const DOM::HTMLTableRowElement&)
    1437,  // DOM::HTMLTableRowElement::operator=(const DOM::Node&)
    0,
    1746,  // DOM::Range::Range(const DOM::Document)
    1747,  // DOM::Range::Range(const DOM::Range&)
    0,
    2034,  // KHTMLPart::KHTMLPart(QWidget*)
    2036,  // KHTMLPart::KHTMLPart(KHTMLView*)
    0,
    2035,  // KHTMLPart::KHTMLPart(QWidget*, QObject*)
    2037,  // KHTMLPart::KHTMLPart(KHTMLView*, QObject*)
    0,
    1883,  // KHTMLPart::KHTMLPart(QWidget*, QObject*, KHTMLPart::GUIProfile)
    1884,  // KHTMLPart::KHTMLPart(KHTMLView*, QObject*, KHTMLPart::GUIProfile)
    0,
    1927,  // KHTMLPart::write(const QString&)
    2043,  // KHTMLPart::write(const char*)
    0,
    200,  // DOM::CSSUnknownRule::CSSUnknownRule(const DOM::CSSUnknownRule&)
    201,  // DOM::CSSUnknownRule::CSSUnknownRule(const DOM::CSSRule&)
    0,
    202,  // DOM::CSSUnknownRule::operator=(const DOM::CSSUnknownRule&)
    203,  // DOM::CSSUnknownRule::operator=(const DOM::CSSRule&)
    0,
    1510,  // DOM::HTMLTitleElement::HTMLTitleElement(const DOM::HTMLTitleElement&)
    1511,  // DOM::HTMLTitleElement::HTMLTitleElement(const DOM::Node&)
    0,
    1512,  // DOM::HTMLTitleElement::operator=(const DOM::HTMLTitleElement&)
    1513,  // DOM::HTMLTitleElement::operator=(const DOM::Node&)
    0,
    871,  // DOM::HTMLHRElement::HTMLHRElement(const DOM::HTMLHRElement&)
    872,  // DOM::HTMLHRElement::HTMLHRElement(const DOM::Node&)
    0,
    873,  // DOM::HTMLHRElement::operator=(const DOM::HTMLHRElement&)
    874,  // DOM::HTMLHRElement::operator=(const DOM::Node&)
    0,
    63,  // DOM::CSSImportRule::CSSImportRule(const DOM::CSSImportRule&)
    64,  // DOM::CSSImportRule::CSSImportRule(const DOM::CSSRule&)
    0,
    65,  // DOM::CSSImportRule::operator=(const DOM::CSSImportRule&)
    66,  // DOM::CSSImportRule::operator=(const DOM::CSSRule&)
    0,
    1547,  // DOM::LinkStyle::operator=(const DOM::LinkStyle&)
    1548,  // DOM::LinkStyle::operator=(const DOM::Node&)
    0,
    893,  // DOM::HTMLHeadingElement::HTMLHeadingElement(const DOM::HTMLHeadingElement&)
    894,  // DOM::HTMLHeadingElement::HTMLHeadingElement(const DOM::Node&)
    0,
    895,  // DOM::HTMLHeadingElement::operator=(const DOM::HTMLHeadingElement&)
    896,  // DOM::HTMLHeadingElement::operator=(const DOM::Node&)
    0,
    1053,  // DOM::HTMLLayerElement::HTMLLayerElement(const DOM::HTMLLayerElement&)
    1054,  // DOM::HTMLLayerElement::HTMLLayerElement(const DOM::Node&)
    0,
    1055,  // DOM::HTMLLayerElement::operator=(const DOM::HTMLLayerElement&)
    1056,  // DOM::HTMLLayerElement::operator=(const DOM::Node&)
    0,
    56,  // DOM::CSSFontFaceRule::CSSFontFaceRule(const DOM::CSSFontFaceRule&)
    57,  // DOM::CSSFontFaceRule::CSSFontFaceRule(const DOM::CSSRule&)
    0,
    58,  // DOM::CSSFontFaceRule::operator=(const DOM::CSSFontFaceRule&)
    59,  // DOM::CSSFontFaceRule::operator=(const DOM::CSSRule&)
    0,
    767,  // DOM::HTMLElement::HTMLElement(const DOM::HTMLElement&)
    768,  // DOM::HTMLElement::HTMLElement(const DOM::Node&)
    0,
    769,  // DOM::HTMLElement::operator=(const DOM::HTMLElement&)
    770,  // DOM::HTMLElement::operator=(const DOM::Node&)
    0,
    1581,  // DOM::MutationEvent::MutationEvent(const DOM::MutationEvent&)
    1582,  // DOM::MutationEvent::MutationEvent(const DOM::Event&)
    0,
    1583,  // DOM::MutationEvent::operator=(const DOM::MutationEvent&)
    1584,  // DOM::MutationEvent::operator=(const DOM::Event&)
    0,
    426,  // DOM::DocumentType::DocumentType(const DOM::DocumentType&)
    427,  // DOM::DocumentType::DocumentType(const DOM::Node&)
    0,
    428,  // DOM::DocumentType::operator=(const DOM::Node&)
    429,  // DOM::DocumentType::operator=(const DOM::DocumentType&)
    0,
    662,  // DOM::HTMLBodyElement::HTMLBodyElement(const DOM::HTMLBodyElement&)
    663,  // DOM::HTMLBodyElement::HTMLBodyElement(const DOM::Node&)
    0,
    664,  // DOM::HTMLBodyElement::operator=(const DOM::HTMLBodyElement&)
    665,  // DOM::HTMLBodyElement::operator=(const DOM::Node&)
    0,
    1475,  // DOM::HTMLTextAreaElement::HTMLTextAreaElement(const DOM::HTMLTextAreaElement&)
    1476,  // DOM::HTMLTextAreaElement::HTMLTextAreaElement(const DOM::Node&)
    0,
    1477,  // DOM::HTMLTextAreaElement::operator=(const DOM::HTMLTextAreaElement&)
    1478,  // DOM::HTMLTextAreaElement::operator=(const DOM::Node&)
    0,
    728,  // DOM::HTMLDivElement::HTMLDivElement(const DOM::HTMLDivElement&)
    729,  // DOM::HTMLDivElement::HTMLDivElement(const DOM::Node&)
    0,
    730,  // DOM::HTMLDivElement::operator=(const DOM::HTMLDivElement&)
    731,  // DOM::HTMLDivElement::operator=(const DOM::Node&)
    0,
    1121,  // DOM::HTMLMetaElement::HTMLMetaElement(const DOM::HTMLMetaElement&)
    1122,  // DOM::HTMLMetaElement::HTMLMetaElement(const DOM::Node&)
    0,
    1123,  // DOM::HTMLMetaElement::operator=(const DOM::HTMLMetaElement&)
    1124,  // DOM::HTMLMetaElement::operator=(const DOM::Node&)
    0,
    1203,  // DOM::HTMLOptGroupElement::HTMLOptGroupElement(const DOM::HTMLOptGroupElement&)
    1204,  // DOM::HTMLOptGroupElement::HTMLOptGroupElement(const DOM::Node&)
    0,
    1205,  // DOM::HTMLOptGroupElement::operator=(const DOM::HTMLOptGroupElement&)
    1206,  // DOM::HTMLOptGroupElement::operator=(const DOM::Node&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {1, 1142, 8},	// DOM::operator!=##
    {1, 1143, -115},	// DOM::operator!=#$
    {1, 1152, 9},	// DOM::operator==##
    {1, 1153, -118},	// DOM::operator==#$
    {1, 1774, 2},	// DOM::strcasecmp##
    {1, 1775, 6},	// DOM::strcasecmp#$
    {1, 1777, 3},	// DOM::strcmp##
    {2, 5, 10},	// DOM::AbstractView::AbstractView
    {2, 6, 11},	// DOM::AbstractView::AbstractView#
    {2, 752, 13},	// DOM::AbstractView::document
    {2, 854, 14},	// DOM::AbstractView::getComputedStyle##
    {2, 1005, 15},	// DOM::AbstractView::isNull
    {2, 1149, 12},	// DOM::AbstractView::operator=#
    {2, 1901, 16},	// DOM::AbstractView::~AbstractView
    {3, 7, 17},	// DOM::Attr::Attr
    {3, 8, -103},	// DOM::Attr::Attr#
    {3, 1103, 22},	// DOM::Attr::name
    {3, 1149, -106},	// DOM::Attr::operator=#
    {3, 1158, 26},	// DOM::Attr::ownerElement
    {3, 1704, 25},	// DOM::Attr::setValue#
    {3, 1749, 23},	// DOM::Attr::specified
    {3, 1854, 24},	// DOM::Attr::value
    {3, 1902, 27},	// DOM::Attr::~Attr
    {4, 15, 28},	// DOM::CDATASection::CDATASection
    {4, 16, -193},	// DOM::CDATASection::CDATASection#
    {4, 1149, -196},	// DOM::CDATASection::operator=#
    {4, 1903, 33},	// DOM::CDATASection::~CDATASection
    {5, 20, 34},	// DOM::CSSCharsetRule::CSSCharsetRule
    {5, 21, -43},	// DOM::CSSCharsetRule::CSSCharsetRule#
    {5, 768, 39},	// DOM::CSSCharsetRule::encoding
    {5, 1149, -46},	// DOM::CSSCharsetRule::operator=#
    {5, 1460, 40},	// DOM::CSSCharsetRule::setEncoding#
    {5, 1904, 41},	// DOM::CSSCharsetRule::~CSSCharsetRule
    {6, 23, 43},	// DOM::CSSException::CSSException#
    {6, 24, 42},	// DOM::CSSException::CSSException$
    {6, 295, 51},	// DOM::CSSException::INVALID_MODIFICATION_ERR
    {6, 456, 50},	// DOM::CSSException::SYNTAX_ERR
    {6, 488, 53},	// DOM::CSSException::_EXCEPTION_MAX
    {6, 489, 52},	// DOM::CSSException::_EXCEPTION_OFFSET
    {6, 616, 48},	// DOM::CSSException::code
    {6, 617, 45},	// DOM::CSSException::codeAsString
    {6, 618, 46},	// DOM::CSSException::codeAsString$
    {6, 978, 47},	// DOM::CSSException::isCSSExceptionCode$
    {6, 1149, 44},	// DOM::CSSException::operator=#
    {6, 1401, 49},	// DOM::CSSException::setCode$
    {6, 1905, 54},	// DOM::CSSException::~CSSException
    {7, 25, 55},	// DOM::CSSFontFaceRule::CSSFontFaceRule
    {7, 26, -488},	// DOM::CSSFontFaceRule::CSSFontFaceRule#
    {7, 1149, -491},	// DOM::CSSFontFaceRule::operator=#
    {7, 1779, 60},	// DOM::CSSFontFaceRule::style
    {7, 1906, 61},	// DOM::CSSFontFaceRule::~CSSFontFaceRule
    {8, 27, 62},	// DOM::CSSImportRule::CSSImportRule
    {8, 28, -467},	// DOM::CSSImportRule::CSSImportRule#
    {8, 919, 67},	// DOM::CSSImportRule::href
    {8, 1083, 68},	// DOM::CSSImportRule::media
    {8, 1149, -470},	// DOM::CSSImportRule::operator=#
    {8, 1781, 69},	// DOM::CSSImportRule::styleSheet
    {8, 1907, 70},	// DOM::CSSImportRule::~CSSImportRule
    {9, 29, 71},	// DOM::CSSMediaRule::CSSMediaRule
    {9, 30, -254},	// DOM::CSSMediaRule::CSSMediaRule#
    {9, 696, 77},	// DOM::CSSMediaRule::cssRules
    {9, 728, 79},	// DOM::CSSMediaRule::deleteRule$
    {9, 970, 78},	// DOM::CSSMediaRule::insertRule#$
    {9, 1083, 76},	// DOM::CSSMediaRule::media
    {9, 1149, -257},	// DOM::CSSMediaRule::operator=#
    {9, 1908, 80},	// DOM::CSSMediaRule::~CSSMediaRule
    {10, 31, 81},	// DOM::CSSPageRule::CSSPageRule
    {10, 32, -416},	// DOM::CSSPageRule::CSSPageRule#
    {10, 1149, -419},	// DOM::CSSPageRule::operator=#
    {10, 1318, 86},	// DOM::CSSPageRule::selectorText
    {10, 1638, 87},	// DOM::CSSPageRule::setSelectorText#
    {10, 1779, 88},	// DOM::CSSPageRule::style
    {10, 1909, 89},	// DOM::CSSPageRule::~CSSPageRule
    {11, 33, 90},	// DOM::CSSPrimitiveValue::CSSPrimitiveValue
    {11, 34, -199},	// DOM::CSSPrimitiveValue::CSSPrimitiveValue#
    {11, 51, 127},	// DOM::CSSPrimitiveValue::CSS_ATTR
    {11, 52, 108},	// DOM::CSSPrimitiveValue::CSS_CHS
    {11, 53, 111},	// DOM::CSSPrimitiveValue::CSS_CM
    {11, 54, 128},	// DOM::CSSPrimitiveValue::CSS_COUNTER
    {11, 56, 116},	// DOM::CSSPrimitiveValue::CSS_DEG
    {11, 57, 123},	// DOM::CSSPrimitiveValue::CSS_DIMENSION
    {11, 58, 132},	// DOM::CSSPrimitiveValue::CSS_DPCM
    {11, 59, 131},	// DOM::CSSPrimitiveValue::CSS_DPI
    {11, 60, 106},	// DOM::CSSPrimitiveValue::CSS_EMS
    {11, 61, 107},	// DOM::CSSPrimitiveValue::CSS_EXS
    {11, 62, 118},	// DOM::CSSPrimitiveValue::CSS_GRAD
    {11, 63, 134},	// DOM::CSSPrimitiveValue::CSS_HTML_RELATIVE
    {11, 64, 121},	// DOM::CSSPrimitiveValue::CSS_HZ
    {11, 65, 126},	// DOM::CSSPrimitiveValue::CSS_IDENT
    {11, 66, 113},	// DOM::CSSPrimitiveValue::CSS_IN
    {11, 69, 122},	// DOM::CSSPrimitiveValue::CSS_KHZ
    {11, 70, 112},	// DOM::CSSPrimitiveValue::CSS_MM
    {11, 71, 119},	// DOM::CSSPrimitiveValue::CSS_MS
    {11, 72, 104},	// DOM::CSSPrimitiveValue::CSS_NUMBER
    {11, 73, 133},	// DOM::CSSPrimitiveValue::CSS_PAIR
    {11, 74, 115},	// DOM::CSSPrimitiveValue::CSS_PC
    {11, 75, 105},	// DOM::CSSPrimitiveValue::CSS_PERCENTAGE
    {11, 77, 114},	// DOM::CSSPrimitiveValue::CSS_PT
    {11, 78, 110},	// DOM::CSSPrimitiveValue::CSS_PX
    {11, 79, 117},	// DOM::CSSPrimitiveValue::CSS_RAD
    {11, 80, 129},	// DOM::CSSPrimitiveValue::CSS_RECT
    {11, 81, 109},	// DOM::CSSPrimitiveValue::CSS_REMS
    {11, 82, 130},	// DOM::CSSPrimitiveValue::CSS_RGBCOLOR
    {11, 83, 120},	// DOM::CSSPrimitiveValue::CSS_S
    {11, 84, 124},	// DOM::CSSPrimitiveValue::CSS_STRING
    {11, 86, 103},	// DOM::CSSPrimitiveValue::CSS_UNKNOWN
    {11, 87, 125},	// DOM::CSSPrimitiveValue::CSS_URI
    {11, 855, 100},	// DOM::CSSPrimitiveValue::getCounterValue
    {11, 869, 97},	// DOM::CSSPrimitiveValue::getFloatValue$
    {11, 887, 102},	// DOM::CSSPrimitiveValue::getRGBColorValue
    {11, 889, 101},	// DOM::CSSPrimitiveValue::getRectValue
    {11, 891, 99},	// DOM::CSSPrimitiveValue::getStringValue
    {11, 1149, -202},	// DOM::CSSPrimitiveValue::operator=#
    {11, 1201, 95},	// DOM::CSSPrimitiveValue::primitiveType
    {11, 1480, 96},	// DOM::CSSPrimitiveValue::setFloatValue$$
    {11, 1668, 98},	// DOM::CSSPrimitiveValue::setStringValue$#
    {11, 1910, 135},	// DOM::CSSPrimitiveValue::~CSSPrimitiveValue
    {12, 18, 148},	// DOM::CSSRule::CHARSET_RULE
    {12, 35, 136},	// DOM::CSSRule::CSSRule
    {12, 36, 137},	// DOM::CSSRule::CSSRule#
    {12, 169, 151},	// DOM::CSSRule::FONT_FACE_RULE
    {12, 290, 149},	// DOM::CSSRule::IMPORT_RULE
    {12, 356, 150},	// DOM::CSSRule::MEDIA_RULE
    {12, 381, 153},	// DOM::CSSRule::NAMESPACE_RULE
    {12, 405, 152},	// DOM::CSSRule::PAGE_RULE
    {12, 411, 154},	// DOM::CSSRule::QUIRKS_RULE
    {12, 455, 147},	// DOM::CSSRule::STYLE_RULE
    {12, 478, 146},	// DOM::CSSRule::UNKNOWN_RULE
    {12, 544, 145},	// DOM::CSSRule::assignOther#$
    {12, 697, 140},	// DOM::CSSRule::cssText
    {12, 1005, 144},	// DOM::CSSRule::isNull
    {12, 1149, 138},	// DOM::CSSRule::operator=#
    {12, 1175, 143},	// DOM::CSSRule::parentRule
    {12, 1176, 142},	// DOM::CSSRule::parentStyleSheet
    {12, 1427, 141},	// DOM::CSSRule::setCssText#
    {12, 1833, 139},	// DOM::CSSRule::type
    {12, 1911, 155},	// DOM::CSSRule::~CSSRule
    {13, 37, 156},	// DOM::CSSRuleList::CSSRuleList
    {13, 38, 157},	// DOM::CSSRuleList::CSSRuleList#
    {13, 1005, 161},	// DOM::CSSRuleList::isNull
    {13, 1016, 160},	// DOM::CSSRuleList::item$
    {13, 1063, 159},	// DOM::CSSRuleList::length
    {13, 1149, 158},	// DOM::CSSRuleList::operator=#
    {13, 1912, 162},	// DOM::CSSRuleList::~CSSRuleList
    {14, 39, 163},	// DOM::CSSStyleDeclaration::CSSStyleDeclaration
    {14, 40, 164},	// DOM::CSSStyleDeclaration::CSSStyleDeclaration#
    {14, 697, 166},	// DOM::CSSStyleDeclaration::cssText
    {14, 882, 171},	// DOM::CSSStyleDeclaration::getPropertyCSSValue#
    {14, 884, 173},	// DOM::CSSStyleDeclaration::getPropertyPriority#
    {14, 886, 170},	// DOM::CSSStyleDeclaration::getPropertyValue#
    {14, 1005, 177},	// DOM::CSSStyleDeclaration::isNull
    {14, 1016, -76},	// DOM::CSSStyleDeclaration::item$
    {14, 1063, 168},	// DOM::CSSStyleDeclaration::length
    {14, 1149, 165},	// DOM::CSSStyleDeclaration::operator=#
    {14, 1175, 169},	// DOM::CSSStyleDeclaration::parentRule
    {14, 1256, 172},	// DOM::CSSStyleDeclaration::removeProperty#
    {14, 1427, 167},	// DOM::CSSStyleDeclaration::setCssText#
    {14, 1598, 174},	// DOM::CSSStyleDeclaration::setProperty###
    {14, 1913, 178},	// DOM::CSSStyleDeclaration::~CSSStyleDeclaration
    {15, 41, 179},	// DOM::CSSStyleRule::CSSStyleRule
    {15, 42, -368},	// DOM::CSSStyleRule::CSSStyleRule#
    {15, 1149, -371},	// DOM::CSSStyleRule::operator=#
    {15, 1318, 184},	// DOM::CSSStyleRule::selectorText
    {15, 1638, 185},	// DOM::CSSStyleRule::setSelectorText#
    {15, 1779, 186},	// DOM::CSSStyleRule::style
    {15, 1914, 187},	// DOM::CSSStyleRule::~CSSStyleRule
    {16, 43, 188},	// DOM::CSSStyleSheet::CSSStyleSheet
    {16, 44, -70},	// DOM::CSSStyleSheet::CSSStyleSheet#
    {16, 590, 197},	// DOM::CSSStyleSheet::charset
    {16, 696, 194},	// DOM::CSSStyleSheet::cssRules
    {16, 728, 196},	// DOM::CSSStyleSheet::deleteRule$
    {16, 970, 195},	// DOM::CSSStyleSheet::insertRule#$
    {16, 1149, -73},	// DOM::CSSStyleSheet::operator=#
    {16, 1160, 193},	// DOM::CSSStyleSheet::ownerRule
    {16, 1915, 198},	// DOM::CSSStyleSheet::~CSSStyleSheet
    {17, 45, 199},	// DOM::CSSUnknownRule::CSSUnknownRule
    {17, 46, -449},	// DOM::CSSUnknownRule::CSSUnknownRule#
    {17, 1149, -452},	// DOM::CSSUnknownRule::operator=#
    {17, 1916, 204},	// DOM::CSSUnknownRule::~CSSUnknownRule
    {18, 47, 205},	// DOM::CSSValue::CSSValue
    {18, 48, 206},	// DOM::CSSValue::CSSValue#
    {18, 55, 217},	// DOM::CSSValue::CSS_CUSTOM
    {18, 67, 214},	// DOM::CSSValue::CSS_INHERIT
    {18, 68, 218},	// DOM::CSSValue::CSS_INITIAL
    {18, 76, 215},	// DOM::CSSValue::CSS_PRIMITIVE_VALUE
    {18, 85, 219},	// DOM::CSSValue::CSS_SVG_VALUE
    {18, 88, 216},	// DOM::CSSValue::CSS_VALUE_LIST
    {18, 697, 208},	// DOM::CSSValue::cssText
    {18, 698, 210},	// DOM::CSSValue::cssValueType
    {18, 979, 212},	// DOM::CSSValue::isCSSPrimitiveValue
    {18, 981, 211},	// DOM::CSSValue::isCSSValueList
    {18, 1005, 213},	// DOM::CSSValue::isNull
    {18, 1149, 207},	// DOM::CSSValue::operator=#
    {18, 1427, 209},	// DOM::CSSValue::setCssText#
    {18, 1917, 220},	// DOM::CSSValue::~CSSValue
    {19, 49, 221},	// DOM::CSSValueList::CSSValueList
    {19, 50, -145},	// DOM::CSSValueList::CSSValueList#
    {19, 1016, 227},	// DOM::CSSValueList::item$
    {19, 1063, 226},	// DOM::CSSValueList::length
    {19, 1149, -148},	// DOM::CSSValueList::operator=#
    {19, 1918, 228},	// DOM::CSSValueList::~CSSValueList
    {20, 92, 229},	// DOM::CharacterData::CharacterData
    {20, 93, -302},	// DOM::CharacterData::CharacterData#
    {20, 536, 238},	// DOM::CharacterData::appendData#
    {20, 708, 234},	// DOM::CharacterData::data
    {20, 721, 240},	// DOM::CharacterData::deleteData$$
    {20, 964, 239},	// DOM::CharacterData::insertData$#
    {20, 1063, 236},	// DOM::CharacterData::length
    {20, 1149, -305},	// DOM::CharacterData::operator=#
    {20, 1266, 241},	// DOM::CharacterData::replaceData$$#
    {20, 1438, 235},	// DOM::CharacterData::setData#
    {20, 1792, 237},	// DOM::CharacterData::substringData$$
    {20, 1919, 242},	// DOM::CharacterData::~CharacterData
    {21, 94, 243},	// DOM::Comment::Comment
    {21, 95, -127},	// DOM::Comment::Comment#
    {21, 1149, -130},	// DOM::Comment::operator=#
    {21, 1920, 248},	// DOM::Comment::~Comment
    {22, 96, 249},	// DOM::Counter::Counter
    {22, 97, 250},	// DOM::Counter::Counter#
    {22, 928, 252},	// DOM::Counter::identifier
    {22, 1005, 255},	// DOM::Counter::isNull
    {22, 1067, 253},	// DOM::Counter::listStyle
    {22, 1149, 251},	// DOM::Counter::operator=#
    {22, 1319, 254},	// DOM::Counter::separator
    {22, 1921, 256},	// DOM::Counter::~Counter
    {23, 98, 257},	// DOM::CustomNodeFilter::CustomNodeFilter
    {23, 99, 261},	// DOM::CustomNodeFilter::CustomNodeFilter#
    {23, 503, 258},	// DOM::CustomNodeFilter::acceptNode#
    {23, 707, 260},	// DOM::CustomNodeFilter::customNodeFilterType
    {23, 1005, 259},	// DOM::CustomNodeFilter::isNull
    {23, 1922, 262},	// DOM::CustomNodeFilter::~CustomNodeFilter
    {24, 1, 290},	// DOM::DOMException::ABORT_ERR
    {24, 100, 295},	// DOM::DOMException::DATA_CLONE_ERR
    {24, 114, 264},	// DOM::DOMException::DOMException#
    {24, 115, 263},	// DOM::DOMException::DOMException$
    {24, 118, 272},	// DOM::DOMException::DOMSTRING_SIZE_ERR
    {24, 147, 296},	// DOM::DOMException::ENCODING_ERR
    {24, 172, 273},	// DOM::DOMException::HIERARCHY_REQUEST_ERR
    {24, 291, 271},	// DOM::DOMException::INDEX_SIZE_ERR
    {24, 292, 280},	// DOM::DOMException::INUSE_ATTRIBUTE_ERR
    {24, 293, 285},	// DOM::DOMException::INVALID_ACCESS_ERR
    {24, 294, 275},	// DOM::DOMException::INVALID_CHARACTER_ERR
    {24, 295, 283},	// DOM::DOMException::INVALID_MODIFICATION_ERR
    {24, 297, 281},	// DOM::DOMException::INVALID_STATE_ERR
    {24, 380, 284},	// DOM::DOMException::NAMESPACE_ERR
    {24, 382, 289},	// DOM::DOMException::NETWORK_ERR
    {24, 384, 278},	// DOM::DOMException::NOT_FOUND_ERR
    {24, 385, 294},	// DOM::DOMException::NOT_READABLE_ERR
    {24, 386, 279},	// DOM::DOMException::NOT_SUPPORTED_ERR
    {24, 387, 276},	// DOM::DOMException::NO_DATA_ALLOWED_ERR
    {24, 388, 277},	// DOM::DOMException::NO_MODIFICATION_ALLOWED_ERR
    {24, 412, 292},	// DOM::DOMException::QUOTA_EXCEEDED_ERR
    {24, 436, 288},	// DOM::DOMException::SECURITY_ERR
    {24, 456, 282},	// DOM::DOMException::SYNTAX_ERR
    {24, 468, 293},	// DOM::DOMException::TIMEOUT_ERR
    {24, 469, 287},	// DOM::DOMException::TYPE_MISMATCH_ERR
    {24, 481, 291},	// DOM::DOMException::URL_MISMATCH_ERR
    {24, 483, 286},	// DOM::DOMException::VALIDATION_ERR
    {24, 485, 274},	// DOM::DOMException::WRONG_DOCUMENT_ERR
    {24, 616, 269},	// DOM::DOMException::code
    {24, 617, 266},	// DOM::DOMException::codeAsString
    {24, 618, 267},	// DOM::DOMException::codeAsString$
    {24, 985, 268},	// DOM::DOMException::isDOMExceptionCode$
    {24, 1149, 265},	// DOM::DOMException::operator=#
    {24, 1401, 270},	// DOM::DOMException::setCode$
    {24, 1923, 297},	// DOM::DOMException::~DOMException
    {25, 116, 298},	// DOM::DOMImplementation::DOMImplementation
    {25, 117, 299},	// DOM::DOMImplementation::DOMImplementation#
    {25, 660, 305},	// DOM::DOMImplementation::createCSSStyleSheet##
    {25, 669, 303},	// DOM::DOMImplementation::createDocument###
    {25, 672, 302},	// DOM::DOMImplementation::createDocumentType###
    {25, 682, 306},	// DOM::DOMImplementation::createHTMLDocument#
    {25, 872, 304},	// DOM::DOMImplementation::getInterface#
    {25, 907, 301},	// DOM::DOMImplementation::hasFeature##
    {25, 1005, 307},	// DOM::DOMImplementation::isNull
    {25, 1149, 300},	// DOM::DOMImplementation::operator=#
    {25, 1924, 308},	// DOM::DOMImplementation::~DOMImplementation
    {26, 119, 309},	// DOM::DOMString::DOMString
    {26, 120, 314},	// DOM::DOMString::DOMString#
    {26, 121, 310},	// DOM::DOMString::DOMString#$
    {26, 122, -329},	// DOM::DOMString::DOMString$
    {26, 123, 313},	// DOM::DOMString::DOMString$$
    {26, 589, 330},	// DOM::DOMString::characters
    {26, 652, 337},	// DOM::DOMString::copy
    {26, 774, 340},	// DOM::DOMString::endsWith#
    {26, 796, 344},	// DOM::DOMString::find#
    {26, 797, 320},	// DOM::DOMString::find#$
    {26, 958, 318},	// DOM::DOMString::insert#$
    {26, 988, 339},	// DOM::DOMString::isEmpty
    {26, 1005, 338},	// DOM::DOMString::isNull
    {26, 1063, 323},	// DOM::DOMString::length
    {26, 1075, 327},	// DOM::DOMString::lower
    {26, 1130, 336},	// DOM::DOMString::number$
    {26, 1145, 317},	// DOM::DOMString::operator+#
    {26, 1147, 316},	// DOM::DOMString::operator+=#
    {26, 1149, 315},	// DOM::DOMString::operator=#
    {26, 1155, 319},	// DOM::DOMString::operator[]$
    {26, 1177, 342},	// DOM::DOMString::parsedUrl
    {26, 1183, 335},	// DOM::DOMString::percentage$
    {26, 1237, 347},	// DOM::DOMString::remove$
    {26, 1238, 325},	// DOM::DOMString::remove$$
    {26, 1277, 345},	// DOM::DOMString::reverseFind#
    {26, 1278, 321},	// DOM::DOMString::reverseFind#$
    {26, 1751, 326},	// DOM::DOMString::split$
    {26, 1764, 341},	// DOM::DOMString::startsWith#
    {26, 1778, 331},	// DOM::DOMString::string
    {26, 1789, 346},	// DOM::DOMString::substring$
    {26, 1790, 322},	// DOM::DOMString::substring$$
    {26, 1814, 348},	// DOM::DOMString::toFloat
    {26, 1815, 334},	// DOM::DOMString::toFloat$
    {26, 1817, 332},	// DOM::DOMString::toInt
    {26, 1818, 333},	// DOM::DOMString::toInt$
    {26, 1830, 343},	// DOM::DOMString::trimSpaces
    {26, 1832, 324},	// DOM::DOMString::truncate$
    {26, 1836, 329},	// DOM::DOMString::unicode
    {26, 1842, 328},	// DOM::DOMString::upper
    {26, 1925, 349},	// DOM::DOMString::~DOMString
    {27, 130, 350},	// DOM::Document::Document
    {27, 131, -31},	// DOM::Document::Document#
    {27, 132, 351},	// DOM::Document::Document$
    {27, 497, 390},	// DOM::Document::abort
    {27, 524, 384},	// DOM::Document::addStyleSheet#
    {27, 545, 388},	// DOM::Document::async
    {27, 634, 397},	// DOM::Document::completeURL#
    {27, 654, 366},	// DOM::Document::createAttribute#
    {27, 656, 367},	// DOM::Document::createAttributeNS##
    {27, 658, 364},	// DOM::Document::createCDATASection#
    {27, 663, 363},	// DOM::Document::createComment#
    {27, 670, 361},	// DOM::Document::createDocumentFragment
    {27, 674, 359},	// DOM::Document::createElement#
    {27, 676, 360},	// DOM::Document::createElementNS##
    {27, 678, 368},	// DOM::Document::createEntityReference#
    {27, 680, 378},	// DOM::Document::createEvent#
    {27, 684, 376},	// DOM::Document::createNodeIterator#$#$
    {27, 688, 365},	// DOM::Document::createProcessingInstruction##
    {27, 689, 375},	// DOM::Document::createRange
    {27, 693, 362},	// DOM::Document::createTextNode#
    {27, 695, 377},	// DOM::Document::createTreeWalker#$#$
    {27, 714, 379},	// DOM::Document::defaultView
    {27, 732, 395},	// DOM::Document::designMode
    {27, 751, 356},	// DOM::Document::doctype
    {27, 753, 358},	// DOM::Document::documentElement
    {27, 785, 399},	// DOM::Document::execCommand#$#
    {27, 859, 369},	// DOM::Document::getElementById#
    {27, 861, 372},	// DOM::Document::getElementsByClassName#
    {27, 865, 370},	// DOM::Document::getElementsByTagName#
    {27, 867, 371},	// DOM::Document::getElementsByTagNameNS##
    {27, 880, 387},	// DOM::Document::getOverrideStyle##
    {27, 931, 357},	// DOM::Document::implementation
    {27, 933, 373},	// DOM::Document::importNode#$
    {27, 992, 374},	// DOM::Document::isHTMLDocument
    {27, 1069, 391},	// DOM::Document::load#
    {27, 1071, 392},	// DOM::Document::loadXML#
    {27, 1149, -34},	// DOM::Document::operator=#
    {27, 1189, 381},	// DOM::Document::preferredStylesheetSet
    {27, 1213, 400},	// DOM::Document::queryCommandEnabled#
    {27, 1215, 401},	// DOM::Document::queryCommandIndeterm#
    {27, 1217, 402},	// DOM::Document::queryCommandState#
    {27, 1219, 403},	// DOM::Document::queryCommandSupported#
    {27, 1221, 404},	// DOM::Document::queryCommandValue#
    {27, 1223, 393},	// DOM::Document::querySelector#
    {27, 1225, 394},	// DOM::Document::querySelectorAll#
    {27, 1258, 385},	// DOM::Document::removeStyleSheet#
    {27, 1310, 382},	// DOM::Document::selectedStylesheetSet
    {27, 1344, 389},	// DOM::Document::setAsync$
    {27, 1452, 396},	// DOM::Document::setDesignMode$
    {27, 1628, 383},	// DOM::Document::setSelectedStylesheetSet#
    {27, 1782, 380},	// DOM::Document::styleSheets
    {27, 1819, 398},	// DOM::Document::toString
    {27, 1840, 405},	// DOM::Document::updateRendering
    {27, 1857, 386},	// DOM::Document::view
    {27, 1926, 406},	// DOM::Document::~Document
    {28, 133, 407},	// DOM::DocumentFragment::DocumentFragment
    {28, 134, -410},	// DOM::DocumentFragment::DocumentFragment#
    {28, 1149, -413},	// DOM::DocumentFragment::operator=#
    {28, 1223, 412},	// DOM::DocumentFragment::querySelector#
    {28, 1225, 413},	// DOM::DocumentFragment::querySelectorAll#
    {28, 1927, 414},	// DOM::DocumentFragment::~DocumentFragment
    {29, 135, 415},	// DOM::DocumentStyle::DocumentStyle
    {29, 136, 416},	// DOM::DocumentStyle::DocumentStyle#
    {29, 1005, 423},	// DOM::DocumentStyle::isNull
    {29, 1149, -67},	// DOM::DocumentStyle::operator=#
    {29, 1189, 420},	// DOM::DocumentStyle::preferredStylesheetSet
    {29, 1310, 421},	// DOM::DocumentStyle::selectedStylesheetSet
    {29, 1628, 422},	// DOM::DocumentStyle::setSelectedStylesheetSet#
    {29, 1782, 419},	// DOM::DocumentStyle::styleSheets
    {29, 1928, 424},	// DOM::DocumentStyle::~DocumentStyle
    {30, 137, 425},	// DOM::DocumentType::DocumentType
    {30, 138, -506},	// DOM::DocumentType::DocumentType#
    {30, 776, 431},	// DOM::DocumentType::entities
    {30, 971, 435},	// DOM::DocumentType::internalSubset
    {30, 1103, 430},	// DOM::DocumentType::name
    {30, 1128, 432},	// DOM::DocumentType::notations
    {30, 1149, -509},	// DOM::DocumentType::operator=#
    {30, 1206, 433},	// DOM::DocumentType::publicId
    {30, 1796, 434},	// DOM::DocumentType::systemId
    {30, 1929, 436},	// DOM::DocumentType::~DocumentType
    {31, 139, 437},	// DOM::DomShared::DomShared
    {31, 140, 443},	// DOM::DomShared::DomShared#
    {31, 494, 444},	// DOM::DomShared::_ref
    {31, 722, 438},	// DOM::DomShared::deleteMe
    {31, 731, 440},	// DOM::DomShared::deref
    {31, 908, 441},	// DOM::DomShared::hasOneRef
    {31, 1230, 439},	// DOM::DomShared::ref
    {31, 1231, 442},	// DOM::DomShared::refCount
    {31, 1729, 445},	// DOM::DomShared::set_ref$
    {31, 1930, 446},	// DOM::DomShared::~DomShared
    {33, 152, 447},	// DOM::Element::Element
    {33, 153, -260},	// DOM::Element::Element#
    {33, 592, 474},	// DOM::Element::childElementCount
    {33, 816, 470},	// DOM::Element::firstElementChild
    {33, 830, 478},	// DOM::Element::form
    {33, 845, 453},	// DOM::Element::getAttribute#
    {33, 847, 462},	// DOM::Element::getAttributeNS##
    {33, 849, 456},	// DOM::Element::getAttributeNode#
    {33, 851, 465},	// DOM::Element::getAttributeNodeNS##
    {33, 861, 461},	// DOM::Element::getElementsByClassName#
    {33, 865, 459},	// DOM::Element::getElementsByTagName#
    {33, 867, 460},	// DOM::Element::getElementsByTagNameNS##
    {33, 901, 467},	// DOM::Element::hasAttribute#
    {33, 903, 468},	// DOM::Element::hasAttributeNS##
    {33, 993, 477},	// DOM::Element::isHTMLElement
    {33, 1034, 483},	// DOM::Element::khtmlMalformedPrefix#
    {33, 1036, 482},	// DOM::Element::khtmlMalformedQualifiedName#
    {33, 1046, 479},	// DOM::Element::khtmlValidAttrName#
    {33, 1048, 480},	// DOM::Element::khtmlValidPrefix#
    {33, 1050, 481},	// DOM::Element::khtmlValidQualifiedName#
    {33, 1055, 471},	// DOM::Element::lastElementChild
    {33, 1109, 473},	// DOM::Element::nextElementSibling
    {33, 1149, -263},	// DOM::Element::operator=#
    {33, 1198, 472},	// DOM::Element::previousElementSibling
    {33, 1223, 475},	// DOM::Element::querySelector#
    {33, 1225, 476},	// DOM::Element::querySelectorAll#
    {33, 1240, 455},	// DOM::Element::removeAttribute#
    {33, 1242, 464},	// DOM::Element::removeAttributeNS##
    {33, 1244, 458},	// DOM::Element::removeAttributeNode#
    {33, 1346, 454},	// DOM::Element::setAttribute##
    {33, 1348, 463},	// DOM::Element::setAttributeNS###
    {33, 1350, 457},	// DOM::Element::setAttributeNode#
    {33, 1352, 466},	// DOM::Element::setAttributeNodeNS#
    {33, 1779, 469},	// DOM::Element::style
    {33, 1802, 452},	// DOM::Element::tagName
    {33, 1932, 484},	// DOM::Element::~Element
    {34, 155, 485},	// DOM::Entity::Entity
    {34, 156, -157},	// DOM::Entity::Entity#
    {34, 1127, 492},	// DOM::Entity::notationName
    {34, 1149, -160},	// DOM::Entity::operator=#
    {34, 1206, 490},	// DOM::Entity::publicId
    {34, 1796, 491},	// DOM::Entity::systemId
    {34, 1933, 493},	// DOM::Entity::~Entity
    {35, 157, 494},	// DOM::EntityReference::EntityReference
    {35, 158, -248},	// DOM::EntityReference::EntityReference#
    {35, 1149, -251},	// DOM::EntityReference::operator=#
    {35, 1934, 499},	// DOM::EntityReference::~EntityReference
    {36, 4, 515},	// DOM::Event::AT_TARGET
    {36, 10, 516},	// DOM::Event::BUBBLING_PHASE
    {36, 14, 514},	// DOM::Event::CAPTURING_PHASE
    {36, 159, 500},	// DOM::Event::Event
    {36, 160, 501},	// DOM::Event::Event#
    {36, 573, 507},	// DOM::Event::bubbles
    {36, 575, 508},	// DOM::Event::cancelable
    {36, 702, 505},	// DOM::Event::currentTarget
    {36, 783, 506},	// DOM::Event::eventPhase
    {36, 941, 512},	// DOM::Event::initEvent#$$
    {36, 1005, 513},	// DOM::Event::isNull
    {36, 1149, 502},	// DOM::Event::operator=#
    {36, 1197, 511},	// DOM::Event::preventDefault
    {36, 1770, 510},	// DOM::Event::stopPropagation
    {36, 1803, 504},	// DOM::Event::target
    {36, 1810, 509},	// DOM::Event::timeStamp
    {36, 1833, 503},	// DOM::Event::type
    {36, 1935, 517},	// DOM::Event::~Event
    {37, 162, 519},	// DOM::EventException::EventException#
    {37, 163, 518},	// DOM::EventException::EventException$
    {37, 479, 526},	// DOM::EventException::UNSPECIFIED_EVENT_TYPE_ERR
    {37, 488, 528},	// DOM::EventException::_EXCEPTION_MAX
    {37, 489, 527},	// DOM::EventException::_EXCEPTION_OFFSET
    {37, 616, 524},	// DOM::EventException::code
    {37, 617, 521},	// DOM::EventException::codeAsString
    {37, 618, 522},	// DOM::EventException::codeAsString$
    {37, 990, 523},	// DOM::EventException::isEventExceptionCode$
    {37, 1149, 520},	// DOM::EventException::operator=#
    {37, 1401, 525},	// DOM::EventException::setCode$
    {37, 1936, 529},	// DOM::EventException::~EventException
    {38, 164, 530},	// DOM::EventListener::EventListener
    {38, 165, 533},	// DOM::EventListener::EventListener#
    {38, 781, 532},	// DOM::EventListener::eventListenerType
    {38, 899, 531},	// DOM::EventListener::handleEvent#
    {38, 1937, 534},	// DOM::EventListener::~EventListener
    {39, 174, 535},	// DOM::HTMLAnchorElement::HTMLAnchorElement
    {39, 175, -97},	// DOM::HTMLAnchorElement::HTMLAnchorElement#
    {39, 504, 540},	// DOM::HTMLAnchorElement::accessKey
    {39, 566, 564},	// DOM::HTMLAnchorElement::blur
    {39, 590, 542},	// DOM::HTMLAnchorElement::charset
    {39, 651, 544},	// DOM::HTMLAnchorElement::coords
    {39, 819, 565},	// DOM::HTMLAnchorElement::focus
    {39, 919, 546},	// DOM::HTMLAnchorElement::href
    {39, 920, 548},	// DOM::HTMLAnchorElement::hreflang
    {39, 1103, 550},	// DOM::HTMLAnchorElement::name
    {39, 1149, -100},	// DOM::HTMLAnchorElement::operator=#
    {39, 1233, 552},	// DOM::HTMLAnchorElement::rel
    {39, 1275, 554},	// DOM::HTMLAnchorElement::rev
    {39, 1330, 541},	// DOM::HTMLAnchorElement::setAccessKey#
    {39, 1390, 543},	// DOM::HTMLAnchorElement::setCharset#
    {39, 1425, 545},	// DOM::HTMLAnchorElement::setCoords#
    {39, 1499, 547},	// DOM::HTMLAnchorElement::setHref#
    {39, 1501, 549},	// DOM::HTMLAnchorElement::setHreflang#
    {39, 1566, 551},	// DOM::HTMLAnchorElement::setName#
    {39, 1602, 553},	// DOM::HTMLAnchorElement::setRel#
    {39, 1604, 555},	// DOM::HTMLAnchorElement::setRev#
    {39, 1640, 557},	// DOM::HTMLAnchorElement::setShape#
    {39, 1679, 559},	// DOM::HTMLAnchorElement::setTabIndex$
    {39, 1681, 561},	// DOM::HTMLAnchorElement::setTarget#
    {39, 1691, 563},	// DOM::HTMLAnchorElement::setType#
    {39, 1732, 556},	// DOM::HTMLAnchorElement::shape
    {39, 1800, 558},	// DOM::HTMLAnchorElement::tabIndex
    {39, 1803, 560},	// DOM::HTMLAnchorElement::target
    {39, 1833, 562},	// DOM::HTMLAnchorElement::type
    {39, 1938, 566},	// DOM::HTMLAnchorElement::~HTMLAnchorElement
    {40, 176, 567},	// DOM::HTMLAppletElement::HTMLAppletElement
    {40, 177, -223},	// DOM::HTMLAppletElement::HTMLAppletElement#
    {40, 527, 572},	// DOM::HTMLAppletElement::align
    {40, 530, 574},	// DOM::HTMLAppletElement::alt
    {40, 541, 576},	// DOM::HTMLAppletElement::archive
    {40, 616, 578},	// DOM::HTMLAppletElement::code
    {40, 619, 580},	// DOM::HTMLAppletElement::codeBase
    {40, 870, 584},	// DOM::HTMLAppletElement::getHspace
    {40, 892, 592},	// DOM::HTMLAppletElement::getVspace
    {40, 911, 582},	// DOM::HTMLAppletElement::height
    {40, 921, 586},	// DOM::HTMLAppletElement::hspace
    {40, 1103, 588},	// DOM::HTMLAppletElement::name
    {40, 1131, 590},	// DOM::HTMLAppletElement::object
    {40, 1149, -226},	// DOM::HTMLAppletElement::operator=#
    {40, 1336, 573},	// DOM::HTMLAppletElement::setAlign#
    {40, 1338, 575},	// DOM::HTMLAppletElement::setAlt#
    {40, 1342, 577},	// DOM::HTMLAppletElement::setArchive#
    {40, 1400, 579},	// DOM::HTMLAppletElement::setCode#
    {40, 1403, 581},	// DOM::HTMLAppletElement::setCodeBase#
    {40, 1494, 583},	// DOM::HTMLAppletElement::setHeight#
    {40, 1503, 587},	// DOM::HTMLAppletElement::setHspace#
    {40, 1504, 585},	// DOM::HTMLAppletElement::setHspace$
    {40, 1566, 589},	// DOM::HTMLAppletElement::setName#
    {40, 1582, 591},	// DOM::HTMLAppletElement::setObject#
    {40, 1716, 595},	// DOM::HTMLAppletElement::setVspace#
    {40, 1717, 593},	// DOM::HTMLAppletElement::setVspace$
    {40, 1720, 597},	// DOM::HTMLAppletElement::setWidth#
    {40, 1867, 594},	// DOM::HTMLAppletElement::vspace
    {40, 1875, 596},	// DOM::HTMLAppletElement::width
    {40, 1939, 598},	// DOM::HTMLAppletElement::~HTMLAppletElement
    {41, 178, 599},	// DOM::HTMLAreaElement::HTMLAreaElement
    {41, 179, -49},	// DOM::HTMLAreaElement::HTMLAreaElement#
    {41, 504, 604},	// DOM::HTMLAreaElement::accessKey
    {41, 530, 606},	// DOM::HTMLAreaElement::alt
    {41, 651, 608},	// DOM::HTMLAreaElement::coords
    {41, 919, 610},	// DOM::HTMLAreaElement::href
    {41, 1115, 612},	// DOM::HTMLAreaElement::noHref
    {41, 1149, -52},	// DOM::HTMLAreaElement::operator=#
    {41, 1330, 605},	// DOM::HTMLAreaElement::setAccessKey#
    {41, 1338, 607},	// DOM::HTMLAreaElement::setAlt#
    {41, 1425, 609},	// DOM::HTMLAreaElement::setCoords#
    {41, 1499, 611},	// DOM::HTMLAreaElement::setHref#
    {41, 1572, 613},	// DOM::HTMLAreaElement::setNoHref$
    {41, 1640, 615},	// DOM::HTMLAreaElement::setShape#
    {41, 1679, 617},	// DOM::HTMLAreaElement::setTabIndex$
    {41, 1681, 619},	// DOM::HTMLAreaElement::setTarget#
    {41, 1732, 614},	// DOM::HTMLAreaElement::shape
    {41, 1800, 616},	// DOM::HTMLAreaElement::tabIndex
    {41, 1803, 618},	// DOM::HTMLAreaElement::target
    {41, 1940, 620},	// DOM::HTMLAreaElement::~HTMLAreaElement
    {42, 180, 621},	// DOM::HTMLBRElement::HTMLBRElement
    {42, 181, -7},	// DOM::HTMLBRElement::HTMLBRElement#
    {42, 598, 626},	// DOM::HTMLBRElement::clear
    {42, 1149, -10},	// DOM::HTMLBRElement::operator=#
    {42, 1398, 627},	// DOM::HTMLBRElement::setClear#
    {42, 1941, 628},	// DOM::HTMLBRElement::~HTMLBRElement
    {43, 182, 629},	// DOM::HTMLBaseElement::HTMLBaseElement
    {43, 183, -109},	// DOM::HTMLBaseElement::HTMLBaseElement#
    {43, 919, 634},	// DOM::HTMLBaseElement::href
    {43, 1149, -112},	// DOM::HTMLBaseElement::operator=#
    {43, 1499, 635},	// DOM::HTMLBaseElement::setHref#
    {43, 1681, 637},	// DOM::HTMLBaseElement::setTarget#
    {43, 1803, 636},	// DOM::HTMLBaseElement::target
    {43, 1942, 638},	// DOM::HTMLBaseElement::~HTMLBaseElement
    {44, 184, 639},	// DOM::HTMLBaseFontElement::HTMLBaseFontElement
    {44, 185, -217},	// DOM::HTMLBaseFontElement::HTMLBaseFontElement#
    {44, 625, 644},	// DOM::HTMLBaseFontElement::color
    {44, 791, 646},	// DOM::HTMLBaseFontElement::face
    {44, 890, 648},	// DOM::HTMLBaseFontElement::getSize
    {44, 1149, -220},	// DOM::HTMLBaseFontElement::operator=#
    {44, 1409, 645},	// DOM::HTMLBaseFontElement::setColor#
    {44, 1474, 647},	// DOM::HTMLBaseFontElement::setFace#
    {44, 1642, 651},	// DOM::HTMLBaseFontElement::setSize#
    {44, 1643, 649},	// DOM::HTMLBaseFontElement::setSize$
    {44, 1741, 650},	// DOM::HTMLBaseFontElement::size
    {44, 1943, 652},	// DOM::HTMLBaseFontElement::~HTMLBaseFontElement
    {45, 186, 653},	// DOM::HTMLBlockquoteElement::HTMLBlockquoteElement
    {45, 187, -242},	// DOM::HTMLBlockquoteElement::HTMLBlockquoteElement#
    {45, 596, 658},	// DOM::HTMLBlockquoteElement::cite
    {45, 1149, -245},	// DOM::HTMLBlockquoteElement::operator=#
    {45, 1394, 659},	// DOM::HTMLBlockquoteElement::setCite#
    {45, 1944, 660},	// DOM::HTMLBlockquoteElement::~HTMLBlockquoteElement
    {46, 188, 661},	// DOM::HTMLBodyElement::HTMLBodyElement
    {46, 189, -512},	// DOM::HTMLBodyElement::HTMLBodyElement#
    {46, 495, 666},	// DOM::HTMLBodyElement::aLink
    {46, 554, 668},	// DOM::HTMLBodyElement::background
    {46, 564, 670},	// DOM::HTMLBodyElement::bgColor
    {46, 1064, 672},	// DOM::HTMLBodyElement::link
    {46, 1149, -515},	// DOM::HTMLBodyElement::operator=#
    {46, 1322, 667},	// DOM::HTMLBodyElement::setALink#
    {46, 1358, 669},	// DOM::HTMLBodyElement::setBackground#
    {46, 1360, 671},	// DOM::HTMLBodyElement::setBgColor#
    {46, 1540, 673},	// DOM::HTMLBodyElement::setLink#
    {46, 1683, 675},	// DOM::HTMLBodyElement::setText#
    {46, 1702, 677},	// DOM::HTMLBodyElement::setVLink#
    {46, 1806, 674},	// DOM::HTMLBodyElement::text
    {46, 1852, 676},	// DOM::HTMLBodyElement::vLink
    {46, 1945, 678},	// DOM::HTMLBodyElement::~HTMLBodyElement
    {47, 190, 679},	// DOM::HTMLButtonElement::HTMLButtonElement
    {47, 191, -205},	// DOM::HTMLButtonElement::HTMLButtonElement#
    {47, 504, 685},	// DOM::HTMLButtonElement::accessKey
    {47, 566, 696},	// DOM::HTMLButtonElement::blur
    {47, 737, 687},	// DOM::HTMLButtonElement::disabled
    {47, 819, 697},	// DOM::HTMLButtonElement::focus
    {47, 830, 684},	// DOM::HTMLButtonElement::form
    {47, 1103, 689},	// DOM::HTMLButtonElement::name
    {47, 1149, -208},	// DOM::HTMLButtonElement::operator=#
    {47, 1330, 686},	// DOM::HTMLButtonElement::setAccessKey#
    {47, 1456, 688},	// DOM::HTMLButtonElement::setDisabled$
    {47, 1566, 690},	// DOM::HTMLButtonElement::setName#
    {47, 1679, 692},	// DOM::HTMLButtonElement::setTabIndex$
    {47, 1704, 695},	// DOM::HTMLButtonElement::setValue#
    {47, 1800, 691},	// DOM::HTMLButtonElement::tabIndex
    {47, 1833, 693},	// DOM::HTMLButtonElement::type
    {47, 1854, 694},	// DOM::HTMLButtonElement::value
    {47, 1946, 698},	// DOM::HTMLButtonElement::~HTMLButtonElement
    {48, 192, 699},	// DOM::HTMLCollection::HTMLCollection
    {48, 193, 700},	// DOM::HTMLCollection::HTMLCollection#
    {48, 556, 705},	// DOM::HTMLCollection::base
    {48, 817, 707},	// DOM::HTMLCollection::firstItem
    {48, 1005, 706},	// DOM::HTMLCollection::isNull
    {48, 1016, 703},	// DOM::HTMLCollection::item$
    {48, 1063, 702},	// DOM::HTMLCollection::length
    {48, 1105, 704},	// DOM::HTMLCollection::namedItem#
    {48, 1110, 708},	// DOM::HTMLCollection::nextItem
    {48, 1112, 709},	// DOM::HTMLCollection::nextNamedItem#
    {48, 1149, 701},	// DOM::HTMLCollection::operator=#
    {48, 1947, 710},	// DOM::HTMLCollection::~HTMLCollection
    {49, 194, 711},	// DOM::HTMLDListElement::HTMLDListElement
    {49, 195, -236},	// DOM::HTMLDListElement::HTMLDListElement#
    {49, 628, 716},	// DOM::HTMLDListElement::compact
    {49, 1149, -239},	// DOM::HTMLDListElement::operator=#
    {49, 1414, 717},	// DOM::HTMLDListElement::setCompact$
    {49, 1948, 718},	// DOM::HTMLDListElement::~HTMLDListElement
    {50, 196, 719},	// DOM::HTMLDirectoryElement::HTMLDirectoryElement
    {50, 197, -37},	// DOM::HTMLDirectoryElement::HTMLDirectoryElement#
    {50, 628, 724},	// DOM::HTMLDirectoryElement::compact
    {50, 1149, -40},	// DOM::HTMLDirectoryElement::operator=#
    {50, 1414, 725},	// DOM::HTMLDirectoryElement::setCompact$
    {50, 1949, 726},	// DOM::HTMLDirectoryElement::~HTMLDirectoryElement
    {51, 198, 727},	// DOM::HTMLDivElement::HTMLDivElement
    {51, 199, -524},	// DOM::HTMLDivElement::HTMLDivElement#
    {51, 527, 732},	// DOM::HTMLDivElement::align
    {51, 1149, -527},	// DOM::HTMLDivElement::operator=#
    {51, 1336, 733},	// DOM::HTMLDivElement::setAlign#
    {51, 1950, 734},	// DOM::HTMLDivElement::~HTMLDivElement
    {52, 200, 735},	// DOM::HTMLDocument::HTMLDocument
    {52, 201, -229},	// DOM::HTMLDocument::HTMLDocument#
    {52, 480, 745},	// DOM::HTMLDocument::URL
    {52, 528, 764},	// DOM::HTMLDocument::all
    {52, 532, 754},	// DOM::HTMLDocument::anchors
    {52, 539, 749},	// DOM::HTMLDocument::applets
    {52, 567, 746},	// DOM::HTMLDocument::body
    {52, 612, 758},	// DOM::HTMLDocument::close
    {52, 634, 762},	// DOM::HTMLDocument::completeURL#
    {52, 650, 755},	// DOM::HTMLDocument::cookie
    {52, 756, 744},	// DOM::HTMLDocument::domain
    {52, 834, 751},	// DOM::HTMLDocument::forms
    {52, 863, 761},	// DOM::HTMLDocument::getElementsByName#
    {52, 929, 748},	// DOM::HTMLDocument::images
    {52, 1056, 763},	// DOM::HTMLDocument::lastModified
    {52, 1059, 752},	// DOM::HTMLDocument::layers
    {52, 1066, 750},	// DOM::HTMLDocument::links
    {52, 1136, 757},	// DOM::HTMLDocument::open
    {52, 1149, -233},	// DOM::HTMLDocument::operator=#
    {52, 1232, 743},	// DOM::HTMLDocument::referrer
    {52, 1295, 753},	// DOM::HTMLDocument::scripts
    {52, 1362, 747},	// DOM::HTMLDocument::setBody#
    {52, 1423, 756},	// DOM::HTMLDocument::setCookie#
    {52, 1687, 742},	// DOM::HTMLDocument::setTitle#
    {52, 1813, 741},	// DOM::HTMLDocument::title
    {52, 1888, 759},	// DOM::HTMLDocument::write#
    {52, 1892, 760},	// DOM::HTMLDocument::writeln#
    {52, 1951, 765},	// DOM::HTMLDocument::~HTMLDocument
    {53, 202, 766},	// DOM::HTMLElement::HTMLElement
    {53, 203, -494},	// DOM::HTMLElement::HTMLElement#
    {53, 518, 791},	// DOM::HTMLElement::addCSSProperty##
    {53, 528, 786},	// DOM::HTMLElement::all
    {53, 544, 792},	// DOM::HTMLElement::assignOther#$
    {53, 595, 785},	// DOM::HTMLElement::children
    {53, 597, 779},	// DOM::HTMLElement::className
    {53, 641, 788},	// DOM::HTMLElement::contentEditable
    {53, 736, 777},	// DOM::HTMLElement::dir
    {53, 927, 771},	// DOM::HTMLElement::id
    {53, 952, 781},	// DOM::HTMLElement::innerHTML
    {53, 954, 783},	// DOM::HTMLElement::innerText
    {53, 983, 787},	// DOM::HTMLElement::isContentEditable
    {53, 1052, 775},	// DOM::HTMLElement::lang
    {53, 1149, -497},	// DOM::HTMLElement::operator=#
    {53, 1246, 790},	// DOM::HTMLElement::removeCSSProperty#
    {53, 1396, 780},	// DOM::HTMLElement::setClassName#
    {53, 1419, 789},	// DOM::HTMLElement::setContentEditable#
    {53, 1454, 778},	// DOM::HTMLElement::setDir#
    {53, 1510, 772},	// DOM::HTMLElement::setId#
    {53, 1516, 782},	// DOM::HTMLElement::setInnerHTML#
    {53, 1518, 784},	// DOM::HTMLElement::setInnerText#
    {53, 1536, 776},	// DOM::HTMLElement::setLang#
    {53, 1687, 774},	// DOM::HTMLElement::setTitle#
    {53, 1813, 773},	// DOM::HTMLElement::title
    {53, 1952, 793},	// DOM::HTMLElement::~HTMLElement
    {54, 204, 794},	// DOM::HTMLFieldSetElement::HTMLFieldSetElement
    {54, 205, -151},	// DOM::HTMLFieldSetElement::HTMLFieldSetElement#
    {54, 830, 799},	// DOM::HTMLFieldSetElement::form
    {54, 1149, -154},	// DOM::HTMLFieldSetElement::operator=#
    {54, 1953, 800},	// DOM::HTMLFieldSetElement::~HTMLFieldSetElement
    {55, 206, 801},	// DOM::HTMLFontElement::HTMLFontElement
    {55, 207, -79},	// DOM::HTMLFontElement::HTMLFontElement#
    {55, 625, 806},	// DOM::HTMLFontElement::color
    {55, 791, 808},	// DOM::HTMLFontElement::face
    {55, 1149, -82},	// DOM::HTMLFontElement::operator=#
    {55, 1409, 807},	// DOM::HTMLFontElement::setColor#
    {55, 1474, 809},	// DOM::HTMLFontElement::setFace#
    {55, 1642, 811},	// DOM::HTMLFontElement::setSize#
    {55, 1741, 810},	// DOM::HTMLFontElement::size
    {55, 1954, 812},	// DOM::HTMLFontElement::~HTMLFontElement
    {56, 209, 813},	// DOM::HTMLFormCollection::HTMLFormCollection#
    {56, 1955, 814},	// DOM::HTMLFormCollection::~HTMLFormCollection
    {57, 210, 815},	// DOM::HTMLFormElement::HTMLFormElement
    {57, 211, -404},	// DOM::HTMLFormElement::HTMLFormElement#
    {57, 501, 824},	// DOM::HTMLFormElement::acceptCharset
    {57, 506, 826},	// DOM::HTMLFormElement::action
    {57, 765, 820},	// DOM::HTMLFormElement::elements
    {57, 769, 828},	// DOM::HTMLFormElement::enctype
    {57, 1063, 821},	// DOM::HTMLFormElement::length
    {57, 1089, 830},	// DOM::HTMLFormElement::method
    {57, 1103, 822},	// DOM::HTMLFormElement::name
    {57, 1149, -407},	// DOM::HTMLFormElement::operator=#
    {57, 1267, 835},	// DOM::HTMLFormElement::reset
    {57, 1328, 825},	// DOM::HTMLFormElement::setAcceptCharset#
    {57, 1332, 827},	// DOM::HTMLFormElement::setAction#
    {57, 1464, 829},	// DOM::HTMLFormElement::setEnctype#
    {57, 1562, 831},	// DOM::HTMLFormElement::setMethod#
    {57, 1566, 823},	// DOM::HTMLFormElement::setName#
    {57, 1681, 833},	// DOM::HTMLFormElement::setTarget#
    {57, 1783, 834},	// DOM::HTMLFormElement::submit
    {57, 1803, 832},	// DOM::HTMLFormElement::target
    {57, 1956, 836},	// DOM::HTMLFormElement::~HTMLFormElement
    {58, 212, 837},	// DOM::HTMLFrameElement::HTMLFrameElement
    {58, 213, -284},	// DOM::HTMLFrameElement::HTMLFrameElement#
    {58, 640, 858},	// DOM::HTMLFrameElement::contentDocument
    {58, 836, 842},	// DOM::HTMLFrameElement::frameBorder
    {58, 1074, 844},	// DOM::HTMLFrameElement::longDesc
    {58, 1077, 846},	// DOM::HTMLFrameElement::marginHeight
    {58, 1078, 848},	// DOM::HTMLFrameElement::marginWidth
    {58, 1103, 850},	// DOM::HTMLFrameElement::name
    {58, 1116, 852},	// DOM::HTMLFrameElement::noResize
    {58, 1149, -287},	// DOM::HTMLFrameElement::operator=#
    {58, 1300, 854},	// DOM::HTMLFrameElement::scrolling
    {58, 1490, 843},	// DOM::HTMLFrameElement::setFrameBorder#
    {58, 1543, 845},	// DOM::HTMLFrameElement::setLongDesc#
    {58, 1548, 847},	// DOM::HTMLFrameElement::setMarginHeight#
    {58, 1551, 849},	// DOM::HTMLFrameElement::setMarginWidth#
    {58, 1566, 851},	// DOM::HTMLFrameElement::setName#
    {58, 1574, 853},	// DOM::HTMLFrameElement::setNoResize$
    {58, 1619, 855},	// DOM::HTMLFrameElement::setScrolling#
    {58, 1651, 857},	// DOM::HTMLFrameElement::setSrc#
    {58, 1756, 856},	// DOM::HTMLFrameElement::src
    {58, 1957, 859},	// DOM::HTMLFrameElement::~HTMLFrameElement
    {59, 214, 860},	// DOM::HTMLFrameSetElement::HTMLFrameSetElement
    {59, 215, -272},	// DOM::HTMLFrameSetElement::HTMLFrameSetElement#
    {59, 626, 865},	// DOM::HTMLFrameSetElement::cols
    {59, 1149, -275},	// DOM::HTMLFrameSetElement::operator=#
    {59, 1283, 867},	// DOM::HTMLFrameSetElement::rows
    {59, 1411, 866},	// DOM::HTMLFrameSetElement::setCols#
    {59, 1610, 868},	// DOM::HTMLFrameSetElement::setRows#
    {59, 1958, 869},	// DOM::HTMLFrameSetElement::~HTMLFrameSetElement
    {60, 216, 870},	// DOM::HTMLHRElement::HTMLHRElement
    {60, 217, -461},	// DOM::HTMLHRElement::HTMLHRElement#
    {60, 527, 875},	// DOM::HTMLHRElement::align
    {60, 1117, 877},	// DOM::HTMLHRElement::noShade
    {60, 1149, -464},	// DOM::HTMLHRElement::operator=#
    {60, 1336, 876},	// DOM::HTMLHRElement::setAlign#
    {60, 1576, 878},	// DOM::HTMLHRElement::setNoShade$
    {60, 1642, 880},	// DOM::HTMLHRElement::setSize#
    {60, 1720, 882},	// DOM::HTMLHRElement::setWidth#
    {60, 1741, 879},	// DOM::HTMLHRElement::size
    {60, 1875, 881},	// DOM::HTMLHRElement::width
    {60, 1959, 883},	// DOM::HTMLHRElement::~HTMLHRElement
    {61, 218, 884},	// DOM::HTMLHeadElement::HTMLHeadElement
    {61, 219, -187},	// DOM::HTMLHeadElement::HTMLHeadElement#
    {61, 1149, -190},	// DOM::HTMLHeadElement::operator=#
    {61, 1204, 889},	// DOM::HTMLHeadElement::profile
    {61, 1594, 890},	// DOM::HTMLHeadElement::setProfile#
    {61, 1960, 891},	// DOM::HTMLHeadElement::~HTMLHeadElement
    {62, 220, 892},	// DOM::HTMLHeadingElement::HTMLHeadingElement
    {62, 221, -476},	// DOM::HTMLHeadingElement::HTMLHeadingElement#
    {62, 527, 897},	// DOM::HTMLHeadingElement::align
    {62, 1149, -479},	// DOM::HTMLHeadingElement::operator=#
    {62, 1336, 898},	// DOM::HTMLHeadingElement::setAlign#
    {62, 1961, 899},	// DOM::HTMLHeadingElement::~HTMLHeadingElement
    {63, 222, 900},	// DOM::HTMLHtmlElement::HTMLHtmlElement
    {63, 223, -317},	// DOM::HTMLHtmlElement::HTMLHtmlElement#
    {63, 1149, -320},	// DOM::HTMLHtmlElement::operator=#
    {63, 1709, 906},	// DOM::HTMLHtmlElement::setVersion#
    {63, 1856, 905},	// DOM::HTMLHtmlElement::version
    {63, 1962, 907},	// DOM::HTMLHtmlElement::~HTMLHtmlElement
    {64, 224, 908},	// DOM::HTMLIFrameElement::HTMLIFrameElement
    {64, 225, -13},	// DOM::HTMLIFrameElement::HTMLIFrameElement#
    {64, 527, 913},	// DOM::HTMLIFrameElement::align
    {64, 640, 933},	// DOM::HTMLIFrameElement::contentDocument
    {64, 836, 915},	// DOM::HTMLIFrameElement::frameBorder
    {64, 911, 917},	// DOM::HTMLIFrameElement::height
    {64, 1074, 919},	// DOM::HTMLIFrameElement::longDesc
    {64, 1077, 921},	// DOM::HTMLIFrameElement::marginHeight
    {64, 1078, 923},	// DOM::HTMLIFrameElement::marginWidth
    {64, 1103, 925},	// DOM::HTMLIFrameElement::name
    {64, 1149, -16},	// DOM::HTMLIFrameElement::operator=#
    {64, 1300, 927},	// DOM::HTMLIFrameElement::scrolling
    {64, 1336, 914},	// DOM::HTMLIFrameElement::setAlign#
    {64, 1490, 916},	// DOM::HTMLIFrameElement::setFrameBorder#
    {64, 1494, 918},	// DOM::HTMLIFrameElement::setHeight#
    {64, 1543, 920},	// DOM::HTMLIFrameElement::setLongDesc#
    {64, 1548, 922},	// DOM::HTMLIFrameElement::setMarginHeight#
    {64, 1551, 924},	// DOM::HTMLIFrameElement::setMarginWidth#
    {64, 1566, 926},	// DOM::HTMLIFrameElement::setName#
    {64, 1619, 928},	// DOM::HTMLIFrameElement::setScrolling#
    {64, 1651, 930},	// DOM::HTMLIFrameElement::setSrc#
    {64, 1720, 932},	// DOM::HTMLIFrameElement::setWidth#
    {64, 1756, 929},	// DOM::HTMLIFrameElement::src
    {64, 1875, 931},	// DOM::HTMLIFrameElement::width
    {64, 1963, 934},	// DOM::HTMLIFrameElement::~HTMLIFrameElement
    {65, 226, 935},	// DOM::HTMLImageElement::HTMLImageElement
    {65, 227, -392},	// DOM::HTMLImageElement::HTMLImageElement#
    {65, 527, 942},	// DOM::HTMLImageElement::align
    {65, 530, 944},	// DOM::HTMLImageElement::alt
    {65, 568, 948},	// DOM::HTMLImageElement::border
    {65, 852, 946},	// DOM::HTMLImageElement::getBorder
    {65, 911, 950},	// DOM::HTMLImageElement::height
    {65, 921, 952},	// DOM::HTMLImageElement::hspace
    {65, 1003, 954},	// DOM::HTMLImageElement::isMap
    {65, 1074, 956},	// DOM::HTMLImageElement::longDesc
    {65, 1103, 940},	// DOM::HTMLImageElement::name
    {65, 1149, -395},	// DOM::HTMLImageElement::operator=#
    {65, 1336, 943},	// DOM::HTMLImageElement::setAlign#
    {65, 1338, 945},	// DOM::HTMLImageElement::setAlt#
    {65, 1364, 947},	// DOM::HTMLImageElement::setBorder#
    {65, 1365, 949},	// DOM::HTMLImageElement::setBorder$
    {65, 1495, 951},	// DOM::HTMLImageElement::setHeight$
    {65, 1504, 953},	// DOM::HTMLImageElement::setHspace$
    {65, 1520, 955},	// DOM::HTMLImageElement::setIsMap$
    {65, 1543, 957},	// DOM::HTMLImageElement::setLongDesc#
    {65, 1566, 941},	// DOM::HTMLImageElement::setName#
    {65, 1651, 959},	// DOM::HTMLImageElement::setSrc#
    {65, 1695, 961},	// DOM::HTMLImageElement::setUseMap#
    {65, 1717, 963},	// DOM::HTMLImageElement::setVspace$
    {65, 1721, 965},	// DOM::HTMLImageElement::setWidth$
    {65, 1756, 958},	// DOM::HTMLImageElement::src
    {65, 1849, 960},	// DOM::HTMLImageElement::useMap
    {65, 1867, 962},	// DOM::HTMLImageElement::vspace
    {65, 1875, 964},	// DOM::HTMLImageElement::width
    {65, 1893, 966},	// DOM::HTMLImageElement::x
    {65, 1896, 967},	// DOM::HTMLImageElement::y
    {65, 1964, 968},	// DOM::HTMLImageElement::~HTMLImageElement
    {66, 228, 969},	// DOM::HTMLInputElement::HTMLInputElement
    {66, 229, -374},	// DOM::HTMLInputElement::HTMLInputElement#
    {66, 500, 979},	// DOM::HTMLInputElement::accept
    {66, 504, 981},	// DOM::HTMLInputElement::accessKey
    {66, 527, 983},	// DOM::HTMLInputElement::align
    {66, 530, 985},	// DOM::HTMLInputElement::alt
    {66, 566, 1013},	// DOM::HTMLInputElement::blur
    {66, 591, 987},	// DOM::HTMLInputElement::checked
    {66, 600, 1016},	// DOM::HTMLInputElement::click
    {66, 711, 976},	// DOM::HTMLInputElement::defaultChecked
    {66, 713, 974},	// DOM::HTMLInputElement::defaultValue
    {66, 737, 991},	// DOM::HTMLInputElement::disabled
    {66, 819, 1014},	// DOM::HTMLInputElement::focus
    {66, 830, 978},	// DOM::HTMLInputElement::form
    {66, 890, 1001},	// DOM::HTMLInputElement::getSize
    {66, 935, 989},	// DOM::HTMLInputElement::indeterminate
    {66, 1080, 993},	// DOM::HTMLInputElement::maxLength
    {66, 1103, 995},	// DOM::HTMLInputElement::name
    {66, 1149, -377},	// DOM::HTMLInputElement::operator=#
    {66, 1228, 997},	// DOM::HTMLInputElement::readOnly
    {66, 1302, 1015},	// DOM::HTMLInputElement::select
    {66, 1316, 1019},	// DOM::HTMLInputElement::selectionEnd
    {66, 1317, 1017},	// DOM::HTMLInputElement::selectionStart
    {66, 1326, 980},	// DOM::HTMLInputElement::setAccept#
    {66, 1330, 982},	// DOM::HTMLInputElement::setAccessKey#
    {66, 1336, 984},	// DOM::HTMLInputElement::setAlign#
    {66, 1338, 986},	// DOM::HTMLInputElement::setAlt#
    {66, 1392, 988},	// DOM::HTMLInputElement::setChecked$
    {66, 1444, 977},	// DOM::HTMLInputElement::setDefaultChecked$
    {66, 1448, 975},	// DOM::HTMLInputElement::setDefaultValue#
    {66, 1456, 992},	// DOM::HTMLInputElement::setDisabled$
    {66, 1512, 990},	// DOM::HTMLInputElement::setIndeterminate$
    {66, 1554, 994},	// DOM::HTMLInputElement::setMaxLength$
    {66, 1566, 996},	// DOM::HTMLInputElement::setName#
    {66, 1600, 998},	// DOM::HTMLInputElement::setReadOnly$
    {66, 1632, 1020},	// DOM::HTMLInputElement::setSelectionEnd$
    {66, 1634, 1021},	// DOM::HTMLInputElement::setSelectionRange$$
    {66, 1636, 1018},	// DOM::HTMLInputElement::setSelectionStart$
    {66, 1642, 1000},	// DOM::HTMLInputElement::setSize#
    {66, 1643, 1002},	// DOM::HTMLInputElement::setSize$
    {66, 1651, 1004},	// DOM::HTMLInputElement::setSrc#
    {66, 1679, 1006},	// DOM::HTMLInputElement::setTabIndex$
    {66, 1691, 1008},	// DOM::HTMLInputElement::setType#
    {66, 1695, 1010},	// DOM::HTMLInputElement::setUseMap#
    {66, 1704, 1012},	// DOM::HTMLInputElement::setValue#
    {66, 1741, 999},	// DOM::HTMLInputElement::size
    {66, 1756, 1003},	// DOM::HTMLInputElement::src
    {66, 1800, 1005},	// DOM::HTMLInputElement::tabIndex
    {66, 1833, 1007},	// DOM::HTMLInputElement::type
    {66, 1849, 1009},	// DOM::HTMLInputElement::useMap
    {66, 1854, 1011},	// DOM::HTMLInputElement::value
    {66, 1965, 1022},	// DOM::HTMLInputElement::~HTMLInputElement
    {67, 230, 1023},	// DOM::HTMLIsIndexElement::HTMLIsIndexElement
    {67, 231, -266},	// DOM::HTMLIsIndexElement::HTMLIsIndexElement#
    {67, 830, 1028},	// DOM::HTMLIsIndexElement::form
    {67, 1149, -269},	// DOM::HTMLIsIndexElement::operator=#
    {67, 1205, 1029},	// DOM::HTMLIsIndexElement::prompt
    {67, 1596, 1030},	// DOM::HTMLIsIndexElement::setPrompt#
    {67, 1966, 1031},	// DOM::HTMLIsIndexElement::~HTMLIsIndexElement
    {68, 232, 1032},	// DOM::HTMLLIElement::HTMLLIElement
    {68, 233, -278},	// DOM::HTMLLIElement::HTMLLIElement#
    {68, 1149, -281},	// DOM::HTMLLIElement::operator=#
    {68, 1691, 1038},	// DOM::HTMLLIElement::setType#
    {68, 1705, 1040},	// DOM::HTMLLIElement::setValue$
    {68, 1833, 1037},	// DOM::HTMLLIElement::type
    {68, 1854, 1039},	// DOM::HTMLLIElement::value
    {68, 1967, 1041},	// DOM::HTMLLIElement::~HTMLLIElement
    {69, 234, 1042},	// DOM::HTMLLabelElement::HTMLLabelElement
    {69, 235, -91},	// DOM::HTMLLabelElement::HTMLLabelElement#
    {69, 504, 1047},	// DOM::HTMLLabelElement::accessKey
    {69, 925, 1049},	// DOM::HTMLLabelElement::htmlFor
    {69, 1149, -94},	// DOM::HTMLLabelElement::operator=#
    {69, 1330, 1048},	// DOM::HTMLLabelElement::setAccessKey#
    {69, 1506, 1050},	// DOM::HTMLLabelElement::setHtmlFor#
    {69, 1968, 1051},	// DOM::HTMLLabelElement::~HTMLLabelElement
    {70, 236, 1052},	// DOM::HTMLLayerElement::HTMLLayerElement
    {70, 237, -482},	// DOM::HTMLLayerElement::HTMLLayerElement#
    {70, 564, 1063},	// DOM::HTMLLayerElement::bgColor
    {70, 1059, 1065},	// DOM::HTMLLayerElement::layers
    {70, 1062, 1059},	// DOM::HTMLLayerElement::left
    {70, 1149, -485},	// DOM::HTMLLayerElement::operator=#
    {70, 1360, 1064},	// DOM::HTMLLayerElement::setBgColor#
    {70, 1538, 1060},	// DOM::HTMLLayerElement::setLeft$
    {70, 1689, 1058},	// DOM::HTMLLayerElement::setTop$
    {70, 1713, 1062},	// DOM::HTMLLayerElement::setVisibility#
    {70, 1820, 1057},	// DOM::HTMLLayerElement::top
    {70, 1864, 1061},	// DOM::HTMLLayerElement::visibility
    {70, 1969, 1066},	// DOM::HTMLLayerElement::~HTMLLayerElement
    {71, 238, 1067},	// DOM::HTMLLegendElement::HTMLLegendElement
    {71, 239, -338},	// DOM::HTMLLegendElement::HTMLLegendElement#
    {71, 504, 1073},	// DOM::HTMLLegendElement::accessKey
    {71, 527, 1075},	// DOM::HTMLLegendElement::align
    {71, 830, 1072},	// DOM::HTMLLegendElement::form
    {71, 1149, -341},	// DOM::HTMLLegendElement::operator=#
    {71, 1330, 1074},	// DOM::HTMLLegendElement::setAccessKey#
    {71, 1336, 1076},	// DOM::HTMLLegendElement::setAlign#
    {71, 1970, 1077},	// DOM::HTMLLegendElement::~HTMLLegendElement
    {72, 240, 1078},	// DOM::HTMLLinkElement::HTMLLinkElement
    {72, 241, -169},	// DOM::HTMLLinkElement::HTMLLinkElement#
    {72, 590, 1085},	// DOM::HTMLLinkElement::charset
    {72, 737, 1083},	// DOM::HTMLLinkElement::disabled
    {72, 919, 1087},	// DOM::HTMLLinkElement::href
    {72, 920, 1089},	// DOM::HTMLLinkElement::hreflang
    {72, 1083, 1091},	// DOM::HTMLLinkElement::media
    {72, 1149, -172},	// DOM::HTMLLinkElement::operator=#
    {72, 1233, 1093},	// DOM::HTMLLinkElement::rel
    {72, 1275, 1095},	// DOM::HTMLLinkElement::rev
    {72, 1390, 1086},	// DOM::HTMLLinkElement::setCharset#
    {72, 1456, 1084},	// DOM::HTMLLinkElement::setDisabled$
    {72, 1499, 1088},	// DOM::HTMLLinkElement::setHref#
    {72, 1501, 1090},	// DOM::HTMLLinkElement::setHreflang#
    {72, 1556, 1092},	// DOM::HTMLLinkElement::setMedia#
    {72, 1602, 1094},	// DOM::HTMLLinkElement::setRel#
    {72, 1604, 1096},	// DOM::HTMLLinkElement::setRev#
    {72, 1681, 1098},	// DOM::HTMLLinkElement::setTarget#
    {72, 1691, 1100},	// DOM::HTMLLinkElement::setType#
    {72, 1733, 1101},	// DOM::HTMLLinkElement::sheet
    {72, 1803, 1097},	// DOM::HTMLLinkElement::target
    {72, 1833, 1099},	// DOM::HTMLLinkElement::type
    {72, 1971, 1102},	// DOM::HTMLLinkElement::~HTMLLinkElement
    {73, 242, 1103},	// DOM::HTMLMapElement::HTMLMapElement
    {73, 243, -422},	// DOM::HTMLMapElement::HTMLMapElement#
    {73, 542, 1108},	// DOM::HTMLMapElement::areas
    {73, 1103, 1109},	// DOM::HTMLMapElement::name
    {73, 1149, -425},	// DOM::HTMLMapElement::operator=#
    {73, 1566, 1110},	// DOM::HTMLMapElement::setName#
    {73, 1972, 1111},	// DOM::HTMLMapElement::~HTMLMapElement
    {74, 244, 1112},	// DOM::HTMLMenuElement::HTMLMenuElement
    {74, 245, -181},	// DOM::HTMLMenuElement::HTMLMenuElement#
    {74, 628, 1117},	// DOM::HTMLMenuElement::compact
    {74, 1149, -184},	// DOM::HTMLMenuElement::operator=#
    {74, 1414, 1118},	// DOM::HTMLMenuElement::setCompact$
    {74, 1973, 1119},	// DOM::HTMLMenuElement::~HTMLMenuElement
    {75, 246, 1120},	// DOM::HTMLMetaElement::HTMLMetaElement
    {75, 247, -530},	// DOM::HTMLMetaElement::HTMLMetaElement#
    {75, 639, 1125},	// DOM::HTMLMetaElement::content
    {75, 926, 1127},	// DOM::HTMLMetaElement::httpEquiv
    {75, 1103, 1129},	// DOM::HTMLMetaElement::name
    {75, 1149, -533},	// DOM::HTMLMetaElement::operator=#
    {75, 1291, 1131},	// DOM::HTMLMetaElement::scheme
    {75, 1417, 1126},	// DOM::HTMLMetaElement::setContent#
    {75, 1508, 1128},	// DOM::HTMLMetaElement::setHttpEquiv#
    {75, 1566, 1130},	// DOM::HTMLMetaElement::setName#
    {75, 1615, 1132},	// DOM::HTMLMetaElement::setScheme#
    {75, 1974, 1133},	// DOM::HTMLMetaElement::~HTMLMetaElement
    {76, 248, 1134},	// DOM::HTMLModElement::HTMLModElement
    {76, 249, -350},	// DOM::HTMLModElement::HTMLModElement#
    {76, 596, 1139},	// DOM::HTMLModElement::cite
    {76, 709, 1141},	// DOM::HTMLModElement::dateTime
    {76, 1149, -353},	// DOM::HTMLModElement::operator=#
    {76, 1394, 1140},	// DOM::HTMLModElement::setCite#
    {76, 1440, 1142},	// DOM::HTMLModElement::setDateTime#
    {76, 1975, 1143},	// DOM::HTMLModElement::~HTMLModElement
    {77, 250, 1144},	// DOM::HTMLOListElement::HTMLOListElement
    {77, 251, -133},	// DOM::HTMLOListElement::HTMLOListElement#
    {77, 628, 1149},	// DOM::HTMLOListElement::compact
    {77, 1149, -136},	// DOM::HTMLOListElement::operator=#
    {77, 1414, 1150},	// DOM::HTMLOListElement::setCompact$
    {77, 1658, 1152},	// DOM::HTMLOListElement::setStart$
    {77, 1691, 1154},	// DOM::HTMLOListElement::setType#
    {77, 1758, 1151},	// DOM::HTMLOListElement::start
    {77, 1833, 1153},	// DOM::HTMLOListElement::type
    {77, 1976, 1155},	// DOM::HTMLOListElement::~HTMLOListElement
    {78, 252, 1156},	// DOM::HTMLObjectElement::HTMLObjectElement
    {78, 253, -121},	// DOM::HTMLObjectElement::HTMLObjectElement#
    {78, 527, 1164},	// DOM::HTMLObjectElement::align
    {78, 541, 1166},	// DOM::HTMLObjectElement::archive
    {78, 568, 1168},	// DOM::HTMLObjectElement::border
    {78, 616, 1162},	// DOM::HTMLObjectElement::code
    {78, 619, 1170},	// DOM::HTMLObjectElement::codeBase
    {78, 620, 1172},	// DOM::HTMLObjectElement::codeType
    {78, 640, 1200},	// DOM::HTMLObjectElement::contentDocument
    {78, 708, 1174},	// DOM::HTMLObjectElement::data
    {78, 710, 1176},	// DOM::HTMLObjectElement::declare
    {78, 830, 1161},	// DOM::HTMLObjectElement::form
    {78, 870, 1180},	// DOM::HTMLObjectElement::getHspace
    {78, 892, 1194},	// DOM::HTMLObjectElement::getVspace
    {78, 911, 1178},	// DOM::HTMLObjectElement::height
    {78, 921, 1182},	// DOM::HTMLObjectElement::hspace
    {78, 1103, 1184},	// DOM::HTMLObjectElement::name
    {78, 1149, -124},	// DOM::HTMLObjectElement::operator=#
    {78, 1336, 1165},	// DOM::HTMLObjectElement::setAlign#
    {78, 1342, 1167},	// DOM::HTMLObjectElement::setArchive#
    {78, 1364, 1169},	// DOM::HTMLObjectElement::setBorder#
    {78, 1400, 1163},	// DOM::HTMLObjectElement::setCode#
    {78, 1403, 1171},	// DOM::HTMLObjectElement::setCodeBase#
    {78, 1405, 1173},	// DOM::HTMLObjectElement::setCodeType#
    {78, 1438, 1175},	// DOM::HTMLObjectElement::setData#
    {78, 1442, 1177},	// DOM::HTMLObjectElement::setDeclare$
    {78, 1494, 1179},	// DOM::HTMLObjectElement::setHeight#
    {78, 1503, 1183},	// DOM::HTMLObjectElement::setHspace#
    {78, 1504, 1181},	// DOM::HTMLObjectElement::setHspace$
    {78, 1566, 1185},	// DOM::HTMLObjectElement::setName#
    {78, 1655, 1187},	// DOM::HTMLObjectElement::setStandby#
    {78, 1679, 1189},	// DOM::HTMLObjectElement::setTabIndex$
    {78, 1691, 1191},	// DOM::HTMLObjectElement::setType#
    {78, 1695, 1193},	// DOM::HTMLObjectElement::setUseMap#
    {78, 1716, 1197},	// DOM::HTMLObjectElement::setVspace#
    {78, 1717, 1195},	// DOM::HTMLObjectElement::setVspace$
    {78, 1720, 1199},	// DOM::HTMLObjectElement::setWidth#
    {78, 1757, 1186},	// DOM::HTMLObjectElement::standby
    {78, 1800, 1188},	// DOM::HTMLObjectElement::tabIndex
    {78, 1833, 1190},	// DOM::HTMLObjectElement::type
    {78, 1849, 1192},	// DOM::HTMLObjectElement::useMap
    {78, 1867, 1196},	// DOM::HTMLObjectElement::vspace
    {78, 1875, 1198},	// DOM::HTMLObjectElement::width
    {78, 1977, 1201},	// DOM::HTMLObjectElement::~HTMLObjectElement
    {79, 254, 1202},	// DOM::HTMLOptGroupElement::HTMLOptGroupElement
    {79, 255, -536},	// DOM::HTMLOptGroupElement::HTMLOptGroupElement#
    {79, 737, 1207},	// DOM::HTMLOptGroupElement::disabled
    {79, 1051, 1209},	// DOM::HTMLOptGroupElement::label
    {79, 1149, -539},	// DOM::HTMLOptGroupElement::operator=#
    {79, 1456, 1208},	// DOM::HTMLOptGroupElement::setDisabled$
    {79, 1534, 1210},	// DOM::HTMLOptGroupElement::setLabel#
    {79, 1978, 1211},	// DOM::HTMLOptGroupElement::~HTMLOptGroupElement
    {80, 256, 1212},	// DOM::HTMLOptionElement::HTMLOptionElement
    {80, 257, -211},	// DOM::HTMLOptionElement::HTMLOptionElement#
    {80, 712, 1218},	// DOM::HTMLOptionElement::defaultSelected
    {80, 737, 1223},	// DOM::HTMLOptionElement::disabled
    {80, 830, 1217},	// DOM::HTMLOptionElement::form
    {80, 936, 1221},	// DOM::HTMLOptionElement::index
    {80, 1051, 1225},	// DOM::HTMLOptionElement::label
    {80, 1149, -214},	// DOM::HTMLOptionElement::operator=#
    {80, 1308, 1227},	// DOM::HTMLOptionElement::selected
    {80, 1446, 1219},	// DOM::HTMLOptionElement::setDefaultSelected$
    {80, 1456, 1224},	// DOM::HTMLOptionElement::setDisabled$
    {80, 1514, 1222},	// DOM::HTMLOptionElement::setIndex$
    {80, 1534, 1226},	// DOM::HTMLOptionElement::setLabel#
    {80, 1624, 1228},	// DOM::HTMLOptionElement::setSelected$
    {80, 1704, 1230},	// DOM::HTMLOptionElement::setValue#
    {80, 1806, 1220},	// DOM::HTMLOptionElement::text
    {80, 1854, 1229},	// DOM::HTMLOptionElement::value
    {80, 1979, 1231},	// DOM::HTMLOptionElement::~HTMLOptionElement
    {81, 258, 1232},	// DOM::HTMLParagraphElement::HTMLParagraphElement
    {81, 259, -25},	// DOM::HTMLParagraphElement::HTMLParagraphElement#
    {81, 527, 1237},	// DOM::HTMLParagraphElement::align
    {81, 1149, -28},	// DOM::HTMLParagraphElement::operator=#
    {81, 1336, 1238},	// DOM::HTMLParagraphElement::setAlign#
    {81, 1980, 1239},	// DOM::HTMLParagraphElement::~HTMLParagraphElement
    {82, 260, 1240},	// DOM::HTMLParamElement::HTMLParamElement
    {82, 261, -1},	// DOM::HTMLParamElement::HTMLParamElement#
    {82, 1103, 1245},	// DOM::HTMLParamElement::name
    {82, 1149, -4},	// DOM::HTMLParamElement::operator=#
    {82, 1566, 1246},	// DOM::HTMLParamElement::setName#
    {82, 1691, 1248},	// DOM::HTMLParamElement::setType#
    {82, 1704, 1250},	// DOM::HTMLParamElement::setValue#
    {82, 1707, 1252},	// DOM::HTMLParamElement::setValueType#
    {82, 1833, 1247},	// DOM::HTMLParamElement::type
    {82, 1854, 1249},	// DOM::HTMLParamElement::value
    {82, 1855, 1251},	// DOM::HTMLParamElement::valueType
    {82, 1981, 1253},	// DOM::HTMLParamElement::~HTMLParamElement
    {83, 262, 1254},	// DOM::HTMLPreElement::HTMLPreElement
    {83, 263, -139},	// DOM::HTMLPreElement::HTMLPreElement#
    {83, 1149, -142},	// DOM::HTMLPreElement::operator=#
    {83, 1721, 1260},	// DOM::HTMLPreElement::setWidth$
    {83, 1875, 1259},	// DOM::HTMLPreElement::width
    {83, 1982, 1261},	// DOM::HTMLPreElement::~HTMLPreElement
    {84, 264, 1262},	// DOM::HTMLQuoteElement::HTMLQuoteElement
    {84, 265, -380},	// DOM::HTMLQuoteElement::HTMLQuoteElement#
    {84, 596, 1267},	// DOM::HTMLQuoteElement::cite
    {84, 1149, -383},	// DOM::HTMLQuoteElement::operator=#
    {84, 1394, 1268},	// DOM::HTMLQuoteElement::setCite#
    {84, 1983, 1269},	// DOM::HTMLQuoteElement::~HTMLQuoteElement
    {85, 266, 1270},	// DOM::HTMLScriptElement::HTMLScriptElement
    {85, 267, -85},	// DOM::HTMLScriptElement::HTMLScriptElement#
    {85, 590, 1281},	// DOM::HTMLScriptElement::charset
    {85, 715, 1283},	// DOM::HTMLScriptElement::defer
    {85, 777, 1279},	// DOM::HTMLScriptElement::event
    {85, 925, 1277},	// DOM::HTMLScriptElement::htmlFor
    {85, 1149, -88},	// DOM::HTMLScriptElement::operator=#
    {85, 1390, 1282},	// DOM::HTMLScriptElement::setCharset#
    {85, 1450, 1284},	// DOM::HTMLScriptElement::setDefer$
    {85, 1472, 1280},	// DOM::HTMLScriptElement::setEvent#
    {85, 1506, 1278},	// DOM::HTMLScriptElement::setHtmlFor#
    {85, 1651, 1286},	// DOM::HTMLScriptElement::setSrc#
    {85, 1683, 1276},	// DOM::HTMLScriptElement::setText#
    {85, 1691, 1288},	// DOM::HTMLScriptElement::setType#
    {85, 1756, 1285},	// DOM::HTMLScriptElement::src
    {85, 1806, 1275},	// DOM::HTMLScriptElement::text
    {85, 1833, 1287},	// DOM::HTMLScriptElement::type
    {85, 1984, 1289},	// DOM::HTMLScriptElement::~HTMLScriptElement
    {86, 268, 1290},	// DOM::HTMLSelectElement::HTMLSelectElement
    {86, 269, -290},	// DOM::HTMLSelectElement::HTMLSelectElement#
    {86, 514, 1313},	// DOM::HTMLSelectElement::add##
    {86, 566, 1315},	// DOM::HTMLSelectElement::blur
    {86, 737, 1303},	// DOM::HTMLSelectElement::disabled
    {86, 819, 1316},	// DOM::HTMLSelectElement::focus
    {86, 830, 1301},	// DOM::HTMLSelectElement::form
    {86, 1063, 1300},	// DOM::HTMLSelectElement::length
    {86, 1102, 1305},	// DOM::HTMLSelectElement::multiple
    {86, 1103, 1307},	// DOM::HTMLSelectElement::name
    {86, 1149, -293},	// DOM::HTMLSelectElement::operator=#
    {86, 1156, 1302},	// DOM::HTMLSelectElement::options
    {86, 1237, 1314},	// DOM::HTMLSelectElement::remove$
    {86, 1309, 1296},	// DOM::HTMLSelectElement::selectedIndex
    {86, 1456, 1304},	// DOM::HTMLSelectElement::setDisabled$
    {86, 1564, 1306},	// DOM::HTMLSelectElement::setMultiple$
    {86, 1566, 1308},	// DOM::HTMLSelectElement::setName#
    {86, 1626, 1297},	// DOM::HTMLSelectElement::setSelectedIndex$
    {86, 1643, 1310},	// DOM::HTMLSelectElement::setSize$
    {86, 1679, 1312},	// DOM::HTMLSelectElement::setTabIndex$
    {86, 1704, 1299},	// DOM::HTMLSelectElement::setValue#
    {86, 1741, 1309},	// DOM::HTMLSelectElement::size
    {86, 1800, 1311},	// DOM::HTMLSelectElement::tabIndex
    {86, 1833, 1295},	// DOM::HTMLSelectElement::type
    {86, 1854, 1298},	// DOM::HTMLSelectElement::value
    {86, 1985, 1317},	// DOM::HTMLSelectElement::~HTMLSelectElement
    {87, 270, 1318},	// DOM::HTMLStyleElement::HTMLStyleElement
    {87, 271, -323},	// DOM::HTMLStyleElement::HTMLStyleElement#
    {87, 737, 1323},	// DOM::HTMLStyleElement::disabled
    {87, 1083, 1325},	// DOM::HTMLStyleElement::media
    {87, 1149, -326},	// DOM::HTMLStyleElement::operator=#
    {87, 1456, 1324},	// DOM::HTMLStyleElement::setDisabled$
    {87, 1556, 1326},	// DOM::HTMLStyleElement::setMedia#
    {87, 1691, 1328},	// DOM::HTMLStyleElement::setType#
    {87, 1733, 1329},	// DOM::HTMLStyleElement::sheet
    {87, 1833, 1327},	// DOM::HTMLStyleElement::type
    {87, 1986, 1330},	// DOM::HTMLStyleElement::~HTMLStyleElement
    {88, 272, 1331},	// DOM::HTMLTableCaptionElement::HTMLTableCaptionElement
    {88, 273, -175},	// DOM::HTMLTableCaptionElement::HTMLTableCaptionElement#
    {88, 527, 1336},	// DOM::HTMLTableCaptionElement::align
    {88, 1149, -178},	// DOM::HTMLTableCaptionElement::operator=#
    {88, 1336, 1337},	// DOM::HTMLTableCaptionElement::setAlign#
    {88, 1987, 1338},	// DOM::HTMLTableCaptionElement::~HTMLTableCaptionElement
    {89, 274, 1339},	// DOM::HTMLTableCellElement::HTMLTableCellElement
    {89, 275, -362},	// DOM::HTMLTableCellElement::HTMLTableCellElement#
    {89, 496, 1346},	// DOM::HTMLTableCellElement::abbr
    {89, 527, 1348},	// DOM::HTMLTableCellElement::align
    {89, 553, 1350},	// DOM::HTMLTableCellElement::axis
    {89, 564, 1352},	// DOM::HTMLTableCellElement::bgColor
    {89, 580, 1344},	// DOM::HTMLTableCellElement::cellIndex
    {89, 584, 1354},	// DOM::HTMLTableCellElement::ch
    {89, 585, 1356},	// DOM::HTMLTableCellElement::chOff
    {89, 621, 1358},	// DOM::HTMLTableCellElement::colSpan
    {89, 910, 1360},	// DOM::HTMLTableCellElement::headers
    {89, 911, 1362},	// DOM::HTMLTableCellElement::height
    {89, 1118, 1364},	// DOM::HTMLTableCellElement::noWrap
    {89, 1149, -365},	// DOM::HTMLTableCellElement::operator=#
    {89, 1282, 1366},	// DOM::HTMLTableCellElement::rowSpan
    {89, 1292, 1368},	// DOM::HTMLTableCellElement::scope
    {89, 1324, 1347},	// DOM::HTMLTableCellElement::setAbbr#
    {89, 1336, 1349},	// DOM::HTMLTableCellElement::setAlign#
    {89, 1356, 1351},	// DOM::HTMLTableCellElement::setAxis#
    {89, 1360, 1353},	// DOM::HTMLTableCellElement::setBgColor#
    {89, 1378, 1345},	// DOM::HTMLTableCellElement::setCellIndex$
    {89, 1386, 1355},	// DOM::HTMLTableCellElement::setCh#
    {89, 1388, 1357},	// DOM::HTMLTableCellElement::setChOff#
    {89, 1407, 1359},	// DOM::HTMLTableCellElement::setColSpan$
    {89, 1492, 1361},	// DOM::HTMLTableCellElement::setHeaders#
    {89, 1494, 1363},	// DOM::HTMLTableCellElement::setHeight#
    {89, 1578, 1365},	// DOM::HTMLTableCellElement::setNoWrap$
    {89, 1608, 1367},	// DOM::HTMLTableCellElement::setRowSpan$
    {89, 1617, 1369},	// DOM::HTMLTableCellElement::setScope#
    {89, 1700, 1371},	// DOM::HTMLTableCellElement::setVAlign#
    {89, 1720, 1373},	// DOM::HTMLTableCellElement::setWidth#
    {89, 1851, 1370},	// DOM::HTMLTableCellElement::vAlign
    {89, 1875, 1372},	// DOM::HTMLTableCellElement::width
    {89, 1988, 1374},	// DOM::HTMLTableCellElement::~HTMLTableCellElement
    {90, 276, 1375},	// DOM::HTMLTableColElement::HTMLTableColElement
    {90, 277, -398},	// DOM::HTMLTableColElement::HTMLTableColElement#
    {90, 527, 1380},	// DOM::HTMLTableColElement::align
    {90, 584, 1382},	// DOM::HTMLTableColElement::ch
    {90, 585, 1384},	// DOM::HTMLTableColElement::chOff
    {90, 1149, -401},	// DOM::HTMLTableColElement::operator=#
    {90, 1336, 1381},	// DOM::HTMLTableColElement::setAlign#
    {90, 1386, 1383},	// DOM::HTMLTableColElement::setCh#
    {90, 1388, 1385},	// DOM::HTMLTableColElement::setChOff#
    {90, 1649, 1387},	// DOM::HTMLTableColElement::setSpan$
    {90, 1700, 1389},	// DOM::HTMLTableColElement::setVAlign#
    {90, 1720, 1391},	// DOM::HTMLTableColElement::setWidth#
    {90, 1748, 1386},	// DOM::HTMLTableColElement::span
    {90, 1851, 1388},	// DOM::HTMLTableColElement::vAlign
    {90, 1875, 1390},	// DOM::HTMLTableColElement::width
    {90, 1989, 1392},	// DOM::HTMLTableColElement::~HTMLTableColElement
    {91, 278, 1393},	// DOM::HTMLTableElement::HTMLTableElement
    {91, 279, -163},	// DOM::HTMLTableElement::HTMLTableElement#
    {91, 527, 1406},	// DOM::HTMLTableElement::align
    {91, 564, 1408},	// DOM::HTMLTableElement::bgColor
    {91, 568, 1410},	// DOM::HTMLTableElement::border
    {91, 576, 1398},	// DOM::HTMLTableElement::caption
    {91, 581, 1412},	// DOM::HTMLTableElement::cellPadding
    {91, 582, 1414},	// DOM::HTMLTableElement::cellSpacing
    {91, 661, 1428},	// DOM::HTMLTableElement::createCaption
    {91, 690, 1426},	// DOM::HTMLTableElement::createTFoot
    {91, 691, 1424},	// DOM::HTMLTableElement::createTHead
    {91, 716, 1429},	// DOM::HTMLTableElement::deleteCaption
    {91, 726, 1431},	// DOM::HTMLTableElement::deleteRow$
    {91, 729, 1427},	// DOM::HTMLTableElement::deleteTFoot
    {91, 730, 1425},	// DOM::HTMLTableElement::deleteTHead
    {91, 835, 1416},	// DOM::HTMLTableElement::frame
    {91, 968, 1430},	// DOM::HTMLTableElement::insertRow$
    {91, 1149, -166},	// DOM::HTMLTableElement::operator=#
    {91, 1283, 1404},	// DOM::HTMLTableElement::rows
    {91, 1284, 1418},	// DOM::HTMLTableElement::rules
    {91, 1336, 1407},	// DOM::HTMLTableElement::setAlign#
    {91, 1360, 1409},	// DOM::HTMLTableElement::setBgColor#
    {91, 1364, 1411},	// DOM::HTMLTableElement::setBorder#
    {91, 1367, 1399},	// DOM::HTMLTableElement::setCaption#
    {91, 1380, 1413},	// DOM::HTMLTableElement::setCellPadding#
    {91, 1382, 1415},	// DOM::HTMLTableElement::setCellSpacing#
    {91, 1488, 1417},	// DOM::HTMLTableElement::setFrame#
    {91, 1613, 1419},	// DOM::HTMLTableElement::setRules#
    {91, 1670, 1421},	// DOM::HTMLTableElement::setSummary#
    {91, 1675, 1403},	// DOM::HTMLTableElement::setTFoot#
    {91, 1677, 1401},	// DOM::HTMLTableElement::setTHead#
    {91, 1720, 1423},	// DOM::HTMLTableElement::setWidth#
    {91, 1793, 1420},	// DOM::HTMLTableElement::summary
    {91, 1797, 1405},	// DOM::HTMLTableElement::tBodies
    {91, 1798, 1402},	// DOM::HTMLTableElement::tFoot
    {91, 1799, 1400},	// DOM::HTMLTableElement::tHead
    {91, 1875, 1422},	// DOM::HTMLTableElement::width
    {91, 1990, 1432},	// DOM::HTMLTableElement::~HTMLTableElement
    {92, 280, 1433},	// DOM::HTMLTableRowElement::HTMLTableRowElement
    {92, 281, -428},	// DOM::HTMLTableRowElement::HTMLTableRowElement#
    {92, 527, 1444},	// DOM::HTMLTableRowElement::align
    {92, 564, 1446},	// DOM::HTMLTableRowElement::bgColor
    {92, 583, 1442},	// DOM::HTMLTableRowElement::cells
    {92, 584, 1448},	// DOM::HTMLTableRowElement::ch
    {92, 585, 1450},	// DOM::HTMLTableRowElement::chOff
    {92, 718, 1455},	// DOM::HTMLTableRowElement::deleteCell$
    {92, 962, 1454},	// DOM::HTMLTableRowElement::insertCell$
    {92, 1149, -431},	// DOM::HTMLTableRowElement::operator=#
    {92, 1281, 1438},	// DOM::HTMLTableRowElement::rowIndex
    {92, 1301, 1440},	// DOM::HTMLTableRowElement::sectionRowIndex
    {92, 1336, 1445},	// DOM::HTMLTableRowElement::setAlign#
    {92, 1360, 1447},	// DOM::HTMLTableRowElement::setBgColor#
    {92, 1384, 1443},	// DOM::HTMLTableRowElement::setCells#
    {92, 1386, 1449},	// DOM::HTMLTableRowElement::setCh#
    {92, 1388, 1451},	// DOM::HTMLTableRowElement::setChOff#
    {92, 1606, 1439},	// DOM::HTMLTableRowElement::setRowIndex$
    {92, 1621, 1441},	// DOM::HTMLTableRowElement::setSectionRowIndex$
    {92, 1700, 1453},	// DOM::HTMLTableRowElement::setVAlign#
    {92, 1851, 1452},	// DOM::HTMLTableRowElement::vAlign
    {92, 1991, 1456},	// DOM::HTMLTableRowElement::~HTMLTableRowElement
    {93, 282, 1457},	// DOM::HTMLTableSectionElement::HTMLTableSectionElement
    {93, 283, -344},	// DOM::HTMLTableSectionElement::HTMLTableSectionElement#
    {93, 527, 1462},	// DOM::HTMLTableSectionElement::align
    {93, 584, 1464},	// DOM::HTMLTableSectionElement::ch
    {93, 585, 1466},	// DOM::HTMLTableSectionElement::chOff
    {93, 726, 1472},	// DOM::HTMLTableSectionElement::deleteRow$
    {93, 968, 1471},	// DOM::HTMLTableSectionElement::insertRow$
    {93, 1149, -347},	// DOM::HTMLTableSectionElement::operator=#
    {93, 1283, 1470},	// DOM::HTMLTableSectionElement::rows
    {93, 1336, 1463},	// DOM::HTMLTableSectionElement::setAlign#
    {93, 1386, 1465},	// DOM::HTMLTableSectionElement::setCh#
    {93, 1388, 1467},	// DOM::HTMLTableSectionElement::setChOff#
    {93, 1700, 1469},	// DOM::HTMLTableSectionElement::setVAlign#
    {93, 1851, 1468},	// DOM::HTMLTableSectionElement::vAlign
    {93, 1992, 1473},	// DOM::HTMLTableSectionElement::~HTMLTableSectionElement
    {94, 284, 1474},	// DOM::HTMLTextAreaElement::HTMLTextAreaElement
    {94, 285, -518},	// DOM::HTMLTextAreaElement::HTMLTextAreaElement#
    {94, 504, 1482},	// DOM::HTMLTextAreaElement::accessKey
    {94, 566, 1499},	// DOM::HTMLTextAreaElement::blur
    {94, 626, 1484},	// DOM::HTMLTextAreaElement::cols
    {94, 713, 1479},	// DOM::HTMLTextAreaElement::defaultValue
    {94, 737, 1486},	// DOM::HTMLTextAreaElement::disabled
    {94, 819, 1500},	// DOM::HTMLTextAreaElement::focus
    {94, 830, 1481},	// DOM::HTMLTextAreaElement::form
    {94, 1103, 1488},	// DOM::HTMLTextAreaElement::name
    {94, 1149, -521},	// DOM::HTMLTextAreaElement::operator=#
    {94, 1228, 1490},	// DOM::HTMLTextAreaElement::readOnly
    {94, 1283, 1492},	// DOM::HTMLTextAreaElement::rows
    {94, 1302, 1501},	// DOM::HTMLTextAreaElement::select
    {94, 1316, 1504},	// DOM::HTMLTextAreaElement::selectionEnd
    {94, 1317, 1502},	// DOM::HTMLTextAreaElement::selectionStart
    {94, 1330, 1483},	// DOM::HTMLTextAreaElement::setAccessKey#
    {94, 1412, 1485},	// DOM::HTMLTextAreaElement::setCols$
    {94, 1448, 1480},	// DOM::HTMLTextAreaElement::setDefaultValue#
    {94, 1456, 1487},	// DOM::HTMLTextAreaElement::setDisabled$
    {94, 1566, 1489},	// DOM::HTMLTextAreaElement::setName#
    {94, 1600, 1491},	// DOM::HTMLTextAreaElement::setReadOnly$
    {94, 1611, 1493},	// DOM::HTMLTextAreaElement::setRows$
    {94, 1632, 1505},	// DOM::HTMLTextAreaElement::setSelectionEnd$
    {94, 1634, 1506},	// DOM::HTMLTextAreaElement::setSelectionRange$$
    {94, 1636, 1503},	// DOM::HTMLTextAreaElement::setSelectionStart$
    {94, 1679, 1495},	// DOM::HTMLTextAreaElement::setTabIndex$
    {94, 1704, 1498},	// DOM::HTMLTextAreaElement::setValue#
    {94, 1800, 1494},	// DOM::HTMLTextAreaElement::tabIndex
    {94, 1809, 1507},	// DOM::HTMLTextAreaElement::textLength
    {94, 1833, 1496},	// DOM::HTMLTextAreaElement::type
    {94, 1854, 1497},	// DOM::HTMLTextAreaElement::value
    {94, 1993, 1508},	// DOM::HTMLTextAreaElement::~HTMLTextAreaElement
    {95, 286, 1509},	// DOM::HTMLTitleElement::HTMLTitleElement
    {95, 287, -455},	// DOM::HTMLTitleElement::HTMLTitleElement#
    {95, 1149, -458},	// DOM::HTMLTitleElement::operator=#
    {95, 1683, 1515},	// DOM::HTMLTitleElement::setText#
    {95, 1806, 1514},	// DOM::HTMLTitleElement::text
    {95, 1994, 1516},	// DOM::HTMLTitleElement::~HTMLTitleElement
    {96, 288, 1517},	// DOM::HTMLUListElement::HTMLUListElement
    {96, 289, -55},	// DOM::HTMLUListElement::HTMLUListElement#
    {96, 628, 1522},	// DOM::HTMLUListElement::compact
    {96, 1149, -58},	// DOM::HTMLUListElement::operator=#
    {96, 1414, 1523},	// DOM::HTMLUListElement::setCompact$
    {96, 1691, 1525},	// DOM::HTMLUListElement::setType#
    {96, 1833, 1524},	// DOM::HTMLUListElement::type
    {96, 1995, 1526},	// DOM::HTMLUListElement::~HTMLUListElement
    {97, 124, 1541},	// DOM::KeyboardEvent::DOM_KEY_LOCATION_LEFT
    {97, 125, 1543},	// DOM::KeyboardEvent::DOM_KEY_LOCATION_NUMPAD
    {97, 126, 1542},	// DOM::KeyboardEvent::DOM_KEY_LOCATION_RIGHT
    {97, 127, 1540},	// DOM::KeyboardEvent::DOM_KEY_LOCATION_STANDARD
    {97, 331, 1527},	// DOM::KeyboardEvent::KeyboardEvent
    {97, 332, -356},	// DOM::KeyboardEvent::KeyboardEvent#
    {97, 531, 1536},	// DOM::KeyboardEvent::altKey
    {97, 699, 1534},	// DOM::KeyboardEvent::ctrlKey
    {97, 874, 1538},	// DOM::KeyboardEvent::getModifierState#
    {97, 943, 1539},	// DOM::KeyboardEvent::initKeyboardEvent#$$##$#
    {97, 1025, 1532},	// DOM::KeyboardEvent::keyIdentifier
    {97, 1026, 1533},	// DOM::KeyboardEvent::keyLocation
    {97, 1086, 1537},	// DOM::KeyboardEvent::metaKey
    {97, 1149, -359},	// DOM::KeyboardEvent::operator=#
    {97, 1734, 1535},	// DOM::KeyboardEvent::shiftKey
    {97, 1999, 1544},	// DOM::KeyboardEvent::~KeyboardEvent
    {98, 352, 1545},	// DOM::LinkStyle::LinkStyle
    {98, 353, 1546},	// DOM::LinkStyle::LinkStyle#
    {98, 1005, 1550},	// DOM::LinkStyle::isNull
    {98, 1149, -473},	// DOM::LinkStyle::operator=#
    {98, 1733, 1549},	// DOM::LinkStyle::sheet
    {98, 2000, 1551},	// DOM::LinkStyle::~LinkStyle
    {99, 358, 1552},	// DOM::MediaList::MediaList
    {99, 359, 1553},	// DOM::MediaList::MediaList#
    {99, 538, 1560},	// DOM::MediaList::appendMedium#
    {99, 724, 1559},	// DOM::MediaList::deleteMedium#
    {99, 1005, 1561},	// DOM::MediaList::isNull
    {99, 1016, 1558},	// DOM::MediaList::item$
    {99, 1063, 1557},	// DOM::MediaList::length
    {99, 1084, 1555},	// DOM::MediaList::mediaText
    {99, 1149, 1554},	// DOM::MediaList::operator=#
    {99, 1558, 1556},	// DOM::MediaList::setMediaText#
    {99, 2001, 1562},	// DOM::MediaList::~MediaList
    {100, 365, 1563},	// DOM::MouseEvent::MouseEvent
    {100, 366, -386},	// DOM::MouseEvent::MouseEvent#
    {100, 531, 1574},	// DOM::MouseEvent::altKey
    {100, 574, 1576},	// DOM::MouseEvent::button
    {100, 602, 1570},	// DOM::MouseEvent::clientX
    {100, 603, 1571},	// DOM::MouseEvent::clientY
    {100, 699, 1572},	// DOM::MouseEvent::ctrlKey
    {100, 945, 1578},	// DOM::MouseEvent::initMouseEvent#$$#$$$$$$$$$$#
    {100, 1086, 1575},	// DOM::MouseEvent::metaKey
    {100, 1149, -389},	// DOM::MouseEvent::operator=#
    {100, 1235, 1577},	// DOM::MouseEvent::relatedTarget
    {100, 1293, 1568},	// DOM::MouseEvent::screenX
    {100, 1294, 1569},	// DOM::MouseEvent::screenY
    {100, 1734, 1573},	// DOM::MouseEvent::shiftKey
    {100, 2003, 1579},	// DOM::MouseEvent::~MouseEvent
    {101, 2, 1592},	// DOM::MutationEvent::ADDITION
    {101, 357, 1591},	// DOM::MutationEvent::MODIFICATION
    {101, 378, 1580},	// DOM::MutationEvent::MutationEvent
    {101, 379, -500},	// DOM::MutationEvent::MutationEvent#
    {101, 423, 1593},	// DOM::MutationEvent::REMOVAL
    {101, 546, 1589},	// DOM::MutationEvent::attrChange
    {101, 547, 1588},	// DOM::MutationEvent::attrName
    {101, 947, 1590},	// DOM::MutationEvent::initMutationEvent#$$####$
    {101, 1107, 1587},	// DOM::MutationEvent::newValue
    {101, 1149, -503},	// DOM::MutationEvent::operator=#
    {101, 1196, 1586},	// DOM::MutationEvent::prevValue
    {101, 1234, 1585},	// DOM::MutationEvent::relatedNode
    {101, 2007, 1594},	// DOM::MutationEvent::~MutationEvent
    {102, 389, 1595},	// DOM::NamedNodeMap::NamedNodeMap
    {102, 390, 1596},	// DOM::NamedNodeMap::NamedNodeMap#
    {102, 876, 1599},	// DOM::NamedNodeMap::getNamedItem#
    {102, 878, 1603},	// DOM::NamedNodeMap::getNamedItemNS##
    {102, 1005, 1606},	// DOM::NamedNodeMap::isNull
    {102, 1016, 1602},	// DOM::NamedNodeMap::item$
    {102, 1063, 1598},	// DOM::NamedNodeMap::length
    {102, 1149, 1597},	// DOM::NamedNodeMap::operator=#
    {102, 1252, 1601},	// DOM::NamedNodeMap::removeNamedItem#
    {102, 1254, 1605},	// DOM::NamedNodeMap::removeNamedItemNS##
    {102, 1568, 1600},	// DOM::NamedNodeMap::setNamedItem#
    {102, 1570, 1604},	// DOM::NamedNodeMap::setNamedItemNS#
    {102, 2008, 1607},	// DOM::NamedNodeMap::~NamedNodeMap
    {103, 3, 1652},	// DOM::Node::ATTRIBUTE_NODE
    {103, 17, 1654},	// DOM::Node::CDATA_SECTION_NODE
    {103, 19, 1658},	// DOM::Node::COMMENT_NODE
    {103, 104, 1661},	// DOM::Node::DOCUMENT_FRAGMENT_NODE
    {103, 105, 1659},	// DOM::Node::DOCUMENT_NODE
    {103, 106, 1668},	// DOM::Node::DOCUMENT_POSITION_CONTAINED_BY
    {103, 107, 1667},	// DOM::Node::DOCUMENT_POSITION_CONTAINS
    {103, 108, 1664},	// DOM::Node::DOCUMENT_POSITION_DISCONNECTED
    {103, 109, 1666},	// DOM::Node::DOCUMENT_POSITION_FOLLOWING
    {103, 110, 1669},	// DOM::Node::DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC
    {103, 111, 1665},	// DOM::Node::DOCUMENT_POSITION_PRECEDING
    {103, 112, 1660},	// DOM::Node::DOCUMENT_TYPE_NODE
    {103, 146, 1651},	// DOM::Node::ELEMENT_NODE
    {103, 150, 1656},	// DOM::Node::ENTITY_NODE
    {103, 151, 1655},	// DOM::Node::ENTITY_REFERENCE_NODE
    {103, 383, 1662},	// DOM::Node::NOTATION_NODE
    {103, 393, 1608},	// DOM::Node::Node
    {103, 394, 1609},	// DOM::Node::Node#
    {103, 406, 1657},	// DOM::Node::PROCESSING_INSTRUCTION_NODE
    {103, 467, 1653},	// DOM::Node::TEXT_NODE
    {103, 487, 1663},	// DOM::Node::XPATH_NAMESPACE_NODE
    {103, 522, 1638},	// DOM::Node::addEventListener##$
    {103, 534, 1628},	// DOM::Node::appendChild#
    {103, 540, 1648},	// DOM::Node::applyChanges
    {103, 548, 1623},	// DOM::Node::attributes
    {103, 594, 1618},	// DOM::Node::childNodes
    {103, 610, 1630},	// DOM::Node::cloneNode$
    {103, 632, 1643},	// DOM::Node::compareDocumentPosition#
    {103, 740, 1640},	// DOM::Node::dispatchEvent#
    {103, 764, 1644},	// DOM::Node::elementId
    {103, 815, 1619},	// DOM::Node::firstChild
    {103, 857, 1649},	// DOM::Node::getCursor$$$$
    {103, 888, 1650},	// DOM::Node::getRect
    {103, 904, 1637},	// DOM::Node::hasAttributes
    {103, 905, 1629},	// DOM::Node::hasChildNodes
    {103, 936, 1646},	// DOM::Node::index
    {103, 960, 1625},	// DOM::Node::insertBefore##
    {103, 1005, 1645},	// DOM::Node::isNull
    {103, 1014, 1632},	// DOM::Node::isSupported##
    {103, 1054, 1620},	// DOM::Node::lastChild
    {103, 1072, 1636},	// DOM::Node::localName
    {103, 1106, 1633},	// DOM::Node::namespaceURI
    {103, 1114, 1622},	// DOM::Node::nextSibling
    {103, 1121, 1613},	// DOM::Node::nodeName
    {103, 1122, 1616},	// DOM::Node::nodeType
    {103, 1124, 1614},	// DOM::Node::nodeValue
    {103, 1126, 1631},	// DOM::Node::normalize
    {103, 1141, 1612},	// DOM::Node::operator!=#
    {103, 1149, 1610},	// DOM::Node::operator=#
    {103, 1151, 1611},	// DOM::Node::operator==#
    {103, 1157, 1624},	// DOM::Node::ownerDocument
    {103, 1173, 1617},	// DOM::Node::parentNode
    {103, 1190, 1634},	// DOM::Node::prefix
    {103, 1200, 1621},	// DOM::Node::previousSibling
    {103, 1248, 1627},	// DOM::Node::removeChild#
    {103, 1250, 1639},	// DOM::Node::removeEventListener##$
    {103, 1264, 1626},	// DOM::Node::replaceChild##
    {103, 1580, 1615},	// DOM::Node::setNodeValue#
    {103, 1592, 1635},	// DOM::Node::setPrefix#
    {103, 1685, 1642},	// DOM::Node::setTextContent#
    {103, 1808, 1641},	// DOM::Node::textContent
    {103, 1816, 1647},	// DOM::Node::toHTML
    {103, 2009, 1670},	// DOM::Node::~Node
    {104, 166, 1679},	// DOM::NodeFilter::FILTER_ACCEPT
    {104, 167, 1680},	// DOM::NodeFilter::FILTER_REJECT
    {104, 168, 1681},	// DOM::NodeFilter::FILTER_SKIP
    {104, 395, 1671},	// DOM::NodeFilter::NodeFilter
    {104, 396, 1672},	// DOM::NodeFilter::NodeFilter#
    {104, 437, 1682},	// DOM::NodeFilter::SHOW_ALL
    {104, 438, 1684},	// DOM::NodeFilter::SHOW_ATTRIBUTE
    {104, 439, 1686},	// DOM::NodeFilter::SHOW_CDATA_SECTION
    {104, 440, 1690},	// DOM::NodeFilter::SHOW_COMMENT
    {104, 441, 1691},	// DOM::NodeFilter::SHOW_DOCUMENT
    {104, 442, 1693},	// DOM::NodeFilter::SHOW_DOCUMENT_FRAGMENT
    {104, 443, 1692},	// DOM::NodeFilter::SHOW_DOCUMENT_TYPE
    {104, 444, 1683},	// DOM::NodeFilter::SHOW_ELEMENT
    {104, 445, 1688},	// DOM::NodeFilter::SHOW_ENTITY
    {104, 446, 1687},	// DOM::NodeFilter::SHOW_ENTITY_REFERENCE
    {104, 447, 1694},	// DOM::NodeFilter::SHOW_NOTATION
    {104, 448, 1689},	// DOM::NodeFilter::SHOW_PROCESSING_INSTRUCTION
    {104, 449, 1685},	// DOM::NodeFilter::SHOW_TEXT
    {104, 503, 1674},	// DOM::NodeFilter::acceptNode#
    {104, 667, 1678},	// DOM::NodeFilter::createCustom#
    {104, 706, 1677},	// DOM::NodeFilter::customNodeFilter
    {104, 1005, 1675},	// DOM::NodeFilter::isNull
    {104, 1149, 1673},	// DOM::NodeFilter::operator=#
    {104, 1431, 1676},	// DOM::NodeFilter::setCustomNodeFilter#
    {104, 2010, 1695},	// DOM::NodeFilter::~NodeFilter
    {105, 397, 1696},	// DOM::NodeIterator::NodeIterator
    {105, 398, 1697},	// DOM::NodeIterator::NodeIterator#
    {105, 733, 1705},	// DOM::NodeIterator::detach
    {105, 789, 1702},	// DOM::NodeIterator::expandEntityReferences
    {105, 794, 1701},	// DOM::NodeIterator::filter
    {105, 1005, 1706},	// DOM::NodeIterator::isNull
    {105, 1113, 1703},	// DOM::NodeIterator::nextNode
    {105, 1149, 1698},	// DOM::NodeIterator::operator=#
    {105, 1199, 1704},	// DOM::NodeIterator::previousNode
    {105, 1280, 1699},	// DOM::NodeIterator::root
    {105, 1868, 1700},	// DOM::NodeIterator::whatToShow
    {105, 2011, 1707},	// DOM::NodeIterator::~NodeIterator
    {106, 399, 1708},	// DOM::NodeList::NodeList
    {106, 400, 1709},	// DOM::NodeList::NodeList#
    {106, 1005, 1713},	// DOM::NodeList::isNull
    {106, 1016, 1712},	// DOM::NodeList::item$
    {106, 1063, 1711},	// DOM::NodeList::length
    {106, 1149, 1710},	// DOM::NodeList::operator=#
    {106, 2012, 1714},	// DOM::NodeList::~NodeList
    {107, 402, 1715},	// DOM::Notation::Notation
    {107, 403, -19},	// DOM::Notation::Notation#
    {107, 1149, -22},	// DOM::Notation::operator=#
    {107, 1206, 1720},	// DOM::Notation::publicId
    {107, 1796, 1721},	// DOM::Notation::systemId
    {107, 2013, 1722},	// DOM::Notation::~Notation
    {108, 409, 1723},	// DOM::ProcessingInstruction::ProcessingInstruction
    {108, 410, -61},	// DOM::ProcessingInstruction::ProcessingInstruction#
    {108, 708, 1729},	// DOM::ProcessingInstruction::data
    {108, 1149, -64},	// DOM::ProcessingInstruction::operator=#
    {108, 1438, 1730},	// DOM::ProcessingInstruction::setData#
    {108, 1733, 1731},	// DOM::ProcessingInstruction::sheet
    {108, 1803, 1728},	// DOM::ProcessingInstruction::target
    {108, 2014, 1732},	// DOM::ProcessingInstruction::~ProcessingInstruction
    {109, 424, 1733},	// DOM::RGBColor::RGBColor
    {109, 425, -308},	// DOM::RGBColor::RGBColor#
    {109, 426, 1735},	// DOM::RGBColor::RGBColor$
    {109, 565, 1740},	// DOM::RGBColor::blue
    {109, 625, 1741},	// DOM::RGBColor::color
    {109, 895, 1739},	// DOM::RGBColor::green
    {109, 1076, 1742},	// DOM::RGBColor::m_color
    {109, 1149, 1737},	// DOM::RGBColor::operator=#
    {109, 1229, 1738},	// DOM::RGBColor::red
    {109, 1545, 1743},	// DOM::RGBColor::setM_color$
    {109, 2015, 1744},	// DOM::RGBColor::~RGBColor
    {110, 148, 1781},	// DOM::Range::END_TO_END
    {110, 149, 1782},	// DOM::Range::END_TO_START
    {110, 428, 1745},	// DOM::Range::Range
    {110, 429, -434},	// DOM::Range::Range#
    {110, 430, 1748},	// DOM::Range::Range#$#$
    {110, 453, 1780},	// DOM::Range::START_TO_END
    {110, 454, 1779},	// DOM::Range::START_TO_START
    {110, 570, 1766},	// DOM::Range::boundaryPointsValid
    {110, 608, 1769},	// DOM::Range::cloneContents
    {110, 611, 1772},	// DOM::Range::cloneRange
    {110, 623, 1762},	// DOM::Range::collapse$
    {110, 624, 1754},	// DOM::Range::collapsed
    {110, 627, 1755},	// DOM::Range::commonAncestorContainer
    {110, 630, 1765},	// DOM::Range::compareBoundaryPoints$#
    {110, 665, 1775},	// DOM::Range::createContextualFragment#
    {110, 719, 1767},	// DOM::Range::deleteContents
    {110, 733, 1776},	// DOM::Range::detach
    {110, 771, 1752},	// DOM::Range::endContainer
    {110, 772, 1753},	// DOM::Range::endOffset
    {110, 790, 1768},	// DOM::Range::extractContents
    {110, 966, 1770},	// DOM::Range::insertNode#
    {110, 986, 1777},	// DOM::Range::isDetached
    {110, 1005, 1778},	// DOM::Range::isNull
    {110, 1149, 1749},	// DOM::Range::operator=#
    {110, 1305, 1763},	// DOM::Range::selectNode#
    {110, 1307, 1764},	// DOM::Range::selectNodeContents#
    {110, 1466, 1757},	// DOM::Range::setEnd#$
    {110, 1468, 1761},	// DOM::Range::setEndAfter#
    {110, 1470, 1760},	// DOM::Range::setEndBefore#
    {110, 1657, 1756},	// DOM::Range::setStart#$
    {110, 1660, 1759},	// DOM::Range::setStartAfter#
    {110, 1662, 1758},	// DOM::Range::setStartBefore#
    {110, 1759, 1750},	// DOM::Range::startContainer
    {110, 1760, 1751},	// DOM::Range::startOffset
    {110, 1795, 1771},	// DOM::Range::surroundContents#
    {110, 1816, 1774},	// DOM::Range::toHTML
    {110, 1819, 1773},	// DOM::Range::toString
    {110, 2016, 1783},	// DOM::Range::~Range
    {111, 9, 1792},	// DOM::RangeException::BAD_BOUNDARYPOINTS_ERR
    {111, 296, 1793},	// DOM::RangeException::INVALID_NODE_TYPE_ERR
    {111, 432, 1785},	// DOM::RangeException::RangeException#
    {111, 433, 1784},	// DOM::RangeException::RangeException$
    {111, 488, 1795},	// DOM::RangeException::_EXCEPTION_MAX
    {111, 489, 1794},	// DOM::RangeException::_EXCEPTION_OFFSET
    {111, 616, 1790},	// DOM::RangeException::code
    {111, 617, 1787},	// DOM::RangeException::codeAsString
    {111, 618, 1788},	// DOM::RangeException::codeAsString$
    {111, 1012, 1789},	// DOM::RangeException::isRangeExceptionCode$
    {111, 1149, 1786},	// DOM::RangeException::operator=#
    {111, 1401, 1791},	// DOM::RangeException::setCode$
    {111, 2017, 1796},	// DOM::RangeException::~RangeException
    {112, 434, 1797},	// DOM::Rect::Rect
    {112, 435, 1798},	// DOM::Rect::Rect#
    {112, 569, 1802},	// DOM::Rect::bottom
    {112, 1005, 1804},	// DOM::Rect::isNull
    {112, 1062, 1803},	// DOM::Rect::left
    {112, 1149, 1799},	// DOM::Rect::operator=#
    {112, 1279, 1801},	// DOM::Rect::right
    {112, 1820, 1800},	// DOM::Rect::top
    {112, 2018, 1805},	// DOM::Rect::~Rect
    {113, 461, 1806},	// DOM::StyleSheet::StyleSheet
    {113, 462, 1807},	// DOM::StyleSheet::StyleSheet#
    {113, 559, 1817},	// DOM::StyleSheet::baseUrl
    {113, 737, 1810},	// DOM::StyleSheet::disabled
    {113, 919, 1814},	// DOM::StyleSheet::href
    {113, 980, 1818},	// DOM::StyleSheet::isCSSStyleSheet
    {113, 1005, 1819},	// DOM::StyleSheet::isNull
    {113, 1083, 1816},	// DOM::StyleSheet::media
    {113, 1149, 1808},	// DOM::StyleSheet::operator=#
    {113, 1159, 1812},	// DOM::StyleSheet::ownerNode
    {113, 1176, 1813},	// DOM::StyleSheet::parentStyleSheet
    {113, 1456, 1811},	// DOM::StyleSheet::setDisabled$
    {113, 1813, 1815},	// DOM::StyleSheet::title
    {113, 1833, 1809},	// DOM::StyleSheet::type
    {113, 2019, 1820},	// DOM::StyleSheet::~StyleSheet
    {114, 463, 1821},	// DOM::StyleSheetList::StyleSheetList
    {114, 464, 1822},	// DOM::StyleSheetList::StyleSheetList#
    {114, 1005, 1826},	// DOM::StyleSheetList::isNull
    {114, 1016, 1825},	// DOM::StyleSheetList::item$
    {114, 1063, 1824},	// DOM::StyleSheetList::length
    {114, 1149, 1823},	// DOM::StyleSheetList::operator=#
    {114, 2020, 1827},	// DOM::StyleSheetList::~StyleSheetList
    {115, 470, 1828},	// DOM::Text::Text
    {115, 471, -332},	// DOM::Text::Text#
    {115, 1149, -335},	// DOM::Text::operator=#
    {115, 1755, 1833},	// DOM::Text::splitText$
    {115, 2021, 1834},	// DOM::Text::~Text
    {116, 472, 1835},	// DOM::TextEvent::TextEvent
    {116, 473, -296},	// DOM::TextEvent::TextEvent#
    {116, 949, 1840},	// DOM::TextEvent::initTextEvent#$$##
    {116, 1149, -299},	// DOM::TextEvent::operator=#
    {116, 2022, 1841},	// DOM::TextEvent::~TextEvent
    {117, 474, 1842},	// DOM::TreeWalker::TreeWalker
    {117, 475, 1843},	// DOM::TreeWalker::TreeWalker#
    {117, 701, 1849},	// DOM::TreeWalker::currentNode
    {117, 789, 1848},	// DOM::TreeWalker::expandEntityReferences
    {117, 794, 1847},	// DOM::TreeWalker::filter
    {117, 815, 1852},	// DOM::TreeWalker::firstChild
    {117, 1005, 1858},	// DOM::TreeWalker::isNull
    {117, 1054, 1853},	// DOM::TreeWalker::lastChild
    {117, 1113, 1857},	// DOM::TreeWalker::nextNode
    {117, 1114, 1855},	// DOM::TreeWalker::nextSibling
    {117, 1149, 1844},	// DOM::TreeWalker::operator=#
    {117, 1173, 1851},	// DOM::TreeWalker::parentNode
    {117, 1199, 1856},	// DOM::TreeWalker::previousNode
    {117, 1200, 1854},	// DOM::TreeWalker::previousSibling
    {117, 1280, 1845},	// DOM::TreeWalker::root
    {117, 1429, 1850},	// DOM::TreeWalker::setCurrentNode#
    {117, 1868, 1846},	// DOM::TreeWalker::whatToShow
    {117, 2023, 1859},	// DOM::TreeWalker::~TreeWalker
    {118, 476, 1860},	// DOM::UIEvent::UIEvent
    {118, 477, -311},	// DOM::UIEvent::UIEvent#
    {118, 588, 1868},	// DOM::UIEvent::charCode
    {118, 734, 1866},	// DOM::UIEvent::detail
    {118, 951, 1874},	// DOM::UIEvent::initUIEvent#$$#$
    {118, 1024, 1867},	// DOM::UIEvent::keyCode
    {118, 1057, 1871},	// DOM::UIEvent::layerX
    {118, 1058, 1872},	// DOM::UIEvent::layerY
    {118, 1149, -314},	// DOM::UIEvent::operator=#
    {118, 1162, 1869},	// DOM::UIEvent::pageX
    {118, 1163, 1870},	// DOM::UIEvent::pageY
    {118, 1857, 1865},	// DOM::UIEvent::view
    {118, 1871, 1873},	// DOM::UIEvent::which
    {118, 2024, 1875},	// DOM::UIEvent::~UIEvent
    {125, 11, 2069},	// KHTMLPart::Before
    {125, 13, 2059},	// KHTMLPart::BrowserViewGUI
    {125, 89, 2065},	// KHTMLPart::CaretBlink
    {125, 90, 2064},	// KHTMLPart::CaretInvisible
    {125, 91, 2063},	// KHTMLPart::CaretVisible
    {125, 101, 2060},	// KHTMLPart::DNSPrefetchDisabled
    {125, 102, 2061},	// KHTMLPart::DNSPrefetchEnabled
    {125, 103, 2062},	// KHTMLPart::DNSPrefetchOnlyWWWAndSLD
    {125, 128, 2058},	// KHTMLPart::DefaultGUI
    {125, 154, 2073},	// KHTMLPart::Encrypted
    {125, 170, 2066},	// KHTMLPart::FindLinksOnly
    {125, 171, 2067},	// KHTMLPart::FindNoPopups
    {125, 305, 2033},	// KHTMLPart::KHTMLPart
    {125, 306, -437},	// KHTMLPart::KHTMLPart#
    {125, 307, -440},	// KHTMLPart::KHTMLPart##
    {125, 308, -443},	// KHTMLPart::KHTMLPart##$
    {125, 360, 2074},	// KHTMLPart::Mixed
    {125, 392, 2068},	// KHTMLPart::NoNotification
    {125, 401, 2072},	// KHTMLPart::NotCrypted
    {125, 404, 2070},	// KHTMLPart::Only
    {125, 482, 2071},	// KHTMLPart::Unused
    {125, 509, 1891},	// KHTMLPart::activeNode
    {125, 551, 1910},	// KHTMLPart::autoloadImages
    {125, 555, 1923},	// KHTMLPart::backgroundURL
    {125, 558, 1922},	// KHTMLPart::baseURL
    {125, 560, 2040},	// KHTMLPart::begin
    {125, 561, 2041},	// KHTMLPart::begin#
    {125, 562, 2042},	// KHTMLPart::begin#$
    {125, 563, 1925},	// KHTMLPart::begin#$$
    {125, 571, 1892},	// KHTMLPart::browserExtension
    {125, 572, 1893},	// KHTMLPart::browserHostExtension
    {125, 577, 1920},	// KHTMLPart::caretDisplayPolicyNonFocused
    {125, 579, 1997},	// KHTMLPart::caretPositionChanged#$
    {125, 615, 1886},	// KHTMLPart::closeUrl
    {125, 635, 2000},	// KHTMLPart::completeURL$
    {125, 637, 1999},	// KHTMLPart::configurationChanged
    {125, 686, 2011},	// KHTMLPart::createPart##$$??
    {125, 700, 1970},	// KHTMLPart::currentFrame
    {125, 705, 2002},	// KHTMLPart::customEvent#
    {125, 742, 1904},	// KHTMLPart::dndEnabled
    {125, 743, 1914},	// KHTMLPart::dnsPrefetch
    {125, 745, 2017},	// KHTMLPart::doCloseStream
    {125, 747, 2015},	// KHTMLPart::doOpenStream$
    {125, 749, 2016},	// KHTMLPart::doWriteStream#
    {125, 750, 1996},	// KHTMLPart::docCreated
    {125, 752, 1889},	// KHTMLPart::document
    {125, 754, 1890},	// KHTMLPart::documentSource
    {125, 763, 1955},	// KHTMLPart::editor
    {125, 768, 1931},	// KHTMLPart::encoding
    {125, 770, 1928},	// KHTMLPart::end
    {125, 787, 1902},	// KHTMLPart::executeScript#$
    {125, 788, 2023},	// KHTMLPart::executeScript$
    {125, 801, 1968},	// KHTMLPart::findFrame$
    {125, 803, 2050},	// KHTMLPart::findFrameParent#$
    {125, 804, 1969},	// KHTMLPart::findFrameParent#$?
    {125, 806, 1973},	// KHTMLPart::findFramePart$
    {125, 807, 1941},	// KHTMLPart::findText
    {125, 808, 2047},	// KHTMLPart::findText$$
    {125, 809, 2048},	// KHTMLPart::findText$$#
    {125, 810, 1942},	// KHTMLPart::findText$$##
    {125, 811, 1943},	// KHTMLPart::findTextBegin
    {125, 812, 2049},	// KHTMLPart::findTextNext
    {125, 813, 1944},	// KHTMLPart::findTextNext$
    {125, 828, 1948},	// KHTMLPart::fontScaleFactor
    {125, 829, 1916},	// KHTMLPart::forcePermitLocalImages
    {125, 831, 1987},	// KHTMLPart::formNotification
    {125, 833, 1998},	// KHTMLPart::formSubmitNotification$$#$$$
    {125, 838, 1971},	// KHTMLPart::frameExists$
    {125, 839, 1966},	// KHTMLPart::frameNames
    {125, 842, 1972},	// KHTMLPart::framejScript#
    {125, 843, 1967},	// KHTMLPart::frames
    {125, 894, 1936},	// KHTMLPart::gotoAnchor$
    {125, 897, 2008},	// KHTMLPart::guiActivateEvent#
    {125, 909, 1954},	// KHTMLPart::hasSelection
    {125, 913, 1958},	// KHTMLPart::hide
    {125, 922, 1888},	// KHTMLPart::htmlDocument
    {125, 924, 2001},	// KHTMLPart::htmlError$$#
    {125, 930, 2030},	// KHTMLPart::impl
    {125, 934, 1991},	// KHTMLPart::inProgress
    {125, 982, 1917},	// KHTMLPart::isCaretMode
    {125, 987, 1918},	// KHTMLPart::isEditable
    {125, 1004, 1989},	// KHTMLPart::isModified
    {125, 1010, 1983},	// KHTMLPart::isPointInsideSelection$$
    {125, 1017, 1896},	// KHTMLPart::jScriptEnabled
    {125, 1018, 1897},	// KHTMLPart::jScriptInterpreter
    {125, 1019, 1906},	// KHTMLPart::javaEnabled
    {125, 1020, 1977},	// KHTMLPart::jsDefaultStatusBarText
    {125, 1023, 1976},	// KHTMLPart::jsStatusBarText
    {125, 1032, 2007},	// KHTMLPart::khtmlDrawContentsEvent#
    {125, 1038, 2004},	// KHTMLPart::khtmlMouseDoubleClickEvent#
    {125, 1040, 2005},	// KHTMLPart::khtmlMouseMoveEvent#
    {125, 1042, 2003},	// KHTMLPart::khtmlMousePressEvent#
    {125, 1044, 2006},	// KHTMLPart::khtmlMouseReleaseEvent#
    {125, 1056, 1980},	// KHTMLPart::lastModified
    {125, 1082, 2019},	// KHTMLPart::mayPrefetchHostname$
    {125, 1087, 1876},	// KHTMLPart::metaObject
    {125, 1088, 1901},	// KHTMLPart::metaRefreshEnabled
    {125, 1108, 1937},	// KHTMLPart::nextAnchor
    {125, 1120, 1995},	// KHTMLPart::nodeActivated#
    {125, 1123, 1962},	// KHTMLPart::nodeUnderMouse
    {125, 1125, 1963},	// KHTMLPart::nonSharedNodeUnderMouse
    {125, 1134, 1992},	// KHTMLPart::onURL$
    {125, 1135, 1915},	// KHTMLPart::onlyLocalReferences
    {125, 1137, 2009},	// KHTMLPart::openFile
    {125, 1139, 1885},	// KHTMLPart::openUrl#
    {125, 1161, 1979},	// KHTMLPart::pageReferrer
    {125, 1165, 2044},	// KHTMLPart::paint##
    {125, 1166, 2045},	// KHTMLPart::paint##$
    {125, 1167, 1929},	// KHTMLPart::paint##$$
    {125, 1174, 1965},	// KHTMLPart::parentPart
    {125, 1180, 1959},	// KHTMLPart::partManager
    {125, 1185, 2012},	// KHTMLPart::pluginPageQuestionAsked$
    {125, 1186, 1908},	// KHTMLPart::pluginsEnabled
    {125, 1188, 1993},	// KHTMLPart::popupMenu$#
    {125, 1192, 1982},	// KHTMLPart::preloadScript$$
    {125, 1194, 1981},	// KHTMLPart::preloadStyleSheet$$
    {125, 1195, 1938},	// KHTMLPart::prevAnchor
    {125, 1209, 1882},	// KHTMLPart::qt_metacall$$?
    {125, 1211, 1877},	// KHTMLPart::qt_metacast$
    {125, 1232, 1978},	// KHTMLPart::referrer
    {125, 1273, 1961},	// KHTMLPart::restoreState#
    {125, 1274, 1984},	// KHTMLPart::restored
    {125, 1287, 1960},	// KHTMLPart::saveState#
    {125, 1289, 2039},	// KHTMLPart::scheduleRedirection$$
    {125, 1290, 1924},	// KHTMLPart::scheduleRedirection$$$
    {125, 1303, 1956},	// KHTMLPart::selectAll
    {125, 1311, 1949},	// KHTMLPart::selectedText
    {125, 1312, 1950},	// KHTMLPart::selectedTextAsHTML
    {125, 1313, 1951},	// KHTMLPart::selection
    {125, 1314, 1952},	// KHTMLPart::selection#$#$
    {125, 1315, 1994},	// KHTMLPart::selectionChanged
    {125, 1334, 2021},	// KHTMLPart::setActiveNode#
    {125, 1339, 2051},	// KHTMLPart::setAlwaysHonourDoctype
    {125, 1340, 1985},	// KHTMLPart::setAlwaysHonourDoctype$
    {125, 1354, 1909},	// KHTMLPart::setAutoloadImages$
    {125, 1369, 1921},	// KHTMLPart::setCaretDisplayPolicyNonFocused$
    {125, 1371, 2024},	// KHTMLPart::setCaretMode$
    {125, 1373, 2038},	// KHTMLPart::setCaretPosition#$
    {125, 1374, 1919},	// KHTMLPart::setCaretPosition#$$
    {125, 1376, 2026},	// KHTMLPart::setCaretVisible$
    {125, 1433, 1903},	// KHTMLPart::setDNDEnabled$
    {125, 1435, 1913},	// KHTMLPart::setDNSPrefetch$
    {125, 1458, 2025},	// KHTMLPart::setEditable$
    {125, 1461, 2046},	// KHTMLPart::setEncoding$
    {125, 1462, 1930},	// KHTMLPart::setEncoding$$
    {125, 1476, 1935},	// KHTMLPart::setFixedFont$
    {125, 1482, 1947},	// KHTMLPart::setFontScaleFactor$
    {125, 1484, 1912},	// KHTMLPart::setForcePermitLocalImages$
    {125, 1486, 1986},	// KHTMLPart::setFormNotification$
    {125, 1522, 1975},	// KHTMLPart::setJSDefaultStatusBarText$
    {125, 1528, 1974},	// KHTMLPart::setJSStatusBarText$
    {125, 1530, 1895},	// KHTMLPart::setJScriptEnabled$
    {125, 1532, 1905},	// KHTMLPart::setJavaEnabled$
    {125, 1560, 1900},	// KHTMLPart::setMetaRefreshEnabled$
    {125, 1584, 1911},	// KHTMLPart::setOnlyLocalReferences$
    {125, 1586, 2014},	// KHTMLPart::setPageSecurity$
    {125, 1588, 2013},	// KHTMLPart::setPluginPageQuestionAsked$
    {125, 1590, 1907},	// KHTMLPart::setPluginsEnabled$
    {125, 1630, 1953},	// KHTMLPart::setSelection#
    {125, 1653, 1934},	// KHTMLPart::setStandardFont$
    {125, 1664, 1898},	// KHTMLPart::setStatusMessagesEnabled$
    {125, 1672, 2052},	// KHTMLPart::setSuppressedPopupIndicator$
    {125, 1673, 1990},	// KHTMLPart::setSuppressedPopupIndicator$#
    {125, 1693, 1939},	// KHTMLPart::setURLCursor#
    {125, 1697, 1932},	// KHTMLPart::setUserStyleSheet#
    {125, 1698, 1933},	// KHTMLPart::setUserStyleSheet$
    {125, 1725, 1945},	// KHTMLPart::setZoomFactor$
    {125, 1730, 1964},	// KHTMLPart::settings
    {125, 1735, 1957},	// KHTMLPart::show
    {125, 1738, 1887},	// KHTMLPart::showError#
    {125, 1744, 2028},	// KHTMLPart::slotFinished#
    {125, 1762, 2029},	// KHTMLPart::startingJob#
    {125, 1766, 2057},	// KHTMLPart::staticMetaObject
    {125, 1767, 1899},	// KHTMLPart::statusMessagesEnabled
    {125, 1769, 2022},	// KHTMLPart::stopAnimations
    {125, 1785, 2055},	// KHTMLPart::submitFormProxy$$#$
    {125, 1786, 2056},	// KHTMLPart::submitFormProxy$$#$$
    {125, 1787, 2027},	// KHTMLPart::submitFormProxy$$#$$$
    {125, 1812, 2018},	// KHTMLPart::timerEvent#
    {125, 1821, 1988},	// KHTMLPart::toplevelURL
    {125, 1823, 2031},	// KHTMLPart::tr$
    {125, 1824, 1878},	// KHTMLPart::tr$$
    {125, 1825, 1880},	// KHTMLPart::tr$$$
    {125, 1827, 2032},	// KHTMLPart::trUtf8$
    {125, 1828, 1879},	// KHTMLPart::trUtf8$$
    {125, 1829, 1881},	// KHTMLPart::trUtf8$$$
    {125, 1841, 2020},	// KHTMLPart::updateZoomFactor
    {125, 1844, 1940},	// KHTMLPart::urlCursor
    {125, 1846, 2053},	// KHTMLPart::urlSelected$$$$
    {125, 1847, 2054},	// KHTMLPart::urlSelected$$$$#
    {125, 1848, 2010},	// KHTMLPart::urlSelected$$$$##
    {125, 1857, 1894},	// KHTMLPart::view
    {125, 1889, -446},	// KHTMLPart::write$
    {125, 1890, 1926},	// KHTMLPart::write$$
    {125, 1897, 1946},	// KHTMLPart::zoomFactor
    {125, 1996, 2075},	// KHTMLPart::~KHTMLPart
    {127, 299, 2154},	// KHTMLSettings::KAnimationDisabled
    {127, 300, 2156},	// KHTMLSettings::KAnimationEnabled
    {127, 301, 2155},	// KHTMLSettings::KAnimationLoopOnce
    {127, 302, 2160},	// KHTMLSettings::KDNSPrefetchDisabled
    {127, 303, 2162},	// KHTMLSettings::KDNSPrefetchEnabled
    {127, 304, 2161},	// KHTMLSettings::KDNSPrefetchOnlyWWWAndSLD
    {127, 309, 2076},	// KHTMLSettings::KHTMLSettings
    {127, 310, 2077},	// KHTMLSettings::KHTMLSettings#
    {127, 313, 2173},	// KHTMLSettings::KJSWindowFocusAllow
    {127, 314, 2174},	// KHTMLSettings::KJSWindowFocusIgnore
    {127, 315, 2169},	// KHTMLSettings::KJSWindowMoveAllow
    {127, 316, 2170},	// KHTMLSettings::KJSWindowMoveIgnore
    {127, 317, 2163},	// KHTMLSettings::KJSWindowOpenAllow
    {127, 318, 2164},	// KHTMLSettings::KJSWindowOpenAsk
    {127, 319, 2165},	// KHTMLSettings::KJSWindowOpenDeny
    {127, 320, 2166},	// KHTMLSettings::KJSWindowOpenSmart
    {127, 321, 2171},	// KHTMLSettings::KJSWindowResizeAllow
    {127, 322, 2172},	// KHTMLSettings::KJSWindowResizeIgnore
    {127, 323, 2167},	// KHTMLSettings::KJSWindowStatusAllow
    {127, 324, 2168},	// KHTMLSettings::KJSWindowStatusIgnore
    {127, 325, 2152},	// KHTMLSettings::KJavaScriptAccept
    {127, 326, 2151},	// KHTMLSettings::KJavaScriptDunno
    {127, 327, 2153},	// KHTMLSettings::KJavaScriptReject
    {127, 328, 2157},	// KHTMLSettings::KSmoothScrollingDisabled
    {127, 329, 2159},	// KHTMLSettings::KSmoothScrollingEnabled
    {127, 330, 2158},	// KHTMLSettings::KSmoothScrollingWhenEfficient
    {127, 505, 2120},	// KHTMLSettings::accessKeysEnabled
    {127, 511, 2145},	// KHTMLSettings::adFilteredBy$
    {127, 512, 2116},	// KHTMLSettings::adFilteredBy$$
    {127, 516, 2119},	// KHTMLSettings::addAdFilter$
    {127, 526, 2128},	// KHTMLSettings::adviceToStr$
    {127, 529, 2083},	// KHTMLSettings::allowTabulation
    {127, 549, 2106},	// KHTMLSettings::autoLoadImages
    {127, 550, 2084},	// KHTMLSettings::autoSpellCheck
    {127, 552, 2131},	// KHTMLSettings::availableFamilies
    {127, 557, 2103},	// KHTMLSettings::baseColor
    {127, 586, 2080},	// KHTMLSettings::changeCursor
    {127, 703, 2092},	// KHTMLSettings::cursiveFontName
    {127, 743, 2087},	// KHTMLSettings::dnsPrefetch
    {127, 768, 2100},	// KHTMLSettings::encoding
    {127, 792, 2136},	// KHTMLSettings::fallbackAccessKeysAssignments
    {127, 793, 2093},	// KHTMLSettings::fantasyFontName
    {127, 818, 2089},	// KHTMLSettings::fixedFontName
    {127, 826, 2101},	// KHTMLSettings::followSystemColors
    {127, 918, 2082},	// KHTMLSettings::hoverLink
    {127, 937, 2078},	// KHTMLSettings::init
    {127, 938, 2139},	// KHTMLSettings::init#
    {127, 939, 2079},	// KHTMLSettings::init#$
    {127, 972, 2117},	// KHTMLSettings::isAdFilterEnabled
    {127, 974, 2115},	// KHTMLSettings::isAdFiltered$
    {127, 975, 2135},	// KHTMLSettings::isAutoDelayedActionsEnabled
    {127, 976, 2109},	// KHTMLSettings::isBackRightClickEnabled
    {127, 991, 2133},	// KHTMLSettings::isFormCompletionEnabled
    {127, 994, 2118},	// KHTMLSettings::isHideAdsEnabled
    {127, 995, 2140},	// KHTMLSettings::isJavaEnabled
    {127, 996, 2110},	// KHTMLSettings::isJavaEnabled$
    {127, 997, 2142},	// KHTMLSettings::isJavaScriptDebugEnabled
    {127, 998, 2112},	// KHTMLSettings::isJavaScriptDebugEnabled$
    {127, 999, 2141},	// KHTMLSettings::isJavaScriptEnabled
    {127, 1000, 2111},	// KHTMLSettings::isJavaScriptEnabled$
    {127, 1001, 2143},	// KHTMLSettings::isJavaScriptErrorReportingEnabled
    {127, 1002, 2113},	// KHTMLSettings::isJavaScriptErrorReportingEnabled$
    {127, 1006, 2108},	// KHTMLSettings::isOpenMiddleClickEnabled
    {127, 1007, 2144},	// KHTMLSettings::isPluginsEnabled
    {127, 1008, 2114},	// KHTMLSettings::isPluginsEnabled$
    {127, 1021, 2098},	// KHTMLSettings::jsErrorsEnabled
    {127, 1022, 2138},	// KHTMLSettings::jsPopupBlockerPassivePopup
    {127, 1065, 2104},	// KHTMLSettings::linkColor
    {127, 1079, 2134},	// KHTMLSettings::maxFormCompletionItems
    {127, 1085, 2097},	// KHTMLSettings::mediumFontSize
    {127, 1091, 2096},	// KHTMLSettings::minFontSize
    {127, 1227, 2129},	// KHTMLSettings::readDomainSettings#$$#
    {127, 1285, 2091},	// KHTMLSettings::sansSerifFontName
    {127, 1320, 2090},	// KHTMLSettings::serifFontName
    {127, 1478, 2095},	// KHTMLSettings::setFixedFontName$
    {127, 1524, 2099},	// KHTMLSettings::setJSErrorsEnabled$
    {127, 1526, 2137},	// KHTMLSettings::setJSPopupBlockerPassivePopup$
    {127, 1666, 2094},	// KHTMLSettings::setStdFontName$
    {127, 1731, 2130},	// KHTMLSettings::settingsToCSS
    {127, 1736, 2085},	// KHTMLSettings::showAnimations
    {127, 1746, 2086},	// KHTMLSettings::smoothScrolling
    {127, 1753, 2127},	// KHTMLSettings::splitDomainAdvice$$$$
    {127, 1768, 2088},	// KHTMLSettings::stdFontName
    {127, 1772, 2126},	// KHTMLSettings::strToAdvice$
    {127, 1807, 2102},	// KHTMLSettings::textColor
    {127, 1834, 2081},	// KHTMLSettings::underlineLink
    {127, 1835, 2107},	// KHTMLSettings::unfinishedImageFrame
    {127, 1850, 2132},	// KHTMLSettings::userStyleSheet
    {127, 1853, 2105},	// KHTMLSettings::vLinkColor
    {127, 1877, 2150},	// KHTMLSettings::windowFocusPolicy
    {127, 1878, 2125},	// KHTMLSettings::windowFocusPolicy$
    {127, 1879, 2147},	// KHTMLSettings::windowMovePolicy
    {127, 1880, 2122},	// KHTMLSettings::windowMovePolicy$
    {127, 1881, 2146},	// KHTMLSettings::windowOpenPolicy
    {127, 1882, 2121},	// KHTMLSettings::windowOpenPolicy$
    {127, 1883, 2148},	// KHTMLSettings::windowResizePolicy
    {127, 1884, 2123},	// KHTMLSettings::windowResizePolicy$
    {127, 1885, 2149},	// KHTMLSettings::windowStatusPolicy
    {127, 1886, 2124},	// KHTMLSettings::windowStatusPolicy$
    {127, 1997, 2175},	// KHTMLSettings::~KHTMLSettings
    {128, 312, 2183},	// KHTMLView::KHTMLView##
    {128, 450, 2254},	// KHTMLView::SSMDisabled
    {128, 451, 2256},	// KHTMLView::SSMEnabled
    {128, 452, 2255},	// KHTMLView::SSMWhenEfficient
    {128, 520, 2208},	// KHTMLView::addChild#$$
    {128, 598, 2223},	// KHTMLView::clear
    {128, 599, 2218},	// KHTMLView::cleared
    {128, 614, 2239},	// KHTMLView::closeEvent#
    {128, 642, 2195},	// KHTMLView::contentsHeight
    {128, 644, 2201},	// KHTMLView::contentsToViewport#
    {128, 645, 2204},	// KHTMLView::contentsToViewport$$$$
    {128, 646, 2194},	// KHTMLView::contentsWidth
    {128, 647, 2196},	// KHTMLView::contentsX
    {128, 648, 2197},	// KHTMLView::contentsY
    {128, 741, 2193},	// KHTMLView::displayAccessKeys
    {128, 744, 2246},	// KHTMLView::doAutoScroll
    {128, 758, 2237},	// KHTMLView::dragEnterEvent#
    {128, 762, 2238},	// KHTMLView::dropEvent#
    {128, 778, 2224},	// KHTMLView::event#
    {128, 780, 2242},	// KHTMLView::eventFilter##
    {128, 799, 2222},	// KHTMLView::findAheadActive$
    {128, 814, 2217},	// KHTMLView::finishedLayout
    {128, 821, 2231},	// KHTMLView::focusInEvent#
    {128, 823, 2229},	// KHTMLView::focusNextPrevChild$
    {128, 825, 2232},	// KHTMLView::focusOutEvent#
    {128, 840, 2185},	// KHTMLView::frameWidth
    {128, 914, 2220},	// KHTMLView::hideAccessKeys
    {128, 916, 2228},	// KHTMLView::hideEvent#
    {128, 1028, 2244},	// KHTMLView::keyPressEvent#
    {128, 1030, 2245},	// KHTMLView::keyReleaseEvent#
    {128, 1060, 2216},	// KHTMLView::layout
    {128, 1077, 2189},	// KHTMLView::marginHeight
    {128, 1078, 2187},	// KHTMLView::marginWidth
    {128, 1087, 2176},	// KHTMLView::metaObject
    {128, 1094, 2233},	// KHTMLView::mouseDoubleClickEvent#
    {128, 1096, 2234},	// KHTMLView::mouseMoveEvent#
    {128, 1098, 2230},	// KHTMLView::mousePressEvent#
    {128, 1100, 2235},	// KHTMLView::mouseReleaseEvent#
    {128, 1170, 2225},	// KHTMLView::paintEvent#
    {128, 1178, 2184},	// KHTMLView::part
    {128, 1202, 2252},	// KHTMLView::print
    {128, 1203, 2192},	// KHTMLView::print$
    {128, 1209, 2182},	// KHTMLView::qt_metacall$$?
    {128, 1211, 2177},	// KHTMLView::qt_metacast$
    {128, 1259, 2221},	// KHTMLView::repaintAccessKeys
    {128, 1261, 2209},	// KHTMLView::repaintContents#
    {128, 1262, 2210},	// KHTMLView::repaintContents$$$$
    {128, 1269, 2215},	// KHTMLView::resizeContents$$
    {128, 1271, 2226},	// KHTMLView::resizeEvent#
    {128, 1297, 2205},	// KHTMLView::scrollBy$$
    {128, 1299, 2243},	// KHTMLView::scrollContentsBy$$
    {128, 1421, 2200},	// KHTMLView::setContentsPos$$
    {128, 1497, 2191},	// KHTMLView::setHorizontalScrollBarPolicy$
    {128, 1549, 2188},	// KHTMLView::setMarginHeight$
    {128, 1552, 2186},	// KHTMLView::setMarginWidth$
    {128, 1645, 2213},	// KHTMLView::setSmoothScrollingMode$
    {128, 1647, 2248},	// KHTMLView::setSmoothScrollingModeDefault$
    {128, 1711, 2190},	// KHTMLView::setVerticalScrollBarPolicy$
    {128, 1727, 2211},	// KHTMLView::setZoomLevel$
    {128, 1740, 2227},	// KHTMLView::showEvent#
    {128, 1745, 2249},	// KHTMLView::slotPaletteChanged
    {128, 1747, 2214},	// KHTMLView::smoothScrollingMode
    {128, 1766, 2253},	// KHTMLView::staticMetaObject
    {128, 1812, 2247},	// KHTMLView::timerEvent#
    {128, 1823, 2250},	// KHTMLView::tr$
    {128, 1824, 2178},	// KHTMLView::tr$$
    {128, 1825, 2180},	// KHTMLView::tr$$$
    {128, 1827, 2251},	// KHTMLView::trUtf8$
    {128, 1828, 2179},	// KHTMLView::trUtf8$$
    {128, 1829, 2181},	// KHTMLView::trUtf8$$$
    {128, 1838, 2206},	// KHTMLView::updateContents#
    {128, 1839, 2207},	// KHTMLView::updateContents$$$$
    {128, 1859, 2241},	// KHTMLView::viewportEvent#
    {128, 1861, 2202},	// KHTMLView::viewportToContents#
    {128, 1862, 2203},	// KHTMLView::viewportToContents$$$$
    {128, 1865, 2199},	// KHTMLView::visibleHeight
    {128, 1866, 2198},	// KHTMLView::visibleWidth
    {128, 1870, 2236},	// KHTMLView::wheelEvent#
    {128, 1874, 2240},	// KHTMLView::widgetEvent#
    {128, 1898, 2212},	// KHTMLView::zoomLevel
    {128, 1900, 2219},	// KHTMLView::zoomView$
    {128, 1998, 2257},	// KHTMLView::~KHTMLView
    {173, 333, 2309},	// QGlobalSpace::LicensedActiveQt
    {173, 334, 2304},	// QGlobalSpace::LicensedCore
    {173, 335, 2310},	// QGlobalSpace::LicensedDBus
    {173, 336, 2308},	// QGlobalSpace::LicensedDeclarative
    {173, 337, 2307},	// QGlobalSpace::LicensedGui
    {173, 338, 2320},	// QGlobalSpace::LicensedHelp
    {173, 339, 2319},	// QGlobalSpace::LicensedMultimedia
    {173, 340, 2302},	// QGlobalSpace::LicensedNetwork
    {173, 341, 2299},	// QGlobalSpace::LicensedOpenGL
    {173, 342, 2301},	// QGlobalSpace::LicensedOpenVG
    {173, 343, 2300},	// QGlobalSpace::LicensedQt3Support
    {173, 344, 2313},	// QGlobalSpace::LicensedQt3SupportLight
    {173, 345, 2318},	// QGlobalSpace::LicensedScript
    {173, 346, 2312},	// QGlobalSpace::LicensedScriptTools
    {173, 347, 2303},	// QGlobalSpace::LicensedSql
    {173, 348, 2305},	// QGlobalSpace::LicensedSvg
    {173, 349, 2311},	// QGlobalSpace::LicensedTest
    {173, 350, 2293},	// QGlobalSpace::LicensedXml
    {173, 351, 2306},	// QGlobalSpace::LicensedXmlPatterns
    {173, 413, 2288},	// QGlobalSpace::Q_COMPLEX_TYPE
    {173, 414, 2292},	// QGlobalSpace::Q_DUMMY_TYPE
    {173, 415, 2291},	// QGlobalSpace::Q_MOVABLE_TYPE
    {173, 416, 2289},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {173, 417, 2290},	// QGlobalSpace::Q_STATIC_TYPE
    {173, 418, 2296},	// QGlobalSpace::QtCriticalMsg
    {173, 419, 2294},	// QGlobalSpace::QtDebugMsg
    {173, 420, 2297},	// QGlobalSpace::QtFatalMsg
    {173, 421, 2298},	// QGlobalSpace::QtSystemMsg
    {173, 422, 2295},	// QGlobalSpace::QtWarningMsg
    {173, 490, 2316},	// QGlobalSpace::__codecvt_error
    {173, 491, 2317},	// QGlobalSpace::__codecvt_noconv
    {173, 492, 2314},	// QGlobalSpace::__codecvt_ok
    {173, 493, 2315},	// QGlobalSpace::__codecvt_partial
    {199, 143, 2354},	// khtml::DrawContentsEvent::DrawContentsEvent#
    {199, 144, 2347},	// khtml::DrawContentsEvent::DrawContentsEvent#$$$$
    {199, 604, 2352},	// khtml::DrawContentsEvent::cliph
    {199, 605, 2351},	// khtml::DrawContentsEvent::clipw
    {199, 606, 2349},	// khtml::DrawContentsEvent::clipx
    {199, 607, 2350},	// khtml::DrawContentsEvent::clipy
    {199, 1171, 2348},	// khtml::DrawContentsEvent::painter
    {199, 1805, 2353},	// khtml::DrawContentsEvent::test#
    {199, 1931, 2355},	// khtml::DrawContentsEvent::~DrawContentsEvent
    {201, 362, 2359},	// khtml::MouseDoubleClickEvent::MouseDoubleClickEvent#
    {201, 363, 2360},	// khtml::MouseDoubleClickEvent::MouseDoubleClickEvent#$$###
    {201, 364, 2356},	// khtml::MouseDoubleClickEvent::MouseDoubleClickEvent#$$###$
    {201, 601, 2358},	// khtml::MouseDoubleClickEvent::clickCount
    {201, 1805, 2357},	// khtml::MouseDoubleClickEvent::test#
    {201, 2002, 2361},	// khtml::MouseDoubleClickEvent::~MouseDoubleClickEvent
    {202, 366, 2372},	// khtml::MouseEvent::MouseEvent#
    {202, 367, 2362},	// khtml::MouseEvent::MouseEvent$#$$###
    {202, 498, 2366},	// khtml::MouseEvent::absX
    {202, 499, 2367},	// khtml::MouseEvent::absY
    {202, 953, 2370},	// khtml::MouseEvent::innerNode
    {202, 1132, 2371},	// khtml::MouseEvent::offset
    {202, 1207, 2363},	// khtml::MouseEvent::qmouseEvent
    {202, 1803, 2369},	// khtml::MouseEvent::target
    {202, 1843, 2368},	// khtml::MouseEvent::url
    {202, 1893, 2364},	// khtml::MouseEvent::x
    {202, 1896, 2365},	// khtml::MouseEvent::y
    {202, 2003, 2373},	// khtml::MouseEvent::~MouseEvent
    {203, 369, 2376},	// khtml::MouseMoveEvent::MouseMoveEvent#
    {203, 370, 2374},	// khtml::MouseMoveEvent::MouseMoveEvent#$$###
    {203, 1805, 2375},	// khtml::MouseMoveEvent::test#
    {203, 2004, 2377},	// khtml::MouseMoveEvent::~MouseMoveEvent
    {204, 372, 2380},	// khtml::MousePressEvent::MousePressEvent#
    {204, 373, 2378},	// khtml::MousePressEvent::MousePressEvent#$$###
    {204, 1805, 2379},	// khtml::MousePressEvent::test#
    {204, 2005, 2381},	// khtml::MousePressEvent::~MousePressEvent
    {205, 375, 2384},	// khtml::MouseReleaseEvent::MouseReleaseEvent#
    {205, 376, 2385},	// khtml::MouseReleaseEvent::MouseReleaseEvent#$$###
    {205, 377, 2382},	// khtml::MouseReleaseEvent::MouseReleaseEvent#$$###$
    {205, 1805, 2383},	// khtml::MouseReleaseEvent::test#
    {205, 2006, 2386},	// khtml::MouseReleaseEvent::~MouseReleaseEvent
};

}

extern "C" {

SMOKE_IMPORT void init_qtgui_Smoke();
SMOKE_IMPORT void init_kparts_Smoke();

static bool initialized = false;
Smoke *khtml_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_khtml_Smoke() {
    init_qtgui_Smoke();
    init_kparts_Smoke();
    if (initialized) return;
    khtml_Smoke = new Smoke(
        "khtml",
        __smokekhtml::classes, 205,
        __smokekhtml::methods, 2387,
        __smokekhtml::methodMaps, 2150,
        __smokekhtml::methodNames, 2024,
        __smokekhtml::types, 652,
        __smokekhtml::inheritanceList,
        __smokekhtml::argumentList,
        __smokekhtml::ambiguousMethodList,
        __smokekhtml::cast );
    initialized = true;
}

void delete_khtml_Smoke() { delete khtml_Smoke; }

}
